Copyright: Copyright (C) 1995 Lotus Development Corporation


Word Pro: Accelerators class

A short-cut key assignment for any Word Pro script or Ami Pro macro. With the methods in this class, you can add or remove any accelerator key assignment.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the Accelerators Property

Usage

Note that any accelerators you create and assign will expire when you end the session of Word Pro in which you created those accelerators. To keep an accelerator in memory between Word Pro sessions, you must set the accelerator's IsTemporaryUse parameter to "0".


Word Pro: Alignment class

The alignment settings for an object.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Alignment Property

Formula in the Alignment Property

Graphic in the Alignment Property

ParagraphStyle in the Alignment Property

Text in the Alignment Property

TextMarker in the Alignment Property

Usage

Alignment objects are stored in the Alignment property of other objects. Use the syntax shown in the Alignment property description to make use of this class' properties and methods.


Word Pro: Amikake class

The text background object for the Asian language versions of Word Pro. If you are using an English language version of Word Pro, this class is not available.

Base Classes

BaseObject

Derived Classes

None

Contained by

CharacterStyle in the Amikake Property

ClickHere in the Amikake Property

ParagraphStyle in the Amikake Property

Text in the Amikake Property

TextMarker in the Amikake Property

Usage


Word Pro: Application class

A virtual class that forms the basis of all Lotus application classes. When you use LotusScript, each Lotus application is represented by its own version of the Application class. In that way, all Lotus applications share a common set of properties, methods, and events. And, because the Application class is derived from BaseObject, the BaseObject properties are also inherited by each Lotus application class.

Word Pro's version of the Application class is the WPApplication class.

Base Classes

BaseObject

Derived Classes

WPApplication

Contained by

Usage

No object is ever instantiated from this class. The WPApplication class inherits all the properties, methods, and events which are defined in the Application class. You should access these Application class members through the WPApplication class rather than the Application class.

However, if you want to use a variable to access more than one kind of Lotus application, you can use the Application class as the data type for that variable. The variable can then contain an instance of any Lotus application. You will be limited, however, to using only those properties, methods, and events which are inherited by the Lotus application from the Application virtual class.

For example, you can declare a variable as type Application and store an instance of the WPApplication class in that variable. But you cannot access the WPApplication members unless they were inherited from the Application class. This is most useful when you want to use a single variable to access more than one Lotus application and you intend to use only the class memebrs inherited from the Application class.


Word Pro: ApplicationWindow class

The Word Pro window which acts as the container for all of your document windows. Also known as the application workspace, this is the window which remains after you close all of your documents and leave Word Pro running.

Base Classes

BaseObject\Window

Derived Classes

None

Contained by

Application in the ApplicationWindow Property

WPApplication in the ApplicationWindow Property

Usage

This class is shared by all Lotus applications. Each Lotus application creates a single ApplicationWindow object when you launch the application. Word Pro's ApplicationWindow object is contained by the WPApplication class in the ApplicationWindow property. WPApplication inherits the ApplicationWindow property from the Application class.

Only one ApplicationWindow object is instantiated at any given time. The ApplicationWindow object allows you to access all of the Word Pro features which are available independently of the documents you create. For example, your preference settings, accelerator keys, SmartIcons bars, menus, the status bar, and other features are available regardless of which document you have open. Many of these global features are accessed through the ApplicationWindow property in WPApplication.


Word Pro: AppViewPrefs class

The view preferences for a session of Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the AppViewPrefs Property

Usage

Use this class to access the color of margins, window panes, selection borders, spelling errors, and the currently selected spelling error.


Word Pro: Attributes class

The attributes of an object.

Base Classes

BaseObject

Derived Classes

None

Contained by

CharacterStyle in the TextAttributes Property

ClickHere in the Attributes Property

Editor in the TextAttributes Property

FindAndReplace in the ReplaceAttributes Property

FindAndReplace in the SearchAttributes Property

FormatPreferences in the Attributes Property

ParagraphStyle in the TextAttributes Property

RevisionDisplay in the TextAttributes Property

Text in the Attributes Property

TextMarker in the Attributes Property

Usage


Word Pro: AutoRunMacro class

Contains the names of macros which will run automatically each time a document is created, opened or closed.

Base Classes

BaseObject

Derived Classes

None

Contained by

TextDocument in the AutoRunMacro Property

Usage


Word Pro: Background class

The background of an object. The three properties correspond to the three elements of an object's background: the pattern, the pattern color, and the color of the null space behind the pattern.

Base Classes

BaseObject

Derived Classes

None

Contained by

Amikake in the Background Property

Layout in the Background Property

TableFill in the Background Property

Usage

Setting the properties of a Background object is the same as setting the info box options labeled Pattern, Pattern color, and Background color for a Layout or TableFill object.

Use the Pattern property to choose a pattern for the Background object. Use the Color property to choose a color for that pattern. Use the BackColor property to choose a color for the null space behind the pattern.


Word Pro: Bag class

Stores custom data for a division.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: BagCollection class

A collection of objects instantiated from the Bag class. Each instance of this collection contains all the bag objects in a single division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Bags Property

Usage

You can access the current BagCollection by using the BagCollection property in the WPApplication Foundry. For more information about accessing objects through a collection, see Word Pro collectionsH_WORD_PRO_COLLECTIONS_OVER.


Word Pro: BaseCollection class

A virtual class which provides the basic members for all collection classes.

Base Classes

BaseObject

Derived Classes

BagCollection

BookmarkCollection

CellCollection

CellLayoutCollection

CharacterStyleCollection

ClickHereCollection

ConnectedLayoutCollection

ContentCollection

DdeLinkCollection

DivisionCollection

DocInfoFieldCollection

Documents

DocWindowCollection

EditorCollection

EndnoteLayoutCollection

FooterLayoutCollection

FootnoteCollection

FootnoteLayoutCollection

FrameLayoutCollection

GlossaryCollection

GraphicCollection

GraphicOleObjectCollection

GroupLayoutCollection

HeaderLayoutCollection

IconBarCollection

LayoutCollection

LongCollection

MarkerCollection

MenuItemCollection

NoteLayoutCollection

OleObjectCollection

OutlineSeqCollection

OutlineSeqItemCollection

PageLayoutCollection

ParagraphStyleCollection

ParallelColsCollection

PowerFieldCollection

RowLayoutCollection

RubyLayoutCollection

ScriptDataSetCollection

SectionCollection

SilverBulletCollection

StatusBarButtonCollection

StringCollection

SuperTableCollection

SuperTableLayoutCollection

TableCollection

TableHeadingCollection

TableHeadingLayoutCollection

TableLayoutCollection

TableMarkerCollection

TableOnlyCollection

TextCollection

TextMarkerCollection

TextStyleCollection

UnitCollection

VersionCollection

WPDataSetCollection

Contained by

Usage


Word Pro: BaseContainer class

A virtual class acting as a parent class that allows you to access objects and properties within the current context of a document.

Base Classes

BaseObject

Derived Classes

CellContainer

FrameContainer

NoteContainer

PageContainer

ParallelColsContainer

RowContainer

RubyContainer

SubPageContainer

SuperPageContainer

SuperTableContainer

TableContainer

TableOnlyCont

Contained by

WPApplication in the Container Property

Usage


Word Pro: BaseObject class

The BaseObject class is shared among all Lotus applications and is a true virtual class: no instances of the BaseObject class are ever created. BaseObject exists to provide a basic set of properties to all Word Pro classes. It is important to remember that while the properties in the BaseObject class are inherited by every Word Pro class, not every Word Pro class actually implements each of the properties. Check the descriptions for the BaseObject properties to see which Word Pro classes implement them.

Base Classes

BaseObject

Derived Classes

Accelerators

Alignment

Amikake

Application

ApplicationWindow

AppViewPrefs

Attributes

AutoRunMacro

Background

BagCollection

Bag

BaseCollection

BaseContainer

BaseObject

BaseTable

BookmarkCollection

Bookmark

BookmarkManager

Border

BorderLines

Breaks

Bullet

CellCollection

CellContainer

CellEngine

CellGroupLayout

CellLayoutCollection

CellLayout

CharacterBorder

CharacterSet

CharacterStyleCollection

CharacterStyle

ClickHereCollection

ClickHere

Color

Column

ConnectedLayoutCollection

ConnectedLayout

ContentCollection

Content

ContextMenuOptions

DdeLinkCollection

DdeLink

DdeLinkManager

DivisionCollection

Division

DivisionInfo

DivisionOptions

DocControl

DocInfoFieldCollection

DocInfoField

DocInfoFieldManager

DocInfo

Document

Documents

DocWindowCollection

DocWindow

EditorCollection

Editor

EditorManager

EndnoteDivisionGroupNum

EndnoteDivisionNum

EndnoteDocNum

EndnoteLayoutCollection

EndnoteLayout

FileProtection

Filter

FilterHelper

FindAndReplace

Font

FontMetrics

FooterLayoutCollection

FooterLayout

FootnoteCollection

FootnoteContSep

Footnote

FootnoteLayoutCollection

FootnoteLayout

FootnoteNumbering

FootnoteNumOpt

FootnoteOptions

FootnoteSeparator

FootnoteSepOpt

FootnoteTable

FormatCheckPref

FormatPreferences

Formula

Foundry

FrameContainer

FrameGroupLayout

FrameLayoutCollection

FrameLayout

GlossaryCollection

Glossary

Grammar

GraphicCollection

Graphic

GraphicOleObjectCollection

GraphicOleObject

GroupLayoutCollection

GroupLayout

Gutter

HeaderLayoutCollection

HeaderLayout

HyphenationOptions

IconBarCollection

IconBar

IconBarManager

Indent

Index

IndexSection

Join

Kinsoku

Language

LayoutCollection

Layout

LayoutOverride

LineNumberOptions

LongCollection

LWPTimer

Macro

MailRouting

MarkerCollection

Marker

MenuItemCollection

MenuItem

MergeOptions

NoteContainer

NoteLayoutCollection

NoteLayout

Numbering

NumericFormat

NumericFormatSubset

OleObjectCollection

OleObject

Options

OutlineSeqCollection

OutlineSeqItemCollection

OutlineStyleSequence

OutSeqItem

PageContainer

PageLayoutCollection

PageLayout

ParagraphBorder

ParagraphStyleCollection

ParagraphStyle

ParallelColsCollection

ParallelColsContainer

ParallelColumns

PowerFieldCollection

PowerField

Preferences

Presentation

PrintManager

PrintSettings

RelativeIndent

ReviewVersions

RevisionDisplay

Revision

RowContainer

RowLayoutCollection

RowLayout

RubyContainer

RubyLayoutCollection

RubyLayout

RubyMarker

Ruler

ScriptDataSetCollection

ScriptDataSet

Script

SectionCollection

Section

SectionTabs

SetTabsDialog

Shadow

SilverBulletCollection

SilverBullet

SmartCorrect

SortKey

SortOptions

Spacing

StatusBarButtonCollection

StatusBarButton

StatusBar

StringCollection

SubPageContainer

SuperPageContainer

SuperTableCollection

SuperTableContainer

SuperTableGroupLayout

SuperTable

SuperTableLayoutCollection

SuperTableLayout

TableCollection

TableContainer

TableFill

Table

TableHeadingCollection

TableHeading

TableHeadingLayoutCollection

TableHeadingLayout

TableLayoutCollection

TableLayout

TableLine

TableMarkerCollection

TableMarker

TableOnlyCollection

TableOnlyCont

TabRack

TextCollection

TextDocument

Text

TextMarkerCollection

TextMarker

TextStyleCollection

TOCSuperTableLayout

UnitCollection

UserInterfacePrefs

UseWhen

VersionCollection

Version

VersionManager

Window

WinViewPrefs

WPApplication

WPDataSetCollection

WPDataSet

Contained by

BaseObject in the Parent Property

Usage

BaseObject is one of the shared Lotus Object Interface (LOI) classes. The BaseObject class exists solely as a means of providing a common set of class members to all other classes in Word Pro and other Lotus applications. Word Pro never instantiates an object from the BaseObject class alone and you cannot instantiate an object from the BaseObject class. The properties defined in the BaseObject class are inherited, directly or indirectly, by every class in the Word Pro object model. However, not every class implements these inherited properties. For example, every Word Pro class inherits the Description property, but only the DocInfo class implements the property for you to use in your scripts.

Another feature of deriving Word Pro classes from the BaseObject class is the ability to store any Word Pro object in a variable of type BaseObject. When you store an object in this manner, you can access only those class members which the object inherited from the BaseObject class and implemented for  your use. For Word Pro, the BaseObject class defines only six class members, all of them properties. With this basic set of properties, you can get basic information about any object in the Word Pro object model including the object's base application, parent, version, and whether or not the object is available for your use in a specific context. For more information on which classes implement the BaseObject properties, see the individual property descriptions.


Word Pro: BaseTable class

A virtual class acting as the parent class for both tables and parallel columns.

Base Classes

BaseObject\Content

Derived Classes

FootnoteTable

Glossary

ParallelColumns

Table

TableHeading

Contained by

WPApplication in the BaseTable Property

Usage


Word Pro: Bookmark class

A bookmark in a Word Pro document. Word Pro instantiates a Bookmark object each time you create a bookmark in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage

Use the properties of Bookmark to set and retrieve the attributes of any bookmark in a particular document. Use the BookmarkManager object to find, add, or remove a bookmark. Word Pro keeps a list of each document's bookmarks in the BookmarkCollection object for each document.


Word Pro: BookmarkCollection class

A collection of bookmark objects in a document.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

BookmarkManager in the Bookmarks Property

BookmarkManager in the BookmarksByMarkerName Property

Usage

Word Pro automatically creates and maintains one BookmarkCollection object for each document you create. The BookmarkCollection object and its contents are stored with the document.


Word Pro: BookmarkManager class

A tool for managing bookmarks in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the BookmarkManager Property

TextDocument in the BookmarkManager Property

Usage

Used in conjunction with the Bookmark and BookmarkCollection objects, BookmarkManager enables you to perform a variety of tasks including finding, adding, and removing bookmarks.


Word Pro: Border class

The attributes of a border including the border's width, color, and pattern.

Base Classes

BaseObject

Derived Classes

None

Contained by

BorderLines in the AllBorders Property

BorderLines in the BottomBorder Property

BorderLines in the RightBorder Property

BorderLines in the TopBorder Property

BorderLines in the LeftBorder Property

Usage

Nearly every object in Word Pro has a border of some sort. You can use this object in any object which contains an instance of the BorderLines class. The complete syntax will depend on the containing object but will always follow this standard:

<ss>Indnt Mono

.objectname.BorderLines.AllBorders.Color.Red=0

.objectname.BorderLines.AllBorders.Color.Green=0

.objectname.BorderLines.AllBorders.Color.Blue=255

.objectname.BorderLines.AllBorders.Pattern=1

.objectname.BorderLines.AllBorders.Width=200

The same syntax would apply to BottomBorder, LeftBorder, RightBorder, and TopBorder. Each of these properties has a data type of Border and contains a Border object which comprises the top, bottom, left, right, and all border properties of the larger BorderLines object.


Word Pro: BorderLines class

The lines which comprise the border of an object.

Base Classes

BaseObject

Derived Classes

Gutter

Contained by

CharacterBorder in the BorderLines Property

FootnoteSepOpt in the BorderLines Property

Layout in the BorderLines Property

ParagraphBorder in the BorderLines Property

TableLine in the BorderLines Property

TableLine in the OutlineBorderLines Property

Usage

Most of the properties in BorderLines contain instances of the Border class. You can use the contents of these properties to effect changes to the lines around an object. The complete syntax will depend on the containing object but will always follow this standard:

<ss>Indnt mono

.objectname.BorderLines.AllBorders.property/method

The same syntax applies to BottomBorder, LeftBorder, RightBorder, and TopBorder. Each of these properties has a data type of Border and therefore contains a Border object which has its own set of properties which you must use to achieve your desired results.


Word Pro: Breaks class

Break options as seen in the Advanced panel of the Text Properties dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Breaks Property

ParagraphStyle in the Breaks Property

Text in the Breaks Property

TextMarker in the Breaks Property

Usage

Use the properties of this class to set the Break options for an object. Use the RevertBreaksToStyle method to return all the break options to the options selected in the object's style.


Word Pro: Bullet class

Bullet options as seen in the Bullet panel of the Text Properties dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Bullet Property

ParagraphStyle in the Bullet Property

Text in the Bullet Property

TextMarker in the Bullet Property

Usage

Use the properties of this class to set the Bullet options for an object. Use the RevertBulletToStyle method to return all the bullet options to the options selected in the object's style.


Word Pro: CellCollection class

A collection of cell objects.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the CellEngines Property

Usage


Word Pro: CellContainer class

Allows you to acccess the cell object within the current context of a document.

Base Classes

BaseObject\BaseContainer

Derived Classes

None

Contained by

WPApplication in the Cell Property

Usage


Word Pro: CellEngine class

Base Classes

BaseObject

Derived Classes

None

Contained by

Table in the CellEngine Property

Usage


Word Pro: CellGroupLayout class

The cell group layout for a cell group.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: CellLayout class

The cell layout for a cell object.

Base Classes

BaseObject\Layout

Derived Classes

ConnectedLayout

Contained by

BaseTable in the CurrentCell Property

CellContainer in the CellLayout Property

WPApplication in the CurrentCell Property

Usage

AccessRights As AccessRights

Background As Background

BorderLines As BorderLines

BorderOffset As Twips

BottomExternalMargin As Twips

BottomIntArea As Twips

CenteredVert As Bool

ChildLayouts As LayoutCollection

ClassName As String

ColumnBalance As Bool

ColumnGap As Twips

ConditionType As ConditionType

Content As Variant

ContentName As String

ContentStyleName As String

Definition As Long

DirectionDown As LayoutDirection

DirectionLeft As LayoutDirection

DirectionRight As LayoutDirection

DirectionUp As LayoutDirection

EditorName As String

GridDistance As Twips

GridType As GridType

Gutter As Gutter

Height As Twips

IsBreakable As Bool

IsChildSpannable As Bool

IsColumnBreakable As Bool

IsConnected As Bool

IsContentReplaceable As Bool

IsErrorChecking As Bool

IsHonorProtected As Bool

IsLocal As Bool Formula As String

GetValue As String

IsBadReference As Bool

AbsoluteOn As Bool

AbsoluteXPos As Twips

AbsoluteYPos As Twips

AmtTether As WhereType

AmtToRotateContent As Integer

AmtToTetherFrom As WhereType

BaseLineOffset As Twips

BinName As String

CenteredHorz As Bool

Footer As Layout

Header As Layout

IsAdopted As Bool

IsBottomAligned As Bool

IsCollapsed As Bool

IsCollapsible As Bool

IsComplex As Bool

IsExpandDown As Bool

IsExpandLeft As Bool

IsExpandRight As Bool

IsExpandUp As Bool

IsIntersectSiblings As Bool

IsMarginSameAsParent As Bool

IsMirrorImage As Bool

IsNotCopyable As Bool

IsNotGroupable As Bool

IsNoUICommAllowed As Bool

IsOverridden As Bool

IsOverride As Bool

IsPageBreak As Bool

IsPartOfGroup As Bool

IsPrintable As Bool

IsProtected As Bool

IsRevision As Bool

IsScripting As Bool

IsScrollable As Bool

IsSingleClickEntry As Bool

IsSizable As Bool

IsSnapTo As Bool

IsTableHeading As Bool

IsTOC As Bool

Join As Join

Justifiable As Bool

LandscapeMode As Bool

LeaderDotType As LeaderDotType

LeftExternalMargin As Twips

LeftIntArea As Twips

LeftPage As Layout

LeftTopCellId As Integer LineLocation As Integer

MaintainAspectRatio As Bool

MarginBottom As Twips

MarginLeft As Twips

MarginRight As Twips

MarginTop As Twips

MasterName As String

MinBottomMargin As Twips

MinHeight As Twips

MinLeftMargin As Twips

MinRightMargin As Twips

MinTopMargin As Twips

NameBasedOnStyle As String

NumCols As Integer

NumColsSpannedOneCell As Integer

NumericFormat As NumericFormat

NumRowsSpannedOneCell As Integer

PageToUseLayoutOn As Integer

RelativeType As RelativeType

RelativeXDistance As Twips

RelativeYDistance As Twips

RevisionType As Integer

RightExternalMargin As Twips

RightIntArea As Twips

RightPage As Layout

RotationAngle As Integer

ScaleHeight As Twips

ScaleMode As ScaleType

ScalePercentage As Long

ScaleWidth As Twips

ScriptName As String

SelectType As LayoutSelect

Shadow As Shadow

Style As Layout

StyleExceptions As Long

TabRack As TabRack

TextOrient As TextOrient

TopExternalMargin As Twips

TopIntArea As Twips

TopLeftCellRowId As Integer

UseFooter As Integer

UseHeader As Bool

UsePrinterSettings As Bool

UseWhen As UseWhen

VertAlign As VertAlign

WasDeletedInRevMarkMode As Bool

WasInsertedInRevMarkMode As Bool

Where As WhereType

Width As Twips

WPDataSets As WPDataSetCollection

WrapType As WrapType

XOffset As Twips

XPosition As Twips

YOffset As Twips YPosition As Twips


Word Pro: CellLayoutCollection class

A collection of cell layouts for a cell object..

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the CellLayouts Property

Foundry in the CellLayoutStyles Property

Usage


Word Pro: CharacterBorder class

The border around a character in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

CharacterStyle in the CharacterBorder Property

ClickHere in the CharacterBorder Property

ParagraphStyle in the CharacterBorder Property

Text in the CharacterBorder Property

TextMarker in the CharacterBorder Property

Usage


Word Pro: CharacterSet class

A set of characters used in Find and Replace.

Base Classes

BaseObject

Derived Classes

None

Contained by

FindAndReplace in the CharacterSet Property

Preferences in the CharacterSet Property

Usage


Word Pro: CharacterStyle class

Contains the style used to create a character in a division.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the CharacterStyle Property

Text in the CharacterStyle Property

TextMarker in the CharacterStyle Property

Usage


Word Pro: CharacterStyleCollection class

A collection of character styles in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the CharacterStyles Property

Usage


Word Pro: ClickHere class

A ClickHere block in a document.

Base Classes

BaseObject\Marker

Derived Classes

None

Contained by

Usage


Word Pro: ClickHereCollection class

A collection of ClickHere block objects in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the ClickHeres Property

Usage


Word Pro: Color class

The color of 16 different objects in Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

AppViewPrefs in the MarginColor Property

AppViewPrefs in the PaneColor Property

AppViewPrefs in the SelectionBorderColor1 Property

AppViewPrefs in the SelectionBorderColor2 Property

AppViewPrefs in the SelectionBorderColor3 Property

AppViewPrefs in the SpellColor Property

AppViewPrefs in the SpellFocusedColor Property

Background in the BackColor Property

Background in the Color Property

Border in the Color Property

DivisionInfo in the Color Property

Editor in the HiLiteColor Property

Font in the FontColor Property

Font in the BackColor Property

NoteLayout in the Color Property

NumericFormatSubset in the Color Property

Preferences in the HiLiteColor Property

Script in the ErrorColor Property

Script in the IdentifierColor Property

Script in the DirectiveColor Property

Script in the KeywordColor Property

Script in the CommentColor Property

Section in the Color Property

Shadow in the Color Property

UserInterfacePrefs in the NoteColor Property

Usage

Use the properties of this class to set and read the current levels of red, blue, and green in a speficic object's color.


Word Pro: Column class

A column in a table object.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: ConnectedLayout class

The connected layout for a connected cell object.

Base Classes

BaseObject\Layout\CellLayout

Derived Classes

None

Contained by

Usage

The connecting two or more cells to create one larger cell.


Word Pro: ConnectedLayoutCollection class

A collection of connected layouts for a connected cell object in a division .

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the ConnectedLayouts Property

Usage


Word Pro: Content class

Content is the virtual or abstract base class for all contents such as FootnoteTable objects, Formula objects, Graphic objects, GraphicOleObjects, OleObjects, ParallelColumns objects, SuperTable objects, BaseTable objects,TableHeading objects,Table objects, and Text.

Base Classes

BaseObject

Derived Classes

BaseTable

FootnoteTable

Formula

Glossary

Graphic

GraphicOleObject

OleObject

ParallelColumns

SuperTable

Table

TableHeading

Text

Contained by

Footnote in the Content Property

WPApplication in the Content Property

Usage


Word Pro: ContentCollection class

A collection of contents in a division which can include FootnoteTable objects, Formula objecst, Graphic objecst, GraphicOleObjects, OleObjects, ParallelColumns objects, SuperTable objects, BaseTable objects,TableHeading objects,Table objects, andText

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Contents Property

Usage


Word Pro: ContextMenuOptions class

Menu options in a context sensitive dialog box or bar.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the ContextMenuOptions Property

Usage


Word Pro: DdeLink class

Represents a DDE link in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: DdeLinkCollection class

A collection of DDE links in a document.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

DdeLinkManager in the DdeLinks Property

DdeLinkManager in the DdeLinksFromMarker Property

Usage


Word Pro: DdeLinkManager class

A tool that creates and maintains DDE links in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the DdeLinkManager Property

TextDocument in the DdeLinkManager Property

Usage


Word Pro: Division class

A division in a document. A division can contain text, frames, text marked as sections, other divisions with different properties from each other, external files linked to a document, or OLE objects.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the Division Property

Usage


Word Pro: DivisionCollection class

A collection of divisions in a document.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Division in the Divisions Property

TextDocument in the Divisions Property

WPApplication in the Divisions Property

Usage


Word Pro: DivisionInfo class

Information about a division in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

BaseContainer in the DivisionInfo Property

Division in the DivisionInfo Property

Marker in the DivisionInfo Property

TextDocument in the DivisionInfo Property

Usage


Word Pro: DivisionOptions class

Division options displayed in the Division Properties dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the DivisionOptions Property

TextDocument in the DivisionOptions Property

Usage


Word Pro: DocControl class

Document access, editing rights, password protection, colors that show editor markups, insertions/deletions, and document protection in a division.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the DocControl Property

TextDocument in the DocControl Property

Usage


Word Pro: DocInfo class

Document statistics such as document/version editing information or field name descriptions in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the DocInfo Property

TextDocument in the DocInfo Property

Usage


Word Pro: DocInfoField class

DocInfo fields in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: DocInfoFieldCollection class

A collection of DocInfo field objects.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

DocInfoFieldManager in the Fields Property

Usage


Word Pro: DocInfoFieldManager class

A tool for managing DocInfo fields in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

DocInfo in the FieldManager Property

Usage


Word Pro: Document class

Virtual class which provides the basis for the TextDocument class.

Base Classes

BaseObject

Derived Classes

TextDocument

Contained by

Usage

Changed As Bool

Has the docuemnt changed since last save?

Embedded As Bool

Is the doc OLE embedded?

FullName As String

Name and path of this doc

IsOpen As Bool

Checks to see if doc is open but you can't read a closed document so this is always TRUE

Location As String

Path only of this doc

In futur e this may be avriant

Path As String

Path only of thei doc

PrintSettings As PrintSettings

Allows you to set diff print settings for each document

ReadOnly As Bool

Allows you to set a doc to RO or RW

Saved As Bool

Has the doc ever been saved?

METHODS

Activate

make this doc active

Close

Close your doc. All params are ALOI except:

CloseFile param = if closing this and it is last one do you  want a new untitled doc to appear? CloseFile enum.

CopySelection

copy to clipboard

CutSelection

cut to clipboard

Paste

pastes clipboard MakeVisible param allows you to bring the pasted stuf into view when paste happens

Print

LOI params and we added NoDialog which inhibits the progress box

PrintOut

Same as Print but exists for VB users

Save

Saves doc

SaveAs

Saves as another file type most params are LOI. We add AddToLastFileOpen list (recent files) and SaveCopyAs allows you to save a copy of an OLE launched object.

EVENTS

PreClose

Raised prior to closing

Save

pre-save event

SaveAs

presaveas

Saved

after save

SavedAs

after saveas


Word Pro: Documents class

Documents in the Word Pro application.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Application in the Documents Property

Usage


Word Pro: DocWindow class

DocWindow is the class of the document window.

Base Classes

BaseObject\Window

Derived Classes

None

Contained by

Application in the ActiveDocWindow Property

Usage


Word Pro: DocWindowCollection class

A collection of DocWindow objects.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

ApplicationWindow in the DocWindows Property

Usage


Word Pro: Editor class

Editing options available in the Document Control dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

EditorManager in the CurrentEditor Property

Usage


Word Pro: EditorCollection class

A collection of editor objects in a document.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

EditorManager in the Editors Property

Usage


Word Pro: EditorManager class

A tool for managing editor objects in a division.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the EditorManager Property

TextDocument in the EditorManager Property

Usage


Word Pro: EndnoteDivisionGroupNum class

Endnote group numbers in a division.

Base Classes

BaseObject\FootnoteNumOpt

Derived Classes

None

Contained by

FootnoteOptions in the EndnoteDivisionGroupNum Property

Usage


Word Pro: EndnoteDivisionNum class

Endnote numbers in a division.

Base Classes

BaseObject\FootnoteNumOpt

Derived Classes

None

Contained by

FootnoteOptions in the EndnoteDivisionNum Property

Usage


Word Pro: EndnoteDocNum class

Endnote numbers in a document.

Base Classes

BaseObject\FootnoteNumOpt

Derived Classes

None

Contained by

FootnoteOptions in the EndnoteDocNum Property

Usage


Word Pro: EndnoteLayout class

The layout for an endnote object.

Base Classes

BaseObject\Layout\TableLayout

Derived Classes

FootnoteLayout

Contained by

Usage


Word Pro: EndnoteLayoutCollection class

A collection of endnote layouts in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Endnotes Property

Usage


Word Pro: FileProtection class

File protection options available on the Document Control dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the FileProtection Property

Usage


Word Pro: Filter class

Converts non-Word Pro file formats to a Word Pro file format.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the Filter Property

Usage


Word Pro: FilterHelper class

Helps a filter convert non-Word Pro file formats to Word Pro file formats.

Base Classes

BaseObject

Derived Classes

None

Contained by

Filter in the FilterHelper Property

Usage


Word Pro: FindAndReplace class

The Find and Replace tool in the Word Pro application.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the FindAndReplace Property

WPApplication in the TempFindAndReplace Property

Usage

You can find and replace text, paragraph styles and special characters in a document.


Word Pro: Font class

All of the font and text style properties associated with an object that has text.

Base Classes

BaseObject

Derived Classes

None

Contained by

CharacterStyle in the Font Property

ClickHere in the Font Property

Editor in the InsertFont Property

Editor in the DeleteFont Property

FindAndReplace in the FindFont Property

FindAndReplace in the ReplaceFont Property

FormatPreferences in the Font Property

Formula in the Font Property

Graphic in the Font Property

ParagraphStyle in the Font Property

RevisionDisplay in the InsertFont Property

RevisionDisplay in the DeleteFont Property

Text in the Font Property

TextMarker in the Font Property

Usage


Word Pro: FontMetrics class

Base Classes

BaseObject

Derived Classes

None

Contained by

Font in the FontMetrics Property

Usage


Word Pro: FooterLayout class

The layout for a footer object.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: FooterLayoutCollection class

A collection of footer layouts in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Footers Property

Usage


Word Pro: Footnote class

A footnote in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: FootnoteCollection class

A collection of footnotes in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Footnotes Property

Usage


Word Pro: FootnoteContSep class

A continued footnote separator.

Base Classes

BaseObject\FootnoteSepOpt

Derived Classes

None

Contained by

FootnoteOptions in the FootnoteContSep Property

Usage


Word Pro: FootnoteLayout class

The layout for a footnote object.

Base Classes

BaseObject\Layout\TableLayout\EndnoteLayout

Derived Classes

None

Contained by

Usage


Word Pro: FootnoteLayoutCollection class

A collection of footnote layouts in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the FootnoteLayouts Property

Usage


Word Pro: FootnoteNumbering class

The numbering order for footnote objects in a division.

Base Classes

BaseObject\FootnoteNumOpt

Derived Classes

None

Contained by

FootnoteOptions in the FootnoteNumbering Property

Usage


Word Pro: FootnoteNumOpt class

The numbering options for a footnote in a division.

Base Classes

BaseObject

Derived Classes

EndnoteDivisionGroupNum

EndnoteDivisionNum

EndnoteDocNum

FootnoteNumbering

Contained by

Usage


Word Pro: FootnoteOptions class

Footnote options displayed in the Footnote dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the FootnoteOptions Property

TextDocument in the FootnoteOptions Property

Usage


Word Pro: FootnoteSeparator class

The line that separates the footnote from the body text in the document.

Base Classes

BaseObject\FootnoteSepOpt

Derived Classes

None

Contained by

FootnoteOptions in the FootnoteSeparator Property

Usage


Word Pro: FootnoteSepOpt class

The Footnote separator options displayed in the Separator panel in the Footnote and Endnote Options dialog box.

Base Classes

BaseObject

Derived Classes

FootnoteContSep

FootnoteSeparator

Contained by

Usage

A footnote separator is the line that separates the footnote from the body text.


Word Pro: FootnoteTable class

A footnote in a table object.

Base Classes

BaseObject\Content\BaseTable

Derived Classes

None

Contained by

Usage


Word Pro: FormatCheckPref class

The Format Check options displayed in the Format Check Options dialog box accessed from the Format Check bar.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the FormatCheckPreferences Property

Usage

You can check your document for consistent use of spacing between sentences, correct bulleted lists, and the appearance of acronyms in a paragraph. The format check also replaces incorrect characters and common typing mistakes.


Word Pro: FormatPreferences class

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the Format Property

Usage


Word Pro: Formula class

The content of a table cell. Whenever a table cell contains text, numbers, or formulas, Word Pro sees the cell contents as a Formula object. If a table cell contains a graphic, Word Pro sees the graphic as a Graphic object.

Base Classes

BaseObject\Content

Derived Classes

None

Contained by

Usage

The Content property in a CellLayout object is defined with the Variant data type so that Word Pro can store text or graphics in a cell. Word Pro treats all text as a Formula object and stores the Formula object in the Content property of the CellLayout object. The Content property always holds either a Formula object or a Graphic object. To access a Formula object in a table cell, use the following statement:

[objectreference.]CellLayout.Content[.memberreference]

Since the Content property contains the Formula object, you would add a Formula class member name to the end of this statement to achieve your desired result. With the members of the Formula class, you can create or change formulas to add, subtract, multiply, and use sums and percents for numbers in a table. You can also set the alignment, font, and other properties of the Formula object.


Word Pro: Foundry class

Contains all objects within a division.  Each division of a document has a Foundry that contains all the objects of that division such as layouts, text, graphics, markers, tables, footnotes, and so on.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the Foundry Property

TextDocument in the Foundry Property

WPApplication in the TempFoundry Property

WPApplication in the Foundry Property

WPApplication in the AppFoundry Property

Usage


Word Pro: FrameContainer class

Allows you to access a frame object within the current context in a document.

Base Classes

BaseObject\BaseContainer

Derived Classes

NoteContainer

RubyContainer

Contained by

WPApplication in the Frame Property

Usage


Word Pro: FrameGroupLayout class

The layout for a frame group.

Base Classes

BaseObject\Layout\FrameLayout

Derived Classes

None

Contained by

Usage


Word Pro: FrameLayout class

A frame layout for a frame object.

Base Classes

BaseObject\Layout

Derived Classes

FrameGroupLayout

Contained by

Usage


Word Pro: FrameLayoutCollection class

A collection of frame layouts in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Frames Property

Foundry in the FrameStyles Property

Usage


Word Pro: Glossary class

A glossary in a document that stores frequently used information that you can insert in a document.

Base Classes

BaseObject\Content\BaseTable\ParallelColumns

Derived Classes

None

Contained by

Usage

Glossary stores frequently used information, such as text, tables, frames, and so on. You can then insert the information in a document.


Word Pro: GlossaryCollection class

A collection of glossaries in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Glossarys Property

Usage


Word Pro: Grammar class

A grammatical proofing tool that analyzes your document for possible errors and supplies suggestion

s and examples for incorrect sentences.

Base Classes

BaseObject

Derived Classes

None

Contained by

UserInterfacePrefs in the GrammarOptions Property

Usage

You can proofread and edit a document for grammar, style, and mechanics. You can also display document and readability statistics.


Word Pro: Graphic class

A graphic object in a document.

Base Classes

BaseObject\Content\GraphicOleObject

Derived Classes

None

Contained by

WPApplication in the Graphic Property

Usage


Word Pro: GraphicCollection class

A collection of graphic objects in a document.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Graphics Property

Usage


Word Pro: GraphicOleObject class

An Ole graphic object in a document. It is the virtual base class for a graphic and Ole object.

Base Classes

BaseObject\Content

Derived Classes

Graphic

OleObject

Contained by

WPApplication in the GraphicOleObject Property

Usage


Word Pro: GraphicOleObjectCollection class

A collection of Ole graphic objects in a document.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Usage


Word Pro: GroupLayout class

The layout for a group of objects.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: GroupLayoutCollection class

A collection of layouts for a group of objects in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Groups Property

Usage


Word Pro: Gutter class

A line (border) in the middle of the gap defined by the ColumnGap property.

Base Classes

BaseObject\BorderLines

Derived Classes

None

Contained by

Layout in the Gutter Property

Usage


Word Pro: HeaderLayout class

The layout for a header.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: HeaderLayoutCollection class

A collection of header layouts.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Headers Property

Usage


Word Pro: HyphenationOptions class

Hyphenation options displayed in the Options panel of the Document Properties dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

DivisionOptions in the HyphenationOptions Property

Usage


Word Pro: IconBar class

A bar containing a set of icons (small symbols) that represent shortcuts for Word Pro functions, commands, and scripts.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: IconBarCollection class

A collection of icon bar objects.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

IconBarManager in the IconBars Property

Usage


Word Pro: IconBarManager class

A tool for managing icon bar objects in the application.

Base Classes

BaseObject\Window

Derived Classes

None

Contained by

ApplicationWindow in the IconBarManager Property

Usage


Word Pro: Indent class

The indention of text from the right or left margins.

Base Classes

BaseObject

Derived Classes

RelativeIndent

Contained by

ClickHere in the Indent Property

Formula in the Indent Property

ParagraphStyle in the Indent Property

Text in the Indent Property

TextMarker in the Indent Property

Usage


Word Pro: Index class

An index for an entire document, for a section, division, or selected text in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: IndexSection class

A section that contains the index for a document.

Base Classes

BaseObject\Section

Derived Classes

None

Contained by

Usage


Word Pro: Join class

Base Classes

BaseObject

Derived Classes

None

Contained by

Layout in the Join Property

Usage

You can connect two or more table cells to create one larger cell or connect two or more parallel column blocks to create one l


Word Pro: Kinsoku class

The page layout object for the Asian version of Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Kinsoku Property

ParagraphStyle in the Kinsoku Property

Text in the Kinsoku Property

TextMarker in the Kinsoku Property

Usage


Word Pro: Language class

Base Classes

BaseObject

Derived Classes

None

Contained by

CharacterStyle in the Language Property

ClickHere in the Language Property

DivisionOptions in the Language Property

FindAndReplace in the ReplaceLanguage Property

FindAndReplace in the SearchLanguage Property

FormatPreferences in the Language Property

ParagraphStyle in the Language Property

Text in the Language Property

TextMarker in the Language Property

Usage


Word Pro: Layout class

Formatting information for an object in a document.

Base Classes

BaseObject

Derived Classes

CellGroupLayout

CellLayout

ConnectedLayout

EndnoteLayout

FooterLayout

FootnoteLayout

FrameGroupLayout

FrameLayout

GroupLayout

HeaderLayout

NoteLayout

PageLayout

RowLayout

RubyLayout

SuperTableGroupLayout

SuperTableLayout

TableHeadingLayout

TableLayout

TOCSuperTableLayout

Contained by

BaseContainer in the Layout Property

BaseTable in the Layout Property

BaseTable in the CurrentColumn Property

Layout in the Footer Property

Layout in the Style Property

Layout in the RightPage Property

Layout in the Header Property

Layout in the LeftPage Property

Marker in the Layout Property

WPApplication in the Layout Property

WPApplication in the CurrentColumn Property

Usage


Word Pro: LayoutCollection class

A collection of layouts in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Layouts Property

Layout in the ChildLayouts Property

Usage


Word Pro: LayoutOverride class

Base Classes

BaseObject

Derived Classes

None

Contained by

DivisionInfo in the LayoutOverride Property

Usage


Word Pro: LineNumberOptions class

Line Number options displayed in the Line Numbering dialog box in the Options panel of the Document Properties dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the LineNumberOptions Property

TextDocument in the LineNumberOptions Property

Usage


Word Pro: LongCollection class

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Usage


Word Pro: LwpBaseCtrl class

A virtual class acting as a parent class for control objects ( button, clicker, radio button, and so on) in the Lotus Word Pro dialog editor.

Base Classes

BaseObject

Derived Classes

LwpButton

LwpCheckBox

LwpClicker

LwpComboBox

LwpEditBox

LwpFileListBox

LwpListBox

LwpRadioButton

Contained by

Usage


Word Pro: LwpButton class

A button in a custom dialog box object in Lotus Word Pro.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

None

Contained by

Usage


Word Pro: LwpCheckBox class

A control in a custom dialog box that is activated upon selection in Lotus Word Pro.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

None

Contained by

Usage


Word Pro: LwpClicker class

Incremental control in a custom dialog box used to control the up and down movement in an edit box in Lotus Word Pro.

Base Classes

BaseObject\LwpBaseCtrl\LwpEditBox

Derived Classes

None

Contained by

Usage


Word Pro: LwpComboBox class

Combines the features of a ListBox and a TextBox in Lotus Word Pro. The ComboBox  allows you choose to select information from a listbox or type information in a textbox.  The caption property has no visible affect on ComboBox objects.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

None

Contained by

Usage


Word Pro: LwpCommonDialog class

Contains the features used in a dialog box in Lotus Word Pro.

Base Classes

BaseObject\LwpCustomDialog

Derived Classes

None

Contained by

Usage


Word Pro: LwpControls class

The controls( suc as edit boxes, radio buttons and so on) used to operate a custom dialog box object.

Base Classes

BaseObject

Derived Classes

None

Contained by

LwpCustomDialog in the Controls Property

Usage


Word Pro: LwpCustomDialog class

Acts as a base of operations for manipulating the many objects contained within a Word Pro document. Although you will rarely, if ever, name this class in your scripts, Word Pro uses this class each time you  manipulate an object's properties.

Base Classes

BaseObject

Derived Classes

LwpCommonDialog

Contained by

LwpBaseCtrl in the Parent Property

Usage


Word Pro: LwpEditBox class

An edit box object used to make changes to a Lotus Word Pro document.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

LwpClicker

Contained by

Usage


Word Pro: LwpFileListBox class

The list box that contains the types of files that can be imported in a division in Lotus Word Pro.

Base Classes

BaseObject\LwpBaseCtrl\LwpListBox

Derived Classes

None

Contained by

Usage


Word Pro: LwpListBox class

A list box in the Lotus Word Pro application.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

LwpFileListBox

Contained by

Usage


Word Pro: LwpRadioButton class

Circular control button found in a Lotus Word Pro dialog boxes.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

None

Contained by

Usage


Word Pro: LWPTimer class

Allows you to schedule a specific event every x seconds.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: Macro class

An object that automates tasks in the application.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the Macro Property

Usage


Word Pro: MailRouting class

Directing the distribution of e-mail messages in Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

TextDocument in the MailRouting Property

Usage


Word Pro: Marker class

Hidden objects used to attach some data or functionality to a specific location in the document.

Base Classes

BaseObject

Derived Classes

ClickHere

PowerField

RubyMarker

TableMarker

TextMarker

Contained by

Usage


Word Pro: MarkerCollection class

A collection of marker objects in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Markers Property

Usage


Word Pro: MenuItem class

Any menu or item on a menu.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the LwpMenuBar Property

ApplicationWindow in the RightMouseMenus Property

ApplicationWindow in the FreeMenus Property

Usage

Used in setting and getting your own menu items. You can get the current values of LWP menu items but you cannot change them. To get control over LWP menu items you must create your own menu item and replace the LWP menu item with your own.

**already entered**

PROPERTIES

Action As String

Name of script function you want to execute when this menu item is picked or another menu ID

Caption As String

Name of menu item

Checked As Bool

Is it checked

Enabled As Bool

greyed or not greyed

ID As Long

menu id for the menu item. Read-only  property which is set by Word Pro when you create your menu item.

Items As MenuItemCollection

The sub menu items

ParentMenuHWND As Long

Handle to the parent window for a menu item(s)

METHODS

CopyItem

Same as MoveItem but leaves the old item in place DeleteItem

Deletes and item from the menuitem object from which you invoke this method

ExchangeItem

Invoke this from either menuitem to exchange with the other

MoveItem

Moves a menuitem from one place to another. Call this from destination menuitem

NewItem

Adds a new menuitem object to the named menuitem object

caption, action, after (after last item in parent menuitem object) otherwise it's before the first, TargetText lets you specify a menuitem object next to which you want to place the new item


Word Pro: MenuItemCollection class

A collection of items in a menu.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

MenuItem in the Items Property

Usage


Word Pro: MergeOptions class

The merge options displayed in the Merge Assistant dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

TextDocument in the MergeOptions Property

Usage

PROPERTIES

DataFileFieldNames As String

names for merge fields in the data file (delimited with 0x01)

DataFileName As String

path and name of data file

DescriptionFileName As String

Not a required file.

If you choose Description File when opening an external data file from another application, Word Pro stores the field names and separator in a separate description file. The anme of that file is stored in this property. Word Pro uses the description file to get the separator and field names for an external data files.

FilterName As String

The field names provided by an external file

IsAmiProTableImport As Integer

Indicates whether the data file is derived from an Ami Pro table

MergeInfoPtr As Long

Word Pro uses this property to access other merge classes which are not available to users. Do not write to this property.

MergeStepNumber As MergeStepNumber

0 first panel

1 insertmergefield

2 limits

3 actual printing (must be here to merge, otherwise, you can be at any stepnumber)

Set these before doing WMCommand in order to bring up the dialog of your choice Options As MergeOptFlg

LwpMergeOptFlgMergeAndPrint = &H1 doesn't let you view, just prints the merge

LwpMergeOptFlgMergeViewAndPrint = &H2 view each one as you merge

LwpMergeOptFlgMergeAndSaveas = &H4 NOT SUPP

LwpMergeOptFlgMergeInsertFields = &H8

indicates that you have inserted a field

LwpMergeOptFlgMergeLabels = &H10 NOT SUPP

LwpMergeOptFlgMergeMacro = &H20

Prevents the Merge View and Print bar from shwoing up during merge process

METHODS

Clear

Disconnects data file from the cuurent document

RemoveDataFile


Word Pro: NoteContainer class

Allows you to access a Note object within the current context of the document.

Base Classes

BaseObject\BaseContainer\FrameContainer

Derived Classes

None

Contained by

Usage


Word Pro: NoteLayout class

The layout for a note object.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: NoteLayoutCollection class

A collection of note layouts.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the NoteLayouts Property

Usage


Word Pro: Numbering class

Numbering pages in a document or numbering lines of text or blank lines on a page in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Numbering Property

ParagraphStyle in the Numbering Property

Text in the Numbering Property

TextMarker in the Numbering Property

Usage


Word Pro: NumericFormat class

The format for numbers used in a table cell object.

Base Classes

BaseObject

Derived Classes

None

Contained by

Layout in the NumericFormat Property

Usage


Word Pro: NumericFormatSubset class

A secondary format for numbers in a table cell object.

Base Classes

BaseObject

Derived Classes

None

Contained by

NumericFormat in the AnyNumber Property

NumericFormat in the Negative Property

NumericFormat in the Zero Property

Usage


Word Pro: OleObject class

An OLE object within the application.

Base Classes

BaseObject\Content\GraphicOleObject

Derived Classes

None

Contained by

WPApplication in the OleObject Property

Usage


Word Pro: OleObjectCollection class

A collection of Ole objects in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the OleObjects Property

Usage


Word Pro: Options class

Options displayed in a dialog box in a division or a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the DocOptions Property

TextDocument in the Options Property

TextDocument in the DocOptions Property

Usage


Word Pro: OutlineSeqCollection class

A collection of outline sequences in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the OutlineStyleSequences Property

Usage


Word Pro: OutlineSeqItemCollection class

A collection of outline sequence items in a document.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

OutlineStyleSequence in the OutlineSeqItems Property

Usage


Word Pro: OutlineStyleSequence class

The arrangement of styles in an outline.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: OutSeqItem class

An item in an outline sequence.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: PageContainer class

Allows you to access a page object within the current context of the document.

Base Classes

BaseObject\BaseContainer

Derived Classes

SubPageContainer

SuperPageContainer

Contained by

WPApplication in the Page Property

Usage


Word Pro: PageLayout class

A page layout for a PageContainer object. This class inherits most of its members from the Layout class.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: PageLayoutCollection class

A collection of layouts for a page object.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Pages Property

Foundry in the PageStyles Property

Usage


Word Pro: ParagraphBorder class

The border around a paragraph object.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the ParagraphBorder Property

ParagraphStyle in the ParagraphBorder Property

Text in the ParagraphBorder Property

TextMarker in the ParagraphBorder Property

Usage


Word Pro: ParagraphStyle class

The style assigned to a paragraph.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the ParagraphStyle Property

Formula in the ParagraphStyle Property

Text in the ParagraphStyle Property

TextMarker in the ParagraphStyle Property

Usage


Word Pro: ParagraphStyleCollection class

A collection of paragraph styles.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the ParagraphStyles Property

Usage


Word Pro: ParallelColsCollection class

A collection of parallel column objects in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the ParallelColumns Property

Usage


Word Pro: ParallelColsContainer class

Allows you to access the parallel column object within the current context of the document.

Base Classes

BaseObject\BaseContainer\TableContainer

Derived Classes

None

Contained by

Usage


Word Pro: ParallelColumns class

A parallel(newspaper) column object in a document.

Base Classes

BaseObject\Content\BaseTable

Derived Classes

Glossary

Contained by

WPApplication in the ParallelColumns Property

Usage


Word Pro: PowerField class

A power field object in a document.

Base Classes

BaseObject\Marker

Derived Classes

None

Contained by

Usage


Word Pro: PowerFieldCollection class

A collection of power field objects.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the PowerFields Property

Usage


Word Pro: Preferences class

Allows you to customize Word Pro by setting various file saving, file location, default file options as well as by setting many general and personal options.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the Preferences Property

Usage


Word Pro: Presentation class

Base Classes

BaseObject

Derived Classes

None

Contained by

BaseContainer in the Presentation Property

Usage


Word Pro: PrintManager class

A tool to manage document printing.

Base Classes

BaseObject

Derived Classes

None

Contained by

TextDocument in the PrintManager Property

Usage


Word Pro: PrintSettings class

The print settings used to print documents displayed in the Print dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

Document in the PrintSettings Property

Usage


Word Pro: RelativeIndent class

Base Classes

BaseObject\Indent

Derived Classes

None

Contained by

ClickHere in the RelativeIndent Property

ParagraphStyle in the RelativeIndent Property

Text in the RelativeIndent Property

TextMarker in the RelativeIndent Property

Usage


Word Pro: ReviewVersions class

Allows you to review versions of a Word Pro document.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the ReviewVersions Property

Usage


Word Pro: Revision class

The Revision tool in the Word Pro application.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the RevisionMark Property

Text in the RevisionMark Property

TextMarker in the RevisionMark Property

Usage


Word Pro: RevisionDisplay class

Allows you to display the Revision tool in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Preferences in the RevisionDisplay Property

Usage


Word Pro: RowContainer class

Allows you to access the row object in a table within the current context of the document.

Base Classes

BaseObject\BaseContainer

Derived Classes

None

Contained by

Usage


Word Pro: RowLayout class

The layout for a row in a table object.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

BaseTable in the CurrentRow Property

WPApplication in the CurrentRow Property

Usage


Word Pro: RowLayoutCollection class

A collection of row layouts for a table object in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Rows Property

Usage


Word Pro: RubyContainer class

Allows you to access the ruby marker object within the current context of the document.

Base Classes

BaseObject\BaseContainer\FrameContainer

Derived Classes

None

Contained by

Usage


Word Pro: RubyLayout class

The ruby layout for a ruby object in a division.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: RubyLayoutCollection class

A collection of ruby layouts in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the RubyLayouts Property

Usage


Word Pro: RubyMarker class

A marker for a ruby object in a division.

Base Classes

BaseObject\Marker

Derived Classes

None

Contained by

Usage


Word Pro: Ruler class

A horizontal and vertical ruler that indicates tab settings, indents, margins, and columns.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the HorzRuler Property

ApplicationWindow in the VertRuler Property

Usage


Word Pro: Script class

The object oriented programming language for Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the Script Property

Usage


Word Pro: ScriptDataSet class

Collection of variables. Each variable has a name and a string value. ScriptDataSet is a virtual base class.

Base Classes

BaseObject

Derived Classes

WPDataSet

Contained by

Usage

PROPERTIES

DataNames As StringCollection

IsPersistent As Bool

METHODS

GetData

DataName (variable name) and Default is the value it should return if  IsDataNameUsed

SetData

EVENTS


Word Pro: ScriptDataSetCollection class

A collection of script data sets.

Base Classes

BaseObject\BaseCollection

Derived Classes

WPDataSetCollection

Contained by

Usage


Word Pro: Section class

Sections are areas of text in a document that reside within divisions.

Base Classes

BaseObject

Derived Classes

IndexSection

Contained by

Usage


Word Pro: SectionCollection class

A collection of sections in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Sections Property

Usage


Word Pro: SectionTabs class

The divider tabs used to indicate a section in a division.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the SectionTabs Property

Usage


Word Pro: SetTabsDialog class

A dialog box used to set tabs in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the SetTabsDialog Property

Usage


Word Pro: Shadow class

The setting of shadow depth for text, frames, tables, headers, footers, and pages in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Layout in the Shadow Property

ParagraphBorder in the Shadow Property

Usage


Word Pro: SilverBullet class

A silver bullet object in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Bullet in the SilverBullet Property

Usage


Word Pro: SilverBulletCollection class

A collection of silver bullet objects in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the SilverBullets Property

Usage


Word Pro: SmartCorrect class

SmartCorrect is a feature of Spell Check that instantly corrects errors as you type them.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the SmartCorrect Property

Usage


Word Pro: SortKey class

Base Classes

BaseObject

Derived Classes

None

Contained by

SortOptions in the SortLevel1 Property

SortOptions in the SortLevel3 Property

SortOptions in the SortLevel2 Property

Usage


Word Pro: SortOptions class

The sort options displayed in the Sort dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the SortOptions Property

TextDocument in the SortOptions Property

Usage


Word Pro: Spacing class

The spacing of objects in Word Pro such as text, tabs, columns, and so on.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Spacing Property

Formula in the Spacing Property

ParagraphStyle in the Spacing Property

Text in the Spacing Property

TextMarker in the Spacing Property

Usage


Word Pro: StatusBar class

The status bar object in the Word Pro application.

Base Classes

BaseObject\Window

Derived Classes

None

Contained by

ApplicationWindow in the StatusBar Property

Usage


Word Pro: StatusBarButton class

A button on a status bar object in the Word Pro application.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: StatusBarButtonCollection class

A collection of status bar button objects.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

StatusBar in the StatusBarButtons Property

Usage


Word Pro: StringCollection class

A collection of string objects.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

BaseTable in the RowLayouts Property

BaseTable in the ColumnLayouts Property

BaseTable in the CellLayouts Property

BaseTable in the ContentLayouts Property

Division in the DivisionNames Property

Filter in the TableExports Property

Filter in the TextandTableExports Property

Filter in the GraphicImports Property

Filter in the TextandTableImports Property

Filter in the GraphicExports Property

Filter in the TableImports Property

IconBarManager in the IconBarSets Property

Preferences in the SnapShotSaveOptions Property

PrintManager in the FaceNames Property

PrintManager in the PaperNames Property

PrintManager in the BinNames Property

PrintSettings in the Divisions Property

RevisionDisplay in the UndoLevels Property

ScriptDataSet in the DataNames Property

TextDocument in the DivisionNames Property

UserInterfacePrefs in the StylePaths Property

UserInterfacePrefs in the DocumentPaths Property

UserInterfacePrefs in the UserDictionaryPaths Property

UserInterfacePrefs in the BackupPaths Property

UserInterfacePrefs in the UserDictionaryFiles Property

UserInterfacePrefs in the Units Property

UserInterfacePrefs in the IconPaths Property

UserInterfacePrefs in the MacroPaths Property

UserInterfacePrefs in the GlossaryDataPaths Property

UserInterfacePrefs in the GlossaryDataFiles Property

Version in the Editors Property

Usage


Word Pro: SubPageContainer class

Allows you to access the sub page object within the current context of a document.

Base Classes

BaseObject\BaseContainer\PageContainer

Derived Classes

None

Contained by

Usage


Word Pro: SuperPageContainer class

Allows you to access a super page object within the current context of a document.

Base Classes

BaseObject\BaseContainer\PageContainer

Derived Classes

None

Contained by

Usage


Word Pro: SuperTable class

A super table object in a document.

Base Classes

BaseObject\Content

Derived Classes

None

Contained by

Usage


Word Pro: SuperTableCollection class

A collection of super table objects.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the SuperTables Property

Usage


Word Pro: SuperTableContainer class

Allows you to access a super table object within the current context of a document.

Base Classes

BaseObject\BaseContainer

Derived Classes

None

Contained by

WPApplication in the SuperTableContainer Property

Usage


Word Pro: SuperTableGroupLayout class

A super table layout for a group of super tables.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: SuperTableLayout class

The layout for a super table object.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: SuperTableLayoutCollection class

A collection of super table layouts in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the SuperTableLayouts Property

Usage


Word Pro: Table class

A table object in a document.

Base Classes

BaseObject\Content\BaseTable

Derived Classes

None

Contained by

WPApplication in the Table Property

Usage


Word Pro: TableCollection class

A collection of table objects in a document.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Usage


Word Pro: TableContainer class

Allows you to access a table object within the current context of a document.

Base Classes

BaseObject\BaseContainer

Derived Classes

ParallelColsContainer

TableOnlyCont

Contained by

WPApplication in the TableContainer Property

Usage


Word Pro: TableFill class

A customized list to fill a table object.

Base Classes

BaseObject

Derived Classes

None

Contained by

BaseTable in the TableFill Property

Usage


Word Pro: TableHeading class

A heading for a table object.

Base Classes

BaseObject\Content\BaseTable

Derived Classes

None

Contained by

Usage


Word Pro: TableHeadingCollection class

A collection of table heading objects in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TableHeadings Property

Usage


Word Pro: TableHeadingLayout class

The layout for a table heading in a division.

Base Classes

BaseObject\Layout\TableLayout

Derived Classes

None

Contained by

Usage


Word Pro: TableHeadingLayoutCollection class

A collection of layouts for table heading objects in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TableHeadingLayouts Property

Usage


Word Pro: TableLayout class

The layout for a table object.

Base Classes

BaseObject\Layout

Derived Classes

EndnoteLayout

FootnoteLayout

TableHeadingLayout

Contained by

Usage


Word Pro: TableLayoutCollection class

A collection of layouts for a table object in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TableLayouts Property

Foundry in the TableStyles Property

Usage


Word Pro: TableLine class

A line in a table object.

Base Classes

BaseObject

Derived Classes

None

Contained by

BaseTable in the TableLine Property

Usage


Word Pro: TableMarker class

A marker for a table object in a division.

Base Classes

BaseObject\Marker

Derived Classes

None

Contained by

Usage


Word Pro: TableMarkerCollection class

A collection of table marker objects in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TableMarkers Property

Usage


Word Pro: TableOnlyCollection class

A collection of table only objects in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Tables Property

Usage


Word Pro: TableOnlyCont class

Allows you to access the table only object within the current context of the document.

Base Classes

BaseObject\BaseContainer\TableContainer

Derived Classes

None

Contained by

WPApplication in the TableOnlyContainer Property

Usage


Word Pro: TabRack class

Acts as the tab parent class for all tab objects in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the TabRack Property

Layout in the TabRack Property

ParagraphStyle in the TabRack Property

Text in the TabRack Property

TextMarker in the TabRack Property

Usage


Word Pro: Text class

A text object in a document.

Base Classes

BaseObject\Content

Derived Classes

None

Contained by

Bullet in the Text Property

ClickHere in the Prompt Property

DivisionInfo in the FillerPageText Property

Graphic in the Text Property

NoteLayout in the Text Property

SilverBullet in the Text Property

WPApplication in the Text Property

Usage


Word Pro: TextCollection class

A collection of text objects in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Texts Property

Usage


Word Pro: TextDocument class

A Word Pro document including all its divisions, sections, versions, pages, text objects, frames, tables, styles, print settings, scripts, and so on.

Base Classes

BaseObject\Document

Derived Classes

None

Contained by

Application in the ActiveDocument Property

ApplicationWindow in the ActiveDocument Property

Division in the Master Property

DocWindow in the Document Property

TextDocument in the Master Property

Usage

Opened

after opening

Created after creating

PrePrint

before printing

Keystroke

WMCommand

raised when a menu item is picked, a pre-defined icon is clicked, or certain pushbuttons cause another dialog box to display from a dialog box. This event passes the following info to the script event handler:

the menu ID

The ID of the icon

ID of the menu command WPBITMSK.LSS contains all menu IDs.


Word Pro: TextMarker class

Marks an insertion point or a selection of text. Derives from Marker. A hidden object used to attach some data or functionality to text in the document.

Base Classes

BaseObject\Marker

Derived Classes

None

Contained by

Usage


Word Pro: TextMarkerCollection class

A collection of text markers in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TextMarkers Property

Usage


Word Pro: TextStyleCollection class

A collection of text styles in a division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TextStyles Property

Usage


Word Pro: TOCSuperTableLayout class

A layout for a table of contents super table object.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: UnitCollection class

A collection of unit objects in a document.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Usage


Word Pro: UserInterfacePrefs class

The user interface preferences in Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the UserInterfacePrefs Property

Usage


Word Pro: UseWhen class

Base Classes

BaseObject

Derived Classes

None

Contained by

Layout in the UseWhen Property

Usage


Word Pro: Version class

The Version tool in the Word Pro application.

Base Classes

BaseObject

Derived Classes

None

Contained by

VersionManager in the CurrentVersion Property

Usage


Word Pro: VersionCollection class

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

VersionManager in the Versions Property

Usage


Word Pro: VersionManager class

A tool to manage the Version tool in a division.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the VersionManager Property

TextDocument in the VersionManager Property

Usage


Word Pro: Window class

A window in the Word Pro application.

Base Classes

BaseObject

Derived Classes

ApplicationWindow

DocWindow

IconBarManager

StatusBar

Contained by

Usage


Word Pro: WinViewPrefs class

The window view preferences in Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

DocWindow in the WinViewPrefs Property

UserInterfacePrefs in the WinViewPrefs Property

Usage


Word Pro: WPApplication class

The Word Pro application. Unlike Application, which defines the features common to all Lotus applications, WPApplication gives you access to all the Word Pro-specific objects, features, events, and information which exist as part of the Word Pro application workspace and apply to all Word Pro documents.

Base Classes

BaseObject\Application

Derived Classes

None

Contained by

BaseObject in the Application Property

Usage

The objects, features, events, and information defined in WPApplication are universal in nature. They are items which are available or in force throughout all documents. Some of the items are user preferences, file protection options, find and replace options, and SmartCorrect options. Use WPApplication to set or change these options. When you access objects such as divisions and table cells, Word Pro assumes you want to use the currently active Word Pro application. Thus, you do not need to use WPApplication as part of your object reference.

currentapplication

currentwindow

currentdocument

PROPERTIES

cs BaseTable As BaseTable

cs Cell As CellContainer

cs Container As BaseContainer

cs Content As Content

cs CurrentCell As CellLayout

cs CurrentColumn As Layout

cs CurrentRow As RowLayout

cs Division As Division

cs Divisions As DivisionCollection

cs Foundry As Foundry

cs Frame As FrameContainer

cs Graphic As Graphic

cs GraphicOleObject As GraphicOleObject

cs Layout As Layout

cs OleObject As OleObject

cs Page As PageContainer

cs ParallelColumns As ParallelColumns

cs SuperTableContainer As SuperTableContainer cs Table As Table

cs TableContainer As TableContainer

cs TableOnlyContainer As TableOnlyCont

cs Text As Text

cs ActiveDocument As TextDocument

cs ActiveDocWindow As DocWindow

cs ApplicationWindow As ApplicationWindow

cs by app Documents As Documents

AppFoundry As Foundry

the foundry

AppViewPrefs As AppViewPrefs

FileProtection As FileProtection

FindAndReplace As FindAndReplace

Format As FormatPreferences

FormatCheckPreferences As FormatCheckPref

KeyboardLanguage As Integer

Preferences As Preferences

SmartCorrect As SmartCorrect

TempFindAndReplace As FindAndReplace

TempFoundry As Foundry

WPDataSets As WPDataSetCollection

METHODS

AddIndexEntry

AddTOCEntry

AnswerMsgBox

BeginChange

Bold

BringFrameToFront

BringFrameToFrontOne

CalculateSmartLevels

CascadeWindow

CellRevert

ChangeSmartMaster

ClearParaRevisionTags

Close

CloseAll

CloseDocWindow

CloseMergeDataFile

CombineDivisions

CombineSections

CompareFiles

ConnectCells

ConnectRows

ContractOutlineLevel

CopySelection

CreateDataFile

CreateDivision

CreateExternalDivision

CreateFrame

CreateGlossary CreateGlossaryEntry

CreateGraphic

CreateOleEmbeddedFile

CreateOleLinkedFile

CreateOleNew

CreateParallelColumns

CreateTable

CutSelection

DblUnderline

DeleteDivision

DeleteKey

DeleteParallelColumns

DeleteTable

DemoteOutlineLevel

Deselect

DisconnectCells

Embed

EndChange

EnvelopePrint

ExpandOutlineLevel

FastFormat

Find

FormatCheck

FrameRevert

GetCopyFormatCategories

GetPasteFormatCategories

GlossaryInsert

GlossaryOpen

GoToBookmark

GotoNextParallelColumn

GoToObject

GoToPage

GroupDivision

HandsOffStorage

Help

Hide

HighlightToggle

HourGlass

ImportGraphic

InitFindAndReplace

InsertBullet

InsertClickHere

InsertColumnBreak

InsertDate

InsertDocInfo

InsertDocument

InsertField

InsertFootnote

InsertFrame

InsertIndex

InsertNote

InsertOleDivision

InsertPageBreak

InsertPageLayout InsertPageNumber

InsertRuby

InsertSection

InsertTOC

InternalCopy

InternalCut

InternalPaste

IsWMCommandValid

Italic

LowerCase

MacroAppend

MacroCancel

MacroCompile

MacroEndRecord

MacroPlay

MacroQuickPlay

MacroQuickRecord

MacroRecord

MacroResume

MacroRun

MailDocument

MakeTableFromText

ManualFrame

ManualTable

Mark

MarkRevisionInsert

Merge

MergeContinue

MergeSetDataFile

MergeStart

Messages

MoveDivision

NewDivision

NewWindow

NormalText

OpenDataFile

OpenFromStorage

OutlineMoveTextDown

OutlineMoveTextUp

PageDown

PageUp

Paste

PasteLink

PasteSpecial

PColConnectCells

       PColConnectRows

PColDisconnectCells

PColSelectColumn

PColSelectRow

PColSelectTable

Print

PrintOut

PromoteOutlineLevel

QueryDrop QuickAlignFrame

QuickAlignTable

Redo

RegisterWPDataSet

Render

Replace

ReplaceAll

ReplaceCmd

ResetFindAndReplace

RetrieveInternetFile

RetrieveInternetFileAndOpen

RevertToSaved

RevertToStyle

ReviseAcceptAll

ReviseCancelAll

RunAutoNewMacro

RunAutoOpenMacro

RunScript

Save

SaveAs

SaveEnvelopeMaster

SaveGlossary

SaveToStorage

SaveToStorageComplete

SaveVersion

Select

SelectAStyle

SelectCell

SelectColumn

SelectDoc

SelectEntireCellRange

SelectEntireColumn

SelectEntirePCol

SelectEntirePColCellRange

SelectEntirePColColumn

SelectEntirePColRow

SelectEntireRow

SelectEntireTable

SelectParagraph

SelectPColCell

SelectRow

SelectSection

SelectSentence

SelectTable

SelectWord

SendFrameToBack

SendFrameToBackOne

SendMailSelectedText

SetStorage

SetStyle

SmallCaps

SmartSumColumn

SmartSumRow

SortParagraphs SpellAddToUserDict

SpellClearSkippedWords

SpellMarkSkippedWords

SpellSkipAll

StartEditMergeData

StartEnvelopeDiv

StartFieldInsert

StoreInternetFile

StrikeThru

SubScript

SuperScript

TeamMail

TileWindowHorz

TileWindowVert

TimedSave

ToggleIconBar

Type

Underline

Undo

UnregisterWPDataSet

UpdateIndexSection

UpdateOle

UpdateTOC

UpperCase

WMCommand

WordUnderline

GetEnum

NewDocument

OpenDocument

Quit


Word Pro: WPDataSet class

The data set used in Word Pro.

Base Classes

BaseObject\ScriptDataSet

Derived Classes

None

Contained by

Usage

PROPERTIES

DataNames As StringCollection

The variable names for the data stored

IsPersistent As Bool

Indictaes whether the data set is persistent between sessions

METHODS

GetData

Use to get the data associated with a vriable

IsDataNameUsed

Checks for data name given in paramter

SetData

Creates a new data set item and sets its value


Word Pro: WPDataSetCollection class

A collection of Word Pro data sets in a document.

Base Classes

BaseObject\BaseCollection\ScriptDataSetCollection

Derived Classes

None

Contained by

CharacterStyle in the WPDataSets Property

ClickHere in the WPDataSets Property

Division in the WPDataSets Property

Layout in the WPDataSets Property

Marker in the WPDataSets Property

ParagraphStyle in the WPDataSets Property

TextDocument in the WPDataSets Property

Text in the WPDataSets Property

TextMarker in the WPDataSets Property

WPApplication in the WPDataSets Property

Usage

Item ScriptDataSet is not implemented


Word Pro Classes

A

Accelerators

Alignment

Amikake

Application

ApplicationWindow

AppViewPrefs

Attributes

AutoRunMacro

B

Background

Bag

BagCollection

BaseCollection

BaseContainer

BaseObject

BaseTable

Bookmark

BookmarkCollection

BookmarkManager

Border

BorderLines

Breaks

Bullet

C

CellCollection

CellContainer

CellEngine

CellGroupLayout

CellLayout

CellLayoutCollection

CharacterBorder

CharacterSet

CharacterStyle

CharacterStyleCollection

ClickHere

ClickHereCollection

Color

Column

ConnectedLayout

ConnectedLayoutCollection

Content

ContentCollection

ContextMenuOptions

D

DdeLink

DdeLinkCollection

DdeLinkManager

Division

DivisionCollection

DivisionInfo

DivisionOptions

DocControl

DocInfo

DocInfoField

DocInfoFieldCollection

DocInfoFieldManager

Document

Documents

DocWindow

DocWindowCollection

E

Editor

EditorCollection

EditorManager

EndnoteDivisionGroupNum

EndnoteDivisionNum

EndnoteDocNum

EndnoteLayout

EndnoteLayoutCollection

F

FileProtection

Filter

FilterHelper

FindAndReplace

Font

FontMetrics

FooterLayout

FooterLayoutCollection

Footnote

FootnoteCollection

FootnoteContSep

FootnoteLayout

FootnoteLayoutCollection

FootnoteNumbering

FootnoteNumOpt

FootnoteOptions

FootnoteSeparator

FootnoteSepOpt

FootnoteTable

FormatCheckPref

FormatPreferences

Formula

Foundry

FrameContainer

FrameGroupLayout

FrameLayout

FrameLayoutCollection

G

Glossary

GlossaryCollection

Grammar

Graphic

GraphicCollection

GraphicOleObject

GraphicOleObjectCollection

GroupLayout

GroupLayoutCollection

Gutter

H

HeaderLayout

HeaderLayoutCollection

HyphenationOptions

I

IconBar

IconBarCollection

IconBarManager

Indent

Index

IndexSection

J

Join

K

Kinsoku

L

Language

Layout

LayoutCollection

LayoutOverride

LineNumberOptions

LongCollection

LwpBaseCtrl

LwpButton

LwpCheckBox

LwpClicker

LwpComboBox

LwpCommonDialog

LwpControls

LwpCustomDialog

LwpEditBox

LwpFileListBox

LwpListBox

LwpRadioButton

LWPTimer

M

Macro

MailRouting

Marker

MarkerCollection

MenuItem

MenuItemCollection

MergeOptions

N

NoteContainer

NoteLayout

NoteLayoutCollection

Numbering

NumericFormat

NumericFormatSubset

O

OleObject

OleObjectCollection

Options

OutlineSeqCollection

OutlineSeqItemCollection

OutlineStyleSequence

OutSeqItem

P

PageContainer

PageLayout

PageLayoutCollection

ParagraphBorder

ParagraphStyle

ParagraphStyleCollection

ParallelColsCollection

ParallelColsContainer

ParallelColumns

PowerField

PowerFieldCollection

Preferences

Presentation

PrintManager

PrintSettings

Q

R

RelativeIndent

ReviewVersions

Revision

RevisionDisplay

RowContainer

RowLayout

RowLayoutCollection

RubyContainer

RubyLayout

RubyLayoutCollection

RubyMarker

Ruler

S

Script

ScriptDataSet

ScriptDataSetCollection

Section

SectionCollection

SectionTabs

SetTabsDialog

Shadow

SilverBullet

SilverBulletCollection

SmartCorrect

SortKey

SortOptions

Spacing

StatusBar

StatusBarButton

StatusBarButtonCollection

StringCollection

SubPageContainer

SuperPageContainer

SuperTable

SuperTableCollection

SuperTableContainer

SuperTableGroupLayout

SuperTableLayout

SuperTableLayoutCollection

T

Table

TableCollection

TableContainer

TableFill

TableHeading

TableHeadingCollection

TableHeadingLayout

TableHeadingLayoutCollection

TableLayout

TableLayoutCollection

TableLine

TableMarker

TableMarkerCollection

TableOnlyCollection

TableOnlyCont

TabRack

Text

TextCollection

TextDocument

TextMarker

TextMarkerCollection

TextStyleCollection

TOCSuperTableLayout

U

UnitCollection

UserInterfacePrefs

UseWhen

V

Version

VersionCollection

VersionManager

W

Window

WinViewPrefs

WPApplication

WPDataSet

WPDataSetCollection

X

Y

Z


Word Pro Events

Changed

Clicked

Created

Decrement

DialogEvent

DocumentClose

DocumentClosed

DocumentCreate

DocumentCreated

DocumentExport

DocumentExported

DocumentImport

DocumentImported

DocumentInsert

DocumentInserted

DocumentOpen

DocumentOpened

DocumentPrint

DocumentPrinted

DocumentSave

DocumentSaveAs

DocumentSaved

DocumentSavedAs

DoubleClicked

EnterClickHere

EnterLayout

ExitClickHere

GotFocus

ImportInsert

ImportInserted

Increment

KeyStroke

LostFocus

MouseDown

MouseUp

Moved

Opened

PreClose

PrePrint

Printed

Quit

Save

SaveAs

Saved

SavedAs

StatusBarButtonClicked

StatusBarButtonFillPopupList

StatusBarButtonItemSelected

StatusBarButtonOverrideGraphic

StatusBarButtonOverrideText

StatusBarButtonOverrideTextAndGraphic

TimerTick

WMCommand


Word Pro LotusScript A-Z

A

Abilities property

AbsoluteOn property

AbsoluteXPos property

AbsoluteYPos property

Accelerators property

AccessRights property

Action property

Activate method

Active property

ActiveDocument property

ActiveDocWindow property

ActualName property

Add method

AddAccelerators method

AddBookmark method

AddChildToLayout method

AddDdeLink method

AddDivision method

AddDivisionToPrint method

AddEditorManager method

AddEnvelopeReturnAddress property

AddField method

AddIndexEntry method

AddItem method

AddItemIndex method

AddLayoutOverride method

AddListBoxText method

AddOutlineSequenceItem method

AddPopupGraphicItem method

AddPopupPointSizeItem method

AddPopupTextItem method

Address1 property

Address2 property

AddSectionTabs method

AddSmartCorrect method

AddTOCEntry method

AddVerbMenu method

AdjustShade method

Adopt method

AdviseOnRename method

AdviseOnSave method

Alignment property

AlignmentChar property

AlignmentType property

AlignStyleName property

All property

AllBorders property

AllowAlternateVerification property

AlternateName property

Always property

Amikake property

AmikakeName property

Amount property

AmountOfSpaceAbove property

AmountOfSpaceBelow property

AmtTether property

AmtToRotateContent property

AmtToTetherFrom property

Anchor method

AnswerMsgBox method

AnyEdits method

AnyNumber property

AnyOleObjects property

AppendMacro method

AppFoundry property

Application property

ApplicationWindow property

ApplyAdjectivePos property

ApplyAdjectNounPart property

ApplyAgreementWithHereThere property

ApplyAnglicisms property

ApplyArchaicExpressions property

ApplyArticleAgreement property

ApplyBadComparatives property

ApplyBadInflection property

ApplyBadNoun property

ApplyBadNounGender property

ApplyBadPlural property

ApplyBadPrepositions property

ApplyBelgianExpression property

ApplyBorrowedForeign property

ApplyBureuaJargon property

ApplyCalque property

ApplyCapitalizationCheck property

ApplyClauseErrors property

ApplyCliches property

ApplyColloquialExpression property

ApplyCommonlyConfusedWords property

ApplyCommonMisspell property

ApplyComplexWords property

ApplyConfusedEasy property

ApplyConfusedEnglish property

ApplyConfusedHard property

ApplyConfusedMedium property

ApplyConfusedVerb property

ApplyConsecutiveNouns property

ApplyContractions property

ApplyDerogatory property

ApplyDifferentPrep property

ApplyDoubleNegative property

ApplyDoublePlural property

ApplyDoubleWordCheck property

ApplyElision property

ApplyEnglishDerived property

ApplyEnglishWords property

ApplyExotic property

ApplyExtraPrepositionCheck property

ApplyFalseFriend property

ApplyFemaleOccupation property

ApplyFixedExpression property

ApplyForeignWord property

ApplyFormalTerms property

ApplyFormatErrors property

ApplyGallicisms property

ApplyGenderExpressions property

ApplyGermanisms property

ApplyHomoGraphs property

ApplyHomonyms property

ApplyHomonymsEasy property

ApplyHomonymsHard property

ApplyHomoPhone1 property

ApplyHomoPhone2 property

ApplyHomoPhones property

ApplyIncorrectPlural property

ApplyInformalExpressions property

ApplyJargonWords property

ApplykSplitInfinitives property

ApplyLowercaseAdjective property

ApplyLowercaseColor property

ApplyLowercaseNumbers property

ApplyLowercasePhrases property

ApplyLowercasePronouns property

ApplyMassVsCount property

ApplyMisspelledExpressions property

ApplyMisspelledForeignExpressions property

ApplyMisspelledItalian property

ApplyMisspelledWords property

ApplyMisusedWords property

ApplyNonStandardExpression property

ApplyNonStandardModifiers property

ApplyNoudModifierOrderCheck property

ApplyNounConsistency property

ApplyNounPhraseAgree property

ApplyNSAdjective property

ApplyNSClause property

ApplyNSCompare property

ApplyNSContract property

ApplyNSGeography property

ApplyNSInflection property

ApplyNSNegation property

ApplyNSPrep property

ApplyNSPronoun property

ApplyNSSpell property

ApplyNSUsage property

ApplyNSVerbForm property

ApplyOpenClosedSpelling property

ApplyOpenUsage property

ApplyOverusedPhrases property

ApplyPassiveVerbErrors property

ApplyPostClitAgree property

ApplyPrepExpression property

ApplyPrepositionalPhrases property

ApplyPretentiousWords property

ApplyPronounErrors property

ApplyPunctuationErrors property

ApplyRedundantExpressions property

ApplyRegionalExpression property

ApplyRelatedWord property

ApplySensitiveExp property

ApplySexistExpressions property

ApplySpellStandard property

ApplyStockPhrase property

ApplyStyleParameters property

ApplySubjectVerbAgreement property

ApplyTrite property

ApplyTwoGender property

ApplyTypicalMisspell property

ApplyUnGrammaticalExpressions property

ApplyVagueQuantifiers property

ApplyVerbGroupConsistency property

ApplyWeakModifiers property

ApplyWordChoice property

ApplyWordCompoundingCheck property

ApplyWordConfusion property

ApplyWordGender property

ApplyWordParts property

ApplyWordyPhraseCheck property

AppViewPrefs property

Archive property

AreDisabledIconsGrayed property

Ascent property

AsciiCRLFType property

AtBeginning property

AtBeginningOfLine property

AtBeginningOfObject property

AtBeginningOfParagraph property

AtBeginningOfStream property

AtBeginningOfWord property

AtEnd property

AtEndOfLine property

AtEndOfObject property

AtEndOfParagraph property

AtEndOfStream property

AtEndOfWord property

Attributes property

AttrStyleName property

AuthorName property

AutoBackup property

AutoHyphenate property

AutomaticLink property

AutoRunMacro property

AutoSave property

AutoSaveMinutes property

AutoVersion property

B

BackColor property

Background property

BackgroundPrintingOn property

Backspace method

BackupPath property

BackupPaths property

Bags property

BarSide property

BarType property

BaseLineOffset property

BaseTable property

BeginChange method

BeginCustomLines method

BinName property

BinNames property

Bisect method

BlockPaint property

Blue property

BodyOnly property

Bold method

Bold property

BookmarkManager property

Bookmarks property

BookmarksByMarkerName property

BorderLines property

BorderOffset property

BorderStyleName property

BottomBorder property

BottomExternalMargin property

BottomIntArea property

BreakLink method

Breaks property

BreaksStyleName property

BringFrameToFront method

BringFrameToFrontOne method

Bullet property

BulletFonts property

BulletStyleName property

Buttons method

C

CalcSmartLevels method

CalculateSmartLevels method

Cancel method

CanEditProperty property

CanEmbed property

CanHaveFootnotes method

CanWePrint property

Caption property

Cascade method

CascadeWindow method

Case property

Cell property

CellEngine property

CellEngines property

CellLayout method

CellLayout property

CellLayouts property

CellLayoutStyles property

CellRevert method

CellStyleName property

CenteredHorz property

CenteredVert property

ChangeAllEditsToEditor method

Changed event

Changed property

ChangeSmartMaster method

CharacterBorder property

CharacterBorderName property

CharacterSet property

CharacterSetName property

CharacterStyle property

CharacterStyleName property

CharacterStyles property

CharSet property

CheckBoxes method

Checked property

CheckForScriptEnumError property

CheckForScriptPropertyError property

ChgLineStyle method

ChildLayouts property

CityState property

ClassName property

CleanScreenMode property

CleanScreenOnStartUp property

ClearAll method

ClearDivisionList method

ClearInternalSpellInfo method

ClearParaRevisionTags method

ClearPopupData method

ClearSplits method

ClearUpdate method

Clicked event

Clickers method

ClickHerePrompts property

ClickHeres property

ClientHeight property

ClientWidth property

ClientWndHeight property

ClientWndWidth property

CloseAll method

CloseDocMacroName property

CloseDocWindow method

CloseMergeDataFile method

CloseObject method

CodePage property

Collapsible property

Collate property

Color property

ColorOverride property

ColumnBalance property

ColumnGap property

ColumnLayouts property

ColumnNumber property

ColumnWidth property

CombineDivisions method

CombineSections method

ComboBoxes method

CommentColor property

Company property

CompareFiles method

Condition property

ConditionType property

Configure method

Connect method

ConnectCells method

ConnectContainer method

ConnectedLayouts property

ConnectRows method

ConnectSectionTabs method

ContactUponPermissionDenied property

Container property

Content property

ContentHeight property

ContentLayouts property

ContentName property

Contents property

ContentStyleName property

ContentType property

ContentWidth property

ContextMenuOptions property

ContinuedFromAlignment property

ContinuedFromMessage property

ContinuedFromStory property

ContinuedOnAlignment property

ContinuedOnMessage property

ContinuedOnStory property

Contract method

ContractOutlineLevel method

Controls property

ConvertToClass method

Copies property

CopyItem method

CopyMeaning method

CopySelection method

Count property

CountBlankLines property

Created event

CreateDataFile method

CreateDivision method

CreateDocument method

CreateExternalDivision method

CreateFrame method

CreateFromBitmap method

CreateFromClipBrd method

CreateFromDataObject method

CreateFromMetafile method

CreateGlossary method

CreateGlossaryEntry method

CreateGraphic method

CreateNew method

CreateNewButton method

CreateOleEmbeddedFile method

CreateOleLinkedFile method

CreateOleNew method

CreateParallelColumns method

CreateRemark method

CreateTable method

CreateVersion method

CreationDateString property

CreationTimeString property

CreationTimeValue property

Crop property

CurrentCell property

CurrentColumn property

CurrentEditor property

CurrentLanguage property

CurrentRow property

CurrentVersion property

CustomLength property

CustomViewLevel property

CutSelection method

D

DataFileFieldNames property

DataFileName property

DataNames property

DataObjectGetData method

DataObjectGetDataHere method

DateCreatedValue property

DateRevisedValue property

DblUnderline method

DdeLinkManager property

DdeLinks property

DdeLinksFromMarker property

DdeOutboundInfo property

DebugVariable property

Decrement event

DefaultBinName property

DefaultCellStyleDescription property

DefaultColumnStyleName property

DefaultFilePath property

DefaultFrameStyleDescription property

DefaultLatinFont property

DefaultLeftColumnStyleName property

DefaultNonLatinFont property

DefaultPageHeight property

DefaultPageStyleDescription property

DefaultPageWidth property

DefaultPitch property

DefaultRightColumnStyleName property

DefaultTableStyleDescription property

DefaultTextStyleDescription property

DefCellStyleName property

DefColWidth property

Definition property

DefRowHeight property

DeleteButton method

DeleteChars method

DeleteContainer method

DeleteContent method

DeleteContents method

DeleteDivision method

DeleteField method

DeleteFont property

DeleteItem method

DeleteKey method

DeleteLayout method

DeleteMacroAccelerator method

DeleteMarker method

DeleteParallelColumns method

DeleteSection method

DeleteSmartCorrect method

DeleteTab method

DeleteTable method

DeleteVersion method

DemandLoad property

Demote method

DemoteOutlineLevel method

Descent property

Description property

DescriptionFileName property

Deselect method

DeselectRuler method

Destroy method

DestroyDocWindow method

DialogEvent event

DirControl property

DirectionDown property

DirectionLeft property

DirectionRight property

DirectionUp property

DirectiveColor property

DisableClickHeres property

DisableExportToNotes property

DisableVersionReview property

Disconnect method

DisconnectCells method

DistanceFromLeftMargin property

DivideText method

Division property

DivisionInfo property

DivisionName property

DivisionNames property

DivisionOptions property

Divisions property

DivisionsRequired property

DocControl property

DocControlRestrictedToEditor property

DocInfo property

DocOptions property

DocPath property

DocSize property

DocTextSize property

Document property

DocumentClose event

DocumentClosed event

DocumentCreate event

DocumentCreated event

DocumentExport event

DocumentExported event

DocumentImport event

DocumentImported event

DocumentInsert event

DocumentInserted event

DocumentLevel property

DocumentOpen event

DocumentOpened event

DocumentPaths property

DocumentPrint event

DocumentPrinted event

Documents property

DocumentSave event

DocumentSaveAs event

DocumentSaved event

DocumentSavedAs event

DocVersionID property

DocWindows property

DoesMarkerNameMatch method

DoInitialCaps property

DoneWithRightMouseMenu method

DoSmartQuotes property

DoubleClicked event

DoubleUnderline property

DragDropOn property

DriverNameDriverName property

DuplexType property

E

Editable property

EditBoxes method

EditLinkInfo method

EditorAttemptingOpen property

EditorInitials property

EditorManager property

EditorName property

Editors property

EditorVerificationType property

EffectiveColumnWidth property

EMail property

Embed method

Embedded property

EmbedFonts property

EmbedFormula method

EnableControl method

Enabled property

EncryptPassword property

EncryptPassword2 property

EndChange method

EndCustomLines method

Ending method

EndingColOfSelection property

EndingRowOfSelection property

EndnoteDivisionGroupNum property

EndnoteDivisionNum property

EndnoteDocNum property

Endnotes property

EnterClickHere event

EnterLayout event

EnumerateTerm method

Enumeration property

EnvelopePrint method

Epoch property

EqnFontHeight property

ErrorColor property

ExchangeItem method

ExcludeRectBottom property

ExcludeRectLeft property

ExcludeRectRight property

ExcludeRectTop property

ExitClickHere event

Expand method

Expandable property

ExpandOutline method

ExpandOutlineLevel method

ExportAllAsNotesFX method

ExportAsNotesFX method

ExportToNotesFX property

ExternalFileID property

ExternalFileName property

ExternalName property

ExternalType property

ExtractText method

F

FaceNames property

FaceStyleName property

FastFormat method

FastFormatType property

FaxNumber property

FieldDelimiter property

FieldDelimiterText property

FieldManager property

FieldNumber property

Fields property

FieldType property

FileListBoxes method

FileName property

FileProtection property

FileProtectionType property

FilesToCompare property

FileType property

FillerPageText property

FillStyle property

Filter property

FilterHelper property

FilterIndex property

FilterName property

FindAndReplace property

FindCellLayout method

FindClass method

FindExactCase property

FindFont property

FindForwardDirection property

FindParent method

FindString property

FindStyleName property

FindTerm method

FindWithProperties property

First property

FirstChild property

FirstName property

FirstPage property

FitType property

FixAcronymns property

FixBullets property

FixMargins property

Flags property

Font property

FontColor property

FontMetrics property

FontName property

FontSize property

FontStyleName property

FontUnitName property

FontUnits property

Footer property

Footers property

FootnoteContSep property

FootnoteLayouts property

FootnoteNumbering property

FootnoteOptions property

Footnotes property

FootnoteSeparator property

ForceDocToLoad method

Format property

FormatCheck method

FormatCheckAction method

FormatCheckLevel property

FormatCheckPreferences property

FormatCheckReplace method

FormatCheckRule property

FormatCheckSuggestion property

FormatType property

Formula property

Forward method

Foundry property

Frame property

FrameRevert method

Frames property

FrameStyleName property

FrameStyles property

FreeMenus property

FullName property

FXGetNotesString method

FXGetNotesWriteHandle method

FXSetNotesString method

G

GapBetweenPanes property

Get method

GetActiveList method

GetAfidHelpFileName property

GetAfidHelpInfo property

GetButtonId property

GetContents method

GetControlText method

GetControlValue method

GetConversationHandle property

GetCopyFormatCategories method

GetCurrentMarkerName method

GetData method

GetDefaultPageSize method

GetDisplayableFilterName method

GetDocDescription method

GetEnum method

GetEnvelopeDefaults method

GetFileDescription method

GetFilterExtension property

GetFilterExtForDialogBox property

GetFilterId property

GetFormatName property

GetFormula method

GetItemName property

GetLastUsedFilter method

GetLine method

GetLineMix method

GetLineStyle method

GetMarkedText method

GetMispelledWord method

GetNamedProperty method

GetNameFromPage method

GetObjectList method

GetOne method

GetParaNumber method

GetPosition method

GetPowerFieldValue method

GetPrinterInfo method

GetProtectionType method

GetRedoWhatDesc property

GetRGB method

GetRightMouseMenu method

GetServerName property

GetSpellStatus method

GetSpellUserDictStatus method

GetStandardButtonId method

GetStatus property

GetStorageProtectionType method

GetText method

GetTOCProperties method

GetTopicName property

GetUndoWhatDesc property

GetUniqueName method

GetValue property

Glossarize method

GlossaryDataFileName property

GlossaryDataFiles property

GlossaryDataPaths property

GlossaryInsert method

GlossaryOpen method

GlossaryPath property

Glossarys property

GotFocus event

GoTo method

GoToBookmark method

GoToContainer method

GoToIndexLastItemAccessed property

GoToItemName property

GoToLayout method

GotoNextParallelColumn method

GoToObject method

GoToPage method

GoToPageNumber property

GoToSection method

GoToSelection property

GoToTableCell method

GrammarFormalityLevel property

GrammarOptions property

GrammarProofLevel property

GrammarSetName property

Graphic property

GraphicExports property

GraphicImports property

GraphicOleObject property

Graphics property

Green property

Greeting property

GridDistance property

GridType property

GroupDivision method

Groups property

Gutter property

H

HandsOffStorage method

Hang property

HasContents property

HasFocus property

HasLocalTabs property

HasTabs property

Header property

Headers property

Heading property

Height property

Help method

HelpText property

Hidden property

HiddenMode property

Hide method

HideControl method

HideFormula property

HideIconBar method

HideIconBars method

HideOutlineLevels property

HideStatusBar method

HighLightMode property

HighlightToggle method

HiLiteColor property

Hit method

HorizontalSplitWindow property

HorizScrollBarVisible property

HorzRuler property

HourGlass method

Hwnd property

HyphenateLastWordInColumnOrPage property

HyphenateLastWordInPara property

HyphenationOptions property

HyphZoneAfter property

HyphZoneBefore property

I

IconBarManager property

IconBarPositionState property

IconBars property

IconBarSets property

IconHelpText property

IconPath property

IconPaths property

IconSetName property

IconShowingBeforeCleanScreen property

IconSize property

ID property

IdentifierColor property

IgnoreSoftHyphens property

IgnoreTab property

ImportGraphic method

ImportInsert event

ImportInserted event

ImportPicture method

IncludeDirs property

IncludeDrives property

IncludeInitialsInNotes property

IncludeList property

Increment event

Indent property

IndentFromLeft property

IndentStyleName property

IndexAlphabeticSeparator property

IndexDivision property

IndexIndentType property

IndexParent property

IndexPrimaryStyleName property

IndexRange property

IndexSecondaryStyleName property

IndexSection property

IndexSeparatorStyleName property

IndexSource property

InDocument property

InfoBoxSelectionText property

InitalizeRoute property

InitControls method

InitDir property

InitFindAndReplace method

Initialize property

InitialsForFilters property

InsertBreak method

InsertBullet method

InsertClickHere method

InsertColumnBreak method

InsertDate method

InsertDocInfo method

InsertDocument method

InsertField method

InsertFont property

InsertFootnote method

InsertFrame method

InsertHardSpace method

InsertIndex method

InsertionMode property

InsertLink method

InsertMarker method

InsertNote method

InsertNumber method

InsertOleDivision method

InsertOne method

InsertPageBreak method

InsertPageLayout method

InsertPath method

InsertRowOrColumn method

InsertRuby method

InsertTab method

InsertText method

InsertTOC method

Interactive property

InternalCopy method

InternalCut method

InternalPaste method

Interval property

InUseCount property

Invalidate method

InvalidateButton method

InvalidateWholeBar method

IsActionOnButtonDown property

IsActive property

IsAdopted property

IsAmiProTableImport property

IsAsciiCRLF property

IsAsciiKeepStyle property

IsAutoGrow property

IsBadReference property

IsBorder property

IsBothSidesEqual property

IsBottomAligned property

IsBreakable property

IsBubbleHelp property

IsCellMenuEnabled property

IsCentered property

IsChanged property

IsChangedSinceTimeSave property

IsChildSpannable property

IsCollapsed property

IsCollapsible property

IsColumnBreakable property

IsColumnBreakAfter property

IsColumnBreakBefore property

IsComplex property

IsConnected property

IsContentReplaceable property

IsContents property

IsContinuedFrom property

IsContinuedOn property

IsCumulative property

IsDataNameUsed method

IsDebug property

IsDisableWarningMessages property

IsDisplayMisspelled property

IsDivisionExternal property

IsDocLoading property

IsDocumentInRoute property

IsDoubleWordError property

IsDraw property

IsEmpty method

IsEmpty property

IsEmptyDoc property

IsEnabled property

IsEquation property

IsErrorChecking property

IsExpandDown property

IsExpandLeft property

IsExpandRight property

IsExpandUp property

IsExportedAsNotesFX method

IsExportedToNotesFX property

IsExportedToOldNotesFX property

IsExternalFile property

IsFilterTypePresent method

IsFixedLength property

IsFooter property

IsFrameMenuEnabled property

IsGrabBar property

IsGrammarError property

IsGraphicMenuEnabled property

IsHangover property

IsHeader property

IsHiddenMark property

IsHideHeaderFooter property

IsHighlightNote property

IsHonorProtected property

IsHorizontalScrollBarCleanScrn property

IsHoverHelp property

IsIconDepressible property

IsInBulletEditMode property

IsIndex property

IsInDraft property

IsInOutline property

IsInPageSort property

IsIntersectSiblings property

IsItemSelected method

IsLastStop property

IsLesser property

IsLinked property

IsLocal property

IsLockedForRevisions property

IsLotusChart property

IsMarginSameAsParent property

IsMarginsInColor property

IsMarkerEqualToSelection method

IsMarkerValid property

IsMirrorImage property

IsMisspelled property

IsNotCopyable property

IsNotCopyImage property

IsNotGroupable property

IsNoUICommAllowed property

IsOnClipBoard property

IsOpen property

IsOverridden property

IsOverride property

IsPageBreak property

IsPageBreakAfter property

IsPageBreakBefore property

IsPageBreakMarks property

IsPageBreakWithin property

IsParaDemandLoad property

IsParagraphNumberingDown property

IsParallelColumnsMenuEnabled property

IsPartOfGroup property

IsPersistent property

IsPointWithin method

IsPrePrintedForm property

IsPrintable property

IsPrintClickHereBlocks property

IsPrintInBackground property

IsPrivate property

IsProtected property

IsRegistered property

IsRepeat property

IsReplaceable property

IsReplacement property

IsResetParagraphNumber property

IsRevision property

IsRevisionMark property

IsSame property

IsSave property

IsScalable property

IsScalableBorder property

IsScripting property

IsScrollable property

IsShowing property

IsSingleClickEntry property

IsSizable property

IsSizingViaMouse property

IsSmartCorrectEnabled property

IsSmartShadeEnabled property

IsSnapTo property

IsSortFromEnd property

IsSpellBarUp property

IsSpellMode property

IsSqueeze property

IsStyleSheet property

IsTableHeading property

IsTemp property

IsTemporary method

IsTextLocked property

IsTextMenuEnabled property

IsTOC property

IsTrueType property

IsUndoOn property

IsUpdateAutomatic property

IsUpdateIndex property

IsUpdateTOC property

IsValid property

IsVerticalScrollBarCleanScrn property

IsViewAnchor property

IsViewBookmarks property

IsViewClickHereBlocks property

IsViewColGuides property

IsViewColumnBreakMarks property

IsViewDDELinks property

IsViewHorzRuler property

IsViewHorzScrollBar property

IsViewMenuCleanScrn property

IsViewNotes property

IsViewOutlineFlowToScreen property

IsViewOutlineIndent property

IsViewPageLayoutMarks property

IsViewParallelColumnBorder property

IsViewPictures property

IsViewReturnIconCleanScrn property

IsViewReturns property

IsViewRulerMarks property

IsViewSectionBreakMarks property

IsViewSectionTabs property

IsViewSmartIconsCleanScrn property

IsViewStatusBarCleanScrn property

IsViewTableGridLines property

IsViewTableHeadings property

IsViewTabs property

IsViewThumbBarCleanScrn property

IsViewTitleBarCleanScrn property

IsViewVertRuler property

IsViewVertScrollBar property

IsWMCommandValid method

IsWordProChart property

IsWorkingDir property

Italic method

Italic property

Item method

Items property

J

Join property

JoinCorners property

JoinHeight property

JoinType property

JoinWidth property

Justifiable property

K

KeepWithNext property

KeepWithPrev property

KeyboardLanguage property

KeyStroke event

KeywordColor property

Keywords property

Kinsoku property

L

Labels method

LandscapeMode property

Language property

Last property

LastChild property

LastDocPath property

LastEditorName property

LastGraphicPath property

LastGraphicType property

LastMacroPath property

LastName property

LastPage property

LastUsedDateFormula property

Layout property

LayoutName property

LayoutOverride property

Layouts property

LeaderDotDashChar property

LeaderDotDotChar property

LeaderDotType property

LeaderDotUnderscoreChar property

LeadingText property

Left property

LeftBorder property

LeftExternalMargin property

LeftIntArea property

LeftPage property

LeftTopCellId property

Length property

Level property

LineCount property

LineLocation property

LineMix property

LineNumberOptions property

LinePlacement property

LinesSpacedEveryNthUnit property

LineValid property

Link method

LinkAvailable property

LinkDisplayName property

LinkDisplayNameFileLength property

Linked property

LinkedFileName property

LinkGraphic property

ListBoxes method

ListCount property

LoadFilesMaximized property

Localize method

Location property

Locked property

LockForNotesUserName property

LockResult property

Locks property

LostFocus event

LowerCase method

LowerCase property

LowerCaseAscent property

LwpMenuBar property

M

Macro property

MacroAppend method

MacroCancel method

MacroCompile method

MacroEndRecord method

MacroName property

MacroPath property

MacroPaths property

MacroPlay method

MacroQuickPlay method

MacroQuickRecord method

MacroRecord method

MacroResume method

MacroRun method

MacroStatus property

MailDocument method

MailRouteingPtr property

MailRouting property

MaintainAspectRatio property

MaintainEditor property

MakeTableFromText method

MakeUniqueLinkName method

ManualFrame method

ManualTable method

MarginBottom property

MarginColor property

MarginLeft property

MarginRight property

MarginTop property

MarkCharacter property

MarkerClass property

MarkerName property

Markers property

MarkPosition property

MarkRevisionInsert method

MarkType property

Master property

MasterName property

MatchType property

MaxBottomBorder property

MaxBottomGutter property

MaxContentHeight property

MaxContentWidth property

MaxHorzPaneDistance property

MaxHyphLines property

MaxIdenticalConsecSentOpens property

MaxIdenticalSentOpensWithin10 property

Maximize method

MaximizeOnStartUp property

MaximumWordsinaSentence property

MaxLeftBorder property

MaxLeftGutter property

MaxLength property

MaxNumColsAllowed property

MaxNumRowsAllowed property

MaxRightBorder property

MaxRightGutter property

MaxSplitCols property

MaxSplitRows property

MaxTopBorder property

MaxTopGutter property

MaxVertPaneDistance property

Merge method

MergeContinue method

MergeInfoPtr property

MergeOptions property

MergeSetDataFile method

MergeStart method

MergeStepNumber property

Messages method

MinBottomMargin property

MinHeight property

Minimize method

MinLeftMargin property

MinRightMargin property

MinTopMargin property

MirrorPage method

Modal property

ModifiedDateString property

ModifiedTimeString property

ModifiedTimeValue property

MorphSelectionToTable method

MostRecentVersion method

MouseButtonForManipulation property

MouseButtonForSelection property

MouseDown event

MouseProperty property

MouseUp event

Moved event

MoveDivision method

MoveDown method

MoveItem method

MoveParagraph method

MoveToBack method

MoveToEnd method

MoveToFront method

MoveToStart method

MoveUp method

MultiCellPasteOn property

MultiCompareParaTag property

MultiCompareParaTagSet property

N

Name property

NameBasedOnStyle property

NameForFilters property

Negative property

NewDivision method

NewDocMacroName property

NewDocument method

NewFile property

NewItem method

NewVersion property

NewWindow method

Next method

NextClickHere property

NextItem method

NextName property

NextNeighbor property

NextSection property

NextStyleName property

NextText property

NextVersion method

NoHyphenate property

Normal property

NormalParagraph property

NormalText method

NoteColor property

NoteLayouts property

NotesFlow property

Number property

NumberEveryNthLine property

NumberFound property

Numbering property

NumberingPosition property

NumberingStyleName property

NumberOfCharacters property

NumberOfReplacements property

NumberOfRevisions property

NumberOfVersions method

NumberSequenceName property

NumberWhichLines property

NumCharsInDoc property

NumCharsInParagraph property

NumCols property

NumColsSpannedOneCell property

NumContainers property

NumDecimalPlaces property

NumericFormat property

NumFields property

NumLinesOfSpace property

NumLinesOfSpaceAbove property

NumLinesOfSpaceBelow property

NumOfRecentFiles property

NumPagesInDoc property

NumParagraphs property

NumRows property

NumRowsSpannedOneCell property

NumRowsThatFit property

NumRowsToFit property

NumTabs property

NumUndoLevels property

NumWindowsViewingDoc property

NumWordsInDoc property

O

Object property

ObjectType property

Oblique property

Offset property

OleContainerDocName property

OleObject property

OleObjects property

Open method

OpenDataFile method

OpenDocMacroName property

OpenDocsVisible property

OpenDocument method

Opened event

OpenExisingFileInWelcomeBox property

OpenFromStorage method

OpenObject method

OpenReadOnly property

OpionDeclare property

Options property

OrigFileType property

OrigHeight property

OrigWidth property

Outline property

OutlineBorderLines property

OutlineButtons property

OutlineHeadingButtonsOnly property

OutlineLevel property

OutlineMoveTextDown method

OutlineMoveTextUp method

OutlineOnlyHeadingsWhenCollapsed property

OutlineSeqItems property

OutlineStyleSequence method

OutlineStyleSequences property

OutputToFile property

Override property

Overstrike property

OverstrikeCharacter property

P

Page property

PageDown method

PageNo property

PageNum property

PageNumber property

PageNumberAsText property

PageNumberStyle property

PageNumFirstPageShowing property

PageNumLastPageShowing property

PageOrder property

Pages property

PageStyleName property

PageStyles property

PageToUseLayoutOn property

PageUp method

PairKerning property

PaneColor property

PaperNames property

ParagraphBorder property

ParagraphStyle property

ParagraphStyleName property

ParagraphStyles property

ParagraphSymbolChar property

ParallelColumns property

Parent property

ParentMenuHWND property

ParentName property

Partial property

PasteLink method

PasteSpecial method

Path property

PathName property

Pattern property

PColConnectCells method

PColConnectRows method

PColDisconnectCells method

PColSelectColumn method

PColSelectRow method

PColSelectTable method

Percentage property

PersonalData1 property

PersonalData2 property

PersonalData3 property

PersonalData4 property

PhoneNumber property

PitchAndFamily property

Play method

PointSize property

Position property

PositionType property

PositionXInContainer property

PositionXOnPage property

PositionYInContainer property

PositionYOnPage property

PowerField property

PowerFields property

PreClose event

Preferences property

Prefix property

PrepareToDestroy method

PrePrint event

Present method

Presentation property

PrettyPrinting property

Previous method

PreviousClickHere property

PreviousName property

PreviousNeighbor property

PreviousVersion method

PrintDestination property

PrintDocDescription property

Printed event

PrinterName property

PrintGraphics property

PrintInBackground property

PrintManager property

PrintOut method

PrintPagesFrom property

PrintPagesTo property

PrintPageType property

PrintRange property

PrintSettings property

ProcessAccelKey method

Promote method

PromoteOutlineLevel method

Prompt property

PromptHidden property

ProtectedMode property

Purge method

Q

Query method

QueryDrop method

QueueName property

QuickAlignFrame method

QuickAlignTable method

Quit event

Quit method

R

RadioButtons method

Read method

ReadOnly property

Red property

Redo method

Refresh method

RegisterWPDataSet method

Relative property

RelativeIndent property

RelativePageNum property

RelativeType property

RelativeXDistance property

RelativeYDistance property

Release method

Reload method

Remove method

RemoveBookmark method

RemoveChildFromLayout method

RemoveDataFile method

RemoveDdeLink method

RemoveDepOnDocFile method

RemoveDivision method

RemoveEditor method

RemoveItem method

RemoveNamedProperty method

RemovePersistentAccelerators method

RemovePowerField method

RemoveProperty method

Render method

RenderClipBitmap method

RenderClipDIB method

RenderClipMetafile method

RenderClipPalette method

RenderedPageNumber property

Replace method

ReplaceAll method

ReplaceAttributes property

ReplaceCmd method

ReplaceExactCase property

ReplaceFont property

ReplaceLanguage property

Replacements property

ReplaceString property

ReplaceStyleName property

ReplaceWithProperties property

RequestAndProcessData method

RequestRemarkOnClose property

RequireStartupScripts property

Reset method

ResetFindAndReplace method

ResetOnEachPage property

ResetWhen property

Resize method

Rest property

RestartStyleName property

Restore method

Result property

ResumePausedMacro property

RetrieveInternetFile method

RetrieveInternetFileAndOpen method

RevertToSaved method

RevertToStyle method

ReviewVersions method

ReviewVersions property

ReviseAcceptAll method

ReviseCancelAll method

RevisionAccept method

RevisionAcceptLayoutChange method

RevisionCancel method

RevisionCancelLayoutChange method

RevisionDisplay property

RevisionMark property

RevisionMarkMode property

RevisionType property

RevMarkCharacter property

RevMarkPosition property

RevMarkType property

Right property

RightAlign property

RightBorder property

RightExternalMargin property

RightIntArea property

RightMouseMenus property

RightMousePropId property

RightMousePropText property

RightPage property

RotationAngle property

RowLayouts property

Rows property

RubyLayouts property

Run method

RunAutoNewMacro method

RunAutoOpenMacro method

RunMacroOnDocEvents property

RunMacroOnLoad property

RunOnCloseDoc property

RunOnNewDoc property

RunOnOpenDoc property

RunScript method

S

Save event

Save method

SaveAs event

SaveAs method

Saved event

Saved property

SavedAs event

SaveData method

SaveDivision method

SaveEnvelopeMaster method

SaveGlossary method

SaveMacro method

SaveSnapshot method

SaveSnapShot property

SaveToStorage method

SaveToStorageComplete method

SaveUserDefaults method

SaveVersion method

ScaleHeight property

ScaleMode property

ScalePercentage property

ScaleWidth property

ScreenPositionX property

ScreenPositionY property

Script property

ScriptName property

SearchAttributes property

SearchLanguage property

Section property

SectionName property

Sections property

SectionTabs property

Select method

SelectAStyle method

SelectCell method

SelectColumn method

SelectCount property

SelectCustomIcon method

SelectDoc method

SelectedPages property

SelectEntireCellRange method

SelectEntireColumn method

SelectEntirePCol method

SelectEntirePColCellRange method

SelectEntirePColColumn method

SelectEntirePColRow method

SelectEntireRow method

SelectEntireTable method

SelectionBorderColor1 property

SelectionBorderColor2 property

SelectionBorderColor3 property

SelectionHidden property

SelectionType property

SelectItem method

SelectItemString method

SelectMarker method

SelectParagraph method

SelectPColCell method

SelectRow method

SelectRuler method

SelectSection method

SelectSentence method

SelectStandardIcon method

SelectTab property

SelectTable method

SelectTableItem method

SelectType property

SelectWord method

SendFrameToBack method

SendFrameToBackOne method

SendMailSelectedText method

ServerFormat property

SetButtonText method

SetControlText method

SetControlValue method

SetData method

SetDocumentEpoch method

SetFieldFormula method

SetFocus method

SetFormula method

SetLastUsedFilter method

SetLineOneSide method

SetLinesAllSides method

SetLinkSource method

SetMinimumOrigin method

SetNamedProperty method

SetOverrideGraphic method

SetOverrideText method

SetPattern method

SetPopupAlignment method

SetPopupIndex method

SetPopupWidth method

SetPopupWidthType method

SetPowerFieldValue method

SetRGB method

SetStorage method

SetStyle method

SetTabsDialog property

SetTOCProperties method

Shade method

Shadow property

Show method

ShowContainers method

ShowCursor method

ShowDivisionTabs property

ShowGraphicPreview property

ShowHiddenText property

ShowIconBars method

ShowInContext property

ShowMailDisabled property

ShowNoWelcomeBox property

ShowScrollBars method

ShowStatistics property

ShowStatusBar method

ShowTabs property

SilverBullet property

SilverBullets property

SimulateButtonClick method

Size property

SizeStyleName property

SizingUnitName property

SizingUnits property

Skip method

Skipped property

SkipWordMode property

SmallCaps method

SmallCaps property

SmallFileFormat property

SmartCorrect property

SmartLevel property

SmartSumColumn method

SmartSumRow method

SnapshotOffset property

SnapshotPath property

SnapShotSaveOptions property

SnapshotSize property

SortLevel1 property

SortLevel2 property

SortLevel3 property

SortNumbers property

SortOptions property

SortOrder property

SortParagraphs method

SortType property

SortWord property

SortWordOption property

SpaceAbove property

SpaceBelow property

SpacesBetweenSentences property

Spacing property

SpacingStyleName property

SpacingUnitName property

SpacingUnits property

SpellAddToUserDict method

SpellCheckIncludesOtherTextStreams property

SpellCheckInitialCaps property

SpellCheckRepeatedWords property

SpellCheckStartsAtBeginning property

SpellCheckUserDictAlternatives property

SpellCheckWordsWithNums property

SpellClearSkippedWords method

SpellColor property

SpellFocusedColor property

SpellMarkSkippedWords method

SpellSkipAll method

SpellWord method

Split method

SplitParagraph method

SplitPercentage property

SRReplace method

Start method

Start property

StartColumns property

StartEditMergeData method

StartEnvelopeDiv method

StartFieldInsert method

StartingColOfSelection property

StartingColStringOfSelection property

StartingNumber property

StartingRowOfSelection property

StartRow property

StateID property

StatusBar property

StatusBarButtonClicked event

StatusBarButtonFillPopupList event

StatusBarButtonItemSelected event

StatusBarButtonOverrideGraphic event

StatusBarButtonOverrideText event

StatusBarButtonOverrideTextAndGraphic event

StatusBarButtons property

StatusBarVisible property

StoreInternetFile method

StrikeThru method

Style property

StyleExceptions property

StyleName property

StylePath property

StylePaths property

StyleSheetFullPath property

StyleSheetName property

StyleSheetPath property

SubScript method

Subscript property

Suffix property

Suggestions property

Sum method

SuperScript method

Superscript property

SuperTableContainer property

SuperTableLayouts property

SuperTables property

SuppressHeaders property

System property

T

TabExits property

Table property

TableContainer property

TableExports property

TableFill property

TableHeadingLayouts property

TableHeadings property

TableImports property

TableLayouts property

TableLine property

TableMarkers property

TableOnlyContainer property

Tables property

TableStyleName property

TableStyles property

TabOrder property

TabRack property

TabRelativeTo property

TabSpacing property

TabSymbolChar property

TabType property

TabWidth property

TeamMail method

TempFindAndReplace property

TempFoundry property

TerminateFormatCheck method

Text property

TextandTableExports property

TextandTableImports property

TextAttributes property

TextMarkers property

TextNumber method

TextOrient property

TextOrientation property

Texts property

TextStyleName property

TextStyles property

TextTightness property

TextViewAttributes property

TheoreticalScaledSize method

ThesMaxNumSynonymsReturned property

Tile method

TileWindow property

TileWindowHorz method

TileWindowVert method

Time property

TimedSave method

TimedSaveFileExtension property

TimerTick event

Title property

TitleBarDocNumber property

TitleBarVisible property

TOCNumEntries property

TOCRange property

TOCSource property

ToggleIconBar method

Top property

TopBorder property

TopExternalMargin property

TopIntArea property

TopLeftCellRowId property

TotalEditingTime property

TrailingText property

Type method

Type property

TypeAbove property

TypeBelow property

TypeRight property

Typos property

U

Underline method

Underline property

Undo method

UndoEnable property

UndoLevels property

UndoRedo method

Units property

UnregisterWPDataSet method

Update method

UpdateFields property

UpdateIndexSection method

UpdateLink method

UpdateOle method

UpdateOnLoad property

UpdateOnLoadImmediate property

UpdatePageSizeChange method

UpdatePowerFields method

UpdatePrinterChanges method

UpdateSelectedFields method

UpdateTOC method

UpperCase method

UpperCase property

UseConsistentSpaceBetweenSentences property

UseContents property

UseDefaultPrinter property

UsedFirstPageHeight property

UseEncrypt property

UseExcludeRect property

UseFindStyle property

UseFooter property

UseGreeting property

UseHeader property

UseNextStyle property

UsePrinterSettings property

UserClassNameApp property

UserClassNameFull property

UserClassNameShort property

UserDictFiles property

UserDictionaryFiles property

UserDictionaryPath property

UserDictionaryPaths property

UserDictStates property

UseRelative property

UseReplaceStyle property

UserInitials property

UserInterfacePrefs property

UserLinkName property

UserName property

UserPassword property

UseSeparatorLine property

UsesHelp property

UsesPalette property

UseSuperscriptReferenceNum property

UseTwoSpacesBetweenSentences property

UseWhen property

V

Valid property

ValidateValue method

Value property

VerificationResult property

VersionID property

VersionManager property

VersionName property

VersionRemarks property

Versions property

VertAlign property

VerticalSplitWindow property

VertRuler property

VertScrollBarVisible property

ViewLevel property

ViewType property

Visible property

W

WasDeletedInRevMarkMode property

WasInsertedInRevMarkMode property

WasPasted property

Weight property

Where property

WidowOrphan property

Width property

WidthAbove property

WidthBelow property

WidthInTwips property

WidthOfColumn property

WindowId property

WindowsName property

WinViewPrefs property

WithComments property

WMCommand event

WMCommand method

WordDoubleUnderline property

WordUnderline method

WordUnderline property

WorkingType property

WPDataSets property

WrapType property

Write method

X

XOffset property

XPosition property

Y

YOffset property

YPosition property

Z

Zero property

ZipCode property


Word Pro Methods

A

Abandon

Activate

Add

AddAccelerators

AddBookmark

AddChildToLayout

AddDdeLink

AddDivision

AddDivisionToPrint

AddEditorManager

AddField

AddIndexEntry

AddItem

AddItemIndex

AddLayoutOverride

AddListBoxText

AddOutlineSequenceItem

AddPopupGraphicItem

AddPopupPointSizeItem

AddPopupTextItem

AddSectionTabs

AddSmartCorrect

AddTOCEntry

AddVerbMenu

AdjustShade

Adopt

AdviseOnRename

AdviseOnSave

Anchor

AnswerMsgBox

AnyEdits

AppendMacro

B

Backspace

BeginChange

BeginCustomLines

Bisect

Bold

BreakLink

BringFrameToFront

BringFrameToFrontOne

Buttons

C

CalcSmartLevels

CalculateSmartLevels

Cancel

CanHaveFootnotes

Cascade

CascadeWindow

CellLayout

CellRevert

ChangeAllEditsToEditor

ChangeSmartMaster

CheckBoxes

ChgLineStyle

ClearAll

ClearDivisionList

ClearInternalSpellInfo

ClearParaRevisionTags

ClearPopupData

ClearSplits

ClearUpdate

Clickers

CloseAll

CloseDocWindow

CloseMergeDataFile

CloseObject

CombineDivisions

CombineSections

ComboBoxes

CompareFiles

Configure

Connect

ConnectCells

ConnectContainer

ConnectRows

ConnectSectionTabs

Contract

ContractOutlineLevel

ConvertToClass

CopyItem

CopyMeaning

CopySelection

CreateDataFile

CreateDivision

CreateDocument

CreateExternalDivision

CreateFrame

CreateFromBitmap

CreateFromClipBrd

CreateFromDataObject

CreateFromMetafile

CreateGlossary

CreateGlossaryEntry

CreateGraphic

CreateNew

CreateNewButton

CreateOleEmbeddedFile

CreateOleLinkedFile

CreateOleNew

CreateParallelColumns

CreateRemark

CreateTable

CreateVersion

CutSelection

D

DataObjectGetData

DataObjectGetDataHere

DblUnderline

DeleteButton

DeleteChars

DeleteContainer

DeleteContent

DeleteContents

DeleteDivision

DeleteField

DeleteItem

DeleteKey

DeleteLayout

DeleteMacroAccelerator

DeleteMarker

DeleteParallelColumns

DeleteSection

DeleteSmartCorrect

DeleteTab

DeleteTable

DeleteVersion

Demote

DemoteOutlineLevel

Deselect

DeselectRuler

Destroy

DestroyDocWindow

Disconnect

DisconnectCells

DivideText

DoesMarkerNameMatch

DoneWithRightMouseMenu

E

EditBoxes

EditLinkInfo

Embed

EmbedFormula

EnableControl

EndChange

EndCustomLines

Ending

EnumerateTerm

EnvelopePrint

ExchangeItem

Expand

ExpandOutline

ExpandOutlineLevel

ExportAllAsNotesFX

ExportAsNotesFX

ExtractText

F

FastFormat

FileListBoxes

FindCellLayout

FindClass

FindParent

FindTerm

ForceDocToLoad

FormatCheck

FormatCheckAction

FormatCheckReplace

Forward

FrameRevert

FXGetNotesString

FXGetNotesWriteHandle

FXSetNotesString

G

Get

GetActiveList

GetContents

GetControlText

GetControlValue

GetCopyFormatCategories

GetCurrentMarkerName

GetData

GetDefaultPageSize

GetDisplayableFilterName

GetDocDescription

GetEnum

GetEnvelopeDefaults

GetFileDescription

GetFormula

GetLastUsedFilter

GetLine

GetLineMix

GetLineStyle

GetMarkedText

GetMispelledWord

GetNamedProperty

GetNameFromPage

GetObjectList

GetOne

GetParaNumber

GetPosition

GetPowerFieldValue

GetPrinterInfo

GetProtectionType

GetRGB

GetRightMouseMenu

GetSpellStatus

GetSpellUserDictStatus

GetStandardButtonId

GetStorageProtectionType

GetText

GetTOCProperties

GetUniqueName

Glossarize

GlossaryInsert

GlossaryOpen

GoTo

GoToBookmark

GoToContainer

GoToLayout

GotoNextParallelColumn

GoToObject

GoToPage

GoToSection

GoToTableCell

GroupDivision

H

HandsOffStorage

Help

Hide

HideControl

HideIconBar

HideIconBars

HideStatusBar

HighlightToggle

Hit

HourGlass

I

ImportGraphic

ImportPicture

InitControls

InitFindAndReplace

InsertBreak

InsertBullet

InsertClickHere

InsertColumnBreak

InsertDate

InsertDocInfo

InsertDocument

InsertField

InsertFootnote

InsertFrame

InsertHardSpace

InsertIndex

InsertLink

InsertMarker

InsertNote

InsertNumber

InsertOleDivision

InsertOne

InsertPageBreak

InsertPageLayout

InsertPath

InsertRowOrColumn

InsertRuby

InsertTab

InsertText

InsertTOC

InternalCopy

InternalCut

InternalPaste

Invalidate

InvalidateButton

InvalidateWholeBar

IsDataNameUsed

IsEmpty

IsExportedAsNotesFX

IsFilterTypePresent

IsItemSelected

IsMarkerEqualToSelection

IsPointWithin

IsTemporary

IsWMCommandValid

Italic

Item

J

K

L

Labels

Link

ListBoxes

Localize

LowerCase

M

MacroAppend

MacroCancel

MacroCompile

MacroEndRecord

MacroPlay

MacroQuickPlay

MacroQuickRecord

MacroRecord

MacroResume

MacroRun

MailDocument

MakeTableFromText

MakeUniqueLinkName

ManualFrame

ManualTable

MarkRevisionInsert

Maximize

Merge

MergeContinue

MergeSetDataFile

MergeStart

Messages

Minimize

MirrorPage

MorphSelectionToTable

MostRecentVersion

MoveDivision

MoveDown

MoveItem

MoveParagraph

MoveToBack

MoveToEnd

MoveToFront

MoveToStart

MoveUp

N

NewDivision

NewDocument

NewItem

NewWindow

Next

NextItem

NextVersion

NormalText

NumberOfVersions

O

Open

OpenDataFile

OpenDocument

OpenFromStorage

OpenObject

OutlineMoveTextDown

OutlineMoveTextUp

OutlineStyleSequence

P

PageDown

PageUp

PasteLink

PasteSpecial

PColConnectCells

PColConnectRows

PColDisconnectCells

PColSelectColumn

PColSelectRow

PColSelectTable

Play

PrepareToDestroy

Present

Previous

PreviousVersion

PrintOut

ProcessAccelKey

Promote

PromoteOutlineLevel

Purge

Q

Query

QueryDrop

QuickAlignFrame

QuickAlignTable

Quit

R

RadioButtons

Read

Redo

Refresh

RegisterWPDataSet

Release

Reload

Remove

RemoveBookmark

RemoveChildFromLayout

RemoveDataFile

RemoveDdeLink

RemoveDepOnDocFile

RemoveDivision

RemoveEditor

RemoveItem

RemoveNamedProperty

RemovePersistentAccelerators

RemovePowerField

RemoveProperty

Render

RenderClipBitmap

RenderClipDIB

RenderClipMetafile

RenderClipPalette

Replace

ReplaceAll

ReplaceCmd

RequestAndProcessData

Reset

ResetFindAndReplace

Resize

Restore

RetrieveInternetFile

RetrieveInternetFileAndOpen

RevertToSaved

RevertToStyle

ReviewVersions

ReviseAcceptAll

ReviseCancelAll

RevisionAccept

RevisionAcceptLayoutChange

RevisionCancel

RevisionCancelLayoutChange

Run

RunAutoNewMacro

RunAutoOpenMacro

RunScript

S

Save

SaveAs

SaveData

SaveDivision

SaveEnvelopeMaster

SaveGlossary

SaveMacro

SaveSnapshot

SaveToStorage

SaveToStorageComplete

SaveUserDefaults

SaveVersion

Select

SelectAStyle

SelectCell

SelectColumn

SelectCustomIcon

SelectDoc

SelectEntireCellRange

SelectEntireColumn

SelectEntirePCol

SelectEntirePColCellRange

SelectEntirePColColumn

SelectEntirePColRow

SelectEntireRow

SelectEntireTable

SelectItem

SelectItemString

SelectMarker

SelectParagraph

SelectPColCell

SelectRow

SelectRuler

SelectSection

SelectSentence

SelectStandardIcon

SelectTable

SelectTableItem

SelectWord

SendFrameToBack

SendFrameToBackOne

SendMailSelectedText

SetButtonText

SetControlText

SetControlValue

SetData

SetDocumentEpoch

SetFieldFormula

SetFocus

SetFormula

SetLastUsedFilter

SetLineOneSide

SetLinesAllSides

SetLinkSource

SetMinimumOrigin

SetNamedProperty

SetOverrideGraphic

SetOverrideText

SetPattern

SetPopupAlignment

SetPopupIndex

SetPopupWidth

SetPopupWidthType

SetPowerFieldValue

SetRGB

SetStorage

SetStyle

SetTOCProperties

Shade

Show

ShowContainers

ShowCursor

ShowIconBars

ShowScrollBars

ShowStatusBar

SimulateButtonClick

Skip

SmallCaps

SmartSumColumn

SmartSumRow

SortParagraphs

SpellAddToUserDict

SpellClearSkippedWords

SpellMarkSkippedWords

SpellSkipAll

SpellWord

Split

SplitParagraph

SRReplace

Start

StartEditMergeData

StartEnvelopeDiv

StartFieldInsert

StoreInternetFile

StrikeThru

SubScript

Sum

SuperScript

T

TeamMail

TerminateFormatCheck

TextNumber

TheoreticalScaledSize

Tile

TileWindowHorz

TileWindowVert

TimedSave

ToggleIconBar

Type

U

Underline

Undo

UndoRedo

UnregisterWPDataSet

Update

UpdateIndexSection

UpdateLink

UpdateOle

UpdatePageSizeChange

UpdatePowerFields

UpdatePrinterChanges

UpdateSelectedFields

UpdateTOC

UpperCase

V

ValidateValue

W

WMCommand

WordUnderline

Write

X

Y

Z


Word Pro Properties

A

Abilities

AbsoluteOn

AbsoluteXPos

AbsoluteYPos

Accelerators

AccessRights

Action

Active

ActiveDocument

ActiveDocWindow

ActualName

AddEnvelopeReturnAddress

Address1

Address2

Alignment

AlignmentChar

AlignmentType

AlignStyleName

All

AllBorders

AllowAlternateVerification

AlternateName

Always

Amikake

AmikakeName

Amount

AmountOfSpaceAbove

AmountOfSpaceBelow

AmtTether

AmtToRotateContent

AmtToTetherFrom

AnyNumber

AnyOleObjects

AppFoundry

Application

ApplicationWindow

ApplyAdjectivePos

ApplyAdjectNounPart

ApplyAgreementWithHereThere

ApplyAnglicisms

ApplyArchaicExpressions

ApplyArticleAgreement

ApplyBadComparatives

ApplyBadInflection

ApplyBadNoun

ApplyBadNounGender

ApplyBadPlural

ApplyBadPrepositions

ApplyBelgianExpression

ApplyBorrowedForeign

ApplyBureuaJargon

ApplyCalque

ApplyCapitalizationCheck

ApplyClauseErrors

ApplyCliches

ApplyColloquialExpression

ApplyCommonlyConfusedWords

ApplyCommonMisspell

ApplyComplexWords

ApplyConfusedEasy

ApplyConfusedEnglish

ApplyConfusedHard

ApplyConfusedMedium

ApplyConfusedVerb

ApplyConsecutiveNouns

ApplyContractions

ApplyDerogatory

ApplyDifferentPrep

ApplyDoubleNegative

ApplyDoublePlural

ApplyDoubleWordCheck

ApplyElision

ApplyEnglishDerived

ApplyEnglishWords

ApplyExotic

ApplyExtraPrepositionCheck

ApplyFalseFriend

ApplyFemaleOccupation

ApplyFixedExpression

ApplyForeignWord

ApplyFormalTerms

ApplyFormatErrors

ApplyGallicisms

ApplyGenderExpressions

ApplyGermanisms

ApplyHomoGraphs

ApplyHomonyms

ApplyHomonymsEasy

ApplyHomonymsHard

ApplyHomoPhone1

ApplyHomoPhone2

ApplyHomoPhones

ApplyIncorrectPlural

ApplyInformalExpressions

ApplyJargonWords

ApplykSplitInfinitives

ApplyLowercaseAdjective

ApplyLowercaseColor

ApplyLowercaseNumbers

ApplyLowercasePhrases

ApplyLowercasePronouns

ApplyMassVsCount

ApplyMisspelledExpressions

ApplyMisspelledForeignExpressions

ApplyMisspelledItalian

ApplyMisspelledWords

ApplyMisusedWords

ApplyNonStandardExpression

ApplyNonStandardModifiers

ApplyNoudModifierOrderCheck

ApplyNounConsistency

ApplyNounPhraseAgree

ApplyNSAdjective

ApplyNSClause

ApplyNSCompare

ApplyNSContract

ApplyNSGeography

ApplyNSInflection

ApplyNSNegation

ApplyNSPrep

ApplyNSPronoun

ApplyNSSpell

ApplyNSUsage

ApplyNSVerbForm

ApplyOpenClosedSpelling

ApplyOpenUsage

ApplyOverusedPhrases

ApplyPassiveVerbErrors

ApplyPostClitAgree

ApplyPrepExpression

ApplyPrepositionalPhrases

ApplyPretentiousWords

ApplyPronounErrors

ApplyPunctuationErrors

ApplyRedundantExpressions

ApplyRegionalExpression

ApplyRelatedWord

ApplySensitiveExp

ApplySexistExpressions

ApplySpellStandard

ApplyStockPhrase

ApplyStyleParameters

ApplySubjectVerbAgreement

ApplyTrite

ApplyTwoGender

ApplyTypicalMisspell

ApplyUnGrammaticalExpressions

ApplyVagueQuantifiers

ApplyVerbGroupConsistency

ApplyWeakModifiers

ApplyWordChoice

ApplyWordCompoundingCheck

ApplyWordConfusion

ApplyWordGender

ApplyWordParts

ApplyWordyPhraseCheck

AppViewPrefs

Archive

AreDisabledIconsGrayed

Ascent

AsciiCRLFType

AtBeginning

AtBeginningOfLine

AtBeginningOfObject

AtBeginningOfParagraph

AtBeginningOfStream

AtBeginningOfWord

AtEnd

AtEndOfLine

AtEndOfObject

AtEndOfParagraph

AtEndOfStream

AtEndOfWord

Attributes

AttrStyleName

AuthorName

AutoBackup

AutoHyphenate

AutomaticLink

AutoRunMacro

AutoSave

AutoSaveMinutes

AutoVersion

B

BackColor

Background

BackgroundPrintingOn

BackupPath

BackupPaths

Bags

BarSide

BarType

BaseLineOffset

BaseTable

BinName

BinNames

BlockPaint

Blue

BodyOnly

Bold

BookmarkManager

Bookmarks

BookmarksByMarkerName

BorderLines

BorderOffset

BorderStyleName

BottomBorder

BottomExternalMargin

BottomIntArea

Breaks

BreaksStyleName

Bullet

BulletFonts

BulletStyleName

C

CanEditProperty

CanEmbed

CanWePrint

Caption

Case

Cell

CellEngine

CellEngines

CellLayout

CellLayouts

CellLayoutStyles

CellStyleName

CenteredHorz

CenteredVert

Changed

CharacterBorder

CharacterBorderName

CharacterSet

CharacterSetName

CharacterStyle

CharacterStyleName

CharacterStyles

CharSet

Checked

CheckForScriptEnumError

CheckForScriptPropertyError

ChildLayouts

CityState

ClassName

CleanScreenMode

CleanScreenOnStartUp

ClickHerePrompts

ClickHeres

ClientHeight

ClientWidth

ClientWndHeight

ClientWndWidth

CloseDocMacroName

CodePage

Collapsible

Collate

Color

ColorOverride

ColumnBalance

ColumnGap

ColumnLayouts

ColumnNumber

ColumnWidth

CommentColor

Company

Condition

ConditionType

ConnectedLayouts

ContactUponPermissionDenied

Container

Content

ContentHeight

ContentLayouts

ContentName

Contents

ContentStyleName

ContentType

ContentWidth

ContextMenuOptions

ContinuedFromAlignment

ContinuedFromMessage

ContinuedFromStory

ContinuedOnAlignment

ContinuedOnMessage

ContinuedOnStory

Controls

Copies

Count

CountBlankLines

CreationDateString

CreationTimeString

CreationTimeValue

Crop

CurrentCell

CurrentColumn

CurrentEditor

CurrentLanguage

CurrentRow

CurrentVersion

CustomLength

CustomViewLevel

D

DataFileFieldNames

DataFileName

DataNames

DateCreatedValue

DateRevisedValue

DdeLinkManager

DdeLinks

DdeLinksFromMarker

DdeOutboundInfo

DebugVariable

DefaultBinName

DefaultCellStyleDescription

DefaultColumnStyleName

DefaultFilePath

DefaultFrameStyleDescription

DefaultLatinFont

DefaultLeftColumnStyleName

DefaultNonLatinFont

DefaultPageHeight

DefaultPageStyleDescription

DefaultPageWidth

DefaultPitch

DefaultRightColumnStyleName

DefaultTableStyleDescription

DefaultTextStyleDescription

DefCellStyleName

DefColWidth

Definition

DefRowHeight

DeleteFont

DemandLoad

Descent

Description

DescriptionFileName

DirControl

DirectionDown

DirectionLeft

DirectionRight

DirectionUp

DirectiveColor

DisableClickHeres

DisableExportToNotes

DisableVersionReview

DistanceFromLeftMargin

Division

DivisionInfo

DivisionName

DivisionNames

DivisionOptions

Divisions

DivisionsRequired

DocControl

DocControlRestrictedToEditor

DocInfo

DocOptions

DocPath

DocSize

DocTextSize

Document

DocumentLevel

DocumentPaths

Documents

DocVersionID

DocWindows

DoInitialCaps

DoSmartQuotes

DoubleUnderline

DragDropOn

DriverNameDriverName

DuplexType

E

Editable

EditorAttemptingOpen

EditorInitials

EditorManager

EditorName

Editors

EditorVerificationType

EffectiveColumnWidth

EMail

Embedded

EmbedFonts

Enabled

EncryptPassword

EncryptPassword2

EndingColOfSelection

EndingRowOfSelection

EndnoteDivisionGroupNum

EndnoteDivisionNum

EndnoteDocNum

Endnotes

Enumeration

Epoch

EqnFontHeight

ErrorColor

ExcludeRectBottom

ExcludeRectLeft

ExcludeRectRight

ExcludeRectTop

Expandable

ExportToNotesFX

ExternalFileID

ExternalFileName

ExternalName

ExternalType

F

FaceNames

FaceStyleName

FastFormatType

FaxNumber

FieldDelimiter

FieldDelimiterText

FieldManager

FieldNumber

Fields

FieldType

FileName

FileProtection

FileProtectionType

FilesToCompare

FileType

FillerPageText

FillStyle

Filter

FilterHelper

FilterIndex

FilterName

FindAndReplace

FindExactCase

FindFont

FindForwardDirection

FindString

FindStyleName

FindWithProperties

First

FirstChild

FirstName

FirstPage

FitType

FixAcronymns

FixBullets

FixMargins

Flags

Font

FontColor

FontMetrics

FontName

FontSize

FontStyleName

FontUnitName

FontUnits

Footer

Footers

FootnoteContSep

FootnoteLayouts

FootnoteNumbering

FootnoteOptions

Footnotes

FootnoteSeparator

Format

FormatCheckLevel

FormatCheckPreferences

FormatCheckRule

FormatCheckSuggestion

FormatType

Formula

Foundry

Frame

Frames

FrameStyleName

FrameStyles

FreeMenus

FullName

G

GapBetweenPanes

GetAfidHelpFileName

GetAfidHelpInfo

GetButtonId

GetConversationHandle

GetFilterExtension

GetFilterExtForDialogBox

GetFilterId

GetFormatName

GetItemName

GetRedoWhatDesc

GetServerName

GetStatus

GetTopicName

GetUndoWhatDesc

GetValue

GlossaryDataFileName

GlossaryDataFiles

GlossaryDataPaths

GlossaryPath

Glossarys

GoToIndexLastItemAccessed

GoToItemName

GoToPageNumber

GoToSelection

GrammarFormalityLevel

GrammarOptions

GrammarProofLevel

GrammarSetName

Graphic

GraphicExports

GraphicImports

GraphicOleObject

Graphics

Green

Greeting

GridDistance

GridType

Groups

Gutter

H

Hang

HasContents

HasFocus

HasLocalTabs

HasTabs

Header

Headers

Heading

Height

HelpText

Hidden

HiddenMode

HideFormula

HideOutlineLevels

HighLightMode

HiLiteColor

HorizontalSplitWindow

HorizScrollBarVisible

HorzRuler

Hwnd

HyphenateLastWordInColumnOrPage

HyphenateLastWordInPara

HyphenationOptions

HyphZoneAfter

HyphZoneBefore

I

IconBarManager

IconBarPositionState

IconBars

IconBarSets

IconHelpText

IconPath

IconPaths

IconSetName

IconShowingBeforeCleanScreen

IconSize

ID

IdentifierColor

IgnoreSoftHyphens

IgnoreTab

IncludeDirs

IncludeDrives

IncludeInitialsInNotes

IncludeList

Indent

IndentFromLeft

IndentStyleName

IndexAlphabeticSeparator

IndexDivision

IndexIndentType

IndexParent

IndexPrimaryStyleName

IndexRange

IndexSecondaryStyleName

IndexSection

IndexSeparatorStyleName

IndexSource

InDocument

InfoBoxSelectionText

InitalizeRoute

InitDir

Initialize

InitialsForFilters

InsertFont

InsertionMode

Interactive

Interval

InUseCount

IsActionOnButtonDown

IsActive

IsAdopted

IsAmiProTableImport

IsAsciiCRLF

IsAsciiKeepStyle

IsAutoGrow

IsBadReference

IsBorder

IsBothSidesEqual

IsBottomAligned

IsBreakable

IsBubbleHelp

IsCellMenuEnabled

IsCentered

IsChanged

IsChangedSinceTimeSave

IsChildSpannable

IsCollapsed

IsCollapsible

IsColumnBreakable

IsColumnBreakAfter

IsColumnBreakBefore

IsComplex

IsConnected

IsContentReplaceable

IsContents

IsContinuedFrom

IsContinuedOn

IsCumulative

IsDebug

IsDisableWarningMessages

IsDisplayMisspelled

IsDivisionExternal

IsDocLoading

IsDocumentInRoute

IsDoubleWordError

IsDraw

IsEmpty

IsEmptyDoc

IsEnabled

IsEquation

IsErrorChecking

IsExpandDown

IsExpandLeft

IsExpandRight

IsExpandUp

IsExportedToNotesFX

IsExportedToOldNotesFX

IsExternalFile

IsFixedLength

IsFooter

IsFrameMenuEnabled

IsGrabBar

IsGrammarError

IsGraphicMenuEnabled

IsHangover

IsHeader

IsHiddenMark

IsHideHeaderFooter

IsHighlightNote

IsHonorProtected

IsHorizontalScrollBarCleanScrn

IsHoverHelp

IsIconDepressible

IsInBulletEditMode

IsIndex

IsInDraft

IsInOutline

IsInPageSort

IsIntersectSiblings

IsLastStop

IsLesser

IsLinked

IsLocal

IsLockedForRevisions

IsLotusChart

IsMarginSameAsParent

IsMarginsInColor

IsMarkerValid

IsMirrorImage

IsMisspelled

IsNotCopyable

IsNotCopyImage

IsNotGroupable

IsNoUICommAllowed

IsOnClipBoard

IsOpen

IsOverridden

IsOverride

IsPageBreak

IsPageBreakAfter

IsPageBreakBefore

IsPageBreakMarks

IsPageBreakWithin

IsParaDemandLoad

IsParagraphNumberingDown

IsParallelColumnsMenuEnabled

IsPartOfGroup

IsPersistent

IsPrePrintedForm

IsPrintable

IsPrintClickHereBlocks

IsPrintInBackground

IsPrivate

IsProtected

IsRegistered

IsRepeat

IsReplaceable

IsReplacement

IsResetParagraphNumber

IsRevision

IsRevisionMark

IsSame

IsSave

IsScalable

IsScalableBorder

IsScripting

IsScrollable

IsShowing

IsSingleClickEntry

IsSizable

IsSizingViaMouse

IsSmartCorrectEnabled

IsSmartShadeEnabled

IsSnapTo

IsSortFromEnd

IsSpellBarUp

IsSpellMode

IsSqueeze

IsStyleSheet

IsTableHeading

IsTemp

IsTextLocked

IsTextMenuEnabled

IsTOC

IsTrueType

IsUndoOn

IsUpdateAutomatic

IsUpdateIndex

IsUpdateTOC

IsValid

IsVerticalScrollBarCleanScrn

IsViewAnchor

IsViewBookmarks

IsViewClickHereBlocks

IsViewColGuides

IsViewColumnBreakMarks

IsViewDDELinks

IsViewHorzRuler

IsViewHorzScrollBar

IsViewMenuCleanScrn

IsViewNotes

IsViewOutlineFlowToScreen

IsViewOutlineIndent

IsViewPageLayoutMarks

IsViewParallelColumnBorder

IsViewPictures

IsViewReturnIconCleanScrn

IsViewReturns

IsViewRulerMarks

IsViewSectionBreakMarks

IsViewSectionTabs

IsViewSmartIconsCleanScrn

IsViewStatusBarCleanScrn

IsViewTableGridLines

IsViewTableHeadings

IsViewTabs

IsViewThumbBarCleanScrn

IsViewTitleBarCleanScrn

IsViewVertRuler

IsViewVertScrollBar

IsWordProChart

IsWorkingDir

Italic

Items

J

Join

JoinCorners

JoinHeight

JoinType

JoinWidth

Justifiable

K

KeepWithNext

KeepWithPrev

KeyboardLanguage

KeywordColor

Keywords

Kinsoku

L

LandscapeMode

Language

Last

LastChild

LastDocPath

LastEditorName

LastGraphicPath

LastGraphicType

LastMacroPath

LastName

LastPage

LastUsedDateFormula

Layout

LayoutName

LayoutOverride

Layouts

LeaderDotDashChar

LeaderDotDotChar

LeaderDotType

LeaderDotUnderscoreChar

LeadingText

Left

LeftBorder

LeftExternalMargin

LeftIntArea

LeftPage

LeftTopCellId

Length

Level

LineCount

LineLocation

LineMix

LineNumberOptions

LinePlacement

LinesSpacedEveryNthUnit

LineValid

LinkAvailable

LinkDisplayName

LinkDisplayNameFileLength

Linked

LinkedFileName

LinkGraphic

ListCount

LoadFilesMaximized

Location

Locked

LockForNotesUserName

LockResult

Locks

LowerCase

LowerCaseAscent

LwpMenuBar

M

Macro

MacroName

MacroPath

MacroPaths

MacroStatus

MailRouteingPtr

MailRouting

MaintainAspectRatio

MaintainEditor

MarginBottom

MarginColor

MarginLeft

MarginRight

MarginTop

MarkCharacter

MarkerClass

MarkerName

Markers

MarkPosition

MarkType

Master

MasterName

MatchType

MaxBottomBorder

MaxBottomGutter

MaxContentHeight

MaxContentWidth

MaxHorzPaneDistance

MaxHyphLines

MaxIdenticalConsecSentOpens

MaxIdenticalSentOpensWithin10

MaximizeOnStartUp

MaximumWordsinaSentence

MaxLeftBorder

MaxLeftGutter

MaxLength

MaxNumColsAllowed

MaxNumRowsAllowed

MaxRightBorder

MaxRightGutter

MaxSplitCols

MaxSplitRows

MaxTopBorder

MaxTopGutter

MaxVertPaneDistance

MergeInfoPtr

MergeOptions

MergeStepNumber

MinBottomMargin

MinHeight

MinLeftMargin

MinRightMargin

MinTopMargin

Modal

ModifiedDateString

ModifiedTimeString

ModifiedTimeValue

MouseButtonForManipulation

MouseButtonForSelection

MouseProperty

MultiCellPasteOn

MultiCompareParaTag

MultiCompareParaTagSet

N

Name

NameBasedOnStyle

NameForFilters

Negative

NewDocMacroName

NewFile

NewVersion

NextClickHere

NextName

NextNeighbor

NextSection

NextStyleName

NextText

NoHyphenate

Normal

NormalParagraph

NoteColor

NoteLayouts

NotesFlow

Number

NumberEveryNthLine

NumberFound

Numbering

NumberingPosition

NumberingStyleName

NumberOfCharacters

NumberOfReplacements

NumberOfRevisions

NumberSequenceName

NumberWhichLines

NumCharsInDoc

NumCharsInParagraph

NumCols

NumColsSpannedOneCell

NumContainers

NumDecimalPlaces

NumericFormat

NumFields

NumLinesOfSpace

NumLinesOfSpaceAbove

NumLinesOfSpaceBelow

NumOfRecentFiles

NumPagesInDoc

NumParagraphs

NumRows

NumRowsSpannedOneCell

NumRowsThatFit

NumRowsToFit

NumTabs

NumUndoLevels

NumWindowsViewingDoc

NumWordsInDoc

O

Object

ObjectType

Oblique

Offset

OleContainerDocName

OleObject

OleObjects

OpenDocMacroName

OpenDocsVisible

OpenExisingFileInWelcomeBox

OpenReadOnly

OpionDeclare

Options

OrigFileType

OrigHeight

OrigWidth

Outline

OutlineBorderLines

OutlineButtons

OutlineHeadingButtonsOnly

OutlineLevel

OutlineOnlyHeadingsWhenCollapsed

OutlineSeqItems

OutlineStyleSequences

OutputToFile

Override

Overstrike

OverstrikeCharacter

P

Page

PageNo

PageNum

PageNumber

PageNumberAsText

PageNumberStyle

PageNumFirstPageShowing

PageNumLastPageShowing

PageOrder

Pages

PageStyleName

PageStyles

PageToUseLayoutOn

PairKerning

PaneColor

PaperNames

ParagraphBorder

ParagraphStyle

ParagraphStyleName

ParagraphStyles

ParagraphSymbolChar

ParallelColumns

Parent

ParentMenuHWND

ParentName

Partial

Path

PathName

Pattern

Percentage

PersonalData1

PersonalData2

PersonalData3

PersonalData4

PhoneNumber

PitchAndFamily

PointSize

Position

PositionType

PositionXInContainer

PositionXOnPage

PositionYInContainer

PositionYOnPage

PowerField

PowerFields

Preferences

Prefix

Presentation

PrettyPrinting

PreviousClickHere

PreviousName

PreviousNeighbor

PrintDestination

PrintDocDescription

PrinterName

PrintGraphics

PrintInBackground

PrintManager

PrintPagesFrom

PrintPagesTo

PrintPageType

PrintRange

PrintSettings

Prompt

PromptHidden

ProtectedMode

Q

QueueName

R

ReadOnly

Red

Relative

RelativeIndent

RelativePageNum

RelativeType

RelativeXDistance

RelativeYDistance

RenderedPageNumber

ReplaceAttributes

ReplaceExactCase

ReplaceFont

ReplaceLanguage

Replacements

ReplaceString

ReplaceStyleName

ReplaceWithProperties

RequestRemarkOnClose

RequireStartupScripts

ResetOnEachPage

ResetWhen

Rest

RestartStyleName

Result

ResumePausedMacro

ReviewVersions

RevisionDisplay

RevisionMark

RevisionMarkMode

RevisionType

RevMarkCharacter

RevMarkPosition

RevMarkType

Right

RightAlign

RightBorder

RightExternalMargin

RightIntArea

RightMouseMenus

RightMousePropId

RightMousePropText

RightPage

RotationAngle

RowLayouts

Rows

RubyLayouts

RunMacroOnDocEvents

RunMacroOnLoad

RunOnCloseDoc

RunOnNewDoc

RunOnOpenDoc

S

Saved

SaveSnapShot

ScaleHeight

ScaleMode

ScalePercentage

ScaleWidth

ScreenPositionX

ScreenPositionY

Script

ScriptName

SearchAttributes

SearchLanguage

Section

SectionName

Sections

SectionTabs

SelectCount

SelectedPages

SelectionBorderColor1

SelectionBorderColor2

SelectionBorderColor3

SelectionHidden

SelectionType

SelectTab

SelectType

ServerFormat

SetTabsDialog

Shadow

ShowDivisionTabs

ShowGraphicPreview

ShowHiddenText

ShowInContext

ShowMailDisabled

ShowNoWelcomeBox

ShowStatistics

ShowTabs

SilverBullet

SilverBullets

Size

SizeStyleName

SizingUnitName

SizingUnits

Skipped

SkipWordMode

SmallCaps

SmallFileFormat

SmartCorrect

SmartLevel

SnapshotOffset

SnapshotPath

SnapShotSaveOptions

SnapshotSize

SortLevel1

SortLevel2

SortLevel3

SortNumbers

SortOptions

SortOrder

SortType

SortWord

SortWordOption

SpaceAbove

SpaceBelow

SpacesBetweenSentences

Spacing

SpacingStyleName

SpacingUnitName

SpacingUnits

SpellCheckIncludesOtherTextStreams

SpellCheckInitialCaps

SpellCheckRepeatedWords

SpellCheckStartsAtBeginning

SpellCheckUserDictAlternatives

SpellCheckWordsWithNums

SpellColor

SpellFocusedColor

SplitPercentage

Start

StartColumns

StartingColOfSelection

StartingColStringOfSelection

StartingNumber

StartingRowOfSelection

StartRow

StateID

StatusBar

StatusBarButtons

StatusBarVisible

Style

StyleExceptions

StyleName

StylePath

StylePaths

StyleSheetFullPath

StyleSheetName

StyleSheetPath

Subscript

Suffix

Suggestions

Superscript

SuperTableContainer

SuperTableLayouts

SuperTables

SuppressHeaders

System

T

TabExits

Table

TableContainer

TableExports

TableFill

TableHeadingLayouts

TableHeadings

TableImports

TableLayouts

TableLine

TableMarkers

TableOnlyContainer

Tables

TableStyleName

TableStyles

TabOrder

TabRack

TabRelativeTo

TabSpacing

TabSymbolChar

TabType

TabWidth

TempFindAndReplace

TempFoundry

Text

TextandTableExports

TextandTableImports

TextAttributes

TextMarkers

TextOrient

TextOrientation

Texts

TextStyleName

TextStyles

TextTightness

TextViewAttributes

ThesMaxNumSynonymsReturned

TileWindow

Time

TimedSaveFileExtension

Title

TitleBarDocNumber

TitleBarVisible

TOCNumEntries

TOCRange

TOCSource

Top

TopBorder

TopExternalMargin

TopIntArea

TopLeftCellRowId

TotalEditingTime

TrailingText

Type

TypeAbove

TypeBelow

TypeRight

Typos

U

Underline

UndoEnable

UndoLevels

Units

UpdateFields

UpdateOnLoad

UpdateOnLoadImmediate

UpperCase

UseConsistentSpaceBetweenSentences

UseContents

UseDefaultPrinter

UsedFirstPageHeight

UseEncrypt

UseExcludeRect

UseFindStyle

UseFooter

UseGreeting

UseHeader

UseNextStyle

UsePrinterSettings

UserClassNameApp

UserClassNameFull

UserClassNameShort

UserDictFiles

UserDictionaryFiles

UserDictionaryPath

UserDictionaryPaths

UserDictStates

UseRelative

UseReplaceStyle

UserInitials

UserInterfacePrefs

UserLinkName

UserName

UserPassword

UseSeparatorLine

UsesHelp

UsesPalette

UseSuperscriptReferenceNum

UseTwoSpacesBetweenSentences

UseWhen

V

Valid

Value

VerificationResult

VersionID

VersionManager

VersionName

VersionRemarks

Versions

VertAlign

VerticalSplitWindow

VertRuler

VertScrollBarVisible

ViewLevel

ViewType

Visible

W

WasDeletedInRevMarkMode

WasInsertedInRevMarkMode

WasPasted

Weight

Where

WidowOrphan

Width

WidthAbove

WidthBelow

WidthInTwips

WidthOfColumn

WindowId

WindowsName

WinViewPrefs

WithComments

WordDoubleUnderline

WordUnderline

WorkingType

WPDataSets

WrapType

X

XOffset

XPosition

Y

YOffset

YPosition

Z

Zero

ZipCode


Example: Abandon method
'Example: Abandon method

'This example script has not yet been created.


Example: Abilities property
'Example: Abilities property

'This example script has not yet been created.


Example: AbsoluteOn property
'Example: AbsoluteOn property

'This example script has not yet been created.


Example: AbsoluteXPos property
'Example: AbsoluteXPos property

'This example script has not yet been created.


Example: AbsoluteYPos property
'Example: AbsoluteYPos property

'This example script has not yet been created.


Example: Accelerators property
'Example: Accelerators property

'This example script has not yet been created.


Example: AccessRights property
'Example: AccessRights property

'This example script has not yet been created.


Example: Action property
'Example: Action property

'This example script has not yet been created.


Example: Activate method
'Example: Activate method

'This example script has not yet been created.


Example: Active property
'Example: Active property

'This example script has not yet been created.


Example: ActiveDocument property
'Example: ActiveDocument property

'This example script has not yet been created.


Example: ActiveDocWindow property
'Example: ActiveDocWindow property

'This example script has not yet been created.


Example: ActualName property
'Example: ActualName property

'This example script has not yet been created.


Example: Add method
'Example: Add method

'This example script has not yet been created.


Example: AddAccelerators method
'Example: AddAccelerators method

'This example script has not yet been created.


Example: AddBookmark method
'Example: AddBookmark method

'This example script has not yet been created.


Example: AddChildToLayout method
'Example: AddChildToLayout method

'This example script has not yet been created.


Example: AddDdeLink method
'Example: AddDdeLink method

'This example script has not yet been created.


Example: AddDivision method
'Example: AddDivision method

'This example script has not yet been created.


Example: AddDivisionToPrint method
'Example: AddDivisionToPrint method

'This example script has not yet been created.


Example: AddEditorManager method
'Example: AddEditorManager method

'This example script has not yet been created.


Example: AddEnvelopeReturnAddress property
'Example: AddEnvelopeReturnAddress property

'This example script has not yet been created.


Example: AddField method
'Example: AddField method

'This example script has not yet been created.


Example: AddIndexEntry method
'Example: AddIndexEntry method

'This example script has not yet been created.


Example: AddItem method
'Example: AddItem method

'This example script has not yet been created.


Example: AddItemIndex method
'Example: AddItemIndex method

'This example script has not yet been created.


Example: AddLayoutOverride method
'Example: AddLayoutOverride method

'This example script has not yet been created.


Example: AddListBoxText method
'Example: AddListBoxText method

'This example script has not yet been created.


Example: AddOutlineSequenceItem method
'Example: AddOutlineSequenceItem method

'This example script has not yet been created.


Example: AddPopupGraphicItem method
'Example: AddPopupGraphicItem method

'This example script has not yet been created.


Example: AddPopupPointSizeItem method
'Example: AddPopupPointSizeItem method

'This example script has not yet been created.


Example: AddPopupTextItem method
'Example: AddPopupTextItem method

'This example script has not yet been created.


Example: Address1 property
'Example: Address1 property

'This example script has not yet been created.


Example: Address2 property
'Example: Address2 property

'This example script has not yet been created.


Example: AddSectionTabs method
'Example: AddSectionTabs method

'This example script has not yet been created.


Example: AddSmartCorrect method
'Example: AddSmartCorrect method

'This example script has not yet been created.


Example: AddTOCEntry method
'Example: AddTOCEntry method

'This example script has not yet been created.


Example: AddVerbMenu method
'Example: AddVerbMenu method

'This example script has not yet been created.


Example: AdjustShade method
'Example: AdjustShade method

'This example script has not yet been created.


Example: Adopt method
'Example: Adopt method

'This example script has not yet been created.


Example: AdviseOnRename method
'Example: AdviseOnRename method

'This example script has not yet been created.


Example: AdviseOnSave method
'Example: AdviseOnSave method

'This example script has not yet been created.


Example: Alignment property
'Example: Alignment property

'This example script has not yet been created.


Example: AlignmentChar property
'Example: AlignmentChar property

'This example script has not yet been created.


Example: AlignmentType property
'Example: AlignmentType property

'This example script has not yet been created.


Example: AlignStyleName property
'Example: AlignStyleName property

'This example script has not yet been created.


Example: All property
'Example: All property

'This example script has not yet been created.


Example: AllBorders property
'Example: AllBorders property

'This example script has not yet been created.


Example: AllowAlternateVerification property
'Example: AllowAlternateVerification property

'This example script has not yet been created.


Example: AlternateName property
'Example: AlternateName property

'This example script has not yet been created.


Example: Always property
'Example: Always property

'This example script has not yet been created.


Example: Amikake property
'Example: Amikake property

'This example script has not yet been created.


Example: AmikakeName property
'Example: AmikakeName property

'This example script has not yet been created.


Example: Amount property
'Example: Amount property

'This example script has not yet been created.


Example: AmountOfSpaceAbove property
'Example: AmountOfSpaceAbove property

'This example script has not yet been created.


Example: AmountOfSpaceBelow property
'Example: AmountOfSpaceBelow property

'This example script has not yet been created.


Example: AmtTether property
'Example: AmtTether property

'This example script has not yet been created.


Example: AmtToRotateContent property
'Example: AmtToRotateContent property

'This example script has not yet been created.


Example: AmtToTetherFrom property
'Example: AmtToTetherFrom property

'This example script has not yet been created.


Example: Anchor method
'Example: Anchor method

'This example script has not yet been created.


Example: AnswerMsgBox method
'Example: AnswerMsgBox method

'This example script has not yet been created.


Example: AnyEdits method
'Example: AnyEdits method

'This example script has not yet been created.


Example: AnyNumber property
'Example: AnyNumber property

'This example script has not yet been created.


Example: AnyOleObjects property
'Example: AnyOleObjects property

'This example script has not yet been created.


Example: AppendMacro method
'Example: AppendMacro method

'This example script has not yet been created.


Example: AppFoundry property
'Example: AppFoundry property

'This example script has not yet been created.


Example: Application property
'Example: Application property

'This example script has not yet been created.


Example: ApplicationWindow property
'Example: ApplicationWindow property

'This example script has not yet been created.


Example: ApplyAdjectivePos property
'Example: ApplyAdjectivePos property

'This example script has not yet been created.


Example: ApplyAdjectNounPart property
'Example: ApplyAdjectNounPart property

'This example script has not yet been created.


Example: ApplyAgreementWithHereThere property
'Example: ApplyAgreementWithHereThere property

'This example script has not yet been created.


Example: ApplyAnglicisms property
'Example: ApplyAnglicisms property

'This example script has not yet been created.


Example: ApplyArchaicExpressions property
'Example: ApplyArchaicExpressions property

'This example script has not yet been created.


Example: ApplyArticleAgreement property
'Example: ApplyArticleAgreement property

'This example script has not yet been created.


Example: ApplyBadComparatives property
'Example: ApplyBadComparatives property

'This example script has not yet been created.


Example: ApplyBadInflection property
'Example: ApplyBadInflection property

'This example script has not yet been created.


Example: ApplyBadNoun property
'Example: ApplyBadNoun property

'This example script has not yet been created.


Example: ApplyBadNounGender property
'Example: ApplyBadNounGender property

'This example script has not yet been created.


Example: ApplyBadPlural property
'Example: ApplyBadPlural property

'This example script has not yet been created.


Example: ApplyBadPrepositions property
'Example: ApplyBadPrepositions property

'This example script has not yet been created.


Example: ApplyBelgianExpression property
'Example: ApplyBelgianExpression property

'This example script has not yet been created.


Example: ApplyBorrowedForeign property
'Example: ApplyBorrowedForeign property

'This example script has not yet been created.


Example: ApplyBureuaJargon property
'Example: ApplyBureuaJargon property

'This example script has not yet been created.


Example: ApplyCalque property
'Example: ApplyCalque property

'This example script has not yet been created.


Example: ApplyCapitalizationCheck property
'Example: ApplyCapitalizationCheck property

'This example script has not yet been created.


Example: ApplyClauseErrors property
'Example: ApplyClauseErrors property

'This example script has not yet been created.


Example: ApplyCliches property
'Example: ApplyCliches property

'This example script has not yet been created.


Example: ApplyColloquialExpression property
'Example: ApplyColloquialExpression property

'This example script has not yet been created.


Example: ApplyCommonlyConfusedWords property
'Example: ApplyCommonlyConfusedWords property

'This example script has not yet been created.


Example: ApplyCommonMisspell property
'Example: ApplyCommonMisspell property

'This example script has not yet been created.


Example: ApplyComplexWords property
'Example: ApplyComplexWords property

'This example script has not yet been created.


Example: ApplyConfusedEasy property
'Example: ApplyConfusedEasy property

'This example script has not yet been created.


Example: ApplyConfusedEnglish property
'Example: ApplyConfusedEnglish property

'This example script has not yet been created.


Example: ApplyConfusedHard property
'Example: ApplyConfusedHard property

'This example script has not yet been created.


Example: ApplyConfusedMedium property
'Example: ApplyConfusedMedium property

'This example script has not yet been created.


Example: ApplyConfusedVerb property
'Example: ApplyConfusedVerb property

'This example script has not yet been created.


Example: ApplyConsecutiveNouns property
'Example: ApplyConsecutiveNouns property

'This example script has not yet been created.


Example: ApplyContractions property
'Example: ApplyContractions property

'This example script has not yet been created.


Example: ApplyDerogatory property
'Example: ApplyDerogatory property

'This example script has not yet been created.


Example: ApplyDifferentPrep property
'Example: ApplyDifferentPrep property

'This example script has not yet been created.


Example: ApplyDoubleNegative property
'Example: ApplyDoubleNegative property

'This example script has not yet been created.


Example: ApplyDoublePlural property
'Example: ApplyDoublePlural property

'This example script has not yet been created.


Example: ApplyDoubleWordCheck property
'Example: ApplyDoubleWordCheck property

'This example script has not yet been created.


Example: ApplyElision property
'Example: ApplyElision property

'This example script has not yet been created.


Example: ApplyEnglishDerived property
'Example: ApplyEnglishDerived property

'This example script has not yet been created.


Example: ApplyEnglishWords property
'Example: ApplyEnglishWords property

'This example script has not yet been created.


Example: ApplyExotic property
'Example: ApplyExotic property

'This example script has not yet been created.


Example: ApplyExtraPrepositionCheck property
'Example: ApplyExtraPrepositionCheck property

'This example script has not yet been created.


Example: ApplyFalseFriend property
'Example: ApplyFalseFriend property

'This example script has not yet been created.


Example: ApplyFemaleOccupation property
'Example: ApplyFemaleOccupation property

'This example script has not yet been created.


Example: ApplyFixedExpression property
'Example: ApplyFixedExpression property

'This example script has not yet been created.


Example: ApplyForeignWord property
'Example: ApplyForeignWord property

'This example script has not yet been created.


Example: ApplyFormalTerms property
'Example: ApplyFormalTerms property

'This example script has not yet been created.


Example: ApplyFormatErrors property
'Example: ApplyFormatErrors property

'This example script has not yet been created.


Example: ApplyGallicisms property
'Example: ApplyGallicisms property

'This example script has not yet been created.


Example: ApplyGenderExpressions property
'Example: ApplyGenderExpressions property

'This example script has not yet been created.


Example: ApplyGermanisms property
'Example: ApplyGermanisms property

'This example script has not yet been created.


Example: ApplyHomoGraphs property
'Example: ApplyHomoGraphs property

'This example script has not yet been created.


Example: ApplyHomonyms property
'Example: ApplyHomonyms property

'This example script has not yet been created.


Example: ApplyHomonymsEasy property
'Example: ApplyHomonymsEasy property

'This example script has not yet been created.


Example: ApplyHomonymsHard property
'Example: ApplyHomonymsHard property

'This example script has not yet been created.


Example: ApplyHomoPhone1 property
'Example: ApplyHomoPhone1 property

'This example script has not yet been created.


Example: ApplyHomoPhone2 property
'Example: ApplyHomoPhone2 property

'This example script has not yet been created.


Example: ApplyHomoPhones property
'Example: ApplyHomoPhones property

'This example script has not yet been created.


Example: ApplyIncorrectPlural property
'Example: ApplyIncorrectPlural property

'This example script has not yet been created.


Example: ApplyInformalExpressions property
'Example: ApplyInformalExpressions property

'This example script has not yet been created.


Example: ApplyJargonWords property
'Example: ApplyJargonWords property

'This example script has not yet been created.


Example: ApplykSplitInfinitives property
'Example: ApplykSplitInfinitives property

'This example script has not yet been created.


Example: ApplyLowercaseAdjective property
'Example: ApplyLowercaseAdjective property

'This example script has not yet been created.


Example: ApplyLowercaseColor property
'Example: ApplyLowercaseColor property

'This example script has not yet been created.


Example: ApplyLowercaseNumbers property
'Example: ApplyLowercaseNumbers property

'This example script has not yet been created.


Example: ApplyLowercasePhrases property
'Example: ApplyLowercasePhrases property

'This example script has not yet been created.


Example: ApplyLowercasePronouns property
'Example: ApplyLowercasePronouns property

'This example script has not yet been created.


Example: ApplyMassVsCount property
'Example: ApplyMassVsCount property

'This example script has not yet been created.


Example: ApplyMisspelledExpressions property
'Example: ApplyMisspelledExpressions property

'This example script has not yet been created.


Example: ApplyMisspelledForeignExpressions property
'Example: ApplyMisspelledForeignExpressions property

'This example script has not yet been created.


Example: ApplyMisspelledItalian property
'Example: ApplyMisspelledItalian property

'This example script has not yet been created.


Example: ApplyMisspelledWords property
'Example: ApplyMisspelledWords property

'This example script has not yet been created.


Example: ApplyMisusedWords property
'Example: ApplyMisusedWords property

'This example script has not yet been created.


Example: ApplyNonStandardExpression property
'Example: ApplyNonStandardExpression property

'This example script has not yet been created.


Example: ApplyNonStandardModifiers property
'Example: ApplyNonStandardModifiers property

'This example script has not yet been created.


Example: ApplyNoudModifierOrderCheck property
'Example: ApplyNoudModifierOrderCheck property

'This example script has not yet been created.


Example: ApplyNounConsistency property
'Example: ApplyNounConsistency property

'This example script has not yet been created.


Example: ApplyNounPhraseAgree property
'Example: ApplyNounPhraseAgree property

'This example script has not yet been created.


Example: ApplyNSAdjective property
'Example: ApplyNSAdjective property

'This example script has not yet been created.


Example: ApplyNSClause property
'Example: ApplyNSClause property

'This example script has not yet been created.


Example: ApplyNSCompare property
'Example: ApplyNSCompare property

'This example script has not yet been created.


Example: ApplyNSContract property
'Example: ApplyNSContract property

'This example script has not yet been created.


Example: ApplyNSGeography property
'Example: ApplyNSGeography property

'This example script has not yet been created.


Example: ApplyNSInflection property
'Example: ApplyNSInflection property

'This example script has not yet been created.


Example: ApplyNSNegation property
'Example: ApplyNSNegation property

'This example script has not yet been created.


Example: ApplyNSPrep property
'Example: ApplyNSPrep property

'This example script has not yet been created.


Example: ApplyNSPronoun property
'Example: ApplyNSPronoun property

'This example script has not yet been created.


Example: ApplyNSSpell property
'Example: ApplyNSSpell property

'This example script has not yet been created.


Example: ApplyNSUsage property
'Example: ApplyNSUsage property

'This example script has not yet been created.


Example: ApplyNSVerbForm property
'Example: ApplyNSVerbForm property

'This example script has not yet been created.


Example: ApplyOpenClosedSpelling property
'Example: ApplyOpenClosedSpelling property

'This example script has not yet been created.


Example: ApplyOpenUsage property
'Example: ApplyOpenUsage property

'This example script has not yet been created.


Example: ApplyOverusedPhrases property
'Example: ApplyOverusedPhrases property

'This example script has not yet been created.


Example: ApplyPassiveVerbErrors property
'Example: ApplyPassiveVerbErrors property

'This example script has not yet been created.


Example: ApplyPostClitAgree property
'Example: ApplyPostClitAgree property

'This example script has not yet been created.


Example: ApplyPrepExpression property
'Example: ApplyPrepExpression property

'This example script has not yet been created.


Example: ApplyPrepositionalPhrases property
'Example: ApplyPrepositionalPhrases property

'This example script has not yet been created.


Example: ApplyPretentiousWords property
'Example: ApplyPretentiousWords property

'This example script has not yet been created.


Example: ApplyPronounErrors property
'Example: ApplyPronounErrors property

'This example script has not yet been created.


Example: ApplyPunctuationErrors property
'Example: ApplyPunctuationErrors property

'This example script has not yet been created.


Example: ApplyRedundantExpressions property
'Example: ApplyRedundantExpressions property

'This example script has not yet been created.


Example: ApplyRegionalExpression property
'Example: ApplyRegionalExpression property

'This example script has not yet been created.


Example: ApplyRelatedWord property
'Example: ApplyRelatedWord property

'This example script has not yet been created.


Example: ApplySensitiveExp property
'Example: ApplySensitiveExp property

'This example script has not yet been created.


Example: ApplySexistExpressions property
'Example: ApplySexistExpressions property

'This example script has not yet been created.


Example: ApplySpellStandard property
'Example: ApplySpellStandard property

'This example script has not yet been created.


Example: ApplyStockPhrase property
'Example: ApplyStockPhrase property

'This example script has not yet been created.


Example: ApplyStyleParameters property
'Example: ApplyStyleParameters property

'This example script has not yet been created.


Example: ApplySubjectVerbAgreement property
'Example: ApplySubjectVerbAgreement property

'This example script has not yet been created.


Example: ApplyTrite property
'Example: ApplyTrite property

'This example script has not yet been created.


Example: ApplyTwoGender property
'Example: ApplyTwoGender property

'This example script has not yet been created.


Example: ApplyTypicalMisspell property
'Example: ApplyTypicalMisspell property

'This example script has not yet been created.


Example: ApplyUnGrammaticalExpressions property
'Example: ApplyUnGrammaticalExpressions property

'This example script has not yet been created.


Example: ApplyVagueQuantifiers property
'Example: ApplyVagueQuantifiers property

'This example script has not yet been created.


Example: ApplyVerbGroupConsistency property
'Example: ApplyVerbGroupConsistency property

'This example script has not yet been created.


Example: ApplyWeakModifiers property
'Example: ApplyWeakModifiers property

'This example script has not yet been created.


Example: ApplyWordChoice property
'Example: ApplyWordChoice property

'This example script has not yet been created.


Example: ApplyWordCompoundingCheck property
'Example: ApplyWordCompoundingCheck property

'This example script has not yet been created.


Example: ApplyWordConfusion property
'Example: ApplyWordConfusion property

'This example script has not yet been created.


Example: ApplyWordGender property
'Example: ApplyWordGender property

'This example script has not yet been created.


Example: ApplyWordParts property
'Example: ApplyWordParts property

'This example script has not yet been created.


Example: ApplyWordyPhraseCheck property
'Example: ApplyWordyPhraseCheck property

'This example script has not yet been created.


Example: AppViewPrefs property
'Example: AppViewPrefs property

'This example script has not yet been created.


Example: Archive property
'Example: Archive property

'This example script has not yet been created.


Example: AreDisabledIconsGrayed property
'Example: AreDisabledIconsGrayed property

'This example script has not yet been created.


Example: Ascent property
'Example: Ascent property

'This example script has not yet been created.


Example: AsciiCRLFType property
'Example: AsciiCRLFType property

'This example script has not yet been created.


Example: AtBeginning property
'Example: AtBeginning property

'This example script has not yet been created.


Example: AtBeginningOfLine property
'Example: AtBeginningOfLine property

'This example script has not yet been created.


Example: AtBeginningOfObject property
'Example: AtBeginningOfObject property

'This example script has not yet been created.


Example: AtBeginningOfParagraph property
'Example: AtBeginningOfParagraph property

'This example script has not yet been created.


Example: AtBeginningOfStream property
'Example: AtBeginningOfStream property

'This example script has not yet been created.


Example: AtBeginningOfWord property
'Example: AtBeginningOfWord property

'This example script has not yet been created.


Example: AtEnd property
'Example: AtEnd property

'This example script has not yet been created.


Example: AtEndOfLine property
'Example: AtEndOfLine property

'This example script has not yet been created.


Example: AtEndOfObject property
'Example: AtEndOfObject property

'This example script has not yet been created.


Example: AtEndOfParagraph property
'Example: AtEndOfParagraph property

'This example script has not yet been created.


Example: AtEndOfStream property
'Example: AtEndOfStream property

'This example script has not yet been created.


Example: AtEndOfWord property
'Example: AtEndOfWord property

'This example script has not yet been created.


Example: Attributes property
'Example: Attributes property

'This example script has not yet been created.


Example: AttrStyleName property
'Example: AttrStyleName property

'This example script has not yet been created.


Example: AuthorName property
'Example: AuthorName property

'This example script has not yet been created.


Example: AutoBackup property
'Example: AutoBackup property

'This example script has not yet been created.


Example: AutoHyphenate property
'Example: AutoHyphenate property

'This example script has not yet been created.


Example: AutomaticLink property
'Example: AutomaticLink property

'This example script has not yet been created.


Example: AutoRunMacro property
'Example: AutoRunMacro property

'This example script has not yet been created.


Example: AutoSave property
'Example: AutoSave property

'This example script has not yet been created.


Example: AutoSaveMinutes property
'Example: AutoSaveMinutes property

'This example script has not yet been created.


Example: AutoVersion property
'Example: AutoVersion property

'This example script has not yet been created.


Example: BackColor property
'Example: BackColor property

'This example script has not yet been created.


Example: Background property
'Example: Background property

'This example script has not yet been created.


Example: BackgroundPrintingOn property
'Example: BackgroundPrintingOn property

'This example script has not yet been created.


Example: Backspace method
'Example: Backspace method

'This example script has not yet been created.


Example: BackupPath property
'Example: BackupPath property

'This example script has not yet been created.


Example: BackupPaths property
'Example: BackupPaths property

'This example script has not yet been created.


Example: Backward method
'Example: Backward method

'This example script has not yet been created.


Example: Bags property
'Example: Bags property

'This example script has not yet been created.


Example: BarSide property
'Example: BarSide property

'This example script has not yet been created.


Example: BarType property
'Example: BarType property

'This example script has not yet been created.


Example: BaseLineOffset property
'Example: BaseLineOffset property

'This example script has not yet been created.


Example: BaseTable property
'Example: BaseTable property

'This example script has not yet been created.


Example: BeginChange method
'Example: BeginChange method

'This example script has not yet been created.


Example: BeginCustomLines method
'Example: BeginCustomLines method

'This example script has not yet been created.


Example: BinName property
'Example: BinName property

'This example script has not yet been created.


Example: BinNames property
'Example: BinNames property

'This example script has not yet been created.


Example: Bisect method
'Example: Bisect method

'This example script has not yet been created.


Example: BlockPaint property
'Example: BlockPaint property

'This example script has not yet been created.


Example: Blue property
'Example: Blue property

'This example script has not yet been created.


Example: BodyOnly property
'Example: BodyOnly property

'This example script has not yet been created.


Example: Bold property
'Example: Bold property

'This example script has not yet been created.


Example: Bold method
'Example: Bold method

'This example script has not yet been created.


Example: BookmarkManager property
'Example: BookmarkManager property

'This example script has not yet been created.


Example: Bookmarks property
'Example: Bookmarks property

'This example script has not yet been created.


Example: BookmarksByMarkerName property
'Example: BookmarksByMarkerName property

'This example script has not yet been created.


Example: BorderLines property
'Example: BorderLines property

'This example script has not yet been created.


Example: BorderOffset property
'Example: BorderOffset property

'This example script has not yet been created.


Example: BorderStyleName property
'Example: BorderStyleName property

'This example script has not yet been created.


Example: BottomBorder property
'Example: BottomBorder property

'This example script has not yet been created.


Example: BottomExternalMargin property
'Example: BottomExternalMargin property

'This example script has not yet been created.


Example: BottomIntArea property
'Example: BottomIntArea property

'This example script has not yet been created.


Example: BreakLink method
'Example: BreakLink method

'This example script has not yet been created.


Example: Breaks property
'Example: Breaks property

'This example script has not yet been created.


Example: BreaksStyleName property
'Example: BreaksStyleName property

'This example script has not yet been created.


Example: BringFrameToFront method
'Example: BringFrameToFront method

'This example script has not yet been created.


Example: BringFrameToFrontOne method
'Example: BringFrameToFrontOne method

'This example script has not yet been created.


Example: Bullet property
'Example: Bullet property

'This example script has not yet been created.


Example: BulletFonts property
'Example: BulletFonts property

'This example script has not yet been created.


Example: BulletStyleName property
'Example: BulletStyleName property

'This example script has not yet been created.


Example: Buttons method
'Example: Buttons method

'This example script has not yet been created.


Example: CalcSmartLevels method
'Example: CalcSmartLevels method

'This example script has not yet been created.


Example: CalculateSmartLevels method
'Example: CalculateSmartLevels method

'This example script has not yet been created.


Example: Cancel method
'Example: Cancel method

'This example script has not yet been created.


Example: CanEditProperty property
'Example: CanEditProperty property

'This example script has not yet been created.


Example: CanEmbed property
'Example: CanEmbed property

'This example script has not yet been created.


Example: CanHaveFootnotes method
'Example: CanHaveFootnotes method

'This example script has not yet been created.


Example: CanWePrint property
'Example: CanWePrint property

'This example script has not yet been created.


Example: Caption property
'Example: Caption property

'This example script has not yet been created.


Example: Cascade method
'Example: Cascade method

'This example script has not yet been created.


Example: CascadeWindow method
'Example: CascadeWindow method

'This example script has not yet been created.


Example: Case property
'Example: Case property

'This example script has not yet been created.


Example: Cell property
'Example: Cell property

'This example script has not yet been created.


Example: CellEngine property
'Example: CellEngine property

'This example script has not yet been created.


Example: CellEngines property
'Example: CellEngines property

'This example script has not yet been created.


Example: CellLayout property
'Example: CellLayout property

'This example script has not yet been created.


Example: CellLayout method
'Example: CellLayout method

'This example script has not yet been created.


Example: CellLayouts property
'Example: CellLayouts property

'This example script has not yet been created.


Example: CellLayoutStyles property
'Example: CellLayoutStyles property

'This example script has not yet been created.


Example: CellRevert method
'Example: CellRevert method

'This example script has not yet been created.


Example: CellStyleName property
'Example: CellStyleName property

'This example script has not yet been created.


Example: CenteredHorz property
'Example: CenteredHorz property

'This example script has not yet been created.


Example: CenteredVert property
'Example: CenteredVert property

'This example script has not yet been created.


Example: ChangeAllEditsToEditor method
'Example: ChangeAllEditsToEditor method

'This example script has not yet been created.


Example: Changed property
'Example: Changed property

'This example script has not yet been created.


Example: Changed event
'Example: Changed event

'


Example: ChangeSmartMaster method
'Example: ChangeSmartMaster method

'This example script has not yet been created.


Example: CharacterBorder property
'Example: CharacterBorder property

'This example script has not yet been created.


Example: CharacterBorderName property
'Example: CharacterBorderName property

'This example script has not yet been created.


Example: CharacterSet property
'Example: CharacterSet property

'This example script has not yet been created.


Example: CharacterSetName property
'Example: CharacterSetName property

'This example script has not yet been created.


Example: CharacterStyle property
'Example: CharacterStyle property

'This example script has not yet been created.


Example: CharacterStyleName property
'Example: CharacterStyleName property

'This example script has not yet been created.


Example: CharacterStyles property
'Example: CharacterStyles property

'This example script has not yet been created.


Example: CharSet property
'Example: CharSet property

'This example script has not yet been created.


Example: CheckBoxes method
'Example: CheckBoxes method

'This example script has not yet been created.


Example: Checked property
'Example: Checked property

'This example script has not yet been created.


Example: CheckForScriptEnumError property
'Example: CheckForScriptEnumError property

'This example script has not yet been created.


Example: CheckForScriptPropertyError property
'Example: CheckForScriptPropertyError property

'This example script has not yet been created.


Example: ChgLineStyle method
'Example: ChgLineStyle method

'This example script has not yet been created.


Example: ChildLayouts property
'Example: ChildLayouts property

'This example script has not yet been created.


Example: CityState property
'Example: CityState property

'This example script has not yet been created.


Example: ClassName property
'Example: ClassName property

'This example script has not yet been created.


Example: CleanScreenMode property
'Example: CleanScreenMode property

'This example script has not yet been created.


Example: CleanScreenOnStartUp property
'Example: CleanScreenOnStartUp property

'This example script has not yet been created.


Example: Clear method
'Example: Clear method

'This example script has not yet been created.


Example: ClearAll method
'Example: ClearAll method

'This example script has not yet been created.


Example: ClearDivisionList method
'Example: ClearDivisionList method

'This example script has not yet been created.


Example: ClearInternalSpellInfo method
'Example: ClearInternalSpellInfo method

'This example script has not yet been created.


Example: ClearParaRevisionTags method
'Example: ClearParaRevisionTags method

'This example script has not yet been created.


Example: ClearPopupData method
'Example: ClearPopupData method

'This example script has not yet been created.


Example: ClearSplits method
'Example: ClearSplits method

'This example script has not yet been created.


Example: ClearUpdate method
'Example: ClearUpdate method

'This example script has not yet been created.


Example: Clicked event
'Example: Clicked event

'This example script has not yet been created.


Example: Clickers method
'Example: Clickers method

'This example script has not yet been created.


Example: ClickHerePrompts property
'Example: ClickHerePrompts property

'This example script has not yet been created.


Example: ClickHeres property
'Example: ClickHeres property

'This example script has not yet been created.


Example: ClientHeight property
'Example: ClientHeight property

'This example script has not yet been created.


Example: ClientWidth property
'Example: ClientWidth property

'This example script has not yet been created.


Example: ClientWndHeight property
'Example: ClientWndHeight property

'This example script has not yet been created.


Example: ClientWndWidth property
'Example: ClientWndWidth property

'This example script has not yet been created.


Example: Close method
'Example: Close method

'This example script has not yet been created.


Example: CloseAll method
'Example: CloseAll method

'This example script has not yet been created.


Example: CloseDocMacroName property
'Example: CloseDocMacroName property

'This example script has not yet been created.


Example: CloseDocWindow method
'Example: CloseDocWindow method

'This example script has not yet been created.


Example: CloseMergeDataFile method
'Example: CloseMergeDataFile method

'This example script has not yet been created.


Example: CloseObject method
'Example: CloseObject method

'This example script has not yet been created.


Example: CodePage property
'Example: CodePage property

'This example script has not yet been created.


Example: Collapsible property
'Example: Collapsible property

'This example script has not yet been created.


Example: Collate property
'Example: Collate property

'This example script has not yet been created.


Example: Color property
'Example: Color property

'This example script has not yet been created.


Example: ColorOverride property
'Example: ColorOverride property

'This example script has not yet been created.


Example: ColumnBalance property
'Example: ColumnBalance property

'This example script has not yet been created.


Example: ColumnGap property
'Example: ColumnGap property

'This example script has not yet been created.


Example: ColumnLayouts property
'Example: ColumnLayouts property

'This example script has not yet been created.


Example: ColumnNumber property
'Example: ColumnNumber property

'This example script has not yet been created.


Example: ColumnWidth property
'Example: ColumnWidth property

'This example script has not yet been created.


Example: CombineDivisions method
'Example: CombineDivisions method

'This example script has not yet been created.


Example: CombineSections method
'Example: CombineSections method

'This example script has not yet been created.


Example: ComboBoxes method
'Example: ComboBoxes method

'This example script has not yet been created.


Example: CommentColor property
'Example: CommentColor property

'This example script has not yet been created.


Example: Company property
'Example: Company property

'This example script has not yet been created.


Example: CompareFiles method
'Example: CompareFiles method

'This example script has not yet been created.


Example: Condition property
'Example: Condition property

'This example script has not yet been created.


Example: ConditionType property
'Example: ConditionType property

'This example script has not yet been created.


Example: Configure method
'Example: Configure method

'This example script has not yet been created.


Example: Connect method
'Example: Connect method

'This example script has not yet been created.


Example: ConnectCells method
'Example: ConnectCells method

'This example script has not yet been created.


Example: ConnectContainer method
'Example: ConnectContainer method

'This example script has not yet been created.


Example: ConnectedLayouts property
'Example: ConnectedLayouts property

'This example script has not yet been created.


Example: ConnectRows method
'Example: ConnectRows method

'This example script has not yet been created.


Example: ConnectSectionTabs method
'Example: ConnectSectionTabs method

'This example script has not yet been created.


Example: ContactUponPermissionDenied property
'Example: ContactUponPermissionDenied property

'This example script has not yet been created.


Example: Container property
'Example: Container property

'This example script has not yet been created.


Example: Content property
'Example: Content property

'This example script has not yet been created.


Example: ContentHeight property
'Example: ContentHeight property

'This example script has not yet been created.


Example: ContentLayouts property
'Example: ContentLayouts property

'This example script has not yet been created.


Example: ContentName property
'Example: ContentName property

'This example script has not yet been created.


Example: Contents property
'Example: Contents property

'This example script has not yet been created.


Example: ContentStyleName property
'Example: ContentStyleName property

'This example script has not yet been created.


Example: ContentType property
'Example: ContentType property

'This example script has not yet been created.


Example: ContentWidth property
'Example: ContentWidth property

'This example script has not yet been created.


Example: ContextMenuOptions property
'Example: ContextMenuOptions property

'This example script has not yet been created.


Example: ContinuedFromAlignment property
'Example: ContinuedFromAlignment property

'This example script has not yet been created.


Example: ContinuedFromMessage property
'Example: ContinuedFromMessage property

'This example script has not yet been created.


Example: ContinuedFromStory property
'Example: ContinuedFromStory property

'This example script has not yet been created.


Example: ContinuedOnAlignment property
'Example: ContinuedOnAlignment property

'This example script has not yet been created.


Example: ContinuedOnMessage property
'Example: ContinuedOnMessage property

'This example script has not yet been created.


Example: ContinuedOnStory property
'Example: ContinuedOnStory property

'This example script has not yet been created.


Example: Contract method
'Example: Contract method

'This example script has not yet been created.


Example: ContractOutlineLevel method
'Example: ContractOutlineLevel method

'This example script has not yet been created.


Example: Controls property
'Example: Controls property

'This example script has not yet been created.


Example: ConvertToClass method
'Example: ConvertToClass method

'This example script has not yet been created.


Example: Copies property
'Example: Copies property

'This example script has not yet been created.


Example: Copy method
'Example: Copy method

'This example script has not yet been created.


Example: CopyItem method
'Example: CopyItem method

'This example script has not yet been created.


Example: CopyMeaning method
'Example: CopyMeaning method

'This example script has not yet been created.


Example: CopySelection method
'Example: CopySelection method

'This example script has not yet been created.


Example: Count property
'Example: Count property

'This example script has not yet been created.


Example: CountBlankLines property
'Example: CountBlankLines property

'This example script has not yet been created.


Example: Created event
'Example: Created event

'This example script has not yet been created.


Example: CreateDataFile method
'Example: CreateDataFile method

'This example script has not yet been created.


Example: CreateDivision method
'Example: CreateDivision method

'This example script has not yet been created.


Example: CreateDocument method
'Example: CreateDocument method

'This example script has not yet been created.


Example: CreateExternalDivision method
'Example: CreateExternalDivision method

'This example script has not yet been created.


Example: CreateFrame method
'Example: CreateFrame method

'This example script has not yet been created.


Example: CreateFromBitmap method
'Example: CreateFromBitmap method

'This example script has not yet been created.


Example: CreateFromClipBrd method
'Example: CreateFromClipBrd method

'This example script has not yet been created.


Example: CreateFromDataObject method
'Example: CreateFromDataObject method

'This example script has not yet been created.


Example: eFromMetafile method
'Example: Creat

eFromMetafile method

'This example script has not yet been created.


Example: CreateGlossary method
'Example: CreateGlossary method

'This example script has not yet been created.


Example: CreateGlossaryEntry method
'Example: CreateGlossaryEntry method

'This example script has not yet been created.


Example: CreateGraphic method
'Example: CreateGraphic method

'This example script has not yet been created.


Example: CreateNew method
'Example: CreateNew method

'This example script has not yet been created.


Example: CreateNewButton method
'Example: CreateNewButton method

'This example script has not yet been created.


Example: CreateOleEmbeddedFile method
'Example: CreateOleEmbeddedFile method

'This example script has not yet been created.


Example: CreateOleLinkedFile method
'Example: CreateOleLinkedFile method

'This example script has not yet been created.


Example: CreateOleNew method
'Example: CreateOleNew method

'This example script has not yet been created.


Example: CreateParallelColumns method
'Example: CreateParallelColumns method

'This example script has not yet been created.


Example: CreateRemark method
'Example: CreateRemark method

'This example script has not yet been created.


Example: CreateTable method
'Example: CreateTable method

'This example script has not yet been created.


Example: CreateVersion method
'Example: CreateVersion method

'This example script has not yet been created.


Example: CreationDateString property
'Example: CreationDateString property

'This example script has not yet been created.


Example: CreationTimeString property
'Example: CreationTimeString property

'This example script has not yet been created.


Example: CreationTimeValue property
'Example: CreationTimeValue property

'This example script has not yet been created.


Example: Crop property
'Example: Crop property

'This example script has not yet been created.


Example: CurrentCell property
'Example: CurrentCell property

'This example script has not yet been created.


Example: CurrentColumn property
'Example: CurrentColumn property

'This example script has not yet been created.


Example: CurrentEditor property
'Example: CurrentEditor property

'This example script has not yet been created.


Example: CurrentLanguage property
'Example: CurrentLanguage property

'This example script has not yet been created.


Example: CurrentRow property
'Example: CurrentRow property

'This example script has not yet been created.


Example: CurrentVersion property
'Example: CurrentVersion property

'This example script has not yet been created.


Example: CustomLength property
'Example: CustomLength property

'This example script has not yet been created.


Example: CustomViewLevel property
'Example: CustomViewLevel property

'This example script has not yet been created.


Example: CutSelection method
'Example: CutSelection method

'This example script has not yet been created.


Example: DataFileFieldNames property
'Example: DataFileFieldNames property

'This example script has not yet been created.


Example: DataFileName property
'Example: DataFileName property

'This example script has not yet been created.


Example: DataNames property
'Example: DataNames property

'This example script has not yet been created.


Example: DataObjectGetData method
'Example: DataObjectGetData method

'This example script has not yet been created.


Example: DataObjectGetDataHere method
'Example: DataObjectGetDataHere method

'This example script has not yet been created.


Example: DateCreatedValue property
'Example: DateCreatedValue property

'This example script has not yet been created.


Example: DateRevisedValue property
'Example: DateRevisedValue property

'This example script has not yet been created.


Example: DblUnderline method
'Example: DblUnderline method

'This example script has not yet been created.


Example: DdeLinkManager property
'Example: DdeLinkManager property

'This example script has not yet been created.


Example: DdeLinks property
'Example: DdeLinks property

'This example script has not yet been created.


Example: DdeLinksFromMarker property
'Example: DdeLinksFromMarker property

'This example script has not yet been created.


Example: DdeOutboundInfo property
'Example: DdeOutboundInfo property

'This example script has not yet been created.


Example: DebugVariable property
'Example: DebugVariable property

'This example script has not yet been created.


Example: Decrement event
'Example: Decrement event

'This example script has not yet been created.


Example: DefaultBinName property
'Example: DefaultBinName property

'This example script has not yet been created.


Example: DefaultCellStyleDescription property
'Example: DefaultCellStyleDescription property

'This example script has not yet been created.


Example: DefaultColumnStyleName property
'Example: DefaultColumnStyleName property

'This example script has not yet been created.


Example: DefaultFilePath property
'Example: DefaultFilePath property

'This example script has not yet been created.


Example: DefaultFrameStyleDescription property
'Example: DefaultFrameStyleDescription property

'This example script has not yet been created.


Example: DefaultLatinFont property
'Example: DefaultLatinFont property

'This example script has not yet been created.


Example: DefaultLeftColumnStyleName property
'Example: DefaultLeftColumnStyleName property

'This example script has not yet been created.


Example: DefaultNonLatinFont property
'Example: DefaultNonLatinFont property

'This example script has not yet been created.


Example: DefaultPageHeight property
'Example: DefaultPageHeight property

'This example script has not yet been created.


Example: DefaultPageStyleDescription property
'Example: DefaultPageStyleDescription property

'This example script has not yet been created.


Example: DefaultPageWidth property
'Example: DefaultPageWidth property

'This example script has not yet been created.


Example: DefaultPitch property
'Example: DefaultPitch property

'This example script has not yet been created.


Example: DefaultRightColumnStyleName property
'Example: DefaultRightColumnStyleName property

'This example script has not yet been created.


Example: DefaultTableStyleDescription property
'Example: DefaultTableStyleDescription property

'This example script has not yet been created.


Example: DefaultTextStyleDescription property
'Example: DefaultTextStyleDescription property

'This example script has not yet been created.


Example: DefCellStyleName property
'Example: DefCellStyleName property

'This example script has not yet been created.


Example: DefColWidth property
'Example: DefColWidth property

'This example script has not yet been created.


Example: Definition property
'Example: Definition property

'This example script has not yet been created.


Example: DefRowHeight property
'Example: DefRowHeight property

'This example script has not yet been created.


Example: Delete method
'Example: Delete method

'This example script has not yet been created.


Example: DeleteButton method
'Example: DeleteButton method

'This example script has not yet been created.


Example: DeleteChars method
'Example: DeleteChars method

'This example script has not yet been created.


Example: DeleteContainer method
'Example: DeleteContainer method

'This example script has not yet been created.


Example: DeleteContent method
'Example: DeleteContent method

'This example script has not yet been created.


Example: DeleteContents method
'Example: DeleteContents method

'This example script has not yet been created.


Example: DeleteDivision method
'Example: DeleteDivision method

'This example script has not yet been created.


Example: DeleteField method
'Example: DeleteField method

'This example script has not yet been created.


Example: DeleteFont property
'Example: DeleteFont property

'This example script has not yet been created.


Example: DeleteItem method
'Example: DeleteItem method

'This example script has not yet been created.


Example: DeleteKey method
'Example: DeleteKey method

'This example script has not yet been created.


Example: DeleteLayout method
'Example: DeleteLayout method

'This example script has not yet been created.


Example: DeleteMacroAccelerator method
'Example: DeleteMacroAccelerator method

'This example script has not yet been created.


Example: DeleteMarker method
'Example: DeleteMarker method

'This example script has not yet been created.


Example: DeleteParallelColumns method
'Example: DeleteParallelColumns method

'This example script has not yet been created.


Example: DeleteSection method
'Example: DeleteSection method

'This example script has not yet been created.


Example: DeleteSmartCorrect method
'Example: DeleteSmartCorrect method

'This example script has not yet been created.


Example: DeleteTab method
'Example: DeleteTab method

'This example script has not yet been created.


Example: DeleteTable method
'Example: DeleteTable method

'This example script has not yet been created.


Example: DeleteVersion method
'Example: DeleteVersion method

'This example script has not yet been created.


Example: DemandLoad property
'Example: DemandLoad property

'This example script has not yet been created.


Example: Demote method
'Example: Demote method

'This example script has not yet been created.


Example: DemoteOutlineLevel method
'Example: DemoteOutlineLevel method

'This example script has not yet been created.


Example: Descent property
'Example: Descent property

'This example script has not yet been created.


Example: Description property
'Example: Description property

'This example script has not yet been created.


Example: DescriptionFileName property
'Example: DescriptionFileName property

'This example script has not yet been created.


Example: Deselect method
'Example: Deselect method

'This example script has not yet been created.


Example: DeselectRuler method
'Example: DeselectRuler method

'This example script has not yet been created.


Example: Destroy method
'Example: Destroy method

'This example script has not yet been created.


Example: DestroyDocWindow method
'Example: DestroyDocWindow method

'This example script has not yet been created.


Example: DialogEvent event
'Example: DialogEvent event

'This example script has not yet been created.


Example: DirControl property
'Example: DirControl property

'This example script has not yet been created.


Example: DirectionDown property
'Example: DirectionDown property

'This example script has not yet been created.


Example: DirectionLeft property
'Example: DirectionLeft property

'This example script has not yet been created.


Example: DirectionRight property
'Example: DirectionRight property

'This example script has not yet been created.


Example: DirectionUp property
'Example: DirectionUp property

'This example script has not yet been created.


Example: DirectiveColor property
'Example: DirectiveColor property

'This example script has not yet been created.


Example: DisableClickHeres property
'Example: DisableClickHeres property

'This example script has not yet been created.


Example: DisableExportToNotes property
'Example: DisableExportToNotes property

'This example script has not yet been created.


Example: DisableVersionReview property
'Example: DisableVersionReview property

'This example script has not yet been created.


Example: Disconnect method
'Example: Disconnect method

'This example script has not yet been created.


Example: DisconnectCells method
'Example: DisconnectCells method

'This example script has not yet been created.


Example: DistanceFromLeftMargin property
'Example: DistanceFromLeftMargin property

'This example script has not yet been created.


Example: DivideText method
'Example: DivideText method

'This example script has not yet been created.


Example: Division property
'Example: Division property

'This example script has not yet been created.


Example: DivisionInfo property
'Example: DivisionInfo property

'This example script has not yet been created.


Example: DivisionName property
'Example: DivisionName property

'This example script has not yet been created.


Example: DivisionNames property
'Example: DivisionNames property

'This example script has not yet been created.


Example: DivisionOptions property
'Example: DivisionOptions property

'This example script has not yet been created.


Example: Divisions property
'Example: Divisions property

'This example script has not yet been created.


Example: DivisionsRequired property
'Example: DivisionsRequired property

'This example script has not yet been created.


Example: DocControl property
'Example: DocControl property

'This example script has not yet been created.


Example: DocControlRestrictedToEditor property
'Example: DocControlRestrictedToEditor property

'This example script has not yet been created.


Example: DocInfo property
'Example: DocInfo property

'This example script has not yet been created.


Example: DocOptions property
'Example: DocOptions property

'This example script has not yet been created.


Example: DocPath property
'Example: DocPath property

'This example script has not yet been created.


Example: DocSize property
'Example: DocSize property

'This example script has not yet been created.


Example: DocTextSize property
'Example: DocTextSize property

'This example script has not yet been created.


Example: Document property
'Example: Document property

'This example script has not yet been created.


Example: DocumentClose event
'Example: DocumentClose event

'This example script has not yet been created.


Example: DocumentClosed event
'Example: DocumentClosed event

'This example script has not yet been created.


Example: DocumentCreate event
'Example: DocumentCreate event

'This example script has not yet been created.


Example: DocumentCreated event
'Example: DocumentCreated event

'


Example: DocumentExport event
'Example: DocumentExport event

'This example script has not yet been created.


Example: DocumentExported event
'Example: DocumentExported event

'This example script has not yet been created.


Example: DocumentImport event
'Example: DocumentImport event

'This example script has not yet been created.


Example: DocumentImported event
'Example: DocumentImported event

'This example script has not yet been created.


Example: DocumentInsert event
'Example: DocumentInsert event

'This example script has not yet been created.


Example: DocumentInserted event
'Example: DocumentInserted event

'This example script has not yet been created.


Example: DocumentLevel property
'Example: DocumentLevel property

'This example script has not yet been created.


Example: DocumentOpen event
'Example: DocumentOpen event

'


Example: DocumentOpened event
'Example: DocumentOpened event

'


Example: DocumentPaths property
'Example: DocumentPaths property

'This example script has not yet been created.


Example: DocumentPrint event
'Example: DocumentPrint event

'This example script has not yet been created.


Example: DocumentPrinted event
'Example: DocumentPrinted event

'This example script has not yet been created.


Example: Documents property
'Example: Documents property

'This example script has not yet been created.


Example: DocumentSave event
'Example: DocumentSave event

'This example script has not yet been created.


Example: DocumentSaveAs event
'Example: DocumentSaveAs event

'This example script has not yet been created.


Example: DocumentSaved event
'Example: DocumentSaved event

'This example script has not yet been created.


Example: DocumentSavedAs event
'Example: DocumentSavedAs event

'This example script has not yet been created.


Example: DocVersionID property
'Example: DocVersionID property

'This example script has not yet been created.


Example: DocWindows property
'Example: DocWindows property

'This example script has not yet been created.


Example: DoesMarkerNameMatch method
'Example: DoesMarkerNameMatch method

'This example script has not yet been created.


Example: DoInitialCaps property
'Example: DoInitialCaps property

'This example script has not yet been created.


Example: DoneWithRightMouseMenu method
'Example: DoneWithRightMouseMenu method

'This example script has not yet been created.


Example: DoSmartQuotes property
'Example: DoSmartQuotes property

'This example script has not yet been created.


Example: DoubleClicked event
'Example: DoubleClicked event

'This example script has not yet been created.


Example: DoubleUnderline property
'Example: DoubleUnderline property

'This example script has not yet been created.


Example: DragDropOn property
'Example: DragDropOn property

'This example script has not yet been created.


Example: DriverNameDriverName property
'Example: DriverNameDriverName property

'This example script has not yet been created.


Example: DuplexType property
'Example: DuplexType property

'This example script has not yet been created.


Example: Editable property
'Example: Editable property

'This example script has not yet been created.


Example: EditBoxes method
'Example: EditBoxes method

'This example script has not yet been created.


Example: EditLinkInfo method
'Example: EditLinkInfo method

'This example script has not yet been created.


Example: EditorAttemptingOpen property
'Example: EditorAttemptingOpen property

'This example script has not yet been created.


Example: EditorInitials property
'Example: EditorInitials property

'This example script has not yet been created.


Example: EditorManager property
'Example: EditorManager property

'This example script has not yet been created.


Example: EditorName property
'Example: EditorName property

'This example script has not yet been created.


Example: Editors property
'Example: Editors property

'This example script has not yet been created.


Example: EditorVerificationType property
'Example: EditorVerificationType property

'This example script has not yet been created.


Example: EffectiveColumnWidth property
'Example: EffectiveColumnWidth property

'This example script has not yet been created.


Example: EMail property
'Example: EMail property

'This example script has not yet been created.


Example: Embed method
'Example: Embed method

'This example script has not yet been created.


Example: Embedded property
'Example: Embedded property

'This example script has not yet been created.


Example: EmbedFonts property
'Example: EmbedFonts property

'This example script has not yet been created.


Example: EmbedFormula method
'Example: EmbedFormula method

'This example script has not yet been created.


Example: EnableControl method
'Example: EnableControl method

'This example script has not yet been created.


Example: Enabled property
'Example: Enabled property

'This example script has not yet been created.


Example: EncryptPassword property
'Example: EncryptPassword property

'This example script has not yet been created.


Example: EncryptPassword2 property
'Example: EncryptPassword2 property

'This example script has not yet been created.


Example: EndChange method
'Example: EndChange method

'This example script has not yet been created.


Example: EndCustomLines method
'Example: EndCustomLines method

'This example script has not yet been created.


Example: Ending method
'Example: Ending method

'This example script has not yet been created.


Example: EndingColOfSelection property
'Example: EndingColOfSelection property

'This example script has not yet been created.


Example: EndingRowOfSelection property
'Example: EndingRowOfSelection property

'This example script has not yet been created.


Example: EndnoteDivisionGroupNum property
'Example: EndnoteDivisionGroupNum property

'This example script has not yet been created.


Example: EndnoteDivisionNum property
'Example: EndnoteDivisionNum property

'This example script has not yet been created.


Example: EndnoteDocNum property
'Example: EndnoteDocNum property

'This example script has not yet been created.


Example: Endnotes property
'Example: Endnotes property

'This example script has not yet been created.


Example: EnterClickHere event
'Example: EnterClickHere event

'This example script has not yet been created.


Example: EnterLayout event
'Example: EnterLayout event

'


Example: EnumerateTerm method
'Example: EnumerateTerm method

'This example script has not yet been created.


Example: Enumeration property
'Example: Enumeration property

'This example script has not yet been created.


Example: EnvelopePrint method
'Example: EnvelopePrint method

'This example script has not yet been created.


Example: Epoch property
'Example: Epoch property

'This example script has not yet been created.


Example: EqnFontHeight property
'Example: EqnFontHeight property

'This example script has not yet been created.


Example: ErrorColor property
'Example: ErrorColor property

'This example script has not yet been created.


Example: ExchangeItem method
'Example: ExchangeItem method

'This example script has not yet been created.


Example: ExcludeRectBottom property
'Example: ExcludeRectBottom property

'This example script has not yet been created.


Example: ExcludeRectLeft property
'Example: ExcludeRectLeft property

'This example script has not yet been created.


Example: ExcludeRectRight property
'Example: ExcludeRectRight property

'This example script has not yet been created.


Example: ExcludeRectTop property
'Example: ExcludeRectTop property

'This example script has not yet been created.


Example: ExitClickHere event
'Example: ExitClickHere event

'This example script has not yet been created.


Example: Expand method
'Example: Expand method

'This example script has not yet been created.


Example: Expandable property
'Example: Expandable property

'This example script has not yet been created.


Example: ExpandOutline method
'Example: ExpandOutline method

'This example script has not yet been created.


Example: ExpandOutlineLevel method
'Example: ExpandOutlineLevel method

'This example script has not yet been created.


Example: ExportAllAsNotesFX method
'Example: ExportAllAsNotesFX method

'This example script has not yet been created.


Example: ExportAsNotesFX method
'Example: ExportAsNotesFX method

'This example script has not yet been created.


Example: ExportToNotesFX property
'Example: ExportToNotesFX property

'This example script has not yet been created.


Example: ExternalFileID property
'Example: ExternalFileID property

'This example script has not yet been created.


Example: ExternalFileName property
'Example: ExternalFileName property

'This example script has not yet been created.


Example: ExternalName property
'Example: ExternalName property

'This example script has not yet been created.


Example: ExternalType property
'Example: ExternalType property

'This example script has not yet been created.


Example: ExtractText method
'Example: ExtractText method

'This example script has not yet been created.


Example: FaceNames property
'Example: FaceNames property

'This example script has not yet been created.


Example: FaceStyleName property
'Example: FaceStyleName property

'This example script has not yet been created.


Example: FastFormat method
'Example: FastFormat method

'This example script has not yet been created.


Example: FastFormatType property
'Example: FastFormatType property

'This example script has not yet been created.


Example: FaxNumber property
'Example: FaxNumber property

'This example script has not yet been created.


Example: FieldDelimiter property
'Example: FieldDelimiter property

'This example script has not yet been created.


Example: FieldDelimiterText property
'Example: FieldDelimiterText property

'This example script has not yet been created.


Example: FieldManager property
'Example: FieldManager property

'This example script has not yet been created.


Example: FieldNumber property
'Example: FieldNumber property

'This example script has not yet been created.


Example: Fields property
'Example: Fields property

'This example script has not yet been created.


Example: FieldType property
'Example: FieldType property

'This example script has not yet been created.


Example: FileListBoxes method
'Example: FileListBoxes method

'This example script has not yet been created.


Example: FileName property
'Example: FileName property

'This example script has not yet been created.


Example: FileProtection property
'Example: FileProtection property

'This example script has not yet been created.


Example: FileProtectionType property
'Example: FileProtectionType property

'This example script has not yet been created.


Example: FilesToCompare property
'Example: FilesToCompare property

'This example script has not yet been created.


Example: FileType property
'Example: FileType property

'This example script has not yet been created.


Example: FillerPageText property
'Example: FillerPageText property

'This example script has not yet been created.


Example: FillStyle property
'Example: FillStyle property

'This example script has not yet been created.


Example: Filter property
'Example: Filter property

'This example script has not yet been created.


Example: FilterHelper property
'Example: FilterHelper property

'This example script has not yet been created.


Example: FilterIndex property
'Example: FilterIndex property

'This example script has not yet been created.


Example: FilterName property
'Example: FilterName property

'This example script has not yet been created.


Example: Find method
'Example: Find method

'This example script has not yet been created.


Example: FindAndReplace property
'Example: FindAndReplace property

'This example script has not yet been created.


Example: FindCellLayout method
'Example: FindCellLayout method

'This example script has not yet been created.


Example: FindClass method
'Example: FindClass method

'This example script has not yet been created.


Example: FindExactCase property
'Example: FindExactCase property

'This example script has not yet been created.


Example: FindFont property
'Example: FindFont property

'This example script has not yet been created.


Example: FindForwardDirection property
'Example: FindForwardDirection property

'This example script has not yet been created.


Example: FindParent method
'Example: FindParent method

'This example script has not yet been created.


Example: FindString property
'Example: FindString property

'This example script has not yet been created.


Example: FindStyleName property
'Example: FindStyleName property

'This example script has not yet been created.


Example: FindTerm method
'Example: FindTerm method

'This example script has not yet been created.


Example: FindWithProperties property
'Example: FindWithProperties property

'This example script has not yet been created.


Example: First property
'Example: First property

'This example script has not yet been created.


Example: FirstChild property
'Example: FirstChild property

'This example script has not yet been created.


Example: FirstName property
'Example: FirstName property

'This example script has not yet been created.


Example: FirstPage property
'Example: FirstPage property

'This example script has not yet been created.


Example: FitType property
'Example: FitType property

'This example script has not yet been created.


Example: FixAcronymns property
'Example: FixAcronymns property

'This example script has not yet been created.


Example: FixBullets property
'Example: FixBullets property

'This example script has not yet been created.


Example: FixMargins property
'Example: FixMargins property

'This example script has not yet been created.


Example: Flags property
'Example: Flags property

'This example script has not yet been created.


Example: Font property
'Example: Font property

'This example script has not yet been created.


Example: FontColor property
'Example: FontColor property

'This example script has not yet been created.


Example: FontMetrics property
'Example: FontMetrics property

'This example script has not yet been created.


Example: FontName property
'Example: FontName property

'This example script has not yet been created.


Example: FontSize property
'Example: FontSize property

'This example script has not yet been created.


Example: FontStyleName property
'Example: FontStyleName property

'This example script has not yet been created.


Example: FontUnitName property
'Example: FontUnitName property

'This example script has not yet been created.


Example: FontUnits property
'Example: FontUnits property

'This example script has not yet been created.


Example: Footer property
'Example: Footer property

'This example script has not yet been created.


Example: Footers property
'Example: Footers property

'This example script has not yet been created.


Example: FootnoteContSep property
'Example: FootnoteContSep property

'This example script has not yet been created.


Example: FootnoteLayouts property
'Example: FootnoteLayouts property

'This example script has not yet been created.


Example: FootnoteNumbering property
'Example: FootnoteNumbering property

'This example script has not yet been created.


Example: FootnoteOptions property
'Example: FootnoteOptions property

'This example script has not yet been created.


Example: Footnotes property
'Example: Footnotes property

'This example script has not yet been created.


Example: FootnoteSeparator property
'Example: FootnoteSeparator property

'This example script has not yet been created.


Example: ForceDocToLoad method
'Example: ForceDocToLoad method

'This example script has not yet been created.


Example: Format property
'Example: Format property

'This example script has not yet been created.


Example: FormatCheck method
'Example: FormatCheck method

'This example script has not yet been created.


Example: FormatCheckAction method
'Example: FormatCheckAction method

'This example script has not yet been created.


Example: FormatCheckLevel property
'Example: FormatCheckLevel property

'This example script has not yet been created.


Example: FormatCheckPreferences property
'Example: FormatCheckPreferences property

'This example script has not yet been created.


Example: FormatCheckReplace method
'Example: FormatCheckReplace method

'This example script has not yet been created.


Example: FormatCheckRule property
'Example: FormatCheckRule property

'This example script has not yet been created.


Example: FormatCheckSuggestion property
'Example: FormatCheckSuggestion property

'This example script has not yet been created.


Example: FormatType property
'Example: FormatType property

'This example script has not yet been created.


Example: Formula property
'Example: Formula property

'This example script has not yet been created.


Example: Forward method
'Example: Forward method

'This example script has not yet been created.


Example: Foundry property
'Example: Foundry property

'This example script has not yet been created.


Example: Frame property
'Example: Frame property

'This example script has not yet been created.


Example: FrameRevert method
'Example: FrameRevert method

'This example script has not yet been created.


Example: Frames property
'Example: Frames property

'This example script has not yet been created.


Example: FrameStyleName property
'Example: FrameStyleName property

'This example script has not yet been created.


Example: FrameStyles property
'Example: FrameStyles property

'This example script has not yet been created.


Example: FreeMenus property
'Example: FreeMenus property

'This example script has not yet been created.


Example: FullName property
'Example: FullName property

'This example script has not yet been created.


Example: FXGetNotesString method
'Example: FXGetNotesString method

'This example script has not yet been created.


Example: FXGetNotesWriteHandle method
'Example: FXGetNotesWriteHandle method

'This example script has not yet been created.


Example: FXSetNotesString method
'Example: FXSetNotesString method

'This example script has not yet been created.


Example: GapBetweenPanes property
'Example: GapBetweenPanes property

'This example script has not yet been created.


Example: Get method
'Example: Get method

'This example script has not yet been created.


Example: GetActiveList method
'Example: GetActiveList method

'This example script has not yet been created.


Example: GetAfidHelpFileName property
'Example: GetAfidHelpFileName property

'This example script has not yet been created.


Example: GetAfidHelpInfo property
'Example: GetAfidHelpInfo property

'This example script has not yet been created.


Example: GetArrayProp method
'Example: GetArrayProp method

'This example script has not yet been created.


Example: GetButtonId property
'Example: GetButtonId property

'This example script has not yet been created.


Example: GetContents method
'Example: GetContents method

'This example script has not yet been created.


Example: GetControlText method
'Example: GetControlText method

'This example script has not yet been created.


Example: GetControlValue method
'Example: GetControlValue method

'This example script has not yet been created.


Example: GetConversationHandle property
'Example: GetConversationHandle property

'This example script has not yet been created.


Example: GetCopyFormatCategories method
'Example: GetCopyFormatCategories method

'This example script has not yet been created.


Example: GetCurrentMarkerName method
'Example: GetCurrentMarkerName method

'This example script has not yet been created.


Example: GetData method
'Example: GetData method

'This example script has not yet been created.


Example: GetDefaultPageSize method
'Example: GetDefaultPageSize method

'This example script has not yet been created.


Example: GetDisplayableFilterName method
'Example: GetDisplayableFilterName method

'This example script has not yet been created.


Example: GetDocDescription method
'Example: GetDocDescription method

'This example script has not yet been created.


Example: GetEnum method
'Example: GetEnum method

'This example script has not yet been created.


Example: GetEnvelopeDefaults method
'Example: GetEnvelopeDefaults method

'This example script has not yet been created.


Example: GetFileDescription method
'Example: GetFileDescription method

'This example script has not yet been created.


Example: GetFilterExtension property
'Example: GetFilterExtension property

'This example script has not yet been created.


Example: GetFilterExtForDialogBox property
'Example: GetFilterExtForDialogBox property

'This example script has not yet been created.


Example: GetFilterId property
'Example: GetFilterId property

'This example script has not yet been created.


Example: GetFormatName property
'Example: GetFormatName property

'This example script has not yet been created.


Example: GetFormula method
'Example: GetFormula method

'This example script has not yet been created.


Example: GetItemName property
'Example: GetItemName property

'This example script has not yet been created.


Example: GetLastUsedFilter method
'Example: GetLastUsedFilter method

'This example script has not yet been created.


Example: GetLine method
'Example: GetLine method

'This example script has not yet been created.


Example: GetLineMix method
'Example: GetLineMix method

'This example script has not yet been created.


Example: GetLineStyle method
'Example: GetLineStyle method

'This example script has not yet been created.


Example: GetMarkedText method
'Example: GetMarkedText method

'This example script has not yet been created.


Example: GetMarkerName method
'Example: GetMarkerName method

'This example script has not yet been created.


Example: GetMispelledWord method
'Example: GetMispelledWord method

'This example script has not yet been created.


Example: GetNamedProperty method
'Example: GetNamedProperty method

'This example script has not yet been created.


Example: GetNameFromPage method
'Example: GetNameFromPage method

'This example script has not yet been created.


Example: GetObjectList method
'Example: GetObjectList method

'This example script has not yet been created.


Example: GetOne method
'Example: GetOne method

'This example script has not yet been created.


Example: GetParaNumber method
'Example: GetParaNumber method

'This example script has not yet been created.


Example: GetPasteFormatCategories method
'Example: GetPasteFormatCategories method

'This example script has not yet been created.


Example: GetPosition method
'Example: GetPosition method

'This example script has not yet been created.


Example: GetPowerFieldValue method
'Example: GetPowerFieldValue method

'This example script has not yet been created.


Example: GetPrinterInfo method
'Example: GetPrinterInfo method

'This example script has not yet been created.


Example: GetProtectionType method
'Example: GetProtectionType method

'This example script has not yet been created.


Example: GetRedoWhatDesc property
'Example: GetRedoWhatDesc property

'This example script has not yet been created.


Example: GetRGB method
'Example: GetRGB method

'This example script has not yet been created.


Example: GetRightMouseMenu method
'Example: GetRightMouseMenu method

'This example script has not yet been created.


Example: GetServerName property
'Example: GetServerName property

'This example script has not yet been created.


Example: GetSpellStatus method
'Example: GetSpellStatus method

'This example script has not yet been created.


Example: GetSpellUserDictStatus method
'Example: GetSpellUserDictStatus method

'This example script has not yet been created.


Example: GetStandardButtonId method
'Example: GetStandardButtonId method

'This example script has not yet been created.


Example: GetStatus property
'Example: GetStatus property

'This example script has not yet been created.


Example: GetStorageProtectionType method
'Example: GetStorageProtectionType method

'This example script has not yet been created.


Example: GetText method
'Example: GetText method

'This example script has not yet been created.


Example: GetTOCProperties method
'Example: GetTOCProperties method

'This example script has not yet been created.


Example: GetTopicName property
'Example: GetTopicName property

'This example script has not yet been created.


Example: GetUndoWhatDesc property
'Example: GetUndoWhatDesc property

'This example script has not yet been created.


Example: GetUniqueName method
'Example: GetUniqueName method

'This example script has not yet been created.


Example: GetValue property
'Example: GetValue property

'This example script has not yet been created.


Example: Glossarize method
'Example: Glossarize method

'This example script has not yet been created.


Example: GlossaryDataFileName property
'Example: GlossaryDataFileName property

'This example script has not yet been created.


Example: GlossaryDataFiles property
'Example: GlossaryDataFiles property

'This example script has not yet been created.


Example: GlossaryDataPaths property
'Example: GlossaryDataPaths property

'This example script has not yet been created.


Example: GlossaryInsert method
'Example: GlossaryInsert method

'This example script has not yet been created.


Example: GlossaryOpen method
'Example: GlossaryOpen method

'This example script has not yet been created.


Example: GlossaryPath property
'Example: GlossaryPath property

'This example script has not yet been created.


Example: Glossarys property
'Example: Glossarys property

'This example script has not yet been created.


Example: GotFocus event
'Example: GotFocus event

'This example script has not yet been created.


Example: GoTo method
'Example: GoTo method

'This example script has not yet been created.


Example: GoToBookmark method
'Example: GoToBookmark method

'This example script has not yet been created.


Example: GoToContainer method
'Example: GoToContainer method

'This example script has not yet been created.


Example: GoToIndexLastItemAccessed property
'Example: GoToIndexLastItemAccessed property

'This example script has not yet been created.


Example: GoToItemName property
'Example: GoToItemName property

'This example script has not yet been created.


Example: GoToLayout method
'Example: GoToLayout method

'This example script has not yet been created.


Example: GotoNextParallelColumn method
'Example: GotoNextParallelColumn method

'This example script has not yet been created.


Example: GoToObject method
'Example: GoToObject method

'This example script has not yet been created.


Example: GoToPage method
'Example: GoToPage method

'This example script has not yet been created.


Example: GoToPageNumber property
'Example: GoToPageNumber property

'This example script has not yet been created.


Example: GoToSection method
'Example: GoToSection method

'This example script has not yet been created.


Example: GoToSelection property
'Example: GoToSelection property

'This example script has not yet been created.


Example: GoToTableCell method
'Example: GoToTableCell method

'This example script has not yet been created.


Example: GrammarFormalityLevel property
'Example: GrammarFormalityLevel property

'This example script has not yet been created.


Example: GrammarOptions property
'Example: GrammarOptions property

'This example script has not yet been created.


Example: GrammarProofLevel property
'Example: GrammarProofLevel property

'This example script has not yet been created.


Example: GrammarSetName property
'Example: GrammarSetName property

'This example script has not yet been created.


Example: Graphic property
'Example: Graphic property

'This example script has not yet been created.


Example: GraphicExports property
'Example: GraphicExports property

'This example script has not yet been created.


Example: GraphicImports property
'Example: GraphicImports property

'This example script has not yet been created.


Example: GraphicOleObject property
'Example: GraphicOleObject property

'This example script has not yet been created.


Example: Graphics property
'Example: Graphics property

'This example script has not yet been created.


Example: Green property
'Example: Green property

'This example script has not yet been created.


Example: Greeting property
'Example: Greeting property

'This example script has not yet been created.


Example: GridDistance property
'Example: GridDistance property

'This example script has not yet been created.


Example: GridType property
'Example: GridType property

'This example script has not yet been created.


Example: GroupDivision method
'Example: GroupDivision method

'This example script has not yet been created.


Example: Groups property
'Example: Groups property

'This example script has not yet been created.


Example: Gutter property
'Example: Gutter property

'This example script has not yet been created.


Example: HandsOffStorage method
'Example: HandsOffStorage method

'This example script has not yet been created.


Example: Hang property
'Example: Hang property

'This example script has not yet been created.


Example: HasContents property
'Example: HasContents property

'This example script has not yet been created.


Example: HasFocus property
'Example: HasFocus property

'This example script has not yet been created.


Example: HasLocalTabs property
'Example: HasLocalTabs property

'This example script has not yet been created.


Example: HasTabs property
'Example: HasTabs property

'This example script has not yet been created.


Example: Header property
'Example: Header property

'This example script has not yet been created.


Example: Headers property
'Example: Headers property

'This example script has not yet been created.


Example: Heading property
'Example: Heading property

'This example script has not yet been created.


Example: Height property
'Example: Height property

'This example script has not yet been created.


Example: Help method
'Example: Help method

'This example script has not yet been created.


Example: HelpText property
'Example: HelpText property

'This example script has not yet been created.


Example: Hidden property
'Example: Hidden property

'This example script has not yet been created.


Example: HiddenMode property
'Example: HiddenMode property

'This example script has not yet been created.


Example: Hide method
'Example: Hide method

'This example script has not yet been created.


Example: HideControl method
'Example: HideControl method

'This example script has not yet been created.


Example: HideFormula property
'Example: HideFormula property

'This example script has not yet been created.


Example: HideIconBar method
'Example: HideIconBar method

'This example script has not yet been created.


Example: HideIconBars method
'Example: HideIconBars method

'This example script has not yet been created.


Example: HideOutlineLevels property
'Example: HideOutlineLevels property

'This example script has not yet been created.


Example: HideStatusBar method
'Example: HideStatusBar method

'This example script has not yet been created.


Example: HighLightMode property
'Example: HighLightMode property

'This example script has not yet been created.


Example: HighlightToggle method
'Example: HighlightToggle method

'This example script has not yet been created.


Example: HiLiteColor property
'Example: HiLiteColor property

'This example script has not yet been created.


Example: Hit method
'Example: Hit method

'This example script has not yet been created.


Example: HorizontalSplitWindow property
'Example: HorizontalSplitWindow property

'This example script has not yet been created.


Example: HorizScrollBarVisible property
'Example: HorizScrollBarVisible property

'This example script has not yet been created.


Example: HorzRuler property
'Example: HorzRuler property

'This example script has not yet been created.


Example: HourGlass method
'Example: HourGlass method

'This example script has not yet been created.


Example: hWnd property
'Example: hWnd property

'This example script has not yet been created.


Example: Hwnd property
'Example: Hwnd property

'This example script has not yet been created.


Example: HyphenateLastWordInColumnOrPage property
'Example: HyphenateLastWordInColumnOrPage property

'This example script has not yet been created.


Example: HyphenateLastWordInPara property
'Example: HyphenateLastWordInPara property

'This example script has not yet been created.


Example: HyphenationOptions property
'Example: HyphenationOptions property

'This example script has not yet been created.


Example: HyphZoneAfter property
'Example: HyphZoneAfter property

'This example script has not yet been created.


Example: HyphZoneBefore property
'Example: HyphZoneBefore property

'This example script has not yet been created.


Example: IconBarManager property
'Example: IconBarManager property

'This example script has not yet been created.


Example: IconBarPositionState property
'Example: IconBarPositionState property

'This example script has not yet been created.


Example: IconBars property
'Example: IconBars property

'This example script has not yet been created.


Example: IconBarSets property
'Example: IconBarSets property

'This example script has not yet been created.


Example: IconHelpText property
'Example: IconHelpText property

'This example script has not yet been created.


Example: IconPath property
'Example: IconPath property

'This example script has not yet been created.


Example: IconPaths property
'Example: IconPaths property

'This example script has not yet been created.


Example: IconSetName property
'Example: IconSetName property

'This example script has not yet been created.


Example: IconShowingBeforeCleanScreen property
'Example: IconShowingBeforeCleanScreen property

'This example script has not yet been created.


Example: IconSize property
'Example: IconSize property

'This example script has not yet been created.


Example: ID property
'Example: ID property

'This example script has not yet been created.


Example: IdentifierColor property
'Example: IdentifierColor property

'This example script has not yet been created.


Example: IgnoreSoftHyphens property
'Example: IgnoreSoftHyphens property

'This example script has not yet been created.


Example: IgnoreTab property
'Example: IgnoreTab property

'This example script has not yet been created.


Example: ImportGraphic method
'Example: ImportGraphic method

'This example script has not yet been created.


Example: ImportInsert event
'Example: ImportInsert event

'This example script has not yet been created.


Example: ImportInserted event
'Example: ImportInserted event

'This example script has not yet been created.


Example: ImportPicture method
'Example: ImportPicture method

'This example script has not yet been created.


Example: IncludeDirs property
'Example: IncludeDirs property

'This example script has not yet been created.


Example: IncludeDrives property
'Example: IncludeDrives property

'This example script has not yet been created.


Example: IncludeInitialsInNotes property
'Example: IncludeInitialsInNotes property

'This example script has not yet been created.


Example: IncludeList property
'Example: IncludeList property

'This example script has not yet been created.


Example: Increment event
'Example: Increment event

'This example script has not yet been created.


Example: Indent property
'Example: Indent property

'This example script has not yet been created.


Example: IndentFromLeft property
'Example: IndentFromLeft property

'This example script has not yet been created.


Example: IndentStyleName property
'Example: IndentStyleName property

'This example script has not yet been created.


Example: IndexAlphabeticSeparator property
'Example: IndexAlphabeticSeparator property

'This example script has not yet been created.


Example: IndexDivision property
'Example: IndexDivision property

'This example script has not yet been created.


Example: IndexIndentType property
'Example: IndexIndentType property

'This example script has not yet been created.


Example: IndexParent property
'Example: IndexParent property

'This example script has not yet been created.


Example: IndexPrimaryStyleName property
'Example: IndexPrimaryStyleName property

'This example script has not yet been created.


Example: IndexRange property
'Example: IndexRange property

'This example script has not yet been created.


Example: IndexSecondaryStyleName property
'Example: IndexSecondaryStyleName property

'This example script has not yet been created.


Example: IndexSection property
'Example: IndexSection property

'This example script has not yet been created.


Example: IndexSeparatorStyleName property
'Example: IndexSeparatorStyleName property

'This example script has not yet been created.


Example: IndexSource property
'Example: IndexSource property

'This example script has not yet been created.


Example: InDocument property
'Example: InDocument property

'This example script has not yet been created.


Example: InfoBoxSelectionText property
'Example: InfoBoxSelectionText property

'This example script has not yet been created.


Example: InitalizeRoute property
'Example: InitalizeRoute property

'This example script has not yet been created.


Example: InitControls method
'Example: InitControls method

'This example script has not yet been created.


Example: InitDir property
'Example: InitDir property

'This example script has not yet been created.


Example: InitFindAndReplace method
'Example: InitFindAndReplace method

'This example script has not yet been created.


Example: Initialize property
'Example: Initialize property

'This example script has not yet been created.


Example: InitialsForFilters property
'Example: InitialsForFilters property

'This example script has not yet been created.


Example: InsertBreak method
'Example: InsertBreak method

'This example script has not yet been created.


Example: InsertBullet method
'Example: InsertBullet method

'This example script has not yet been created.


Example: InsertClickHere method
'Example: InsertClickHere method

'This example script has not yet been created.


Example: InsertColumnBreak method
'Example: InsertColumnBreak method

'This example script has not yet been created.


Example: InsertDate method
'Example: InsertDate method

'This example script has not yet been created.


Example: InsertDocInfo method
'Example: InsertDocInfo method

'This example script has not yet been created.


Example: InsertDocument method
'Example: InsertDocument method

'This example script has not yet been created.


Example: InsertField method
'Example: InsertField method

'This example script has not yet been created.


Example: InsertFont property
'Example: InsertFont property

'This example script has not yet been created.


Example: InsertFootnote method
'Example: InsertFootnote method

'This example script has not yet been created.


Example: InsertFrame method
'Example: InsertFrame method

'This example script has not yet been created.


Example: InsertHardSpace method
'Example: InsertHardSpace method

'This example script has not yet been created.


Example: InsertIndex method
'Example: InsertIndex method

'This example script has not yet been created.


Example: InsertionMode property
'Example: InsertionMode property

'This example script has not yet been created.


Example: InsertLink method
'Example: InsertLink method

'This example script has not yet been created.


Example: InsertMarker method
'Example: InsertMarker method

'This example script has not yet been created.


Example: InsertNote method
'Example: InsertNote method

'This example script has not yet been created.


Example: InsertNumber method
'Example: InsertNumber method

'This example script has not yet been created.


Example: InsertOleDivision method
'Example: InsertOleDivision method

'This example script has not yet been created.


Example: InsertOne method
'Example: InsertOne method

'This example script has not yet been created.


Example: InsertPageBreak method
'Example: InsertPageBreak method

'This example script has not yet been created.


Example: InsertPageLayout method
'Example: InsertPageLayout method

'This example script has not yet been created.


Example: InsertPageNumber method
'Example: InsertPageNumber method

'This example script has not yet been created.


Example: InsertPath method
'Example: InsertPath method

'This example script has not yet been created.


Example: InsertRowOrColumn method
'Example: InsertRowOrColumn method

'This example script has not yet been created.


Example: InsertRuby method
'Example: InsertRuby method

'This example script has not yet been created.


Example: InsertSection method
'Example: InsertSection method

'This example script has not yet been created.


Example: InsertTab method
'Example: InsertTab method

'This example script has not yet been created.


Example: InsertText method
'Example: InsertText method

'This example script has not yet been created.


Example: InsertTOC method
'Example: InsertTOC method

'This example script has not yet been created.


Example: Interactive property
'Example: Interactive property

'This example script has not yet been created.


Example: InternalCopy method
'Example: InternalCopy method

'This example script has not yet been created.


Example: InternalCut method
'Example: InternalCut method

'This example script has not yet been created.


Example: InternalPaste method
'Example: InternalPaste method

'This example script has not yet been created.


Example: Interval property
'Example: Interval property

'This example script has not yet been created.


Example: InUseCount property
'Example: InUseCount property

'This example script has not yet been created.


Example: Invalidate method
'Example: Invalidate method

'This example script has not yet been created.


Example: InvalidateButton method
'Example: InvalidateButton method

'This example script has not yet been created.


Example: InvalidateWholeBar method
'Example: InvalidateWholeBar method

'This example script has not yet been created.


Example: IsActionOnButtonDown property
'Example: IsActionOnButtonDown property

'This example script has not yet been created.


Example: IsActive property
'Example: IsActive property

'This example script has not yet been created.


Example: IsAdopted property
'Example: IsAdopted property

'This example script has not yet been created.


Example: IsAmiProTableImport property
'Example: IsAmiProTableImport property

'This example script has not yet been created.


Example: IsAsciiCRLF property
'Example: IsAsciiCRLF property

'This example script has not yet been created.


Example: IsAsciiKeepStyle property
'Example: IsAsciiKeepStyle property

'This example script has not yet been created.


Example: IsAutoGrow property
'Example: IsAutoGrow property

'This example script has not yet been created.


Example: IsBadReference property
'Example: IsBadReference property

'This example script has not yet been created.


Example: IsBorder property
'Example: IsBorder property

'This example script has not yet been created.


Example: IsBothSidesEqual property
'Example: IsBothSidesEqual property

'This example script has not yet been created.


Example: IsBottomAligned property
'Example: IsBottomAligned property

'This example script has not yet been created.


Example: IsBreakable property
'Example: IsBreakable property

'This example script has not yet been created.


Example: IsBubbleHelp property
'Example: IsBubbleHelp property

'This example script has not yet been created.


Example: IsCellMenuEnabled property
'Example: IsCellMenuEnabled property

'This example script has not yet been created.


Example: IsCentered property
'Example: IsCentered property

'This example script has not yet been created.


Example: IsChanged property
'Example: IsChanged property

'This example script has not yet been created.


Example: IsChangedSinceTimeSave property
'Example: IsChangedSinceTimeSave property

'This example script has not yet been created.


Example: IsChildSpannable property
'Example: IsChildSpannable property

'This example script has not yet been created.


Example: IsCollapsed property
'Example: IsCollapsed property

'This example script has not yet been created.


Example: IsCollapsible property
'Example: IsCollapsible property

'This example script has not yet been created.


Example: IsColumnBreakable property
'Example: IsColumnBreakable property

'This example script has not yet been created.


Example: IsColumnBreakAfter property
'Example: IsColumnBreakAfter property

'This example script has not yet been created.


Example: IsColumnBreakBefore property
'Example: IsColumnBreakBefore property

'This example script has not yet been created.


Example: IsComplex property
'Example: IsComplex property

'This example script has not yet been created.


Example: IsConnected property
'Example: IsConnected property

'This example script has not yet been created.


Example: IsContentReplaceable property
'Example: IsContentReplaceable property

'This example script has not yet been created.


Example: IsContents property
'Example: IsContents property

'This example script has not yet been created.


Example: IsContinuedFrom property
'Example: IsContinuedFrom property

'This example script has not yet been created.


Example: IsContinuedOn property
'Example: IsContinuedOn property

'This example script has not yet been created.


Example: IsCumulative property
'Example: IsCumulative property

'This example script has not yet been created.


Example: IsDataNameUsed method
'Example: IsDataNameUsed method

'This example script has not yet been created.


Example: IsDebug property
'Example: IsDebug property

'This example script has not yet been created.


Example: IsDisableWarningMessages property
'Example: IsDisableWarningMessages property

'This example script has not yet been created.


Example: IsDisplayMisspelled property
'Example: IsDisplayMisspelled property

'This example script has not yet been created.


Example: IsDivisionExternal property
'Example: IsDivisionExternal property

'This example script has not yet been created.


Example: IsDocLoading property
'Example: IsDocLoading property

'This example script has not yet been created.


Example: IsDocumentInRoute property
'Example: IsDocumentInRoute property

'This example script has not yet been created.


Example: IsDoubleWordError property
'Example: IsDoubleWordError property

'This example script has not yet been created.


Example: IsDraw property
'Example: IsDraw property

'This example script has not yet been created.


Example: IsEmpty property
'Example: IsEmpty property

'This example script has not yet been created.


Example: IsEmpty method
'Example: IsEmpty method

'This example script has not yet been created.


Example: IsEmptyDoc property
'Example: IsEmptyDoc property

'This example script has not yet been created.


Example: IsEnabled property
'Example: IsEnabled property

'This example script has not yet been created.


Example: IsEquation property
'Example: IsEquation property

'This example script has not yet been created.


Example: IsErrorChecking property
'Example: IsErrorChecking property

'This example script has not yet been created.


Example: IsExpandDown property
'Example: IsExpandDown property

'This example script has not yet been created.


Example: IsExpandLeft property
'Example: IsExpandLeft property

'This example script has not yet been created.


Example: IsExpandRight property
'Example: IsExpandRight property

'This example script has not yet been created.


Example: IsExpandUp property
'Example: IsExpandUp property

'This example script has not yet been created.


Example: IsExportedAsNotesFX method
'Example: IsExportedAsNotesFX method

'This example script has not yet been created.


Example: IsExportedToNotesFX property
'Example: IsExportedToNotesFX property

'This example script has not yet been created.


Example: IsExportedToOldNotesFX property
'Example: IsExportedToOldNotesFX property

'This example script has not yet been created.


Example: IsExternalFile property
'Example: IsExternalFile property

'This example script has not yet been created.


Example: IsFilterTypePresent method
'Example: IsFilterTypePresent method

'This example script has not yet been created.


Example: IsFixedLength property
'Example: IsFixedLength property

'This example script has not yet been created.


Example: IsFooter property
'Example: IsFooter property

'This example script has not yet been created.


Example: IsFrameMenuEnabled property
'Example: IsFrameMenuEnabled property

'This example script has not yet been created.


Example: IsGrabBar property
'Example: IsGrabBar property

'This example script has not yet been created.


Example: IsGrammarError property
'Example: IsGrammarError property

'This example script has not yet been created.


Example: IsGraphicMenuEnabled property
'Example: IsGraphicMenuEnabled property

'This example script has not yet been created.


Example: IsHangover property
'Example: IsHangover property

'This example script has not yet been created.


Example: IsHeader property
'Example: IsHeader property

'This example script has not yet been created.


Example: IsHiddenMark property
'Example: IsHiddenMark property

'This example script has not yet been created.


Example: IsHideHeaderFooter property
'Example: IsHideHeaderFooter property

'This example script has not yet been created.


Example: IsHighlightNote property
'Example: IsHighlightNote property

'This example script has not yet been created.


Example: IsHonorProtected property
'Example: IsHonorProtected property

'This example script has not yet been created.


Example: IsHorizontalScrollBarCleanScrn property
'Example: IsHorizontalScrollBarCleanScrn property

'This example script has not yet been created.


Example: IsHoverHelp property
'Example: IsHoverHelp property

'This example script has not yet been created.


Example: IsIconDepressible property
'Example: IsIconDepressible property

'This example script has not yet been created.


Example: IsInBulletEditMode property
'Example: IsInBulletEditMode property

'This example script has not yet been created.


Example: IsIndex property
'Example: IsIndex property

'This example script has not yet been created.


Example: IsInDraft property
'Example: IsInDraft property

'This example script has not yet been created.


Example: IsInOutline property
'Example: IsInOutline property

'This example script has not yet been created.


Example: IsInPageSort property
'Example: IsInPageSort property

'This example script has not yet been created.


Example: IsIntersectSiblings property
'Example: IsIntersectSiblings property

'This example script has not yet been created.


Example: IsItemSelected method
'Example: IsItemSelected method

'This example script has not yet been created.


Example: IsLastStop property
'Example: IsLastStop property

'This example script has not yet been created.


Example: IsLesser property
'Example: IsLesser property

'This example script has not yet been created.


Example: IsLinked property
'Example: IsLinked property

'This example script has not yet been created.


Example: IsLocal property
'Example: IsLocal property

'This example script has not yet been created.


Example: IsLockedForRevisions property
'Example: IsLockedForRevisions property

'This example script has not yet been created.


Example: IsLotusChart property
'Example: IsLotusChart property

'This example script has not yet been created.


Example: IsMarginSameAsParent property
'Example: IsMarginSameAsParent property

'This example script has not yet been created.


Example: IsMarginsInColor property
'Example: IsMarginsInColor property

'This example script has not yet been created.


Example: IsMarkerEqualToSelection method
'Example: IsMarkerEqualToSelection method

'This example script has not yet been created.


Example: IsMarkerValid property
'Example: IsMarkerValid property

'This example script has not yet been created.


Example: IsMirrorImage property
'Example: IsMirrorImage property

'This example script has not yet been created.


Example: IsMisspelled property
'Example: IsMisspelled property

'This example script has not yet been created.


Example: IsNotCopyable property
'Example: IsNotCopyable property

'This example script has not yet been created.


Example: IsNotCopyImage property
'Example: IsNotCopyImage property

'This example script has not yet been created.


Example: IsNotGroupable property
'Example: IsNotGroupable property

'This example script has not yet been created.


Example: IsNoUICommAllowed property
'Example: IsNoUICommAllowed property

'This example script has not yet been created.


Example: IsOnClipBoard property
'Example: IsOnClipBoard property

'This example script has not yet been created.


Example: IsOpen property
'Example: IsOpen property

'This example script has not yet been created.


Example: IsOverridden property
'Example: IsOverridden property

'This example script has not yet been created.


Example: IsOverride property
'Example: IsOverride property

'This example script has not yet been created.


Example: IsPageBreak property
'Example: IsPageBreak property

'This example script has not yet been created.


Example: IsPageBreakAfter property
'Example: IsPageBreakAfter property

'This example script has not yet been created.


Example: IsPageBreakBefore property
'Example: IsPageBreakBefore property

'This example script has not yet been created.


Example: IsPageBreakMarks property
'Example: IsPageBreakMarks property

'This example script has not yet been created.


Example: IsPageBreakWithin property
'Example: IsPageBreakWithin property

'This example script has not yet been created.


Example: IsParaDemandLoad property
'Example: IsParaDemandLoad property

'This example script has not yet been created.


Example: IsParagraphNumberingDown property
'Example: IsParagraphNumberingDown property

'This example script has not yet been created.


Example: IsParallelColumnsMenuEnabled property
'Example: IsParallelColumnsMenuEnabled property

'This example script has not yet been created.


Example: IsPartOfGroup property
'Example: IsPartOfGroup property

'This example script has not yet been created.


Example: IsPersistent property
'Example: IsPersistent property

'This example script has not yet been created.


Example: IsPointWithin method
'Example: IsPointWithin method

'This example script has not yet been created.


Example: IsPrePrintedForm property
'Example: IsPrePrintedForm property

'This example script has not yet been created.


Example: IsPrintable property
'Example: IsPrintable property

'This example script has not yet been created.


Example: IsPrintClickHereBlocks property
'Example: IsPrintClickHereBlocks property

'This example script has not yet been created.


Example: IsPrintInBackground property
'Example: IsPrintInBackground property

'This example script has not yet been created.


Example: IsPrivate property
'Example: IsPrivate property

'This example script has not yet been created.


Example: IsProtected property
'Example: IsProtected property

'This example script has not yet been created.


Example: IsRegistered property
'Example: IsRegistered property

'This example script has not yet been created.


Example: IsRepeat property
'Example: IsRepeat property

'This example script has not yet been created.


Example: IsReplaceable property
'Example: IsReplaceable property

'This example script has not yet been created.


Example: IsReplacement property
'Example: IsReplacement property

'This example script has not yet been created.


Example: IsResetParagraphNumber property
'Example: IsResetParagraphNumber property

'This example script has not yet been created.


Example: IsRevision property
'Example: IsRevision property

'This example script has not yet been created.


Example: IsRevisionMark property
'Example: IsRevisionMark property

'This example script has not yet been created.


Example: IsSame property
'Example: IsSame property

'This example script has not yet been created.


Example: IsSave property
'Example: IsSave property

'This example script has not yet been created.


Example: IsScalable property
'Example: IsScalable property

'This example script has not yet been created.


Example: IsScalableBorder property
'Example: IsScalableBorder property

'This example script has not yet been created.


Example: IsScripting property
'Example: IsScripting property

'This example script has not yet been created.


Example: IsScrollable property
'Example: IsScrollable property

'This example script has not yet been created.


Example: IsShowing property
'Example: IsShowing property

'This example script has not yet been created.


Example: IsSingleClickEntry property
'Example: IsSingleClickEntry property

'This example script has not yet been created.


Example: IsSizable property
'Example: IsSizable property

'This example script has not yet been created.


Example: IsSizingViaMouse property
'Example: IsSizingViaMouse property

'This example script has not yet been created.


Example: IsSmartCorrectEnabled property
'Example: IsSmartCorrectEnabled property

'This example script has not yet been created.


Example: IsSmartShadeEnabled property
'Example: IsSmartShadeEnabled property

'This example script has not yet been created.


Example: IsSnapTo property
'Example: IsSnapTo property

'This example script has not yet been created.


Example: IsSortFromEnd property
'Example: IsSortFromEnd property

'This example script has not yet been created.


Example: IsSpellBarUp property
'Example: IsSpellBarUp property

'This example script has not yet been created.


Example: IsSpellMode property
'Example: IsSpellMode property

'This example script has not yet been created.


Example: IsSqueeze property
'Example: IsSqueeze property

'This example script has not yet been created.


Example: IsStyleSheet property
'Example: IsStyleSheet property

'This example script has not yet been created.


Example: IsTableHeading property
'Example: IsTableHeading property

'This example script has not yet been created.


Example: IsTemp property
'Example: IsTemp property

'This example script has not yet been created.


Example: IsTemporary method
'Example: IsTemporary method

'This example script has not yet been created.


Example: IsTextLocked property
'Example: IsTextLocked property

'This example script has not yet been created.


Example: IsTextMenuEnabled property
'Example: IsTextMenuEnabled property

'This example script has not yet been created.


Example: IsTOC property
'Example: IsTOC property

'This example script has not yet been created.


Example: IsTrueType property
'Example: IsTrueType property

'This example script has not yet been created.


Example: IsUndoOn property
'Example: IsUndoOn property

'This example script has not yet been created.


Example: IsUpdateAutomatic property
'Example: IsUpdateAutomatic property

'This example script has not yet been created.


Example: IsUpdateIndex property
'Example: IsUpdateIndex property

'This example script has not yet been created.


Example: IsUpdateTOC property
'Example: IsUpdateTOC property

'This example script has not yet been created.


Example: IsValid property
'Example: IsValid property

'This example script has not yet been created.


Example: IsVerticalScrollBarCleanScrn property
'Example: IsVerticalScrollBarCleanScrn property

'This example script has not yet been created.


Example: IsViewAnchor property
'Example: IsViewAnchor property

'This example script has not yet been created.


Example: IsViewBookmarks property
'Example: IsViewBookmarks property

'This example script has not yet been created.


Example: IsViewClickHereBlocks property
'Example: IsViewClickHereBlocks property

'This example script has not yet been created.


Example: IsViewColGuides property
'Example: IsViewColGuides property

'This example script has not yet been created.


Example: IsViewColumnBreakMarks property
'Example: IsViewColumnBreakMarks property

'This example script has not yet been created.


Example: IsViewDDELinks property
'Example: IsViewDDELinks property

'This example script has not yet been created.


Example: IsViewHorzRuler property
'Example: IsViewHorzRuler property

'This example script has not yet been created.


Example: IsViewHorzScrollBar property
'Example: IsViewHorzScrollBar property

'This example script has not yet been created.


Example: IsViewMenuCleanScrn property
'Example: IsViewMenuCleanScrn property

'This example script has not yet been created.


Example: IsViewNotes property
'Example: IsViewNotes property

'This example script has not yet been created.


Example: IsViewOutlineFlowToScreen property
'Example: IsViewOutlineFlowToScreen property

'This example script has not yet been created.


Example: IsViewOutlineIndent property
'Example: IsViewOutlineIndent property

'This example script has not yet been created.


Example: IsViewPageLayoutMarks property
'Example: IsViewPageLayoutMarks property

'This example script has not yet been created.


Example: IsViewParallelColumnBorder property
'Example: IsViewParallelColumnBorder property

'This example script has not yet been created.


Example: IsViewPictures property
'Example: IsViewPictures property

'This example script has not yet been created.


Example: IsViewReturnIconCleanScrn property
'Example: IsViewReturnIconCleanScrn property

'This example script has not yet been created.


Example: IsViewReturns property
'Example: IsViewReturns property

'This example script has not yet been created.


Example: IsViewRulerMarks property
'Example: IsViewRulerMarks property

'This example script has not yet been created.


Example: IsViewSectionBreakMarks property
'Example: IsViewSectionBreakMarks property

'This example script has not yet been created.


Example: IsViewSectionTabs property
'Example: IsViewSectionTabs property

'This example script has not yet been created.


Example: IsViewSmartIconsCleanScrn property
'Example: IsViewSmartIconsCleanScrn property

'This example script has not yet been created.


Example: IsViewStatusBarCleanScrn property
'Example: IsViewStatusBarCleanScrn property

'This example script has not yet been created.


Example: IsViewTableGridLines property
'Example: IsViewTableGridLines property

'This example script has not yet been created.


Example: IsViewTableHeadings property
'Example: IsViewTableHeadings property

'This example script has not yet been created.


Example: IsViewTabs property
'Example: IsViewTabs property

'This example script has not yet been created.


Example: IsViewThumbBarCleanScrn property
'Example: IsViewThumbBarCleanScrn property

'This example script has not yet been created.


Example: IsViewTitleBarCleanScrn property
'Example: IsViewTitleBarCleanScrn property

'This example script has not yet been created.


Example: IsViewVertRuler property
'Example: IsViewVertRuler property

'This example script has not yet been created.


Example: IsViewVertScrollBar property
'Example: IsViewVertScrollBar property

'This example script has not yet been created.


Example: IsWMCommandValid method
'Example: IsWMCommandValid method

'This example script has not yet been created.


Example: IsWordProChart property
'Example: IsWordProChart property

'This example script has not yet been created.


Example: IsWorkingDir property
'Example: IsWorkingDir property

'This example script has not yet been created.


Example: Italic property
'Example: Italic property

'This example script has not yet been created.


Example: Italic method
'Example: Italic method

'This example script has not yet been created.


Example: Item method
'Example: Item method

'This example script has not yet been created.


Example: Items property
'Example: Items property

'This example script has not yet been created.


Example: Join property
'Example: Join property

'This example script has not yet been created.


Example: JoinCorners property
'Example: JoinCorners property

'This example script has not yet been created.


Example: JoinHeight property
'Example: JoinHeight property

'This example script has not yet been created.


Example: JoinType property
'Example: JoinType property

'This example script has not yet been created.


Example: JoinWidth property
'Example: JoinWidth property

'This example script has not yet been created.


Example: Justifiable property
'Example: Justifiable property

'This example script has not yet been created.


Example: KeepWithNext property
'Example: KeepWithNext property

'This example script has not yet been created.


Example: KeepWithPrev property
'Example: KeepWithPrev property

'This example script has not yet been created.


Example: KeyboardLanguage property
'Example: KeyboardLanguage property

'This example script has not yet been created.


Example: KeyStroke event
'Example: KeyStroke event

'This example script has not yet been created.


Example: KeywordColor property
'Example: KeywordColor property

'This example script has not yet been created.


Example: Keywords property
'Example: Keywords property

'This example script has not yet been created.


Example: Kinsoku property
'Example: Kinsoku property

'This example script has not yet been created.


Example: Labels method
'Example: Labels method

'This example script has not yet been created.


Example: LandscapeMode property
'Example: LandscapeMode property

'This example script has not yet been created.


Example: Language property
'Example: Language property

'This example script has not yet been created.


Example: Last property
'Example: Last property

'This example script has not yet been created.


Example: LastChild property
'Example: LastChild property

'This example script has not yet been created.


Example: LastDocPath property
'Example: LastDocPath property

'This example script has not yet been created.


Example: LastEditorName property
'Example: LastEditorName property

'This example script has not yet been created.


Example: LastGraphicPath property
'Example: LastGraphicPath property

'This example script has not yet been created.


Example: LastGraphicType property
'Example: LastGraphicType property

'This example script has not yet been created.


Example: LastMacroPath property
'Example: LastMacroPath property

'This example script has not yet been created.


Example: LastName property
'Example: LastName property

'This example script has not yet been created.


Example: LastPage property
'Example: LastPage property

'This example script has not yet been created.


Example: LastUsedDateFormula property
'Example: LastUsedDateFormula property

'This example script has not yet been created.


Example: Layout property
'Example: Layout property

'This example script has not yet been created.


Example: LayoutName property
'Example: LayoutName property

'This example script has not yet been created.


Example: LayoutOverride property
'Example: LayoutOverride property

'This example script has not yet been created.


Example: Layouts property
'Example: Layouts property

'This example script has not yet been created.


Example: LeaderDotDashChar property
'Example: LeaderDotDashChar property

'This example script has not yet been created.


Example: LeaderDotDotChar property
'Example: LeaderDotDotChar property

'This example script has not yet been created.


Example: LeaderDotType property
'Example: LeaderDotType property

'This example script has not yet been created.


Example: LeaderDotUnderscoreChar property
'Example: LeaderDotUnderscoreChar property

'This example script has not yet been created.


Example: LeadingText property
'Example: LeadingText property

'This example script has not yet been created.


Example: Left property
'Example: Left property

'This example script has not yet been created.


Example: LeftBorder property
'Example: LeftBorder property

'This example script has not yet been created.


Example: LeftExternalMargin property
'Example: LeftExternalMargin property

'This example script has not yet been created.


Example: LeftIntArea property
'Example: LeftIntArea property

'This example script has not yet been created.


Example: LeftPage property
'Example: LeftPage property

'This example script has not yet been created.


Example: LeftTopCellId property
'Example: LeftTopCellId property

'This example script has not yet been created.


Example: Length property
'Example: Length property

'This example script has not yet been created.


Example: Level property
'Example: Level property

'This example script has not yet been created.


Example: LineCount property
'Example: LineCount property

'This example script has not yet been created.


Example: LineLocation property
'Example: LineLocation property

'This example script has not yet been created.


Example: LineMix property
'Example: LineMix property

'This example script has not yet been created.


Example: LineNumberOptions property
'Example: LineNumberOptions property

'This example script has not yet been created.


Example: LinePlacement property
'Example: LinePlacement property

'This example script has not yet been created.


Example: LinesSpacedEveryNthUnit property
'Example: LinesSpacedEveryNthUnit property

'This example script has not yet been created.


Example: LineValid property
'Example: LineValid property

'This example script has not yet been created.


Example: Link method
'Example: Link method

'This example script has not yet been created.


Example: LinkAvailable property
'Example: LinkAvailable property

'This example script has not yet been created.


Example: LinkDisplayName property
'Example: LinkDisplayName property

'This example script has not yet been created.


Example: LinkDisplayNameFileLength property
'Example: LinkDisplayNameFileLength property

'This example script has not yet been created.


Example: Linked property
'Example: Linked property

'This example script has not yet been created.


Example: LinkedFileName property
'Example: LinkedFileName property

'This example script has not yet been created.


Example: LinkGraphic property
'Example: LinkGraphic property

'This example script has not yet been created.


Example: ListBoxes method
'Example: ListBoxes method

'This example script has not yet been created.


Example: ListCount property
'Example: ListCount property

'This example script has not yet been created.


Example: LoadFilesMaximized property
'Example: LoadFilesMaximized property

'This example script has not yet been created.


Example: Localize method
'Example: Localize method

'This example script has not yet been created.


Example: Location property
'Example: Location property

'This example script has not yet been created.


Example: Locked property
'Example: Locked property

'This example script has not yet been created.


Example: LockForNotesUserName property
'Example: LockForNotesUserName property

'This example script has not yet been created.


Example: LockResult property
'Example: LockResult property

'This example script has not yet been created.


Example: Locks property
'Example: Locks property

'This example script has not yet been created.


Example: LostFocus event
'Example: LostFocus event

'This example script has not yet been created.


Example: LowerCase property
'Example: LowerCase property

'This example script has not yet been created.


Example: LowerCase method
'Example: LowerCase method

'This example script has not yet been created.


Example: LowerCaseAscent property
'Example: LowerCaseAscent property

'This example script has not yet been created.


Example: LwpMenuBar property
'Example: LwpMenuBar property

'This example script has not yet been created.


Example: Macro property
'Example: Macro property

'This example script has not yet been created.


Example: MacroAppend method
'Example: MacroAppend method

'This example script has not yet been created.


Example: MacroCancel method
'Example: MacroCancel method

'This example script has not yet been created.


Example: MacroCompile method
'Example: MacroCompile method

'This example script has not yet been created.


Example: MacroEndRecord method
'Example: MacroEndRecord method

'This example script has not yet been created.


Example: MacroName property
'Example: MacroName property

'This example script has not yet been created.


Example: MacroPath property
'Example: MacroPath property

'This example script has not yet been created.


Example: MacroPaths property
'Example: MacroPaths property

'This example script has not yet been created.


Example: MacroPlay method
'Example: MacroPlay method

'This example script has not yet been created.


Example: MacroQuickPlay method
'Example: MacroQuickPlay method

'This example script has not yet been created.


Example: MacroQuickRecord method
'Example: MacroQuickRecord method

'This example script has not yet been created.


Example: MacroRecord method
'Example: MacroRecord method

'This example script has not yet been created.


Example: MacroResume method
'Example: MacroResume method

'This example script has not yet been created.


Example: MacroRun method
'Example: MacroRun method

'This example script has not yet been created.


Example: MacroStatus property
'Example: MacroStatus property

'This example script has not yet been created.


Example: MailDocument method
'Example: MailDocument method

'This example script has not yet been created.


Example: MailRouteingPtr property
'Example: MailRouteingPtr property

'This example script has not yet been created.


Example: MailRouting property
'Example: MailRouting property

'This example script has not yet been created.


Example: MaintainAspectRatio property
'Example: MaintainAspectRatio property

'This example script has not yet been created.


Example: MaintainEditor property
'Example: MaintainEditor property

'This example script has not yet been created.


Example: MakeTableFromText method
'Example: MakeTableFromText method

'This example script has not yet been created.


Example: MakeUniqueLinkName method
'Example: MakeUniqueLinkName method

'This example script has not yet been created.


Example: ManualFrame method
'Example: ManualFrame method

'This example script has not yet been created.


Example: ManualTable method
'Example: ManualTable method

'This example script has not yet been created.


Example: MarginBottom property
'Example: MarginBottom property

'This example script has not yet been created.


Example: MarginColor property
'Example: MarginColor property

'This example script has not yet been created.


Example: MarginLeft property
'Example: MarginLeft property

'This example script has not yet been created.


Example: MarginRight property
'Example: MarginRight property

'This example script has not yet been created.


Example: MarginTop property
'Example: MarginTop property

'This example script has not yet been created.


Example: Mark method
'Example: Mark method

'This example script has not yet been created.


Example: MarkCharacter property
'Example: MarkCharacter property

'This example script has not yet been created.


Example: MarkerClass property
'Example: MarkerClass property

'This example script has not yet been created.


Example: MarkerName property
'Example: MarkerName property

'This example script has not yet been created.


Example: Markers property
'Example: Markers property

'This example script has not yet been created.


Example: MarkPosition property
'Example: MarkPosition property

'This example script has not yet been created.


Example: MarkRevisionInsert method
'Example: MarkRevisionInsert method

'This example script has not yet been created.


Example: MarkType property
'Example: MarkType property

'This example script has not yet been created.


Example: Master property
'Example: Master property

'This example script has not yet been created.


Example: MasterName property
'Example: MasterName property

'This example script has not yet been created.


Example: MatchType property
'Example: MatchType property

'This example script has not yet been created.


Example: MaxBottomBorder property
'Example: MaxBottomBorder property

'This example script has not yet been created.


Example: MaxBottomGutter property
'Example: MaxBottomGutter property

'This example script has not yet been created.


Example: MaxContentHeight property
'Example: MaxContentHeight property

'This example script has not yet been created.


Example: MaxContentWidth property
'Example: MaxContentWidth property

'This example script has not yet been created.


Example: MaxHorzPaneDistance property
'Example: MaxHorzPaneDistance property

'This example script has not yet been created.


Example: MaxHyphLines property
'Example: MaxHyphLines property

'This example script has not yet been created.


Example: MaxIdenticalConsecSentOpens property
'Example: MaxIdenticalConsecSentOpens property

'This example script has not yet been created.


Example: MaxIdenticalSentOpensWithin10 property
'Example: MaxIdenticalSentOpensWithin10 property

'This example script has not yet been created.


Example: Maximize method
'Example: Maximize method

'This example script has not yet been created.


Example: MaximizeOnStartUp property
'Example: MaximizeOnStartUp property

'This example script has not yet been created.


Example: MaximumWordsinaSentence property
'Example: MaximumWordsinaSentence property

'This example script has not yet been created.


Example: MaxLeftBorder property
'Example: MaxLeftBorder property

'This example script has not yet been created.


Example: MaxLeftGutter property
'Example: MaxLeftGutter property

'This example script has not yet been created.


Example: MaxLength property
'Example: MaxLength property

'This example script has not yet been created.


Example: MaxNumColsAllowed property
'Example: MaxNumColsAllowed property

'This example script has not yet been created.


Example: MaxNumRowsAllowed property
'Example: MaxNumRowsAllowed property

'This example script has not yet been created.


Example: MaxRightBorder property
'Example: MaxRightBorder property

'This example script has not yet been created.


Example: MaxRightGutter property
'Example: MaxRightGutter property

'This example script has not yet been created.


Example: MaxSplitCols property
'Example: MaxSplitCols property

'This example script has not yet been created.


Example: MaxSplitRows property
'Example: MaxSplitRows property

'This example script has not yet been created.


Example: MaxTopBorder property
'Example: MaxTopBorder property

'This example script has not yet been created.


Example: MaxTopGutter property
'Example: MaxTopGutter property

'This example script has not yet been created.


Example: MaxVertPaneDistance property
'Example: MaxVertPaneDistance property

'This example script has not yet been created.


Example: Merge method
'Example: Merge method

'This example script has not yet been created.


Example: MergeContinue method
'Example: MergeContinue method

'This example script has not yet been created.


Example: MergeInfoPtr property
'Example: MergeInfoPtr property

'This example script has not yet been created.


Example: MergeOptions property
'Example: MergeOptions property

'This example script has not yet been created.


Example: MergeSetDataFile method
'Example: MergeSetDataFile method

'This example script has not yet been created.


Example: MergeStart method
'Example: MergeStart method

'This example script has not yet been created.


Example: MergeStepNumber property
'Example: MergeStepNumber property

'This example script has not yet been created.


Example: Messages method
'Example: Messages method

'This example script has not yet been created.


Example: MinBottomMargin property
'Example: MinBottomMargin property

'This example script has not yet been created.


Example: MinHeight property
'Example: MinHeight property

'This example script has not yet been created.


Example: Minimize method
'Example: Minimize method

'This example script has not yet been created.


Example: MinLeftMargin property
'Example: MinLeftMargin property

'This example script has not yet been created.


Example: MinRightMargin property
'Example: MinRightMargin property

'This example script has not yet been created.


Example: MinTopMargin property
'Example: MinTopMargin property

'This example script has not yet been created.


Example: MirrorPage method
'Example: MirrorPage method

'This example script has not yet been created.


Example: Modal property
'Example: Modal property

'This example script has not yet been created.


Example: ModifiedDateString property
'Example: ModifiedDateString property

'This example script has not yet been created.


Example: ModifiedTimeString property
'Example: ModifiedTimeString property

'This example script has not yet been created.


Example: ModifiedTimeValue property
'Example: ModifiedTimeValue property

'This example script has not yet been created.


Example: MorphSelectionToTable method
'Example: MorphSelectionToTable method

'This example script has not yet been created.


Example: MostRecentVersion method
'Example: MostRecentVersion method

'This example script has not yet been created.


Example: MouseButtonForManipulation property
'Example: MouseButtonForManipulation property

'This example script has not yet been created.


Example: MouseButtonForSelection property
'Example: MouseButtonForSelection property

'This example script has not yet been created.


Example: MouseDown event
'Example: MouseDown event

'This example script has not yet been created.


Example: MouseProperty property
'Example: MouseProperty property

'This example script has not yet been created.


Example: MouseUp event
'Example: MouseUp event

'This example script has not yet been created.


Example: Move method
'Example: Move method

'This example script has not yet been created.


Example: Moved event
'Example: Moved event

'This example script has not yet been created.


Example: MoveDivision method
'Example: MoveDivision method

'This example script has not yet been created.


Example: MoveDown method
'Example: MoveDown method

'This example script has not yet been created.


Example: MoveItem method
'Example: MoveItem method

'This example script has not yet been created.


Example: MoveParagraph method
'Example: MoveParagraph method

'This example script has not yet been created.


Example: MoveToBack method
'Example: MoveToBack method

'This example script has not yet been created.


Example: MoveToEnd method
'Example: MoveToEnd method

'This example script has not yet been created.


Example: MoveToFront method
'Example: MoveToFront method

'This example script has not yet been created.


Example: MoveToStart method
'Example: MoveToStart method

'This example script has not yet been created.


Example: MoveUp method
'Example: MoveUp method

'This example script has not yet been created.


Example: MultiCellPasteOn property
'Example: MultiCellPasteOn property

'This example script has not yet been created.


Example: MultiCompareParaTag property
'Example: MultiCompareParaTag property

'This example script has not yet been created.


Example: MultiCompareParaTagSet property
'Example: MultiCompareParaTagSet property

'This example script has not yet been created.


Example: Name property
'Example: Name property

'This example script has not yet been created.


Example: NameBasedOnStyle property
'Example: NameBasedOnStyle property

'This example script has not yet been created.


Example: NameForFilters property
'Example: NameForFilters property

'This example script has not yet been created.


Example: Negative property
'Example: Negative property

'This example script has not yet been created.


Example: NewDivision method
'Example: NewDivision method

'This example script has not yet been created.


Example: NewDocMacroName property
'Example: NewDocMacroName property

'This example script has not yet been created.


Example: NewDocument method
'Example: NewDocument method

'This example script has not yet been created.


Example: NewFile property
'Example: NewFile property

'This example script has not yet been created.


Example: NewItem method
'Example: NewItem method

'This example script has not yet been created.


Example: NewVersion property
'Example: NewVersion property

'This example script has not yet been created.


Example: NewWindow method
'Example: NewWindow method

'This example script has not yet been created.


Example: Next method
'Example: Next method

'This example script has not yet been created.


Example: NextClickHere property
'Example: NextClickHere property

'This example script has not yet been created.


Example: NextItem method
'Example: NextItem method

'This example script has not yet been created.


Example: NextName property
'Example: NextName property

'This example script has not yet been created.


Example: NextNeighbor property
'Example: NextNeighbor property

'This example script has not yet been created.


Example: NextSection property
'Example: NextSection property

'This example script has not yet been created.


Example: NextStyleName property
'Example: NextStyleName property

'This example script has not yet been created.


Example: NextText property
'Example: NextText property

'This example script has not yet been created.


Example: NextVersion method
'Example: NextVersion method

'This example script has not yet been created.


Example: NoHyphenate property
'Example: NoHyphenate property

'This example script has not yet been created.


Example: Normal property
'Example: Normal property

'This example script has not yet been created.


Example: NormalParagraph property
'Example: NormalParagraph property

'This example script has not yet been created.


Example: NormalText method
'Example: NormalText method

'This example script has not yet been created.


Example: NoteColor property
'Example: NoteColor property

'This example script has not yet been created.


Example: NoteLayouts property
'Example: NoteLayouts property

'This example script has not yet been created.


Example: NotesFlow property
'Example: NotesFlow property

'This example script has not yet been created.


Example: Number property
'Example: Number property

'This example script has not yet been created.


Example: NumberEveryNthLine property
'Example: NumberEveryNthLine property

'This example script has not yet been created.


Example: NumberFound property
'Example: NumberFound property

'This example script has not yet been created.


Example: Numbering property
'Example: Numbering property

'This example script has not yet been created.


Example: NumberingPosition property
'Example: NumberingPosition property

'This example script has not yet been created.


Example: NumberingStyleName property
'Example: NumberingStyleName property

'This example script has not yet been created.


Example: NumberOfCharacters property
'Example: NumberOfCharacters property

'This example script has not yet been created.


Example: NumberOfReplacements property
'Example: NumberOfReplacements property

'This example script has not yet been created.


Example: NumberOfRevisions property
'Example: NumberOfRevisions property

'This example script has not yet been created.


Example: NumberOfVersions method
'Example: NumberOfVersions method

'This example script has not yet been created.


Example: NumberSequenceName property
'Example: NumberSequenceName property

'This example script has not yet been created.


Example: NumberWhichLines property
'Example: NumberWhichLines property

'This example script has not yet been created.


Example: NumCharsInDoc property
'Example: NumCharsInDoc property

'This example script has not yet been created.


Example: NumCharsInParagraph property
'Example: NumCharsInParagraph property

'This example script has not yet been created.


Example: NumCols property
'Example: NumCols property

'This example script has not yet been created.


Example: NumColsSpannedOneCell property
'Example: NumColsSpannedOneCell property

'This example script has not yet been created.


Example: NumContainers property
'Example: NumContainers property

'This example script has not yet been created.


Example: NumDecimalPlaces property
'Example: NumDecimalPlaces property

'This example script has not yet been created.


Example: NumericFormat property
'Example: NumericFormat property

'This example script has not yet been created.


Example: NumFields property
'Example: NumFields property

'This example script has not yet been created.


Example: NumLinesOfSpace property
'Example: NumLinesOfSpace property

'This example script has not yet been created.


Example: NumLinesOfSpaceAbove property
'Example: NumLinesOfSpaceAbove property

'This example script has not yet been created.


Example: NumLinesOfSpaceBelow property
'Example: NumLinesOfSpaceBelow property

'This example script has not yet been created.


Example: NumOfRecentFiles property
'Example: NumOfRecentFiles property

'This example script has not yet been created.


Example: NumPagesInDoc property
'Example: NumPagesInDoc property

'This example script has not yet been created.


Example: NumParagraphs property
'Example: NumParagraphs property

'This example script has not yet been created.


Example: NumRows property
'Example: NumRows property

'This example script has not yet been created.


Example: NumRowsSpannedOneCell property
'Example: NumRowsSpannedOneCell property

'This example script has not yet been created.


Example: NumRowsThatFit property
'Example: NumRowsThatFit property

'This example script has not yet been created.


Example: NumRowsToFit property
'Example: NumRowsToFit property

'This example script has not yet been created.


Example: NumTabs property
'Example: NumTabs property

'This example script has not yet been created.


Example: NumUndoLevels property
'Example: NumUndoLevels property

'This example script has not yet been created.


Example: NumWindowsViewingDoc property
'Example: NumWindowsViewingDoc property

'This example script has not yet been created.


Example: NumWordsInDoc property
'Example: NumWordsInDoc property

'This example script has not yet been created.


Example: Object property
'Example: Object property

'This example script has not yet been created.


Example: ObjectType property
'Example: ObjectType property

'This example script has not yet been created.


Example: Oblique property
'Example: Oblique property

'This example script has not yet been created.


Example: Offset property
'Example: Offset property

'This example script has not yet been created.


Example: OleContainerDocName property
'Example: OleContainerDocName property

'This example script has not yet been created.


Example: OleObject property
'Example: OleObject property

'This example script has not yet been created.


Example: OleObjects property
'Example: OleObjects property

'This example script has not yet been created.


Example: Open method
'Example: Open method

'This example script has not yet been created.


Example: OpenDataFile method
'Example: OpenDataFile method

'This example script has not yet been created.


Example: OpenDocMacroName property
'Example: OpenDocMacroName property

'This example script has not yet been created.


Example: OpenDocsVisible property
'Example: OpenDocsVisible property

'This example script has not yet been created.


Example: OpenDocument method
'Example: OpenDocument method

'This example script has not yet been created.


Example: Opened event
'Example: Opened event

'This example script has not yet been created.


Example: OpenExisingFileInWelcomeBox property
'Example: OpenExisingFileInWelcomeBox property

'This example script has not yet been created.


Example: OpenFromStorage method
'Example: OpenFromStorage method

'This example script has not yet been created.


Example: OpenObject method
'Example: OpenObject method

'This example script has not yet been created.


Example: OpenReadOnly property
'Example: OpenReadOnly property

'This example script has not yet been created.


Example: OpionDeclare property
'Example: OpionDeclare property

'This example script has not yet been created.


Example: Options property
'Example: Options property

'This example script has not yet been created.


Example: OrigFileType property
'Example: OrigFileType property

'This example script has not yet been created.


Example: OrigHeight property
'Example: OrigHeight property

'This example script has not yet been created.


Example: OrigWidth property
'Example: OrigWidth property

'This example script has not yet been created.


Example: Outline property
'Example: Outline property

'This example script has not yet been created.


Example: OutlineBorderLines property
'Example: OutlineBorderLines property

'This example script has not yet been created.


Example: OutlineButtons property
'Example: OutlineButtons property

'This example script has not yet been created.


Example: OutlineHeadingButtonsOnly property
'Example: OutlineHeadingButtonsOnly property

'This example script has not yet been created.


Example: OutlineLevel property
'Example: OutlineLevel property

'This example script has not yet been created.


Example: OutlineMoveTextDown method
'Example: OutlineMoveTextDown method

'This example script has not yet been created.


Example: OutlineMoveTextUp method
'Example: OutlineMoveTextUp method

'This example script has not yet been created.


Example: OutlineOnlyHeadingsWhenCollapsed property
'Example: OutlineOnlyHeadingsWhenCollapsed property

'This example script has not yet been created.


Example: OutlineSeqItems property
'Example: OutlineSeqItems property

'This example script has not yet been created.


Example: OutlineStyleSequence method
'Example: OutlineStyleSequence method

'This example script has not yet been created.


Example: OutlineStyleSequences property
'Example: OutlineStyleSequences property

'This example script has not yet been created.


Example: OutputToFile property
'Example: OutputToFile property

'This example script has not yet been created.


Example: Override property
'Example: Override property

'This example script has not yet been created.


Example: Overstrike property
'Example: Overstrike property

'This example script has not yet been created.


Example: OverstrikeCharacter property
'Example: OverstrikeCharacter property

'This example script has not yet been created.


Example: Page property
'Example: Page property

'This example script has not yet been created.


Example: PageDown method
'Example: PageDown method

'This example script has not yet been created.


Example: PageNo property
'Example: PageNo property

'This example script has not yet been created.


Example: PageNum property
'Example: PageNum property

'This example script has not yet been created.


Example: PageNumber property
'Example: PageNumber property

'This example script has not yet been created.


Example: PageNumberAsText property
'Example: PageNumberAsText property

'This example script has not yet been created.


Example: PageNumberStyle property
'Example: PageNumberStyle property

'This example script has not yet been created.


Example: PageNumFirstPageShowing property
'Example: PageNumFirstPageShowing property

'This example script has not yet been created.


Example: PageNumLastPageShowing property
'Example: PageNumLastPageShowing property

'This example script has not yet been created.


Example: PageOrder property
'Example: PageOrder property

'This example script has not yet been created.


Example: Pages property
'Example: Pages property

'This example script has not yet been created.


Example: PageStyleName property
'Example: PageStyleName property

'This example script has not yet been created.


Example: PageStyles property
'Example: PageStyles property

'This example script has not yet been created.


Example: PageToUseLayoutOn property
'Example: PageToUseLayoutOn property

'This example script has not yet been created.


Example: PageUp method
'Example: PageUp method

'This example script has not yet been created.


Example: PairKerning property
'Example: PairKerning property

'This example script has not yet been created.


Example: PaneColor property
'Example: PaneColor property

'This example script has not yet been created.


Example: PaperNames property
'Example: PaperNames property

'This example script has not yet been created.


Example: ParagraphBorder property
'Example: ParagraphBorder property

'This example script has not yet been created.


Example: ParagraphStyle property
'Example: ParagraphStyle property

'This example script has not yet been created.


Example: ParagraphStyleName property
'Example: ParagraphStyleName property

'This example script has not yet been created.


Example: ParagraphStyles property
'Example: ParagraphStyles property

'This example script has not yet been created.


Example: ParagraphSymbolChar property
'Example: ParagraphSymbolChar property

'This example script has not yet been created.


Example: ParallelColumns property
'Example: ParallelColumns property

'This example script has not yet been created.


Example: Parent property
'Example: Parent property

'This example script has not yet been created.


Example: ParentMenuHWND property
'Example: ParentMenuHWND property

'This example script has not yet been created.


Example: ParentName property
'Example: ParentName property

'This example script has not yet been created.


Example: Partial property
'Example: Partial property

'This example script has not yet been created.


Example: Paste method
'Example: Paste method

'This example script has not yet been created.


Example: PasteLink method
'Example: PasteLink method

'This example script has not yet been created.


Example: PasteSpecial method
'Example: PasteSpecial method

'This example script has not yet been created.


Example: Path property
'Example: Path property

'This example script has not yet been created.


Example: PathName property
'Example: PathName property

'This example script has not yet been created.


Example: Pattern property
'Example: Pattern property

'This example script has not yet been created.


Example: PColConnectCells method
'Example: PColConnectCells method

'This example script has not yet been created.


Example: PColConnectRows method
'Example: PColConnectRows method

'This example script has not yet been created.


Example: PColDisconnectCells method
'Example: PColDisconnectCells method

'This example script has not yet been created.


Example: PColSelectColumn method
'Example: PColSelectColumn method

'This example script has not yet been created.


Example: PColSelectRow method
'Example: PColSelectRow method

'This example script has not yet been created.


Example: PColSelectTable method
'Example: PColSelectTable method

'This example script has not yet been created.


Example: Percentage property
'Example: Percentage property

'This example script has not yet been created.


Example: PersonalData1 property
'Example: PersonalData1 property

'This example script has not yet been created.


Example: PersonalData2 property
'Example: PersonalData2 property

'This example script has not yet been created.


Example: PersonalData3 property
'Example: PersonalData3 property

'This example script has not yet been created.


Example: PersonalData4 property
'Example: PersonalData4 property

'This example script has not yet been created.


Example: PhoneNumber property
'Example: PhoneNumber property

         'This example script has not yet been created.


Example: PitchAndFamily property
'Example: PitchAndFamily property

'This example script has not yet been created.


Example: Play method
'Example: Play method

'This example script has not yet been created.


Example: PointSize property
'Example: PointSize property

'This example script has not yet been created.


Example: Position property
'Example: Position property

'This example script has not yet been created.


Example: PositionType property
'Example: PositionType property

'This example script has not yet been created.


Example: PositionXInContainer property
'Example: PositionXInContainer property

'This example script has not yet been created.


Example: PositionXOnPage property
'Example: PositionXOnPage property

'This example script has not yet been created.


Example: PositionYInContainer property
'Example: PositionYInContainer property

'This example script has not yet been created.


Example: PositionYOnPage property
'Example: PositionYOnPage property

'This example script has not yet been created.


Example: PowerField property
'Example: PowerField property

'This example script has not yet been created.


Example: PowerFields property
'Example: PowerFields property

'This example script has not yet been created.


Example: PreClose event
'Example: PreClose event

'This example script has not yet been created.


Example: Preferences property
'Example: Preferences property

'This example script has not yet been created.


Example: Prefix property
'Example: Prefix property

'This example script has not yet been created.


Example: PrepareToDestroy method
'Example: PrepareToDestroy method

'This example script has not yet been created.


Example: PrePrint event
'Example: PrePrint event

'This example script has not yet been created.


Example: Present method
'Example: Present method

'This example script has not yet been created.


Example: Presentation property
'Example: Presentation property

'This example script has not yet been created.


Example: PrettyPrinting property
'Example: PrettyPrinting property

'This example script has not yet been created.


Example: Previous method
'Example: Previous method

'This example script has not yet been created.


Example: PreviousClickHere property
'Example: PreviousClickHere property

'This example script has not yet been created.


Example: PreviousItem method
'Example: PreviousItem method

'This example script has not yet been created.


Example: PreviousName property
'Example: PreviousName property

'This example script has not yet been created.


Example: PreviousNeighbor property
'Example: PreviousNeighbor property

'This example script has not yet been created.


Example: PreviousVersion method
'Example: PreviousVersion method

'This example script has not yet been created.


Example: Print method
'Example: Print method

'This example script has not yet been created.


Example: PrintDestination property
'Example: PrintDestination property

'This example script has not yet been created.


Example: PrintDocDescription property
'Example: PrintDocDescription property

'This example script has not yet been created.


Example: Printed event
'Example: Printed event

'This example script has not yet been created.


Example: PrinterName property
'Example: PrinterName property

'This example script has not yet been created.


Example: PrintGraphics property
'Example: PrintGraphics property

'This example script has not yet been created.


Example: PrintInBackground property
'Example: PrintInBackground property

'This example script has not yet been created.


Example: PrintManager property
'Example: PrintManager property

'This example script has not yet been created.


Example: PrintOut method
'Example: PrintOut method

'This example script has not yet been created.


Example: PrintPagesFrom property
'Example: PrintPagesFrom property

'This example script has not yet been created.


Example: PrintPagesTo property
'Example: PrintPagesTo property

'This example script has not yet been created.


Example: PrintPageType property
'Example: PrintPageType property

'This example script has not yet been created.


Example: PrintRange property
'Example: PrintRange property

'This example script has not yet been created.


Example: PrintSettings property
'Example: PrintSettings property

'This example script has not yet been created.


Example: ProcessAccelKey method
'Example: ProcessAccelKey method

'This example script has not yet been created.


Example: Promote method
'Example: Promote method

'This example script has not yet been created.


Example: PromoteOutlineLevel method
'Example: PromoteOutlineLevel method

'This example script has not yet been created.


Example: Prompt property
'Example: Prompt property

'This example script has not yet been created.


Example: PromptHidden property
'Example: PromptHidden property

'This example script has not yet been created.


Example: ProtectedMode property
'Example: ProtectedMode property

'This example script has not yet been created.


Example: Purge method
'Example: Purge method

'This example script has not yet been created.


Example: Query method
'Example: Query method

'This example script has not yet been created.


Example: QueryDrop method
'Example: QueryDrop method

'This example script has not yet been created.


Example: QueueName property
'Example: QueueName property

'This example script has not yet been created.


Example: QuickAlignFrame method
'Example: QuickAlignFrame method

'This example script has not yet been created.


Example: QuickAlignTable method
'Example: QuickAlignTable method

'This example script has not yet been created.


Example: Quit method
'Example: Quit method

'This example script has not yet been created.


Example: Quit event
'Example: Quit event

'


Example: RadioButtons method
'Example: RadioButtons method

'This example script has not yet been created.


Example: Read method
'Example: Read method

'This example script has not yet been created.


Example: ReadOnly property
'Example: ReadOnly property

'This example script has not yet been created.


Example: Red property
'Example: Red property

'This example script has not yet been created.


Example: Redo method
'Example: Redo method

'This example script has not yet been created.


Example: Refresh method
'Example: Refresh method

'This example script has not yet been created.


Example: RegisterWPDataSet method
'Example: RegisterWPDataSet method

'This example script has not yet been created.


Example: Relative property
'Example: Relative property

'This example script has not yet been created.


Example: RelativeIndent property
'Example: RelativeIndent property

'This example script has not yet been created.


Example: RelativePageNum property
'Example: RelativePageNum property

'This example script has not yet been created.


Example: RelativeType property
'Example: RelativeType property

'This example script has not yet been created.


Example: RelativeXDistance property
'Example: RelativeXDistance property

'This example script has not yet been created.


Example: RelativeYDistance property
'Example: RelativeYDistance property

'This example script has not yet been created.


Example: Release method
'Example: Release method

'This example script has not yet been created.


Example: Reload method
'Example: Reload method

'This example script has not yet been created.


Example: Remove method
'Example: Remove method

'This example script has not yet been created.


Example: RemoveBookmark method
'Example: RemoveBookmark method

'This example script has not yet been created.


Example: RemoveChildFromLayout method
'Example: RemoveChildFromLayout method

'This example script has not yet been created.


Example: RemoveDataFile method
'Example: RemoveDataFile method

'This example script has not yet been created.


Example: RemoveDdeLink method
'Example: RemoveDdeLink method

'This example script has not yet been created.


Example: RemoveDepOnDocFile method
'Example: RemoveDepOnDocFile method

'This example script has not yet been created.


Example: RemoveDivision method
'Example: RemoveDivision method

'This example script has not yet been created.


Example: RemoveEditor method
'Example: RemoveEditor method

'This example script has not yet been created.


Example: RemoveItem method
'Example: RemoveItem method

'This example script has not yet been created.


Example: RemoveNamedProperty method
'Example: RemoveNamedProperty method

'This example script has not yet been created.


Example: RemovePersistentAccelerators method
'Example: RemovePersistentAccelerators method

'This example script has not yet been created.


Example: RemovePowerField method
'Example: RemovePowerField method

'This example script has not yet been created.


Example: RemoveProperty method
'Example: RemoveProperty method

'This example script has not yet been created.


Example: Render method
'Example: Render method

'This example script has not yet been created.


Example: RenderClipBitmap method
'Example: RenderClipBitmap method

'This example script has not yet been created.


Example: RenderClipDIB method
'Example: RenderClipDIB method

'This example script has not yet been created.


Example: RenderClipMetafile method
'Example: RenderClipMetafile method

'This example script has not yet been created.


Example: RenderClipPalette method
'Example: RenderClipPalette method

'This example script has not yet been created.


Example: RenderedPageNumber property
'Example: RenderedPageNumber property

'This example script has not yet been created.


Example: Replace method
'Example: Replace method

'This example script has not yet been created.


Example: ReplaceAll method
'Example: ReplaceAll method

'This example script has not yet been created.


Example: ReplaceAttributes property
'Example: ReplaceAttributes property

'This example script has not yet been created.


Example: ReplaceCmd method
'Example: ReplaceCmd method

'This example script has not yet been created.


Example: ReplaceExactCase property
'Example: ReplaceExactCase property

'This example script has not yet been created.


Example: ReplaceFont property
'Example: ReplaceFont property

'This example script has not yet been created.


Example: ReplaceLanguage property
'Example: ReplaceLanguage property

'This example script has not yet been created.


Example: Replacements property
'Example: Replacements property

'This example script has not yet been created.


Example: ReplaceString property
'Example: ReplaceString property

'This example script has not yet been created.


Example: ReplaceStyleName property
'Example: ReplaceStyleName property

'This example script has not yet been created.


Example: ReplaceWithProperties property
'Example: ReplaceWithProperties property

'This example script has not yet been created.


Example: RequestAndProcessData method
'Example: RequestAndProcessData method

'This example script has not yet been created.


Example: RequestRemarkOnClose property
'Example: RequestRemarkOnClose property

'This example script has not yet been created.


Example: RequireStartupScripts property
'Example: RequireStartupScripts property

'This example script has not yet been created.


Example: Reset method
'Example: Reset method

'This example script has not yet been created.


Example: ResetFindAndReplace method
'Example: ResetFindAndReplace method

'This example script has not yet been created.


Example: ResetOnEachPage property
'Example: ResetOnEachPage property

'This example script has not yet been created.


Example: ResetWhen property
'Example: ResetWhen property

'This example script has not yet been created.


Example: Resize method
'Example: Resize method

'This example script has not yet been created.


Example: Rest property
'Example: Rest property

'This example script has not yet been created.


Example: RestartStyleName property
'Example: RestartStyleName property

'This example script has not yet been created.


Example: Restore method
'Example: Restore method

'This example script has not yet been created.


Example: Result property
'Example: Result property

'This example script has not yet been created.


Example: ResumePausedMacro property
'Example: ResumePausedMacro property

'This example script has not yet been created.


Example: RetrieveInternetFile method
'Example: RetrieveInternetFile method

'This example script has not yet been created.


Example: RetrieveInternetFileAndOpen method
'Example: RetrieveInternetFileAndOpen method

'This example script has not yet been created.


Example: RevertToSaved method
'Example: RevertToSaved method

'This example script has not yet been created.


Example: RevertToStyle method
'Example: RevertToStyle method

'This example script has not yet been created.


Example: ReviewVersions property
'Example: ReviewVersions property

'This example script has not yet been created.


Example: ReviewVersions method
'Example: ReviewVersions method

'This example script has not yet been created.


Example: ReviseAcceptAll method
'Example: ReviseAcceptAll method

'This example script has not yet been created.


Example: ReviseCancelAll method
'Example: ReviseCancelAll method

'This example script has not yet been created.


Example: RevisionAccept method
'Example: RevisionAccept method

'This example script has not yet been created.


Example: RevisionAcceptLayoutChange method
'Example: RevisionAcceptLayoutChange method

'This example script has not yet been created.


Example: RevisionCancel method
'Example: RevisionCancel method

'This example script has not yet been created.


Example: RevisionCancelLayoutChange method
'Example: RevisionCancelLayoutChange method

'This example script has not yet been created.


Example: RevisionDisplay property
'Example: RevisionDisplay property

'This example script has not yet been created.


Example: RevisionMark property
'Example: RevisionMark property

'This example script has not yet been created.


Example: RevisionMarkMode property
'Example: RevisionMarkMode property

'This example script has not yet been created.


Example: RevisionType property
'Example: RevisionType property

'This example script has not yet been created.


Example: RevMarkCharacter property
'Example: RevMarkCharacter property

'This example script has not yet been created.


Example: RevMarkPosition property
'Example: RevMarkPosition property

'This example script has not yet been created.


Example: RevMarkType property
'Example: RevMarkType property

'This example script has not yet been created.


Example: Right property
'Example: Right property

'This example script has not yet been created.


Example: RightAlign property
'Example: RightAlign property

'This example script has not yet been created.


Example: RightBorder property
'Example: RightBorder property

'This example script has not yet been created.


Example: RightExternalMargin property
'Example: RightExternalMargin property

'This example script has not yet been created.


Example: RightIntArea property
'Example: RightIntArea property

'This example script has not yet been created.


Example: RightMouseMenus property
'Example: RightMouseMenus property

'This example script has not yet been created.


Example: RightMousePropId property
'Example: RightMousePropId property

'This example script has not yet been created.


Example: RightMousePropText property
'Example: RightMousePropText property

'This example script has not yet been created.


Example: RightPage property
'Example: RightPage property

'This example script has not yet been created.


Example: RotationAngle property
'Example: RotationAngle property

'This example script has not yet been created.


Example: RowLayouts property
'Example: RowLayouts property

'This example script has not yet been created.


Example: Rows property
'Example: Rows property

'This example script has not yet been created.


Example: RubyLayouts property
'Example: RubyLayouts property

'This example script has not yet been created.


Example: Run method
'Example: Run method

'This example script has not yet been created.


Example: RunAutoNewMacro method
'Example: RunAutoNewMacro method

'This example script has not yet been created.


Example: RunAutoOpenMacro method
'Example: RunAutoOpenMacro method

'This example script has not yet been created.


Example: RunMacroOnDocEvents property
'Example: RunMacroOnDocEvents property

'This example script has not yet been created.


Example: RunMacroOnLoad property
'Example: RunMacroOnLoad property

'This example script has not yet been created.


Example: RunOnCloseDoc property
'Example: RunOnCloseDoc property

'This example script has not yet been created.


Example: RunOnNewDoc property
'Example: RunOnNewDoc property

'This example script has not yet been created.


Example: RunOnOpenDoc property
'Example: RunOnOpenDoc property

'This example script has not yet been created.


Example: RunScript method
'Example: RunScript method

'This example script has not yet been created.


Example: Save method
'Example: Save method

'This example script has not yet been created.


Example: Save event
'Example: Save event

'This example script has not yet been created.


Example: SaveAs method
'Example: SaveAs method

'This example script has not yet been created.


Example: SaveAs event
'Example: SaveAs event

'This example script has not yet been created.


Example: Saved property
'Example: Saved property

'This example script has not yet been created.


Example: Saved event
'Example: Saved event

'This example script has not yet been created.


Example: SavedAs event
'Example: SavedAs event

'This example script has not yet been created.


Example: SaveData method
'Example: SaveData method

'This example script has not yet been created.


Example: SaveDivision method
'Example: SaveDivision method

'This example script has not yet been created.


Example: SaveEnvelopeMaster method
'Example: SaveEnvelopeMaster method

'This example script has not yet been created.


Example: SaveGlossary method
'Example: SaveGlossary method

'This example script has not yet been created.


Example: SaveMacro method
'Example: SaveMacro method

'This example script has not yet been created.


Example: SaveSnapshot method
'Example: SaveSnapshot method

'This example script has not yet been created.


Example: SaveSnapShot property
'Example: SaveSnapShot property

'This example script has not yet been created.


Example: SaveToStorage method
'Example: SaveToStorage method

'This example script has not yet been created.


Example: SaveToStorageComplete method
'Example: SaveToStorageComplete method

'This example script has not yet been created.


Example: SaveUserDefaults method
'Example: SaveUserDefaults method

'This example script has not yet been created.


Example: SaveVersion method
'Example: SaveVersion method

'This example script has not yet been created.


Example: ScaleHeight property
'Example: ScaleHeight property

'This example script has not yet been created.


Example: ScaleMode property
'Example: ScaleMode property

'This example script has not yet been created.


Example: ScalePercentage property
'Example: ScalePercentage property

'This example script has not yet been created.


Example: ScaleWidth property
'Example: ScaleWidth property

'This example script has not yet been created.


Example: ScreenPositionX property
'Example: ScreenPositionX property

'This example script has not yet been created.


Example: ScreenPositionY property
'Example: ScreenPositionY property

'This example script has not yet been created.


Example: Script property
'Example: Script property

'This example script has not yet been created.


Example: ScriptName property
'Example: ScriptName property

'This example script has not yet been created.


Example: SearchAttributes property
'Example: SearchAttributes property

'This example script has not yet been created.


Example: SearchLanguage property
'Example: SearchLanguage property

'This example script has not yet been created.


Example: Section property
'Example: Section property

'This example script has not yet been created.


Example: SectionName property
'Example: SectionName property

'This example script has not yet been created.


Example: Sections property
'Example: Sections property

'This example script has not yet been created.


Example: SectionTabs property
'Example: SectionTabs property

'This example script has not yet been created.


Example: Select method
'Example: Select method

'This example script has not yet been created.


Example: SelectAStyle method
'Example: SelectAStyle method

'This example script has not yet been created.


Example: SelectCell method
'Example: SelectCell method

'This example script has not yet been created.


Example: SelectColumn method
'Example: SelectColumn method

'This example script has not yet been created.


Example: SelectCount property
'Example: SelectCount property

'This example script has not yet been created.


Example: SelectCustomIcon method
'Example: SelectCustomIcon method

'This example script has not yet been created.


Example: SelectDoc method
'Example: SelectDoc method

'This example script has not yet been created.


Example: SelectedPages property
'Example: SelectedPages property

'This example script has not yet been created.


Example: SelectEntireCellRange method
'Example: SelectEntireCellRange method

'This example script has not yet been created.


Example: SelectEntireColumn method
'Example: SelectEntireColumn method

'This example script has not yet been created.


Example: SelectEntirePCol method
'Example: SelectEntirePCol method

'This example script has not yet been created.


Example: SelectEntirePColCellRange method
'Example: SelectEntirePColCellRange method

'This example script has not yet been created.


Example: SelectEntirePColColumn method
'Example: SelectEntirePColColumn method

'This example script has not yet been created.


Example: SelectEntirePColRow method
'Example: SelectEntirePColRow method

'This example script has not yet been created.


Example: SelectEntireRow method
'Example: SelectEntireRow method

'This example script has not yet been created.


Example: SelectEntireTable method
'Example: SelectEntireTable method

'This example script has not yet been created.


Example: SelectionBorderColor1 property
'Example: SelectionBorderColor1 property

'This example script has not yet been created.


Example: SelectionBorderColor2 property
'Example: SelectionBorderColor2 property

'This example script has not yet been created.


Example: SelectionBorderColor3 property
'Example: SelectionBorderColor3 property

'This example script has not yet been created.


Example: SelectionHidden property
'Example: SelectionHidden property

'This example script has not yet been created.


Example: SelectionType property
'Example: SelectionType property

'This example script has not yet been created.


Example: SelectItem method
'Example: SelectItem method

'This example script has not yet been created.


Example: SelectItemString method
'Example: SelectItemString method

'This example script has not yet been created.


Example: SelectMarker method
'Example: SelectMarker method

'This example script has not yet been created.


Example: SelectParagraph method
'Example: SelectParagraph method

'This example script has not yet been created.


Example: SelectPColCell method
'Example: SelectPColCell method

'This example script has not yet been created.


Example: SelectRow method
'Example: SelectRow method

'This example script has not yet been created.


Example: SelectRuler method
'Example: SelectRuler method

'This example script has not yet been created.


Example: SelectSection method
'Example: SelectSection method

'This example script has not yet been created.


Example: SelectSentence method
'Example: SelectSentence method

'This example script has not yet been created.


Example: SelectStandardIcon method
'Example: SelectStandardIcon method

'This example script has not yet been created.


Example: SelectTab property
'Example: SelectTab property

'This example script has not yet been created.


Example: SelectTable method
'Example: SelectTable method

'This example script has not yet been created.


Example: SelectTableItem method
'Example: SelectTableItem method

'This example script has not yet been created.


Example: SelectType property
'Example: SelectType property

'This example script has not yet been created.


Example: SelectWord method
'Example: SelectWord method

'This example script has not yet been created.


Example: SendFrameToBack method
'Example: SendFrameToBack method

'This example script has not yet been created.


Example: SendFrameToBackOne method
'Example: SendFrameToBackOne method

'This example script has not yet been created.


Example: SendMailSelectedText method
'Example: SendMailSelectedText method

'This example script has not yet been created.


Example: ServerFormat property
'Example: ServerFormat property

'This example script has not yet been created.


Example: SetArrayProp method
'Example: SetArrayProp method

'This example script has not yet been created.


Example: SetButtonText method
'Example: SetButtonText method

'This example script has not yet been created.


Example: SetControlText method
'Example: SetControlText method

'This example script has not yet been created.


Example: SetControlValue method
'Example: SetControlValue method

'This example script has not yet been created.


Example: SetData method
'Example: SetData method

'This example script has not yet been created.


Example: SetDocumentEpoch method
'Example: SetDocumentEpoch method

'This example script has not yet been created.


Example: SetFieldFormula method
'Example: SetFieldFormula method

'This example script has not yet been created.


Example: Setfocus method
'Example: Setfocus method

'This example script has not yet been created.


Example: SetFocus method
'Example: SetFocus method

'This example script has not yet been created.


Example: SetFormula method
'Example: SetFormula method

'This example script has not yet been created.


Example: SetLastUsedFilter method
'Example: SetLastUsedFilter method

'This example script has not yet been created.


Example: SetLineOneSide method
'Example: SetLineOneSide method

'This example script has not yet been created.


Example: SetLinesAllSides method
'Example: SetLinesAllSides method

'This example script has not yet been created.


Example: SetLinkSource method
'Example: SetLinkSource method

'This example script has not yet been created.


Example: SetMinimumOrigin method
'Example: SetMinimumOrigin method

'This example script has not yet been created.


Example: SetNamedProperty method
'Example: SetNamedProperty method

'This example script has not yet been created.


Example: SetOverrideGraphic method
'Example: SetOverrideGraphic method

'This example script has not yet been created.


Example: SetOverrideText method
'Example: SetOverrideText method

'This example script has not yet been created.


Example: SetPattern method
'Example: SetPattern method

'This example script has not yet been created.


Example: SetPopupAlignment method
'Example: SetPopupAlignment method

'This example script has not yet been created.


Example: SetPopupIndex method
'Example: SetPopupIndex method

'This example script has not yet been created.


Example: SetPopupWidth method
'Example: SetPopupWidth method

'This example script has not yet been created.


Example: SetPopupWidthType method
'Example: SetPopupWidthType method

'This example script has not yet been created.


Example: SetPowerFieldValue method
'Example: SetPowerFieldValue method

'This example script has not yet been created.


Example: SetRGB method
'Example: SetRGB method

'This example script has not yet been created.


Example: SetStorage method
'Example: SetStorage method

'This example script has not yet been created.


Example: SetStyle method
'Example: SetStyle method

'This example script has not yet been created.


Example: SetTabsDialog property
'Example: SetTabsDialog property

'This example script has not yet been created.


Example: SetTOCProperties method
'Example: SetTOCProperties method

'This example script has not yet been created.


Example: Shade method
'Example: Shade method

'This example script has not yet been created.


Example: Shadow property
'Example: Shadow property

'This example script has not yet been created.


Example: Show method
'Example: Show method

'This example script has not yet been created.


Example: ShowContainers method
'Example: ShowContainers method

'This example script has not yet been created.


Example: ShowCursor method
'Example: ShowCursor method

'This example script has not yet been created.


Example: ShowDivisionTabs property
'Example: ShowDivisionTabs property

'This example script has not yet been created.


Example: ShowGraphicPreview property
'Example: ShowGraphicPreview property

'This example script has not yet been created.


Example: ShowHiddenText property
'Example: ShowHiddenText property

'This example script has not yet been created.


Example: ShowIconBars method
'Example: ShowIconBars method

'This example script has not yet been created.


Example: ShowInContext property
'Example: ShowInContext property

'This example script has not yet been created.


Example: ShowMailDisabled property
'Example: ShowMailDisabled property

'This example script has not yet been created.


Example: ShowNoWelcomeBox property
'Example: ShowNoWelcomeBox property

'This example script has not yet been created.


Example: ShowScrollBars method
'Example: ShowScrollBars method

'This example script has not yet been created.


Example: ShowStatistics property
'Example: ShowStatistics property

'This example script has not yet been created.


Example: ShowStatusBar method
'Example: ShowStatusBar method

'This example script has not yet been created.


Example: ShowTabs property
'Example: ShowTabs property

'This example script has not yet been created.


Example: SilverBullet property
'Example: SilverBullet property

'This example script has not yet been created.


Example: SilverBullets property
'Example: SilverBullets property

'This example script has not yet been created.


Example: SimulateButtonClick method
'Example: SimulateButtonClick method

'This example script has not yet been created.


Example: Size property
'Example: Size property

'This example script has not yet been created.


Example: SizeStyleName property
'Example: SizeStyleName property

'This example script has not yet been created.


Example: SizingUnitName property
'Example: SizingUnitName property

'This example script has not yet been created.


Example: SizingUnits property
'Example: SizingUnits property

'This example script has not yet been created.


Example: Skip method
'Example: Skip method

'This example script has not yet been created.


Example: Skipped property
'Example: Skipped property

'This example script has not yet been created.


Example: SkipWordMode property
'Example: SkipWordMode property

'This example script has not yet been created.


Example: SmallCaps property
'Example: SmallCaps property

'This example script has not yet been created.


Example: SmallCaps method
'Example: SmallCaps method

'This example script has not yet been created.


Example: SmallFileFormat property
'Example: SmallFileFormat property

'This example script has not yet been created.


Example: SmartCorrect property
'Example: SmartCorrect property

'This example script has not yet been created.


Example: SmartLevel property
'Example: SmartLevel property

'This example script has not yet been created.


Example: SmartSumColumn method
'Example: SmartSumColumn method

'This example script has not yet been created.


Example: SmartSumRow method
'Example: SmartSumRow method

'This example script has not yet been created.


Example: SnapshotOffset property
'Example: SnapshotOffset property

'This example script has not yet been created.


Example: SnapshotPath property
'Example: SnapshotPath property

'This example script has not yet been created.


Example: SnapShotSaveOptions property
'Example: SnapShotSaveOptions property

'This example script has not yet been created.


Example: SnapshotSize property
'Example: SnapshotSize property

'This example script has not yet been created.


Example: SortLevel1 property
'Example: SortLevel1 property

'This example script has not yet been created.


Example: SortLevel2 property
'Example: SortLevel2 property

'This example script has not yet been created.


Example: SortLevel3 property
'Example: SortLevel3 property

'This example script has not yet been created.


Example: SortNumbers property
'Example: SortNumbers property

'This example script has not yet been created.


Example: SortOptions property
'Example: SortOptions property

'This example script has not yet been created.


Example: SortOrder property
'Example: SortOrder property

'This example script has not yet been created.


Example: SortParagraphs method
'Example: SortParagraphs method

'This example script has not yet been created.


Example: SortType property
'Example: SortType property

'This example script has not yet been created.


Example: SortWord property
'Example: SortWord property

'This example script has not yet been created.


Example: SortWordOption property
'Example: SortWordOption property

'This example script has not yet been created.


Example: SpaceAbove property
'Example: SpaceAbove property

'This example script has not yet been created.


Example: SpaceBelow property
'Example: SpaceBelow property

'This example script has not yet been created.


Example: SpacesBetweenSentences property
'Example: SpacesBetweenSentences property

'This example script has not yet been created.


Example: Spacing property
'Example: Spacing property

'This example script has not yet been created.


Example: SpacingStyleName property
'Example: SpacingStyleName property

'This example script has not yet been created.


Example: SpacingUnitName property
'Example: SpacingUnitName property

'This example script has not yet been created.


Example: SpacingUnits property
'Example: SpacingUnits property

'This example script has not yet been created.


Example: SpellAddToUserDict method
'Example: SpellAddToUserDict method

'This example script has not yet been created.


Example: SpellCheckIncludesOtherTextStreams property
'Example: SpellCheckIncludesOtherTextStreams property

'This example script has not yet been created.


Example: SpellCheckInitialCaps property
'Example: SpellCheckInitialCaps property

'This example script has not yet been created.


Example: SpellCheckRepeatedWords property
'Example: SpellCheckRepeatedWords property

'This example script has not yet been created.


Example: SpellCheckStartsAtBeginning property
'Example: SpellCheckStartsAtBeginning property

'This example script has not yet been created.


Example: SpellCheckUserDictAlternatives property
'Example: SpellCheckUserDictAlternatives property

'This example script has not yet been created.


Example: SpellCheckWordsWithNums property
'Example: SpellCheckWordsWithNums property

'This example script has not yet been created.


Example: SpellClearSkippedWords method
'Example: SpellClearSkippedWords method

'This example script has not yet been created.


Example: SpellColor property
'Example: SpellColor property

'This example script has not yet been created.


Example: SpellFocusedColor property
'Example: SpellFocusedColor property

'This example script has not yet been created.


Example: SpellMarkSkippedWords method
'Example: SpellMarkSkippedWords method

'This example script has not yet been created.


Example: SpellSkipAll method
'Example: SpellSkipAll method

'This example script has not yet been created.


Example: SpellWord method
'Example: SpellWord method

'This example script has not yet been created.


Example: Split method
'Example: Split method

'This example script has not yet been created.


Example: SplitParagraph method
'Example: SplitParagraph method

'This example script has not yet been created.


Example: SplitPercentage property
'Example: SplitPercentage property

'This example script has not yet been created.


Example: SRReplace method
'Example: SRReplace method

'This example script has not yet been created.


Example: Start property
'Example: Start property

'This example script has not yet been created.


Example: Start method
'Example: Start method

'This example script has not yet been created.


Example: StartColumns property
'Example: StartColumns property

'This example script has not yet been created.


Example: StartEditMergeData method
'Example: StartEditMergeData method

'This example script has not yet been created.


Example: StartEnvelopeDiv method
'Example: StartEnvelopeDiv method

'This example script has not yet been created.


Example: StartFieldInsert method
'Example: StartFieldInsert method

'This example script has not yet been created.


Example: StartingColOfSelection property
'Example: StartingColOfSelection property

'This example script has not yet been created.


Example: StartingColStringOfSelection property
'Example: StartingColStringOfSelection property

'This example script has not yet been created.


Example: StartingNumber property
'Example: StartingNumber property

'This example script has not yet been created.


Example: StartingRowOfSelection property
'Example: StartingRowOfSelection property

'This example script has not yet been created.


Example: StartRow property
'Example: StartRow property

'This example script has not yet been created.


Example: StateID property
'Example: StateID property

'This example script has not yet been created.


Example: StatusBar property
'Example: StatusBar property

'This example script has not yet been created.


Example: StatusBarButtonClicked event
'Example: StatusBarButtonClicked event

'This example script has not yet been created.


Example: StatusBarButtonFillPopupList event
'Example: StatusBarButtonFillPopupList event

'This example script has not yet been created.


Example: StatusBarButtonItemSelected event
'Example: StatusBarButtonItemSelected event

'This example script has not yet been created.


Example: StatusBarButtonOverrideGraphic event
'Example: StatusBarButtonOverrideGraphic event

'This example script has not yet been created.


Example: StatusBarButtonOverrideText event
'Example: StatusBarButtonOverrideText event

'This example script has not yet been created.


Example: StatusBarButtonOverrideTextAndGraphic event
'Example: StatusBarButtonOverrideTextAndGraphic event

'This example script has not yet been created.


Example: StatusBarButtons property
'Example: StatusBarButtons property

'This example script has not yet been created.


Example: StatusBarVisible property
'Example: StatusBarVisible property

'This example script has not yet been created.


Example: StoreInternetFile method
'Example: StoreInternetFile method

'This example script has not yet been created.


Example: StrikeThru method
'Example: StrikeThru method

'This example script has not yet been created.


Example: Style property
'Example: Style property

'This example script has not yet been created.


Example: StyleExceptions property
'Example: StyleExceptions property

'This example script has not yet been created.


Example: StyleName property
'Example: StyleName property

'This example script has not yet been created.


Example: StylePath property
'Example: StylePath property

'This example script has not yet been created.


Example: StylePaths property
'Example: StylePaths property

'This example script has not yet been created.


Example: StyleSheetFullPath property
'Example: StyleSheetFullPath property

'This example script has not yet been created.


Example: StyleSheetName property
'Example: StyleSheetName property

'This example script has not yet been created.


Example: StyleSheetPath property
'Example: StyleSheetPath property

'This example script has not yet been created.


Example: Subscript property
'Example: Subscript property

'This example script has not yet been created.


Example: SubScript method
'Example: SubScript method

'This example script has not yet been created.


Example: Suffix property
'Example: Suffix property

'This example script has not yet been created.


Example: Suggestions property
'Example: Suggestions property

'This example script has not yet been created.


Example: Sum method
'Example: Sum method

'This example script has not yet been created.


Example: Superscript property
'Example: Superscript property

'This example script has not yet been created.


Example: SuperScript method
'Example: SuperScript method

'This example script has not yet been created.


Example: SuperTableContainer property
'Example: SuperTableContainer property

'This example script has not yet been created.


Example: SuperTableLayouts property
'Example: SuperTableLayouts property

'This example script has not yet been created.


Example: SuperTables property
'Example: SuperTables property

'This example script has not yet been created.


Example: SuppressHeaders property
'Example: SuppressHeaders property

'This example script has not yet been created.


Example: System property
'Example: System property

'This example script has not yet been created.


Example: TabExits property
'Example: TabExits property

'This example script has not yet been created.


Example: Table property
'Example: Table property

'This example script has not yet been created.


Example: TableContainer property
'Example: TableContainer property

'This example script has not yet been created.


Example: TableExports property
'Example: TableExports property

'This example script has not yet been created.


Example: TableFill property
'Example: TableFill property

'This example script has not yet been created.


Example: TableHeadingLayouts property
'Example: TableHeadingLayouts property

'This example script has not yet been created.


Example: TableHeadings property
'Example: TableHeadings property

'This example script has not yet been created.


Example: TableImports property
'Example: TableImports property

'This example script has not yet been created.


Example: TableLayouts property
'Example: TableLayouts property

'This example script has not yet been created.


Example: TableLine property
'Example: TableLine property

'This example script has not yet been created.


Example: TableMarkers property
'Example: TableMarkers property

'This example script has not yet been created.


Example: TableOnlyContainer property
'Example: TableOnlyContainer property

'This example script has not yet been created.


Example: Tables property
'Example: Tables property

'This example script has not yet been created.


Example: TableStyleName property
'Example: TableStyleName property

'This example script has not yet been created.


Example: TableStyles property
'Example: TableStyles property

'This example script has not yet been created.


Example: TabOrder property
'Example: TabOrder property

'This example script has not yet been created.


Example: TabRack property
'Example: TabRack property

'This example script has not yet been created.


Example: TabRelativeTo property
'Example: TabRelativeTo property

'This example script has not yet been created.


Example: TabSpacing property
'Example: TabSpacing property

'This example script has not yet been created.


Example: TabSymbolChar property
'Example: TabSymbolChar property

'This example script has not yet been created.


Example: TabType property
'Example: TabType property

'This example script has not yet been created.


Example: TabWidth property
'Example: TabWidth property

'This example script has not yet been created.


Example: TeamMail method
'Example: TeamMail method

'This example script has not yet been created.


Example: TempFindAndReplace property
'Example: TempFindAndReplace property

'This example script has not yet been created.


Example: TempFoundry property
'Example: TempFoundry property

'This example script has not yet been created.


Example: TerminateFormatCheck method
'Example: TerminateFormatCheck method

'This example script has not yet been created.


Example: Text property
'Example: Text property

'This example script has not yet been created.


Example: TextandTableExports property
'Example: TextandTableExports property

'This example script has not yet been created.


Example: TextandTableImports property
'Example: TextandTableImports property

'This example script has not yet been created.


Example: TextAttributes property
'Example: TextAttributes property

'This example script has not yet been created.


Example: TextMarkers property
'Example: TextMarkers property

'This example script has not yet been created.


Example: TextNumber method
'Example: TextNumber method

'This example script has not yet been created.


Example: TextOrient property
'Example: TextOrient property

'This example script has not yet been created.


Example: TextOrientation property
'Example: TextOrientation property

'This example script has not yet been created.


Example: Texts property
'Example: Texts property

'This example script has not yet been created.


Example: TextStyleName property
'Example: TextStyleName property

'This example script has not yet been created.


Example: TextStyles property
'Example: TextStyles property

'This example script has not yet been created.


Example: TextTightness property
'Example: TextTightness property

'This example script has not yet been created.


Example: TextViewAttributes property
'Example: TextViewAttributes property

'This example script has not yet been created.


Example: TheoreticalScaledSize method
'Example: TheoreticalScaledSize method

'This example script has not yet been created.


Example: ThesMaxNumSynonymsReturned property
'Example: ThesMaxNumSynonymsReturned property

'This example script has not yet been created.


Example: Tile method
'Example: Tile method

'This example script has not yet been created.


Example: TileWindow property
'Example: TileWindow property

'This example script has not yet been created.


Example: TileWindowHorz method
'Example: TileWindowHorz method

'This example script has not yet been created.


Example: TileWindowVert method
'Example: TileWindowVert method

'This example script has not yet been created.


Example: Time property
'Example: Time property

'This example script has not yet been created.


Example: TimedSave method
'Example: TimedSave method

'This example script has not yet been created.


Example: TimedSaveFileExtension property
'Example: TimedSaveFileExtension property

'This example script has not yet been created.


Example: TimerTick event
'Example: TimerTick event

'This example script has not yet been created.


Example: Title property
'Example: Title property

'This example script has not yet been created.


Example: TitleBarDocNumber property
'Example: TitleBarDocNumber property

'This example script has not yet been created.


Example: TitleBarVisible property
'Example: TitleBarVisible property

'This example script has not yet been created.


Example: TOCNumEntries property
'Example: TOCNumEntries property

'This example script has not yet been created.


Example: TOCRange property
'Example: TOCRange property

'This example script has not yet been created.


Example: TOCSource property
'Example: TOCSource property

'This example script has not yet been created.


Example: ToggleIconBar method
'Example: ToggleIconBar method

'This example script has not yet been created.


Example: Top property
'Example: Top property

'This example script has not yet been created.


Example: TopBorder property
'Example: TopBorder property

'This example script has not yet been created.


Example: TopExternalMargin property
'Example: TopExternalMargin property

'This example script has not yet been created.


Example: TopIntArea property
'Example: TopIntArea property

'This example script has not yet been created.


Example: TopLeftCellRowId property
'Example: TopLeftCellRowId property

'This example script has not yet been created.


Example: TotalEditingTime property
'Example: TotalEditingTime property

'This example script has not yet been created.


Example: TrailingText property
'Example: TrailingText property

'This example script has not yet been created.


Example: Type property
'Example: Type property

'This example script has not yet been created.


Example: Type method
'Example: Type method

'This example script has not yet been created.


Example: TypeAbove property
'Example: TypeAbove property

'This example script has not yet been created.


Example: TypeBelow property
'Example: TypeBelow property

'This example script has not yet been created.


Example: TypeRight property
'Example: TypeRight property

'This example script has not yet been created.


Example: Typos property
'Example: Typos property

'This example script has not yet been created.


Example: Underline property
'Example: Underline property

'This example script has not yet been created.


Example: Underline method
'Example: Underline method

'This example script has not yet been created.


Example: Undo method
'Example: Undo method

'This example script has not yet been created.


Example: UndoEnable property
'Example: UndoEnable property

'This example script has not yet been created.


Example: UndoLevels property
'Example: UndoLevels property

'This example script has not yet been created.


Example: UndoRedo method
'Example: UndoRedo method

'This example script has not yet been created.


Example: Units property
'Example: Units property

'This example script has not yet been created.


Example: UnregisterWPDataSet method
'Example: UnregisterWPDataSet method

'This example script has not yet been created.


Example: Update method
'Example: Update method

'This example script has not yet been created.


Example: UpdateFields property
'Example: UpdateFields property

'This example script has not yet been created.


Example: UpdateIndexSection method
'Example: UpdateIndexSection method

'This example script has not yet been created.


Example: UpdateLink method
'Example: UpdateLink method

'This example script has not yet been created.


Example: UpdateOle method
'Example: UpdateOle method

'This example script has not yet been created.


Example: UpdateOnLoad property
'Example: UpdateOnLoad property

'This example script has not yet been created.


Example: UpdateOnLoadImmediate property
'Example: UpdateOnLoadImmediate property

'This example script has not yet been created.


Example: UpdatePageSizeChange method
'Example: UpdatePageSizeChange method

'This example script has not yet been created.


Example: UpdatePowerFields method
'Example: UpdatePowerFields method

'This example script has not yet been created.


Example: UpdatePrinterChanges method
'Example: UpdatePrinterChanges method

'This example script has not yet been created.


Example: UpdateSelectedFields method
'Example: UpdateSelectedFields method

'This example script has not yet been created.


Example: UpdateTOC method
'Example: UpdateTOC method

'This example script has not yet been created.


Example: UpperCase property
'Example: UpperCase property

'This example script has not yet been created.


Example: UpperCase method
'Example: UpperCase method

'This example script has not yet been created.


Example: UseConsistentSpaceBetweenSentences property
'Example: UseConsistentSpaceBetweenSentences property

'This example script has not yet been created.


Example: UseContents property
'Example: UseContents property

'This example script has not yet been created.


Example: UseDefaultPrinter property
'Example: UseDefaultPrinter property

'This example script has not yet been created.


Example: UsedFirstPageHeight property
'Example: UsedFirstPageHeight property

'This example script has not yet been created.


Example: UseEncrypt property
'Example: UseEncrypt property

'This example script has not yet been created.


Example: UseExcludeRect property
'Example: UseExcludeRect property

'This example script has not yet been created.


Example: UseFindStyle property
'Example: UseFindStyle property

'This example script has not yet been created.


Example: UseFooter property
'Example: UseFooter property

'This example script has not yet been created.


Example: UseGreeting property
'Example: UseGreeting property

'This example script has not yet been created.


Example: UseHeader property
'Example: UseHeader property

'This example script has not yet been created.


Example: UseNextStyle property
'Example: UseNextStyle property

'This example script has not yet been created.


Example: UsePrinterSettings property
'Example: UsePrinterSettings property

'This example script has not yet been created.


Example: UserClassNameApp property
'Example: UserClassNameApp property

'This example script has not yet been created.


Example: UserClassNameFull property
'Example: UserClassNameFull property

'This example script has not yet been created.


Example: UserClassNameShort property
'Example: UserClassNameShort property

'This example script has not yet been created.


Example: UserDictFiles property
'Example: UserDictFiles property

'This example script has not yet been created.


Example: UserDictionaryFiles property
'Example: UserDictionaryFiles property

'This example script has not yet been created.


Example: UserDictionaryPath property
'Example: UserDictionaryPath property

'This example script has not yet been created.


Example: UserDictionaryPaths property
'Example: UserDictionaryPaths property

'This example script has not yet been created.


Example: UserDictStates property
'Example: UserDictStates property

'This example script has not yet been created.


Example: UseRelative property
'Example: UseRelative property

'This example script has not yet been created.


Example: UseReplaceStyle property
'Example: UseReplaceStyle property

'This example script has not yet been created.


Example: UserInitials property
'Example: UserInitials property

'This example script has not yet been created.


Example: UserInterfacePrefs property
'Example: UserInterfacePrefs property

'This example script has not yet been created.


Example: UserLinkName property
'Example: UserLinkName property

'This example script has not yet been created.


Example: UserName property
'Example: UserName property

'This example script has not yet been created.


Example: UserPassword property
'Example: UserPassword property

'This example script has not yet been created.


Example: UseSeparatorLine property
'Example: UseSeparatorLine property

'This example script has not yet been created.


Example: UsesHelp property
'Example: UsesHelp property

'This example script has not yet been created.


Example: UsesPalette property
'Example: UsesPalette property

'This example script has not yet been created.


Example: UseSuperscriptReferenceNum property
'Example: UseSuperscriptReferenceNum property

'This example script has not yet been created.


Example: UseTwoSpacesBetweenSentences property
'Example: UseTwoSpacesBetweenSentences property

'This example script has not yet been created.


Example: UseWhen property
'Example: UseWhen property

'This example script has not yet been created.


Example: Valid property
'Example: Valid property

'This example script has not yet been created.


Example: ValidateValue method
'Example: ValidateValue method

'This example script has not yet been created.


Example: Value property
'Example: Value property

'This example script has not yet been created.


Example: VerificationResult property
'Example: VerificationResult property

'This example script has not yet been created.


Example: VersionID property
'Example: VersionID property

'This example script has not yet been created.


Example: VersionManager property
'Example: VersionManager property

'This example script has not yet been created.


Example: VersionName property
'Example: VersionName property

'This example script has not yet been created.


Example: VersionRemarks property
'Example: VersionRemarks property

'This example script has not yet been created.


Example: s property
'Example: Version

s property

'This example script has not yet been created.


Example: VertAlign property
'Example: VertAlign property

'This example script has not yet been created.


Example: VerticalSplitWindow property
'Example: VerticalSplitWindow property

'This example script has not yet been created.


Example: VertRuler property
'Example: VertRuler property

'This example script has not yet been created.


Example: VertScrollBarVisible property
'Example: VertScrollBarVisible property

'This example script has not yet been created.


Example: ViewLevel property
'Example: ViewLevel property

'This example script has not yet been created.


Example: ViewType property
'Example: ViewType property

'This example script has not yet been created.


Example: Visible property
'Example: Visible property

'This example script has not yet been created.


Example: WasDeletedInRevMarkMode property
'Example: WasDeletedInRevMarkMode property

'This example script has not yet been created.


Example: WasInsertedInRevMarkMode property
'Example: WasInsertedInRevMarkMode property

'This example script has not yet been created.


Example: WasPasted property
'Example: WasPasted property

'This example script has not yet been created.


Example: Weight property
'Example: Weight property

'This example script has not yet been created.


Example: Where property
'Example: Where property

'This example script has not yet been created.


Example: WidowOrphan property
'Example: WidowOrphan property

'This example script has not yet been created.


Example: Width property
'Example: Width property

'This example script has not yet been created.


Example: WidthAbove property
'Example: WidthAbove property

'This example script has not yet been created.


Example: WidthBelow property
'Example: WidthBelow property

'This example script has not yet been created.


Example: WidthInTwips property
'Example: WidthInTwips property

'This example script has not yet been created.


Example: WidthOfColumn property
'Example: WidthOfColumn property

'This example script has not yet been created.


Example: WindowId property
'Example: WindowId property

'This example script has not yet been created.


Example: WindowsName property
'Example: WindowsName property

'This example script has not yet been created.


Example: WinViewPrefs property
'Example: WinViewPrefs property

'This example script has not yet been created.


Example: WithComments property
'Example: WithComments property

'This example script has not yet been created.


Example: WMCommand method
'Example: WMCommand method

'This example script has not yet been created.


Example: WMCommand event
'Example: WMCommand event

'This example script has not yet been created.


Example: WordDoubleUnderline property
'Example: WordDoubleUnderline property

'This example script has not yet been created.


Example: WordUnderline property
'Example: WordUnderline property

'This example script has not yet been created.


Example: WordUnderline method
'Example: WordUnderline method

'This example script has not yet been created.


Example: WorkingType property
'Example: WorkingType property

'This example script has not yet been created.


Example: WPDataSets property
'Example: WPDataSets property

'This example script has not yet been created.


Example: WrapType property
'Example: WrapType property

'This example script has not yet been created.


Example: Write method
'Example: Write method

'This example script has not yet been created.


Example: XOffset property
'Example: XOffset property

'This example script has not yet been created.


Example: XPosition property
'Example: XPosition property

'This example script has not yet been created.


Example: YOffset property
'Example: YOffset property

'This example script has not yet been created.


Example: YPosition property
'Example: YPosition property

'This example script has not yet been created.


Example: Zero property
'Example: Zero property

'This example script has not yet been created.


Example: ZipCode property
'Example: ZipCode property

'This example script has not yet been created.


Word Pro: Accelerators class members
Accelerators class members

Properties

None

Methods

AddAccelerators

DeleteMacroAccelerator

RemovePersistentAccelerators

Events

None


Word Pro: Alignment class members
Alignment class members

Properties

AlignmentChar AS Integer

AlignmentType AS AlignmentType

Position AS Twips

Methods

RevertToStyle

Events

None


Word Pro: Amikake class members
Amikake class members

Properties

Background AS Background class

Methods

RevertToStyle

Events

None


Word Pro: Application class members
Application class members

Properties

ActiveDocument AS TextDocument class

ActiveDocWindow AS DocWindow class

ApplicationWindow AS ApplicationWindow class

DefaultFilePath AS String

Documents AS Documents class

FullName AS String

Interactive AS Bool

Location AS String

Path AS String

Visible AS Bool

Methods

GetEnum

NewDocument

OpenDocument

Quit

Events

DocumentCreated

DocumentOpen

DocumentOpened

Quit


Word Pro: ApplicationWindow class members
ApplicationWindow class members

Properties

Accelerators AS Accelerators class

ActiveDocument AS TextDocument class

ContextMenuOptions AS ContextMenuOptions class

DocWindowsAS DocWindowCollection class

Filter AS Filter class

FreeMenus AS MenuItem class

HorzRuler AS Ruler class

Hwnd AS Long

IconBarManager AS IconBarManager class

LwpMenuBarAS MenuItem class

Macro AS Macro class

ReviewVersions AS ReviewVersions class

RightMouseMenus AS MenuItem class

Script AS Script class

SectionTabsAS SectionTabs class

SetTabsDialog AS SetTabsDialog class

StatusBar AS StatusBar class

StatusBarVisible AS Bool

TitleBarVisible AS Bool

UserInterfacePrefs AS UserInterfacePrefs class

VertRuler AS Ruler class

Active AS Bool

Caption AS String

Height AS Twips

Left AS Twips

Top AS Twips

Visible AS Bool

Width AS Twips

Methods

Cascade

Close

MacroRecord

Maximize

Minimize

Play

Restore

SaveUserDefaults

Tile

Close

Move

Open

Resize

Update

Events

Moved


Word Pro: AppViewPrefs class members
AppViewPrefs class members

Properties

MarginColorAS Color class

PaneColor AS Color class

SelectionBorderColor1 AS Color class

SelectionBorderColor2 AS Color class

SelectionBorderColor3 AS Color class

SpellColor AS Color class

SpellFocusedColor AS Color class

Methods

None

Events

None


Word Pro: Attributes class members
Attributes class members

Properties

HiddenMode AS Bool

HideOutlineLevels AS Bool

HighLightMode AS Bool

IsDoubleWordError AS Bool

IsGrammarError AS Bool

IsHiddenMark AS Bool

IsMisspelledAS Bool

NoHyphenate AS Bool

ProtectedMode AS Bool

SkipWordMode AS Bool

Methods

Clear

RevertToStyle

Events

None


Word Pro: AutoRunMacro class members
AutoRunMacro class members

Properties

CloseDocMacroName AS String

NewDocMacroName AS String

OpenDocMacroName AS String

RunOnCloseDoc AS Bool

RunOnNewDoc AS Bool

RunOnOpenDoc AS Bool

Methods

None

Events

None


Word Pro: Background class members
Background class members

Properties

BackColor AS Color class

Color AS Color class

Pattern AS Fill

Methods

None

Events

None


Word Pro: Bag class members
Bag class members

Properties

Length AS Long

Methods

Clear

Delete

Read

Reset

Write

Events

None


Word Pro: BagCollection class members
BagCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: BaseCollection class members
BaseCollection class members

Properties

Count AS Long

Methods

IsEmpty

Events

None


Word Pro: BaseContainer class members
BaseContainer class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: BaseObject class members
BaseObject class members

Properties

Application AS WPApplication class

Description AS String

IsValid AS Bool

Name AS String

Parent AS BaseObject class

VersionID AS Long

Methods

None

Events

None


Word Pro: BaseTable class members
BaseTable class members

Properties

CellLayouts AS StringCollection class

ColumnLayouts AS StringCollection class

ContentLayouts AS StringCollection class

CurrentCell AS CellLayout class

CurrentColumn AS Layout class

CurrentRowAS RowLayout class

DefCellStyleName AS String

DefColWidthAS Twips

DefRowHeight AS Twips

EndingColOfSelection AS Integer

EndingRowOfSelection AS Integer

IsAutoGrow AS Bool

IsParagraphNumberingDown AS Bool

IsResetParagraphNumber AS Bool

IsSizingViaMouse AS Bool

Layout AS Layout class

MaxBottomBorder AS Twips

MaxBottomGutter AS Twips

MaxLeftBorder AS Twips

MaxLeftGutter AS Twips

MaxNumColsAllowed AS Integer

MaxNumRowsAllowed AS Integer

MaxRightBorder AS Twips

MaxRightGutter AS Twips

MaxSplitCols AS Integer

MaxSplitRows AS Integer

MaxTopBorder AS Twips

MaxTopGutter AS Twips

NumCols AS Integer

NumRows AS Integer

RowLayouts AS StringCollection class

SelectionType AS SelectionType

StartingColOfSelection AS Integer

StartingColStringOfSelection AS String

StartingRowOfSelection AS Integer

TableFill AS TableFill class

TableLine AS TableLine class

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

CellLayout

Connect

Copy

Delete

DisconnectCells

FindCellLayout

GetMarkerName

GoToTableCell

InsertRowOrColumn

Mark

NextItem

PreviousItem

SelectTableItem

Split

Events

None


Word Pro: Bookmark class members
Bookmark class members

Properties

IsExportedToNotesFX AS Bool

IsExportedToOldNotesFX AS Bool

IsLinked AS Bool

IsOnClipBoard AS Bool

MarkerNameAS String

WasPasted AS Bool

Methods

None

Events

None


Word Pro: BookmarkCollection class members
BookmarkCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: BookmarkManager class members
BookmarkManager class members

Properties

Bookmarks AS BookmarkCollection class

BookmarksByMarkerName AS BookmarkCollection class

Methods

AddBookmark

Find

GetUniqueName

RemoveBookmark

Events

None


Word Pro: Border class members
Border class members

Properties

Color AS Color class

Pattern AS BorderPattern

WidthInTwips AS Twips

Methods

None

Events

None


Word Pro: BorderLines class members
BorderLines class members

Properties

AllBorders AS Border class

BottomBorder AS Border class

LeftBorder AS Border class

LinePlacement AS LinePlacement

LineValid AS LinePlacement

RightBorderAS Border class

TopBorder AS Border class

Methods

None

Events

None


Word Pro: Breaks class members
Breaks class members

Properties

IsColumnBreakAfter AS Bool

IsColumnBreakBefore AS Bool

IsPageBreakAfter AS Bool

IsPageBreakBefore AS Bool

IsPageBreakWithin AS Bool

KeepWithNext AS Bool

KeepWithPrev AS Bool

NextStyleName AS String

UseNextStyle AS Bool

Methods

RevertToStyle

Events

None


Word Pro: Bullet class members
Bullet class members

Properties

Editable AS CommandState

RightAlign AS CommandState

SilverBullet AS SilverBullet class

Skipped AS CommandState

Text AS Text class

Valid AS CommandState

Methods

RevertToStyle

Events

None


Word Pro: CellCollection class members
CellCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: CellContainer class members
CellContainer class members

Properties

CellLayout AS CellLayout class

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

RevertToStyle

SetStyle

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: CellEngine class members
CellEngine class members

Properties

None

Methods

GetFormula

SetFormula

Events

None


Word Pro: CellGroupLayout class members
CellGroupLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: CellLayout class members
CellLayout class members

Properties

Formula AS String

GetValue AS String

IsBadReference AS Bool

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

ValidateValue

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: CellLayoutCollection class members
CellLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: CharacterBorder class members
CharacterBorder class members

Properties

BorderLines AS BorderLines class

IsBorder AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

WidthAbove AS Twips

WidthBelow AS Twips

Methods

RevertToStyle

Events

None


Word Pro: CharacterSet class members
CharacterSet class members

Properties

CharSet AS CharSet

LeaderDotDashChar AS Integer

LeaderDotDotChar AS Integer

LeaderDotUnderscoreChar AS Integer

ParagraphSymbolChar AS Integer

TabSymbolChar AS Integer

Methods

None

Events

None


Word Pro: CharacterStyle class members
CharacterStyle class members

Properties

Amikake AS Amikake class

AttrStyleName AS String

CharacterBorder AS CharacterBorder class

Definition AS Long

FaceStyleName AS String

Font AS Font class

FontStyleName AS String

InUseCount AS Long

IsLocal AS Bool

IsPrivate AS Bool

IsTemp AS Bool

Language AS Language class

SizeStyleName AS String

StyleName AS String

TextAttributes AS Attributes class

Type AS CharStyleType

WPDataSets AS WPDataSetCollection class

Methods

GetNamedProperty

IsTemporary

RegisterWPDataSet

RemoveProperty

SetNamedProperty

UnregisterWPDataSet

Update

Events

None


Word Pro: CharacterStyleCollection class members
CharacterStyleCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: ClickHere class members
ClickHere class members

Properties

Action AS Integer

Alignment AS Alignment class

Amikake AS Amikake class

AtBeginning AS Bool

AtBeginningOfLine AS Bool

AtBeginningOfObject AS Bool

AtBeginningOfParagraph AS Bool

AtBeginningOfWord AS Bool

AtEnd AS Bool

AtEndOfLineAS Bool

AtEndOfObject AS Bool

AtEndOfParagraph AS Bool

AtEndOfWord AS Bool

Attributes AS Attributes class

Breaks AS Breaks class

Bullet AS Bullet class

CharacterBorder AS CharacterBorder class

CharacterStyle AS CharacterStyle class

CharacterStyleName AS String

CodePage AS Integer

ColumnNumber AS Integer

ColumnWidth AS Twips

CurrentLanguage AS Languages

DivisionsRequired AS Integer

EffectiveColumnWidth AS Twips

FieldType AS String

First AS String

Font AS Font class

FormatCheckLevel AS Integer

FormatCheckRule AS String

FormatCheckSuggestion AS String

HasLocalTabs AS CommandResponse

HelpText AS String

Indent AS Indent class

IsEmpty AS Bool

IsInBulletEditMode AS Bool

IsOverridden AS Bool

IsParaDemandLoad AS Bool

IsPrivate AS Bool

IsReplaceable AS Bool

IsRevisionMark AS Bool

Kinsoku AS Kinsoku class

Language AS Language class

Last AS String

LastEditorName AS String

LayoutName AS String

MaintainEditor AS Integer

MultiCompareParaTag AS String

MultiCompareParaTagSet AS Bool

NextClickHere AS String

NextText AS String

NormalParagraph AS Bool

Numbering AS Numbering class

NumberOfCharacters AS Long

NumberOfRevisions AS Integer

NumCharsInParagraph AS Long

ObjectType AS String

ParagraphBorder AS ParagraphBorder class

ParagraphStyle AS ParagraphStyle class

ParagraphStyleName AS String

Partial AS Bool

PositionXInContainer AS Twips

PositionXOnPage AS Twips

PositionYInContainer AS Twips

PositionYOnPage AS Twips

PreviousClickHere AS String

Prompt AS Text class

PromptHidden AS Bool

RelativeIndent AS RelativeIndent class

RenderedPageNumber AS String

RevisionMark AS Revision class

SectionName AS String

SelectionHidden AS Bool

SelectionType AS SelectionType

Spacing AS Spacing class

StyleExceptions AS Long

TabExits AS Bool

TabOrder AS Long

TabRack AS TabRack class

TextViewAttributes AS TextView

UsesHelp AS Bool

WPDataSets AS WPDataSetCollection class

DivisionInfo AS DivisionInfo class

IsChanged AS Bool

IsMarkerValid AS Bool

IsRegisteredAS Bool

Layout AS Layout class

MarkerClassAS MarkerType

NumCols AS Integer

NumRows AS Integer

PageNumberAS Integer

PageNumberAsText AS String

StartColumns AS Integer

StartRow AS Integer

StateID AS Long

WPDataSets AS WPDataSetCollection class

Methods

Add

AdjustShade

Backspace

Backward

Bisect

CalcSmartLevels

Clear

ClearInternalSpellInfo

CloseObject

ContractOutlineLevel

DeleteChars

Demote

Deselect

DivideText

Embed

ExpandOutline

Find

FormatCheckAction

FormatCheckReplace

Forward

GetCopyFormatCategories

GetCurrentMarkerName

GetMispelledWord

GetParaNumber

GetPasteFormatCategories

GetPosition

GetSpellStatus

GetSpellUserDictStatus

GetText

InsertBreak

InsertDocInfo

InsertHardSpace

InsertNumber

InsertPageNumber

InsertTab

InsertText

InternalCopy

InternalCut

InternalPaste

IsMarkerEqualToSelection

IsPointWithin

Mark

MorphSelectionToTable

MoveDown

MoveParagraph

MoveToEnd

MoveToStart

MoveUp

Next

OpenObject

Previous

Promote

RegisterWPDataSet

Remove

Replace

RevertToStyle

RevisionAccept

RevisionCancel

Select

SelectMarker

SetStyle

Shade

ShowCursor

Skip

SortParagraphs

SpellWord

SplitParagraph

SRReplace

TerminateFormatCheck

TextNumber

UnregisterWPDataSet

DeleteContents

DeleteMarker

GetContents

GetMarkedText

GetNamedProperty

GoTo

InsertMarker

RegisterWPDataSet

RemoveNamedProperty

SetNamedProperty

UnregisterWPDataSet

Events

EnterClickHere

ExitClickHere


Word Pro: ClickHereCollection class members
ClickHereCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Color class members
Color class members

Properties

Blue AS Integer

Green AS Integer

Override AS ColorOverride

Red AS Integer

Methods

GetRGB

RevertToStyle

SetRGB

Events

None


Word Pro: Column class members
Column class members

Properties

ColumnGap AS Twips

WidthOfColumn AS Twips

Methods

None

Events

None


Word Pro: ConnectedLayout class members
ConnectedLayout class members

Properties

Formula AS String

GetValue AS String

IsBadReference AS Bool

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

ValidateValue

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: ConnectedLayoutCollection class members
ConnectedLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Content class members
Content class members

Properties

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

None

Events

None


Word Pro: ContentCollection class members
ContentCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: ContextMenuOptions class members
ContextMenuOptions class members

Properties

IsCellMenuEnabled AS Bool

IsFrameMenuEnabled AS Bool

IsGraphicMenuEnabled AS Bool

IsParallelColumnsMenuEnabled AS Bool

IsTextMenuEnabled AS Bool

Methods

None

Events

None


Word Pro: DdeLink class members
DdeLink class members

Properties

GetConversationHandle AS Long

GetFormatName AS String

GetItemName AS String

GetServerName AS String

GetStatus AS Integer

GetTopicName AS String

IsExportedToNotesFX AS Bool

IsUpdateAutomatic AS Bool

UserLinkName AS String

Methods

EditLinkInfo

Events

None


Word Pro: DdeLinkCollection class members
DdeLinkCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: DdeLinkManager class members
DdeLinkManager class members

Properties

DdeLinks AS DdeLinkCollection class

DdeLinksFromMarker AS DdeLinkCollection class

Methods

AddDdeLink

GetMarkerName

InsertLink

MakeUniqueLinkName

RemoveDdeLink

RequestAndProcessData

Events

None


Word Pro: Division class members
Division class members

Properties

BookmarkManager AS BookmarkManager class

DdeLinkManager AS DdeLinkManager class

DdeOutboundInfo AS Long

DemandLoadAS ReservedParam

DivisionInfo AS DivisionInfo class

DivisionNames AS StringCollection class

DivisionOptions AS DivisionOptions class

Divisions AS DivisionCollection class

DocControl AS DocControl class

DocInfo AS DocInfo class

DocOptions AS Options class

EditorManager AS EditorManager class

EditorName AS String

Epoch AS String

FirstChild AS String

FirstName AS String

FirstPage AS Integer

FootnoteOptions AS FootnoteOptions class

Foundry AS Foundry class

IsChanged AS Bool

IsChangedSinceTimeSave AS Bool

IsDivisionExternal AS Bool

IsDocLoading AS Bool

IsEmptyDoc AS Bool

IsLockedForRevisions AS Bool

IsProtected AS Integer

IsSpellBarUp AS Bool

IsStyleSheetAS Bool

IsUndoOn AS Bool

LastChild AS String

LastName AS String

LastPage AS Integer

LineNumberOptions AS LineNumberOptions class

Locked AS Integer

Master AS TextDocument class

NextName AS String

NextNeighbor AS String

NumPagesInDoc AS Integer

NumWindowsViewingDoc AS Integer

ParentName AS String

PathName AS String

PreviousName AS String

PreviousNeighbor AS String

RevisionMarkMode AS Integer

SelectionType AS SelectionType

SortOptions AS SortOptions class

StateID AS Long

TabSpacing AS Twips

UseContents AS Integer

UsedFirstPageHeight AS Twips

VersionManager AS VersionManager class

WPDataSets AS WPDataSetCollection class

Methods

AddDivision

AnyEdits

BeginChange

ChangeAllEditsToEditor

Clear

Copy

EndChange

ForceDocToLoad

FXGetNotesString

FXGetNotesWriteHandle

FXSetNotesString

GetActiveList

GetNamedProperty

GetNameFromPage

Hit

Link

Localize

Move

Purge

RegisterWPDataSet

RemoveDivision

RemoveNamedProperty

SaveDivision

SetDocumentEpoch

SetNamedProperty

UnregisterWPDataSet

UpdatePowerFields

Events

EnterClickHere

EnterLayout

ExitClickHere

KeyStroke

MouseDown

MouseUp

WMCommand


Word Pro: DivisionCollection class members
DivisionCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: DivisionInfo class members
DivisionInfo class members

Properties

Changed AS Bool

ClassName AS String

Color AS Color class

ContentName AS String

ExternalFileID AS String

ExternalFileName AS String

ExternalName AS String

ExternalType AS String

FillerPageText AS Text class

HasContents AS Bool

IgnoreTab AS Bool

IsExpandRight AS Bool

IsExternalFile AS Bool

IsScrollableAS Bool

LayoutName AS String

LayoutOverride AS LayoutOverride class

PageNumberStyle AS NumberingStyle

ShowTabs AS Bool

SuppressHeaders AS Integer

Methods

None

Events

None


Word Pro: DivisionOptions class members
DivisionOptions class members

Properties

HyphenationOptions AS HyphenationOptions class

IsTextLocked AS Bool

Language AS Language class

ShowHiddenText AS Bool

Methods

None

Events

None


Word Pro: DocControl class members
DocControl class members

Properties

AllowAlternateVerification AS Bool

AutoVersionAS AutoVersion

DisableClickHeres AS Bool

DisableExportToNotes AS Bool

DisableVersionReview AS Bool

DocControlRestrictedToEditor AS String

EditorVerificationType AS EditorVerifyType

FileProtectionType AS FileProtectType

Greeting AS String

NotesFlow AS Bool

RequestRemarkOnClose AS Bool

RequireStartupScripts AS Bool

ShowDivisionTabs AS Bool

UseGreetingAS Bool

Methods

None

Events

None


Word Pro: DocInfo class members
DocInfo class members

Properties

AuthorNameAS String

CreationDateString AS String

CreationTimeString AS String

CreationTimeValue AS Long

DocSize AS Long

DocTextSizeAS Long

FieldManager AS DocInfoFieldManager class

Keywords AS String

LockForNotesUserName AS String

ModifiedDateString AS String

ModifiedTimeString AS String

ModifiedTimeValue AS Long

NumCharsInDoc AS Long

NumPagesInDoc AS Long

NumWordsInDoc AS Long

TotalEditingTime AS Long

Methods

ExportAllAsNotesFX

ExportAsNotesFX

IsExportedAsNotesFX

UpdateSelectedFields

Events

None


Word Pro: DocInfoField class members
DocInfoField class members

Properties

Contents AS String

ExportToNotesFX AS Integer

Methods

None

Events

None


Word Pro: DocInfoFieldCollection class members
DocInfoFieldCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: DocInfoFieldManager class members
DocInfoFieldManager class members

Properties

Fields AS DocInfoFieldCollection class

NumFields AS Integer

Methods

AddField

DeleteField

Events

None


Word Pro: Document class members
Document class members

Properties

Changed AS Bool

Embedded AS Bool

FullName AS String

IsOpen AS Bool

Location AS String

Path AS String

PrintSettings AS PrintSettings class

ReadOnly AS Bool

Saved AS Bool

Methods

Activate

Close

CopySelection

CutSelection

Paste

Print

PrintOut

Save

SaveAs

Events

PreClose

Save

SaveAs

Saved

SavedAs


Word Pro: Documents class members
Documents class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: DocWindow class members
DocWindow class members

Properties

BlockPaint AS Bool

ClientWndHeight AS Twips

ClientWndWidth AS Twips

Document AS TextDocument class

ExcludeRectBottom AS Twips

ExcludeRectLeft AS Twips

ExcludeRectRight AS Twips

ExcludeRectTop AS Twips

FitType AS FitType

GapBetweenPanes AS Twips

HasFocus AS Bool

HorizScrollBarVisible AS Bool

Hwnd AS Long

IsCentered AS Bool

MaxHorzPaneDistance AS Twips

MaxVertPaneDistance AS Twips

NumCols AS Integer

NumRowsThatFit AS Integer

PageNumFirstPageShowing AS Integer

PageNumLastPageShowing AS Integer

TileWindow AS TileType

UseExcludeRect AS Bool

UsesPalette AS Bool

VertScrollBarVisible AS Bool

ViewLevel AS Integer

ViewType AS PresentationType

WindowId AS Long

WinViewPrefs AS WinViewPrefs class

XOffset AS Twips

YOffset AS Twips

Active AS Bool

Caption AS String

Height AS Twips

Left AS Twips

Top AS Twips

Visible AS Bool

Width AS Twips

Methods

Close

DestroyDocWindow

EndChange

Hide

Invalidate

Maximize

Minimize

RenderClipBitmap

RenderClipDIB

RenderClipMetafile

RenderClipPalette

Restore

SetFocus

Show

ShowScrollBars

Close

Move

Open

Resize

Update

Events

Moved

Moved


Word Pro: DocWindowCollection class members
DocWindowCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Editor class members
Editor class members

Properties

Abilities AS EditAbil

DeleteFont AS Font class

EditorInitials AS String

HiLiteColor AS Color class

InsertFont AS Font class

Locks AS EditLocks

SuggestionsAS EditSugg

TextAttributes AS Attributes class

Methods

None

Events

None


Word Pro: EditorCollection class members
EditorCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: EditorManager class members
EditorManager class members

Properties

CurrentEditor AS Editor class

Editors AS EditorCollection class

Methods

AddEditorManager

RemoveEditor

Events

None


Word Pro: EndnoteDivisionGroupNum class members
EndnoteDivisionGroupNum class members

Properties

LeadingText AS String

ResetWhen AS ResetOption

StartingNumber AS Integer

TrailingText AS String

UseSuperscriptReferenceNum AS Bool

Methods

None

Events

None


Word Pro: EndnoteDivisionNum class members
EndnoteDivisionNum class members

Properties

LeadingText AS String

ResetWhen AS ResetOption

StartingNumber AS Integer

TrailingText AS String

UseSuperscriptReferenceNum AS Bool

Methods

None

Events

None


Word Pro: EndnoteDocNum class members
EndnoteDocNum class members

Properties

LeadingText AS String

ResetWhen AS ResetOption

StartingNumber AS Integer

TrailingText AS String

UseSuperscriptReferenceNum AS Bool

Methods

None

Events

None


Word Pro: EndnoteLayout class members
EndnoteLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: EndnoteLayoutCollection class members
EndnoteLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: FileProtection class members
FileProtection class members

Properties

ContactUponPermissionDenied AS String

EditorAttemptingOpen AS String

FileProtectionType AS FileProtectType

UserPassword AS String

VerificationResult AS Verify

Methods

GetDocDescription

GetProtectionType

GetStorageProtectionType

Events

None


Word Pro: Filter class members
Filter class members

Properties

AsciiCRLFType AS AsciiLineEnding

FilterHelperAS FilterHelper class

GraphicExports AS StringCollection class

GraphicImports AS StringCollection class

IsAsciiCRLF AS Bool

IsAsciiKeepStyle AS Integer

TableExports AS StringCollection class

TableImports AS StringCollection class

TextandTableExports AS StringCollection class

TextandTableImports AS StringCollection class

Methods

GetDisplayableFilterName

GetFileDescription

GetLastUsedFilter

IsFilterTypePresent

SetLastUsedFilter

Events

None


Word Pro: FilterHelper class members
FilterHelper class members

Properties

GetFilterExtension AS String

GetFilterExtForDialogBox AS String

GetFilterId AS Integer

Methods

None

Events

None


Word Pro: FindAndReplace class members
FindAndReplace class members

Properties

CharacterSet AS CharacterSet class

FindExactCase AS Bool

FindFont AS Font class

FindForwardDirection AS Bool

FindString AS String

FindStyleName AS String

FindWithProperties AS Bool

IncludeList AS IncludeList

MatchType AS FindMatch

NumberFound AS Long

NumberOfReplacements AS Long

ReplaceAttributes AS Attributes class

ReplaceExactCase AS Bool

ReplaceFontAS Font class

ReplaceLanguage AS Language class

ReplaceString AS String

ReplaceStyleName AS String

ReplaceWithProperties AS Bool

SearchAttributes AS Attributes class

SearchLanguage AS Language class

UseFindStyle AS Integer

UseReplaceStyle AS Integer

Where AS LookWhere

Methods

Reset

Events

None


Word Pro: Font class members
Font class members

Properties

ActualName AS String

AlternateName AS String

Ascent AS Points

BackColor AS Color class

Bold AS Bool

Case AS Case

DefaultPitchAS Integer

Descent AS Points

DoubleUnderline AS Bool

FontColor AS Color class

FontMetrics AS FontMetrics class

FontName AS String

Height AS Points

IsTrueType AS Bool

Italic AS Bool

LowerCase AS Bool

LowerCaseAscent AS Points

Normal AS Bool

Overstrike AS Bool

OverstrikeCharacter AS Long

Size AS Points

SmallCaps AS Bool

Subscript AS Bool

Superscript AS Bool

TextTightness AS Integer

Underline AS Bool

UpperCase AS Bool

Width AS Points

WindowsName AS String

WordDoubleUnderline AS Bool

WordUnderline AS Bool

Methods

Clear

RevertToStyle

Events

None


Word Pro: FontMetrics class members
FontMetrics class members

Properties

FontName AS String

IsTrueType AS Bool

Italic AS Bool

Oblique AS Bool

Outline AS Bool

PitchAndFamily AS Integer

Shadow AS Bool

SmallCaps AS Bool

Weight AS Integer

Methods

None

Events

None


Word Pro: FooterLayout class members
FooterLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: FooterLayoutCollection class members
FooterLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Footnote class members
Footnote class members

Properties

Content AS Content class

Number AS Integer

Type AS FnType

Methods

GoTo

Events

None


Word Pro: FootnoteCollection class members
FootnoteCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: FootnoteContSep class members
FootnoteContSep class members

Properties

BorderLines AS BorderLines class

CustomLength AS Twips

IndentFromLeft AS Twips

IsFixedLength AS Bool

SpaceAbove AS Twips

SpaceBelow AS Twips

UseSeparatorLine AS Bool

Methods

None

Events

None


Word Pro: FootnoteLayout class members
FootnoteLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: FootnoteLayoutCollection class members
FootnoteLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: FootnoteNumbering class members
FootnoteNumbering class members

Properties

LeadingText AS String

ResetWhen AS ResetOption

StartingNumber AS Integer

TrailingText AS String

UseSuperscriptReferenceNum AS Bool

Methods

None

Events

None


Word Pro: FootnoteNumOpt class members
FootnoteNumOpt class members

Properties

LeadingText AS String

ResetWhen AS ResetOption

StartingNumber AS Integer

TrailingText AS String

UseSuperscriptReferenceNum AS Bool

Methods

None

Events

None


Word Pro: FootnoteOptions class members
FootnoteOptions class members

Properties

ContinuedFromAlignment AS AlignmentType

ContinuedFromMessage AS String

ContinuedOnAlignment AS AlignmentType

ContinuedOnMessage AS String

EndnoteDivisionGroupNum AS EndnoteDivisionGroupNum class

EndnoteDivisionNum AS EndnoteDivisionNum class

EndnoteDocNum AS EndnoteDocNum class

FootnoteContSep AS FootnoteContSep class

FootnoteNumbering AS FootnoteNumbering class

FootnoteSeparator AS FootnoteSeparator class

IsContinuedFrom AS Bool

IsContinuedOn AS Bool

IsRepeat AS Bool

Methods

None

Events

None


Word Pro: FootnoteSeparator class members
FootnoteSeparator class members

Properties

BorderLines AS BorderLines class

CustomLength AS Twips

IndentFromLeft AS Twips

IsFixedLength AS Bool

SpaceAbove AS Twips

SpaceBelow AS Twips

UseSeparatorLine AS Bool

Methods

None

Events

None


Word Pro: FootnoteSepOpt class members
FootnoteSepOpt class members

Properties

BorderLines AS BorderLines class

CustomLength AS Twips

IndentFromLeft AS Twips

IsFixedLength AS Bool

SpaceAbove AS Twips

SpaceBelow AS Twips

UseSeparatorLine AS Bool

Methods

None

Events

None


Word Pro: FootnoteTable class members
FootnoteTable class members

Properties

CellLayouts AS StringCollection class

ColumnLayouts AS StringCollection class

ContentLayouts AS StringCollection class

CurrentCell AS CellLayout class

CurrentColumn AS Layout class

CurrentRowAS RowLayout class

DefCellStyleName AS String

DefColWidthAS Twips

DefRowHeight AS Twips

EndingColOfSelection AS Integer

EndingRowOfSelection AS Integer

IsAutoGrow AS Bool

IsParagraphNumberingDown AS Bool

IsResetParagraphNumber AS Bool

IsSizingViaMouse AS Bool

Layout AS Layout class

MaxBottomBorder AS Twips

MaxBottomGutter AS Twips

MaxLeftBorder AS Twips

MaxLeftGutter AS Twips

MaxNumColsAllowed AS Integer

MaxNumRowsAllowed AS Integer

MaxRightBorder AS Twips

MaxRightGutter AS Twips

MaxSplitCols AS Integer

MaxSplitRows AS Integer

MaxTopBorder AS Twips

MaxTopGutter AS Twips

NumCols AS Integer

NumRows AS Integer

RowLayouts AS StringCollection class

SelectionType AS SelectionType

StartingColOfSelection AS Integer

StartingColStringOfSelection AS String

StartingRowOfSelection AS Integer

TableFill AS TableFill class

TableLine AS TableLine class

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

CellLayout

Connect

Copy

Delete

DisconnectCells

FindCellLayout

GetMarkerName

GoToTableCell

InsertRowOrColumn

Mark

NextItem

PreviousItem

SelectTableItem

Split

Events

None


Word Pro: FormatCheckPref class members
FormatCheckPref class members

Properties

FixAcronymns AS Bool

FixBullets AS Bool

FixMargins AS Bool

Options AS FormatCheckOptions

Replacements AS ReplacementChoices

Typos AS TypoChoices

UseConsistentSpaceBetweenSentences AS Bool

UseTwoSpacesBetweenSentences AS Bool

Methods

None

Events

None


Word Pro: FormatPreferences class members
FormatPreferences class members

Properties

Attributes AS Attributes class

FastFormatType AS FastFormatType

Font AS Font class

Language AS Language class

StyleName AS String

Methods

None

Events

None


Word Pro: Formula class members
Formula class members

Properties

Alignment AS Alignment class

Font AS Font class

Formula AS String

Indent AS Indent class

ParagraphStyle AS ParagraphStyle class

Spacing AS Spacing class

StyleName AS String

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

EmbedFormula

Events

None


Word Pro: Foundry class members
Foundry class members

Properties

AnyOleObjects AS Bool

Bags AS BagCollection class

CellEngines AS CellCollection class

CellLayouts AS CellLayoutCollection class

CellLayoutStyles AS CellLayoutCollection class

CharacterStyles AS CharacterStyleCollection class

ClickHeres AS ClickHereCollection class

ConnectedLayouts AS ConnectedLayoutCollection class

Contents AS ContentCollection class

ContinuedFromStory AS String

ContinuedOnStory AS String

Endnotes AS EndnoteLayoutCollection class

EnumerationAS EnumScope

Footers AS FooterLayoutCollection class

FootnoteLayouts AS FootnoteLayoutCollection class

Footnotes AS FootnoteCollection

Frames AS FrameLayoutCollection class

FrameStylesAS FrameLayoutCollection class

Glossarys AS GlossaryCollection class

Graphics AS GraphicCollection class

Groups AS GroupLayoutCollection class

Headers AS HeaderLayoutCollection class

IsContents AS Bool

IsUndoOn AS Bool

Layouts AS LayoutCollection class

Markers AS MarkerCollection class

NoteLayoutsAS NoteLayoutCollection class

OleObjects AS OleObjectCollection class

OutlineStyleSequences AS OutlineSeqCollection class

Pages AS PageLayoutCollection class

PageStyles AS PageLayoutCollection class

ParagraphStyles AS ParagraphStyleCollection class

ParallelColumns AS ParallelColsCollection class

PowerFieldsAS PowerFieldCollection class

Rows AS RowLayoutCollection class

RubyLayouts AS RubyLayoutCollection class

Sections AS SectionCollection class

SilverBullets AS SilverBulletCollection class

SuperTableLayouts AS SuperTableLayoutCollection class

SuperTablesAS SuperTableCollection class

TableHeadingLayouts AS TableHeadingLayoutCollection class

TableHeadings AS TableHeadingCollection class

TableLayouts AS TableLayoutCollection class

TableMarkers AS TableMarkerCollection class

Tables AS TableOnlyCollection class

TableStyles AS TableLayoutCollection class

TextMarkersAS TextMarkerCollection class

Texts AS TextCollection class

TextStyles AS TextStyleCollection class

Methods

Clear

Copy

Create

Paste

Purge

Release

Events

None


Word Pro: FrameContainer class members
FrameContainer class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

RevertToStyle

SetStyle

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: FrameGroupLayout class members
FrameGroupLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: FrameLayout class members
FrameLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: FrameLayoutCollection class members
FrameLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Glossary class members
Glossary class members

Properties

DefaultLeftColumnStyleName AS String

DefaultRightColumnStyleName AS String

CellLayouts AS StringCollection class

ColumnLayouts AS StringCollection class

ContentLayouts AS StringCollection class

CurrentCell AS CellLayout class

CurrentColumn AS Layout class

CurrentRowAS RowLayout class

DefCellStyleName AS String

DefColWidthAS Twips

DefRowHeight AS Twips

EndingColOfSelection AS Integer

EndingRowOfSelection AS Integer

IsAutoGrow AS Bool

IsParagraphNumberingDown AS Bool

IsResetParagraphNumber AS Bool

IsSizingViaMouse AS Bool

Layout AS Layout class

MaxBottomBorder AS Twips

MaxBottomGutter AS Twips

MaxLeftBorder AS Twips

MaxLeftGutter AS Twips

MaxNumColsAllowed AS Integer

MaxNumRowsAllowed AS Integer

MaxRightBorder AS Twips

MaxRightGutter AS Twips

MaxSplitCols AS Integer

MaxSplitRows AS Integer

MaxTopBorder AS Twips

MaxTopGutter AS Twips

NumCols AS Integer

NumRows AS Integer

RowLayouts AS StringCollection class

SelectionType AS SelectionType

StartingColOfSelection AS Integer

StartingColStringOfSelection AS String

StartingRowOfSelection AS Integer

TableFill AS TableFill class

TableLine AS TableLine class

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

CopyMeaning

EnumerateTerm

ExtractText

FindTerm

Glossarize

CellLayout

Connect

Copy

Delete

DisconnectCells

FindCellLayout

GetMarkerName

GoToTableCell

InsertRowOrColumn

Mark

NextItem

PreviousItem

SelectTableItem

Split

Events

None


Word Pro: GlossaryCollection class members
GlossaryCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Grammar class members
Grammar class members

Properties

ApplyAdjectivePos AS Bool

ApplyAdjectNounPart AS Bool

ApplyAgreementWithHereThere AS Bool

ApplyAnglicisms AS Bool

ApplyArchaicExpressions AS Bool

ApplyArticleAgreement AS Bool

ApplyBadComparatives AS Bool

ApplyBadInflection AS Bool

ApplyBadNoun AS Bool

ApplyBadNounGender AS Bool

ApplyBadPlural AS Bool

ApplyBadPrepositions AS Bool

ApplyBelgianExpression AS Bool

ApplyBorrowedForeign AS Bool

ApplyBureuaJargon AS Bool

ApplyCalqueAS Bool

ApplyCapitalizationCheck AS Bool

ApplyClauseErrors AS Bool

ApplyCliches AS Bool

ApplyColloquialExpression AS Bool

ApplyCommonlyConfusedWords AS Bool

ApplyCommonMisspell AS Bool

ApplyComplexWords AS Bool

ApplyConfusedEasy AS Bool

ApplyConfusedEnglish AS Bool

ApplyConfusedHard AS Bool

ApplyConfusedMedium AS Bool

ApplyConfusedVerb AS Bool

ApplyConsecutiveNouns AS Integer

ApplyContractions AS Bool

ApplyDerogatory AS Bool

ApplyDifferentPrep AS Bool

ApplyDoubleNegative AS Bool

ApplyDoublePlural AS Bool

ApplyDoubleWordCheck AS Bool

ApplyElisionAS Bool

ApplyEnglishDerived AS Bool

ApplyEnglishWords AS Bool

ApplyExotic AS Bool

ApplyExtraPrepositionCheck AS Bool

ApplyFalseFriend AS Bool

ApplyFemaleOccupation AS Bool

ApplyFixedExpression AS Bool

ApplyForeignWord AS Bool

ApplyFormalTerms AS Bool

ApplyFormatErrors AS Bool

ApplyGallicisms AS Bool

ApplyGenderExpressions AS Bool

ApplyGermanisms AS Bool

ApplyHomoGraphs AS Bool

ApplyHomonyms AS Bool

ApplyHomonymsEasy AS Bool

ApplyHomonymsHard AS Bool

ApplyHomoPhone1 AS Bool

ApplyHomoPhone2 AS Bool

ApplyHomoPhones AS Bool

ApplyIncorrectPlural AS Bool

ApplyInformalExpressions AS Bool

ApplyJargonWords AS Bool

ApplykSplitInfinitives AS Integer

ApplyLowercaseAdjective AS Bool

ApplyLowercaseColor AS Bool

ApplyLowercaseNumbers AS Bool

ApplyLowercasePhrases AS Bool

ApplyLowercasePronouns AS Bool

ApplyMassVsCount AS Bool

ApplyMisspelledExpressions AS Bool

ApplyMisspelledForeignExpressions AS Bool

ApplyMisspelledItalian AS Bool

ApplyMisspelledWords AS Bool

ApplyMisusedWords AS Bool

ApplyNonStandardExpression AS Bool

ApplyNonStandardModifiers AS Bool

ApplyNoudModifierOrderCheck AS Bool

ApplyNounConsistency AS Bool

ApplyNounPhraseAgree AS Bool

ApplyNSAdjective AS Bool

ApplyNSClause AS Bool

ApplyNSCompare AS Bool

ApplyNSContract AS Bool

ApplyNSGeography AS Bool

ApplyNSInflection AS Bool

ApplyNSNegation AS Bool

ApplyNSPrep AS Bool

ApplyNSPronoun AS Bool

ApplyNSSpell AS Bool

ApplyNSUsage AS Bool

ApplyNSVerbForm AS Bool

ApplyOpenClosedSpelling AS Bool

ApplyOpenUsage AS Bool

ApplyOverusedPhrases AS Bool

ApplyPassiveVerbErrors AS Bool

ApplyPostClitAgree AS Bool

ApplyPrepExpression AS Bool

ApplyPrepositionalPhrases AS Integer

ApplyPretentiousWords AS Bool

ApplyPronounErrors AS Bool

ApplyPunctuationErrors AS Bool

ApplyRedundantExpressions AS Bool

ApplyRegionalExpression AS Bool

ApplyRelatedWord AS Bool

ApplySensitiveExp AS Bool

ApplySexistExpressions AS Bool

ApplySpellStandard AS Bool

ApplyStockPhrase AS Bool

ApplyStyleParameters AS Bool

ApplySubjectVerbAgreement AS Bool

ApplyTrite AS Bool

ApplyTwoGender AS Bool

ApplyTypicalMisspell AS Bool

ApplyUnGrammaticalExpressions AS Bool

ApplyVagueQuantifiers AS Bool

ApplyVerbGroupConsistency AS Bool

ApplyWeakModifiers AS Bool

ApplyWordChoice AS Bool

ApplyWordCompoundingCheck AS Bool

ApplyWordConfusion AS Bool

ApplyWordGender AS Bool

ApplyWordParts AS Bool

ApplyWordyPhraseCheck AS Bool

GrammarFormalityLevel AS Integer

GrammarProofLevel AS Integer

MaxIdenticalConsecSentOpens AS Integer

MaxIdenticalSentOpensWithin10 AS Integer

MaximumWordsinaSentence AS Integer

ShowStatistics AS Bool

SpacesBetweenSentences AS Integer

Methods

None

Events

None


Word Pro: Graphic class members
Graphic class members

Properties

Alignment AS Alignment class

AtBeginningOfStream AS Bool

AtEndOfStream AS Bool

ClassName AS String

EqnFontHeight AS Twips

Font AS Font class

GetAfidHelpFileName AS String

GetAfidHelpInfo AS Integer

InfoBoxSelectionText AS String

IsDraw AS Bool

IsEquation AS Bool

IsLotusChart AS Bool

IsNotCopyImage AS Bool

IsWordProChart AS Bool

LinkedFileName AS String

RightMousePropId AS Integer

RightMousePropText AS String

ServerFormat AS String

Text AS Text class

Height AS Twips

IsActive AS Bool

IsScalable AS Bool

LayoutName AS String

OrigHeight AS Twips

OrigWidth AS Twips

Section AS String

Width AS Twips

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

ConvertToClass

CreateFromBitmap

CreateFromClipBrd

CreateFromDataObject

CreateFromMetafile

CreateNew

DataObjectGetData

DataObjectGetDataHere

DoneWithRightMouseMenu

GetRightMouseMenu

ImportPicture

ProcessAccelKey

SaveData

SaveSnapshot

Undo

DeleteContent

Mark

TheoreticalScaledSize

Events

None


Word Pro: GraphicCollection class members
GraphicCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: GraphicOleObject class members
GraphicOleObject class members

Properties

Height AS Twips

IsActive AS Bool

IsScalable AS Bool

LayoutName AS String

OrigHeight AS Twips

OrigWidth AS Twips

Section AS String

Width AS Twips

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

DeleteContent

Mark

TheoreticalScaledSize

Events

None


Word Pro: GraphicOleObjectCollection class members
GraphicOleObjectCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: GroupLayout class members
GroupLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: GroupLayoutCollection class members
GroupLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Gutter class members
Gutter class members

Properties

AllBorders AS Border class

BottomBorder AS Border class

LeftBorder AS Border class

LinePlacement AS LinePlacement

LineValid AS LinePlacement

RightBorderAS Border class

TopBorder AS Border class

Methods

None

Events

None


Word Pro: HeaderLayout class members
HeaderLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: HeaderLayoutCollection class members
HeaderLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: HyphenationOptions class members
HyphenationOptions class members

Properties

AutoHyphenate AS Bool

HyphenateLastWordInColumnOrPage AS Bool

HyphenateLastWordInPara AS Bool

HyphZoneAfter AS Integer

HyphZoneBefore AS Integer

IgnoreSoftHyphens AS Bool

MaxHyphLines AS Integer

Methods

None

Events

None


Word Pro: IconBar class members
IconBar class members

Properties

Height AS Long

IconBarPositionState AS IconBarPositionState

IconSetName AS String

ID AS Long

IsEnabled AS Bool

IsGrabBar AS Bool

IsSame AS Bool

IsSave AS Bool

IsScalableBorder AS Bool

IsShowing AS Bool

PositionTypeAS IconBarPos

ScreenPositionX AS Long

ScreenPositionY AS Long

ShowInContext AS Bool

Width AS Long

Methods

Configure

HideIconBar

Show

Events

None


Word Pro: IconBarCollection class members
IconBarCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: IconBarManager class members
IconBarManager class members

Properties

AreDisabledIconsGrayed AS Bool

IconBars AS IconBarCollection class

IconBarSets AS StringCollection class

IconHelpText AS String

IconSize AS IconSize

IsActionOnButtonDown AS Bool

IsBubbleHelp AS Bool

IsHoverHelp AS Bool

IsIconDepressible AS Bool

IsShowing AS Bool

Active AS Bool

Caption AS String

Height AS Twips

Left AS Twips

Top AS Twips

Visible AS Bool

Width AS Twips

Methods

Configure

HideIconBars

SelectCustomIcon

SelectStandardIcon

ShowIconBars

Close

Move

Open

Resize

Update

Events

Moved


Word Pro: Indent class members
Indent class members

Properties

All AS Twips

BodyOnly AS Bool

First AS Twips

Hang AS Integer

IsBothSidesEqual AS Bool

Relative AS IndentProperty

Rest AS Twips

Right AS Twips

UseRelative AS Bool

Methods

RevertToStyle

Events

None


Word Pro: Index class members
Index class members

Properties

Offset AS Long

Path AS String

Size AS Long

SnapshotOffset AS Long

SnapshotPath AS String

SnapshotSize AS Long

Methods

None

Events

None


Word Pro: IndexSection class members
IndexSection class members

Properties

IndexAlphabeticSeparator AS Bool

IndexDivision AS String

IndexIndentType AS Bool

IndexParent AS String

IndexRange AS String

IndexSection AS String

IndexSourceAS GenerateFrom

IsIndex AS Bool

Color AS Color class

IsIndex AS Bool

LayoutName AS String

NextSection AS String

ShowTabs AS Bool

UserName AS String

Methods

DeleteSection

GoToSection

Events

None


Word Pro: Join class members
Join class members

Properties

JoinCornersAS JoinCornerPosition

JoinHeight AS Twips

JoinType AS JoinType

JoinWidth AS Twips

Percentage AS Integer

ScaleMode AS JoinScaleType

Methods

None

Events

None


Word Pro: Kinsoku class members
Kinsoku class members

Properties

IsEnabled AS Bool

IsHangover AS Bool

IsSqueeze AS Bool

Level AS Integer

Methods

RevertToStyle

Events

None


Word Pro: Language class members
Language class members

Properties

Language AS Languages

Methods

RevertToStyle

Events

None


Word Pro: Layout class members
Layout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: LayoutCollection class members
LayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: LayoutOverride class members
LayoutOverride class members

Properties

None

Methods

AddLayoutOverride

Events

None


Word Pro: LineNumberOptions class members
LineNumberOptions class members

Properties

CountBlankLines AS Bool

DistanceFromLeftMargin AS Twips

LinesSpacedEveryNthUnit AS Twips

NumberEveryNthLine AS Integer

NumberWhichLines AS LineNumberOpts

ResetOnEachPage AS Bool

Methods

None

Events

None


Word Pro: LongCollection class members
LongCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: LwpBaseCtrl class members
LwpBaseCtrl class members

Properties

Enabled AS Integer

hWnd AS Long

ID AS Integer

Name AS String

Parent AS LwpCustomDialog class

Text AS String

Value AS Long

Visible AS Integer

Methods

SetFocus

Events

GotFocus

LostFocus


Word Pro: LwpButton class members
LwpButton class members

Properties

Enabled AS Integer

hWnd AS Long

ID AS Integer

Name AS String

Parent AS LwpCustomDialog class

Text AS String

Value AS Long

Visible AS Integer

Methods

SetFocus

Events

Clicked

GotFocus

LostFocus


Word Pro: LwpCheckBox class members
LwpCheckBox class members

Properties

Enabled AS Integer

hWnd AS Long

ID AS Integer

Name AS String

Parent AS LwpCustomDialog class

Text AS String

Value AS Long

Visible AS Integer

Methods

SetFocus

Events

Changed

GotFocus

LostFocus


Word Pro: LwpClicker class members
LwpClicker class members

Properties

LineCount AS Integer

MaxLength AS Integer

Enabled AS Integer

hWnd AS Long

ID AS Integer

Name AS String

Parent AS LwpCustomDialog class

Text AS String

Value AS Long

Visible AS Integer

Methods

GetLine

SetFocus

Events

Decrement

Increment

Changed

GotFocus

LostFocus


Word Pro: LwpComboBox class members
LwpComboBox class members

Properties

ListCount AS Integer

SelectCountAS Integer

Enabled AS Integer

hWnd AS Long

ID AS Integer

Name AS String

Parent AS LwpCustomDialog class

Text AS String

Value AS Long

Visible AS Integer

Methods

AddItem

AddItemIndex

Clear

IsItemSelected

RemoveItem

SelectItem

SelectItemString

SetFocus

Events

Changed

Clicked

DoubleClicked

GotFocus

LostFocus


Word Pro: LwpCommonDialog class members
LwpCommonDialog class members

Properties

FileName AS String

Filter AS String

FilterIndex AS Integer

Flags AS Long

InitDir AS String

Type AS Integer

BarSide AS Integer

BarType AS Integer

Controls AS LwpControls class

hWnd AS Long

Modal AS Integer

Text AS String

Methods

AddListBoxText

Buttons

CheckBoxes

Clickers

ComboBoxes

EditBoxes

EnableControl

FileListBoxes

GetControlText

GetControlValue

Hide

HideControl

InitControls

Labels

ListBoxes

RadioButtons

SetControlText

SetControlValue

Setfocus

Show

Events

DialogEvent


Word Pro: LwpControls class members
LwpControls class members

Properties

Count AS Integer

Methods

None

Events

None


Word Pro: LwpCustomDialog class members
LwpCustomDialog class members

Properties

BarSide AS Integer

BarType AS Integer

Controls AS LwpControls class

hWnd AS Long

Modal AS Integer

Text AS String

Methods

AddListBoxText

Buttons

CheckBoxes

Clickers

ComboBoxes

EditBoxes

EnableControl

FileListBoxes

GetControlText

GetControlValue

Hide

HideControl

InitControls

Labels

ListBoxes

RadioButtons

SetControlText

SetControlValue

Setfocus

Show

Events

DialogEvent


Word Pro: LwpEditBox class members
LwpEditBox class members

Properties

LineCount AS Integer

MaxLength AS Integer

Enabled AS Integer

hWnd AS Long

ID AS Integer

Name AS String

Parent AS LwpCustomDialog class

Text AS String

Value AS Long

Visible AS Integer

Methods

GetLine

SetFocus

Events

Changed

GotFocus

LostFocus


Word Pro: LwpFileListBox class members
LwpFileListBox class members

Properties

Archive AS Integer

DirControl AS Integer

FileName AS String

Hidden AS Integer

IncludeDirs AS Integer

IncludeDrives AS Integer

Normal AS Integer

Path AS String

ReadOnly AS Integer

System AS Integer

ListCount AS Integer

SelectCountAS Integer

Enabled AS Integer

hWnd AS Long

ID AS Integer

Name AS String

Parent AS LwpCustomDialog class

Text AS String

Value AS Long

Visible AS Integer

Methods

Reload

AddItem

AddItemIndex

Clear

IsItemSelected

RemoveItem

SelectItem

SelectItemString

SetFocus

Events

Changed

Clicked

DoubleClicked

GotFocus

LostFocus


Word Pro: LwpListBox class members
LwpListBox class members

Properties

ListCount AS Integer

SelectCountAS Integer

Enabled AS Integer

hWnd AS Long

ID AS Integer

Name AS String

Parent AS LwpCustomDialog class

Text AS String

Value AS Long

Visible AS Integer

Methods

AddItem

AddItemIndex

Clear

IsItemSelected

RemoveItem

SelectItem

SelectItemString

SetFocus

Events

Changed

Clicked

DoubleClicked

GotFocus

LostFocus


Word Pro: LwpRadioButton class members
LwpRadioButton class members

Properties

Enabled AS Integer

hWnd AS Long

ID AS Integer

Name AS String

Parent AS LwpCustomDialog class

Text AS String

Value AS Long

Visible AS Integer

Methods

SetFocus

Events

Changed

GotFocus

LostFocus


Word Pro: LWPTimer class members
LWPTimer class members

Properties

Enabled AS Bool

Interval AS Integer

Methods

None

Events

TimerTick


Word Pro: Macro class members
Macro class members

Properties

DebugVariable AS Integer

IsDebug AS Bool

MacroName AS String

MacroStatus AS MacroStatus

ResumePausedMacro AS Bool

Methods

AppendMacro

GetPowerFieldValue

RemovePowerField

Run

SaveMacro

SetPowerFieldValue

Events

None


Word Pro: MailRouting class members
MailRouting class members

Properties

CanEditProperty AS Bool

InitalizeRoute AS Bool

Initialize AS Bool

IsDocumentInRoute AS Bool

IsLastStop AS Bool

MailRouteingPtr AS Long

Methods

None

Events

None


Word Pro: Marker class members
Marker class members

Properties

DivisionInfo AS DivisionInfo class

IsChanged AS Bool

IsMarkerValid AS Bool

IsRegisteredAS Bool

Layout AS Layout class

MarkerClassAS MarkerType

NumCols AS Integer

NumRows AS Integer

PageNumberAS Integer

PageNumberAsText AS String

StartColumns AS Integer

StartRow AS Integer

StateID AS Long

WPDataSets AS WPDataSetCollection class

Methods

DeleteContents

DeleteMarker

GetContents

GetMarkedText

GetNamedProperty

GoTo

InsertMarker

RegisterWPDataSet

RemoveNamedProperty

SetNamedProperty

UnregisterWPDataSet

Events

None


Word Pro: MarkerCollection class members
MarkerCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: MenuItem class members
MenuItem class members

Properties

Action AS String

Caption AS String

Checked AS Bool

Enabled AS Bool

ID AS Long

Items AS MenuItemCollection class

ParentMenuHWND AS Long

Methods

CopyItem

DeleteItem

ExchangeItem

MoveItem

NewItem

Events

None


Word Pro: MenuItemCollection class members
MenuItemCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: MergeOptions class members
MergeOptions class members

Properties

DataFileFieldNames AS String

DataFileName AS String

DescriptionFileName AS String

FilterName AS String

IsAmiProTableImport AS Integer

MergeInfoPtr AS Long

MergeStepNumber AS MergeStepNumber

Options AS MergeOptFlg

Methods

Clear

RemoveDataFile

Events

None


Word Pro: NoteContainer class members
NoteContainer class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

RevertToStyle

SetStyle

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: NoteLayout class members
NoteLayout class members

Properties

Color AS Color class

InitialsForFilters AS String

IsPrintable AS Bool

NameForFilters AS String

Text AS Text class

Time AS Long

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

Hide

Open

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: NoteLayoutCollection class members
NoteLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Numbering class members
Numbering class members

Properties

Heading AS Integer

Level AS Integer

Position AS Integer

SmartLevel AS CommandState

Methods

RevertToStyle

Events

None


Word Pro: NumericFormat class members
NumericFormat class members

Properties

AnyNumber AS NumericFormatSubset class

FormatType AS NumberFormat

Negative AS NumericFormatSubset class

NumDecimalPlaces AS Integer

Zero AS NumericFormatSubset class

Methods

Reset

Events

None


Word Pro: NumericFormatSubset class members
NumericFormatSubset class members

Properties

Color AS Color class

ColorOverride AS Bool

Prefix AS String

Suffix AS String

Methods

None

Events

None


Word Pro: OleObject class members
OleObject class members

Properties

AutomaticLink AS Bool

InDocument AS Bool

LinkAvailable AS Bool

LinkDisplayName AS String

LinkDisplayNameFileLength AS Long

Linked AS Bool

Object AS Variant

UserClassNameApp AS String

UserClassNameFull AS String

UserClassNameShort AS String

Height AS Twips

IsActive AS Bool

IsScalable AS Bool

LayoutName AS String

OrigHeight AS Twips

OrigWidth AS Twips

Section AS String

Width AS Twips

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

AddVerbMenu

BreakLink

Open

SetLinkSource

UpdateLink

DeleteContent

Mark

TheoreticalScaledSize

Events

None


Word Pro: OleObjectCollection class members
OleObjectCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Options class members
Options class members

Properties

CharacterSetName AS String

ClickHerePrompts AS Integer

EmbedFonts AS Integer

EncryptPassword AS String

EncryptPassword2 AS String

GrammarSetName AS String

IncludeInitialsInNotes AS Bool

MarkCharacter AS Integer

MarkPosition AS MarkPosition

MarkType AS MarkType

PairKerning AS Bool

PowerField AS Integer

UseEncrypt AS Bool

WidowOrphan AS Bool

Methods

None

Events

None


Word Pro: OutlineSeqCollection class members
OutlineSeqCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: OutlineSeqItemCollection class members
OutlineSeqItemCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: OutlineStyleSequence class members
OutlineStyleSequence class members

Properties

Heading AS Integer

OutlineSeqItems AS OutlineSeqItemCollection class

Methods

AddOutlineSequenceItem

Clear

Events

None


Word Pro: OutSeqItem class members
OutSeqItem class members

Properties

Position AS Integer

Methods

None

Events

None


Word Pro: PageContainer class members
PageContainer class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

RevertToStyle

SetStyle

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: PageLayout class members
PageLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: PageLayoutCollection class members
PageLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: ParagraphBorder class members
ParagraphBorder class members

Properties

BorderLines AS BorderLines class

IsBorder AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

Shadow AS Shadow class

TypeAbove AS ParaBorderWidth

TypeBelow AS ParaBorderWidth

TypeRight AS ParaBorderWidth

WidthAbove AS Twips

WidthBelow AS Twips

Methods

RevertToStyle

Events

None


Word Pro: ParagraphStyle class members
ParagraphStyle class members

Properties

Alignment AS Alignment class

AlignStyleName AS String

Amikake AS Amikake class

AmikakeName AS String

AttrStyleName AS String

BorderStyleName AS String

Breaks AS Breaks class

BreaksStyleName AS String

Bullet AS Bullet class

BulletStyleName AS String

CharacterBorder AS CharacterBorder class

CharacterBorderName AS String

Definition AS Long

DocumentLevel AS Integer

FaceStyleName AS String

Font AS Font class

FontStyleName AS String

HasTabs AS Bool

Heading AS Integer

Indent AS Indent class

IndentStyleName AS String

InUseCount AS Long

IsCumulativeAS Bool

IsLesser AS Bool

IsLocal AS Bool

IsPrivate AS Bool

IsTemp AS Bool

Kinsoku AS Kinsoku class

Language AS Language class

Numbering AS Numbering class

NumberingPosition AS Integer

NumberingStyleName AS String

ParagraphBorder AS ParagraphBorder class

RelativeIndent AS RelativeIndent class

SizeStyleName AS String

Spacing AS Spacing class

SpacingStyleName AS String

TabRack AS TabRack class

TextAttributes AS Attributes class

Type AS ParaStyleType

WPDataSets AS WPDataSetCollection class

Methods

Clear

IsTemporary

OutlineStyleSequence

RegisterWPDataSet

UnregisterWPDataSet

Update

Events

None


Word Pro: ParagraphStyleCollection class members
ParagraphStyleCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: ParallelColsCollection class members
ParallelColsCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: ParallelColsContainer class members
ParallelColsContainer class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: ParallelColumns class members
ParallelColumns class members

Properties

DefaultLeftColumnStyleName AS String

DefaultRightColumnStyleName AS String

CellLayouts AS StringCollection class

ColumnLayouts AS StringCollection class

ContentLayouts AS StringCollection class

CurrentCell AS CellLayout class

CurrentColumn AS Layout class

CurrentRowAS RowLayout class

DefCellStyleName AS String

DefColWidthAS Twips

DefRowHeight AS Twips

EndingColOfSelection AS Integer

EndingRowOfSelection AS Integer

IsAutoGrow AS Bool

IsParagraphNumberingDown AS Bool

IsResetParagraphNumber AS Bool

IsSizingViaMouse AS Bool

Layout AS Layout class

MaxBottomBorder AS Twips

MaxBottomGutter AS Twips

MaxLeftBorder AS Twips

MaxLeftGutter AS Twips

MaxNumColsAllowed AS Integer

MaxNumRowsAllowed AS Integer

MaxRightBorder AS Twips

MaxRightGutter AS Twips

MaxSplitCols AS Integer

MaxSplitRows AS Integer

MaxTopBorder AS Twips

MaxTopGutter AS Twips

NumCols AS Integer

NumRows AS Integer

RowLayouts AS StringCollection class

SelectionType AS SelectionType

StartingColOfSelection AS Integer

StartingColStringOfSelection AS String

StartingRowOfSelection AS Integer

TableFill AS TableFill class

TableLine AS TableLine class

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

CellLayout

Connect

Copy

Delete

DisconnectCells

FindCellLayout

GetMarkerName

GoToTableCell

InsertRowOrColumn

Mark

NextItem

PreviousItem

SelectTableItem

Split

Events

None


Word Pro: PowerField class members
PowerField class members

Properties

Formula AS String

HideFormulaAS Bool

LockResult AS Bool

Result AS String

Type AS P_F_Type

UpdateOnLoad AS Bool

UpdateOnLoadImmediate AS Bool

DivisionInfo AS DivisionInfo class

IsChanged AS Bool

IsMarkerValid AS Bool

IsRegisteredAS Bool

Layout AS Layout class

MarkerClassAS MarkerType

NumCols AS Integer

NumRows AS Integer

PageNumberAS Integer

PageNumberAsText AS String

StartColumns AS Integer

StartRow AS Integer

StateID AS Long

WPDataSets AS WPDataSetCollection class

Methods

ExtractText

SetFieldFormula

Update

DeleteContents

DeleteMarker

GetContents

GetMarkedText

GetNamedProperty

GoTo

InsertMarker

RegisterWPDataSet

RemoveNamedProperty

SetNamedProperty

UnregisterWPDataSet

Events

None


Word Pro: PowerFieldCollection class members
PowerFieldCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Preferences class members
Preferences class members

Properties

Address1 AS String

Address2 AS String

BackgroundPrintingOn AS Bool

CellStyleName AS String

CharacterSet AS CharacterSet class

CityState AS String

Company AS String

DefaultCellStyleDescription AS String

DefaultColumnStyleName AS String

DefaultFrameStyleDescription AS String

DefaultLatinFont AS String

DefaultLeftColumnStyleName AS String

DefaultNonLatinFont AS String

DefaultPageStyleDescription AS String

DefaultRightColumnStyleName AS String

DefaultTableStyleDescription AS String

DefaultTextStyleDescription AS String

DragDropOnAS Bool

EMail AS String

FaxNumber AS String

FontName AS String

FrameStyleName AS String

HiLiteColor AS Color class

IndexPrimaryStyleName AS String

IndexSecondaryStyleName AS String

IndexSeparatorStyleName AS String

InsertionMode AS Bool

IsContents AS Integer

IsSmartCorrectEnabled AS Bool

IsSmartShadeEnabled AS Bool

LinkGraphic AS Bool

MouseButtonForManipulation AS MouseButton

MouseButtonForSelection AS MouseButton

MouseProperty AS MouseButton

MultiCellPasteOn AS Bool

NumberSequenceName AS String

NumUndoLevels AS Integer

PageStyleName AS String

PersonalData1 AS String

PersonalData2 AS String

PersonalData3 AS String

PersonalData4 AS String

PhoneNumber AS String

PointSize AS Points

RevisionDisplay AS RevisionDisplay class

SaveSnapShot AS SnapShot

SmallFileFormat AS Bool

SnapShotSaveOptions AS StringCollection class

TableStyleName AS String

TextStyleName AS String

Title AS String

UserInitials AS String

UserName AS String

ZipCode AS String

Methods

None

Events

None


Word Pro: Presentation class members
Presentation class members

Properties

OutlineLevelAS Integer

Methods

None

Events

None


Word Pro: PrintManager class members
PrintManager class members

Properties

BinNames AS StringCollection class

CanWePrint AS Bool

DefaultBinName AS String

DefaultPageHeight AS Twips

DefaultPageWidth AS Twips

DriverName AS String

FaceNames AS StringCollection class

PaperNamesAS StringCollection class

PrintDestination AS String

PrinterNameAS String

QueueName AS String

UseDefaultPrinter AS Bool

Methods

Cancel

GetDefaultPageSize

GetEnvelopeDefaults

GetPrinterInfo

Print

Query

UpdatePageSizeChange

UpdatePrinterChanges

Events

None


Word Pro: PrintSettings class members
PrintSettings class members

Properties

Collate AS Bool

Copies AS Integer

Crop AS Bool

Divisions AS StringCollection class

DuplexType AS DuplexType

IsCentered AS Bool

IsPrePrintedForm AS Bool

IsPrintClickHereBlocks AS Bool

IsUpdateIndex AS Bool

IsUpdateTOCAS Bool

NumCols AS Integer

NumRowsToFit AS Integer

OutputToFile AS Bool

PageOrder AS PageOrder

PrintDocDescription AS Bool

PrintGraphics AS Integer

PrintInBackground AS Bool

PrintPagesFrom AS Integer

PrintPagesTo AS Integer

PrintPageType AS PrintPage

PrintRange AS PrintRange

SelectedPages AS String

UpdateFields AS Bool

VersionRemarks AS Bool

ViewLevel AS Integer

ViewType AS PresentationType

WithComments AS Bool

Methods

AddDivisionToPrint

ClearDivisionList

Events

None


Word Pro: RelativeIndent class members
RelativeIndent class members

Properties

All AS Twips

BodyOnly AS Bool

First AS Twips

Hang AS Integer

IsBothSidesEqual AS Bool

Relative AS IndentProperty

Rest AS Twips

Right AS Twips

UseRelative AS Bool

Methods

RevertToStyle

Events

None


Word Pro: ReviewVersions class members
ReviewVersions class members

Properties

FilesToCompare AS String

NewFile AS Bool

NewVersion AS Bool

Methods

ReviewVersions

Events

None


Word Pro: Revision class members
Revision class members

Properties

RevisionType AS RevisionSelectType

Methods

None

Events

None


Word Pro: RevisionDisplay class members
RevisionDisplay class members

Properties

DeleteFont AS Font class

InsertFont AS Font class

RevMarkCharacter AS Integer

RevMarkPosition AS MarkPosition

RevMarkType AS MarkType

TextAttributes AS Attributes class

UndoLevels AS StringCollection class

Methods

None

Events

None


Word Pro: RowContainer class members
RowContainer class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: RowLayout class members
RowLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: RowLayoutCollection class members
RowLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: RubyContainer class members
RubyContainer class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

RevertToStyle

SetStyle

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: RubyLayout class members
RubyLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: RubyLayoutCollection class members
RubyLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: RubyMarker class members
RubyMarker class members

Properties

DivisionInfo AS DivisionInfo class

IsChanged AS Bool

IsMarkerValid AS Bool

IsRegisteredAS Bool

Layout AS Layout class

MarkerClassAS MarkerType

NumCols AS Integer

NumRows AS Integer

PageNumberAS Integer

PageNumberAsText AS String

StartColumns AS Integer

StartRow AS Integer

StateID AS Long

WPDataSets AS WPDataSetCollection class

Methods

DeleteContents

DeleteMarker

GetContents

GetMarkedText

GetNamedProperty

GoTo

InsertMarker

RegisterWPDataSet

RemoveNamedProperty

SetNamedProperty

UnregisterWPDataSet

Events

None


Word Pro: Ruler class members
Ruler class members

Properties

IsShowing AS Bool

SelectTab AS Integer

Methods

DeselectRuler

SelectRuler

Events

None


Word Pro: Script class members
Script class members

Properties

CommentColor AS Color class

DirectiveColor AS Color class

ErrorColor AS Color class

FontName AS String

FontSize AS Points

IdentifierColor AS Color class

KeywordColor AS Color class

OpionDeclare AS Integer

PrettyPrinting AS Integer

TabWidth AS Integer

UndoEnable AS Integer

UndoLevels AS Integer

Methods

None

Events

None


Word Pro: ScriptDataSet class members
ScriptDataSet class members

Properties

DataNames AS StringCollection class

IsPersistent AS Bool

Methods

GetData

IsDataNameUsed

SetData

Events

None


Word Pro: ScriptDataSetCollection class members
ScriptDataSetCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Section class members
Section class members

Properties

Color AS Color class

IsIndex AS Bool

LayoutName AS String

NextSection AS String

ShowTabs AS Bool

UserName AS String

Methods

DeleteSection

GoToSection

Events

None


Word Pro: SectionCollection class members
SectionCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: SectionTabs class members
SectionTabs class members

Properties

ExternalName AS String

IsShowing AS Bool

Methods

Activate

AddSectionTabs

ConnectSectionTabs

Contract

Expand

InsertSection

Events

None


Word Pro: SetTabsDialog class members
SetTabsDialog class members

Properties

SelectTab AS Integer

Methods

None

Events

None


Word Pro: Shadow class members
Shadow class members

Properties

Color AS Color class

XPosition AS Twips

YPosition AS Twips

Methods

None

Events

None


Word Pro: SilverBullet class members
SilverBullet class members

Properties

IsPrivate AS Integer

RestartStyleName AS String

Text AS Text class

Methods

GetArrayProp

SetArrayProp

Events

None


Word Pro: SilverBulletCollection class members
SilverBulletCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: SmartCorrect class members
SmartCorrect class members

Properties

DoInitialCaps AS Bool

DoSmartQuotes AS Bool

Methods

AddSmartCorrect

DeleteSmartCorrect

Get

Events

None


Word Pro: SortKey class members
SortKey class members

Properties

FieldNumberAS Integer

IsSortFromEnd AS Bool

SortOrder AS Sort

SortType AS SortType

SortWord AS Integer

SortWordOption AS SortWhichWord

Methods

None

Events

None


Word Pro: SortOptions class members
SortOptions class members

Properties

FieldDelimiter AS DelimiterType

FieldDelimiterText AS String

NumParagraphs AS Integer

SortLevel1 AS SortKey class

SortLevel2 AS SortKey class

SortLevel3 AS SortKey class

SortNumbers AS SortNumberOrder

Methods

None

Events

None


Word Pro: Spacing class members
Spacing class members

Properties

Always AS Bool

Amount AS Twips

AmountOfSpaceAbove AS Twips

AmountOfSpaceBelow AS Twips

NumLinesOfSpace AS Twips

NumLinesOfSpaceAbove AS Twips

NumLinesOfSpaceBelow AS Twips

Type AS SpacingType

TypeAbove AS SpacingType

TypeBelow AS SpacingType

Methods

RevertToStyle

Events

None


Word Pro: StatusBar class members
StatusBar class members

Properties

StatusBarButtons AS StatusBarButtonCollection class

Width AS Integer

Active AS Bool

Caption AS String

Height AS Twips

Left AS Twips

Top AS Twips

Visible AS Bool

Width AS Twips

Methods

CreateNewButton

GetStandardButtonId

HideStatusBar

InvalidateWholeBar

ShowStatusBar

Close

Move

Open

Resize

Update

Events

StatusBarButtonClicked

StatusBarButtonFillPopupList

StatusBarButtonOverrideText

Moved


Word Pro: StatusBarButton class members
StatusBarButton class members

Properties

GetButtonId AS Long

Methods

AddPopupGraphicItem

AddPopupPointSizeItem

AddPopupTextItem

ClearPopupData

DeleteButton

InvalidateButton

SetButtonText

SetOverrideGraphic

SetOverrideText

SetPopupAlignment

SetPopupIndex

SetPopupWidth

SetPopupWidthType

SimulateButtonClick

Events

StatusBarButtonClicked

StatusBarButtonFillPopupList

StatusBarButtonItemSelected

StatusBarButtonOverrideGraphic

StatusBarButtonOverrideText

StatusBarButtonOverrideTextAndGraphic


Word Pro: StatusBarButtonCollection class members
StatusBarButtonCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: StringCollection class members
StringCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: SubPageContainer class members
SubPageContainer class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

RevertToStyle

SetStyle

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: SuperPageContainer class members
SuperPageContainer class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

RevertToStyle

SetStyle

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: SuperTable class members
SuperTable class members

Properties

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

None

Events

None


Word Pro: SuperTableCollection class members
SuperTableCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: SuperTableContainer class members
SuperTableContainer class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

RevertToStyle

SetStyle

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: SuperTableGroupLayout class members
SuperTableGroupLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: SuperTableLayout class members
SuperTableLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: SuperTableLayoutCollection class members
SuperTableLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: Table class members
Table class members

Properties

CellEngine AS CellEngine class

CellLayouts AS StringCollection class

ColumnLayouts AS StringCollection class

ContentLayouts AS StringCollection class

CurrentCell AS CellLayout class

CurrentColumn AS Layout class

CurrentRowAS RowLayout class

DefCellStyleName AS String

DefColWidthAS Twips

DefRowHeight AS Twips

EndingColOfSelection AS Integer

EndingRowOfSelection AS Integer

IsAutoGrow AS Bool

IsParagraphNumberingDown AS Bool

IsResetParagraphNumber AS Bool

IsSizingViaMouse AS Bool

Layout AS Layout class

MaxBottomBorder AS Twips

MaxBottomGutter AS Twips

MaxLeftBorder AS Twips

MaxLeftGutter AS Twips

MaxNumColsAllowed AS Integer

MaxNumRowsAllowed AS Integer

MaxRightBorder AS Twips

MaxRightGutter AS Twips

MaxSplitCols AS Integer

MaxSplitRows AS Integer

MaxTopBorder AS Twips

MaxTopGutter AS Twips

NumCols AS Integer

NumRows AS Integer

RowLayouts AS StringCollection class

SelectionType AS SelectionType

StartingColOfSelection AS Integer

StartingColStringOfSelection AS String

StartingRowOfSelection AS Integer

TableFill AS TableFill class

TableLine AS TableLine class

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

Sum

CellLayout

Connect

Copy

Delete

DisconnectCells

FindCellLayout

GetMarkerName

GoToTableCell

InsertRowOrColumn

Mark

NextItem

PreviousItem

SelectTableItem

Split

Events

None


Word Pro: TableCollection class members
TableCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: TableContainer class members
TableContainer class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: TableFill class members
TableFill class members

Properties

Background AS Background class

FillStyle AS TableFillStyle

Methods

SetPattern

Events

None


Word Pro: TableHeading class members
TableHeading class members

Properties

CellLayouts AS StringCollection class

ColumnLayouts AS StringCollection class

ContentLayouts AS StringCollection class

CurrentCell AS CellLayout class

CurrentColumn AS Layout class

CurrentRowAS RowLayout class

DefCellStyleName AS String

DefColWidthAS Twips

DefRowHeight AS Twips

EndingColOfSelection AS Integer

EndingRowOfSelection AS Integer

IsAutoGrow AS Bool

IsParagraphNumberingDown AS Bool

IsResetParagraphNumber AS Bool

IsSizingViaMouse AS Bool

Layout AS Layout class

MaxBottomBorder AS Twips

MaxBottomGutter AS Twips

MaxLeftBorder AS Twips

MaxLeftGutter AS Twips

MaxNumColsAllowed AS Integer

MaxNumRowsAllowed AS Integer

MaxRightBorder AS Twips

MaxRightGutter AS Twips

MaxSplitCols AS Integer

MaxSplitRows AS Integer

MaxTopBorder AS Twips

MaxTopGutter AS Twips

NumCols AS Integer

NumRows AS Integer

RowLayouts AS StringCollection class

SelectionType AS SelectionType

StartingColOfSelection AS Integer

StartingColStringOfSelection AS String

StartingRowOfSelection AS Integer

TableFill AS TableFill class

TableLine AS TableLine class

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

CellLayout

Connect

Copy

Delete

DisconnectCells

FindCellLayout

GetMarkerName

GoToTableCell

InsertRowOrColumn

Mark

NextItem

PreviousItem

SelectTableItem

Split

Events

None


Word Pro: TableHeadingCollection class members
TableHeadingCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: TableHeadingLayout class members
TableHeadingLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: TableHeadingLayoutCollection class members
TableHeadingLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: TableLayout class members
TableLayout class members

Properties

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: TableLayoutCollection class members
TableLayoutCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: TableLine class members
TableLine class members

Properties

BorderLines AS BorderLines class

LineMix AS TableMix

OutlineBorderLines AS BorderLines class

Methods

BeginCustomLines

ChgLineStyle

EndCustomLines

GetLineMix

GetLineStyle

SetLineOneSide

SetLinesAllSides

Events

None


Word Pro: TableMarker class members
TableMarker class members

Properties

DivisionInfo AS DivisionInfo class

IsChanged AS Bool

IsMarkerValid AS Bool

IsRegisteredAS Bool

Layout AS Layout class

MarkerClassAS MarkerType

NumCols AS Integer

NumRows AS Integer

PageNumberAS Integer

PageNumberAsText AS String

StartColumns AS Integer

StartRow AS Integer

StateID AS Long

WPDataSets AS WPDataSetCollection class

Methods

DeleteContents

DeleteMarker

GetContents

GetMarkedText

GetNamedProperty

GoTo

InsertMarker

RegisterWPDataSet

RemoveNamedProperty

SetNamedProperty

UnregisterWPDataSet

Events

None


Word Pro: TableMarkerCollection class members
TableMarkerCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: TableOnlyCollection class members
TableOnlyCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: TableOnlyCont class members
TableOnlyCont class members

Properties

ClientHeightAS Twips

ClientWidth AS Twips

ContentHeight AS Twips

ContentName AS String

ContentWidth AS Twips

DivisionInfo AS DivisionInfo class

DivisionName AS String

Height AS Twips

IsFooter AS Integer

IsHeader AS Integer

Layout AS Layout class

MaxContentHeight AS Twips

MaxContentWidth AS Twips

NumContainers AS Integer

PageNum AS Integer

PositionXOnPage AS Twips

PositionYOnPage AS Twips

Presentation AS Presentation class

RelativePageNum AS Integer

TextOrientation AS Integer

Width AS Twips

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

FindParent

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

ShowContainers

Start

Events

None


Word Pro: TabRack class members
TabRack class members

Properties

NumTabs AS Integer

Methods

ClearAll

DeleteTab

GetOne

InsertOne

RevertToStyle

Events

None


Word Pro: Text class members
Text class members

Properties

Alignment AS Alignment class

Amikake AS Amikake class

AtBeginning AS Bool

AtBeginningOfLine AS Bool

AtBeginningOfObject AS Bool

AtBeginningOfParagraph AS Bool

AtBeginningOfWord AS Bool

AtEnd AS Bool

AtEndOfLineAS Bool

AtEndOfObject AS Bool

AtEndOfParagraph AS Bool

AtEndOfWord AS Bool

Attributes AS Attributes class

Breaks AS Breaks class

Bullet AS Bullet class

CharacterBorder AS CharacterBorder class

CharacterStyle AS CharacterStyle class

CharacterStyleName AS String

CodePage AS Integer

ColumnNumber AS Integer

ColumnWidth AS Twips

CurrentLanguage AS Languages

DivisionsRequired AS Integer

EffectiveColumnWidth AS Twips

FieldType AS String

Font AS Font class

FormatCheckLevel AS Integer

FormatCheckRule AS String

FormatCheckSuggestion AS String

HasLocalTabs AS CommandResponse

Indent AS Indent class

IsInBulletEditMode AS Bool

IsOverridden AS Bool

IsParaDemandLoad AS Bool

IsPrivate AS Bool

IsReplaceable AS Bool

IsRevisionMark AS Bool

Kinsoku AS Kinsoku class

Language AS Language class

LastEditorName AS String

LayoutName AS String

MaintainEditor AS Integer

MultiCompareParaTag AS String

MultiCompareParaTagSet AS Bool

NextText AS String

NormalParagraph AS Bool

Numbering AS Numbering class

NumberOfCharacters AS Long

NumberOfRevisions AS Integer

NumCharsInParagraph AS Long

ObjectType AS String

ParagraphBorder AS ParagraphBorder class

ParagraphStyle AS ParagraphStyle class

ParagraphStyleName AS String

Partial AS Bool

PositionXInContainer AS Twips

PositionXOnPage AS Twips

PositionYInContainer AS Twips

PositionYOnPage AS Twips

RelativeIndent AS RelativeIndent class

RenderedPageNumber AS String

RevisionMark AS Revision class

SectionName AS String

SelectionHidden AS Bool

SelectionType AS SelectionType

Spacing AS Spacing class

StyleExceptions AS Long

TabRack AS TabRack class

TextViewAttributes AS TextView

WPDataSets AS WPDataSetCollection class

CanEmbed AS Bool

ClassName AS String

ContentTypeAS ContentType

IsEmpty AS Bool

IsReplaceable AS Bool

Methods

Add

AdjustShade

Backspace

Backward

Bisect

CalcSmartLevels

Clear

ClearInternalSpellInfo

CloseObject

ContractOutlineLevel

DeleteChars

Demote

Deselect

DivideText

Embed

ExpandOutline

Find

FormatCheckAction

FormatCheckReplace

Forward

GetCopyFormatCategories

GetCurrentMarkerName

GetMispelledWord

GetParaNumber

GetPasteFormatCategories

GetPosition

GetSpellStatus

GetSpellUserDictStatus

GetText

InsertBreak

InsertDocInfo

InsertHardSpace

InsertNumber

InsertPageNumber

InsertTab

InsertText

InternalCopy

InternalCut

InternalPaste

IsMarkerEqualToSelection

IsPointWithin

Mark

MorphSelectionToTable

MoveDown

MoveParagraph

MoveToEnd

MoveToStart

MoveUp

Next

OpenObject

Previous

Promote

RegisterWPDataSet

Remove

Replace

RevertToStyle

RevisionAccept

RevisionCancel

Select

SelectMarker

SetStyle

Shade

ShowCursor

Skip

SortParagraphs

SpellWord

SplitParagraph

SRReplace

TerminateFormatCheck

TextNumber

UnregisterWPDataSet

Events

None


Word Pro: TextCollection class members
TextCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: TextDocument class members
TextDocument class members

Properties

AsciiCRLFType AS AsciiLineEnding

AutoRunMacro AS AutoRunMacro class

BookmarkManager AS BookmarkManager class

DdeLinkManager AS DdeLinkManager class

DdeOutboundInfo AS Long

DemandLoadAS ReservedParam

DivisionInfo AS DivisionInfo class

DivisionNames AS StringCollection class

DivisionOptions AS DivisionOptions class

Divisions AS DivisionCollection class

DocControl AS DocControl class

DocInfo AS DocInfo class

DocOptions AS Options class

EditorManager AS EditorManager class

EditorName AS String

Epoch AS String

FileType AS String

FirstChild AS String

FirstName AS String

FirstPage AS Integer

FootnoteOptions AS FootnoteOptions class

Foundry AS Foundry class

IsAsciiCRLF AS Bool

IsAsciiKeepStyle AS Bool

IsChanged AS Bool

IsChangedSinceTimeSave AS Bool

IsDivisionExternal AS Bool

IsDocLoading AS Bool

IsEmptyDoc AS Bool

IsLockedForRevisions AS Bool

IsProtected AS Integer

IsSpellBarUp AS Bool

IsStyleSheetAS Bool

IsUndoOn AS Bool

LastChild AS String

LastName AS String

LastPage AS Integer

LineNumberOptions AS LineNumberOptions class

Locked AS Integer

MailRouting AS MailRouting class

Master AS TextDocument class

MergeOptions AS MergeOptions class

NextName AS String

NextNeighbor AS String

NumPagesInDoc AS Integer

NumWindowsViewingDoc AS Integer

NumWordsInDoc AS Long

OleContainerDocName AS String

Options AS Options class

OrigFileTypeAS String

ParentName AS String

PathName AS String

PreviousName AS String

PreviousNeighbor AS String

PrintManager AS PrintManager class

RevisionMarkMode AS Integer

SelectionType AS SelectionType

SortOptions AS SortOptions class

StateID AS Long

StyleSheetFullPath AS String

StyleSheetName AS String

StyleSheetPath AS String

TabSpacing AS Twips

TitleBarDocNumber AS Integer

UseContents AS Integer

UsedFirstPageHeight AS Twips

VersionManager AS VersionManager class

WPDataSets AS WPDataSetCollection class

Changed AS Bool

Embedded AS Bool

FullName AS String

IsOpen AS Bool

Location AS String

Path AS String

PrintSettings AS PrintSettings class

ReadOnly AS Bool

Saved AS Bool

Methods

AddDivision

AdviseOnRename

AdviseOnSave

AnyEdits

BeginChange

ChangeAllEditsToEditor

Clear

Copy

CreateDocument

Destroy

EndChange

ForceDocToLoad

FXGetNotesString

FXGetNotesWriteHandle

FXSetNotesString

GetActiveList

GetNamedProperty

GetNameFromPage

Hit

Link

Localize

Move

PrepareToDestroy

Present

Purge

Redo

RegisterWPDataSet

RemoveDepOnDocFile

RemoveDivision

RemoveNamedProperty

SaveDivision

SetDocumentEpoch

SetNamedProperty

Undo

UndoRedo

UnregisterWPDataSet

UpdateOle

UpdatePowerFields

Activate

Close

CopySelection

CutSelection

Paste

Print

PrintOut

Save

SaveAs

Events

Created

DocumentInsert

DocumentInserted

EnterClickHere

EnterLayout

ExitClickHere

ImportInsert

ImportInserted

KeyStroke

MouseDown

MouseUp

Opened

PrePrint

Printed

WMCommand

PreClose

Save

SaveAs

Saved

SavedAs


Word Pro: TextMarker class members
TextMarker class members

Properties

Alignment AS Alignment class

Amikake AS Amikake class

AtBeginning AS Bool

AtBeginningOfLine AS Bool

AtBeginningOfObject AS Bool

AtBeginningOfParagraph AS Bool

AtBeginningOfWord AS Bool

AtEnd AS Bool

AtEndOfLineAS Bool

AtEndOfObject AS Bool

AtEndOfParagraph AS Bool

AtEndOfWord AS Bool

Attributes AS Attributes class

Breaks AS Breaks class

Bullet AS Bullet class

CharacterBorder AS CharacterBorder class

CharacterStyle AS CharacterStyle class

CharacterStyleName AS String

CodePage AS Integer

Collapsible AS Integer

ColumnNumber AS Integer

ColumnWidth AS Twips

CurrentLanguage AS Languages

DivisionsRequired AS Integer

EffectiveColumnWidth AS Twips

Expandable AS Integer

FieldType AS String

Font AS Font class

FormatCheckLevel AS Integer

FormatCheckRule AS String

FormatCheckSuggestion AS String

HasLocalTabs AS CommandResponse

Indent AS Indent class

IsInBulletEditMode AS Bool

IsOverridden AS Bool

IsParaDemandLoad AS Bool

IsPrivate AS Bool

IsReplaceable AS Bool

IsRevisionMark AS Bool

Kinsoku AS Kinsoku class

Language AS Language class

LastEditorName AS String

LayoutName AS String

MaintainEditor AS Integer

MultiCompareParaTag AS String

MultiCompareParaTagSet AS Bool

NextText AS String

NormalParagraph AS Bool

Numbering AS Numbering class

NumberOfCharacters AS Long

NumberOfRevisions AS Integer

NumCharsInParagraph AS Long

ObjectType AS String

ParagraphBorder AS ParagraphBorder class

ParagraphStyle AS ParagraphStyle class

ParagraphStyleName AS String

Partial AS Bool

PositionXInContainer AS Twips

PositionXOnPage AS Twips

PositionYInContainer AS Twips

PositionYOnPage AS Twips

RelativeIndent AS RelativeIndent class

RenderedPageNumber AS String

RevisionMark AS Revision class

SectionName AS String

SelectionHidden AS Bool

SelectionType AS SelectionType

Spacing AS Spacing class

StyleExceptions AS Long

TabRack AS TabRack class

TextViewAttributes AS TextView

WPDataSets AS WPDataSetCollection class

DivisionInfo AS DivisionInfo class

IsChanged AS Bool

IsMarkerValid AS Bool

IsRegisteredAS Bool

Layout AS Layout class

MarkerClassAS MarkerType

NumCols AS Integer

NumRows AS Integer

PageNumberAS Integer

PageNumberAsText AS String

StartColumns AS Integer

StartRow AS Integer

StateID AS Long

WPDataSets AS WPDataSetCollection class

Methods

Add

AdjustShade

Backspace

Backward

Bisect

CalcSmartLevels

Clear

ClearInternalSpellInfo

CloseObject

ContractOutlineLevel

DeleteChars

Demote

Deselect

DivideText

Embed

ExpandOutline

Find

FormatCheckAction

FormatCheckReplace

Forward

GetCopyFormatCategories

GetCurrentMarkerName

GetMispelledWord

GetParaNumber

GetPasteFormatCategories

GetPosition

GetSpellStatus

GetSpellUserDictStatus

GetText

InsertBreak

InsertDocInfo

InsertHardSpace

InsertNumber

InsertPageNumber

InsertTab

InsertText

InternalCopy

InternalCut

InternalPaste

IsMarkerEqualToSelection

IsPointWithin

Mark

MorphSelectionToTable

MoveDown

MoveParagraph

MoveToEnd

MoveToStart

MoveUp

Next

OpenObject

Previous

Promote

RegisterWPDataSet

Remove

Replace

RevertToStyle

RevisionAccept

RevisionCancel

Select

SelectMarker

SetStyle

Shade

ShowCursor

Skip

SortParagraphs

SpellWord

SplitParagraph

SRReplace

TerminateFormatCheck

TextNumber

UnregisterWPDataSet

DeleteContents

DeleteMarker

GetContents

GetMarkedText

GetNamedProperty

GoTo

InsertMarker

RegisterWPDataSet

RemoveNamedProperty

SetNamedProperty

UnregisterWPDataSet

Events

None


Word Pro: TextMarkerCollection class members
TextMarkerCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: TextStyleCollection class members
TextStyleCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: TOCSuperTableLayout class members
TOCSuperTableLayout class members

Properties

DivisionName AS String

ParentName AS String

SectionName AS String

TOCNumEntries AS Integer

TOCRange AS String

TOCSource AS GenerateFrom

AbsoluteOn AS Bool

AbsoluteXPos AS Twips

AbsoluteYPos AS Twips

AccessRights AS AccessRights

AmtTether AS WhereType

AmtToRotateContent AS Integer

AmtToTetherFrom AS WhereType

Background AS Background class

BaseLineOffset AS Twips

BinName AS String

BorderLines AS BorderLines class

BorderOffset AS Twips

BottomExternalMargin AS Twips

BottomIntArea AS Twips

CenteredHorz AS Bool

CenteredVert AS Bool

ChildLayouts AS LayoutCollection class

ClassName AS String

ColumnBalance AS Bool

ColumnGap AS Twips

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

EditorName AS String

Footer AS Layout class

GridDistance AS Twips

GridType AS GridType

Gutter AS Gutter class

Header AS Layout class

Height AS Twips

IsAdopted AS Bool

IsBottomAligned AS Bool

IsBreakable AS Bool

IsChildSpannable AS Bool

IsCollapsed AS Bool

IsCollapsible AS Bool

IsColumnBreakable AS Bool

IsComplex AS Bool

IsConnectedAS Bool

IsContentReplaceable AS Bool

IsErrorChecking AS Bool

IsExpandDown AS Bool

IsExpandLeft AS Bool

IsExpandRight AS Bool

IsExpandUp AS Bool

IsHonorProtected AS Bool

IsIntersectSiblings AS Bool

IsLocal AS Bool

IsMarginSameAsParent AS Bool

IsMirrorImage AS Bool

IsNotCopyable AS Bool

IsNotGroupable AS Bool

IsNoUICommAllowed AS Bool

IsOverridden AS Bool

IsOverride AS Bool

IsPageBreakAS Bool

IsPartOfGroup AS Bool

IsPrintable AS Bool

IsProtected AS Bool

IsRevision AS Bool

IsScripting AS Bool

IsScrollableAS Bool

IsSingleClickEntry AS Bool

IsSizable AS Bool

IsSnapTo AS Bool

IsTableHeading AS Bool

IsTOC AS Bool

Join AS Join class

Justifiable AS Bool

LandscapeMode AS Bool

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Twips

LeftIntArea AS Twips

LeftPage AS Layout class

LeftTopCellId AS Integer

LineLocationAS Integer

MaintainAspectRatio AS Bool

MarginBottom AS Twips

MarginLeft AS Twips

MarginRight AS Twips

MarginTop AS Twips

MasterNameAS String

MinBottomMargin AS Twips

MinHeight AS Twips

MinLeftMargin AS Twips

MinRightMargin AS Twips

MinTopMargin AS Twips

NameBasedOnStyle AS String

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat class

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Twips

RelativeYDistance AS Twips

RevisionType AS Integer

RightExternalMargin AS Twips

RightIntAreaAS Twips

RightPage AS Layout class

RotationAngle AS Integer

ScaleHeight AS Twips

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Twips

ScriptName AS String

SelectType AS LayoutSelect

Shadow AS Shadow class

Style AS Layout class

StyleExceptions AS Long

TabRack AS TabRack class

TextOrient AS TextOrient

TopExternalMargin AS Twips

TopIntArea AS Twips

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Bool

UsePrinterSettings AS Bool

UseWhen AS UseWhen class

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Bool

WasInsertedInRevMarkMode AS Bool

Where AS WhereType

Width AS Twips

WPDataSets AS WPDataSetCollection class

WrapType AS WrapType

XOffset AS Twips

XPosition AS Twips

YOffset AS Twips

YPosition AS Twips

Methods

AddTOCEntry

Clear

GetTOCProperties

SetTOCProperties

AddChildToLayout

Backward

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: UnitCollection class members
UnitCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: UserInterfacePrefs class members
UserInterfacePrefs class members

Properties

AddEnvelopeReturnAddress AS Bool

AutoBackup AS Bool

AutoSave AS Bool

AutoSaveMinutes AS Integer

BackupPath AS String

BackupPaths AS StringCollection class

BulletFonts AS String

CheckForScriptEnumError AS Bool

CheckForScriptPropertyError AS Bool

CleanScreenMode AS Bool

CleanScreenOnStartUp AS Bool

DocPath AS String

DocumentPaths AS StringCollection class

FontUnitName AS String

FontUnits AS ScaleMode

GlossaryDataFileName AS String

GlossaryDataFiles AS StringCollection class

GlossaryDataPaths AS StringCollection class

GlossaryPath AS String

GoToIndexLastItemAccessed AS Integer

GoToItemName AS String

GoToPageNumber AS Integer

GoToSelection AS GoToType

GrammarOptions AS Grammar class

HorizontalSplitWindow AS Bool

IconPath AS String

IconPaths AS StringCollection class

IconShowingBeforeCleanScreen AS Bool

IsDisableWarningMessages AS Bool

IsHighlightNote AS Bool

IsPrintInBackground AS Bool

IsReplacement AS Bool

IsWorkingDir AS Bool

LastDocPathAS String

LastGraphicPath AS String

LastGraphicType AS String

LastMacroPath AS String

LastUsedDateFormula AS String

LeaderDotType AS LeaderDotType

LoadFilesMaximized AS Bool

MacroPath AS String

MacroPaths AS StringCollection class

MaximizeOnStartUp AS Bool

NoteColor AS Color class

NumOfRecentFiles AS Integer

OpenDocsVisible AS Bool

OpenExisingFileInWelcomeBox AS Bool

OpenReadOnly AS Bool

RunMacroOnDocEvents AS Bool

RunMacroOnLoad AS Bool

ShowGraphicPreview AS Bool

ShowMailDisabled AS Bool

ShowNoWelcomeBox AS Bool

SizingUnitName AS String

SizingUnits AS ScaleMode

SpacingUnitName AS String

SpacingUnits AS ScaleMode

SpellCheckIncludesOtherTextStreams AS Bool

SpellCheckInitialCaps AS Bool

SpellCheckRepeatedWords AS Bool

SpellCheckStartsAtBeginning AS Bool

SpellCheckUserDictAlternatives AS Bool

SpellCheckWordsWithNums AS Bool

SplitPercentage AS Integer

StylePath AS String

StylePaths AS StringCollection class

StyleSheetName AS String

TabRelativeTo AS Integer

TabType AS TabType

ThesMaxNumSynonymsReturned AS Integer

TimedSaveFileExtension AS String

Units AS StringCollection class

UserDictFiles AS String

UserDictionaryFiles AS StringCollection class

UserDictionaryPath AS String

UserDictionaryPaths AS StringCollection class

UserDictStates AS String

VerticalSplitWindow AS Bool

WinViewPrefs AS WinViewPrefs class

WorkingType AS Bool

Methods

GetArrayProp

InsertPath

SetArrayProp

Events

None


Word Pro: UseWhen class members
UseWhen class members

Properties

Condition AS ConditionType

PageNo AS Integer

Start AS StartType

Methods

None

Events

None


Word Pro: Version class members
Version class members

Properties

AuthorNameAS String

CreationDateString AS String

CreationTimeString AS String

DateCreatedValue AS Long

DateRevisedValue AS Long

DocVersionID AS Long

EditorName AS String

Editors AS StringCollection class

ModifiedDateString AS String

ModifiedTimeString AS String

NumberOfRevisions AS Long

VersionName AS String

Methods

CreateRemark

Events

None


Word Pro: VersionCollection class members
VersionCollection class members

Properties

Count AS Long

Methods

Item

IsEmpty

Events

None


Word Pro: VersionManager class members
VersionManager class members

Properties

CurrentVersion AS Version class

DocVersionID AS Long

GetRedoWhatDesc AS String

GetUndoWhatDesc AS String

Versions AS VersionCollection class

Methods

CreateVersion

DeleteVersion

MostRecentVersion

NextVersion

NumberOfVersions

PreviousVersion

Events

None


Word Pro: Window class members
Window class members

Properties

Active AS Bool

Caption AS String

Height AS Twips

Left AS Twips

Top AS Twips

Visible AS Bool

Width AS Twips

Methods

Close

Move

Open

Resize

Update

Events

Moved


Word Pro: WinViewPrefs class members
WinViewPrefs class members

Properties

CustomViewLevel AS Integer

IsDisplayMisspelled AS Bool

IsHideHeaderFooter AS Bool

IsHorizontalScrollBarCleanScrn AS Bool

IsInDraft AS Bool

IsInOutline AS Bool

IsInPageSort AS Bool

IsMarginsInColor AS Bool

IsPageBreakMarks AS Bool

IsSpellMode AS Bool

IsVerticalScrollBarCleanScrn AS Bool

IsViewAnchor AS Bool

IsViewBookmarks AS Bool

IsViewClickHereBlocks AS Bool

IsViewColGuides AS Bool

IsViewColumnBreakMarks AS Bool

IsViewDDELinks AS Bool

IsViewHorzRuler AS Bool

IsViewHorzScrollBar AS Bool

IsViewMenuCleanScrn AS Bool

IsViewNotes AS Bool

IsViewOutlineFlowToScreen AS Bool

IsViewOutlineIndent AS Bool

IsViewPageLayoutMarks AS Bool

IsViewParallelColumnBorder AS Bool

IsViewPictures AS Bool

IsViewReturnIconCleanScrn AS Bool

IsViewReturns AS Bool

IsViewRulerMarks AS Bool

IsViewSectionBreakMarks AS Bool

IsViewSectionTabs AS Bool

IsViewSmartIconsCleanScrn AS Bool

IsViewStatusBarCleanScrn AS Bool

IsViewTableGridLines AS Bool

IsViewTableHeadings AS Bool

IsViewTabs AS Bool

IsViewThumbBarCleanScrn AS Bool

IsViewTitleBarCleanScrn AS Bool

IsViewVertRuler AS Bool

IsViewVertScrollBar AS Bool

NumCols AS Integer

OutlineButtons AS Integer

OutlineHeadingButtonsOnly AS Integer

OutlineOnlyHeadingsWhenCollapsed AS Integer

ViewType AS Views

Methods

ClearSplits

ClearUpdate

Refresh

Events

None


Word Pro: WPApplication class members
WPApplication class members

Properties

AppFoundry AS Foundry class

AppViewPrefs AS AppViewPrefs class

BaseTable AS BaseTable class

Cell AS CellContainer class

Container AS BaseContainer class

Content AS Content class

CurrentCell AS CellLayout class

CurrentColumn AS Layout class

CurrentRowAS RowLayout class

Division AS Division class

Divisions AS DivisionCollection class

FileProtection AS FileProtection class

FindAndReplace AS FindAndReplace class

Format AS FormatPreferences class

FormatCheckPreferences AS FormatCheckPref class

Foundry AS Foundry class

Frame AS FrameContainer class

Graphic AS Graphic class

GraphicOleObject AS GraphicOleObject class

KeyboardLanguage AS Integer

Layout AS Layout class

OleObject AS OleObject class

Page AS PageContainer class

ParallelColumns AS ParallelColumns class

PreferencesAS Preferences class

SmartCorrect AS SmartCorrect class

SuperTableContainer AS SuperTableContainer class

Table AS Table class

TableContainer AS TableContainer class

TableOnlyContainer AS TableOnlyCont class

TempFindAndReplace AS FindAndReplace class

TempFoundry AS Foundry class

Text AS Text class

WPDataSets AS WPDataSetCollection class

ActiveDocument AS TextDocument class

ActiveDocWindow AS DocWindow class

ApplicationWindow AS ApplicationWindow class

DefaultFilePath AS String

Documents AS Documents class

FullName AS String

Interactive AS Bool

Location AS String

Path AS String

Visible AS Bool

Methods

AddIndexEntry

AddTOCEntry

AnswerMsgBox

BeginChange

Bold

BringFrameToFront

BringFrameToFrontOne

CalculateSmartLevels

CascadeWindow

CellRevert

ChangeSmartMaster

ClearParaRevisionTags

Close

CloseAll

CloseDocWindow

CloseMergeDataFile

CombineDivisions

CombineSections

CompareFiles

ConnectCells

ConnectRows

ContractOutlineLevel

CopySelection

CreateDataFile

CreateDivision

CreateExternalDivision

CreateFrame

CreateGlossary

CreateGlossaryEntry

CreateGraphic

CreateOleEmbeddedFile

CreateOleLinkedFile

CreateOleNew

CreateParallelColumns

CreateTable

CutSelection

DblUnderline

DeleteDivision

DeleteKey

DeleteParallelColumns

DeleteTable

DemoteOutlineLevel

Deselect

DisconnectCells

Embed

EndChange

EnvelopePrint

ExpandOutlineLevel

FastFormat

Find

FormatCheck

FrameRevert

GetCopyFormatCategories

GetPasteFormatCategories

GlossaryInsert

GlossaryOpen

GoToBookmark

GotoNextParallelColumn

GoToObject

GoToPage

GroupDivision

HandsOffStorage

Help

Hide

HighlightToggle

HourGlass

ImportGraphic

InitFindAndReplace

InsertBullet

InsertClickHere

InsertColumnBreak

InsertDate

InsertDocInfo

InsertDocument

InsertField

InsertFootnote

InsertFrame

InsertIndex

InsertNote

InsertOleDivision

InsertPageBreak

InsertPageLayout

InsertPageNumber

InsertRuby

InsertSection

InsertTOC

InternalCopy

InternalCut

InternalPaste

IsWMCommandValid

Italic

LowerCase

MacroAppend

MacroCancel

MacroCompile

MacroEndRecord

MacroPlay

MacroQuickPlay

MacroQuickRecord

MacroRecord

MacroResume

MacroRun

MailDocument

MakeTableFromText

ManualFrame

ManualTable

Mark

MarkRevisionInsert

Merge

MergeContinue

MergeSetDataFile

MergeStart

Messages

MoveDivision

NewDivision

NewWindow

NormalText

OpenDataFile

OpenFromStorage

OutlineMoveTextDown

OutlineMoveTextUp

PageDown

PageUp

Paste

PasteLink

PasteSpecial

PColConnectCells

PColConnectRows

PColDisconnectCells

PColSelectColumn

PColSelectRow

PColSelectTable

Print

PrintOut

PromoteOutlineLevel

QueryDrop

QuickAlignFrame

QuickAlignTable

Redo

RegisterWPDataSet

Render

Replace

ReplaceAll

ReplaceCmd

ResetFindAndReplace

RetrieveInternetFile

RetrieveInternetFileAndOpen

RevertToSaved

RevertToStyle

ReviseAcceptAll

ReviseCancelAll

RunAutoNewMacro

RunAutoOpenMacro

RunScript

Save

SaveAs

SaveEnvelopeMaster

SaveGlossary

SaveToStorage

SaveToStorageComplete

SaveVersion

Select

SelectAStyle

SelectCell

SelectColumn

SelectDoc

SelectEntireCellRange

SelectEntireColumn

SelectEntirePCol

SelectEntirePColCellRange

SelectEntirePColColumn

SelectEntirePColRow

SelectEntireRow

SelectEntireTable

SelectParagraph

SelectPColCell

SelectRow

SelectSection

SelectSentence

SelectTable

SelectWord

SendFrameToBack

SendFrameToBackOne

SendMailSelectedText

SetStorage

SetStyle

SmallCaps

SmartSumColumn

SmartSumRow

SortParagraphs

SpellAddToUserDict

SpellClearSkippedWords

SpellMarkSkippedWords

SpellSkipAll

StartEditMergeData

StartEnvelopeDiv

StartFieldInsert

StoreInternetFile

StrikeThru

SubScript

SuperScript

TeamMail

TileWindowHorz

TileWindowVert

TimedSave

ToggleIconBar

Type

Underline

Undo

UnregisterWPDataSet

UpdateIndexSection

UpdateOle

UpdateTOC

UpperCase

WMCommand

WordUnderline

GetEnum

NewDocument

OpenDocument

Quit

Events

DocumentClose

DocumentClosed

DocumentCreate

DocumentExport

DocumentExported

DocumentImport

DocumentImported

DocumentInsert

DocumentInserted

DocumentPrint

DocumentPrinted

DocumentSave

DocumentSaveAs

DocumentSaved

DocumentSavedAs

EnterClickHere

EnterLayout

ExitClickHere

ImportInsert

ImportInserted

KeyStroke

MouseDown

MouseUp

WMCommand

DocumentCreated

DocumentOpen

DocumentOpened

Quit


Word Pro: WPDataSet class members
WPDataSet class members

Properties

DataNames AS StringCollection class

IsPersistent AS Bool

Methods

GetData

IsDataNameUsed

SetData

Events

None


Word Pro: WPDataSetCollection class members
WPDataSetCollection class members

Properties

Count AS Long

Methods

Item

Item

IsEmpty

Events

None


Overview: The LotusScript Language

LotusScript is an object-oriented programming language which is shared by most Lotus applications including Lotus Word Pro 96. The language itself is comprised of two kinds of language elements:

•	Common elements which are shared by all Lotus applications:
These elements form the core of the LotusScript language. They provide the basic tools for constructing scripts such as variables, syntax, statements, keywords, and standard data types. For more information on the core LotusScript language elements, see the LotusScript Language Reference or the complete on-line listing of core LotusScript language elements.

•	Product-defined classes each of which is specific to only one Lotus application:
These classes are defined as part of a Lotus application. The objects instantiated from these classes provide direct access to and control of specific parts of the Lotus application that defines the classes.

In LotusScript, each part of a Lotus application is represented by an object. The object itself is created according to a product-defined class. That class defines exactly what you can do with the object. When you use LotusScript to access and manipulate the object, your actions are passed on to the part of the application represented by that object.

For example, every Word Pro document is represented by a corresponding TextDocument object. Each TextDocument object is instantiated from the TextDocument class which was defined by Word Pro. You can use LotusScript to change a Word Pro document. First you issue commands to the TextDocument object which represents the Word pro document you want to change. Then LotusScript passes your commands on to the actual Word Pro document.

Nearly every part of Word Pro is represented by an object in LotusScript. Each object can be part of a larger object and each object can contain smaller objects. The structure of Word Pro objects and how they are connected and contained within each other is called the "object model". Each Lotus application that incorporates LotusScript has its own object model. To access any part of an application, that part must have a corresponding object in the application's object model and you must know that object's name or location.

It is important to keep in mind that any part of an application can be represented by an object in that application's object model. The following list of Word Pro parts and the corresponding objects illustrate this point:

•	The Word Pro application is represented by an object named "WordPro" which is instantiated from the WPApplication class.

•	The application workspace window including menus, status bar, and SmartIcons are all represented by the ApplicationWindow object instantied from the ApplicationWindow class.

•	A document is represented by a TextDocument object which is instantiated from the TextDocument class.

•	The settings in the Find And Replace dialog box are represented by the properties in the FindAndReplace object which is instantiated from the FindAndReplace class.

•	The text in a document is represented by one or more Text objects which are instantiated from the Text class.

You must use the common LotusScript elements in conjunction with the product-defined classes to achieve your goals.

 See related topics


Overview: The Word Pro LotusScript Object Model

Overview: Using LotusScript in Word Pro


A piece of an application or document. Each LotusScript object is created from a LotusScript class. The class acts as a blueprint or template for the object itself.  Once you create an object, you can control the objects properties and use its methods. If you create more than one object from the same class, you can access and control them independently of one another. Each object created from a class is said to be an instance of that class. When an object is created, we say the object has been instantiated.


A special data construct which provides the description for a type of object. Like a Data Type, a class description can include variables of differing data types (called properties). Unlike a Data Type, a class description can also include subroutines (called methods), and events. Class descriptions are usually included as part of the Declarations section of a script. Once a class is declared, you can create objects based on the class description. Although each object is instantiated from the same class, you can use each object's properties, methods, and events independently of one another.

Each object created from a class is said to be an instance of that class.

When an object is created, we say the object has been instantiated.


Overview: The Word Pro LotusScript Object Model

In addition to the core LotusScript language elements, each Lotus application which incorporates LotusScript also provides its own set of language elements, called classes, which allow you to access and manipulate various parts of that Lotus application. Each of these classes corresponds to some part of Word Pro.

For more information on the core LotusScript language elements, see the LotusScript Language Reference or the complete on-line listing of core LotusScript language elements.

 See related topics


Overview: The LotusScript Language

Overview: Using LotusScript in Word Pro


Overview: Using LotusScript in Word Pro

The LotusScript language works the same way in all Lotus applications. However,  Word Pro gives you access to LotusScript, dialog boxes,  and a script recorder, in it's own way. The following topics explain some of the basic concepts of how to use LotusScript effectively in Word Pro:

Overview: Word Pro scripts

Overview: Startup scripts

Overview: Recording a script

Playing a script

Playing an Ami Pro 3.x macro

Displaying the Script Editor

Attaching a script to an icon

Attaching a script to a ClickHere block

Creating custom dialog boxes

While using the Word Pro Reference Help, you may encounter terminology with which you are not familiar. For your convenience, many of these terms are defined and explained in the following topics:

Overview: Word Pro LotusScript Object Model

Overview: Word Pro LotusScript Object References

Overview: Word Pro LotusScript Units Of Measurement

Overview: Word Pro LotusScript Collection Classes

Overview: Word Pro LotusScript Enumerated Values

Overview: Word Pro LotusScript Abstract Classes

Overview: Word Pro LotusScript Object Containment

Overview: Word Pro LotusScript Class Hierarchy and Inheritance


Overview: Word Pro LotusScript Object References

The syntax descriptions for properties and methods include "[objectreference.]" at the beginning of the syntax. When you use a property or method in a script statement, you must replace "[objectreference.]" with a reference to the object that contains or defines the property or method you are using.

For example, the syntax for the AlignmentType property is described as follows:

[objectreference].AlignmentType

The AlignmentType property is defined as part of the Alignment class. Therefore, the AlignmentType property is always part of an Alignment object. When you use the AlignmentType property in a statement, you must include a reference to its Alignment object as seen in the following statement.

.Text.Alignment.AlignmentType

The Alignment object is always contained by another object (such as Text). Therefore, you must include the containing object as part of your object reference. The amount of information required in an object reference depends on two factors:

•	the object or objects which have focus

•	the number of objects within the focus which match the object reference

Focus

The focus determines which application and, ultimately, which part of an application makes use of a command. Under Windows 3.1, you change the focus of Windows each time you switch from one application to another. Inside an application such as Word Pro, you can change the focus by moving from one part of a document to another. For example, when you place your cursor in a document, the focus includes the WordPro object, the Word Pro ApplicationWindow object, the currently active DocWindow object, the currently active TextDocument object, the currenlty active Division object, the currently active PageLayout object, and the Text object

When you activate an application in your Windows desktop, you give that appication the fcus

As long as Word Pro is the active

, the WordPro object and the ApplicationWindow object both have the focus. In additionThe currently active document window and the document contained in that document window

In Word Pro, you give an object the focus, a cursor or a thin dotted line or a highlight appears on that object. When an object has the focus, Word Pro directs your script statements and other actions to that object. For example, when your insertion point is in a page of text, the focus is on the text. However, the text is contained by the document and the document is contained by the application. Thus the focus includes the application, the document, and the text. Your object reference to the text or any

For example, the two lines of text below can both have the focus, but only one line can have the focus at a time. You can give the first line the focus by pressing the Tab key.

1.	Press TAB to place the focus on the first line below.

Press TAB to move the focus from this line to the line below.

Press TAB to move the focus from this line to the line above.

Note that the focus moves from one line to the other each time you press TAB.

2.	Now move the focus to the first line and press ENTER.

3.	Press ESC.

When you pressed ENTER, the Help application directed your keystroke to the first line of text because you gave the first line the focus. If you move the focus to the second line of text, you can press ENTER again to see the second pop-up message.

Word Pro allows you to place the focus on certain objects such as a document, a division, a section, a page, a table, or a frame. By selecting or placing your insertion point in an object, you give that object the focus. You can then use a leading dot as part of your object reference to

Leading dot

If the object you are trying to affect has the focus, you can restrict your object reference to the scope of the focus

Note that the example above begins with a period. This period is called a leading dot. When Word Pro encounters a leading dot in a script statement, it directs the instructions from that script statement to the nearest object which has the focus. Word Pro then directs the instructions to the object that matches the object reference in the script statement. If more than one object matches the object reference in your statement, Word Pro returns an error.

For example, without the leading dot feature, you would have to include a complete object reference as follows:

Application.Text.Alignment.AlignmentType

Containment

Some

the Word Pro application is defined in the WPApplication class definition. Each time you start Word Pro, an object is created from the WPApplication class definition and given the name WordPro. You can use the properties and methods defined in the WPApplication class to get information about and manipulate the WordPro object.

For example, you can use the following statement to get the current location of the Word Pro application:

DIM wplocation AS String

wplocation = WordPro.Location

Print wplocation

In this example, you declare the variable wplocation and assign the value of the Location property to the wplocation variable. Then you print the value of the wplocation variable to the output screen of the Script Editor. You can also access the value of the property directly as shown in the following statement:

Print WordPro.Location

This example does exactly the same thing as the first example but it eliminates the need for using the variable.

Each Alignment object, created from the Alignment class, is contained by yet another object such as Graphic or Text. The object reference you use with AlignmentType depends, in part, on which objects contain that AlignmentType property.

For example, when you want to access the AlignmentType property for an Alignment object contained in a Text object, you must use the following syntax:

.Text.Alignment.AlignmentType

 in the Alignment property. However, there are several different classes which include the Alignment property

including Formula, Graphic, ParagraphStyle, Text, and TextMarker. When you use the Alignment property as part of a script statement, you must provide an object reference that tells Word Pro which one of these five classes defines the Alignment property you are using. For example, when you want to access the Alignment property for an object made from the Text class, you must use the following syntax:

.Text.Alignment

Note that you must include a leading dot before your object reference. This leading dot tells Word Pro that you want the Text object which currently has the focus.

The focus in contained objects

When an object has the focus, the object (or objects) which contain that object share the focus with that object. For example, when the insertion point is in a table cell, the cell has the focus. But the table shares the focus with that cell, and the WordPro object shares the focus with the Table object. If you use the leading dot

If two or more objects have both the focus and a Location property, Word Pro automatically returns the value of the Location property from the

The WPApplication class definition calls for the creation of many smaller objects which are stored in the inside properties of the WordPro object. For example, the WPApplication class definition calls for a property named ActiveDocument. The ActiveDocument property contains an object created from the TextDocument class.

These smaller objects are created from their own class definitions and may also contain other objects.

In addition to the WordPro object, many other objects are created from other class definitions

Word Pro's object model allows you to access nearly every aspect of the Word Pro application and all its related parts. Every part of However, to write a successful script, you must be precise about telling Word Pro what you want it to do.

When you use LotusScript to access a part of Word Pro or a Word Pro document, you must specify which object contains that part of Word Pro or the Word Pro document. You can specify the object in two ways:

•	Place the insertion point within the object which contains the part you are accessing.

•	Provide an object reference using the containment tree specified in the Word Pro object model.

In some instances, you must place the insertion point in an object that contains the part and then provide the rest of the object reference

close to the when you specify what that part is called and where it is located. Each part of Word Pro is either an object or an object member. An object is any part of Word Pro which was created from one of the Word Pro classes. An object member is a property, method, or event defined in the class description for an object.

For example, when you launch Word Pro, Word Pro creates one object from the BaseObject class. That BaseObject contains several other objects which are created automatically when Word Pro creates the BaseObject.

several objects including one from the WPApplication class, another from the Application class, and another from the ApplicationWindow class.

When you open a Word Pro document, Word Pro creates more than a hundred other objects,

Word Pro uses the Color class to create two Color objects. Word Pro stores one of those color objects in the BackColor property and the other one in the Color property. When you want to change the


You activated the first line by clicking on it or by giving it the focus and pressing return.


You activated the second line by clicking on it or by giving it the focus and pressing return.


Overview: Word Pro LotusScript Units Of Measurement

Word Pro uses a number of different units of measurement in its LotusScript object model. Some properties and methods accept inches, while others may accept points or twips or units.

The following list of equivalent values may be useful in determining the appropriate value to use.

Inch equivalents

1 inch = 72 points

1 inch = 1440 twips

1 inch = 4718592 units

Point equivalents

1 point = 1/72"

1 point = 20 twips

1 point = 65536 units

Twip equivalents

1 twip = 1/1440"

1 twip = 1/20 point

1 twip = 3276.8 units

Unit equivalents

1 unit = 1/4718592"

1 unit = 1/65536 point

1 unit = 1/3276.8 twips


Overview: Word Pro LotusScript Collection Classes

Word Pro helps you keep track of objects by grouping those objects together in another object called a collection. Each collection object in Word Pro corresponds to one of the Word Pro object classes. Each object in a collection is said to be an item of that collection. For instance, the TextDocumentCollection object contains all objects instantiated from the TextDocument class. Each TextDocument object is said to be an item of the TextDocumentCollection object. Grouping objects together in this fashion makes it easier to locate and access one or more objects of a particular class.

The Scope of Collections

Each collection object has a fixed scope which determines where the collection object derives its items. Most collections are limited to a particular division. For instance, the FrameLayoutCollection object contains all the FrameLayout objects for a particular Division of a document. Thus, if the document has three divisions, Word Pro maintains one FrameLayoutCollection for each division that contains a FrameLayout object.

To access an object through its collection, you must know which collection object contains the object(s) you are looking for.

Accessing objects in a collection

You can access objects in a collection in one of two ways:

Iteration - using the ForAll statement to access every object in turn by stepping through the entire collection

Indexing - Using the Item method or the indexing syntax to access one specific object in a collection.

In both iteration and indexing, you access the object(s) through the corresponding collection object.


Overview: Word Pro LotusScript Enumerated Values


Overview: Word Pro LotusScript Abstract Classes


Overview: Word Pro LotusScript Object Containment


Overview: Word Pro LotusScript Class Hierarchy and Inheritance

Classes based on other classes are said to be derived from the original class.


StrField Function

Extracts a string from within another string. Use this function to extract a string from a source string that contains 2 or more strings separated by a common character such as a comma or a space.

Syntax

StrField(SourceString, FieldNum, Separator)

Elements

SourceString
A string containing two or strings separated by the same character.

The string "Seattle, WA;Atlanta, GA;Cambridge, MA;USA, All cities" contains four or more strings depending on which separator character you use.

FieldNum
An integer indicating the position of the string to be extracted. String positions are determined by the separator character specified in the Separator element.

In the string "Seattle, WA;Atlanta, GA;Cambridge, MA;USA, All cities", a semicolon separator puts "Atlanta, GA" at position 2. Alternatively, a comma separator puts " WA;Atlanta" at position 2.

Separator
The character which separates the strings in the SourceString.

In the string "Seattle, WA;Atlanta, GA;Cambridge, MA;USA, All cities", a semi-colon separator creates four strings and a comma separator creates five strings.

Return value

StrField returns a string.


Example:

' CurrentInfo contains: "Name,Address,City,State,Zip,PhoneNum"

Dim mystr As String

mystr = StrField(CurrentInfo, 2, ",")

' now mystr contains: "Address"


Word Pro: Changed event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: Clicked event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: Created event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: Decrement event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DialogEvent event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentClose event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentClosed event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentCreate event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentCreated event

 See list of classes

 See example

Raised when Word Pro has finished creating a new Word Pro document. This event passes the name of the SmartMaster used in creating the new document.

Syntax

Parameters

StyleSheet
A string representing the name of the SmartMaster used in creating the new document.

Usage

Use this event to detect the completion of the creation of a new document in Word Pro.


Word Pro: DocumentExport event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentExported event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentImport event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentImported event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentInsert event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentInserted event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentOpen event

 See list of classes

 See example

Raised each time Word Pro receives an instruction to open an existing document but before Word Pro actually opens the document . This event passes the document name as a string.

Syntax

Parameters

DocName
A string representing the name of the document about to be opened.

Usage

Use this event to detect when Word Pro receives a command to open a document. You can use the DocName argument to check the name of the document.


Word Pro: DocumentOpened event

 See list of classes

 See example

Raised each time Word Pro opens an existing document. This event passes the document name as a string.

Syntax

Parameters

DocName
A string representing the name of the document Word Pro opened.

Usage

Use this event to detect when Word Pro opens a document. You can use the DocName argument to check the name of the document Word Pro opened.


Word Pro: DocumentPrint event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentPrinted event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentSave event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentSaveAs event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentSaved event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DocumentSavedAs event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: DoubleClicked event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: EnterClickHere event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: EnterLayout event

 See list of classes

 See example

WPApplication

Division

Layout

Raised when the focus enters the container which is associated with a layout object. Returns a string value representing the name of the layout object entered.

TextDocument

Syntax

Parameters

Usage


Word Pro: ExitClickHere event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: GotFocus event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: ImportInsert event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: ImportInserted event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: Increment event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: KeyStroke event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: LostFocus event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: MouseDown event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: MouseUp event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: Moved event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: Opened event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: PreClose event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: PrePrint event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: Printed event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: Quit event

 See list of classes

 See example

Raised each time Word Pro receives an instruction to Exit the Word Pro application. The event handler in the script editor processes this event and any related scripts before Word Pro closes.

Syntax

Parameters

Usage

Use this event to run a script any time you exit Word Pro while the document containing the Quit event script is open.


Word Pro: Save event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: SaveAs event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: Saved event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: SavedAs event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: StatusBarButtonClicked event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: StatusBarButtonFillPopupList event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: StatusBarButtonItemSelected event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: StatusBarButtonOverrideGraphic event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: StatusBarButtonOverrideText event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: StatusBarButtonOverrideTextAndGraphic event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: TimerTick event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: WMCommand event

 See list of classes

 See example

Syntax

Parameters

Usage


Word Pro: Abandon method

 See list of classes

 See example

Syntax

[objectreference].Abandon()

Parameters

Return value

Boolean

Usage


Word Pro: Activate method

 See list of classes

 See example

Causes the object to become active in the Word Pro application.

Syntax

[objectreference].Activate()

Parameters

Return value

Boolean

Usage

Use this method from a TextDocument object to make that object

active. Use this method from a SectionTabs object to activate a

section within a division.


Word Pro: Add method

 See list of classes

 See example

Adds the Spell check tool to a ClickHere object, a TextMarker object or a Text object.

Syntax

[objectreference].Add(AddTypeSpell)

Parameters

AddTypeSpell
Data type is variant. The value of this parameter must be "$LwpAddTypeSpell" or its Enum code (4).

Return value

Usage


Word Pro: AddAccelerators method

 See list of classes

 See example

Adds accelerator keys commands that implement Word Pro functions and commands.

Syntax

[objectreference].AddAccelerators(MacroName, Key, [Id],[IsTemporaryUse])

Parameters

Macroname
A string expression representing the name of the macro, including the file name that should be assigned to a keystroke .

Key
A numeric expression representing the specific key used as the shortcut key combination. The value of this parameter must be an integer.

Id
A numeric expression representing the identification number of the menu item to which you want to add the accelerator object. The value of this parameter must be an integer. The default value is 0.

IsTemporaryUse
A boolean expression indicating whether this accelerator will persist between sessions of Word Pro (False) or will be discarded when the current session of Word Pro is terminated (True).

Return value

Usage


Word Pro: AddBookmark method

 See list of classes

 See example

Adds a bookmark object to the document. It is equivalent to choosing Create - Bookmark.

Syntax

[objectreference].AddBookmark(Name,MarkerName)

Parameters

Name
A string expression representing the bookmark object you want to add.

MarkerName
The string name of the bookmark object marker.

Return value

Usage


Word Pro: AddChildToLayout method

 See list of classes

 See example

Links a layout in the foundry to another layout as a child.

Syntax

[objectreference].AddChildToLayout(ChildName)

Parameters

ChildName
A string expression representing the name of child object you want to add to the layout.

Return value

Usage


Word Pro: AddDdeLink method

 See list of classes

 See example

Adds a Dde link object to the document. It is equivalent to choosing File - Document Properties, choosing Document, and clicking Links in the General panel in the Document Properties dialog box.

Syntax

[objectreference].AddDdeLink(ConversationHandle,LinkInfo,MarkerName,ServerN

ClipbrdFormatName,UpdateDataOnly)

Parameters

ConversationHandle
A numeric expression representing the conversation handle used by the AddDdeLink method. You must use a data type long value as the numeric expression.

LinkInfo
A string expression representing the link information about the Dde link object you want to add to the document.

MarkerName
A string expression representing the marker name of the Dde link object you want to add to the document.

ServerName
A string expression representing the name of the server that contains the original data you want to add to the document.

TopicName
A string expression representing the name of the drive, directory, and name for the file that contains the original data, or the object name of the original data.

ItemName
A string expression representing the location or name for the original data, such as a range of cells or a named spreadsheet range.

ClipbrdFormatName
A string expression representing the name of the format used in the clipboard that holds the original data that you want to add to the document.

UpdateDataOnly
A boolean expression that specifies whether the new DDE link will update. The boolean expression is either True or False.

Return value

Bool

Usage


Word Pro: AddDivision method

 See list of classes

 See example

Adds a division object to a division or text document object. It is equivalent to choosing Create - Division

Syntax

[objectreference].AddDivision(NewName, [ParentName,] [BeforeNeighbor,][NeighborName])

Parameters

NewName
A string expression that represents the name of the new division object.

ParentName
A string expression representing the name of the parent division object.

BeforeNeighbor
A boolean expression that allows you to specify whether you want to locate the new division object before its neighbor division object. A boolean expression is either True or False.

NeighborName
A string expression representing the name of a neighbor division object.

Return value

Usage


Word Pro: AddDivisionToPrint method

 See list of classes

 See example

Allows you to print a specified division object.

Syntax

[objectreference].AddDivisionToPrint(DivisionToPrint)

Parameters

DivisionToPrint
A string expression that allows you to print a specified division object.

Return value

Usage


Word Pro: AddEditorManager method

 See list of classes

 See example

Allows you to assign editing rights to a specific editor of a document.

Syntax

[objectreference].AddEditorManager(EditorName,EditorInitials)

Parameters

EditorName
A string expression representing the name of the assigned editor.

EditorInitials
A string expression representing the initials of the assigned editor.

Return value

Usage


Word Pro: AddField method

 See list of classes

 See example

Adds a field object to the document. It is equivalent to choosing Text - Insert Others and choosing Power/Doc. Field.

Syntax

[objectreference].AddField(FieldName,Contents,ExportFieldToNotes)

Parameters

FieldName
A string expression representing the name of the field you want to add.

Contents
A string expression representing the contents contained in the field you want to add.

ExportFieldToNotes
A boolean expression specifying whether or not you want the field exported to Notes.  A boolean expression is either True or False.

Return value

Usage


Word Pro: AddIndexEntry method

 See list of classes

 See example

Adds an index entry for an entire document, for a section, division, or selected text in a document. It is equivalent to . . .

Syntax

[objectreference].AddIndexEntry(IndexEntry)

Parameters

IndexEntry
A string expression representing the name of the entry you want to add to the index.

Return value

Usage


Word Pro: AddItem method

 See list of classes

 See example

Adds an item in a combo box object or list box object.

Syntax

[objectreference].AddItem(item)

Parameters

Item
A string expression representing the name of the item you want to add to the combo box object or list box object.

Return value

Usage


Word Pro: AddItemIndex method

 See list of classes

 See example

Adds an item in the Order Groups dialog box located in a custom dialog box object. It is equivalent to choosing within the Word Pro dialog editor Edit - Order Items.

Syntax

[objectreference].AddItemIndex(item,index)

Parameters

Item
A string expression representing the name of the item you want to add to the combo box object or the list box object.

Index
A numeric expression representing the index value for the list item named in the item parameter. You must use an integer as the numeric expression.

Return value

Usage


Word Pro: AddLayoutOverride method

 See list of classes

 See example

Adds an overridden layout method to a layout object.

Syntax

[objectreference].AddLayoutOverride(LayoutObjectName)

Parameters

LayoutObjectName
A string expression representing the name of the layout object you want to override.

Return value

Usage


Word Pro: AddListBoxText method

 See list of classes

 See example

Allows you to add text to list box in a custom dialog object. .

Syntax

[objectreference].AddListBoxText(Control_id,text)

Parameters

Contro
_id

Data type is Variant,

Text
Data type is string.

Return value

Usage


Word Pro: AddOutlineSequenceItem method

 See list of classes

 See example

Adds an item to an outline style sequence object.

Syntax

[objectreference].AddOutlineSequenceItem(StyleName)

Parameters

StyleName
A string expression representing the style name of the outline sequence item you want to add to an outline style sequence object.

Return value

Usage


Word Pro: AddPopupGraphicItem method

 See list of classes

 See example

Inserts a popup graphic item on the status bar button object.

Syntax

[objectreference].AddPopupGraphicItem([BitmapHandle])

Parameters

BitmapHandle
A numeric expression representing the bitmap handle used by the AddPopupGraphicItem method. You must use the data type long value as the numeric expression.

Return value

Usage


Word Pro: AddPopupPointSizeItem method

 See list of classes

 See example

Inserts a point size popup item on a status bar button object.

Syntax

[objectreference].AddPopupPointSizeItem(PointSize)

Parameters

PointSize
Indicates the point size of the item you want to add to the status bar button object.

Return value

Usage


Word Pro: AddPopupTextItem method

 See list of classes

 See example

Inserts a popup text item on a status bar button object.

Syntax

[objectreference].AddPopupTextItem(Text, [BitmapHandle])

Parameters

Text
The specific string of text used for the popup item.

BitmapHandle
An optional numeric expression representing the bitmap handle used by the AddPopupTextItem method. You must use the data type long value as the numeric expression.

Return value

Usage


Word Pro: AddSectionTabs method

 See list of classes

 See example

Adds section tabs to a division object. It is equivalent to choosing Create - Section.

Syntax

[objectreference].AddSectionTabs()

Parameters

Return value

Usage


Word Pro: AddSmartCorrect method

 See list of classes

 See example

Adds the SmartCorrect tool to a document. It is equivalent to choosing Edit - SmartCorrect.

Syntax

[objectreference].AddSmartCorrect(Entry,Replacement)

Parameters

Entry
A string expression representing the entry you want to add to the SmartCorrect tool.

Replacement
A string expression representing the text you want to use to replace a SmartCorrect entry.

Return value

Usage


Word Pro: AddTOCEntry method

 See list of classes

 See example

Adds a table of contents entry for an entire document, for a section, division, or selected text in a document.

Syntax

[objectreference].WPApplication.AddTOCEntry(TOCEntry)

[objectreference].TOCSuperTableLayout.AddTOCEntry()

Parameters

TOCEntry
Data type is String.

Return value

Usage


Word Pro: AddVerbMenu method

 See list of classes

 See example

Adds a list of available verbs that a Ole object can support.

Syntax

[objectreference].AddVerbMenu(MenuHandle,OleVerbMin,OleVerbMax,OleVerbConve

Parameters

MenuHandle
A numeric expression representing the menu handle used by the AddVerbMenu method. You must use the data type long values as the numeric expression.

OleVerbMin
Data type is Integer.

OleVerbMax
Data type is Integer.

OleVerbConvert
Data type is Integer.

Return value

Usage


Word Pro: AdjustShade method

 See list of classes

 See example

This method is not available in the 16-bit version of Word Pro.

In the 32-bit version of Word Pro, AdjustShade changes the size of a text selection. The selected text could be a Text or a TextMarker object.

Syntax

[objectreference].AdjustShade(WhichSide, Count)

Parameters

WhichSide
Data type is Variant.

One of the four sides listed below. You can use the string or its code as the value.

$LwpWhichSideLeft (2068)

$LwpWhichSideRight (2069)

$LwpWhichTypeLeft (1989)

$LwpWhichTypeRight (1990)

Count
Data type is Integer.

Return value

Usage


Word Pro: Adopt method

 See list of classes

 See example

Syntax

[objectreference].Adopt()

Parameters

Return value

Usage


Word Pro: AdviseOnRename method

 See list of classes

 See example

Syntax

[objectreference].AdviseOnRename()

Parameters

Return value

Usage


Word Pro: AdviseOnSave method

 See list of classes

 See example

Syntax

[objectreference].AdviseOnSave()

Parameters

Return value

Usage


Word Pro: Anchor method

 See list of classes

 See example

Attaches an object such as a frame or table to a page or a paragraph in a page.

Syntax

[objectreference].Anchor([AnchorWhere,] [ConditionType,] [RelativeType,] [AnchorParent])

Parameters

AnchorWhere
Data type is Variant. The value of this optional parameter must be one of the strings below or its code equivalent.

Default value is "$LwpAnchorWhereDivisionInfo".

$LwpAnchorWhereDivisionInfo (12)

$LwpAnchorWhereLayout (13)

ConditionType
Data type is Variant. The value of this optional parameter must be one of the strings below or its code equivalent. Default value is "$LwpConditionTypeAllpages".

$LwpConditionTypeAllbutspecificpage (156)

$LwpConditionTypeAllpages (154)

$LwpConditionTypeOnlyevenpages (157)

$LwpConditionTypeOnlyoddpages (158)

$LwpConditionTypeOnlyspecificpage (155)

$LwpConditionTypeStartatpage (159)

RelativeType
Data type is Variant. The value of this optional parameter must be one of the strings below or its code equivalent. Default value is "$LwpRelativeTypeLytInlineNewline".

$LwpRelativeTypeLytContent (1670)

$LwpRelativeTypeLytInline (1668)

$LwpRelativeTypeLytInlineNewline (1669)

$LwpRelativeTypeLytInlineVert (1671)

$LwpRelativeTypeLytPara (1667)

$LwpRelativeTypeLytParent (1666)

AnchorParent
Data type is Variant. The value of this optional parameter must be one of the strings below or its code equivalent.  The default value is "$LwpAnchorParentDefault".

$LwpAnchorParentCell (10)

$LwpAnchorParentDefault (11)

$LwpAnchorParentFrame (9)

Return value

Usage


Word Pro: AnswerMsgBox method

 See list of classes

 See example

Syntax

[objectreference].AnswerMsgBox(MsgBoxResponse)

Parameters

MsgBoxResponse
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpMsgboxReplyCancel (2076)

$LwpMsgboxReplyIgnore (2078)

$LwpMsgboxReplyNo (2080)

$LwpMsgboxReplyOk (2075)

$LwpMsgboxReplyRetry (2077)

$LwpMsgboxReplyYes (2079)

Return value

Usage


Word Pro: AnyEdits method

 See list of classes

 See example

Syntax

[objectreference].AnyEdits(EditorName)

Parameters

EditorName
A string expression representing the name of the editor.

Return value

Usage


Word Pro: AppendMacro method

 See list of classes

 See example

Syntax

[objectreference].AppendMacro()

Parameters

Return value

Usage


Word Pro: Backspace method

 See list of classes

 See example

Syntax

[objectreference].Backspace(Count)

Parameters

Count
Data type is Integer.

Return value

Usage


Word Pro: Backward method

 See list of classes

 See example

This method is not available in the 16-bit version of Word Pro.

In the 32-bit version of Word Pro, this method is defined in the following classes: BaseContainer

Layout

Moves the specified layout from its current position one level backward in comparison to its siblings

TextMarker

Text

Syntax

[objectreference.]BaseContainer.Backward(Direction)

[objectreference.]Layout.Backward()

[objectreference.]ClickHere.Backward(Unit,NumberOfUnits)

[objectreference.TextMarker.Backward(Unit,NumberOfUnits)

[objectreference.]Text.Backward(Unit,NumberOfUnits)

Parameters

Direction
The value of this parameter must be one of the strings or codes listed below:

$LwpDirectionPage (182)

$LwpDirectionWindow (183)

Unit
Allows you to specify the units you want to use when moving backward. The value of this parameter must be one of the strings or codes listed below:

$LwpNavigateObjectTypeCharacter (1519)

$LwpNavigateObjectTypeChunk (1522)

$LwpNavigateObjectTypeObject (1520)

$LwpNavigateObjectTypePage (1518)

$LwpNavigateObjectTypeParagraph (1524)

$LwpNavigateObjectTypeSentence (1523)

$LwpNavigateObjectTypeWord (1521)

NumberOfUnits
An integer which specifies the number of units you want to move backward.

Return value

Boolean

Usage


Word Pro: BeginChange method

 See list of classes

 See example

Syntax

[objectreference].BeginChange([DontMarkChanges])

Parameters

DontMarkChanges
An optional boolean expression that allows you to mark (TRUE) or not mark (FALSE) any changes you have begun in the Word Pro application, division, or text document object.  A boolean expression is either True or False.

Return value

Usage


Word Pro: BeginCustomLines method

 See list of classes

 See example

Syntax

[objectreference].BeginCustomLines()

Parameters

Return value

Usage


Word Pro: Bisect method

 See list of classes

 See example

Syntax

[objectreference].Bisect(objectname,objectname)

Parameters

ObjectName
A string expression representing the name of the object you want to bisect.

Return value

Usage


Word Pro: Bold method

 See list of classes

 See example

Sets the bold attribute for selected text or all following text if no text is selected.  It acts as a toggle, turning of the attribute if it is currently on and turning on the attribute if it is currently off. This method is equivalent to choosing Text - Text Properties and selecting bold from the Attributes list box in the Font panel.

Syntax

[objectreference].Bold()

Parameters

Return value

Usage


Word Pro: BreakLink method

 See list of classes

 See example

Syntax

[objectreference].BreakLink()

Parameters

Return value

Usage


Word Pro: BringFrameToFront method

 See list of classes

 See example

Brings the selected frame to the front of a stack of frames. It is equivalent to choosing Frame - Priority and choosing Bring to Front.

Syntax

[objectreference].BringFrameToFront()

Parameters

Return value

Usage


Word Pro: BringFrameToFrontOne method

 See list of classes

 See example

Brings the selected frame to the front of the frame that precedes it. It is equivalent to choosing Frame - Priority and choosing Bring Forward One.

Syntax

[objectreference].BringFrameToFrontOne()

Parameters

Return value

Usage


Word Pro: Buttons method

 See list of classes

 See example

Adds buttons to a custom dialog box.

Syntax

[objectreference].Buttons(Control_id)

Parameters

Contro
_id Data type is Variant.

Return value

Usage


Word Pro: CalcSmartLevels method

 See list of classes

 See example

Syntax

[objectreference].CalcSmartLevels()

Parameters

Return value

Usage


Word Pro: CalculateSmartLevels method

 See list of classes

 See example

Syntax

[objectreference].CalculateSmartLevels()

Parameters

Return value

Usage


Word Pro: Cancel method

 See list of classes

 See example

Cancels the printing of a document.

Syntax

[objectreference].Cancel()

Parameters

Return value

Usage


Word Pro: CanHaveFootnotes method

 See list of classes

 See example

Syntax

[objectreference].CanHaveFootnotes()

Parameters

Return value

Usage


Word Pro: Cascade method

 See list of classes

 See example

Displays the windows so that the documents overlap.

Syntax

[objectreference].Cascade()

Parameters

Return value

Usage


Word Pro: CascadeWindow method

 See list of classes

 See example

Overlaps mulitiple open windows with the currently active window on top. It is equivalent to choosing Window - Cascade.

Syntax

[objectreference].CascadeWindow()

Parameters

Return value

Usage


Word Pro: CellLayout method

 See list of classes

 See example

The cell layout for a cell in a table object.

Syntax

[objectreference].CellLayout([Row,] [Column])

Parameters

Row
Data type is Integer. Optional parameter.

Column
Data type is Integer. Optional parameter.

Return value

Usage


Word Pro: CellRevert method

 See list of classes

 See example

Syntax

[objectreference].CellRevert()

Parameters

Return value

Usage


Word Pro: ChangeAllEditsToEditor method

 See list of classes

 See example

Syntax

[objectreference].ChangeAllEditsToEditor(EditorName)

Parameters

EditorName
Data type is String.

Return value

Usage


Word Pro: ChangeSmartMaster method

 See list of classes

 See example

Allows you to change to different SmartMaster. It is equivalent to choosing File - Choose Another SmartMaster

Syntax

[objectreference].ChangeSmartMaster(PathName,Type, [ApplyTo])

Parameters

PathName
Data type is String.

Type
Data type is String.

ApplyTo
Data type is String. Optional parameter.

Return value

Usage


Word Pro: CheckBoxes method

 See list of classes

 See example

Inserts a check box in a custom dialog box.

Syntax

[objectreference].CheckBoxes(Control_id)

Parameters

Contro
_id

Data type is Variant.

Return value

Usage


Word Pro: ChgLineStyle method

 See list of classes

 See example

Changes the style of a line in a table.

Syntax

[objectreference].ChgLineStyle(LineStyle)

Parameters

LineStyle
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTableLineStyleAll (1878)

$LwpTableLineStyleCols (1882)

$LwpTableLineStyleCustom (1886)

$LwpTableLineStyleInnercols (1887)

$LwpTableLineStyleInnerRowscols (1888)

$LwpTableLineStyleMixed (1885)

$LwpTableLineStyleNone (1877)

$LwpTableLineStyleOutline (1879)

$LwpTableLineStyleOutlineall (1880)

$LwpTableLineStyleOutlinecols (1884)

$LwpTableLineStyleOutlinerows (1883)

$LwpTableLineStyleRows (1881)

Return value

Usage


Word Pro: Clear method

 See list of classes

 See example

Removes an object such as text or a paragraph style. This method is defined in the following classes:

Attributes

Bag

Division

Clears the content of the Division object.

Font

Foundry

Clears all objects out of the Foundry. Use only from the WPApplication or TempFoundry. Used from the Division, this method clears all styles and everything. ClickHere

TextMarker

MergeOptions

OutlineStyleSequence

ParagraphStyle

Text

TextDocument

TOCSuperTableLayout

Syntax

[Objectreference].Attributes.Clear()Attributes

[Objectreference].Bag.Clear()

[Objectreference].Division.Clear()

[Objectreference] .Font.Clear()

[Objectreference].Foundry.Clear([Reserved] )

[Objectreference].Clear.ClickHere.ClearWhat([ClearWhat,] [p2,] [ClassName,] [SubClass])

[Object reference] .TextMarker.ClearWhat([ClearWhat,] [ p2,] [ClassName,] [SubClass])

[Object reference] .MergeOptions.Clear()

[Object reference] .OutlineStyleSequence.Clear()

[Object reference] .ParagraphStyle.Clear()

[Object reference].Text.ClearWhat([ClearWhat,] [p2,] [ClassName,] [SubClass])

[Object reference].TextDocument.Clear()

[Object reference].TOCSuperTableLayout.TextDocument.Clear()

Parameters

Reserved
Data type is Variant.  The value of this optional parameter must be the string below or its code equivalent. The optional default value is "$LwpReservedParam".

$LwpReservedParam(1707)

ClearWhat
Data type is Variant. Parameter is optional. Default value is "$LwpClearWhatDefault". $LwpClearWhatClearMisspelledWord (141)

$LwpClearWhatDefault (145)

$LwpClearWhatHighlighter (144)

$LwpClearWhatObject (143)

$LwpClearWhatTombstone (142)

p2
Data type is Variant. Optional parameter. Default value is 1.

ClassName
Data type is String. Optional parameter.

SubClass
Data type is String. Optional parameter.

Return value

Usage


Word Pro: ClearAll method

 See list of classes

 See example

Removes all tabs from the ruler.

Syntax

[objectreference].ClearAll()

Parameters

Return value

Usage


Word Pro: ClearDivisionList method

 See list of classes

 See example

Removes the list of divisions in the Division to print list box.

Syntax

[objectreference].ClearDivisionList()

Parameters

Return value

Usage


Word Pro: ClearInternalSpellInfo method

 See list of classes

 See example

Syntax

[objectreference].ClearInternalSpellInfo()

Parameters

Return value

Usage


Word Pro: ClearParaRevisionTags method

 See list of classes

 See example

Removes paragraph revision tags from a document.

Syntax

[objectreference].ClearParaRevisionTags()

Parameters

Return value

Usage


Word Pro: ClearPopupData method

 See list of classes

 See example

Removes data from popups in the status bar.

Syntax

[objectreference].ClearPopupData()

Parameters

Return value

Usage


Word Pro: ClearSplits method

 See list of classes

 See example

Clears all split views from the screen. It is equivalent to choosing View - Clear All Splits.

Syntax

[objectreference].ClearSplits()

Parameters

Return value

Usage


Word Pro: ClearUpdate method

 See list of classes

 See example

Syntax

[objectreference].ClearUpdate()

Parameters

Return value

Usage


Word Pro: Clickers method

 See list of classes

 See example

Syntax

[objectreference].Clickers(Control_id)

Parameters

Contro
_id

Data type is Variant.

Return value

Usage


Word Pro: Close method

 See list of classes

 See example

Closes a Word Pro document.

Syntax

[Objectreference].WPApplication.Close([SaveChanges,] [DocName,] [Location,][ DocType,][CloseFile])

[Objectreference].ApplicationWindow.Close()

[Objectreference].Document.Close([SaveChanges,] [DocName,] [Location,] [DocType,] [CloseFile])

[Objectreference].Window.Close() Bool

[Objectreference].DocWindow.Close() Bool

Parameters

SaveChanges
Data type is Bool. Optional parameter. Default value is True.

DocName
Data type is String. Optional parameter.

Location
Data type is String. Optional parameter.

DocType
Data type is String. Optional parameter.

CloseFile
Data type is Variant. The value of this optional parameter must be one of the strings below or its code equivalent. The default value for this parameter is "$LwpCloseFileIfLastdocOpenUntitled".

$LwpCloseFileIfLastdocNoOpen (147)

$LwpCloseFileIfLastdocOpenUntitled (146)

Return value

Usage


Word Pro: CloseAll method

 See list of classes

 See example

Closes all open documents in the Word Pro application.

Syntax

[objectreference].CloseAll([CloseFile])

Parameters

CloseFile
Data type is Variant. The default value is "$LwpCloseFileIfLastdocOpenUntitled". The value of this optional parameter must be one of the strings below or its code equivalent.

$LwpCloseFileIfLastdocNoOpen (147)

$LwpCloseFileIfLastdocOpenUntitled (146)

Return value

Usage


Word Pro: CloseDocWindow method

 See list of classes

 See example

Closes a document window in Word Pro.

Syntax

[objectreference].CloseDocWindow([AskUserToSave])

Parameters

AskUserToSave
Data type is Boolean. Optional parameter. Default is True.

Return value

Usage


Word Pro: CloseMergeDataFile method

 See list of classes

 See example

Closes the data file for the active merge document. Any changes the user makes are lost if this is used before the user saves the file.

Syntax

[objectreference].CloseMergeDataFile()

Parameters

Return value

Usage


Word Pro: CloseObject method

 See list of classes

 See example

Syntax

[objectreference].CloseObject()

Parameters

Return value

Usage


Word Pro: CombineDivisions method

 See list of classes

 See example

Combines selected divisions into one division. It is equivalent to clicking the right mouse button on a division tab and selecting Combine Divisions.

Syntax

[objectreference].CombineDivisions(StartName,EndName)

Parameters

StartName
Data type is String.

EndName
Data type is String.

Return value

Usage


Word Pro: CombineSections method

 See list of classes

 See example

Combines selected sections into one section. It is equivalent to clicking the right mouse button on a section tab and selecting Combine Sections.

Syntax

[objectreference].CombineSections()

Parameters

Return value

Usage


Word Pro: ComboBoxes method

 See list of classes

 See example

Inserts combo boxes in a custom dialog box.

Syntax

[objectreference].ComboBoxes(Control_id)

Parameters

Contro
_id

Data type is Variant.

Return value

Usage


Word Pro: CompareFiles method

 See list of classes

 See example

Displays specific files from the Word Pro application for you to compare.

Syntax

[objectreference].CompareFiles(FilePath,FileType,IsMultiDocs,IndexOfMultiDo

Parameters

FilePath
Data type is String.

FileType
Data type is String.

IsMultiDocs
Data type is Boolean.

IndexOfMultiDocToCompare
Data type is Integer.

Return value

Usage


Word Pro: Configure method

 See list of classes

 See example

Syntax

[objectreference].Configure()

Parameters

Return value

Usage


Word Pro: Connect method

 See list of classes

 See example

Connects two or more rows, columns, and cells to create one large row, column or cell in a table object.

Syntax

[objectreference].Connect([StartRow,][StartCol,][EndRow,][EndCol,][MergeCon

Parameters

StartRow
Data type is Integer. Optional parameter.

StartCol
Data type is Integer. Optional parameter.

EndRow
Data type is Integer. Optional parameter.

EndCol
Data type is Integer. Optional parameter.

MergeContents
Data type is Boolean. Optional parameter. Default value is True.

Return value

Usage


Word Pro: ConnectCells method

 See list of classes

 See example

Connects selected table cells. The ConnectCells method is a toggle. If the selected cells are not connected, they become connected. If the selected cells are already connected, they become disconnnected.This method is equivalent to choosing Table - Connect Cell.

Syntax

[objectreference].ConnectCells()

Parameters

Return value

Usage


Word Pro: ConnectContainer method

 See list of classes

 See example

Connects selected container objects.

Syntax

[objectreference].ConnectContainer()

Parameters

Return value

Usage


Word Pro: ConnectRows method

 See list of classes

 See example

Connects or disconnects the selected table rows. The ConnectRows method is a toggle. If the selected rows are not connected, they become connected. If the selected rows are already connected, they become disconnnected.This method is equivalent to choosing Table - Connect Row.

Syntax

[objectreference].ConnectRows()

Parameters

Return value

Usage


Word Pro: ConnectSectionTabs method

 See list of classes

 See example

Connects selected section tabs in a document.

Syntax

[objectreference].ConnectSectionTabs()

Parameters

Return value

Usage


Word Pro: Contract method

 See list of classes

 See example

Hides sections tabs in a document.

Syntax

[objectreference].Contract()

Parameters

Return value

Usage


Word Pro: ContractOutlineLevel method

 See list of classes

 See example

This method is defined in the following classes:

WPApplication

TextMarker

Text

Hides all the subordinate text of an outline.

Syntax

[objectreference.]WPApplication.ContractOutlineLevel([All])

[objectreference.]ClickHere.ContractOutlineLevel(ContractAll)

[objectreference.]TextMarker.ContractOutlineLevel(ContractAll)

[objectreference.]Text.ContractOutlineLevel(ContractAll)

Parameters

All
Data type is Bool. Parameter is optional. Default value is True.

ContractAll
Data type is Bool.

Return value

Bool

Usage


Word Pro: ConvertToClass method

 See list of classes

 See example

Syntax

[objectreference].ConvertToClass(AFIDClassName)

Parameters

AFIDClassName
Data type is String.

Return value

Usage


Word Pro: Copy method

 See list of classes

 See example

Copies the selected text, selected frame, or table to the clipboard. It is equivalent to Edit - Copy. This method is defined in the following classes:

Division

Foundry

BaseTable

TextDocument

Syntax

[Objectreference].Division.Copy(Name,[ParentName,][BeforeNeighbor,][Neigh

[Objectreference].Foundry.Copy([ObjectType,][ObjectName,][Foundry Type,] [p4,][NewName]) [Objectreference].BaseTable.Copy([Temporary]) [Objectreference].TextDocument.Copy(Name,[ParentName,][BeforeNeighbor,][N

Parameters

CopyName
Data type is string.

ParentName
Data type is string. Parameter is optional.

BeforeNeighbor
Data type is Bool. Parameter is optional. Default value is False.

NeighborName
Data type is String. Parameter is optional.

ObjectType
Data type is Variant. The value of this optional parameter must be one of the strings below or its code equivalent. Default value is "$LwpCopyObjectTypeLayout".

$LwpCopyObjectTypeContents (170)

Copying a content object.

$LwpCopyObjectTypeDivision (171)

Copying a Division object.

$LwpCopyObjectTypeLayout (168)

Copying a Layout

$LwpCopyObjectTypeStyle (169)

Copyng a Style

ObjectName
Data type is String. Parameter is optional.

FoundryType
Data type is Variant. The value of this optional parameter must be one of the strings below or its code equivalent. Default value is "$LwpFoundryTypeDocument".

String    Code

$LwpFoundryTypeApplication (346)

Copies to Same as Clipboard

$LwpFoundryTypeDocument (345)

Copies to Division foundry object $LwpFoundryTypeTemporary (347)

Copies to Temporary foundry object

p4
(StyleType)

Used when copying a Style object. Indicates the type of style you want to copy. If you leave this blank and use a null string ("") as the value of ObjectName, all styles will be copied. Data type is Variant. Parameter is optional.

$LwpStyleTypeCell (1834)

$LwpStyleTypeCharacter (1830)

$LwpStyleTypeDefault (1828)

$LwpStyleTypeFrame (1832)

$LwpStyleTypePage (1831)

$LwpStyleTypeParagraph (1829)

$LwpStyleTypeTable (1833)

NewName
Specifies a new name for the copied object. Data type is String. Parameter is optional.

Temporary
Data type is Bool. Parameter is optional. Default value is False.

Return value

Usage


Word Pro: CopyItem method

 See list of classes

 See example

Copies a selected menu item.

Syntax

[objectreference].CopyItem(FromItem,[After,] [TargetText,] [Caption])

Parameters

FromItem
Specifies which menu you are copying the item from.

After
The default value of True places the copied item after last item in the parent menu item object.  Setting the value of After to False places the copied item before the first item in the parent menu item object. This is an optional Boolean expression. A Boolean expression is either True or False.

TargetText
Allows you to specify a menu item object so you can place the copied item before or after it.  It is an optional string expression.

Caption
The name of the copied menu item. It is an optional string expression.

FromItem
Data type is MenuItem.

After
Data type is Bool. Parameter is optional. Default value is True.

TargetText
Data type is String. Parameter is optional.

Caption
Data type is String. Parameter is optional.

Return value

Usage


Word Pro: CopyMeaning method

 See list of classes

 See example

Syntax

[objectreference].CopyMeaning()

Parameters

Return value

Usage


Word Pro: CopySelection method

 See list of classes

 See example

Copies a specified selection in the document or the application.

Syntax

[objectreference].CopySelection()

Parameters

Return value

Usage


Word Pro: CreateDataFile method

 See list of classes

 See example

Creates a new data file that contains the records and fields you want to merge. It is equivalent to choosing Text - Merge to display the Merge Assistant dialog box and clicking the New Data File button in the Data File panel to display the Create Data File dialog box.

Syntax

[objectreference].CreateDataFile(Delimiters,FieldNames,[IsAscii])

Parameters

Delimiters
A string expression representing a character or symbol that you specify to seperate a field in a record. The value of this parameter can be any two alphanumeric characters. The default value for this parameter is "~|". Tilde is for field and bar is for record. If IsAscii is TRUE, the value of this parameter must be "Fixed length ASCII".

FieldNames
A string expression representing the names of the fields in the new data file. Each field name is separated by the delimiter specified in the Delimiters parameter.

IsAscii
Indicates whether or not the data file is fixed length ASCII. A boolean expression is either True or False.

Optional

Return value

Usage


Word Pro: CreateDivision method

 See list of classes

 See example

Creates a division in a document. It is equivalent to Create - Division.

Syntax

[objectreference].CreateDivision([MasterFileName,][FileType,][DivisionLocat

Parameters

MasterFileName
An optional string expression representing the name of a master file. If you link an external file to a document, the original document becomes a master document. A master document contains external files which become divisions in the original document.

FileType
An optional string expression representing the file type of file of the division.

DivisionLocation
Data type is Variant. One of the three optional division locations listed below. The value of this parameter must be one of the strings below or its code equivalent. The default value is "$LwpDivLocInsertAtInsertionPt".

$LwpDivLocInsertAfterCurrentdiv (185)

$LwpDivLocInsertAtInsertionPt (186)

$LwpDivLocInsertBeforeCurrentdiv (184)

Parent
An optional string expression representing the name of the parent division object.

NeighborName
An optional string expression representing the name of the neighbor division object.

Return value

Usage


Word Pro: CreateDocument method

 See list of classes

 See example

Creates a new document. It is equivalent to File - New Document.

Syntax

[objectreference].CreateDocument()

Parameters

Return value

Usage


Word Pro: CreateExternalDivision method

 See list of classes

 See example

Imports or links an external file into a document and changes that external file into a division of the document.

Syntax

[objectreference].CreateExternalDivision([Path,][FileType,][DivisionLocatio

Parameters

Path
An optional string expression representing the drive and directory location of the external division.

FileType
An optional string expression representing the file type of the external division.

DivisionLocation
Data type is Variant. The default value is "$LwpDivLocInsertAtInsertionPt". The value of this parameter must be one of the strings below or its code equivalent.

$LwpDivLocInsertAfterCurrentdiv (185)

$LwpDivLocInsertAtInsertionPt (186)

$LwpDivLocInsertBeforeCurrentdiv (184)

Parent
An optional string expression representing the name of the parent division object.

NeighborName
An optional string expression representing the name of the neighbor division object.

Return value

Usage


Word Pro: CreateFrame method

 See list of classes

 See example

Creates a frame object in a document. It is the equivalent to Create - Frame.

Syntax

[objectreference].CreateFrame([UseDefault,][FrameStyle,][Width,][Height]

Parameters

UseDefault
An optional Boolean expression indicating whether the frame is the default frame style(TRUE) or not  the default frame(FALSE). A boolean expression is either True or False.

FrameStyle
An optional string expression indicating the style of the frame.

Width
Data type is Twips.

Optional parameter.

The width of the frame measured in twips. One twip equals 1/440".

The following list of equivalent values may be useful in determining the appropriate TwipValue for your script.

1 inch = 72 points = 1440 twips = 4718592 units

1 point = 20 twips = 65536 units

1 twip = 3276.8 units

Height
Data type is Twips.

Optional parameter.

The height of the frame measured in twips.

Return value

Usage


Word Pro: CreateFromBitmap method

 See list of classes

 See example

Creates a graphic object from a bitmap.

Syntax

[objectreference].CreateFromBitmap(BitmapHandle,IsDeviceIndependent)

Parameters

BitmapHandle
Data type is Long value.

IsDeviceIndependent
Data type is Boolean.

Return value

Usage


Word Pro: CreateFromClipBrd method

 See list of classes

 See example

Creates a graphic object from the clipboard.

Syntax

[objectreference].CreateFromClipBrd([ClipBrdFormat])

Parameters

ClipBrdFormat
Data type is String. Optional parameter.

Return value

Usage


Word Pro: CreateFromDataObject method

 See list of classes

 See example

Creates a graphic from a data object.

Syntax

[objectreference].CreateFromDataObject(DataObjPtr,[ClipBrdFormat])

Parameters

DataObjPtr
Data type is Long value.

ClipBrdFormat
An optional string expression representing the format of clipboard.

Return value

Usage


Word Pro: CreateFromMetafile method

 See list of classes

 See example

Creates a graphic from a metafile.

Syntax

[objectreference].CreateFromMetafile(MetaFileHandle,EnhancedMetafile)

Parameters

MetaFileHandle
Data type is Long value.

EnhancedMetafile
Data type is Boolean.

Return value

Usage


Word Pro: CreateGlossary method

 See list of classes

 See example

Inserts the named glossary object into a document. This is equivalent to Edit - Glossary.

Syntax

[objectreference].CreateGlossary()

Parameters

Return value

Usage


Word Pro: CreateGlossaryEntry method

 See list of classes

 See example

Allows you to select and name the entry you want to store in the glossary object of a document. It is equivale

nt to  choosing Edit - Glossary.

Syntax

[objectreference].CreateGlossaryEntry(GlossFilePath,KeyName)

Parameters

GlossFilePath
Data type is String.

Keyname
Data type is String.

Return value

Usage


Word Pro: CreateGraphic method

 See list of classes

 See example

Imports a graphic object in a Word Pro document.

Syntax

[objectreference].CreateGraphic(AFIDClassName, ScratchOutFrame)

Parameters

AFIDClassName
Data type is String.

ScratchOutFrame
Data type is Boolean.

Return value

Usage


Word Pro: CreateNew method

 See list of classes

 See example

Creates a new graphic in a document.

Syntax

[objectreference].CreateNew(NameOfGraphicType)

Parameters

NameOfGraphicType
Data type is String.

Return value

Usage


Word Pro: CreateNewButton method

 See list of classes

 See example

Creates a new button in the status bar.

Syntax

[objectreference].CreateNewButton(ParentButtonId, InsertAfterButtonId, ButtonWidth, ButtonType)

Parameters

ParentButtonId
Data type is Long value.

InsertAfterButtonId
Data type is Long value.

ButtonWidth
Data type is Integer.

ButtonType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

LwpButtonBehaviorClickable (&H8)

LwpButtonBehaviorCollapsible (&H10)

LwpButtonBehaviorContainer (&H20)

LwpButtonBehaviorLeftclick (&H8)

LwpButtonBehaviorPopup (&H4)

LwpButtonBehaviorThermometer (&H80000)

LwpButtonCanBeDepressed (&H40000)

LwpButtonContentsCenterAligned (&H80)

LwpButtonContentsGray (&H200)

LwpButtonContentsHilited (&H400)

LwpButtonContentsLeftAligned (&H40)

LwpButtonContentsRightAligned (&H100)

LwpButtonHasAutorepeat (&H4000)

LwpButtonHasUpdownCtrl (&H20000)

LwpButtonNoTextFromHost (&H800)

LwpButtonReserved (&H8000)

LwpButtonSpacer (&H10000)

LwpButtonSupportDblClick (&H2000)

LwpButtonSupportRightClick (&H1000)

LwpButtonTypeGraphics (&H2)

LwpButtonTypeText (&H1)

Return value

String

Usage


Word Pro: CreateOleEmbeddedFile method

 See list of classes

 See example

Inserts an OLE embedded file in the Word Pro application.

Syntax

[objectreference].CreateOleEmbeddedFile(sClassID,FilePath,IconMetaFilePictH

Parameters

sClassID
Data type is String.

FilePath
Data type is String.

IconMetaFilePictHandle
You must use the data type long value as the numeric expression.

An optional numeric expression.

Default value 0.

Return value

Usage


Word Pro: CreateOleLinkedFile method

 See list of classes

 See example

Inserts a linked Ole file into a document.

Syntax

[objectreference].CreateOleLinkedFile(FilePath,[IconMetaFilePictHandle])

Parameters

FilePath
Data type is String.

IconMetaFilePictHandle
You must use a data type long value as the numeric expression.

An optional numeric expression.

Default value 0.

Return value

Usage


Word Pro: CreateOleNew method

 See list of classes

 See example

Inserts an OLE object in a document.

Syntax

[objectreference].CreateOleNew(sClassID, IconMetaFilePictHandle)

Parameters

sClassID
Data type is String.

IconMetaFilePict
An optional numeric expression.

Default value 0.

You must use the data type long value as the numeric expression.

Return value

Usage


Word Pro: CreateParallelColumns method

 See list of classes

 See example

Creates a parallel column object in a document. It is equivalent to Create - Parallel Columns.

Syntax

[objectreference].CreateParallelColumns(NumCols, [AlignmentType])

Parameters

NumCols
Data type is Integer.

AlignmentType
Data type is Variant. Optional parameter. The default value is "$LtsAlignmentHorizCenter". The value of this parameter must be one of the strings below or its code equivalent.

$LtsAlignmentHorizCenter (1056964611)

$LtsAlignmentJustify (1056964613)

$LtsAlignmentLeft (1056964609)

$LtsAlignmentRight (1056964610)

$LtsAlignmentSmart (1056964612)

$LwpAlignmentTypeAlignRevert (8)

$LwpAlignmentTypeJustifyall (5)

$LwpAlignmentTypeNumericleft (6)

$LwpAlignmentTypeNumericright (7)

Return value

Usage


Word Pro: CreateRemark method

 See list of classes

 See example

Allows you to insert an editorial remark in a version of a document. This is equivalent to choosing File - Versions, selecting the desired version, and clicking New Remark.

Syntax

[objectreference].CreateRemark[(Remarks, Time, EditorInitials)

Parameters

Remarks
Data type is String.

Time
Data type is Long value.

EditorInitials
Data type is String.

Return value

Usage


Word Pro: CreateTable method

 See list of classes

 See example

Creates a table object in a document. It is equivalent to Create - Table.

Syntax

[objectreference].CreateTable([UseDefault,][FrameStyle,][Columns,][Rows]

Parameters

UseDefault
Data type is Boolean. Optional parameter. Default value is True.

FrameStyle
Data type is String. Optional parameter.

Columns
Data type is Long value. Optional parameter.

Rows
Data type is Long value. Optional parameter.

Return value

Usage


Word Pro: CreateVersion method

 See list of classes

 See example

Allows you to create a version of a document for editing.  It is equivalent to File - Versions.

Syntax

[objectreference].CreateVersion(Name)

Parameters

Name
Data type is String.

Return value

Usage


Word Pro: CutSelection method

 See list of classes

 See example

Deletes a specified selection from a document or the Word Pro application.

Syntax

[objectreference].CutSelection()

Parameters

Return value

Usage


Word Pro: DataObjectGetData method

 See list of classes

 See example

Syntax

[objectreference].DataObjectGetData(pFormatEtc,pStgMedium)

Parameters

pFormatEtc
Data type is Long value.

pStgMedium
Data type is Long value.

Return value

Usage


Word Pro: DataObjectGetDataHere method

 See list of classes

 See example

Syntax

[objectreference].DataObjectGetDataHere(pFormatEtc,pStgMedium)

Parameters

pFormatEtc
Data type is Long value.

pStgMedium
Data type is Long value.

Return value

Usage


Word Pro: DblUnderline method

 See list of classes

 See example

Assigns the double underline attribute to text.

Syntax

[objectreference].DblUnderline()

Parameters

Return value

Usage


Word Pro: Delete method

 See list of classes

 See example

Deletes an object type from a bag object. Deletes an object type from a glossary or base table object.This method is defined in the following classes:

Bag

BaseTable

Syntax

[objectreference].Bag.Delete()

[objectreference].BaseTable.Delete(TableDelType,[Start,] [Count])

Parameters

TableDelType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTableDelTypeColumn (1868)

$LwpTableDelTypeRow (1867)

$LwpTableDelTypeWholetable (1869)

Start
Data type is Integer. Parameter is optional.

Count
Data type is Integer. Parameter is optional.

Return value

Bool Bool

Usage


Word Pro: DeleteButton method

 See list of classes

 See example

Deletes a button from the status bar.

Syntax

[objectreference].DeleteButton()

Parameters

Return value

Usage


Word Pro: DeleteChars method

 See list of classes

 See example

Deletes characters from a text string.

Syntax

[objectreference].DeleteChars(Count)

Parameters

Count
Data type is Integer.

Return value

Usage


Word Pro: DeleteContainer method

 See list of classes

 See example

Deletes acccess to object within the current context of a document.

Syntax

[objectreference].DeleteContainer()

Parameters

Return value

Usage


Word Pro: DeleteContent method

 See list of classes

 See example

Deletes the content in a GraphicOleObject.

Syntax

[objectreference].DeleteContent()

Parameters

Return value

Usage


Word Pro: DeleteContents method

 See list of classes

 See example

Deletes the contents from an object.

Syntax

[objectreference].DeleteContents()

Parameters

Return value

Usage


Word Pro: DeleteDivision method

 See list of classes

 See example

Deletes the division object, its contents, and any child divisions. It is equivalent to clicking the right mouse button on the division divider tab and choosing Delete Division.

Syntax

[objectreference].DeleteDivision([DivisionName])

Parameters

DivisionName
Data type is String, Optional parameter.

Return value

Usage


Word Pro: DeleteField method

 See list of classes

 See example

Deletes a field from a document.

Syntax

[objectreference].DeleteField(FieldName)

Parameters

FieldName
Data type is String.

Return value

Usage


Word Pro: DeleteItem method

 See list of classes

 See example

Deletes an item from a menu in the Word Pro application.

Syntax

[objectreference].DeleteItem(MenuText)

Parameters

MenuText
The name of the menu item you want to delete from a menu. Menutext is a string expression.

Return value

Usage

You call the DeleteItem method from the parent menu and specify

which item you want to delete.


Word Pro: DeleteKey method

 See list of classes

 See example

Deletes information from the document using the Delete key.

Syntax

[objectreference].DeleteKey()

Parameters

Return value

Usage


Word Pro: DeleteLayout method

 See list of classes

 See example

Deletes the specified layout object which deletes the content.

Syntax

[objectreference].DeleteLayout()

Parameters

Return value

Usage


Word Pro: DeleteMacroAccelerator method

 See list of classes

 See example

Deletes the macro acceletator key.

Syntax

[objectreference].DeleteMacroAccelerator(MacroName)

Parameters

MacroName
Data type is String.

Return value

Usage


Word Pro: DeleteMarker method

 See list of classes

 See example

Deletes a marker from a document.

Syntax

[objectreference].DeleteMarker()

Parameters

Return value

Usage


Word Pro: DeleteParallelColumns method

 See list of classes

 See example

Deletes a parallel column from a document. It is equivalent to choosing Columns -  Delete and choosing All Columns.

Syntax

[objectreference].DeleteParallelColumns()

Parameters

Return value

Usage


Word Pro: DeleteSection method

 See list of classes

 See example

Deletes a section object from a division.  It is equivalent to clicking the right mouse button on the section divider tab and choosing Delete Section.

Syntax

[objectreference].DeleteSection()

Parameters

Return value

Usage


Word Pro: DeleteSmartCorrect method

 See list of classes

 See example

Turns off the SmartCorrect tool in a document.

Syntax

[objectreference].DeleteSmartCorrect(Entry)

Parameters

Entry
Data type is String.

Return value

Usage


Word Pro: DeleteTab method

 See list of classes

 See example

Deletes a tab setting from the horizontal ruler. It is equivalent to choosing View - Show/Hide and then Ruler to display the horizontal ruler and dragging a tab off the ruler and releasing the mouse button. This method is also equivalent to clicking the right mouse button anywhere over the ruler and choosing Clear All Tabs.

Syntax

[objectreference].DeleteTab(Index)

Parameters

Index
Data type is Integer.

Return value

Usage


Word Pro: DeleteTable method

 See list of classes

 See example

Deletes a table object from a document. It is equivalent to choosing Table - Delete and choosing Entire Table.

Syntax

[objectreference].DeleteTable()

Parameters

Return value

Usage


Word Pro: DeleteVersion method

 See list of classes

 See example

Deletes a version of a document. It is equivalent to choosing File - Versions and clicking Delete Version on the version you want to delete.

Syntax

[objectreference].DeleteVersion(VersionID)

Parameters

VersionID
Data type is Long value.

Return value

Usage


Word Pro: Demote method

 See list of classes

 See example

Moves selected paragraphs to a lower outline level.

Syntax

[objectreference].Demote()

Parameters

Return value

Usage


Word Pro: DemoteOutlineLevel method

 See list of classes

 See example

Allows you to rearrange text in an outline so that the text uses different paragraph styles by moving the current paragraph to the next lower outline level. It is equivalent to choosing Text - Outline and choosing Demote.

Syntax

[objectreference].DemoteOutlineLevel()

Parameters

Return value

Usage


Word Pro: Deselect method

 See list of classes

 See example

Deselects text in a document. It is equivalent to deselecting text by clicking outside the selected text or by pressing Esc.

Syntax

[objectreference].Deselect()

Parameters

Return value

Usage


Word Pro: DeselectRuler method

 See list of classes

 See example

Hides the ruler. It is equivalent to choosing View - Show/Hide and choosing Ruler.

Syntax

[objectreference].DeselectRuler()

Parameters

Return value

Usage


Word Pro: Destroy method

 See list of classes

 See example

Syntax

[objectreference].Destroy()

Parameters

Return value

Usage


Word Pro: DestroyDocWindow method

 See list of classes

 See example

Syntax

[objectreference].DestroyDocWindow()

Parameters

Return value

Usage


Word Pro: Disconnect method

 See list of classes

 See example

Syntax

[objectreference].Disconnect()

Parameters

Return value

Usage


Word Pro: DisconnectCells method

 See list of classes

 See example

Disconnects selected table cells. The DisconnectCells method is a toggle. If the selected cells are not connected, they become connected. If the selected cells are already connected, they become disconnnected.This method is equivalent to choosing Table - Disconnect Cell.

Syntax

[objectreference].DisconnectCells()

Parameters

Return value

Usage


Word Pro: DivideText method

 See list of classes

 See example

Syntax

[objectreference].DivideText(TargetDivision,[TargetDivision2])

Parameters

TargetDivision
Data type is String.

TargetDivision2
Data type is String. Optional parameter.

Return value

Usage


Word Pro: DoesMarkerNameMatch method

 See list of classes

 See example

Pass the name of the marker into this method to determine whether the current object belongs to that marker name.

Syntax

[objectreference].DoesMarkerNameMatch(MarkerName)

Parameters

MarkerName
Data type is String.

Return value

Usage


Word Pro: DoneWithRightMouseMenu method

 See list of classes

 See example

Indicates that the right mouse menu was used to create a graphic.

Syntax

[objectreference].DoneWithRightMouseMenu(MenuHandle)

Parameters

MenuHandle
Data type is Long value.

Return value

Usage


Word Pro: EditBoxes method

 See list of classes

 See example

Provides access to the collection of EditBoxes for a specified custom dialogbox.  This will return the editbox object specified by the ControlId

Syntax

[objectreference].EditBoxes(Control_id)

Parameters

Contro
_id

Data type is Variant.

Return value

Usage


Word Pro: EditLinkInfo method

 See list of classes

 See example

Allows you to change Dde link information. It is equivalent to choosing Edit - Manage Links.

Syntax

[objectreference].EditLinkInfo(LinkInfo)

Parameters

LinkInfo
Data type is String.

Return value

Usage


Word Pro: Embed method

 See list of classes

 See example

Syntax

[objectreference].WPApplication.Embed(ContentName, ][Advance])

[objectreference].ClickHere.Embed(Objectname, [Advance]) [objectreference].TextMarker.Embed(Objectname, [Advance])

[objectreference].Text.Embed(Objectname, [Advance])

Parameters

ContentName
Data type String.

Advance
Data type Boolean. Parameter optional. Default value True.

Objectname
Data type String.

Return value

Usage


Word Pro: EmbedFormula method

 See list of classes

 See example

Embeds a formula in a table object.

Syntax

[objectreference].EmbedFormula(ObjectName)

Parameters

ObjectName
A string expression representing the name of the object.

Return value

Usage


Word Pro: EnableControl method

 See list of classes

 See example

Syntax

[objectreference].EnableControl(Control_id, Enable)

Parameters

Contro
_id

Data type is Variant.

Enable
Data type is Integer.

Return value

Usage


Word Pro: EndChange method

 See list of classes

 See example

This method is defined in the following classes:

WPApplication

Division

TextDocument

DocWindow

End any changes made to a document window.Ends any changes made to the Word Pro application, a division, or a text document.

Syntax

[objectreference].WPApplication.EndChange([MarkChanges]) [objectreference].Division.EndChange([MarkChanges]) [objectreference].Text.DocumentEndChange([MarkChanges])  [objectreference].DocWindow.EndChange()

Parameters

MarkChanges
Data type Bool. Optional parameter. Default value False.

Return value

Bool

Usage


Word Pro: EndCustomLines method

 See list of classes

 See example

Syntax

[objectreference].EndCustomLines()

Parameters

Return value

Usage


Word Pro: Ending method

 See list of classes

 See example

Syntax

[objectreference].Ending(ContainerEndEndOfDocument)

Parameters

ContainerEnd
Data type is Boolean. The value of this parameter must be "$LwpContainerEndEndOfDocument" or its code equivalent (160).

Return value

Usage


Word Pro: EnumerateTerm method

 See list of classes

 See example

Orders the contents of glossary entries.

Syntax

[objectreference].EnumerateTerm(KeyNumber)

Parameters

KeyNumber
Data type is Integer.

Return value

Usage


Word Pro: EnvelopePrint method

 See list of classes

 See example

Syntax

[objectreference].EnvelopePrint()

Parameters

Return value

Usage


Word Pro: ExchangeItem method

 See list of classes

 See example

Allows you exchange or switch the position of one menu item object with another.

Syntax

[objectreference].ExchangeItem(WithItem)

Parameters

WithItem
Specifies which menu you are moving the item from.

Return value

Usage

You can call this method from either menu item object when you

switch or exchange the position of one menu item object with

another.


Word Pro: Expand method

 See list of classes

 See example

Syntax

[objectreference].Expand()

Parameters

Return value

Usage


Word Pro: ExpandOutline method

 See list of classes

 See example

Displays the highest levels of an outline.

Syntax

[objectreference].ExpandOutline(All)

Parameters

All
Data type is Boolean.

Return value

Usage


Word Pro: ExpandOutlineLevel method

 See list of classes

 See example

Displays all the subordinate text for an outline.

Syntax

[objectreference].ExpandOutlineLevel([IsExpandAllLevels[)

Parameters

IsExpandAllLevels
Data type is Boolean. Optional parameter. Default value is True.

Return value

Usage


Word Pro: ExportAllAsNotesFX method

 See list of classes

 See example

Exports all DocInfo fields as Notes/FX.

Syntax

[objectreference].ExportAllAsNotesFX(Export)

Parameters

Export
Data type is Boolean.

Return value

Usage


Word Pro: ExportAsNotesFX method

 See list of classes

 See example

Exports a DocInfo field as Notes/FX.

Syntax

[objectreference].ExportAsNotesFX(Type,Export)

Parameters

Type
Data type Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpDocVarAllversionnames (210)

$LwpDocVarCreatedby (2046)

$LwpDocVarDatecreated (196)

$LwpDocVarDatelastrevision (197)

$LwpDocVarDescription (195)

$LwpDocVarDivisionname (203)

$LwpDocVarDoccategory (212)

$LwpDocVarDocsize (202)

$LwpDocVarField (191)

$LwpDocVarFilename (192)

$LwpDocVarKeywords (215)

$LwpDocVarLasteditor (2047)

$LwpDocVarNone (190)

$LwpDocVarNumchars (201)

$LwpDocVarNumpages (199)

$LwpDocVarNumversions (209)

$LwpDocVarNumwords (200)

$LwpDocVarOthereditors (2048)

$LwpDocVarOtherversionededitors (207)

$LwpDocVarPath (193)

$LwpDocVarSectionname (204)

$LwpDocVarStylesheet (194)

$LwpDocVarTotaledittime (198)

$LwpDocVarVersioncreatedate (206)

$LwpDocVarVersioncreatedby (205)

$LwpDocVarVersionlasteditdate (213)

$LwpDocVarVersionlasteditedby (214)

$LwpDocVarVersionname (208)

$LwpDocVarVersionnumrevisions (2049)

$LwpDocVarVersionremarks (211)

Export
Data type is Boolean.

Return value

Usage


Word Pro: ExtractText method

 See list of classes

 See example

Syntax

[objectreference].PowerField.ExtractText()

[objectreference].Glossary.ExtractText(Term)

Parameters

Term
Data type String.

Return value

Usage


Word Pro: FastFormat method

 See list of classes

 See example

Extracts text or paragraph style formatting informtion from selected text and applies that formatting to other document text, table text, or text in a text frame.

Syntax

[objectreference].FastFormat([IsUseStyle])

Parameters

IsUseStyle
Data type is Boolean. Optional parameter. Default value is False.

Return value

Usage


Word Pro: FileListBoxes method

 See list of classes

 See example

Provides access to a specified FileListBox within the collection of FileListBoxes for a specific custom dialogbox object.

Syntax

[objectreference].FileListBoxes(Control_id)

Parameters

Contro
_id

Data type Variant.

Return value

Usage


Word Pro: Find method

 See list of classes

 See example

This method is not available in the 16-bit version of Word Pro.

In the 32-bit version of Word Pro, this method is defined in the following classes:

WPApplication

BookmarkManager

ClickHere

TextMarker

Text

Finds the specified bookmark by looking for the user-defined bookmark name or the hexidecimal marker name. Finds a bookmark using the hexidecimal marker name.

Syntax

[objectreference].WPApplication.Find() [objectreference].BookmarkManager.Find(FindName, Name) [objectreference].ClickHere.Find([MarkerName,] [ReplaceAll,] [ UseTempOptions]) [objectreference].TextMarker.Find(([MarkerName,] [ReplaceAll,] [ UseTempOptions]) [objectreference].Text.Find([MarkerName,] [ReplaceAll,] [ UseTempOptions])

Parameters

FindName
Indicates whether you want to find the bookmark by the user-defined bookmark name such as "ChapterOne" or by the hexadecimal marker name which Word Pro automatically assigns to each bookmark. Unless you have multiple bookmarks with the same text name, there is no reason for you to find bookmarks by their the hexadecimal marker name. The value of this parameter must be one of the strings or codes listed below:

$LwpBookmardFindNameBookmark (31)

$LwpBookmardFindNameMarker (32)

$LwpBookmarkFindNameBookmark (2054)

$LwpBookmarkFindNameMarker (2055)

Name
A string value which can be either the bookmark name or the hexadecimal marker name which you want to find. Unless you have multiple bookmarks with the same text name, there is no reason for you to use the hexadecimal marker name.

MarkerName
Data type is String. Parameter is optional.

ReplaceAll
Data type is Bool. Parmeter is optional. Default value is false.

UseTempOptions
Data type is Bool. Parmeter is optional. Default value is false.

Return value

String; String

Usage


Word Pro: FindCellLayout method

 See list of classes

 See example

Displays the cell layout for a cell in a table.

Syntax

[objectreference].FindCellLayout(Row, Column)

Parameters

Row
Data type is Integer.

Column
Data type is Integer.

Return value

Usage


Word Pro: FindClass method

 See list of classes

 See example

Runs through the children of the layout and finds the first child in the layout which is instantiated form the class you specify. The search progresses from the top down.

Syntax

[objectreference].FindClass(LayoutClassName)

Parameters

LayoutClassName
Data type is String.

Return value

Usage


Word Pro: FindParent method

 See list of classes

 See example

Displays the parent class of an object.

Syntax

[objectreference].FindParent(ParentType)

Parameters

ParentType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpParentTypeCell (1630)

$LwpParentTypeFrame (1629)

Return value

Usage


Word Pro: FindTerm method

 See list of classes

 See example

Instructs Word Pro to find the term to be used as a glossary entry.

Syntax

[objectreference].FindTerm(Term)

Parameters

Term
Data type is String.

Return value

Usage


Word Pro: ForceDocToLoad method

 See list of classes

 See example

Syntax

[objectreference].ForceDocToLoad()

Parameters

Return value

Usage


Word Pro: FormatCheck method

 See list of classes

 See example

Inserts the format check tool. It is eqivialent to choosing Edit - Check Format.

Syntax

[objectreference].FormatCheck(Level)

Parameters

Level
Data type is Integer.

Return value

Usage


Word Pro: FormatCheckAction method

 See list of classes

 See example

Allows you to specify a particular Format check option.

Syntax

[objectreference].FormatCheckAction([FormatCheckAction])

Parameters

FormatCheckAction
Data type is Variant. Optional parameter. The default value is "$LwpFormatCheckActionUpdateoptions". The value of this parmeter must be one of the strings below or its code equivalent.

$LwpFormatCheckActionRestart (325)

$LwpFormatCheckActionUpdateoptions (326)

Return value

Usage


Word Pro: FormatCheckReplace method

 See list of classes

 See example

Instructs the Format check tool to replace the selected text with the suggested correction. The Format check tool then moves on to the next error and repeats the process.

Syntax

[objectreference].FormatCheckReplace(Automatic,[ReplaceAllOfRule])

Parameters

Automatic
Data type is Boolean. Optional parameter. Default value is False.

ReplaceAllOfRule
Data type Boolean. Optional parameter. Default value is False.

Return value

Usage


Word Pro: Forward method

 See list of classes

 See example

This method is not available in the 16-bit version of Word Pro.

In the 32-bit version of Word Pro, this method is defined in the following classes: BaseContainer

Layout

TextMarker

Text

[BaseContainer]

[Layout]

[Text and TextMarker] Moves an object type forward in a base container object. Moves an object type forward in a layout object. Moves an object type forward in the text or text marker object.

Syntax

[objectreference].BaseContainer.Forward(Direction)

[objectreference].Layout.Forward() Bool

[objectreference].ClickHere.Forward (Unit, N)

[objectreference].TextMarker.Forward (Unit, N)

[objectreference].Text.Forward (Unit, N)

Parameters

Direction
Data type Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpDirectionPage (182)

$LwpDirectionWindow (183)

Unit
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpNavigateObjectTypeCharacter (1519)

$LwpNavigateObjectTypeChunk (1522)

$LwpNavigateObjectTypeObject (1520)

$LwpNavigateObjectTypePage (1518)

$LwpNavigateObjectTypeParagraph (1524)

$LwpNavigateObjectTypeSentence (1523)

$LwpNavigateObjectTypeWord (1521)

N
Data type is Integer.

Return value

Boolean

Bool

Bool

Bool

Usage


Word Pro: FrameRevert method

 See list of classes

 See example

Syntax

[objectreference].FrameRevert()

Parameters

Return value

Usage


Word Pro: FXGetNotesString method

 See list of classes

 See example

Returns the string expression representing a FX Notes field.

Syntax

[objectreference].FXGetNotesString(FieldName)

Parameters

FieldName
Data type is String.

Return value

Usage


Word Pro: FXGetNotesWriteHandle method

 See list of classes

 See example

Syntax

[objectreference].FXGetNotesWriteHandle()

Parameters

Return value

Usage


Word Pro: FXSetNotesString method

 See list of classes

 See example

Sets the string expressions representing the name and value of a FX Notes field.

Syntax

[objectreference].FXNotesString(FieldName, Value)

Parameters

FieldName
Data type is String.

Value
Data type is String.

Return value

Usage


Word Pro: Get method

 See list of classes

 See example

Returns the string expression representing an entry in the SmartCorrect tool.

Syntax

[objectreference].Get(Entry)

Parameters

Entry
Data type is String.

Return value

Usage


Word Pro: GetActiveList method

 See list of classes

 See example

Syntax

[objectreference].GetActiveList()

Parameters

Return value

Usage


Word Pro: GetArrayProp method

 See list of classes

 See example

Returns the properties of an array. This method is defined in the following classes:

SilverBullet

UserInterfacePrefs

Syntax

[objectreference].SilverBullet.GetArraryProp(BulletArrayProp, Level)

[objectreference].UserInterfacePrefs.GetArrayProp(PrefPropScope, Index)

Parameters

BulletArrayProp
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpBulletArrayPropCumulative (79)

$LwpBulletArrayPropDivision (81)

$LwpBulletArrayPropLesser (78)

$LwpBulletArrayPropLessserspecific (77)

$LwpBulletArrayPropSection (80)

Level
Data type is Integer.

PrefPropScope
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpPrefPropScopeFineString (1640)

$LwpPrefPropScopeReplaceString (1641)

Index
Data type is Integer.

Return value

; Strings

Usage


Word Pro: GetContents method

 See list of classes

 See example

Displays the contents of a marker in a document.

Syntax

[objectreference].GetContents(IncludeMarkers)

Parameters

IncludeMarkers
Data type is Boolean.

Return value

Usage


Word Pro: GetControlText method

 See list of classes

 See example

Returns the control text in a custom dialog box.

Syntax

[objectreference].GetControlText(Control_id)

Parameters

Contro
_id

Data type is Variant

Return value

Usage


Word Pro: GetControlValue method

 See list of classes

 See example

Returns the control value of a custom dialog box.

Syntax

[objectreference].GetControlValue(Control_id)

Parameters

Contro
_id

Data type is Variant

Return value

Usage


Word Pro: GetCopyFormatCategories method

 See list of classes

 See example

Displays a copy of format categories in a document.

Syntax

[objectreference].GetCopyFormatCategories()

Parameters

Return value

Usage


Word Pro: GetCurrentMarkerName method

 See list of classes

 See example

Returns the name of the current marker in the document.

Syntax

[objectreference].GetCurrentMarkerName(MarkerType)

Parameters

MarkerType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpMarkerTypeBookmark (590)

$LwpMarkerTypeClickhere (593)

$LwpMarkerTypeDde (591)

$LwpMarkerTypeDefault (589)

$LwpMarkerTypeField (592)

$LwpMarkerTypeRuby (594)

Return value

Usage


Word Pro: GetData method

 See list of classes

 See example

Returns the data in a script set.

Syntax

[objectreference].GetData(DataName,Default)

Parameters

DataName
Data type is String.

Default
Data type is Variant

Return value

Usage


Word Pro: GetDefaultPageSize method

 See list of classes

 See example

Returns the default size of a page in the cuurent document.

Syntax

[objectreference].GetDefaultPageSize()

Parameters

Return value

Usage


Word Pro: GetDisplayableFilterName method

 See list of classes

 See example

Returns the name displayable filters such as Word Pro or Ami Pro filters. Filter names from other applications may not display in Word Pro.

Syntax

[objectreference].GetDisplayableFilterName(FilterId)

Parameters

FilterId
Data type is Integer.

Return value

Usage


Word Pro: GetDocDescription method

 See list of classes

 See example

Returns a description of file protection selections of a document.

Syntax

[objectreference].GetDocDescription(FileExtractType, FullFilePath)

Parameters

FileExtractType

Data type Variant  The value of this parameter must be the string below or its code equivalent.

$LwpFileExtractTypeFileprotection (259)

FullFilePath
Data type is String.

Return value

Usage


Word Pro: GetEnum method

 See list of classes

 See example

Returns the code value of an Enum value.

Syntax

[objectreference].GetEnum(Name)

Parameters

Name
Data type is String.

Return value

Variant

Usage

Use this method to retrieve the numeric equivalent of an Enum

string value.


Word Pro: GetEnvelopeDefaults method

 See list of classes

 See example

Retrieves the default envelope setting in the current document.

Syntax

[objectreference].GetEnvelopeDefaults()

Parameters

Return value

Usage


Word Pro: GetFileDescription method

 See list of classes

 See example

Retrieves a description of a file.

Syntax

[objectreference].GetFileDescription(FileName)

Parameters

FileName
Data type is String.

Return value

Usage


Word Pro: GetFormula method

 See list of classes

 See example

Returns the formula that resides in a table cell.

Syntax

[objectreference].GetFormula(Row, Column)

Parameters

Row
Data type is Integer.

Column
Data type is Integer.

Return value

Usage


Word Pro: GetLastUsedFilter method

 See list of classes

 See example

Retrieves the last filter used to import or export the current document.

Syntax

[objectreference].GetLastUsedFilter(FilterType)

Parameters

FilterType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpFilterTypeGraphic (280)

$LwpFilterTypeTable (281)

$LwpFilterTypeText (279)

Return value

Usage


Word Pro: GetLine method

 See list of classes

 See example

Syntax

[objectreference].GetLine(Index)

Parameters

Index
Data type is Long value.

Return value

Usage


Word Pro: GetLineMix method

 See list of classes

 See example

Syntax

[objectreference].GetLineMix()

Parameters

Return value

Usage


Word Pro: GetLineStyle method

 See list of classes

 See example

Retrieves the line style used in a table in the current document.

Syntax

[objectreference].GetLineStyle()

Parameters

Return value

Usage


Word Pro: GetMarkedText method

 See list of classes

 See example

Retrieves marked text in the current document.

Syntax

[objectreference].GetMarkedText()

Parameters

Return value

Usage


Word Pro: GetMarkerName method

 See list of classes

 See example

This method is defined in the following classes:

DdeLinkManager

Retrieves the name of the Dde marker in the current document.

Layout

Retrieves a list of all the marker names of the speicified type in a layout.

BaseTable

Retrieves a list of all the marker names of the speicified type in a layout.

base table marker in the current document.

Syntax

[objectreference].DdeLinkManager.GetMarkerName(DdeFind,p2)

[objectreference].Layout.GetMarkerName(MarkerType) [objectreference].BaseTable.GetMarkerName(MarkerType)

Parameters

DdeFind
Data type is Variant. The value of this parameter must be one of the strings below or its equivalent.

$LwpDdeFindLinknameUsingMarker (173)

$LwpDdeFindMarkerNameUsingHandle (172)

$LwpDdeFindMarkerUsingLinkInfo (174)

p2
Data type is Variant.

MarkerType
Data type is Variant. The value of this parameter must be one of the strings below or its equivalent.

$LwpMarkerTypeDefault (589)

positional marker not of any other type

$LwpMarkerTypeBookmark (590)

All the bookmark markers

$LwpMarkerTypeDde (591)

All the DDE markers

$LwpMarkerTypeField (592)

All the field markers

$LwpMarkerTypeClickhere (593)

all the clickhere markers

$LwpMarkerTypeRuby (594)

all the Ruby markers

Return value

String String

Usage


Word Pro: GetMispelledWord method

 See list of classes

 See example

Finds misspelled words in the current document. It is equivalent to choosing Edit - Check Spelling.

Syntax

[objectreference].GetMispelledWord([EndMarkerName])

Parameters

EndMarkerName
Data type is String. Optional parameter.

Return value

Usage


Word Pro: GetNamedProperty method

 See list of classes

 See example

Retrieves the value of the named property in the current object. See WPDataSet.

Syntax

[objectreference].GetNamedProperty(PropertyName)

Parameters

PropertyName
Data type is String.

Return value

Usage


Word Pro: GetNameFromPage method

 See list of classes

 See example

Returns the name of the page of the current division.

Syntax

[objectreference].GetNameFromPage(PageNumber,[IsReturnInternalName])

Parameters

PageNumber
Data type is Integer.

IsReturnInternalName
Data type is Boolean. Optional parameter. Default value is False.

Return value

Usage


Word Pro: GetObjectList method

 See list of classes

 See example

Syntax

[objectreference].GetObjectList()

Parameters

Return value

Usage


Word Pro: GetOne method

 See list of classes

 See example

Syntax

[objectreference].GetOne(StartingIndex, Count)

Parameters

StartingIndex
Data type is Integer.

Count
Data type is Integer.

Return value

Usage


Word Pro: GetParaNumber method

 See list of classes

 See example

Returns a number from a numbered paragraph in the document.

Syntax

[objectreference].GetParaNumber(Position)

Parameters

Position
Data type is Integer.

Return value

Usage


Word Pro: GetPasteFormatCategories method

 See list of classes

 See example

This method is defined in the following classes:

WPApplication

BaseContainer

TextMarker

Text

Syntax

[objectreference].GetPasteFormatCategories()

Parameters

Return value

FormatCategories

Usage


Word Pro: GetPosition method

 See list of classes

 See example

Retrieves the position of a marker in a Click Here Block, a Text marker, or in text.

Syntax

[objectreference].GetPosition(MarkerName)

Parameters

MarkerName
Data type is String.

Return value

Usage


Word Pro: GetPowerFieldValue method

 See list of classes

 See example

Returns the value of the Power field in the current document.

Syntax

[objectreference].GetPowerFieldValue(PowerFieldName)

Parameters

PowerFieldName
Data type is String.

Return value

Usage


Word Pro: GetPrinterInfo method

 See list of classes

 See example

Displays information about the selected printer of the current document.

Syntax

[objectreference].GetPrinterInfo()

Parameters

Return value

Usage


Word Pro: GetProtectionType method

 See list of classes

 See example

Returns the type of document protection for the current document.

Syntax

[objectreference].GetProtectionType(FileExtractTypeFileprotection, FullFilePath)

Parameters

FileExtractType
Data type is Variant. The value of this parameter must be "$LwpFileExtractTypeFileprotection" or its code equivalent (259).

FullFilePath
Data type is String.

Return value

Usage


Word Pro: GetRGB method

 See list of classes

 See example

Syntax

[objectreference].GetRGB()

Parameters

Return value

Usage


Word Pro: GetRightMouseMenu method

 See list of classes

 See example

Syntax

[objectreference].GetRightMouseMenu()

Parameters

Return value

Usage


Word Pro: GetSpellStatus method

 See list of classes

 See example

Syntax

[objectreference].GetSpellStatus([Language])

Parameters

Language
Data type is Variant. Optional parameter. The default value is "$LwpLanguagesSystem". The value of this parameter must be one of the strings below or its equivalent.

$LwpLanguagesAfrikaans (474)

$LwpLanguagesAlbanian (475)

$LwpLanguages

American (442)

$LwpLanguagesArabic (1025)

$LwpLanguagesArabicAlgeria (5121)

$LwpLanguagesArabicBahrain (15361)

$LwpLanguagesArabicEgypt (3073)

$LwpLanguagesArabicIraq (2049)

$LwpLanguagesArabicJordan (11265)

$LwpLanguagesArabicKuwait (13313)

$LwpLanguagesArabicLebanon (12289)

$LwpLanguagesArabicLibya (4097)

$LwpLanguagesArabicMorocco (6145)

$LwpLanguagesArabicOman (8193)

$LwpLanguagesArabicQatar (16385)

$LwpLanguagesArabicSyria (10241)

$LwpLanguagesArabicTunisia (7169)

$LwpLanguagesArabicUAE (14337)

$LwpLanguagesArabicYemen (9217)

$LwpLanguagesAustralian (444)

$LwpLanguagesBasque (1069)

$LwpLanguagesBrazilian (468)

$LwpLanguagesBritish (443)

$LwpLanguagesBritishize (12297)

$LwpLanguagesBritishmedize (13321)

$LwpLanguagesBrmedical (11273)

$LwpLanguagesBulgarian (478)

$LwpLanguagesByelorussian (1059)

$LwpLanguagesCatalan (436)

$LwpLanguagesChineseHongKong (3076)

$LwpLanguagesChinesePRChina (481)

$LwpLanguagesChineseSingapore (4100)

$LwpLanguagesChineseTraditional (479)

$LwpLanguagesCroatian (1050)

$LwpLanguagesCroatianCyrillic (2074)

$LwpLanguagesCroatianLatin (1050)

$LwpLanguagesCroatianSerbian (3098)

$LwpLanguagesCzech (437)

$LwpLanguagesDanish (438) $LwpLanguagesDutch (439)

$LwpLanguagesDutchBelgian (440)

$LwpLanguagesEnglishCanadian (445)

$LwpLanguagesEnglishCarribean (9225)

$LwpLanguagesEnglishIreland (447)

$LwpLanguagesEnglishJamaica (8201)

$LwpLanguagesEnglishNewzealand (446)

$LwpLanguagesEnglishSAfrica (7177)

$LwpLanguagesEstonian (1061)

$LwpLanguagesFaeroese (1080)

$LwpLanguagesFarsi (1081)

$LwpLanguagesFinnish (452)

$LwpLanguagesFrench (453)

$LwpLanguagesFrenchBelgian (454)

$LwpLanguagesFrenchCanadian (455)

$LwpLanguagesFrenchLuxembourg (5132)

$LwpLanguagesFrenchSwiss (456)

$LwpLanguagesGerman (457)

$LwpLanguagesGermanAustrian (459)

$LwpLanguagesGermanLiechtenstein (5127)

$LwpLanguagesGermanLuxembourg (4103)

$LwpLanguagesGermanSwiss (458)

$LwpLanguagesGreek (460)

$LwpLanguagesHebrew (483)

$LwpLanguagesHungarian (461)

$LwpLanguagesIcelandic (484)

$LwpLanguagesIndonesian (1057)

$LwpLanguagesItalian (462)

$LwpLanguagesItalianSwiss (463)

$LwpLanguagesJapanese (485)

$LwpLanguagesKorean (486)

$LwpLanguagesKoreanJohab (2066)

$LwpLanguagesLatvian (1062)

$LwpLanguagesLithuanian (1063)

$LwpLanguagesMedical (448)

$LwpLanguagesNorwegian (464)

$LwpLanguagesNynorsk (465)

$LwpLanguagesPolish (466)

$LwpLanguagesPortuguese (467)

$LwpLanguagesRhaetoRoman (487)

$LwpLanguagesRomanian (488)

$LwpLanguagesRussian (469)

$LwpLanguagesRussianio (470)

$LwpLanguagesSlovak (492)

$LwpLanguagesSlovene (493)

$LwpLanguagesSorbian (1070)

$LwpLanguagesSpanish (471)

$LwpLanguagesSpanishArgentina (11274)

$LwpLanguagesSpanishBolivia (16394)

$LwpLanguagesSpanishChile (13222)

$LwpLanguagesSpanishColombia (9226)

$LwpLanguagesSpanishCostaRica (5130)

$LwpLanguagesSpanishDominican (7178)

$LwpLanguagesSpanishEcuador (12298) $LwpLanguagesSpanishGuatemala (4106)

$LwpLanguagesSpanishMexican (2058)

$LwpLanguagesSpanishPanama (6154)

$LwpLanguagesSpanishParaguay (15370)

$LwpLanguagesSpanishPeru (10250)

$LwpLanguagesSpanishUruguay (14346)

$LwpLanguagesSpanishVenezuela (8202)

$LwpLanguagesSwedish (473)

$LwpLanguagesSystem (434)

$LwpLanguagesThai (494)

$LwpLanguagesTurkish (495)

$LwpLanguagesUkrainian (496)

$LwpLanguagesUniversal (435)

$LwpLanguagesUrdu (497)

$LwpLanguagesVoorkeur (441)

Return value

Usage


Word Pro: GetSpellUserDictStatus method

 See list of classes

 See example

Syntax

[objectreference].GetSpellUserDictStatus([Language])

Parameters

Language
Data type Variant. Optional parameter. The default value is "$LwpLanguagesSystem". The value of this parameter must be one of the strings below or its code equivalent.

$LwpLanguagesAfrikaans (474)

$LwpLanguagesAlbanian (475)

$LwpLanguagesAmerican (442)

$LwpLanguagesArabic (1025)

$LwpLanguagesArabicAlgeria (5121)

$LwpLanguagesArabicBahrain (15361)

$LwpLanguagesArabicEgypt (3073)

$LwpLanguagesArabicIraq (2049)

$LwpLanguagesArabicJordan (11265)

$LwpLanguagesArabicKuwait (13313)

$LwpLanguagesArabicLebanon (12289)

$LwpLanguagesArabicLibya (4097)

$LwpLanguagesArabicMorocco (6145)

$LwpLanguagesArabicOman (8193)

$LwpLanguagesArabicQatar (16385)

$LwpLanguagesArabicSyria (10241)

$LwpLanguagesArabicTunisia (7169)

$LwpLanguagesArabicUAE (14337)

$LwpLanguagesArabicYemen (9217)

$LwpLanguagesAustralian (444)

$LwpLanguagesBasque (1069)

$LwpLanguagesBrazilian (468)

$LwpLanguagesBritish (443)

$LwpLanguagesBritishize (12297)

$LwpLanguagesBritishmedize (13321)

$LwpLanguagesBrmedical (11273)

$LwpLanguagesBulgarian (478)

$LwpLanguagesByelorussian (1059)

$LwpLanguagesCatalan (436)

$LwpLanguagesChineseHongKong (3076)

$LwpLanguagesChinesePRChina (481)

$LwpLanguagesChineseSingapore (4100)

$LwpLanguagesChineseTraditional (479)

$LwpLanguagesCroatian (1050)

$LwpLanguagesCroatianCyrillic (2074)

$LwpLanguagesCroatianLatin (1050)

$LwpLanguagesCroatianSerbian (3098)

$LwpLanguagesCzech (437)

$LwpLanguagesDanish (438) $LwpLanguagesDutch (439)

$LwpLanguagesDutchBelgian (440)

$LwpLanguagesEnglishCanadian (445)

$LwpLanguagesEnglishCarribean (9225)

$LwpLanguagesEnglishIreland (447)

$LwpLanguagesEnglishJamaica (8201)

$LwpLanguagesEnglishNewzealand (446)

$LwpLanguagesEnglishSAfrica (7177)

$LwpLanguagesEstonian (1061)

$LwpLanguagesFaeroese (1080)

$LwpLanguagesFarsi (1081)

$LwpLanguagesFinnish (452)

$LwpLanguagesFrench (453)

$LwpLanguagesFrenchBelgian (454)

$LwpLanguagesFrenchCanadian (455)

$LwpLanguagesFrenchLuxembourg (5132)

$LwpLanguagesFrenchSwiss (456)

$LwpLanguagesGerman (457)

$LwpLanguagesGermanAustrian (459)

$LwpLanguagesGermanLiechtenstein (5127)

$LwpLanguagesGermanLuxembourg (4103)

$LwpLanguagesGermanSwiss (458)

$LwpLanguagesGreek (460)

$LwpLanguagesHebrew (483)

$LwpLanguagesHungarian (461)

$LwpLanguagesIcelandic (484)

$LwpLanguagesIndonesian (1057)

$LwpLanguagesItalian (462)

$LwpLanguagesItalianSwiss (463)

$LwpLanguagesJapanese (485)

$LwpLanguagesKorean (486)

$LwpLanguagesKoreanJohab (2066)

$LwpLanguagesLatvian (1062)

$LwpLanguagesLithuanian (1063)

$LwpLanguagesMedical (448)

$LwpLanguagesNorwegian (464)

$LwpLanguagesNynorsk (465)

$LwpLanguagesPolish (466)

$LwpLanguagesPortuguese (467)

$LwpLanguagesRhaetoRoman (487)

$LwpLanguagesRomanian (488)

$LwpLanguagesRussian (469)

$LwpLanguagesRussianio (470)

$LwpLanguagesSlovak (492)

$LwpLanguagesSlovene (493)

$LwpLanguagesSorbian (1070)

$LwpLanguagesSpanish (471)

$LwpLanguagesSpanishArgentina (11274)

$LwpLanguagesSpanishBolivia (16394)

$LwpLanguagesSpanishChile (13222)

$LwpLanguagesSpanishColombia (9226)

$LwpLanguagesSpanishCostaRica (5130)

$LwpLanguagesSpanishDominican (7178)

$LwpLanguagesSpanishEcuador (12298) $LwpLanguagesSpanishGuatemala (4106)

$LwpLanguagesSpanishMexican (2058)

$LwpLanguagesSpanishPanama (6154)

$LwpLanguagesSpanishParaguay (15370)

$LwpLanguagesSpanishPeru (10250)

$LwpLanguagesSpanishUruguay (14346)

$LwpLanguagesSpanishVenezuela (8202)

$LwpLanguagesSwedish (473)

$LwpLanguagesSystem (434)

$LwpLanguagesThai (494)

$LwpLanguagesTurkish (495)

$LwpLanguagesUkrainian (496)

$LwpLanguagesUniversal (435)

$LwpLanguagesUrdu (497)

$LwpLanguagesVoorkeur (441)

Return value

Usage


Word Pro: GetStandardButtonId method

 See list of classes

 See example

Retrieves the identification of a standard button in the status bar.

Syntax

[objectreference].GetStandardButtonId(ButtonType)

Parameters

ButtonType
Data type is Variant. The value of this parameter must be one of the string below or its code equivalent.

$LwpStandButtBoldButton (1812)

$LwpStandButtCollapsibleButton (1816)

$LwpStandButtColorButton (1811)

$LwpStandButtCustomButton (1823)

$LwpStandButtFontButton (1809)

$LwpStandButtItalicButton (1813)

$LwpStandButtPagedownButton (1818)

$LwpStandButtPagenumberButton (1819)

$LwpStandButtPageupButton (1817)

$LwpStandButtPointSizeButton (1810)

$LwpStandButtSpacer1Button (1820)

$LwpStandButtSpacer2Button (1821)

$LwpStandButtSpacer3Button (1822)

$LwpStandButtStyleButton (1815)

$LwpStandButtUnderlineButton (1814)

Return value

Usage


Word Pro: GetStorageProtectionType method

 See list of classes

 See example

Retrieves the type of file storage protection assigned to the current document.

Syntax

[objectreference].GetStorageProtectionType(FileExtractType, plStorage)

Parameters

FileExtractType
Data type Variant. The value of this parameter must be the string below or its code equivalent.

$LwpFileExtractTypeFileprotection (259)

plStorage
Data type is Long value.

Return value

Usage


Word Pro: GetText method

 See list of classes

 See example

Finds specified text in a Click Here Block, a text marker, or in text.

Syntax

[objectreference].GetText(GetObjectType, Advance, [R1,] [R2,] [EndMarkerName],[AcrossParagraphs])

Parameters

GetObjectType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpGetObjectTypeChunk (367)

$LwpGetObjectTypeObject (365)

$LwpGetObjectTypeParagraph (369)

$LwpGetObjectTypeParatag (371)

$LwpGetObjectTypeSelection (370)

$LwpGetObjectTypeSentence (368)

$LwpGetObjectTypeWord (366)

Advance
Data type is Boolean.

R1
Data type is Integer. Optional parameter. Default value is 0.

R2
Data type is Integer. Optional parameter. Default value is 0.

EndMarkerName
Data type is String. Optional parameter.

AcrossParagraphs
Data type is Boolean. Optional parameter. Default value is False.

Return value

Usage


Word Pro: GetTOCProperties method

 See list of classes

 See example

Displays the properties of a table of contents.

Syntax

[objectreference].GetTOCProperties(TOCScope, Index)

Parameters

TOCScope
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTOCScopeDestPageStyle (1853)

$LwpTOCScopeDestStyle (1854)

$LwpTOCScopeLevelNumber (1851)

$LwpTOCScopeRtAlgnPgNum (1850)

$LwpTOCScopeSearchStyle (1852)

$LwpTOCScopeTypeOfLeader (1846)

$LwpTOCScopeUseLeader (1847)

$LwpTOCScopeUsePageNumber (1849)

$LwpTOCScopeUseText (1848)

Index
Data type is Integer.

Return value

Usage


Word Pro: GetUniqueName method

 See list of classes

 See example

Syntax

[objectreference].GetUniqueName()

Parameters

Return value

Usage


Word Pro: Glossarize method

 See list of classes

 See example

Converts a term to a glossary entry.

Syntax

[objectreference].Glossarize(Term)

Parameters

Term
Data type is String.

Return value

Usage


Word Pro: GlossaryInsert method

 See list of classes

 See example

Inserts a glossary into the Word Pro application. It is equivalent to choosing Edit - Glossary and clicking Insert in the Glossary dialog box.

Syntax

[objectreference].GlossaryInsert(GlossFilePath, Key)

Parameters

GlossFilePath
Data type is String.

Key
Data type String

Return value

Usage


Word Pro: GlossaryOpen method

 See list of classes

 See example

Opens the glossary file in the Word Pro application.

Syntax

[objectreference].GlossaryOpen([FilePath,] [FileType,] [Password,] [AddToLastFileOpenList,] [Restore])

Parameters

FilePath
Data type is String. Optional parameter.

FileType
Data type is String. Optional parameter.

Password
Data type is String. Optional parameter.

AddToLastFileOpenList
Data type is Boolean. Optional parameter. Default value is False.

Restore
Data type is Boolean. Optional parameter. Default value is True.

Return value

Usage


Word Pro: GoTo method

 See list of classes

 See example

Moves the insertion point to the specified footnote object or marker object. It is equivalent to Edit - Go To.

Syntax

[objectreference].GoTo()

Parameters

Return value

Usage


Word Pro: GoToBookmark method

 See list of classes

 See example

Moves the insertion point to a specified bookmark. It is equivalent to choosing Edit - Go To and selecting Bookmark.

Syntax

[objectreference].GoToBookmark(Name)

Parameters

Name
Data type is String.

Return value

Usage


Word Pro: GoToContainer method

 See list of classes

 See example

Moves the insertion point to the container within the current context of the document.

Syntax

[objectreference].GoToContainer(GoToLocation, [p2])

Parameters

GoToLocation
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpGoToLocationDivision (376)

$LwpGoToLocationExit (377)

$LwpGoToLocationFooter (374)

$LwpGoToLocationFrame (375)

$LwpGoToLocationHeader (373)

$LwpGoToLocationPage (372)

p2
Variant is the data type. Optional parameter.

Return value

Usage


Word Pro: GoToLayout method

 See list of classes

 See example

Moves the insertion point to the referenced layout object.

Syntax

[objectreference].GoToLayout()

Parameters

Return value

Usage


Word Pro: GotoNextParallelColumn method

 See list of classes

 See example

Moves the insertion point to the next column block. It is equivalent to Columns - Goto Next Column Block.

Syntax

[objectreference].GotoNextParallelColumn()

Parameters

Return value

Usage


Word Pro: GoToObject method

 See list of classes

 See example

Moves the insertion point to a specified object in the Word Pro application.

Syntax

[objectreference].GoToObject(ObjectName,[Forward])

Parameters

ObjectName
Data type is String.

Forward
Data type is Boolean. This parameter is optional and has a default value of TRUE.

Return value

Usage


Word Pro: GoToPage method

 See list of classes

 See example

Moves the insertion point to a specified page in a document. It is equivalent to choosing Edit - Go To and selecting Page.

Syntax

[objectreference].GoToPage(PageNumber)

Parameters

PageNumber
Data type is Integer.

Return value

Usage


Word Pro: GoToSection method

 See list of classes

 See example

Moves the insertion point to a specified section of a division.

Syntax

[objectreference].GoToSection([SectionGoTo])

Parameters

SectionGoTo
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpSectionGoToBeforeSectionMarker (1746)

$LwpSectionGoToEndOfSection (1747)

Return value

Usage


Word Pro: GoToTableCell method

 See list of classes

 See example

Moves the insertion point to a specified table cell.

Syntax

[objectreference].GoToTableCell(CellObjectType, [Next])

Parameters

CellObjectType
Data type is Variant. The value of this parameter must be the string below or its code equivalent.

$LwpCellObjectType (117)

Next
Data type is Boolean.

This parameter is optional and has a default value of True.

Return value

Usage


Word Pro: GroupDivision method

 See list of classes

 See example

Groups selected divisions. It is equivalent to clicking the right mouse button on a division tab and selecting Group Tabs.

Syntax

[objectreference].GroupDivision([DivisionName])

Parameters

DivisionName
Data type is String. Optional parameter.

Return value

Usage


Word Pro: HandsOffStorage method

 See list of classes

 See example

Syntax

[objectreference].HandsOffStorage()

Parameters

Return value

Usage


Word Pro: Help method

 See list of classes

 See example

Displays online Help for Word Pro. It is equivalent to choosing Help - Help Topics or Help - Ask the Expert.

Syntax

[objectreference].Help([HelpFile,] [HelpContextID,] [HelpString,] [Parent])

Parameters

HelpFile
Data type is String. Optional parameter.

HelpContextID
Data typeis Long value. Optional parameter. Default value is 0.

HelpString
Data type is String. Parameter optional.

Parent
Data type is Long value. Optional parameter. Default value is 0.

Return value

Usage


Word Pro: Hide method

 See list of classes

 See example

Syntax

[objectreference].Hide()

Parameters

Return value

Usage


Word Pro: HideControl method

 See list of classes

 See example

Syntax

[objectreference].HideControl(Control_id, Hide)

Parameters

Contro
_id

Data type is Variant.

Hide
Data type is Integer.

Return value

Usage


Word Pro: HideIconBar method

 See list of classes

 See example

Hides a SmartIcons bar. It is equivalent to choosing View - Show/Hide SmartIcons if the bar does not display.

Syntax

[objectreference].HideIconBar()

Parameters

Return value

Usage


Word Pro: HideIconBars method

 See list of classes

 See example

Hides all SmartIcons bars. It is equivalent to choosing View - Show/Hide SmartIcons if the bar does not display

Syntax

[objectreference].HideIconBars()

Parameters

Return value

Usage


Word Pro: HideStatusBar method

 See list of classes

 See example

Hides the status bar.

Syntax

[objectreference].HideStatusBar()

Parameters

Return value

Usage


Word Pro: HighlightToggle method

 See list of classes

 See example

Syntax

[objectreference].HighlightToggle()

Parameters

Return value

Usage


Word Pro: Hit method

 See list of classes

 See example

Syntax

[objectreference].Hit()

Parameters

Return value

Usage


Word Pro: HourGlass method

 See list of classes

 See example

Syntax

[objectreference].HourGlass(Show)

Parameters

Show
Data type is Boolean.

Return value

Usage


Word Pro: ImportGraphic method

 See list of classes

 See example

Imports a graphic into the current document.

Syntax

[objectreference].ImportGraphic(FilePath, FileFormat, Link, ScratchOutFrame, [FrameStyle])

Parameters

FilePath
Data type is String.

FileFormat
Data type is String.

Link
Data type is Boolean.

ScratchOutFrame
Data type is Boolean.

FrameStyle
Data type is String. Optional parameter.

Return value

Usage


Word Pro: ImportPicture method

 See list of classes

 See example

Imports a graphic picture into the current document.

Syntax

[objectreference].ImportPicture(Path, FileFormat, Link)

Parameters

Path
Data type is String.

FileFormat
Data type is String.

Link
Data type is Boolean.

Return value

Usage


Word Pro: InitControls method

 See list of classes

 See example

Syntax

[objectreference].InitControls()

Parameters

Return value

Usage


Word Pro: InitFindAndReplace method

 See list of classes

 See example

Starts the find and replace process in the Word Pro application.

Syntax

[objectreference].InitFindAndReplace([UseUserSettings])

Parameters

UseUserSettings
Data type is Boolean. Optional parameter. Default value is False.

Return value

Usage


Word Pro: InsertBreak method

 See list of classes

 See example

Inserts a break in a Click Here Block, a text marker, or in text.

Syntax

[objectreference].InsertBreak(BreakType)

Parameters

BreakType
Data type is Variant. $LwpBreakTypeColumn (73)

$LwpBreakTypeLine (74)

$LwpBreakTypePage (72)

$LwpBreakTypeStream (76)

$LwpBreakTypeWord (75)

Return value

Usage


Word Pro: InsertBullet method

 See list of classes

 See example

Inserts bullet characters in the Word Pro application.

Syntax

[objectreference].InsertBullet(FontName, BulletChar)

Parameters

FontName
A string expression representing the name of the font used for the bullet.

BulletChar
A string expression specifying the character used as the bullet.

Return value

Usage


Word Pro: InsertClickHere method

 See list of classes

 See example

Inserts a Click Here Block in a document.

Syntax

[objectreference].InsertClickHere()

Parameters

Return value

Usage


Word Pro: InsertColumnBreak method

 See list of classes

 See example

Inserts a column break in a document.

Syntax

[objectreference].InsertColumnBreak()

Parameters

Return value

Usage


Word Pro: InsertDate method

 See list of classes

 See example

Displays the Insert Date/Time dialog box which allows you to insert a date in a document.

Syntax

[objectreference].InsertDate(Date)

Parameters

Date
A string expression representing the date you want to insert.

Return value

Usage


Word Pro: InsertDocInfo method

 See list of classes

 See example

Inserts a Doc info field in the Word Pro application, a Click Here Block, a text marker, or in text. It is equivalent to . . .

Syntax

[objectreference].InsertDocInfo(Type,[FieldName])

Parameters

Type
Data type Variant

One of the following document variable types listed below. You can use the string or its code as the value of this parameter.

$LwpDocVarAllversionnames (210)

$LwpDocVarCreatedby (2046)

$LwpDocVarDatecreated (196)

$LwpDocVarDatelastrevision (197)

$LwpDocVarDescription (195)

$LwpDocVarDivisionname (203)

$LwpDocVarDoccategory (212)

$LwpDocVarDocsize (202)

$LwpDocVarField (191)

$LwpDocVarFilename (192)

$LwpDocVarKeywords (215)

$LwpDocVarLasteditor (2047)

$LwpDocVarNone (190)

$LwpDocVarNumchars (201)

$LwpDocVarNumpages (199)

$LwpDocVarNumversions (209)

$LwpDocVarNumwords (200)

$LwpDocVarOthereditors (2048)

$LwpDocVarOtherversionededitors (207)

$LwpDocVarPath (193)

$LwpDocVarSectionname (204)

$LwpDocVarStylesheet (194)

$LwpDocVarTotaledittime (198)

$LwpDocVarVersioncreatedate (206)

$LwpDocVarVersioncreatedby (205)

$LwpDocVarVersionlasteditdate (213)

$LwpDocVarVersionlasteditedby (214)

$LwpDocVarVersionname (208)

$LwpDocVarVersionnumrevisions (2049)

$LwpDocVarVersionremarks (211)

FieldName
An optional string expression representing the name of the DocInfo field that you want to insert.

Return value

Usage


Word Pro: InsertDocument method

 See list of classes

 See example

Inserts a document in the Word Pro application.

Syntax

[objectreference].InsertDocument([FilePath,] [FileType,] [Password,] [AddToLastFileOpenList,] [Restore])

Parameters

FilePath
An optional string expression representing the drive and directory location of where you want to insert the document.

FileType
An optional string expression representing the type of file you want to insert.

Password
An optional string expression representing the assigned password of the document you want to insert.

AddToLastFileOpenList
Boolean expression

This parameter is optional and has a default value of False.

A Boolean expression is either True or False.

Restore
Boolean expression

This parameter is optional and has a default value of True.

A Boolean expression is either True or False.

Return value

; Bool

Usage


Word Pro: InsertField method

 See list of classes

 See example

Inserts a Power field in a document.

Syntax

[objectreference].InsertField(Formula)

Parameters

Formula
A String data type     Return value

Usage


Word Pro: InsertFootnote method

 See list of classes

 See example

Inserts a footnote in the Word Pro application.

Syntax

[objectreference].InsertFootnote([FootnoteType])

Parameters

FootnoteType
Variant data type

One of the 8 types of footnotes listed below that you can insert in the Word Pro application. You can use the string or its code as the value of this parameter. This is an optional parameter.

$LwpFnTypeAnyposition (289)

$LwpFnTypeAtBottomOfPage (290)

$LwpFnTypeAtEndOfDiv (293)

$LwpFnTypeAtEndOfDivGroupSepDiv (296)

$LwpFnTypeAtEndOfDivisionGroup (295)

$LwpFnTypeAtEndOfDivisionSepDiv (294)

$LwpFnTypeAtEndOfDoc (291)

$LwpFnTypeAtEndOfDocSepDiv (292)

Return value

Usage


Word Pro: InsertFrame method

 See list of classes

 See example

Inserts a frame in the Word Pro application..

Syntax

[objectreference].InsertFrame(Width,Height, X, Y)

Parameters

Width
Data type Twips

Height
Data type Twips

X
Data type Twips

Position of the point in units of Twips on the Y axis.

Y
Data type Twips

Position of the point in units of Twips on the Y axis.

Return value

Usage


Word Pro: InsertHardSpace method

 See list of classes

 See example

Inserts a hard space in a specified location of the document.

Syntax

[objectreference].InsertHardSpace()

Parameters

Return value

Usage


Word Pro: InsertIndex method

 See list of classes

 See example

Displays the Index Assistant dialog box which allows you to inserts an index in a division.

Syntax

[objectreference].InsertIndex([IndexGeneration,][IndexLocation,][UseSeparat

Parameters

IndexGeneration
One of the 5 ways listed below that you can specify where to generate the index. You can use the string or its code as the value of this parameter. This parameter is optional and has a default value of  "$LwpGenerateAcrossEntireDoc".

$LwpGenerateAcrossCurrentDiv (414)

$LwpGenerateAcrossCurrentSect (415)

$LwpGenerateAcrossEntireDoc (412)

$LwpGenerateAcrossGroupedDivs (413)

$LwpGenerateAcrossSelectedText (416)

IndexLocation
One of the 5 ways listed below that you can specify where to locate the index. You can use the string or code as the value of this parameter. This parameter is optional and has a default value of  "$LwpIndexLocationEndofdoc".

$LwpIndexLocationEndofdivision (418)

$LwpIndexLocationEndofdoc (417)

$LwpIndexLocationEndofgroup (419)

$LwpIndexLocationEndofsection (421)

$LwpIndexLocationInsertionpoint (420)

UseSeparateDivision
A Boolean expression indicating whether to insert the index in a separate division (TRUE) or not (FALSE). This parameter is optional and has a default value of True.

SmartMasterName
An optional string expression representing the name of the SmartMaster used for the index.

Return value

Usage


Word Pro: InsertLink method

 See list of classes

 See example

Inserts a Dde link into a document.

Syntax

[objectreference].InsertLink(MarkerName, Server, Topic, Item)

Parameters

MarkerName
A string expression representing the name of the marker designating the link.

Server
A string expression representing the specific server to where you want to insert the link.

Topic
A string expression representing the link topic.

Item
A string expression representing the name of the item to be linked.

Return value

Usage


Word Pro: InsertMarker method

 See list of classes

 See example

Inserts an object in a document that displays as a symbol indicating functions such as page break, column break or an inserted page layout.

Syntax

[objectreference].InsertMarker(MarkerName)

Parameters

MarkerName
A string expression representing the name of the marker you want to insert.

Return value

Usage


Word Pro: InsertNote method

 See list of classes

 See example

Inserts a note with the specified text at the insertion point.

Syntax

[objectreference].InsertNote()

Parameters

Return value

Usage


Word Pro: InsertNumber method

 See list of classes

 See example

Inserts a number (integer) into a  document.

Syntax

[objectreference].InsertNumber(NumberingStyle, Char, Level, [Start])

Parameters

NumberingStyle
Data type Variant

One of the following numbering styles listed below. You can use the string or its code as the value of this parameter.

$LwpNumberingStyleBasic (1588)

$LwpNumberingStyleChar (1593)

$LwpNumberingStyleFullpitchbasic (1594)

$LwpNumberingStyleFullpitchlowercase (1597)

$LwpNumberingStyleFullpitchuppercase (1596)

$LwpNumberingStyleFullpitchverbasic (1595)

$LwpNumberingStyleLowercaseletters (1590)

$LwpNumberingStyleLowercaseroman (1592)

$LwpNumberingStyleNone (1587)

$LwpNumberingStyleUppercaseletters (1589)

$LwpNumberingStyleUppercaseroman (1591)

Char
A numeric expression representing the character you want to insert. You can use an integer as the numeric expression.

Level
A numeric expression indicating which level to assign the page number. You can use an integer as the numeric expression.

Start
An optional  numeric expression that allows you to start numbering from 0. The default value of this parameter. You must use an integer as the numeric expression.

Return value

Usage


Word Pro: InsertOleDivision method

 See list of classes

 See example

Inserts an OLE division in the Word Pro application. It is equivalent to choosing Create - Division and clicking Create OLE Division.

Syntax

[objectreference].InsertOleDivision(DivisionLocation,OleAction,ClassName,Pa

Parameters

Division
Location

Data type Variant

One of the 3 division locations listed below. You can use the string or its code as the value of this parameter.

$LwpDivLocInsertAfterCurrentdiv (185)

$LwpDivLocInsertAtInsertionPt (186)

$LwpDivLocInsertBeforeCurrentdiv (184)

OleAction
Data type Variant

One of the 5 Ole actions listed below. You can use a string or code as the value of this parameter.

$LwpOleActionClipboardembedded (1604)

$LwpOleActionClipboardlink (1605)

$LwpOleActionCreateembedded (1603)

$LwpOleActionCreatelink (1602)

$LwpOleActionCreatenew (1601)

ClassName
A string expression representing the name of the class.

Path
A string expression representing the drive and directory location of where you want to insert the Ole division.

Return value

Usage


Word Pro: InsertOne method

 See list of classes

 See example

Inserts a tab in a document and allows you to indicate the following tab properties: twips position, tab type, tab leader, and relative tab type.

Syntax

[objectreference].InsertOne(Position, TabType, LeaderType, RelativeType, AlignChar)

Parameters

Position
Data type is Twips. Position of the tab measured in twips.

TabType
Data type is Variant. One of the 4 types of tabs listed below. You can use the string or its code as the value of this parameter.

$LwpTabTypeCenter (1864)

$LwpTabTypeLeft (1863)

$LwpTabTypeNumeric (1866)

$LwpTabTypeRight (1865)

LeaderType
Data type is Variant. One of the 3 tab leader types listed below. You can use the string or its code as the value of this parameter.

$LwpTabLeaderDot (1857)

$LwpTabLeaderHyphen (1856)

$LwpTabLeaderLine (1858)

$LwpTabLeaderNone (1855)

RelativeType
Data type is Variant. One of the 3 relative tab types listed below. You can use the string or its code as the value of this parameter.

$LwpTabRelativeCenter (1862)

$LwpTabRelativeLeft (1860)

$LwpTabRelativeRight (1861)

AlignChar
A numeric expression representing the tab alignment character. You must use an integer as the numeric expression.

Return value

Usage


Word Pro: InsertPageBreak method

 See list of classes

 See example

Inserts a page break in the document.

Syntax

[objectreference].InsertPageBreak()

Parameters

Return value

Usage


Word Pro: InsertPageLayout method

 See list of classes

 See example

Displays the Insert Page Layout dialog box which allows you to insert a new page layout at the current insertion point.

Syntax

[objectreference].InsertPageLayout(LayoutStyleName,[UsePrevHeaderText,] [UsePrevFooterText,] [StartType])

Parameters

LayoutStyleName
A string expression representing the name of the layout style.

UsePrevHeaderText
A Boolean expression indicating whether to use previous header text (FALSE) or not (TRUE).  This parameter is optional and has a default value of False.

UsePrevFooterText
A Boolean expression indicating whether to use previous footer text (FALSE) or not (TRUE).  This parameter is optional and has a default value of False.

StartType
Data type is Variant. Optional parameter. One of the 4 locations where you can start the page layout insertion. The default value is "$LwpStartTypeThispage".

$LwpStartTypeNextevenpage (1827)

$LwpStartTypeNextoddpage (1826)

$LwpStartTypeNextpage (1824)

$LwpStartTypeThispage (1825)

UsePrevFooterText
A Boolean expression. Optional parameter. Default value is False.

Return value

Usage


Word Pro: InsertPageNumber method

 See list of classes

 See example

This method is defined in the following classes:

WPApplication

Allows you to insert a page number in the currently active Text or TextMarker object.

ClickHere

Allows you to insert a page number in the referenced ClickHere object.

TextMarker

Allows you to insert a page number in the referenced TextMarker object.

Text

Allows you to insert a page number in the referenced Text object.

Syntax

[objectreference].InsertPageNumber([NumberingStyle,][BeforeText,][AfterText

Flags)

[objectreference].InsertPageNumber(NumberingStyle, BeforeText, AfterText, StartingNumber, StartOnPage, Flags)

[objectreference].InsertPageNumber(NumberingStyle, BeforeText, AfterText, StartingNumber, StartOnPage, Flags)

[objectreference].InsertPageNumber(NumberingStyle, BeforeText, AfterText, StartingNumber, StartOnPage, Flags)

Parameters

Numbering
Style

Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent. When used from the WPApplication object, this is an optional parameter with a default value of "$LwpNumberingStyleBasic". $LwpNumberingStyleBasic (1588)

$LwpNumberingStyleChar (1593)

$LwpNumberingStyleFullpitchbasic (1594)

$LwpNumberingStyleFullpitchlowercase (1597)

$LwpNumberingStyleFullpitchuppercase (1596)

$LwpNumberingStyleFullpitchverbasic (1595)

$LwpNumberingStyleLowercaseletters (1590)

$LwpNumberingStyleLowercaseroman (1592)

$LwpNumberingStyleNone (1587)

$LwpNumberingStyleUppercaseletters (1589)

$LwpNumberingStyleUppercaseroman (1591)

Before
Text

Data type is String. When used from the WPApplication object, this is an optional parameter.

After
Text

Data type is String. When used from the WPApplication object, this is an optional parameter with a default value of  "$LwpNumberingStyleBasic".

StartingNumber
Data type is Integer. When used from the WPApplication object, this is an optional parameter with a default value of 0.

StartOnPage
Data type is Integer. When used from the WPApplication object, this is an optional parameter with a default value of 0.

Flags
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent. When used from the WPApplication object, this is an optional parameter with a default value of "LwpPageNumberFlagsDefault".

LwpPageNumberFlagsDefault (&H0)

LwpPageNumberFlagsIncludebefore (&H4)

LwpPageNumberFlagsIncludedivname (&H2)

LwpPageNumberFlagsIncludesecname (&H1)

LwpPageNumberFlagsResetondivision (&H20)

LwpPageNumberFlagsResetonsection (&H10)

Return value

Boolean

Usage


Word Pro: InsertPath method

 See list of classes

 See example

Inserts the drive and directory of a specified file.

Syntax

[objectreference].InsertPath(PathSelection, Path, [Path2,][Path3,][Path4,][Path5])

Parameters

PathSelection
Indicates specified drive and directory

Path
A string expression

Path2
String expression

Optional parameter

Path3
String expression

Optional parameter

Path4
String expression

Optional parameter

Path5
String expression

Optional parameter

Return value

Usage


Word Pro: InsertRowOrColumn method

 See list of classes

 See example

Inserts a new row or column in a table object.

Syntax

[objectreference].InsertRowOrColumn(TableInsType, InsertAfter, NumToInsert, [Position,] [CopyCellStyle])

Parameters

TableInsType
A variant expression

$LwpTableInsTypeColumn (1876)

$LwpTableInsTypeRow (1875)

InsertAfter
A Boolean expression that allows whether the new row or column should be inserted after the row or column which has the focus when you run the script.

NumToInsert
An Integer value which specifies the number of rows or columns to insert.

Position
Integer (optional)

CopyCellStyle
A Boolean value which indicates whether or not to copy the cell style from the current row or column. This parameter is optional and has a default value of True.

Return value

Boolean

Usage


Word Pro: InsertRuby method

 See list of classes

 See example

Inserts a ruby into a document.

Syntax

[objectreference].InsertRuby()

Parameters

Return value

Usage


Word Pro: InsertSection method

 See list of classes

 See example

WPApplication

Inserts a section in the currently active division of a document.

WPApplication

SectionTabs

Syntax

[objectreference].InsertSection([StyleName,][UsePrevHeaderText,] [UsePrevFooterText,] [StartType,] [IsCreateIndex,][ShowTab])

[objectreference].InsertSection()

Parameters

StyleName
Data type is String. Optional parameter.

UsePrevHeaderText
Data type is Boolean. Optional parameter. Default value is False.

UsePrevFooterText
Data type is Boolean. Optional parameter. Default value is False.

StartType
Data type is Variant. Optional parameter. Default value is "$LwpStartTypeThispage". The value of this parameter must be one of the strings below or its code equivalent.

$LwpStartTypeNextevenpage (1827)

$LwpStartTypeNextoddpage (1826)

$LwpStartTypeNextpage (1824)

$LwpStartTypeThispage (1825)

IsCreateIndex
Data type is Boolean. Optional parameter. Default value is False.

ShowTab
Data type is Boolean. Optional parameter. Default value is True.

Return value

Bool; Bool; Bool

Usage


Word Pro: InsertTab method

 See list of classes

 See example

Inserts a tab in the horizontal ruler.

Syntax

[objectreference].InsertTab([ p1,] [TabType,] [LeaderType,] [RelativeType,] [AlignChar])

Parameters

P1
Data type is Variant. Optional parameter.

TabType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTabTypeCenter (1864)

$LwpTabTypeLeft (1863)

$LwpTabTypeNumeric (1866)

$LwpTabTypeRight (1865)

LeaderType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTabLeaderDot (1857)

$LwpTabLeaderHyphen (1856)

$LwpTabLeaderLine (1858)

$LwpTabLeaderNone (1855)

RelativeType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTabRelativeCenter (1862)

$LwpTabRelativeLeft (1860)

$LwpTabRelativeRight (1861)

AlignChar
A numeric expression. Optional parameter. The number must be an integer.

Return value

Usage


Word Pro: InsertText method

 See list of classes

 See example

Inserts text in a document.

Syntax

[objectreference].InsertText(Text, [Split,] [TextType,])

Parameters

Text
Data type is String.

Split
Data type is Boolean. Optional parameter. Default value is False.

TextType
Data type is Variant. Optional parameter. Default value is "$LwpTextTypeRoman". The value of this parameter must be one of the strings below or its code equivalent.

$LwpTextTypeHkatakana (1939)

$LwpTextTypeKanji (1938)

$LwpTextTypeNative (2014)

$LwpTextTypeRawUnicode (1940)

$LwpTextTypeRoman (1937)

$LwpTextTypeUnicode (1936)

Return value

Usage


Word Pro: InsertTOC method

 See list of classes

 See example

Displays the Table of Contents Assistant dialog box which allows you to insert a table of contents in a division.

Syntax

[objectreference].InsertTOC([TOCGeneration,][TOCPlacement,][UseSeparateDivi

Parameters

TOCGeneration
Data type is Variant. Optional parameter. The default value is "$LwpGenerateAcrossEntireDoc". The value of this parameter must be one of the strings below or its code equivalent.

$LwpGenerateAcrossCurrentDiv (414)

$LwpGenerateAcrossCurrentSect (415)

$LwpGenerateAcrossEntireDoc (412)

$LwpGenerateAcrossGroupedDivs (413)

$LwpGenerateAcrossSelectedText (416)

TOCPlacement
Data type is Variant. Optional parameter. The default value is "$LwpTOCPlacementBeginofdoc". The value of this parameter must be one of the strings below or its code equivalent.

$LwpTOCPlacementBeginofdivision (1842)

$LwpTOCPlacementBeginofdoc (1841)

$LwpTOCPlacementBeginofgroup (1843)

$LwpTOCPlacementBeginofsection (1845)

$LwpTOCPlacementInsertionpoint (1844)

UseSeparateDivision
Data type is Boolean. Optional parameter. Default value is True.

SmartMasterName
Data type is String. Optional parameter.

Return value

Usage


Word Pro: InternalCopy method

 See list of classes

 See example

Creates a copy of the document.

Syntax

[objectreference].InternalCopy(Temporary)

Parameters

Temporary
A Boolean expression Optional

Default value of False

A Boolean expression is either True or False.

Return value

Usage


Word Pro: InternalCut method

 See list of classes

 See example

Deletes a document and places it in the clipboard.

Syntax

[objectreference].InternalCut(Temporary)

Parameters

Temporary
A Boolean expression Optional Default value of False

A Boolean expression is either True or False.

Return value

Usage


Word Pro: InternalPaste method

 See list of classes

 See example

Pastes a copy of a document from the clipboard in the application.

Syntax

[objectreference].WPApplication.InternalPaste( FoundryType)

[objectreference].ClickHere.InternalPaste([FoundryType]

[objectreference].TextMarker.InternalPaste([FoundryType] )

[objectreference].Text.InternalPaste([FoundryType])

Parameters

FoundryType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent. The default value is "$LwpFoundryTypeApplication". This is an optional parameter with no default value when used from WPApplication object.

$LwpFoundryTypeApplication (346)

$LwpFoundryTypeDocument (345)

$LwpFoundryTypeTemporary (347)

Return value

Usage


Word Pro: Invalidate method

 See list of classes

 See example

Syntax

[objectreference].Invalidate()

Parameters

Return value

Usage


Word Pro: InvalidateButton method

 See list of classes

 See example

Syntax

[objectreference].InvalidateButton()

Parameters

Return value

Usage


Word Pro: InvalidateWholeBar method

 See list of classes

 See example

Syntax

[objectreference].InvalidateWholeBar()

Parameters

Return value

Usage


Word Pro: IsDataNameUsed method

 See list of classes

 See example

Determines if the data name for an object is being used.

Syntax

[objectreference].IsDataNameUsed(DataName)

Parameters

DataName
A variable name in the ScriptDataSet. DataName is a string expression.

Return value

Usage


Word Pro: IsEmpty method

 See list of classes

 See example

Syntax

[objectreference].IsEmpty()

Parameters

Return value

Usage


Word Pro: IsExportedAsNotesFX method

 See list of classes

 See example

Determies whether or not the specified file can exported as a Notes FX files.

Syntax

[objectreference].IsExportedAsNotesFX(Type)

Parameters

Type
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpDocVarAllversionnames (210)

$LwpDocVarCreatedby (2046)

$LwpDocVarDatecreated (196)

$LwpDocVarDatelastrevision (197)

$LwpDocVarDescription (195)

$LwpDocVarDivisionname (203)

$LwpDocVarDoccategory (212)

$LwpDocVarDocsize (202)

$LwpDocVarField (191)

$LwpDocVarFilename (192)

$LwpDocVarKeywords (215)

$LwpDocVarLasteditor (2047)

$LwpDocVarNone (190)

$LwpDocVarNumchars (201)

$LwpDocVarNumpages (199)

$LwpDocVarNumversions (209)

$LwpDocVarNumwords (200)

$LwpDocVarOthereditors (2048)

$LwpDocVarOtherversionededitors (207)

$LwpDocVarPath (193)

$LwpDocVarSectionname (204)

$LwpDocVarStylesheet (194)

$LwpDocVarTotaledittime (198)

$LwpDocVarVersioncreatedate (206)

$LwpDocVarVersioncreatedby (205)

$LwpDocVarVersionlasteditdate (213)

$LwpDocVarVersionlasteditedby (214)

$LwpDocVarVersionname (208)

$LwpDocVarVersionnumrevisions (2049)

$LwpDocVarVersionremarks (211)

Return value

Usage


Word Pro: IsFilterTypePresent method

 See list of classes

 See example

Determine whether or not the specified filter resides in

 Word Pro.

Syntax

[objectreference].IsFilterTypePresent(Type, Import)

Parameters

Type
A string expression

Import
A numeric expression

You must use integer as the numeric expression.

Return value

Usage


Word Pro: IsItemSelected method

 See list of classes

 See example

Determines whether or not the specified item is selected.

Syntax

[objectreference].IsItemSelected(Index)

Parameters

Index
A numeric expression

You must use an integer as the numeric expression.

Return value

Usage


Word Pro: IsMarkerEqualToSelection method

 See list of classes

 See example

Determines whether or not the current marker matches the current selection.

Syntax

[objectreference].IsMarkerEqualToSelection(Marker)

Parameters

Marker
A string expression

Return value

Usage


Word Pro: IsPointWithin method

 See list of classes

 See example

Syntax

[objectreference].IsPointWithin( X, Y)

Parameters

X
Data type Twips

Indicates the position of the point in units of Twips on the X axis.

Y
Data type Twips

Indicates the position of the point in units of Twips on the Y axis.

Return value

Usage


Word Pro: IsTemporary method

 See list of classes

 See example

Retrieves the value of the IsTemp property for an object.

Syntax

[objectreference].IsTemporary()

Parameters

Return value

Usage


Word Pro: IsWMCommandValid method

 See list of classes

 See example

Determines whether or not the WMCommand is valid.

Syntax

[objectreference].IsWMCommandValid(CommandID)

Parameters

CommandID
A numeric expression

You must use an integer as the numeric expression.

Return value

Usage


Word Pro: Italic method

 See list of classes

 See example

Sets the italic attribute for text.

Syntax

[objectreference].Italic()

Parameters

Return value

Usage


Word Pro: Item method

 See list of classes

 See example

This method is defined in the following classes:

BagCollection

BookmarkCollection

CellCollection

CellLayoutCollection

CharacterStyleCollection

ClickHereCollection

ConnectedLayoutCollection

ContentCollection

ScriptDataSetCollection

DdeLinkCollection

DivisionCollection

Documents

EditorCollection

EndnoteLayoutCollection

DocInfoFieldCollection

PowerFieldCollection

FooterLayoutCollection

FootnoteCollection

FootnoteLayoutCollection

FrameLayoutCollection

GlossaryCollection

GraphicCollection

GraphicOleObjectCollection

GroupLayoutCollection

HeaderLayoutCollection

IconBarCollection

LayoutCollection

LongCollection

MarkerCollection

MenuItemCollection

NoteLayoutCollection

OleObjectCollection

OutlineSeqCollection

OutlineSeqItemCollection

PageLayoutCollection

ParagraphStyleCollection

ParallelColsCollection

RowLayoutCollection

RubyLayoutCollection

SectionCollection

SilverBulletCollection

StatusBarButtonCollection

StringCollection

SuperTableCollection

SuperTableLayoutCollection

TableCollection

TableHeadingCollection

TableHeadingLayoutCollection TableLayoutCollection

TableMarkerCollection

TableOnlyCollection

TextCollection

TextMarkerCollection

TextStyleCollection

UnitCollection

DocWindowCollection

Syntax

Item(idx)

Item(Name)

Item(ButtonName)

Parameters

idx
Data type is String.

Name
Data type is String.

ButtonName
Data type is String.

Return value

Bag

Usage


Word Pro: Labels method

 See list of classes

 See example

Syntax

[objectreference].Labels(Control_id)

Parameters

Contro
_Id

Data type Variant

Return value

Usage


Word Pro: Link method

 See list of classes

 See example

Syntax

[objectreference].Link(Path,Type)

Parameters

Path
A string expression

Type
A string expression

Return value

Usage


Word Pro: ListBoxes method

 See list of classes

 See example

Inserts a list box in a custom dialog box.

Syntax

[objectreference].ListBoxes(Control_Id)

Parameters

Contro
_Id

Variant data type

Return value

Usage


Word Pro: Localize method

 See list of classes

 See example

Syntax

[objectreference].Localize(SetToLocal)

Parameters

SetToLocal
A Boolean expression

A Boolean expression is either True or False.

Return value

Usage


Word Pro: LowerCase method

 See list of classes

 See example

Sets lowercase for text in a document.

Syntax

[objectreference].LowerCase()

Parameters

Return value

Usage


Word Pro: MacroAppend method

 See list of classes

 See example

Syntax

[objectreference].MacroAppend()

Parameters

Return value

Usage


Word Pro: MacroCancel method

 See list of classes

 See example

Syntax

[objectreference].MacroCancel()

Parameters

Return value

Usage


Word Pro: MacroCompile method

 See list of classes

 See example

Syntax

[objectreference].MacroCompile()

Parameters

Return value

Usage


Word Pro: MacroEndRecord method

 See list of classes

 See example

Syntax

[objectreference].MacroEndRecord()

Parameters

Return value

Usage


Word Pro: MacroPlay method

 See list of classes

 See example

Allows you to play back an Ami Pro macro that was previouly saved to a file.

Syntax

[objectreference].MacroPlay(MacroFileName)

Parameters

MacroFileName
A string expression

Return value

Usage


Word Pro: MacroQuickPlay method

 See list of classes

 See example

Allows you to play the most recently recorded Ami Pro quick macro.

Syntax

[objectreference].MacroQuickPlay()

Parameters

Return value

Usage


Word Pro: MacroQuickRecord method

 See list of classes

 See example

Allows you record an Ami Pro macro without saving the keystrokes to a named macro file.

Syntax

[objectreference].MacroQuickRecord()

Parameters

Return value

Usage


Word Pro: MacroRecord method

 See list of classes

 See example

Allows you to create a macro and save it to a file.

Syntax

WPApplication.MacroRecord( MacroFileName,[ SubroutineName])

ApplicationWindow.MacroRecord([MacroFileName, ] [SubroutineName, ] [InsertIntoScriptEditor)

Parameters

MacroFileName
String data type

SubroutineName
String data type

Optional parameter

InsertIntoScriptEditor
Boolean data type

Optional parameter

Default value False

Return value

Usage


Word Pro: MacroResume method

 See list of classes

 See example

Resumes the playing of an Ami Pro macro in Word Pro.

Syntax

[objectreference].MacroResume()

Parameters

Return value

Usage


Word Pro: MacroRun method

 See list of classes

 See example

Plays an Ami Pro macro in the Word Pro application.

Syntax

[objectreference].MacroRun()

Parameters

Return value

Usage


Word Pro: MailDocument method

 See list of classes

 See example

Sends E-mail document in Word Pro.

Syntax

[objectreference].MailDocument()

Parameters

Return value

Usage


Word Pro: MakeTableFromText method

 See list of classes

 See example

Converts text in a document into a table.

Syntax

[objectreference].MakeTableFromText()

Parameters

Return value

Usage


Word Pro: MakeUniqueLinkName method

 See list of classes

 See example

Allows you to assign a unique name to a Dde link.

Syntax

[objectreference].MakeUniqueLinkName(LinkName)

Parameters

LinkName
A string expression

Return value

Usage


Word Pro: ManualFrame method

 See list of classes

 See example

Inserts a manual frame graphic that you can drag to the desired frame size. It is equivalent to clicking the Frame icon make the manual frame graphic display.

Syntax

[objectreference].ManualFrame([FrameStyle])

Parameters

FrameStyle
An optional string expression

Return value

Usage


Word Pro: ManualTable method

 See list of classes

 See example

Inserts the table grid. You can drag to the mouse pointer over the grid until you select the desired number of table columns and rows and release the mouse to insert the table in the document  It is equivalent to clicking the table grid SmartIcon.

Syntax

[objectreference].ManualTable(TableStyle,Columns,Rows)

Parameters

TableStyle
An optional string expression

Columns
An optional numeric expression

You must use the data type long value as the numeric expression.

Rows
An optional numeric expression

You must use the data type long value as the numeric expression.

Return value

Usage


Word Pro: Mark method

 See list of classes

 See example

WPApplication

GraphicOleObject

Layout

Marks the layout for navigational and finding purposes. ClickHere

TextMarker

BaseTable

same as layout

Text

same as layout

Syntax

[objectreference].Mark(MarkerType)

[objectreference].Mark(MarkerType)

[objectreference].Mark(MarkerType)

[objectreference].Mark(MarkerType, [MarkerName,] [RangePart])

[objectreference].Mark(MarkerType, [MarkerName,] [RangePart])

[objectreference].Mark(MarkerType, [StartRow,] [StartCol,] [NumOfRows,] [NumOfCols])

[objectreference].Mark(MarkerType, [MarkerName,] [RangePart])

Parameters

MarkerType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpMarkerTypeBookmark (590)

$LwpMarkerTypeClickhere (593)

$LwpMarkerTypeDde (591)

$LwpMarkerTypeDefault (589)

$LwpMarkerTypeField (592)

$LwpMarkerTypeRuby (594)

MarkerName
Data type is String. Optional parameter.

RangePart
Data type is Variant. Default value is "$LwpRangePartBoth". The value of this parameter must be one of the strings below or its code equivalent.

$LwpRangePartBoth (1663)

$LwpRangePartEnd (1665)

$LwpRangePartStart (1664)

StartRow
Data type is Integer. Optional parameter.

StartCol
Data type is Integer. Optional parameter.

NumOfRows
Data type is Integer. Optional parameter.

NumOfCols
Data type is Integer. Optional parameter.

Return value

A String value representing the name of the marker object.

Usage


Word Pro: MarkRevisionInsert method

 See list of classes

 See example

Marks the location where a revisions have been inserted.

Syntax

[objectreference].MarkRevisionInsert()

Parameters

Return value

Usage


Word Pro: Maximize method

 See list of classes

 See example

Mazimizes the Word Pro window to fill the entire screen.

Syntax

[objectreference].Maximize()

Parameters

Return value

Usage


Word Pro: Merge method

 See list of classes

 See example

Displays the Merge Assistant dialog box which allows you to combine data stored in one file with text in another document.

Syntax

[objectreference].Merge(MergeAction,[MergeFilePath])

Parameters

MergeAction
Indicates what action to take with the currently active merge document. You can use one of the followings strings (or its code) for the value of this parameter:

$LwpMergeActionNewfile (1492)

Opens the smartmaster default and attaches the currently active data file to that new document as that document's data file.

$LwpMergeActionOpenfile (1493)

uses the file mentioned in P2

$LwpMergeActionNextRecord (1494)

moves to next record for merge (Must do an $LwpMergeActionMergeOne after this to get the next record to appear on screen)

$LwpMergeActionSkipRecord (1495)

Not implemented.

$LwpMergeActionMergeOne (1496)

(Update)

$LwpMergeActionClose (1497)

Ends the merge process. You must set the MSStep value to 0, 1, or 2

$LwpMergeActionContinue = 1498

sends it all off to printer and does the actual printing of the merge

MergeFilePath
An optional string expression representing the path and name of the merge document you want to use with the active data file.

Return value

Usage


Word Pro: MergeContinue method

 See list of classes

 See example

Syntax

[objectreference].MergeContinue()

Parameters

Return value

Usage


Word Pro: MergeSetDataFile method

 See list of classes

 See example

Syntax

[objectreference].MergeSetDataFile(DataFilePath,DocWindowHwnd)

Parameters

DataFilePath
A string expression

DocWindowHwnd
A numeric expression

You must the data type long value as the numeric expression.

Return value

Usage


Word Pro: MergeStart method

 See list of classes

 See example

Initiates the Merge tool.

Syntax

[objectreference].MergeStart([MergeAction,] [MergeFilePath])

Parameters

MergeAction

Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpMergeActionClose (1497)

$LwpMergeActionContinue (1498)

$LwpMergeActionMergeOne (1496)

$LwpMergeActionNewfile (1492)

$LwpMergeActionNextRecord (1494)

$LwpMergeActionOpenfile (1493)

$LwpMergeActionSkipRecord (1495)

MergeFilePath
An optional string expression

Return value

Usage


Word Pro: Messages method

 See list of classes

 See example

Syntax

[objectreference].Messages(MsgBoxAction)

Parameters

MsgBoxAction
Data type Variant

The value of this parameter must be one of the strings below or its code equivalent.

$LwpDisplayMsgboxAndWait (2073)

$LwpTakeDefaultMsgboxAnswer (2074)

Return value

Usage


Word Pro: Minimize method

 See list of classes

 See example

Minimizes the Word Pro window by reducing it to an icon.

Syntax

[objectreference].Minimize()

Parameters

Return value

Usage


Word Pro: MirrorPage method

 See list of classes

 See example

Makes a mirror image of the referenced layout object. You must first create the complex pagelayout. Then invoking this method make one page of that complex layout a mirror image of the other.

Syntax

[objectreference].MirrorPage()

Parameters

Return value

Usage


Word Pro: MorphSelectionToTable method

 See list of classes

 See example

Syntax

[objectreference].MorphSelectionToTable()

Parameters

Return value

Usage


Word Pro: MostRecentVersion method

 See list of classes

 See example

Syntax

[objectreference].MostRecentVersion()

Parameters

Return value

Usage


Word Pro: Move method

 See list of classes

 See example

This method is defined in the following classes:

Window

Allows you to move a window object to the coordinates specified by the XPosition and YPosition parameters.

Division

Allows you to move a division object.

TextDocument

Allows you to move a TextDocument object.

Syntax

[objectreference].ActiveDocWindow.Move(Name,[ParentName,] [BeforeNeighbor,] [NeighborName]

[objectreference].Division.Move( XPosition,YPosition)

[objectreference].ActiveDocument.Move( XPosition,YPosition)

Parameters

XPosition
Data type is Twips.

YPosition
Data type is Twips.

MoveName
Data type is String.

ParentName
Data type is String. Optional parameter.

BeforeNeighbor
Data type is Boolean. Optional parameter. Default value is False.

NeighborName
Sata type is String. Optional parameter.

Return value

Boolean

Usage


Word Pro: MoveDivision method

 See list of classes

 See example

Syntax

[objectreference].MoveDivision([DivisionName,][Parent,] [DivisionLocation,] [NeighborName])

Parameters

DivisionName
An optional string expression

Parent
An optional string expression

DivisionLocation
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpDivLocInsertAfterCurrentdiv (185)

$LwpDivLocInsertAtInsertionPt (186)

$LwpDivLocInsertBeforeCurrentdiv (184)

NeighborName
An optional string expression

Return value

Usage


Word Pro: MoveDown method

 See list of classes

 See example

Syntax

[objectreference].MoveDown(Count)

Parameters

Count
A numeric expression

You must use an integer as the numeric expression.

Return value

Usage


Word Pro: MoveItem method

 See list of classes

 See example

Moves a menu item from one place to another.

Syntax

[objectreference].MoveItem(FromItem, [After,][TargetText,][Caption])

Parameters

FromItem
Specifies which menu you are moving the item from.

After
The default value of True places the moved item after last item in the parent menu item object.  Setting the value of After to False places the moved item before the first item in the parent menu item object. This is an optional Boolean expression. A Boolean expression is either True or False.

TargetText
Allows you to specify a menu item object so you can place the moved item before or after it.  It is an optional string expression.

Caption
The name of the moved menu item. It is an optional string expression.

Return value

Usage

You call this method from the destination menu item.


Word Pro: MoveParagraph method

 See list of classes

 See example

Syntax

[objectreference].MoveParagraph(MoveDirection)

Parameters

MoveDirection
Data type Variant

The value of this parameter must be one of the strings velow or its code equivalent.

$LwpMoveDirectionDown (1513)

$LwpMoveDirectionUp (1512)

Return value

Usage


Word Pro: MoveToBack method

 See list of classes

 See example

Moves a layout to the back of its siblings

Syntax

[objectreference].MoveToBack()

Parameters

Return value

Usage


Word Pro: MoveToEnd method

 See list of classes

 See example

This method is not available in the 16-bit version of Word Pro.

In the 32-bit version of Word Pro, MoveToEnd moves the selected Text or TextMarker object to the end of a specified type of location.

Syntax

[objectreference].MoveToEnd(LocationType)

Parameters

LocationType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpLocationTypeDocument (573)

$LwpLocationTypeLine (571)

$LwpLocationTypeParagraph (572)

$LwpLocationTypeSelection (568)

$LwpLocationTypeSentence (570)

$LwpLocationTypeStream (574)

$LwpLocationTypeWord (569)

Return value

Boolean

Usage


Word Pro: MoveToFront method

 See list of classes

 See example

Moves a layout to th front.

Syntax

[objectreference].MoveToFront()

Parameters

Return value

Usage


Word Pro: MoveToStart method

 See list of classes

 See example

This method is not available in the 16-bit version of Word Pro.

In the 32-bit version of Word Pro, MoveToStart moves the selected Text or TextMarker object to the beginning of a specified type of location.

Syntax

[objectreference].MoveToStart(LocationType)

Parameters

LocationType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpLocationTypeDocument (573)

$LwpLocationTypeLine (571)

$LwpLocationTypeParagraph (572)

$LwpLocationTypeSelection (568)

$LwpLocationTypeSentence (570)

$LwpLocationTypeStream (574)

$LwpLocationTypeWord (569)

Return value

Boolean

Usage


Word Pro: MoveUp method

 See list of classes

 See example

Syntax

[objectreference].MoveUp(Count)

Parameters

Count
A numeric expression

You must use an integer as the numeric expression.

Return value

Usage


Word Pro: NewDivision method

 See list of classes

 See example

Creates a new division in a document.

Syntax

[objectreference].NewDivision([ParentName,] [BeforeNeighbor,] [NeighborName,] [Initialize,][Split])

Parameters

ParentName
An optional string expression

BeforeNeighbor
A Boolean expression

Optional parameter

Default value of False

A Boolean expression is either True or False.

NeighborName
An optional string expression

Initialize
A Boolean expression

Optional Default value of True

A Boolean expression is either True or False.

Split
A boolean expression

Optional Default value of False

A Boolean expression is either True or False.

Return value

Usage


Word Pro: NewDocument method

 See list of classes

 See example

Creates a new Word Pro document including the DocWindow and TextDocument objects.

Syntax

[objectreference].NewDocument([DocFileName,][DocFilePath,] [SmartMasterName,][SmartMasterDir,] [Password,] [Kind])

Parameters

DocFileName
An optional string expression representing the name of the new file. You can leave this parameter blank if you want to open an Untitled document.

DocFilePath
An optional string expression representing the path where you want to store the new file.

SmartMasterName
An optional string expression representing the name of the SmartMaster from which you want to create the new document. To create a plain document, leave this parameter empty.

SmartMasterDir
An optional string expression representing the path where the SmartMaster for the new document is stored. If the SmartMaster you want to use is stored in the default SmartMaster directory, you do not need to include this parameter.

Password
An optional string expression representing

Kind
An optional string expression representing the file format for the new document.

Return value

Long

Usage

Use this method to create a new document.


Word Pro: NewItem method

 See list of classes

 See example

Adds a new menu item object to a named menu item object.

Syntax

[objectreference].NewItem(Caption, [p2,] [After,] [TargetText])

Parameters

Caption
The name of the new menu item. It is a string expression.

p2
A variant data type

Default/optional value 0

After
The default value of True places the new item after last item in the parent menu item object.  Setting the value of After to False places the new item before the first item in the parent menu item object. This is an optional Boolean expression.

TargetText
Allows you to specify a menu item object so you can place the new item before or after it.  It is an optional string expression.

Return value

Usage


Word Pro: NewWindow method

 See list of classes

 See example

Creates a new window with the same name as the active window.

Syntax

[objectreference].NewWindow()

Parameters

Return value

Usage


Word Pro: Next method

 See list of classes

 See example

This method is not available in the 16-bit version of Word Pro.

In the 32-bit version of Word Pro, this method is defined in the following classes: Layout

Internal Use Only

ClickHere

Text and TextMarker

Returns the next specified object type in a text or text marker object.

Syntax

[objectreference.]Next(ObjectType, LayoutObjectType)

[objectreference.]Next(ObjectType, [SearchObjectType,][p3,][MarkerName,][ClassName,][SubClass,])

[objectreference.]Next(ObjectType, [SearchObjectType,][p3,][MarkerName,][ClassName,][SubClass,])

Parameters

ObjectType
Data type is Variant. The value of this parameter must be "$LwpRevisionObjectTypeRevision" or its code equivalent (1713).

LayoutObjectType
Data type is Variant. The value of this parameter must be "$LwpLayoutObjectTypeLayout" or its code equivalent (523).

ObjectType
Data type is Variant. Used with a Layout object, this parameter must be "$LwpRevisionObjectTypeRevision" or its code equivalent (1713).

Used with a Text, TextMarker, or ClickHere object, this parameter must have one of the following values:

$LwpNextObjectTypeFormatcheck (1529)

$LwpNextObjectTypeRevision (1527)

$LwpNextObjectTypeSearch (1526)

$LwpNextObjectTypeTombstone (1528)

SearchObjectType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpSelectObjectTypeBullet (1757)

$LwpSelectObjectTypeChunk (1750)

$LwpSelectObjectTypeDocument (1754)

$LwpSelectObjectTypeLevel (1756)

$LwpSelectObjectTypeObject (1748) $LwpSelectObjectTypeParagraph (1753)

$LwpSelectObjectTypeSection (1759)

$LwpSelectObjectTypeSentence (1752)

$LwpSelectObjectTypeStream (1755)

$LwpSelectObjectTypeTombstoneset (1758)

$LwpSelectObjectTypeTuna (1751)

$LwpSelectObjectTypeWord (1749)

p3
Data type is Variant. Optional parameter. Default value is True.

MarkerName
Data type is String. Optional parameter.

ClassName
Data type is String. Optional parameter.

SubClass
Data type is String. Optional parameter.

Return value

Integer

Usage


Word Pro: NextItem method

 See list of classes

 See example

Changes the current item to the next item.

Syntax

[objectreference].NextItem(ObjectType, LayoutObjectType, [MarkerName])

Parameters

ObjectType
Data type is Variant. The value of this parameter must be "$LwpRevisionObjectTypeRevision" or its code equivalent (1713).

LayoutObjectType
Data type is Variant. The value of this parameter must be "$LwpLayoutObjectTypeLayout" or its code equivalent (523).

MarkerName
An optional string expression

Return value

Usage


Word Pro: NextVersion method

 See list of classes

 See example

Changes the active version to the next version.

Syntax

[objectreference].NextVersion()

Parameters

Return value

Usage


Word Pro: NormalText method

 See list of classes

 See example

Removes attributes from text in a document.

Syntax

[objectreference].NormalText()

Parameters

Return value

Usage


Word Pro: NumberOfVersions method

 See list of classes

 See example

Displays the number of versions of a document. It is equivalent to choosing File - Versions.

Syntax

[objectreference].NumberOfVersions(VersionObjectType)

Parameters

VersionObjectType
Data type is Variant. The value of this parameter must be "$LwpVersionObjectType" or its code equivalent (1961).

Return value

Usage


Word Pro: Open method

 See list of classes

 See example

Syntax

[objectreference].Window.Open()

[objectreference].NoteLayout.Open()

[objectreference].OleObject(Verb)

Parameters

Verb
Data type Long value

Optional parameter

Default value is 0.

Return value

Usage


Word Pro: OpenDataFile method

 See list of classes

 See example

Opens a merge data file.

Syntax

[objectreference].OpenDataFile(DataFilePath, DataFileType, [Password])

Parameters

DataFilePath
A string expression

DataFileType
A string expression

Password
An optional string expression

Return value

Usage


Word Pro: OpenDocument method

 See list of classes

 See example

Opens a Word Pro document.

Syntax

[objectreference].OpenDocument(DocName, [Location,] [Kind,] [Password,] [OpenRO,] [MakeVisible])

Parameters

DocName
A string expression representing the path and name of the document you want to open.

Location
An optional string expression representing the path of the document you are opening. If the document is not in the current working directory, you must use this parameter.

Kind
An optional string expression representing the file format for the document you are opening. You must provide the file format if the document you are opening is not a Word Pro document.

Password
An optional string expression

OpenRO
An optional boolean expression indicating whether you want to open the file as Read-write (False) or Read-only (True). This parameter has a default value of False.

MakeVisible
An optional boolean expression indicating whether or not the document will be visible when opened. This is an optional parameter with a default value of True.

Return value

Long

Usage

Use this method to open an existing document in Word Pro.


Word Pro: OpenFromStorage method

 See list of classes

 See example

Syntax

[objectreference].OpenFromStorage(pIStorage, FileType, [Password])

Parameters

plStorage
A numeric expression

You must use the data type long value as the numeric expression.

FileType
A string expression

Password
An optional string expression

Return value

Usage


Word Pro: OpenObject method

 See list of classes

 See example

Opens an object in a selected frame.

Syntax

[objectreference].OpenObject()

Parameters

Return value

Usage


Word Pro: OutlineMoveTextDown method

 See list of classes

 See example

Moves a paragraph down one paragraph but stays at the same outline level.

Syntax

[objectreference].OutlineMoveTextDown()

Parameters

Return value

Usage


Word Pro: OutlineMoveTextUp method

 See list of classes

 See example

Moves a paragraph up one paragraph but stays at the same outline level.

Syntax

[objectreference].OutlineMoveTextUp()

Parameters

Return value

Usage


Word Pro: OutlineStyleSequence method

 See list of classes

 See example

Applies paragraph styles to outline sequences.

Syntax

[objectreference].OutlineStyleSequence(ParagraphGetType)

Parameters

ParagraphGetType
Data type is Variant. The value of this parameter must be "$LwpParagraphGetType" or its code equivalent (1628).

Return value

Usage


Word Pro: PageDown method

 See list of classes

 See example

Moves the insertion point down one page.

Syntax

[objectreference].PageDown()

Parameters

Return value

Usage


Word Pro: PageUp method

 See list of classes

 See example

Moves the insertion point up one page.

Syntax

[objectreference].PageUp()

Parameters

Return value

Usage


Word Pro: Paste method

 See list of classes

 See example

This method is defined in the following classes:

WPApplication

Allows you to paste a specific item from the clipboard to the Word Pro application.

Foundry

Allows you to paste a specific item from the clipboard to a Foundry object.

TextMarker

Text

Allows you to paste a specific item from the clipboard into a text or text marker object.

Syntax

[objectreference].WPApplication.Paste([MakeVisible])

[objectreference].Document.Paste([MakeVisible])

[objectreference].Foundry.Paste([FoundryType,][Clear])

Parameters

MakeVisible
Data type is Boolean. Optional parameter. Default value is False.

FoundryType
Data type is Variant. Optional parameter. Default value is "$LwpFoundryTypeDocument" but you can also use one of the strings below or its code equivalent.

$LwpFoundryTypeApplication (346)

$LwpFoundryTypeDocument (345)

$LwpFoundryTypeTemporary (347)

Clear
Data type is Boolean. Optional parameter. Default value of True.

Return value

WPApplication and Document objects return a boolean value.

Foundry objects return a value of type Variant.

Usage


Word Pro: PasteLink method

 See list of classes

 See example

Pastes an Ole object from its source application and creates a linked Ole object.

Syntax

[objectreference].PasteLink(PresentationFormat, [UpdateDataOnly,] [IconMetaFilePictHandle]])

Parameters

PresentationFormat
A string expression

UpdateDataOnly
A boolean expression

Optional value of False

IconMetaFilePictHandle
An optional numeric expression

Default value 0

You must use the data type long value

Return value

Usage


Word Pro: PasteSpecial method

 See list of classes

 See example

Pastes an Ole object from the object's source application to the Word Pro application.

Syntax

[objectreference].PasteSpecial(LinkName,IconMetaFilePictHandle)

Parameters

LinkName
A string expression

IconMetaFilePictHandle
An optional numeric expression

Default value of 0

You must use the data type long value as the numeric expression.

Return value

Usage


Word Pro: PColConnectCells method

 See list of classes

 See example

Connects or disconnects the selected parallel column table cells. . .

Syntax

[objectreference].PColConnectCells()

Parameters

Return value

Usage


Word Pro: PColConnectRows method

 See list of classes

 See example

Connects or disconnects the selected parallel column table rows. The parallel column connect rows method is a toggle.  If the selected rows are not connected, they become connected. If the selected rows are already connected, they become disconnected. It is equivalent to choosing Columns - Connect Across Row.

Syntax

[objectreference].PColConnectRows()

Parameters

Return value

Usage


Word Pro: PColDisconnectCells method

 See list of classes

 See example

Disconnects or connects the selected parallel column table cells. The parallel column disconnect rows method is a toggle.  If the selected cells are not connected, they become connected. If the selected cells are already connected, they become disconnected. It is equivalent to choosing Columns -Disconnect Column Block.

Syntax

[objectreference].PColDisconnectCells()

Parameters

Return value

Usage


Word Pro: PColSelectColumn method

 See list of classes

 See example

Selects the contents in a parallel column table. The insertion point must be in the parallel column table. It is equivalent to choosing Columns - Select and choosing Column Contents.

Syntax

[objectreference].PColSelectColumn()

Parameters

Return value

Usage


Word Pro: PColSelectRow method

 See list of classes

 See example

Selects the contents of a row in a parallel column table. Word Pro selects the row that contains the insertion point. It is equivalent to choosing Columns - Select and choosing Row Contents.

Syntax

[objectreference].PColSelectRow()

Parameters

Return value

Usage


Word Pro: PColSelectTable method

 See list of classes

 See example

Selects the contents in the entire parallel column table. The insertion point must be in the parallel column. It is equivalent to choosing Table - Select and choosing All Column Contents.

Syntax

[objectreference].PColSelectTable()

Parameters

Return value

Usage


Word Pro: Play method

 See list of classes

 See example

Syntax

[objectreference].Play(p1)

Parameters

p1
Data type variant

Optional parameter

Return value

Usage


Word Pro: PrepareToDestroy method

 See list of classes

 See example

Syntax

[objectreference].PrepareToDestroy()

Parameters

Return value

Usage


Word Pro: Present method

 See list of classes

 See example

Syntax

[objectreference].Present()

Parameters

Return value

Usage


Word Pro: Previous method

 See list of classes

 See example

Syntax

[objectreference].Previous(ObjectType,[SearchObjectType,][ p3,] [MarkerName,] [ClassName,] [SubClass])

Parameters

ObjectType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpNextObjectTypeFormatcheck (1529)

$LwpNextObjectTypeRevision (1527)

$LwpNextObjectTypeSearch (1526)

$LwpNextObjectTypeTombstone (1528)

SearchObjectType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent. The default value is "$LwpSearchObjectTypeObject".

$LwpSearchObjectTypeAlignment (1739)

$LwpSearchObjectTypeIndent (1740)

$LwpSearchObjectTypeObject (1736)

$LwpSearchObjectTypeRevision (1743)

$LwpSearchObjectTypeSpacing (1741)

$LwpSearchObjectTypeStyle (1738)

$LwpSearchObjectTypeTab (1742)

$LwpSearchObjectTypeText (1737)

p3
Data type is Variant. Optional parameter. Default value is True.

MarkerName
Data type is String. Optional parameter.

ClassName
Data type is String. Optional parameter.

SubClass
Data type is String. Optional parameter.

Return value

Usage


Word Pro: PreviousItem method

 See list of classes

 See example

This method is defined in the following classes:

Layout

Internal Use Only.

BaseTable

Returns the last selected item in a glossary or base table.

Syntax

[objectreference].BaseTable.PreviousItem(RevisionObjectType,LayoutObjectTyp

Parameters

ObjectType
Data type is Variant. The value of this parameter must be "$LwpRevisionObjectTypeRevision" or its code equivalent (1713).

LayoutObjectType
Data type is Variant. The value of this parameter must be "$LwpLayoutObjectTypeLayout" or its code equivalent (523).

MarkerName
Data type is String. Optional parameter.

Return value

Integer

Usage


Word Pro: PreviousVersion method

 See list of classes

 See example

Syntax

[objectreference].PreviousVersion()

Parameters

Return value

Usage


Word Pro: Print method

 See list of classes

 See example

This method is defined in the following classes:

WPApplication

Prints a Word Pro document.

PrintManager

Prints a Word Pro document.

Syntax

[objectreference].WPApplication.Print([From,][To,][Copies,][nodialog])

[objectreference].Document.Print([From,][To,][Copies,][nodialog])

[objectreference].PrintManager.Print(DocName)

Parameters

From
Data type is Integer. Optional parameter. Default value is 1.

To
Data type is Integer. Optional parameter. Default value is 9999.

Copies
Data type is Integer. Optional parameter. Default value is 1.

nodialog
Data type is Boolean. Optional parameter. Default value is False.

DocName
Data type is String.

Return value

WPApplication and Document objects return a Boolean value.

PrintManager returns an integer.

Usage


Word Pro: PrintOut method

 See list of classes

 See example

Syntax

[objectreference].PrintOut( [From,][To,][Copies,][nodialog])

Parameters

From
An optional numeric expression

Default value 1

You must use an integer as the numeric expression.

To
An optional numeric expression

Default value 9999

You must use an integer as the numeric expression.

Copies
An optional numeric expression

Default value 1

You must use an integer as the numeric expression.

nodialog
A Boolean expression

An optional Default value of False

A Boolean expression is either True or False.

Return value

Usage


Word Pro: ProcessAccelKey method

 See list of classes

 See example

Syntax

[objectreference].ProcessAccelKey(WParam)

Parameters

WParam
A numeric expression

You must use an interger as the numeric value.

Return value

Usage


Word Pro: Promote method

 See list of classes

 See example

Syntax

[objectreference].Promote()

Parameters

Return value

Usage


Word Pro: PromoteOutlineLevel method

 See list of classes

 See example

Syntax

[objectreference].PromoteOutlineLevel()

Parameters

Return value

Usage


Word Pro: Purge method

 See list of classes

 See example

Syntax

[objectreference].Purge()

Parameters

Return value

Usage


Word Pro: Query method

 See list of classes

 See example

Displays a Windows Message box with a specified prompt and an edit box for the user to enter string data to be sent back to the macro.

Syntax

[objectreference].Query(??)

Parameters

Return value

Usage


Word Pro: QueryDrop method

 See list of classes

 See example

Syntax

[objectreference].QueryDrop(WindowId,GeneralModifier, SpecificModifier,  X, Y)

Parameters

WindowId
Data type is Long.

GeneralModifier
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

LwpGeneralModifierAlt (&H2)

LwpGeneralModifierCapslock (&H40)

LwpGeneralModifierCommand (&H8)

LwpGeneralModifierCtrl (&H4)

LwpGeneralModifierHelp (&H200)

LwpGeneralModifierNone (&H0)

LwpGeneralModifierNumlock (&H80)

LwpGeneralModifierOption (&H10)

LwpGeneralModifierScrolllock (&H100)

LwpGeneralModifierShift (&H1)

LwpGeneralModifierSys (&H20)

SpecificModifier
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

LwpSpecificModifierClicked (&H2)

LwpSpecificModifierComingup (&H4)

LwpSpecificModifierDamnit (&H1)

LwpSpecificModifierDoublebyte (&H1)

LwpSpecificModifierGoingdown (&H2)

LwpSpecificModifierMbutton1 (&H1)

LwpSpecificModifierMbutton2 (&H2)

LwpSpecificModifierMbutton3 (&H4)

LwpSpecificModifierMbuttondown (&H8)

LwpSpecificModifierMbuttonmask (&H7)

LwpSpecificModifierMbuttonup (&H10)

LwpSpecificModifierNomove (&H4)

LwpSpecificModifierNone (&H0)

LwpSpecificModifierNovolatile (&H8)

LwpSpecificModifierReset (&H10)

LwpSpecificModifierVirtual (&H8)

X
Data type is Twips. The position of the X coordinate in twips.

Y
Data type is Twips. The position of the X coordinate in twips.

Return value

Usage


Word Pro: QuickAlignFrame method

 See list of classes

 See example

Syntax

[objectreference].QuickAlignFrame(QuickLayoutAlign)

Parameters

QuickLayoutALign
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpQuickLayoutAlignBottom (1662)

$LwpQuickLayoutAlignHorzcenter (1660)

$LwpQuickLayoutAlignLeft (1657)

$LwpQuickLayoutAlignRight (1658)

$LwpQuickLayoutAlignTop (1661)

$LwpQuickLayoutAlignVertcenter (1659)

Return value

Usage


Word Pro: QuickAlignTable method

 See list of classes

 See example

Syntax

[objectreference].QuickAlignTable(QuickLayoutAlign)

Parameters

QuickLayoutAlign
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpQuickLayoutAlignBottom (1662)

$LwpQuickLayoutAlignHorzcenter (1660)

$LwpQuickLayoutAlignLeft (1657)

$LwpQuickLayoutAlignRight (1658)

$LwpQuickLayoutAlignTop (1661)

$LwpQuickLayoutAlignVertcenter (1659)

Return value

Usage


Word Pro: Quit method

 See list of classes

 See example

Closes the Word Pro application. Equivalent to choosing File - Exit.

Syntax

[objectreference].Quit()

Parameters

Return value

Returns a Boolean value indicating success (TRUE) or failure (FALSE).

Usage

Use this method to exit the Word Pro application.


Word Pro: RadioButtons method

 See list of classes

 See example

Syntax

[objectreference].RadioButtons(Control_ID)

Parameters

Contro
_ID

Data type is Variant.

Return value

Usage


Word Pro: Read method

 See list of classes

 See example

Syntax

[objectreference].Read(Length)

Parameters

Length
Data type is Long value.

Return value

Usage


Word Pro: Redo method

 See list of classes

 See example

This method is defined in the following classes:

startcslist

WPApplication

TextDocument

Syntax

[Objectreference].WPApplication.Redo()

[Objectreference].TextDocument.Redo(Count)

Parameters

Count
Data type is Integer. Optional parameter. Default value is 1.

Return value

Usage


Word Pro: Refresh method

 See list of classes

 See example

Syntax

[objectreference].Refresh()

Parameters

Return value

Usage


Word Pro: RegisterWPDataSet method

 See list of classes

 See example

Syntax

[objectreference].RegisterWPDDataset(GroupName)

Parameters

GroupName
Data type is String.

Return value

Usage


Word Pro: Release method

 See list of classes

 See example

Deletes an action within a foundry.

Syntax

[objectreference].Release(FoundryReleaseType, p2, [ObjectName])

Parameters

Type
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpFoundryReleaseTypeSilverbullet (344)

$LwpFoundryReleaseTypeStyle (343)

p2
Data type is Variant.

ObjectName
Data type is String. Optional parameter.

Return value

Usage


Word Pro: Reload method

 See list of classes

 See example

Syntax

[objectreference].Reload()

Parameters

Return value

Usage


Word Pro: Remove method

 See list of classes

 See example

Syntax

[objectreference].Remove(RemoveType, [OthersInSet,] [DeleteParaData])

Parameters

RemoveType
Data type is Variant.

$LwpRemoveTypeHideshowprops (1672)

$LwpRemoveTypeMultiParaTag (1673)

OthersInSet
Data type is Boolean. Optional parameter. Default value False.

DeleteParaData
Data type is Boolean. Optional parameter. Default value False.

Return value

Usage


Word Pro: RemoveBookmark method

 See list of classes

 See example

Removes a bookmark from a division or text document object.

Syntax

[objectreference].RemoveBookmark(MarkerName)

Parameters

MarkerName
Data type is String.

Return value

Usage


Word Pro: RemoveChildFromLayout method

 See list of classes

 See example

Removes the selected layout from its parent and places that layout in the foundry.

Syntax

[objectreference].RemoveChildFromLayout()

Parameters

Return value

Usage


Word Pro: RemoveDataFile method

 See list of classes

 See example

Removes a data file from a text document.

Syntax

[objectreference].RemoveDataFile()

Parameters

Return value

Usage


Word Pro: RemoveDdeLink method

 See list of classes

 See example

Removes a Dde link from a division and text document,

Syntax

[objectreference].RemoveDdeLink(LinkInfo, [DdeNameType])

Parameters

LinkInfo
Data type is String.

DdeNameType
Data type is Variant. Optional parameter. Default value is "$LwpDdeNameTypeLinkinfo". The value of this parameter must be one of the strings below or its code equivalent.

$LwpDdeNameTypeLinkinfo (176)

$LwpDdeNameTypeMarkername (175)

Return value

Usage


Word Pro: RemoveDepOnDocFile method

 See list of classes

 See example

Syntax

[objectreference].RemoveDepOnDocFile()

Parameters

Return value

Usage


Word Pro: RemoveDivision method

 See list of classes

 See example

Removes a division in a text document.

Syntax

[objectreference].RemoveDivision(Name)

Parameters

Name
Data type is String.

Return value

Usage


Word Pro: RemoveEditor method

 See list of classes

 See example

Removes an editor's name from a text document and division.

Syntax

[objectreference].RemoveEditor(EditorName)

Parameters

EditorName
Data type is String.

Return value

Usage


Word Pro: RemoveItem method

 See list of classes

 See example

Removes an item from a combo or list box.

Syntax

[objectreference].RemoveItem(p1)

Parameters

p1
Data type is Variant.

Return value

Usage


Word Pro: RemoveNamedProperty method

See list of classes

 See example

Removes the specified user-defined property from a division, layout, marker, or text document. Only works on a WPDataSet property.

Syntax

[objectreference].RemoveNamedProperty(PropertyName)

Parameters

PropertyName
Data type is String.

Return value

Usage


Word Pro: RemovePersistentAccelerators method

 See list of classes

 See example

Syntax

[objectreference].RemovePersistentAccelerators()

Parameters

Return value

Usage


Word Pro: RemovePowerField method

 See list of classes

 See example

Deletes a Power field from a document. It is equivalent to clicking the Show/Hide Power Fields icon, selecting the Power field, and pressing DEL.  This method is also equivalent to placing the insertion point in the Power field, clicking the right mouse button, and selecting Delete Field.

Syntax

[objectreference].RemovePowerField(PowerFieldName)

Parameters

PowerFieldName
Data type is String.

Return value

Usage


Word Pro: RemoveProperty method

 See list of classes

 See example

Syntax

[objectreference].RemoveProperty(PropertyName)

Parameters

PropertyName
Data type is String.

Return value

Usage


Word Pro: Render method

 See list of classes

 See example

Syntax

[objectreference].Render(Format)

Parameters

Format)

Data type is String.

Return value

Usage


Word Pro: RenderClipBitmap method

 See list of classes

 See example

Syntax

[objectreference].RenderClipBitmap()

Parameters

Return value

Usage


Word Pro: RenderClipDIB method

 See list of classes

 See example

Syntax

[objectreference].RenderClipDIB()

Parameters

Return value

Usage


Word Pro: RenderClipMetafile method

 See list of classes

 See example

Syntax

[objectreference].RenderClipMetafile()

Parameters

Return value

Usage


Word Pro: RenderClipPalette method

 See list of classes

 See example

Syntax

[objectreference].RenderClipPalette()

Parameters

Return value

Usage


Word Pro: Replace method

 See list of classes

 See example

Finds and optionally replaces the first occurrence of the target text, special characters, or paragraph styles in a document..

Syntax

[objectreference].Replace(ReplaceObjectType, ReplaceText)

Parameters

ReplaceObjectType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpReplaceObjectTypeCharacter (1674)

$LwpReplaceObjectTypeChunk (1676)

$LwpReplaceObjectTypeSentence (1677)

$LwpReplaceObjectTypeWord (1675)

Replace
Text

Data type is String.

Return value

Usage


Word Pro: ReplaceAll method

 See list of classes

 See example

Finds and optionally replaces every occurrence of the target text, special characters, or paragraph styles in a document.

Syntax

[objectreference].ReplaceAll()

Parameters

Return value

Usage


Word Pro: ReplaceCmd method

 See list of classes

 See example

Syntax

[objectreference].ReplaceCmd()

Parameters

Return value

Usage


Word Pro: RequestAndProcessData method

 See list of classes

 See example

Syntax

[objectreference].RequestAndProcessData(LinkInfo, [DdeSelection])

Parameters

LinkInfo
Data type is String.

DdeSelection
Data type is Variant. Optional parameter. Default value is "$LwpDdeSelectionMarkerName". The value of this parameter must be one of the strings below or its code equivalent.

$LwpDdeSelectionDdelinkName (177)

$LwpDdeSelectionMarkerName (178)

Return value

Usage


Word Pro: Reset method

 See list of classes

 See example

Syntax

[objectreference].Reset()

Parameters

Return value

Usage


Word Pro: ResetFindAndReplace method

 See list of classes

 See example

Syntax

[objectreference].ResetFindAndReplace()

Parameters

Return value

Usage


Word Pro: Resize method

 See list of classes

 See example

Syntax

[objectreference].Resize(Width, Height)

Parameters

Width
Data type is Twips.

Height
Data type is Twips.

Return value

Usage


Word Pro: Restore method

 See list of classes

 See example

Restores the Word Pro window to the size of the last non-full screen window.

Syntax

[objectreference].Restore()

Parameters

Return value

Usage


Word Pro: RetrieveInternetFile method

 See list of classes

 See example

Syntax

[objectreference].RetrieveInternetFile(URL, [UserID,][Password,] [Passive,] [Proxy,] [ProxyPort])

Parameters

URL
Data type is String.

UserID
Data type is String. Optional parameter.

Password
Data type is String. Optional parameter.

Passive
Data type is Boolean. Optional parameter. Default value is False.

Proxy
Data type is String. Optional parameter.

ProxyPort
Data type is Integer. Optional parameter. Default value is 21.

Return value

Usage


Word Pro: RetrieveInternetFileAndOpen method

 See list of classes

 See example

Syntax

[objectreference].RetrieveInternetFileAndOpen(URL, [UserID,] [Password,] [Passive,] [Proxy,] [ProxyPort])

Parameters

URL
Data type is String.

UserID
Data type is String. Optional parameter.

Password
Data type is String. Optional parameter.

Passive
Data type is Boolean. Optional parameter. Default value is False.

Proxy
Data type is String. Optional parameter.

ProxyPort
Data type is Integer. Optional parameter. Default value is 21.

Return value

Usage


Word Pro: RevertToSaved method

 See list of classes

 See example

Syntax

[objectreference].RevertToSaved()

Parameters

Return value

Usage


Word Pro: RevertToStyle method

 See list of classes

 See example

Syntax

[Objectreference].Alignment.RevertToStyle()

[Objectreference].WPApplication.RevertToStyle(RevertType) [Objectreference].Amikake.RevertToStyle(RevertType

[Objectreference].Attributes.RevertToStyle( RevertType) [Objectreference].Color.RevertToStyle() [Objectreference].Breaks.RevertToStyle(RevertType) [Objectreference].Bullet.RevertToStyle(RevertType) [Objectreference].CellContainer.RevertToStyle(RevertType)

[Objectreference].CharacterBorder.RevertToStyle( RevertType) [Objectreference].Font.RevertToStyle( RevertType)

[Objectreference].FrameContainer.RevertToStyle(RevertType)

[Objectreference].Indent.RevertToStyle( RevertType) [Objectreference].Kinsoku.RevertToStyle( RevertType)

[Objectreference].Language.RevertToStyle() [Objectreference].ParagraphcBorder.RevertToStyle(RevertType) [Objectreference].ClickHere.RevertToStyle(RevertType) [Objectreference].TextMarker.RevertToStyle(RevertType) [Objectreference].Numbering.RevertToStyle(RevertType) [Objectreference].PageContainer.RevertToStyle(RevertType) [Objectreference].Spacing.RevertToStyle(RevertTypel) [Objectreference].SuperTableContainer.RevertToStyle(RevertType)

[Objectreference].TabRack.RevertToStyle(RevertType)

[Objectreference].Text.RevertToStyle(RevertType)

Parameters

Return value

Usage


Word Pro: ReviewVersions method

 See list of classes

 See example

Syntax

[objectreference].ReviewVersions()

Parameters

Return value

Usage


Word Pro: ReviseAcceptAll method

 See list of classes

 See example

Syntax

[objectreference].ReviseAcceptAll(ReviseCurrentPara, [EditorName,] [MarkerName])

Parameters

ReviseCurrentPara
Data type is Boolean.

EditorName
Data type is String. Optional parameter.

MarkerName
Data type is String. Optional parameter.

Return value

Usage


Word Pro: ReviseCancelAll method

 See list of classes

 See example

Syntax

[objectreference].ReviseCancelAll(ReviseCurrentPara, [EditorName,] [MarkerName])

Parameters

ReviseCurrentPara
Data type is Boolean.

EditorName
Data type is String. Optional parameter.

MarkerName
Data type is String. Optional parameter.

Return value

Usage


Word Pro: RevisionAccept method

 See list of classes

 See example

Syntax

[objectreference].RevisionAccept(ReviseAll, [EditorName,] [MarkerName])

Parameters

ReviseAll
Data type is Boolean.

EditorName
Data type is String. Optional parameter.

MarkerName
Data type is String. Optional parameter.

Return value

Usage


Word Pro: RevisionAcceptLayoutChange method

 See list of classes

 See example

Accepts the changes made to a revised layout.

Syntax

[objectreference].RevisionAcceptLayoutChange(ReviseAll, [EditorName])

Parameters

ReviseAll
Data type is Boolean.

EditorName
Data type is String. Optional parameter.

Return value

Usage


Word Pro: RevisionCancel method

 See list of classes

 See example

Syntax

[objectreference].RevisionCancel(ReviseAll, [EditorName,] [MarkerName])

Parameters

ReviseAll
Data type is Boolean.

EditorName
Data type is String. Optional parameter.

MarkerName
Data type is String. Optional parameter.

Return value

Usage


Word Pro: RevisionCancelLayoutChange method

 See list of classes

 See example

Dismisses the changes made to a revised layout.

Syntax

[objectreference].RevisionCancelLayoutChange(ReviseAll, [EditorName])

Parameters

ReviseAll
Data type is Boolean.

EditorName
Data type is String. Optional parameter.

Return value

Usage


Word Pro: Run method

 See list of classes

 See example

Syntax

[objectreference].Run(p1)

Parameters

p1
Data type is Variant.

Return value

Usage


Word Pro: RunAutoNewMacro method

 See list of classes

 See example

Syntax

[objectreference].RunAutoNewMacro()

Parameters

Return value

Usage


Word Pro: RunAutoOpenMacro method

 See list of classes

 See example

Syntax

[objectreference].RunAutoOpenMacro()

Parameters

Return value

Usage


Word Pro: RunScript method

 See list of classes

 See example

Syntax

[objectreference].RunScript(ScriptModule, ScriptFunction)

Parameters

ScriptModule
Data type is String.

ScriptFunction
Data type is String.

Return value

Usage


Word Pro: Save method

 See list of classes

 See example

Saves the currently active document to disk.

Syntax

[objectreference].Save()

Parameters

Return value

Usage


Word Pro: SaveAs method

 See list of classes

 See example

This method is defined in the following classes:

startcslist

WPApplication

TextDocument; Saves the active document with a different name or file type.; Saves the active document in the application with a different name or file type.

Syntax

[objectreference].SaveAs([DocName,] [Location,] [DocType,] [Backup,][AddToLastFileOpenList,] [SaveCopyAs])

Parameters

DocName
Data type is String. Optional parameter.

Location
Data type is String. Optional parameter.

DocType
Data type is String. Optional parameter.

Backup
Data type is Boolean. Optional parameter.

AddToLastFileOpenList
Data type is Boolean. Optional parameter. Default value is False.

SaveCopyAs
Data type is Boolean. Optional parameter. Default value is False.

Return value

; Bool; Bool

Usage


Word Pro: SaveData method

 See list of classes

 See example

Syntax

[objectreference].SaveData(?)

Parameters

Return value

Usage


Word Pro: SaveDivision method

 See list of classes

 See example

Saves a division as a separate file. It is equivalent to clicking the right mouse button on a division divider tab, choosing Division Properties, and clicking Save as File.

Syntax

[objectreference].SaveDivision()

Parameters

Return value

Usage


Word Pro: SaveEnvelopeMaster method

 See list of classes

 See example

Syntax

[objectreference].SaveEnvelopeMaster([DivisionName])

Parameters

SaveEnvelopeMaster

Data type is String. Optional parameter.

Return value

Usage


Word Pro: SaveGlossary method

 See list of classes

 See example

Saves the glossary data file as a Word Pro file. It is equivalent to choosing Edit - Glossary.

Syntax

[objectreference].SaveGlossary(FilePath, FileType)

Parameters

FilePath
Data type is String.

FileType
Data type is String.

Return value

Usage


Word Pro: SaveMacro method

 See list of classes

 See example

Syntax

[objectreference].SaveMacro()

Parameters

Return value

Usage


Word Pro: SaveSnapshot method

 See list of classes

 See example

Syntax

[objectreference].SaveSnapshot(?)

Parameters

Return value

Usage


Word Pro: SaveToStorage method

 See list of classes

 See example

Syntax

[objectreference].SaveToStorage(pIStorage, FileType, SameStorageAsLoad)

Parameters

plStorage
Data type is Long value.

FileType
Data type is String.

SameStorageAsLoad
Data type is Boolean.

Return value

Usage


Word Pro: SaveToStorageComplete method

 See list of classes

 See example

Syntax

[objectreference].SaveToStorageComplete(pIStorage)

Parameters

pIStorage

Data type is Long value.

Return value

Usage


Word Pro: SaveUserDefaults method

 See list of classes

 See example

Saves default files located in the Default files panel in the Word Pro Preferences dialog box. It is equivalent to choosing File - User Setup and choosing Word Pro Preferences.

Syntax

[objectreference].SaveUserDefaults()

Parameters

Return value

Usage


Word Pro: SaveVersion method

 See list of classes

 See example

Saves the selected version as a file. It is equivalent to choosing File - Versions and clicking Save as File.

Syntax

[objectreference].SaveVersion(FilePath,Version)

Parameters

FilePath
Data type is String.

Version
Data type is Long value.

Return value

Usage


Word Pro: Select method

 See list of classes

 See example

Syntax

[objectreference].Select(ObjectType)

Parameters

ObjectType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpSelectObjectTypeBullet (1757)

$LwpSelectObjectTypeChunk (1750)

$LwpSelectObjectTypeDocument (1754)

$LwpSelectObjectTypeLevel (1756)

$LwpSelectObjectTypeObject (1748)

$LwpSelectObjectTypeParagraph (1753)

$LwpSelectObjectTypeSection (1759)

$LwpSelectObjectTypeSentence (1752)

$LwpSelectObjectTypeStream (1755)

$LwpSelectObjectTypeTombstoneset (1758)

$LwpSelectObjectTypeTuna (1751)

$LwpSelectObjectTypeWord (1749)

Return value

Usage


Word Pro: SelectAStyle method

 See list of classes

 See example

Syntax

[objectreference].SelectAStyle()

Parameters

Return value

Usage


Word Pro: SelectCell method

 See list of classes

 See example

Selects a cell in a table.  Word Pro selects the cell that contains the insertion point.

Syntax

[objectreference].SelectCell()

Parameters

Return value

Usage


Word Pro: SelectColumn method

 See list of classes

 See example

Selects a column in a table. Word Pro selects the column that contains the insertion point.

Syntax

[objectreference].SelectColumn()

Parameters

Return value

Usage


Word Pro: SelectCustomIcon method

 See list of classes

 See example

Selects the custom icon in the application window.

Syntax

[objectreference].SelectCustomIcon(GraphicPath, MacroPath)

Parameters

GraphicPath
Data type is String.

MacroPath
Data type is String.

Return value

Usage


Word Pro: SelectDoc method

 See list of classes

 See example

Selects a specified document in the application.

Syntax

[objectreference].SelectDoc()

Parameters

Return value

Usage


Word Pro: SelectEntireCellRange method

 See list of classes

 See example

Selects the cell itself and the contents in the cell. The insertion point must be in the cell.

Syntax

[objectreference].SelectEntireCellRange()

Parameters

Return value

Usage


Word Pro: SelectEntireColumn method

 See list of classes

 See example

Select the column itself and the contents in the column. The insertion point must be in the column. It is equivalent to choosing Table - Select and choosing Column Contents.

Syntax

[objectreference].SelectEntireColumn()

Parameters

Return value

Usage


Word Pro: SelectEntirePCol method

 See list of classes

 See example

Syntax

[objectreference].SelectEntirePCol()

Parameters

Return value

Usage


Word Pro: SelectEntirePColCellRange method

 See list of classes

 See example

Syntax

[objectreference].SelectEntirePColCellRange()

Parameters

Return value

Usage


Word Pro: SelectEntirePColColumn method

 See list of classes

 See example

Syntax

[objectreference].SelectEntirePColColumn()

Parameters

Return value

Usage


Word Pro: SelectEntirePColRow method

 See list of classes

 See example

Syntax

[objectreference].SelectEntirePColRow()

Parameters

Return value

Usage


Word Pro: SelectEntireRow method

 See list of classes

 See example

Selects the row itself and the contents in it. The insertion point must be in the row.

Syntax

[objectreference].SelectEntireRow()

Parameters

Return value

Usage


Word Pro: SelectEntireTable method

 See list of classes

 See example

Selects the table itself and the contents in it. The insertion point must be in the table. It is equivalent to choosing Create - Table and choosing Entire Table.

Syntax

[objectreference].SelectEntireTable()

Parameters

Return value

Usage


Word Pro: SelectItem method

 See list of classes

 See example

Selects an item in a combo box or list box.

Syntax

[objectreference].SelectItem(Index, Select)

Parameters

Index
Data type is Integer.

Select
Data type is Integer.

Return value

Usage


Word Pro: SelectItemString method

 See list of classes

 See example

Syntax

[objectreference].SelectItemString(Item, Select)

Parameters

Item
Data type is String.

Select
Data type is Integer.

Return value

Usage


Word Pro: SelectMarker method

 See list of classes

 See example

Selects a specified marker in a document.

Syntax

[objectreference].SelectMarker(MarkerName)

Parameters

MarkerName
Data type is String.

Return value

Usage


Word Pro: SelectParagraph method

 See list of classes

 See example

Selects a specified paragraph in a document.

Syntax

[objectreference].SelectParagraph()

Parameters

Return value

Usage


Word Pro: SelectPColCell method

 See list of classes

 See example

Selects a cell in a parallel column.

Syntax

[objectreference].SelectPColCell()

Parameters

Return value

Usage


Word Pro: SelectRow method

 See list of classes

 See example

Selects the contents of a row in a table. Word Pro selects the row that contains the insertion point. It is equivalent to choosing Table - Select and choosing Row Contents.

Syntax

[objectreference].SelectRow()

Parameters

Return value

Usage


Word Pro: SelectRuler method

 See list of classes

 See example

Displays the ruler. It is equivalent to choosing View - Show/Hide and choosing Ruler.

Syntax

[objectreference].SelectRuler()

Parameters

Return value

Usage


Word Pro: SelectSection method

 See list of classes

 See example

Selects the contents within a specified section of the document. It is equivalent to clicking the right mouse button on a section tab and choosing Select Selection.

Syntax

[objectreference].SelectSection([SectionName])

Parameters

SectionName
Data type is String. Optional parameter.

Return value

Usage


Word Pro: SelectSentence method

 See list of classes

 See example

Selects a sentence in a document.

Syntax

[objectreference].SelectSentence()

Parameters

Return value

Usage


Word Pro: SelectStandardIcon method

 See list of classes

 See example

Selects a specified standard icon from the icon bar in the Word Pro application.

Syntax

[objectreference].SelectStandardIcon(MenuID)

Parameters

MenuID
Data type is Menu.

Return value

Usage


Word Pro: SelectTable method

 See list of classes

 See example

Selects the contents in a table. The insertion point must be in the table. It is equivalent to choosing Table - Select and choosing Entire Table Contents.

Syntax

[objectreference].SelectTable()

Parameters

Return value

Usage


Word Pro: SelectTableItem method

 See list of classes

 See example

Selects an item in a table. The insertion point must be in the table.

Syntax

[objectreference].SelectTableItem(TableSelection, [p2,] [p3,] [p4,] [EndCol,] [SelectWholeCell])

Parameters

TableSelection
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTableSelectionCell (1899)

$LwpTableSelectionColumn (1901)

$LwpTableSelectionRange (1903)

$LwpTableSelectionRow (1900)

$LwpTableSelectionTable (1902)

p2
Data type is Integer. Optional parameter.

p3
Data type is Integer. Optional parameter.

p4
Data type is Integer. Optional parameter.

EndCol
Data type is Integer. Optional parameter.

SelectWholeCell
Data type is Boolean. Optional parameter. Default value is False.

Return value

Usage


Word Pro: SelectWord method

 See list of classes

 See example

Selects a specified word or words in a document.

Syntax

[objectreference].SelectWord()

Parameters

Return value

Usage


Word Pro: SendFrameToBack method

 See list of classes

 See example

Syntax

[objectreference].SendFrameToBack()

Parameters

Return value

Usage


Word Pro: SendFrameToBackOne method

 See list of classes

 See example

Syntax

[objectreference].SendFrameToBackOne()

Parameters

Return value

Usage


Word Pro: SendMailSelectedText method

 See list of classes

 See example

Syntax

[objectreference].SendMailSelectedText()

Parameters

Return value

Usage


Word Pro: SetArrayProp method

 See list of classes

 See example

This method is defined in the following classes:

SilverBullet

UserInterfacePrefs

Syntax

[objectreference].SilverBullet.SetArraryProp(BulletArrayProp,Level,NewValue

[objectreference].UserInterfacePrefs.SetArrayProp(PrefPropScope,Index,New

Parameters

BulletArrayProp
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpBulletArrayPropCumulative (79)

$LwpBulletArrayPropDivision (81)

$LwpBulletArrayPropLesser (78)

$LwpBulletArrayPropLessserspecific (77)

$LwpBulletArrayPropSection (80)

Level
Data type is Integer.

NewValue
Data type is Integer.

PrefPropScope
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpPrefPropScopeFineString (1640)

$LwpPrefPropScopeReplaceString (1641)

Index
Data type is Integer.

NewValue
Data type is String.

Return value

Both SilverBullet and UserInterfacePrefs objects return a Boolean value.

Usage


Word Pro: SetButtonText method

 See list of classes

 See example

Syntax

[objectreference].SetButtonText(Button Text, IsHilite)

Parameters

Button
Text

Data type is String.

IsHilite
Data type is Long value.

Return value

Usage


Word Pro: SetControlText method

 See list of classes

 See example

Syntax

[objectreference].SetControlText(Control_ID, Text)

Parameters

Contro
_ID

Data type is Variant.

Text
Data type is String.

Return value

Usage


Word Pro: SetControlValue method

 See list of classes

 See example

Syntax

[objectreference].SetControlValue(Control_ID, Value)

Parameters

Contro
_ID

Data type is Variant.

Value
Data type is Long value.

Return value

Usage


Word Pro: SetData method

 See list of classes

 See example

Syntax

[objectreference].SetData(DataName, NewData)

Parameters

DataName
Data type is String.

NewData
Data type is Variant.

Word Pro uses only strings for its NewData

Return value

Usage


Word Pro: SetDocumentEpoch method

 See list of classes

 See example

Syntax

[objectreference].SetDocumentEpoch()

Parameters

Return value

Usage


Word Pro: SetFieldFormula method

 See list of classes

 See example

Syntax

[objectreference].SetFieldFormula(Formula, [Type])

Parameters

Formula
Data type is String.

Type
Data type is Variant. Optional parameter. Default value 0. The value of this parameter must be one of the strings below or its code equivalent.

$LwpPFTypeBookmark (2003)

$LwpPFTypeButton (2007)

$LwpPFTypeDde (2002)

$LwpPFTypeDocvar (2011)

$LwpPFTypeField (2004)

$LwpPFTypeIndex (2009)

$LwpPFTypeMarker (2010)

$LwpPFTypeMergevar (2013)

$LwpPFTypePrtescape (2008)

$LwpPFTypeSeq (2005)

$LwpPFTypeSet (2006)

$LwpPFTypeToc (2012)

Return value

Usage


Word Pro: SetFocus method

 See list of classes

 See example

Syntax

[objectreference].SetFocus()

Parameters

Return value

Usage


Word Pro: SetFormula method

 See list of classes

 See example

Inserts a formula into the current table cell. This method is equivalent to Table - Insert Formula.

Syntax

[objectreference].SetFormula(Row, Column, Formula)

Parameters

Row
Data type is Integer.

Column
Data type is Integer.

Formula
Data type is String.

Return value

Usage


Word Pro: SetLastUsedFilter method

 See list of classes

 See example

Syntax

[objectreference].SetLastUsedFilter(Type, Filter)

Parameters

FilterType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent. $LwpFilterTypeGraphic (280)

$LwpFilterTypeTable (281)

$LwpFilterTypeText (279)

Filter
Data type is String.

Return value

Usage


Word Pro: SetLineOneSide method

 See list of classes

 See example

Syntax

[objectreference].SetLineOneSide(LinePlacement, LineStyle, LineWidth, LineColor, TableMix)

Parameters

LinePlacement
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

LwpLinePlacementAllsides (&HF)

LwpLinePlacementBottom (&H8)

LwpLinePlacementLeft (&H1)

LwpLinePlacementRight (&H2)

LwpLinePlacementTop (&H4)

LineStyle
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LtsBorderPatternDashDot (1056964659)

$LtsBorderPatternDashDotDot (1056964660)

$LtsBorderPatternDashed (1056964662)

$LtsBorderPatternDot (1056964663)

$LtsBorderPatternDouble (1056964666)

$LtsBorderPatternLongDash (1056964661)

$LtsBorderPatternNone (1056964657)

$LtsBorderPatternSolid (1056964658)

$LwpBorderPattern13space (36)

$LwpBorderPattern31space (37)

$LwpBorderPatternButtondown (35)

$LwpBorderPatternButtonup (34)

$LwpBorderPatternCircle (41)

$LwpBorderPatternDblThick (51)

$LwpBorderPatternDblWavy (56)

$LwpBorderPatternDeco1 (44)

$LwpBorderPatternDeco2 (45)

$LwpBorderPatternDeco3 (50)

$LwpBorderPatternDiagonal (38)

$LwpBorderPatternPin (47)

$LwpBorderPatternRain (46)

$LwpBorderPatternRope (43)

$LwpBorderPatternRose (48)

$LwpBorderPatternStar (42)

$LwpBorderPatternSunf (49)

$LwpBorderPatternTaro (39)

$LwpBorderPatternThickDblwavy (58)

$LwpBorderPatternThickThin (53)

$LwpBorderPatternThickWavy (57)

$LwpBorderPatternThinThick (54) $LwpBorderPatternThinThickThin (52)

$LwpBorderPatternWavy (55)

$LwpLtsBorderPatternDot (40)

LineWidth
Data type is Twips.

LineColor
Data type is Long value.

TableMix
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTableMixAllmixed (1893)

$LwpTableMixBottommixed (1890)

$LwpTableMixLeftmixed (1891)

$LwpTableMixRightmixed (1892)

$LwpTableMixTopmixed (1889)

Return value

Usage


Word Pro: SetLinesAllSides method

 See list of classes

 See example

Syntax

[objectreference].SetLinesAllSides(LinesAroundCells, LineStyle, LineWidth, LineColor, OutlineLineStyle, OutlineLineWidth, OutlineLineColor)

Parameters

LinesAroundCells
Data type is Variant.

$LwpTableLineStyleAll (1878)

$LwpTableLineStyleCols (1882)

$LwpTableLineStyleCustom (1886)

$LwpTableLineStyleInnercols (1887)

$LwpTableLineStyleInnerRowscols (1888)

$LwpTableLineStyleMixed (1885)

$LwpTableLineStyleNone (1877)

$LwpTableLineStyleOutline (1879)

$LwpTableLineStyleOutlineall (1880)

$LwpTableLineStyleOutlinecols (1884)

$LwpTableLineStyleOutlinerows (1883)

$LwpTableLineStyleRows (1881)

LineStyle
Data type is Variant.

$LtsBorderPatternDashDot (1056964659)

$LtsBorderPatternDashDotDot (1056964660)

$LtsBorderPatternDashed (1056964662)

$LtsBorderPatternDot (1056964663)

$LtsBorderPatternDouble (1056964666)

$LtsBorderPatternLongDash (1056964661)

$LtsBorderPatternNone (1056964657)

$LtsBorderPatternSolid (1056964658)

$LwpBorderPattern13space (36)

$LwpBorderPattern31space (37)

$LwpBorderPatternButtondown (35)

$LwpBorderPatternButtonup (34)

$LwpBorderPatternCircle (41)

$LwpBorderPatternDblThick (51)

$LwpBorderPatternDblWavy (56)

$LwpBorderPatternDeco1 (44)

$LwpBorderPatternDeco2 (45)

$LwpBorderPatternDeco3 (50)

$LwpBorderPatternDiagonal (38)

$LwpBorderPatternPin (47)

$LwpBorderPatternRain (46)

$LwpBorderPatternRope (43)

$LwpBorderPatternRose (48)

$LwpBorderPatternStar (42) $LwpBorderPatternSunf (49)

$LwpBorderPatternTaro (39)

$LwpBorderPatternThickDblwavy (58)

$LwpBorderPatternThickThin (53)

$LwpBorderPatternThickWavy (57)

$LwpBorderPatternThinThick (54)

$LwpBorderPatternThinThickThin (52)

$LwpBorderPatternWavy (55)

$LwpLtsBorderPatternDot (40)

LineWidth
Data type is Twips.

LineColor
Data type is Long.

OutlineLineStyle
Data type is Variant.

$LtsBorderPatternDashDot (1056964659)

$LtsBorderPatternDashDotDot (1056964660)

$LtsBorderPatternDashed (1056964662)

$LtsBorderPatternDot (1056964663)

$LtsBorderPatternDouble (1056964666)

$LtsBorderPatternLongDash (1056964661)

$LtsBorderPatternNone (1056964657)

$LtsBorderPatternSolid (1056964658)

$LwpBorderPattern13space (36)

$LwpBorderPattern31space (37)

$LwpBorderPatternButtondown (35)

$LwpBorderPatternButtonup (34)

$LwpBorderPatternCircle (41)

$LwpBorderPatternDblThick (51)

$LwpBorderPatternDblWavy (56)

$LwpBorderPatternDeco1 (44)

$LwpBorderPatternDeco2 (45)

$LwpBorderPatternDeco3 (50)

$LwpBorderPatternDiagonal (38)

$LwpBorderPatternPin (47)

$LwpBorderPatternRain (46)

$LwpBorderPatternRope (43)

$LwpBorderPatternRose (48)

$LwpBorderPatternStar (42)

$LwpBorderPatternSunf (49)

$LwpBorderPatternTaro (39)

$LwpBorderPatternThickDblwavy (58)

$LwpBorderPatternThickThin (53)

$LwpBorderPatternThickWavy (57)

$LwpBorderPatternThinThick (54)

$LwpBorderPatternThinThickThin (52)

$LwpBorderPatternWavy (55)

$LwpLtsBorderPatternDot (40)

OutlineLineWidth
Data type is Twips.

OutlineLineColor
Data type is Long.

Return value

Usage


Word Pro: SetLinkSource method

 See list of classes

 See example

Syntax

[objectreference].SetLinkSource(LinkDisplayName, FileNameLength, ValidateSource)

Parameters

LinkDisplayName
Data type is String.

FileNameLength
Data type is Long value.

ValidateSource
Data type is Boolean.

Return value

Usage


Word Pro: SetMinimumOrigin method

 See list of classes

 See example

Moves layout to make the length of the anchor tether as short as the anchor position allows.

Syntax

[objectreference].SetMinimumOrigin()

Parameters

Return value

Usage


Word Pro: SetNamedProperty method

 See list of classes

 See example

Creates and assigns a value to a user-defined property.

Syntax

[objectreference].SetNamedProperty(PropertyName, NewValue)

Parameters

PropertyName
Data type is String.

NewValue
Data type is String.

Return value

Usage


Word Pro: SetOverrideGraphic method

 See list of classes

 See example

Syntax

[objectreference].SetOverrideGraphic(hGraphic)

Parameters

hGraphic
Data type is Long value.

Return value

Usage


Word Pro: SetOverrideText method

 See list of classes

 See example

Syntax

[objectreference].SetOverrideText(Text)

Parameters

Text
Data type is String.

Return value

Usage


Word Pro: SetPattern method

 See list of classes

 See example

Syntax

[objectreference].SetPattern(TableFillStyle, BackgroundFill, BackgroundColor, PatternColor)

Parameters

TableFillStyle
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTableFillStyleAll (1870)

$LwpTableFillStyleEveryothercol (1872)

$LwpTableFillStyleEveryotherrow (1871)

$LwpTableFillStyleMixed (1873)

$LwpTableFillStyleNone (1874)

BackgroundFill
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LtsFillBarLeftDiag (1056964681)

$LtsFillBarRightDiag (1056964688)

$LtsFillBasket (1056964710)

$LtsFillBigCheck (1056964717)

$LtsFillBottomTopGrad (1056964729)

$LtsFillBrick (1056964712)

$LtsFillBubbles (1056964724)

$LtsFillChevron (1056964708)

$LtsFillCicles (1056964719)

$LtsFillClumpedNarrowDiagHatch (1056964696)

$LtsFillClumpedZs (1056964723)

$LtsFillDarkNarrowDiagHatch (1056964693)

$LtsFillDiagBasket (1056964711)

$LtsFillDiagBrick (1056964713)

$LtsFillDiagHatch (1056964695)

$LtsFillDiamonds (1056964725)

$LtsFillDottedDarkHatch (1056964853)

$LtsFillDottedZigzag (1056964726)

$LtsFillDoubleLeftDiag (1056964684)

$LtsFillDoubleRightDiag (1056964690)

$LtsFillGray1 (1056964669)

$LtsFillGray10 (1056964678)

$LtsFillGray2 (1056964670)

$LtsFillGray3 (1056964671)

$LtsFillGray4 (1056964672)

$LtsFillGray5 (1056964673)

$LtsFillGray6 (1056964674)

$LtsFillGray7 (1056964675)

$LtsFillGray8 (1056964676)

$LtsFillGray9 (1056964677) $LtsFillHoriz (1056964699)

$LtsFillHorizBar (1056964698)

$LtsFillHorizCheckerboard (1056964716)

$LtsFillIrregularDiagScales (1056964721)

$LtsFillLeftDiag (1056964682)

$LtsFillLeftNarrowDiagHatch (1056964694)

$LtsFillLeftRightGrad (1056964728)

$LtsFillNarrowDoubleLeftDiag (1056964685)

$LtsFillNarrowDoubleRightDiag (1056964854)

$LtsFillNarrowHoriz (1056964697)

$LtsFillNarrowVert (1056964701)

$LtsFillNeToSwDiagStripGrad (1056964738)

$LtsFillNeToSwGrad (1056964730)

$LtsFillNone (1056964667)

$LtsFillNwToSeDiagStripGrad (1056964739)

$LtsFillNwToSeGrad (1056964731)

$LtsFillRandomBar (1056964680)

$LtsFillRandomSquare (1056964679)

$LtsFillRegularCheck (1056964718)

$LtsFillRegularHatch (1056964706)

$LtsFillRightDiag (1056964689)

$LtsFillRtLeftGrad (1056964744)

$LtsFillRunningDash (1056964714)

$LtsFillScalesDown (1056964722)

$LtsFillScalesUp (1056964720)

$LtsFillSolid (1056964668)

$LtsFillSteel (1056964709)

$LtsFillTinyHatch (1056964705)

$LtsFillTopBottomGrad (1056964745)

$LtsFillTripleLeftDiag (1056964686)

$LtsFillTripleRightDiag (1056964691)

$LtsFillVert (1056964703)

$LtsFillVertBar (1056964702)

$LtsFillVertCheckerboard (1056964715)

$LtsFillWideHatch (1056964707)

$LtsFillWideHoriz (1056964700)

$LtsFillWideLeftDiag (1056964687)

$LtsFillWideRightDiag (1056964692)

$LtsFillWideVert (1056964704)

$LwpFillIndian3 (273)

$LwpFillPattern (2000)

$LwpFillPeachpie (274)

BackgroundColor
Data type is Long value.

PatternColor
Data type is Long value.

Return value

Usage


Word Pro: SetPopupAlignment method

 See list of classes

 See example

Syntax

[objectreference].SetPopupAlignment(AlignType)

Parameters

AlignType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpButtonAlignAlignCenter (89)

$LwpButtonAlignAlignLeft (87)

$LwpButtonAlignAlignRight (88)

Return value

Usage


Word Pro: SetPopupIndex method

 See list of classes

 See example

Syntax

[objectreference].SetPopupIndex(Index)

Parameters

Index
Data type is an Integer.

Return value

Usage


Word Pro: SetPopupWidth method

 See list of classes

 See example

Syntax

[objectreference].SetPopupWidth(Width)

Parameters

Width
Data type is an Integer.

Return value

Usage


Word Pro: SetPopupWidthType method

 See list of classes

 See example

Syntax

[objectreference].SetPopupWidthType(WidthType)

Parameters

WidthType
Data type is Variant. The value of this parameter must be one of the strings below or

 its code equivalent.

$LwpButtonSizeToButton (90)

$LwpButtonSizeToSpecified (92)

$LwpButtonSizeToText (91)

Return value

Usage


Word Pro: SetPowerFieldValue method

 See list of classes

 See example

Syntax

[objectreference].SetPowerFieldValue(PowerFieldName, PowerFieldValue) Bool

Parameters

PowerFieldName
Data type is String.

PowerFieldValue
Data type is String.

Return value

Usage


Word Pro: SetRGB method

 See list of classes

 See example

Syntax

[objectreference].SetRGB(r, b, g)

Parameters

r
Data type is Integer.

b
Data type is Integer.

g
Data type is Integer.

Return value

Usage


Word Pro: SetStorage method

 See list of classes

 See example

Syntax

[objectreference].SetStorage(plStorage, FileType)

Parameters

plStorage
Data type is Long value.

FileType
Data type is String.

Return value

Usage


Word Pro: SetStyle method

 See list of classes

 See example

Assigns a cell style to a cell object.; Assigns a frame style to a frame object.; Assigns a text style to a text object.; This method is defined by the following classes:

WPApplication

CellContainer

FrameContainer

ClickHere

TextMarker

PageContainer

SuperTableContainer

Text

Syntax

[Objectreference].WPApplication.SetStyle( StyleType, Style, [Exceptions]) [Objectreference].CellContainer.SetStyle(StyleType, Style, [Exceptions]) [Objectreference].FrameContainer.SetStyle(StyleType, Style, [Exceptions]) [Objectreference].ClickHere.SetStyle(StyleType,Style, [Exceptions]) [Objectreference].TextMarker.SetStyle(StyleType, Style, [Exceptions]) [Objectreference].PageContainer.SetStyle(StyleType, Style, [Exceptions]) [Objectreference].SuperTableContainer.SetStyle((StyleType, Style, [Exceptions]) [Objectreference].Text.SetStyle(StyleType, Style, [Exceptions])

Parameters

Return value         Usage


Word Pro: SetTOCProperties method

 See list of classes

 See example

Syntax

[objectreference].SetTOCProperties(TOCScope, Index, NewValue)

Parameters

TOCScope
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTOCScopeDestPageStyle (1853)

$LwpTOCScopeDestStyle (1854)

$LwpTOCScopeLevelNumber (1851)

$LwpTOCScopeRtAlgnPgNum (1850)

$LwpTOCScopeSearchStyle (1852)

$LwpTOCScopeTypeOfLeader (1846)

$LwpTOCScopeUseLeader (1847)

$LwpTOCScopeUsePageNumber (1849)

$LwpTOCScopeUseText (1848)

Index
Data type is Integer.

NewValue
Data type is Variant.

Return value

Usage


Word Pro: Shade method

 See list of classes

 See example

Syntax

[objectreference].Shade(LocationType,Unit, N)

Parameters

LocationType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpLocationTypeDocument (573)

$LwpLocationTypeLine (571)

$LwpLocationTypeParagraph (572)

$LwpLocationTypeSelection (568)

$LwpLocationTypeSentence (570)

$LwpLocationTypeStream (574)

$LwpLocationTypeWord (569)

Unit
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpNavigateDirectionDown (1515)

$LwpNavigateDirectionLeft (1516)

$LwpNavigateDirectionRight (1517)

$LwpNavigateDirectionUp (1514)

Number
of Units

Data type is Integer.

Return value

Usage


Word Pro: Show method

 See list of classes

 See example

Displays an object.

Syntax

[objectreference].Show()

Parameters

Return value

Usage


Word Pro: ShowContainers method

 See list of classes

 See example

Displays the containers in a document.

Syntax

[objectreference].ShowContainers()

Parameters

Return value

Usage


Word Pro: ShowCursor method

 See list of classes

 See example

Displays the cursor in a document.

Syntax

[objectreference].ShowCursor()

Parameters

Return value

Usage


Word Pro: ShowIconBars method

 See list of classes

 See example

Displays the set of SmartIcons in its default location on the screen. This method is equivalent to choosing View - Show/Hide and choosing SmartIcons.

Syntax

[objectreference].ShowIconBars()

Parameters

Return value

Usage


Word Pro: ShowScrollBars method

 See list of classes

 See example

Displays the scroll bars in the document window.

Syntax

[objectreference].ShowScrollBars(ScrollVert,ScrollHorz)

Parameters

ScrollVert
Data type is Boolean.

ScrollHorz
Data type is Boolean.

Return value

Usage


Word Pro: ShowStatusBar method

 See list of classes

 See example

Displays the status bar.

Syntax

[objectreference].ShowStatusBar()

Parameters

Return value

Usage


Word Pro: SimulateButtonClick method

 See list of classes

 See example

Syntax

[objectreference].SimulateButtonClick()

Parameters

Return value

Usage


Word Pro: Skip method

 See list of classes

 See example

Syntax

[objectreference].Skip(SkipType,SkipMeaning)

Parameters

SkipType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpSkipTypeFormatCheck (1767)

$LwpSkipTypeRevision (1765)

$LwpSkipTypeSpell (1766)

SkipMeaning
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpSkipMeanRevSkipBackwordWord (1763)

$LwpSkipMeanRevSkipForwardWord (1762)

$LwpSkipMeanSpellMarkWord (1764)

Return value

Usage


Word Pro: SmallCaps method

 See list of classes

 See example

Sets the small capitalization for text. It is equivalent to choosing Text - Text Properties and selecting Small Caps from the Attibutes list box in the Font panel.

Syntax

[objectreference].SmallCaps()

Parameters

Return value

Usage


Word Pro: SmartSumColumn method

 See list of classes

 See example

Instructs Word Pro to add all the numbers in the column.

Syntax

[objectreference].SmartSumColumn()

Parameters

Return value

Usage


Word Pro: SmartSumRow method

 See list of classes

 See example

Instructs Word Pro to add all the numbers in the row.

Syntax

[objectreference].SmartSumRow()

Parameters

Return value

Usage


Word Pro: SortParagraphs method

 See list of classes

 See example

Instructs Word Pro to sort paragraphs. The data in a document might be set up so that each field within the record is a separate paragraph.

Syntax

[objectreference].SortParagraphs()

Parameters

Return value

Usage


Word Pro: SpellAddToUserDict method

 See list of classes

 See example

Adds the selected word to the user dictionary for this document and movews on to0 the next error.  The word is not highlighted again.

Syntax

[objectreference].SpellAddToUserDict()

Parameters

Return value

Usage


Word Pro: SpellClearSkippedWords method

 See list of classes

 See example

Removes the highlighting from words you have instructed Word Pro to skip.

Syntax

[objectreference].SpellClearSkippedWords()

Parameters

Return value

Usage


Word Pro: SpellMarkSkippedWords method

 See list of classes

 See example

Highlights words that you have instucted Word Pro to skip.

Syntax

[objectreference].SpellMarkSkippedWords()

Parameters

Return value

Usage


Word Pro: SpellSkipAll method

 See list of classes

 See example

Skip all occurrences of a specific error identified in the Word in question text box on the Spell Check bar. Does not skip all highlighted words in the document. Word Pro records in the document's user dictionary so that it is not highlighted again.

Syntax

[objectreference].SpellSkipAll()

Parameters

Return value

Usage


Word Pro: SpellWord method

 See list of classes

 See example

Syntax

[objectreference].SpellWord()

Parameters

Return value

Usage


Word Pro: Split method

 See list of classes

 See example

Syntax

[objectreference].Split(SplitType, [NumRows,] [NumCols])

Parameters

SplitType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTableSplitTypeCell (1904)

$LwpTableSplitTypeTable (1905)

NumRows
Data type is Integer. Optional parameter.

NumCols
Data type is Integer. Optional parameter.

Return value

Usage


Word Pro: SplitParagraph method

 See list of classes

 See example

Syntax

[objectreference].SplitParagraph([PropagateAttributes])

Parameters

PropagateAttributes
Data type is Boolean. Optional parameter. Default value is False.

Return value

Usage


Word Pro: SRReplace method

 See list of classes

 See example

Syntax

[objectreference].SRReplace([IsTemporary])

Parameters

IsTemporary
Data type is Boolean. Optional parameter. Default value is False.

Return value

Usage


Word Pro: Start method

 See list of classes

 See example

Syntax

[objectreference].Start(OfWhat)

Parameters

OfWhat
Data type is Variant. The value of this parameter must be "$LwpDocumentObjectTypeDocument" or its code equivalent (216).

Return value

Usage


Word Pro: StartEditMergeData method

 See list of classes

 See example

Opens the data file for the currently active merge document. The data file remains hidden from the user but available for editing from the merge document. This method is equivalent to choosing Text - Merge and clicking Edit Data File.

Syntax

[objectreference].StartEditMergeData()

Parameters

Return value

Usage


Word Pro: StartEnvelopeDiv method

 See list of classes

 See example

Creates a division for an envelope.

Syntax

[objectreference].StartEnvelopeDiv()

Parameters

Return value

Usage


Word Pro: StartFieldInsert method

 See list of classes

 See example

Syntax

[objectreference].StartFieldInsert([MergeAction,] [MergeFilePath])

Parameters

MergeAction
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpMergeActionClose (1497)

$LwpMergeActionContinue (1498)

$LwpMergeActionMergeOne (1496)

$LwpMergeActionNewfile (1492)

$LwpMergeActionNextRecord (1494)

$LwpMergeActionOpenfile (1493)

$LwpMergeActionSkipRecord (1495)

MergeFilePath
Data type is String. Optional parameter.

Return value

Usage


Word Pro: StoreInternetFile method

 See list of classes

 See example

Syntax

[objectreference].StoreInternetFile(LocalFile, URL, [UserID,] [Password,] [Passive,] [Proxy,] [ProxyPort])

Parameters

LocalFile
Data type is String.

URL
Data type is String.

UserID
Data type is String. Optional parameter.

Password
Data type is String. Optional parameter.

Passive
Data type is Boolean. Optional parameter. Default value is False.

Proxy
Data type is String. Optional parameter.

ProxyPort
Data type is Integer. Optional parameter. Default value is 21.

Return value

Usage


Word Pro: StrikeThru method

 See list of classes

 See example

Sets the Strikethrough attribute for text. It is equivalent to choosing Text - Text Properties and selecting Strikethrough from the Attributes list box in the Font panel of the Text InfoBox.

Syntax

[objectreference].StrikeThru()

Parameters

Return value

Usage


Word Pro: SubScript method

 See list of classes

 See example

Sets the Subscript attribute for text. It is equivalent to choosing Text - Text Properties and selecting Subscript from the Attributes list box in the Font panel of the Text InfoBox.

Syntax

[objectreference].SubScript()

Parameters

Return value

Usage


Word Pro: Sum method

 See list of classes

 See example

Syntax

[objectreference].Sum(TableSumScope)

Parameters

TableSumScope
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTableSumScopeColumn (1907)

$LwpTableSumScopeRow (1906)

Return value

Usage


Word Pro: SuperScript method

 See list of classes

 See example

Sets the Superscript attribute for text. It is equivalent to choosing Text - Text Properties and selecting Superscript from the Attributes list box in the Font panel of the Text InfoBox.

Syntax

[objectreference].SuperScript()

Parameters

Return value

Usage


Word Pro: TeamMail method

 See list of classes

 See example

Allows you to send and receive mail messages from within Word Pro.

Syntax

[objectreference].TeamMail()

Parameters

Return value

Usage


Word Pro: TerminateFormatCheck method

 See list of classes

 See example

Syntax

[objectreference].TerminateFormatCheck()

Parameters

Return value

Usage


Word Pro: TextNumber method

 See list of classes

 See example

Syntax

[objectreference].TextNumber(NumberObjectType, StartingNumber)

Parameters

NumberObjectType
Data type is Variant. The value of this parameter must be "$LwpNumObjTypeMulticompareParatag" or its code equivalent (1530).

StartingNumber
Data type is Integer.

Return value

Usage


Word Pro: TheoreticalScaledSize method

 See list of classes

 See example

Syntax

[objectreference].TheoreticalScaledSize(ScaleMode, Percentage, Width, Height, MaintainAspectRatio)

Parameters

ScaleMode
Data type is Integer.

Percentage
Data type is Long value.

Width
Data type is Twips.

Height
Data type is Twips.

MaintainAspectRatio
Data type is Boolean.

Return value

Usage


Word Pro: Tile method

 See list of classes

 See example

Syntax

[objectreference].Tile()

Parameters

Return value

Usage


Word Pro: TileWindowHorz method

 See list of classes

 See example

Syntax

[objectreference].TileWindowHorz()

Parameters

Return value

Usage


Word Pro: TileWindowVert method

 See list of classes

 See example

Syntax

[objectreference].TileWindowVert()

Parameters

Return value

Usage


Word Pro: TimedSave method

 See list of classes

 See example

Syntax

[objectreference].TimedSave()

Parameters

Return value

Usage


Word Pro: ToggleIconBar method

 See list of classes

 See example

Shows the set of SmartIcons if they do not display and hides them if they do display. It is equivalent to choosing View - Show/Hide and choosing SmartIcons.

Syntax

[objectreference].ToggleIconBar()

Parameters

Return value

Usage


Word Pro: Type method

 See list of classes

 See example

Types information into the current Word Pro document. Also types insertion point movement and function keys.

Syntax

[objectreference].Type(?)

Parameters

Return value

Usage


Word Pro: Underline method

 See list of classes

 See example

Sets the underline attribute for text. Acts as a toggle, turning off the attribute if its is currently on or turning on the attribute if it is currently off. Equivalent to choosing Text - Text Properties and selecting underline from the Attributes list box in the Font panel.

Syntax

[objectreference].Underline()

Parameters

Return value

Usage


Word Pro: Undo method

 See list of classes

 See example

Reverses (undoes) the previous editing function. It is equivalent to choosing Edit - Undo.

Syntax

[Objectreference].WPApplication.Undo()

[Objectreference].Graphic.Undo() [Objectreference].TextDocument.Undo(Count)

Parameters

Count
Data type is Integer. Optional parameter. Default value is 1.

Return value

Usage


Word Pro: UndoRedo method

 See list of classes

 See example

Allows you to reverse (undo) or repeat (redo) actions in Word Pro. It is equivalent to choosing Undo/Redo Special.

Syntax

[objectreference].UndoRedo()

Parameters

Return value

Usage


Word Pro: UnregisterWPDataSet method

 See list of classes

 See example

Syntax

[objectreference].UnregisterWPDDataSet(GroupName)

Parameters

GroupName
Data type is String.

Return value

Usage


Word Pro: Update method

 See list of classes

 See example

Window

CharacterStyle

Takes the referenced character style and propagates that character style to all the divisions. Creates where it doesn't exist and updates existing character styles. PowerField

Layout

Used for layout styles. Takes the referenced layout style and propagates that layout style to all the divisions. Creates where it doesn't exist and updates existing layout styles. ParagraphStyle

Syntax

[objectreference].Update()

Parameters

Return value

No return value for Layout objects.

Usage


Word Pro: UpdateIndexSection method

 See list of classes

 See example

Updates any changes to a section that contains the index for a document.

Syntax

[objectreference].UpdateIndexSection(DivisionName, SectionName)

Parameters

DivisionName
Data type is String.

SectionName
Data type is String.

Return value

Usage


Word Pro: UpdateLink method

 See list of classes

 See example

Syntax

[objectreference].UpdateLink(ShowErrorMessage)

Parameters

ShowErrorMessage
Data type is Boolean.

Return value

Usage


Word Pro: UpdateOle method

 See list of classes

 See example

Updates any changes to linked Ole objects.

Syntax

[objectreference].UpdateOle()

Parameters

Return value

Usage


Word Pro: UpdatePageSizeChange method

 See list of classes

 See example

Updates any changes to the size of the paper used to print the document.

Syntax

[objectreference].UpdatePageSizeChange()

Parameters

Return value

Usage


Word Pro: UpdatePowerFields method

 See list of classes

 See example

Updates any changes to Power fields in a division.

Syntax

[objectreference].UpdatePowerFields(Reset)

Parameters

Reset
Data type is Boolean.

Return value

Usage


Word Pro: UpdatePrinterChanges method

 See list of classes

 See example

Updates any changes to Power fields in a document, Power fields used to create table of contents, and Power fields used to create indexes and prints the results at the location of the Power field.

Syntax

[objectreference].UpdatePrinterChanges()

Parameters

Return value

Usage


Word Pro: UpdateSelectedFields method

 See list of classes

 See example

Updates selected DocInfo fields.

Syntax

[objectreference].UpdateSelectedFields([FieldUpdateSelect])

Parameters

FieldUpdateSelect
Data type is Variant. The default value is "$LwpFieldUpdateWordsPagesFilesize". The value of this parameter must be one of the strings below or its code equivalent.

$LwpFieldUpdateChars (257)

$LwpFieldUpdatePages (256)

$LwpFieldUpdateSize (258)

$LwpFieldUpdateWords (255)

$LwpFieldUpdateWordsPagesFilesize (254)

Return value

Usage


Word Pro: UpdateTOC method

 See list of classes

 See example

Updates any changes to a table of contents. It is equivalent to choosing Create - Other Document Part, choosing Table of Contents, and clicking Update to display the Update Table of Contents dialog box.

Syntax

[objectreference].UpdateTOC(DivisionName, TOCName)

Parameters

DivisionName
Data type is String.

TOCName
Data type is String.

Return value

Usage


Word Pro: UpperCase method

 See list of classes

 See example

Allows you to change the appearance of text to upper case.

Syntax

[objectreference].UpperCase()

Parameters

Return value

Usage


Word Pro: ValidateValue method

 See list of classes

 See example

Syntax

[objectreference].ValidateValue()

Parameters

Return value

Usage


Word Pro: WMCommand method

 See list of classes

 See example

Syntax

[objectreference].WMCommand(CommandID)

Parameters

CommandID
Data type is Integer.

Return value

Usage


Word Pro: WordUnderline method

 See list of classes

 See example

Allows you to underline a word.

Syntax

[objectreference].WordUnderline()

Parameters

Return value

Usage


Word Pro: Write method

 See list of classes

 See example

Syntax

[objectreference].Write(Data, Length)

Parameters

Data
Data type is String.

Length
Data type is Long value.

Return value

Usage


Word Pro: Abilities property

 See list of classes

 See example

(Read-only)

Data Type

EditAbil

Variant (Enumerated)

Syntax

abilitiesvalue = [objectreference].Abilities.

Legal values

$LwpEditAbilEditCurrentOrNewVer (223)

$LwpEditAbilEditCurrentVersionOnly (221)

$LwpEditAbilEditingNotAllowed (220)

$LwpEditAbilEditNewVersionsOnly (222)

Usage


Word Pro: AbsoluteOn property

 See list of classes

 See example

(Read-write) A boolean value which indicates whether the top left corner of the layout (the origin) is positioned relative to the PageLayout origin or relative to the parent layout's origin. The default value for this property is False. If this property is setat the coordinates specified in the AbsoluteXPos and AbsoluteYPos properties.

Data Type

Bool

Syntax

[objectreference].Frames(framelayoutreference).FrameLayout.AbsoluteOn

[objectreference].FrameStyles(framelayoutreference).FrameLayout.AbsoluteO

Legal values

True (1)

False (0)

Usage

Use this property to force a layout to


Word Pro: AbsoluteXPos property

 See list of classes

 See example

(Read-write) The top left position x coordinate for a layout. Used by AbsoluteOn in setting the layout's Top left position.

Data Type

Twips

Syntax

absoluteXPosvalue = [objectreference].AbsoluteXPos [objectreference].AbsoluteXPos = absoluteXPosvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AbsoluteYPos property

 See list of classes

 See example

(Read-write) The top left position x coordinate for a layout. Used by AbsoluteOn in setting the layout's Top left position.

Data Type

Twips

Syntax

absoluteXPosvalue = [objectreference].AbsoluteXPos [objectreference].AbsoluteXPos = absoluteXPosvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AccessRights property

 See list of classes

 See example

(Read-write) Restricts access to a layout by excluding the layout from the list of layouts in a collection. Once marked as Private, you cannot access a layout by enumerating the collection. Rather, you must access the layout by indexing into the collection with the layout name.

Data Type

AccessRights

Variant (Enumerated)

Syntax

accessrightsvalue = [objectreference].AccessRights

[objectreference].AccessRights = accessrightsvalue

Legal values

$LtsAccessRightsPrivate (1056964815)

$LtsAccessRightsProtected (1056964816)

$LtsAccessRightsPublic (1056964814)

Usage


Word Pro: Action property

 See list of classes

 See example

(Read-write) Integer:Indicates how a ClickHere block behaves.

MenuItem: The Action property is either the name of the script function that executes when you select a menu item or another menu ID.

Data Type

Integer

Syntax

actionvalue = [objectreference].Action [objectreference].Action = actionvalue

Legal values

1 = Text - plain text block

2 = Table - create table dialog

3 = Picture - Import Picture dialog

4 = OleObject - Insert OLE Object dialog

5 = Chart - creates a chart

6 = Drawing - creates a drawing

7 = File - Insert File dialog

8 = Glossary - Insert glossary Item dialog

9 = Equation - creates an equation frame

10 = InternetLink - Stores a URL which is opened when the user clicks on the ClickHere block.

Usage

MenuItem: The Action property is used as a string? When you use the Action property as another menu ID, it allows you to emulate  the actions of a predefined Word Pro menu item and apply them to your customized menu item.


Word Pro: Active property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

activevalue = [objectreference].Active

Legal values

Usage


Word Pro: ActualName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

actualnamevalue = [objectreference].ActualName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AddEnvelopeReturnAddress property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

addenvelopereturnaddressvalue = [objectreference].addenvelopereturnaddress

[objectreference].addenvelopereturnaddress = addenvelopereturnaddressvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Address1 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

address1value = [objectreference].Address1

[objectreference].Address1 = address1value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Address2 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

address2value = [objectreference].Address2

[objectreference].Address2 = address2value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AlignmentChar property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

alignmentcharvalue = [objectreference].AlignmentChar

[objectreference].AlignmentChar = alignmentcharvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AlignmentType property

 See list of classes

 See example

(Read-write)

Data Type

AlignmentType

Variant (Enumerated)

Syntax

alignmenttypevalue = [objectreference].AlignmentType

[objectreference].AlignmentType = alignmenttypevalue

Legal values

$LtsAlignmentHorizCenter (1056964611)

$LtsAlignmentJustify (1056964613)

$LtsAlignmentLeft (1056964609)

$LtsAlignmentRight (1056964610)

$LtsAlignmentSmart (1056964612)

$LwpAlignmentTypeAlignRevert (8)

$LwpAlignmentTypeJustifyall (5)

$LwpAlignmentTypeNumericleft (6)

$LwpAlignmentTypeNumericright (7)

Usage


Word Pro: AlignStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

alignstylenamevalue = [objectreference].AlignStyleName

[objectreference].AlignStyleName = alignstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: All property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

allvalue = [objectreference].All

[objectreference].All = allvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AllowAlternateVerification property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

allowalternateverificationvalue = [objectreference].AllowAlternateVerification

[objectreference].AllowAlternateVerification = allowalternateverificationvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AlternateName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

alternatenamevalue = [objectreference].Alternatename

[objectreference].Alternatename = alternatenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Always property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

alwaysvalue = [objectreference].Always

[objectreference].Always = alwaysvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AmikakeName property

 See list of classes

 See example

(Read-write) The name of the text background object for the Asian language versions of Word Pro. If you are using an English language version of Word Pro, this property is not available.

Data Type

String

Syntax

amikakenamevalue = [objectreference].AmikakeName

[objectreference].AmikakeName = amikakenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Amount property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

amountvalue = [objectreference].Amount

[objectreference].Amount =amountvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AmountOfSpaceAbove property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

amountofspaceabovevalue = [objectreference].AmountOfSpaceAbove

[objectreference].AmountOfSpaceAbove = amountofspaceabovevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AmountOfSpaceBelow property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

amountofspacebelowvalue = [objectreference].AmountOfSpaceBelow

[objectreference].AmountOfSpaceBelow = amountofspacebelowvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AmtTether property

 See list of classes

 See example

(Read-write) The location of a Layout's anchor.

Data Type

WhereType

Variant (Enumerated)

Syntax

amttethervalue = [objectreference].AmtTether

[objectreference].AmtTether = amttethervalue

Legal values

The value of this property must be one of the following:

$LwpWhereTypeLayoutUpperRight (1978)

$LwpWhereTypeLowerLeft (1981)

$LwpWhereTypeLowerRight (1983)

$LwpWhereTypeMiddle (1984)

$LwpWhereTypeMiddleBottom (1982)

$LwpWhereTypeMiddleLeft (1979)

$LwpWhereTypeMiddleRight (1980)

$LwpWhereTypeMiddleTop (1977)

$LwpWhereTypeUpperLeft (1976)

Usage

This is used only with frame and table layouts.


Word Pro: AmtToRotateContent property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

amttorotatecontentvalue = [objectreference].AmtToRotateContent

[objectreference].AmtToRotateContent = amttorotatecontentvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AmtToTetherFrom property

 See list of classes

 See example

(Read-write) Where on the containing layout that the layout is attached to..

Data Type

WhereType

Variant (Enumerated)

Syntax

amttetherfromvalue = [objectreference].AmtTetherFrom

[objectreference].AmtTetherFrom = amttetherfromvalue

Legal values

The value of this property must be one of the following:

$LwpWhereTypeLayoutUpperRight (1978)

Border

$LwpWhereTypeLowerLeft (1981)

$LwpWhereTypeLowerRight (1983)

$LwpWhereTypeMiddle (1984)

$LwpWhereTypeMiddleBottom (1982)

$LwpWhereTypeMiddleLeft (1979)

$LwpWhereTypeMiddleRight (1980)

$LwpWhereTypeMiddleTop (1977)

External

$LwpWhereTypeUpperLeft (1976)

Internal

Usage


Word Pro: AnyOleObjects property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

anyoleobjectsvalue = [objectreference].Anyoleobjects

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AppFoundry property

 See list of classes

 See example

(Read-only)

Data Type

Foundry

Syntax

appfoundryvalue = [objectreference].AppFoundry

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyAdjectivePos property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyadjectiveposvalue = [objectreference].ApplyAdjectivePos  [objectreference].ApplyAdjectivePos = applyadjectiveposvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyAdjectNounPart property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyadjectnounpartvalue = [objectreference].ApplyAdjectNounPart [objectreference].ApplyAdjectNounPart = applyadjectnounpartvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyAgreementWithHereThere property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyagreementwithheretherevalue = [objectreference].ApplyAgreementWithHereThere [objectreference].ApplyAgreementWithHereThere = applyagreementwithheretherevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyAnglicisms property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyanglicismsvalue = [objectreference].ApplyAnglicisms

[objectreference].ApplyAnglicisms = applyanglicismsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyArchaicExpressions property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyarchaicexpressionsvalue = [objectreference].ApplyArchaicExpressions  [objectreference].ApplyArchaicExpressions = applyarchaicexpressionsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyArticleAgreement property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyarticleagreementvalue = [objectreference].ApplyArticleAgreement [objectreference].ApplyArticleAgreement = applyarticleagreementvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyBadComparatives property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applybadcomparativesvalue =[objectreference].ApplyBadComparatives [objectreference].ApplyBadComparatives = applybadcomparativesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyBadInflection property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applybadinflectionvalue = [objectreference].ApplyBadInflection [objectreference].ApplyBadInflection = applybadinflectionvalue

Legal values

True

False

Usage


Word Pro: ApplyBadNoun property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyBadNounvalue = [objectreference].ApplyBadNoun [objectreference].ApplyBadNoun = applyBadNounvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyBadNounGender property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applybadnoungendervalue = [objectreference].ApplyBadNounGender

[objectreference].ApplyBadNounGender = applybadnoungendervalue

Legal values

True

False

Usage


Word Pro: ApplyBadPlural property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applybadpluralvalue = [objectreference]. ApplyBadPlural [objectreference]. ApplyBadPlural= applybadpluralvalue

Legal values

True

False

Usage


Word Pro: ApplyBadPrepositions property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applybadprepositionsvalue = [objectreference].ApplyBadPrepositions

[objectreference].ApplyBadPrepositions = applybadprepositionsvalue

Legal values

True

False

Usage


Word Pro: ApplyBelgianExpression property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applybelgianexpressionvalue = [objectreference].ApplyBelgianExpression

[objectreference].ApplyBelgianExpression = applybelgianexpressionvalue

Legal values

True False

Usage


Word Pro: ApplyBorrowedForeign property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyborrowedforeignvalue = [objectreference].ApplyBorrowedForeign

[objectreference].ApplyBorrowedForeign = applyborrowedforeignvalue

Legal values

True False

Usage


Word Pro: ApplyBureuaJargon property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applybureuajargonvalue = [objectreference].ApplyBureuaJargon [objectreference].ApplyBureuaJargon = applybureuajargonvalue

Legal values

True False

Usage


Word Pro: ApplyCalque property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applycalquevalue = [objectreference].ApplyCalque  [objectreference].ApplyCalque = applycalquevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyCapitalizationCheck property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applycapitalizationcheckvalue = [objectreference].ApplyCapitalizationCheck

[objectreference].ApplyCapitalizationCheck = applycapitalizationcheckvalue

Legal values

True

False

Usage


Word Pro: ApplyClauseErrors property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyclauseerrorsvalue = [objectreference].ApplyClauseErrors

[objectreference].ApplyClauseErrors = applyclauseerrorsvalue

Legal values

True

False

Usage


Word Pro: ApplyCliches property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyclichesvalue = [objectreference].ApplyCliches

[objectreference].ApplyCliches = applyclichesvalue

Legal values

True

False

Usage


Word Pro: ApplyColloquialExpression property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applycolloquialexpressionvalue = [objectreference].ApplyColloquialExpression [objectreference].ApplyColloquialExpression = applycolloquialexpressionvalue

Legal values

True False

Usage


Word Pro: ApplyCommonlyConfusedWords property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applycommonlyconfusedwordsvalue = [objectreference].ApplyCommonlyConfusedWords

[objectreference].ApplyCommonlyConfusedWords = applycommonlyconfusedwordsvalue

Legal values

True

False

Usage


Word Pro: ApplyCommonMisspell property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applycommonmisspellvalue = [objectreference].ApplyCommonMisspell [objectreference].ApplyCommonMisspell =  applycommonmisspellvalue

Legal values

True False

Usage


Word Pro: ApplyComplexWords property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applycomplexwordsvalue = [objectreference].ApplyComplexWords [objectreference].ApplyComplexWords = applycomplexwordsvalue

Legal values

True False

Usage


Word Pro: ApplyConfusedEasy property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyconfusedeasyvalue = [objectreference].ApplyConfusedEasy

[objectreference].ApplyConfusedEasy = applyconfusedeasyvalue

Legal values

True False

Usage


Word Pro: ApplyConfusedEnglish property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyconfusedenglishvalue = [objectreference].ApplyConfusedEnglish [objectreference].ApplyConfusedEnglish = applyconfusedenglishvalue

Legal values

True False

Usage


Word Pro: ApplyConfusedHard property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyconfusedhardvalue = [objectreference].ApplyConfusedHard [objectreference].ApplyConfusedHard = applyconfusedhardvalue

Legal values

True False

Usage


Word Pro: ApplyConfusedMedium property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyconfusedmediumvalue = [objectreference].ApplyConfusedMedium [objectreference].ApplyConfusedMedium = applyconfusedmediumvalue

Legal values

True False

Usage


Word Pro: ApplyConfusedVerb property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyconfusedverbvalue = [objectreference].ApplyConfusedVerb [objectreference].ApplyConfusedVerb = applyconfusedverbvalue

Legal values

True False

Usage


Word Pro: ApplyConsecutiveNouns property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

applyconsecutivenounsvalue = [objectreference].ApplyConsecutiveNouns

[objectreference].ApplyConsecutiveNouns = applyconsecutivenounsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyContractions property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applycontractionsvalue = [objectreference].ApplyContractions

[objectreference].ApplyContractions = applycontractionsvalue

Legal values

True

False

Usage


Word Pro: ApplyDerogatory property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyderogatoryvalue = [objectreference].ApplyDerogatory

[objectreference].ApplyDerogatory = applyderogatoryvalue

Legal values

True False

Usage


Word Pro: ApplyDifferentPrep property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applydifferentprepvalue = [objectreference].ApplyDifferentPrep

[objectreference].ApplyDifferentPrep = applydifferentprepvalue

Legal values

True False

Usage


Word Pro: ApplyDoubleNegative property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applydoublenegativevalue = [objectreference].ApplyDoubleNegative [objectreference].ApplyDoubleNegative = applydoublenegativevalue

Legal values

True

False

Usage


Word Pro: ApplyDoublePlural property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applydoublepluralvalue = [objectreference].ApplyDoublePlural

[objectreference].ApplyDoublePlural = applydoublepluralvalue

Legal values

True False

Usage


Word Pro: ApplyDoubleWordCheck property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applydoublewordcheckvalue = [objectreference].ApplyDoubleWordCheck

[objectreference].ApplyDoubleWordCheck = applydoublewordcheckvalue

Legal values

True

False

Usage


Word Pro: ApplyElision property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyelisionvalue = [objectreference].ApplyElision

[objectreference].ApplyElision = applyelisionvalue

Legal values

True False

Usage


Word Pro: ApplyEnglishDerived property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyenglishderivedvalue = [objectreference].ApplyEnglishDerived

[objectreference].ApplyEnglishDerived = applyenglishderivedvalue

Legal values

True False

Usage


Word Pro: ApplyEnglishWords property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyenglishwordsvalue = [objectreference].ApplyEnglishWords

[objectreference].ApplyEnglishWords = applyenglishwordsvalue

Legal values

True False

Usage


Word Pro: ApplyExotic property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyexoticvalue = [objectreference].ApplyExotic

[objectreference].ApplyExotic = applyexoticvalue

Legal values

True False

Usage


Word Pro: ApplyExtraPrepositionCheck property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyextraprepositioncheckvalue = [objectreference].ApplyExtraPrepositionCheck

[objectreference].ApplyExtraPrepositionCheck = applyextraprepositioncheckvalue

Legal values

True

False

Usage


Word Pro: ApplyFalseFriend property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyfalsefriendvalue = [objectreference].ApplyFalseFriend [objectreference].ApplyFalseFriend = applyfalsefriendvalue

Legal values

True

False

Usage


Word Pro: ApplyFemaleOccupation property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyfemaleoccupationvalue = [objectreference].ApplyFemaleOccupation [objectreference].ApplyFemaleOccupation = applyfemaleoccupationvalue

Legal values

True False

Usage


Word Pro: ApplyFixedExpression property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyfixedexpressionvalue = [objectreference].ApplyFixedExpression

[objectreference].ApplyFixedExpression = applyfixedexpressionvalue

Legal values

True False

Usage


Word Pro: ApplyForeignWord property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyforeignwordvalue = [objectreference].ApplyForeignWord

[objectreference].ApplyForeignWord = applyforeignwordvalue

Legal values

True False

Usage


Word Pro: ApplyFormalTerms property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyformaltermsvalue = [objectreference].ApplyFormalTerms

[objectreference].ApplyFormalTerms = applyformaltermsvalue

Legal values

True False

Usage


Word Pro: ApplyFormatErrors property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyformaterrorsvalue = [objectreference].ApplyFormatErrors

[objectreference].ApplyFormatErrors = applyformaterrorsvalue

Legal values

True

False

Usage


Word Pro: ApplyGallicisms property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applygallicismsvalue = [objectreference].ApplyGallicisms

[objectreference].ApplyGallicisms = applygallicismsvalue

Legal values

True False

Usage


Word Pro: ApplyGenderExpressions property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applygenderexpressionsvalue = [objectreference].ApplyGenderExpressions

[objectreference].ApplyGenderExpressions = applygenderexpressionsvalue

Legal values

True

False

Usage


Word Pro: ApplyGermanisms property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applygermanismsvalue = [objectreference].ApplyGermanisms [objectreference].ApplyGermanisms = applygermanismsvalue

Legal values

True False

Usage


Word Pro: ApplyHomoGraphs property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyhomographsvalue = [objectreference].ApplyHomoGraphs [objectreference].ApplyHomoGraphs = applyhomographsvalue

Legal values

True False

Usage


Word Pro: ApplyHomonyms property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyhomonymsvalue = [objectreference].ApplyHomonyms

[objectreference].ApplyHomonyms = applyhomonymsvalue

Legal values

True

False

Usage


Word Pro: ApplyHomonymsEasy property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyhomonymseasyvalue = [objectreference].ApplyHomonymsEasy [objectreference].ApplyHomonymsEasy = applyhomonymseasyvalue

Legal values

True False

Usage


Word Pro: ApplyHomonymsHard property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyhomonymshardvalue = [objectreference].ApplyHomonymsHard

[objectreference].ApplyHomonymsHard = applyhomonymshardvalue

Legal values

True False

Usage


Word Pro: ApplyHomoPhone1 property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyhomophone1value = [objectreference].ApplyHomoPhone1

[objectreference].ApplyHomoPhone1 = applyhomophone1value

Legal values

True False

Usage


Word Pro: ApplyHomoPhone2 property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyhomophone2value = [objectreference].ApplyHomoPhone2

[objectreference].ApplyHomoPhone2 = applyhomophone2value

Legal values

True False

Usage


Word Pro: ApplyHomoPhones property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyhomophonesvalue = [objectreference].ApplyHomoPhones

[objectreference].ApplyHomoPhones = applyhomophonesvalue

Legal values

True False

Usage


Word Pro: ApplyIncorrectPlural property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyincorrectpluralvalue = [objectreference].ApplyIncorrectPlural

[objectreference].ApplyIncorrectPlural = applyincorrectpluralvalue

Legal values

True False

Usage


Word Pro: ApplyInformalExpressions property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyinformalexpressionsvalue = [objectreference].ApplyInformalExpressions [objectreference].ApplyInformalExpressions = applyinformalexpressionsvalue

Legal values

True

False

Usage


Word Pro: ApplyJargonWords property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyjargonwordsvalue = [objectreference].ApplyJargonWords

[objectreference].ApplyJargonWords = applyjargonwordsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplykSplitInfinitives property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

applyksplitinfinitivesvalue = [objectreference].ApplykSplitInfinitives

[objectreference].ApplykSplitInfinitives = applyksplitinfinitivesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyLowercaseAdjective property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applylowercaseadjectivevalue = [objectreference].ApplyLowercaseAdjective

[objectreference].ApplyLowercaseAdjective = applylowercaseadjectivevalue

Legal values

True False

Usage


Word Pro: ApplyLowercaseColor property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applylowercasecolorvalue = [objectreference].ApplyLowercaseColor

[objectreference].ApplyLowercaseColor = applylowercasecolorvalue

Legal values

True False

Usage


Word Pro: ApplyLowercaseNumbers property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applylowercasenumbersvalue = [objectreference].ApplyLowercaseNumbers [objectreference].ApplyLowercaseNumbers = applylowercasenumbersvalue

Legal values

True False

Usage


Word Pro: ApplyLowercasePhrases property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applylowercasephrasesvalue = [objectreference].ApplyLowercasePhrases [objectreference].ApplyLowercasePhrases = applylowercasephrasesvalue

Legal values

True False

Usage


Word Pro: ApplyLowercasePronouns property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applylowercasepronounsvalue = [objectreference].ApplyLowercasePronouns

[objectreference].ApplyLowercasePronouns = applylowercasepronounsvalue

Legal values

True False

Usage


Word Pro: ApplyMassVsCount property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applymassvscountvalue = [objectreference].ApplyMassVsCount

[objectreference].ApplyMassVsCount = applymassvscountvalue

Legal values

True

False

Usage


Word Pro: ApplyMisspelledExpressions property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applymisspelledexpressionsvalue = [objectreference].ApplyMisspelledExpressions [objectreference].ApplyMisspelledExpressions = applymisspelledexpressionsvalue

Legal values

True

False

Usage


Word Pro: ApplyMisspelledForeignExpressions property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applymisspelledforeignexpressionsvalue = [objectreference].ApplyMisspelledForeignExpressions

[objectreference].ApplyMisspelledForeignExpressions = applymisspelledforeignexpressionsvalue

Legal values

True

False

Usage


Word Pro: ApplyMisspelledItalian property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applymisspelleditalianvalue = [objectreference].ApplyMisspelledItalian

[objectreference].ApplyMisspelledItalian = applymisspelleditalianvalue

Legal values

True False

Usage


Word Pro: ApplyMisspelledWords property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applymisspelledwordsvalue = [objectreference].ApplyMisspelledWords

[objectreference].ApplyMisspelledWords = applymisspelledwordsvalue

Legal values

True

False

Usage


Word Pro: ApplyMisusedWords property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applymisusedwordsvalue = [objectreference].ApplyMisusedWords [objectreference].ApplyMisusedWords = applymisusedwordsvalue

Legal values

True

False

Usage


Word Pro: ApplyNonStandardExpression property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynonstandardexpressionvalue = [objectreference].ApplyNonStandardExpression

[objectreference].ApplyNonStandardExpression = applynonstandardexpressionvalue

Legal values

True

False

Usage


Word Pro: ApplyNonStandardModifiers property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynonstandardmodifiersvalue = [objectreference].ApplyNonStandardModifiers

[objectreference].ApplyNonStandardModifiers = applynonstandardmodifiersvalue

Legal values

True

False

Usage


Word Pro: ApplyNoudModifierOrderCheck property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynoudmodifierordercheckvalue = [objectreference].ApplyNoudModifierOrderCheck

[objectreference].ApplyNoudModifierOrderCheck = applynoudmodifierordercheckvalue

Legal values

True

False

Usage


Word Pro: ApplyNounConsistency property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynounconsistencyvalue = [objectreference].ApplyNounConsistency [objectreference].ApplyNounConsistency = applynounconsistencyvalue

Legal values

True

False

Usage


Word Pro: ApplyNounPhraseAgree property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynounphraseagreevalue = [objectreference].ApplyNounPhraseAgree [objectreference].ApplyNounPhraseAgree = applynounphraseagreevalue

Legal values

True False

Usage


Word Pro: ApplyNSAdjective property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynsadjectivevalue = [objectreference].ApplyNSAdjective

[objectreference].ApplyNSAdjective = applynsadjectivevalue

Legal values

True False

Usage


Word Pro: ApplyNSClause property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynsclausevalue = [objectreference].ApplyNSClause [objectreference].ApplyNSClause = applynsclausevalue

Legal values

True False

Usage


Word Pro: ApplyNSCompare property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynscomparevalue = [objectreference].ApplyNSCompare

[objectreference].ApplyNSCompare = applynscomparevalue

Legal values

True False

Usage


Word Pro: ApplyNSContract property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynscontractvalue = [objectreference].ApplyNSContract [objectreference].ApplyNSContract = applynscontractvalue

Legal values

True False

Usage


Word Pro: ApplyNSGeography property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynsgeographyvalue = [objectreference].ApplyNSGeography

[objectreference].ApplyNSGeography = applynsgeographyvalue

Legal values

True False

Usage


Word Pro: ApplyNSInflection property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynsinflectionvalue = [objectreference].ApplyNSInflection

[objectreference].ApplyNSInflection = applynsinflectionvalue

Legal values

True False

Usage


Word Pro: ApplyNSNegation property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynsnegationvalue = [objectreference].ApplyNSNegation [objectreference].ApplyNSNegation = applynsnegationvalue

Legal values

True

False

Usage


Word Pro: ApplyNSPrep property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynsprepvalue = [objectreference].ApplyNSPrep

[objectreference].ApplyNSPrep = applynsprepvalue

Legal values

True False

Usage


Word Pro: ApplyNSPronoun property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynspronounvalue = [objectreference].ApplyNSPronoun

[objectreference].ApplyNSPronoun = applynspronounvalue

Legal values

True False

Usage


Word Pro: ApplyNSSpell property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynsspellvalue = [objectreference].ApplyNSSpell

[objectreference].ApplyNSSpell = applynsspellvalu

Legal values

True False

Usage


Word Pro: ApplyNSUsage property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynsusagevalue = [objectreference].ApplyNSUsage

[objectreference].ApplyNSUsage = applynsusagevalue

Legal values

True False

Usage


Word Pro: ApplyNSVerbForm property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applynsverbFormvalue = [objectreference].ApplyNSVerbForm [objectreference].ApplyNSVerbForm = applynsverbFormvalue

Legal values

True False

Usage


Word Pro: ApplyOpenClosedSpelling property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyopenclosedspellingvalue = [objectreference].ApplyOpenClosedSpelling

[objectreference].ApplyOpenClosedSpelling = applyopenclosedspellingvalue

Legal values

True

False

Usage


Word Pro: ApplyOpenUsage property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyopenusagevalue = [objectreference].ApplyOpenUsage [objectreference].ApplyOpenUsage = applyopenusagevalue

Legal values

True

False

Usage


Word Pro: ApplyOverusedPhrases property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyoverusedphrasesvalue = [objectreference].ApplyOverusedPhrases [objectreference].ApplyOverusedPhrases = applyoverusedphrasesvalue

Legal values

True

False

Usage


Word Pro: ApplyPassiveVerbErrors property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applypassiveverberrorsvalue = [objectreference].ApplyPassiveVerbErrors [objectreference].ApplyPassiveVerbErrors = applypassiveverberrorsvalue

Legal values

True

False

Usage


Word Pro: ApplyPostClitAgree property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applypostclitagreevalue = [objectreference].ApplyPostClitAgree

[objectreference].ApplyPostClitAgree = applypostclitagreevalue

Legal values

True

False

Usage


Word Pro: ApplyPrepExpression property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyprepexpressionvalue = [objectreference].ApplyPrepExpression

[objectreference].ApplyPrepExpression = applyprepexpressionvalue

Legal values

True False

Usage


Word Pro: ApplyPrepositionalPhrases property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

applyprepositionalphrasesvalue = [objectreference].ApplyPrepositionalPhrases

[objectreference].ApplyPrepositionalPhrases = applyprepositionalphrasesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ApplyPretentiousWords property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applypretentiouswordsvalue = [objectreference].ApplyPretentiousWords [objectreference].ApplyPretentiousWords = applypretentiouswordsvalue

Legal values

True

False

Usage


Word Pro: ApplyPronounErrors property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applypronounerrorsvalue = [objectreference].ApplyPronounErrors

[objectreference].ApplyPronounErrors = applypronounerrorsvalue

Legal values

True

False

Usage


Word Pro: ApplyPunctuationErrors property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applypunctuationerrorsvalue = [objectreference].ApplyPunctuationErrors [objectreference].ApplyPunctuationErrors =  [objectreference].ApplyPunctuationErrors

Legal values

True

False

Usage


Word Pro: ApplyRedundantExpressions property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyredundantexpressionsvalue = [objectreference].ApplyRedundantExpressions

[objectreference].ApplyRedundantExpressions = applyredundantexpressionsvalue

Legal values

True

False

Usage


Word Pro: ApplyRegionalExpression property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyregionalexpressionvalue = [objectreference].ApplyRegionalExpression

[objectreference].ApplyRegionalExpression = applyregionalexpressionvalue

Legal values

True False

Usage


Word Pro: ApplyRelatedWord property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyrelatedwordvalue = [objectreference].ApplyRelatedWord

[objectreference].ApplyRelatedWord = applyrelatedwordvalue

Legal values

True False

Usage


Word Pro: ApplySensitiveExp property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applysensitiveexpvalue = [objectreference].ApplySensitiveExp [objectreference].ApplySensitiveExp = applysensitiveexpvalue

Legal values

True False

Usage


Word Pro: ApplySexistExpressions property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applysexistexpressionsvalue = [objectreference].ApplySexistExpressions

[objectreference].ApplySexistExpressions = applysexistexpressionsvalue

Legal values

True

False

Usage


Word Pro: ApplySpellStandard property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyspellstandardvalue = [objectreference].ApplySpellStandard [objectreference].ApplySpellStandard = applyspellstandardvalue

Legal values

True False

Usage


Word Pro: ApplyStockPhrase property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applystockphrasevalue = [objectreference].ApplyStockPhrase

[objectreference].ApplyStockPhrase = applystockphrasevalue

Legal values

True

False

Usage


Word Pro: ApplyStyleParameters property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applystyleparametersvalue = [objectreference].ApplyStyleParameters [objectreference].ApplyStyleParameters =  [objectreference].ApplyStyleParameters

Legal values

True

False

Usage


Word Pro: ApplySubjectVerbAgreement property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applysubjectverbagreementvalue = [objectreference].ApplySubjectVerbAgreement

[objectreference].ApplySubjectVerbAgreement = applysubjectverbagreementvalue

Legal values

True

False

Usage


Word Pro: ApplyTrite property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applytritevalue = [objectreference].ApplyTrite [objectreference].ApplyTrite = applytritevalue

Legal values

True False

Usage


Word Pro: ApplyTwoGender property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applytwogendervalue = [objectreference].ApplyTwoGender

[objectreference].ApplyTwoGender = applytwogendervalue

Legal values

True False

Usage


Word Pro: ApplyTypicalMisspell property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applytypicalmisspellvalue = [objectreference].ApplyTypicalMisspell [objectreference].ApplyTypicalMisspell = applytypicalmisspellvalue

Legal values

True False

Usage


Word Pro: ApplyUnGrammaticalExpressions property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyungrammaticalexpressionsvalue = [objectreference].ApplyUnGrammaticalExpressions

[objectreference].ApplyUnGrammaticalExpressions = applyungrammaticalexpressionsvalue

Legal values

True

False

Usage


Word Pro: ApplyVagueQuantifiers property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyvaguequantifiersvalue = [objectreference].ApplyVagueQuantifiers [objectreference].ApplyVagueQuantifiers = applyvaguequantifiersvalue

Legal values

True

False

Usage


Word Pro: ApplyVerbGroupConsistency property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyverbgroupconsistencyvalue = [objectreference].ApplyVerbGroupConsistency

[objectreference].ApplyVerbGroupConsistency = applyverbgroupconsistencyvalue

Legal values

True

False

Usage


Word Pro: ApplyWeakModifiers property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applyweakmodifiersvalue = [objectreference].ApplyWeakModifiers

[objectreference].ApplyWeakModifiers = applyweakmodifiersvaluev

Legal values

True

False

Usage


Word Pro: ApplyWordChoice property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applywordchoicevalue = [objectreference].ApplyWordChoice [objectreference].ApplyWordChoice = applywordchoicevalue

Legal values

True False

Usage


Word Pro: ApplyWordCompoundingCheck property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applywordcompoundingcheckvalue = [objectreference].ApplyWordCompoundingCheck [objectreference].ApplyWordCompoundingCheck = applywordcompoundingcheckvalue

Legal values

True

False

Usage


Word Pro: ApplyWordConfusion property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applywordconfusionvalue = [objectreference].ApplyWordConfusion [objectreference].ApplyWordConfusion = applywordconfusionvalue

Legal values

True False

Usage


Word Pro: ApplyWordGender property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applywordgendervalue = [objectreference].ApplyWordGender

[objectreference].ApplyWordGender = applywordgendervalue

Legal values

True False

Usage


Word Pro: ApplyWordParts property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applywordpartsvalue = [objectreference].ApplyWordParts

[objectreference].ApplyWordParts = applywordpartsvalue

Legal values

True

False

Usage


Word Pro: ApplyWordyPhraseCheck property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

applywordyphrasecheckvalue = [objectreference].ApplyWordyPhraseCheck

[objectreference].ApplyWordyPhraseCheck = applywordyphrasecheckvalue

Legal values

True

False

Usage


Word Pro: Archive property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

archivevalue = [objectreference].Archive

[objectreference].Archive = archivevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AreDisabledIconsGrayed property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

aredisablediconsgrayedvalue = [objectreference].AreDisabledIconsGrayed [objectreference].AreDisabledIconsGrayed =  aredisablediconsgrayedvalue

Legal values

True False

Usage


Word Pro: Ascent property

 See list of classes

 See example

(Read-only)

Data Type

Points

Syntax

ascentvalue = [objectreference].Ascent [objectreference].Ascent = ascentvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AsciiCRLFType property

 See list of classes

 See example

(Read-write)

Data Type

AsciiLineEnding

Variant (Enumerated)

Syntax

asciicrlftypevalue = [objectreference].AsciiCRLFType [objectreference].AsciiCRLFType = asciicrlftypevalue

Legal values

$LwpAsciiLineEndingCharset7bit (16)

$LwpAsciiLineEndingCharset8bit (17)

$LwpAsciiLineEndingCharsetPlatform (18)

Usage


Word Pro: AtBeginning property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

AtBeginningvalue = [objectreference].AtBeginning

[objectreference].AtBeginning = AtBeginningvalue

Legal values

True False

Usage


Word Pro: AtBeginningOfLine property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

atbeginningoflinevalue = [objectreference].AtBeginningOfLine [objectreference].AtBeginningOfLine = atbeginningoflinevalue

Legal values

True False

Usage


Word Pro: AtBeginningOfObject property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

atbeginningofobjectvalue = [objectreference].AtBeginningOfObject

[objectreference].AtBeginningOfObject = atbeginningofobjectvalue

Legal values

True False

Usage


Word Pro: AtBeginningOfParagraph property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

atbeginningofparagraphvalue = [objectreference].AtBeginningOfParagraph [objectreference].AtBeginningOfParagraph = atbeginningofparagraphvalue

Legal values

True False

Usage


Word Pro: AtBeginningOfStream property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

atbeginningofstreamvalue = [objectreference].AtBeginningOfStream

[objectreference].AtBeginningOfStream = atbeginningofstreamvalue

Legal values

True False

Usage


Word Pro: AtBeginningOfWord property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

atbeginningofwordvalue = [objectreference].AtBeginningOfWord [objectreference].AtBeginningOfWord = atbeginningofwordvalue

Legal values

True False

Usage


Word Pro: AtEnd property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

atendvalue = [objectreference].AtEnd [objectreference].AtEnd = atendvalue

Legal values

True False

Usage


Word Pro: AtEndOfLine property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

atendoflinevalue = [objectreference].AtEndOfLine

[objectreference].AtEndOfLine = atendoflinevalue

Legal values

True False

Usage


Word Pro: AtEndOfObject property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

atendofobjectvalue = [objectreference].AtEndOfObject

[objectreference].AtEndOfObjectv = atendofobjectvalue

Legal values

True False

Usage


Word Pro: AtEndOfParagraph property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

atendofparagraphvalue = [objectreference].AtEndOfParagraph [objectreference].AtEndOfParagraph = atendofparagraphvalue

Legal values

True False

Usage


Word Pro: AtEndOfStream property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

atendofstreamvalue = [objectreference].AtEndOfStream [objectreference].AtEndOfStream = atendofstreamvalue

Legal values

True False

Usage


Word Pro: AtEndOfWord property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

atendofwordvalue = [objectreference].AtEndOfWord

[objectreference].AtEndOfWord = atendofwordvalue

Legal values

True False

Usage


Word Pro: AttrStyleName property

 See list of classes

 See example

(Read-write) The name of the attribute style from which you get the attribute information for a font. Word Pro uses the same style name for attributes s for a character or group of characters. Bold, Italic, Underline, etc. are part of this style.

Data Type

String

Syntax

attrstylenamevalue = [objectreference].AttrStyleName

[objectreference].AttrStyleName = attrstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AuthorName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

authornamevalue = [objectreference].AuthorName

[objectreference].AuthorName = authornamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AutoBackup property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

autobackupvalue = [objectreference].AutoBackup [objectreference].AutoBackup = autobackupvalue

Legal values

True False

Usage


Word Pro: AutoHyphenate property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

autohyphenatevalue = [objectreference].AutoHyphenate [objectreference].AutoHyphenate = autohyphenatevalue

Legal values

True False

Usage


Word Pro: AutomaticLink property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

automaticlinkvalue = [objectreference].AutomaticLink [objectreference].AutomaticLink = automaticlinkvalue

Legal values

True False

Usage


Word Pro: AutoSave property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

autosavevalue = [objectreference].AutoSave [objectreference].AutoSave = autosavevalue

Legal values

True False

Usage


Word Pro: AutoSaveMinutes property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

autosaveminutesvalue = [objectreference].AutoSaveMinutes [objectreference].AutoSaveMinutes = autosaveminutesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: AutoVersion property

 See list of classes

 See example

(Read-write)

Data Type

AutoVersion

Variant (Enumerated)

Syntax

autoversionvalue = [objectreference].AutoVersion

[objectreference].AutoVersion = autoversionvalue

Legal values

$LwpAutoVersionEveryday (29)

$LwpAutoVersionEveryweek (30)

$LwpAutoVersionNone (27)

$LwpAutoVersionOnfileopen (28)

Usage


Word Pro: BackgroundPrintingOn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

backgroundprintingonvalue = [objectreference].BackgroundPrintingOn

[objectreference].BackgroundPrintingOn = backgroundprintingonvalue

Legal values

True False

Usage


Word Pro: BackupPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

backuppathvalue = [objectreference].BackupPath

[objectreference].BackupPath = backuppathvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BarSide property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

barsidevalue = [objectreference].BarSide

[objectreference].BarSide = barsidevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BarType property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

bartypevalue = [objectreference].BarType

[objectreference].BarType = bartypevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BaseLineOffset property

 See list of classes

 See example

(Read-write) Where a frame is positioned relative to the text baseline.

Data Type

Twips

Syntax

baselineoffsetvalue = [objectreference].BaseLineOffset

[objectreference].BaseLineOffset = baselineoffsetvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BinName property

 See list of classes

 See example

(Read-write) Used in a page to get the name of the bin from which the paper should be taken when printing a page layout.

Data Type

String

Syntax

binnamevalue = [objectreference].BinName [objectreference].BinName = binnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BlockPaint property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

[objectreference].BlockPaint = blockpaintvalue

Legal values

True False

Usage


Word Pro: Blue property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

bluevalue = [objectreference].Blue [objectreference].Blue = bluevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BodyOnly property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

bodyonlyvalue = [objectreference].BodyOnly

[objectreference].BodyOnly = bodyonlyvalue

Legal values

True False

Usage


Word Pro: Bold property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

boldvalue = [objectreference].Bold [objectreference].Bold = boldvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BorderOffset property

 See list of classes

 See example

(Read-write) Position of a layout relative to the center point which is determined by the Origin and XY coordinates

Data Type

Twips

Syntax

borderoffsetvalue = [objectreference].BorderOffset

[objectreference].BorderOffset = borderoffsetvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BorderStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

borderstylenamevalue = [objectreference].BorderStyleName

[objectreference].BorderStyleName = borderstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BottomExternalMargin property

 See list of classes

 See example

(Read-write) Width of external margin for a child layout such as a frame or a table.

Data Type

Twips

Syntax

bottomexternalmarginvalue = [objectreference].BottomExternalMargin [objectreference].BottomExternalMargin = bottomexternalmarginvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BottomIntArea property

 See list of classes

 See example

(Read-only) The distance from the outer edge of a layout's border to the margin for that layout.

Data Type

Twips

Syntax

bottomintareavalue = [objectreference].BottomIntArea

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BreaksStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

breaksstylenamevalue = [objectreference].BreaksStyleName

[objectreference].BreaksStyleName = breaksstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BulletFonts property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

bulletfontsvalue = [objectreference].BulletFonts [objectreference].BulletFonts = bulletfontsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: BulletStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

bulletstylenamevalue = [objectreference].BulletStyleName [objectreference].BulletStyleName = bulletstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CanEditProperty property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

caneditpropertyvalue = [objectreference].CanEditProperty

Legal values

True False

Usage


Word Pro: CanEmbed property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

canembedvalue = [objectreference].CanEmbed

Legal values

True

False

Usage


Word Pro: CanWePrint property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

canweprintvalue = [objectreference].CanWePrint

Legal values

True False

Usage


Word Pro: Caption property

 See list of classes

 See example

(Read-write) The name of a menu item.

Data Type

String

Syntax

captionvalue = [objectreference].Caption

[objectreference].Caption = captionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Case property

 See list of classes

 See example

(Read-write)

Data Type

Case

Variant (Enumerated)

Syntax

casevalue = [objectreference].Case

[objectreference].Case = casevalue

Legal values

$LtsCaseLower (1056964842)

$LtsCaseMixed (1056964843)

$LtsCaseUpper (1056964841)

$LwpCaseDontcare (114)

$LwpCaseInitcaps (115)

$LwpCaseStyle (116)

Usage


Word Pro: CellStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

cellstylenamevalue = [objectreference].CellStyleName

[objectreference].CellStyleName = cellstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CenteredHorz property

 See list of classes

 See example

(Read-write) Not implemented.

Data Type

Bool

Syntax

centeredhorzvalue = [objectreference].CenteredHorz

[objectreference].CenteredHorz = centeredhorzvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CenteredVert property

 See list of classes

 See example

(Read-write) Indicates whether the content of a layout is centered vertically.

Data Type

Bool

Syntax

centeredvertvalue = [objectreference].CenteredVert

[objectreference].CenteredVert = centeredvertvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Changed property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

changedvalue = [objectreference].Changed

[objectreference].Changed = changedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CharacterBorderName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

characterbordernamevalue = [objectreference].CharacterBorderName

[objectreference].CharacterBorderName = characterbordernamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CharacterSetName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

charactersetnamevalue = [objectreference].CharacterSetName [objectreference].CharacterSetName = charactersetnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CharacterStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

characterstylenamevalue = [objectreference].CharacterStyleName

[objectreference].CharacterStyleName = characterstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CharSet property

 See list of classes

 See example

(Read-write)

Data Type

CharSet

Variant (Enumerated)

Syntax

charsetvalue = [objectreference].CharSet [objectreference].CharSet = charsetvalue

Legal values

$LwpCharSetAnsi (119)

$LwpCharSetAnsi1250 (120)

$LwpCharSetAnsi1251 (121)

$LwpCharSetAnsi1252 (122)

$LwpCharSetAnsi1253 (123)

$LwpCharSetAnsi1254 (124)

$LwpCharSetArabic (134)

$LwpCharSetAscii (118)

$LwpCharSetBig5 (126)

$LwpCharSetCp850 (139)

$LwpCharSetCp932 (125)

$LwpCharSetCp949 (127)

$LwpCharSetCyrillic (133)

$LwpCharSetGreek (135)

$LwpCharSetHebrew (136)

$LwpCharSetIsolatin1 (129)

$LwpCharSetIsolatin2 (130)

$LwpCharSetIsolatin3 (131)

$LwpCharSetIsolatin4 (132)

$LwpCharSetIsolatin5 (137)

$LwpCharSetIsolatin6 (138)

$LwpCharSetUnicode (128)

Usage


Word Pro: Checked property

 See list of classes

 See example

(Read-write) Indicates if a menu item is checked or not checked.

Data Type

Bool

Syntax

checkedvalue = [objectreference].Checked [objectreference].Checked = checkedvalue

Legal values

True False

Usage

A check mark indicates that a menu item is active.  To check a

menu item, set the Checked property value to True. A menu item

without a check mark can indicate that the menu item is not

active. To indicate that the menu item is not active, set the

Checked property value to False.

The Checked property is available only for your custom created

menu items. You cannot set the Checked property for predefined

Word Pro menu items.


Word Pro: CheckForScriptEnumError property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

checkforscriptenumerrorvalue = [objectreference].CheckForScriptEnumError [objectreference].CheckForScriptEnumError = checkforscriptenumerrorvalue

Legal values

True False

Usage


Word Pro: CheckForScriptPropertyError property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

checkforscriptpropertyerrorvalue = [objectreference].CheckForScriptPropertyError

[objectreference].CheckForScriptPropertyError = checkforscriptpropertyerrorvalue

Legal values

True False

Usage


Word Pro: CityState property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

citystatevalue = [objectreference].CityState

[objectreference].CityState = citystatevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ClassName property

 See list of classes

 See example

(Read-write) The name of the class that defines a Layout object or an object

Data Type

String

Syntax

classnamevalue = [objectreference].ClassName

[objectreference].ClassName = classnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CleanScreenMode property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

cleanscreenmodevalue = [objectreference].CleanScreenMode

[objectreference].CleanScreenMode = cleanscreenmodevalue

Legal values

True False

Usage


Word Pro: CleanScreenOnStartUp property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

cleanscreenonstartupvalue = [objectreference].CleanScreenOnStartUp [objectreference].CleanScreenOnStartUp = cleanscreenonstartupvalue

Legal values

True False

Usage


Word Pro: ClickHerePrompts property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

clickherepromptsvalue = [objectreference].ClickHerePrompts

[objectreference].ClickHerePrompts = clickherepromptsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ClientHeight property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

clientheightvalue = [objectreference].ClientHeight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ClientWidth property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

clientwidthvalue = [objectreference].ClientWidth

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ClientWndHeight property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

clientwndheightvalue = [objectreference].ClientWndHeight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ClientWndWidth property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

clientwndwidthvalue = [objectreference].ClientWndWidth

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CloseDocMacroName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

closedocmacronamevalue = [objectreference].CloseDocMacroName

[objectreference].CloseDocMacroName = closedocmacronamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CodePage property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

codepagevalue = [objectreference].CodePage

[objectreference].CodePage = codepagevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Collapsible property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

collapsiblevalue = [objectreference].Collapsible

[objectreference].Collapsible = collapsiblevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Collate property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

collatevalue = [objectreference].Collate

[objectreference].Collate = collatevalue

Legal values

True False

Usage


Word Pro: ColorOverride property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

coloroverridevalue = [objectreference].ColorOverride [objectreference].ColorOverride = coloroverridevalue

Legal values

$LwpColorOverrideRgb = 2016

$LwpColorOverrideBlack = 2017

$LwpColorOverrideWhite = 2018

$LwpColorOverrideGray = 2019

$LwpColorOverrideLightGray = 2020

$LwpColorOverrideDarkGray = 2021

$LwpColorOverrideRed = 2022

$LwpColorOverrideGreen = 2023

$LwpColorOverrideBlue = 2024

$LwpColorOverrideReserved = 2025

$LwpColorOverrideInvalid = 2026

$LwpColorOverrideTransparent = 2027

Usage


Word Pro: ColumnBalance property

 See list of classes

 See example

(Read-write) Is column balancing turned on.

Data Type

Bool

Syntax

columnbalancevalue = [objectreference].ColumnBalance [objectreference].ColumnBalance = columnbalancevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ColumnGap property

 See list of classes

 See example

(Read-write) The distance between one column of text and the next column ot the right.

Data Type

Twips

Syntax

columngapvalue = [objectreference].ColumnGap

[objectreference].ColumnGap = columngapvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ColumnNumber property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

columnnumbervalue = [objectreference].ColumnNumber

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ColumnWidth property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

columnwidthvalue = [objectreference].ColumnWidth

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Company property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

companyvalue = [objectreference].Company

[objectreference].Company = companyvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Condition property

 See list of classes

 See example

(Read-write)

Data Type

ConditionType

Variant (Enumerated)

Syntax

conditionvalue = [objectreference].Condition

[objectreference].Condition = conditionvalue

Legal values

$LwpConditionTypeAllbutspecificpage (156)

$LwpConditionTypeAllpages (154)

$LwpConditionTypeOnlyevenpages (157)

$LwpConditionTypeOnlyoddpages (158)

$LwpConditionTypeOnlyspecificpage (155)

$LwpConditionTypeStartatpage (159)

Usage


Word Pro: ConditionType property

 See list of classes

 See example

(Read-write) When is a layout used. Use this in conjunction with other properties such as PageToUseLayoutOn. If parent layout is not a page, then a layout uses the parent's ConditionType.

Data Type

ConditionType

Variant (Enumerated)

Syntax

conditiontypevalue = [objectreference].ConditionType [objectreference].ConditionType = conditiontypevalue

Legal values

$LwpConditionTypeAllbutspecificpage (156)

$LwpConditionTypeAllpages (154)

$LwpConditionTypeOnlyevenpages (157)

$LwpConditionTypeOnlyoddpages (158)

$LwpConditionTypeOnlyspecificpage (155)

$LwpConditionTypeStartatpage (159)

Usage


Word Pro: ContactUponPermissionDenied property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

contactuponpermissiondeniedvalue = [objectreference].ContactUponPermissionDenied

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ContentHeight property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

contentheightvalue = [objectreference].ContentHeight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ContentName property

 See list of classes

 See example

(Read-only) The name of the object in the Content property

Data Type

String

Syntax

contentnamevalue = [objectreference].ContentName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Contents property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

contentsvalue = [objectreference].Contents

[objectreference].Contents = contentsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ContentStyleName property

 See list of classes

 See example

(Read-write) The name of the initial paragraph style used by the object in the Content property.

Data Type

String

Syntax

contentstylenamevalue = [objectreference].ContentStyleName

[objectreference].ContentStyleName = contentstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ContentType property

 See list of classes

 See example

(Read-only)

Data Type

ContentType

Variant (Enumerated)

Syntax

contenttypevalue = [objectreference].ContentType

Legal values

$LwpContentTypeFootnotetable (166)

$LwpContentTypeFormula (2056)

$LwpContentTypeGraphic (163)

$LwpContentTypeOleobject (164)

$LwpContentTypeParallelcolumns (165)

$LwpContentTypeTableonly (162)

$LwpContentTypeText (161)

$LwpConttentTypeFormula (167)

Usage


Word Pro: ContentWidth property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

contentwidthvalue = [objectreference].ContentWidth

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ContinuedFromAlignment property

 See list of classes

 See example

(Read-write)

Data Type

AlignmentType

Variant (Enumerated)

Syntax

continuedfromalignmentvalue = [objectreference].ContinuedFromAlignment [objectreference].ContinuedFromAlignment = continuedfromalignmentvalue

Legal values

$LtsAlignmentHorizCenter (1056964611)

$LtsAlignmentJustify (1056964613)

$LtsAlignmentLeft (1056964609)

$LtsAlignmentRight (1056964610)

$LtsAlignmentSmart (1056964612)

$LwpAlignmentTypeAlignRevert (8)

$LwpAlignmentTypeJustifyall (5)

$LwpAlignmentTypeNumericleft (6)

$LwpAlignmentTypeNumericright (7)

Usage


Word Pro: ContinuedFromMessage property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

continuedfrommessagevalue = [objectreference].ContinuedFromMessage

[objectreference].ContinuedFromMessage = continuedfrommessagevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ContinuedFromStory property

 See list of classes

 See example

(Read-only) Name of the Text object that contains the Continued From message for a FootnoteLayout object.

Data Type

String

Syntax

continuedfromstoryvalue = [objectreference].ContinuedFromStory

Legal values

This is a ReadOnly property.

Usage


Word Pro: ContinuedOnAlignment property

 See list of classes

 See example

(Read-write)

Data Type

AlignmentType

Variant (Enumerated)

Syntax

continuedonalignmentvalue = [objectreference].ContinuedOnAlignment

[objectreference].ContinuedOnAlignment = continuedonalignmentvalue

Legal values

$LtsAlignmentHorizCenter (1056964611)

$LtsAlignmentJustify (1056964613)

$LtsAlignmentLeft (1056964609)

$LtsAlignmentRight (1056964610)

$LtsAlignmentSmart (1056964612)

$LwpAlignmentTypeAlignRevert (8)

$LwpAlignmentTypeJustifyall (5)

$LwpAlignmentTypeNumericleft (6)

$LwpAlignmentTypeNumericright (7)

Usage


Word Pro: ContinuedOnMessage property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

continuedonmessagevalue = [objectreference].ContinuedOnMessage [objectreference].ContinuedOnMessage = continuedonmessagevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ContinuedOnStory property

 See list of classes

 See example

(Read-only) Name of the content object that contains the Continued On message for a FootnoteLayout object.

Data Type

String

Syntax

continuedonstoryvalue = [objectreference].ContinuedOnStory

Legal values

This is a ReadOnly property.

Usage


Word Pro: Copies property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

copiesvalue = [objectreference].Copies [objectreference].Copies = copiesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Count property

 See list of classes

 See example

(Read-only)

Data Type

         Long

Syntax

countvalue = [objectreference].Count

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CountBlankLines property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

countblanklinesvalue = [objectreference].CountBlankLines

[objectreference].CountBlankLines = countblanklinesvalue

Legal values

True False

Usage


Word Pro: CreationDateString property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

creationdatestringvalue = [objectreference].CreationDateString

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CreationTimeString property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

creationtimestringvalue = [objectreference].CreationTimeString

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CreationTimeValue property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

creationtimevaluevalue = [objectreference].CreationTimeValue

[objectreference].CreationTimeValue = creationtimevaluevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Crop property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

cropvalue = [objectreference].Crop

[objectreference].Crop = cropvalue

Legal values

True False

Usage


Word Pro: CurrentColumn property

 See list of classes

 See example

(Read-only)

Data Type

Layout

Syntax

currentcolumnvalue = [objectreference].CurrentColumn [objectreference].CurrentColumn = currentcolumnvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CurrentLanguage property

 See list of classes

 See example

(Read-only)

Data Type

Languages

Variant (Enumerated)

Syntax

currentlanguagevalue = [objectreference].CurrentLanguage

[objectreference].CurrentLanguage = currentlanguagevalue

Legal values

$LwpLanguagesAfrikaans (474)

$LwpLanguagesAlbanian (475)

$LwpLanguagesAmerican (442)

$LwpLanguagesArabic (1025)

$LwpLanguagesArabicAlgeria (5121)

$LwpLanguagesArabicBahrain (15361)

$LwpLanguagesArabicEgypt (3073)

$LwpLanguagesArabicIraq (2049)

$LwpLanguagesArabicJordan (11265)

$LwpLanguagesArabicKuwait (13313)

$LwpLanguagesArabicLebanon (12289)

$LwpLanguagesArabicLibya (4097)

$LwpLanguagesArabicMorocco (6145)

$LwpLanguagesArabicOman (8193)

$LwpLanguagesArabicQatar (16385)

$LwpLanguagesArabicSyria (10241)

$LwpLanguagesArabicTunisia (7169)

$LwpLanguagesArabicUAE (14337)

$LwpLanguagesArabicYemen (9217)

$LwpLanguagesAustralian (444)

$LwpLanguagesBasque (1069)

$LwpLanguagesBrazilian (468)

$LwpLanguagesBritish (443)

$LwpLanguagesBritishize (12297)

$LwpLanguagesBritishmedize (13321)

$LwpLanguagesBrmedical (11273)

$LwpLanguagesBulgarian (478)

$LwpLanguagesByelorussian (1059)

$LwpLanguagesCatalan (436)

$LwpLanguagesChineseHongKong (3076)

$LwpLanguagesChinesePRChina (481)

$LwpLanguagesChineseSingapore (4100)

$LwpLanguagesChineseTraditional (479)

$LwpLanguagesCroatian (1050)

$LwpLanguagesCroatianCyrillic (2074)

$LwpLanguagesCroatianLatin (1050)

$LwpLanguagesCroatianSerbian (3098)

$LwpLanguagesCzech (437) $LwpLanguagesDanish (438)

$LwpLanguagesDutch (439)

$LwpLanguagesDutchBelgian (440)

$LwpLanguagesEnglishCanadian (445)

$LwpLanguagesEnglishCarribean (9225)

$LwpLanguagesEnglishIreland (447)

$LwpLanguagesEnglishJamaica (8201)

$LwpLanguagesEnglishNewzealand (446)

$LwpLanguagesEnglishSAfrica (7177)

$LwpLanguagesEstonian (1061)

$LwpLanguagesFaeroese (1080)

$LwpLanguagesFarsi (1081)

$LwpLanguagesFinnish (452)

$LwpLanguagesFrench (453)

$LwpLanguagesFrenchBelgian (454)

$LwpLanguagesFrenchCanadian (455)

$LwpLanguagesFrenchLuxembourg (5132)

$LwpLanguagesFrenchSwiss (456)

$LwpLanguagesGerman (457)

$LwpLanguagesGermanAustrian (459)

$LwpLanguagesGermanLiechtenstein (5127)

$LwpLanguagesGermanLuxembourg (4103)

$LwpLanguagesGermanSwiss (458)

$LwpLanguagesGreek (460)

$LwpLanguagesHebrew (483)

$LwpLanguagesHungarian (461)

$LwpLanguagesIcelandic (484)

$LwpLanguagesIndonesian (1057)

$LwpLanguagesItalian (462)

$LwpLanguagesItalianSwiss (463)

$LwpLanguagesJapanese (485)

$LwpLanguagesKorean (486)

$LwpLanguagesKoreanJohab (2066)

$LwpLanguagesLatvian (1062)

$LwpLanguagesLithuanian (1063)

$LwpLanguagesMedical (448)

$LwpLanguagesNorwegian (464)

$LwpLanguagesNynorsk (465)

$LwpLanguagesPolish (466)

$LwpLanguagesPortuguese (467)

$LwpLanguagesRhaetoRoman (487)

$LwpLanguagesRomanian (488)

$LwpLanguagesRussian (469)

$LwpLanguagesRussianio (470)

$LwpLanguagesSlovak (492)

$LwpLanguagesSlovene (493)

$LwpLanguagesSorbian (1070)

$LwpLanguagesSpanish (471)

$LwpLanguagesSpanishArgentina (11274)

$LwpLanguagesSpanishBolivia (16394)

$LwpLanguagesSpanishChile (13222)

$LwpLanguagesSpanishColombia (9226)

$LwpLanguagesSpanishCostaRica (5130)

$LwpLanguagesSpanishDominican (7178) $LwpLanguagesSpanishEcuador (12298)

$LwpLanguagesSpanishGuatemala (4106)

$LwpLanguagesSpanishMexican (2058)

$LwpLanguagesSpanishPanama (6154)

$LwpLanguagesSpanishParaguay (15370)

$LwpLanguagesSpanishPeru (10250)

$LwpLanguagesSpanishUruguay (14346)

$LwpLanguagesSpanishVenezuela (8202)

$LwpLanguagesSwedish (473)

$LwpLanguagesSystem (434)

$LwpLanguagesThai (494)

$LwpLanguagesTurkish (495)

$LwpLanguagesUkrainian (496)

$LwpLanguagesUniversal (435)

$LwpLanguagesUrdu (497)

$LwpLanguagesVoorkeur (441)

Usage


Word Pro: CurrentRow property

 See list of classes

 See example

(Read-only)

Data Type

RowLayout

Syntax

currentrowvalue = [objectreference].CurrentRow

[objectreference].CurrentRow =currentrowvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CustomLength property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

customlengthvalue = [objectreference].CustomLength [objectreference].CustomLength = customlengthvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: CustomViewLevel property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

customviewlevelvalue = [objectreference].CustomViewLevel [objectreference].CustomViewLevel = customviewlevelvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DataFileFieldNames property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

datafilefieldnamesvalue = [objectreference].DataFileFieldNames

[objectreference].DataFileFieldNames = datafilefieldnamesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DataFileName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

datafilenamevalue = [objectreference].DataFileName [objectreference].DataFileName = datafilenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DateCreatedValue property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

datecreatedvaluevalue = [objectreference].DateCreatedValue

[objectreference].DateCreatedValue = datecreatedvaluevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DateRevisedValue property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

daterevisedvaluevalue = [objectreference].DateRevisedValue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DdeOutboundInfo property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

ddeoutboundinfovalue = [objectreference].DdeOutboundInfo

[objectreference].DdeOutboundInfo = ddeoutboundinfovalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DebugVariable property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

debugvariablevalue = [objectreference].DebugVariable

[objectreference].DebugVariable = debugvariablevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultBinName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

defaultbinnamevalue = [objectreference].DefaultBinName

[objectreference].DefaultBinName = defaultbinnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultCellStyleDescription property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultcellstyledescriptionvalue = [objectreference].DefaultCellStyleDescription [objectreference].DefaultCellStyleDescription = defaultcellstyledescriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultColumnStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultcolumnstylenamevalue = [objectreference].DefaultColumnStyleName [objectreference].DefaultColumnStyleName = defaultcolumnstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultFilePath property

 See list of classes

 See example

(Read-only) Returns the path for the current working directory for Word Pro. This is identical to the Location property but it is only available from the WPApplication object.

Data Type

String

Syntax

WPApplication.DefaultFilePath

defaultfilepathvalue = [objectreference].DefaultFilePath

Legal values

The value of this property cannot be set by a script.

Usage


Word Pro: DefaultFrameStyleDescription property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultframestyledescriptionvalue = [objectreference].DefaultFrameStyleDescription

[objectreference].DefaultFrameStyleDescription = defaultframestyledescriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultLatinFont property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultlatinfontvalue = [objectreference].DefaultLatinFont

[objectreference].DefaultLatinFont = defaultlatinfontvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultLeftColumnStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultleftcolumnstylenamevalue = [objectreference].DefaultLeftColumnStyleName

[objectreference].DefaultLeftColumnStyleName = defaultleftcolumnstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultNonLatinFont property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultnonlatinfontvalue = [objectreference].DefaultNonLatinFont

[objectreference].DefaultNonLatinFont = defaultnonlatinfontvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultPageHeight property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

defaultpageheightvalue = [objectreference].DefaultPageHeight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultPageStyleDescription property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultpagestyledescriptionvalue = [objectreference].DefaultPageStyleDescription [objectreference].DefaultPageStyleDescription = defaultpagestyledescriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultPageWidth property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

defaultpagewidthvalue = [objectreference].DefaultPageWidth

[objectreference].DefaultPageWidth =defaultpagewidthvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultPitch property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

defaultpitchvalue = [objectreference].DefaultPitch

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultRightColumnStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultrightcolumnstylenamevalue = [objectreference].DefaultRightColumnStyleName [objectreference].DefaultRightColumnStyleName = defaultrightcolumnstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultTableStyleDescription property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaulttablestyledescriptionvalue = [objectreference].DefaultTableStyleDescription

[objectreference].DefaultTableStyleDescription = defaulttablestyledescriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefaultTextStyleDescription property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaulttextstyledescriptionvalue = [objectreference].DefaultTextStyleDescription

[objectreference].DefaultTextStyleDescription = defaulttextstyledescriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefCellStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defcellstylenamevalue = [objectreference].DefCellStyleName

[objectreference].DefCellStyleName = defcellstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefColWidth property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

defcolwidthvalue = [objectreference].DefColWidth [objectreference].DefColWidth = defcolwidthvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Definition property

 See list of classes

 See example

(Read-only) Layout= The stuff used in creating a new style

CharacterStyle = Attributes, facename, size info, etc (look in hierarchy box when creating a character style.)

ParagraphStyle = Attributes and things that comprise the stylelook in hierarchy box when creating a character style.)

Data Type

Long

Syntax

definitionvalue = [objectreference].Definition

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DefRowHeight property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

defrowheightvalue = [objectreference].DefRowHeight

[objectreference].DefRowHeight = defrowheightvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DemandLoad property

 See list of classes

 See example

(WriteOnly)

Data Type

ReservedParam

Variant (Enumerated)

Syntax

[objectreference].DemandLoad = demandloadvalue

Legal values

$LwpReservedParamDefault (1707)

Usage


Word Pro: Descent property

 See list of classes

 See example

(Read-only)

Data Type

Points

Syntax

descentvalue = [objectreference].Descent

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Description property

 See list of classes

 See example

(Read-write) The description of an object. This property is defined in the BaseObject class and inherited by all Word Pro objects. It is not, however, used by all Word Pro objects.

The Description property, while only used by a few classes, is still inherited

Data Type

String

Syntax

descriptionvalue = [objectreference].Description [objectreference].Description = descriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

You will most likely use this property in a TextDocument object.

Most other objects do not have descriptions.


Word Pro: DescriptionFileName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

descriptionfilenamevalue = [objectreference].DescriptionFileName [objectreference].DescriptionFileName = descriptionfilenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DirControl property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

dircontrolvalue = [objectreference].DirControl

[objectreference].DirControl = dircontrolvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DirectionDown property

 See list of classes

 See example

(Read-write) Indicates whether a layout will autogrow or autosize in a downward direction.

Data Type

LayoutDirection

Integer (Enumerated Bitmask)

Syntax

directiondownvalue = [objectreference].DirectionDown [objectreference].DirectionDown = directiondownvalue

Legal values

LwpLayoutDirectionAllDirections (&HF)

LwpLayoutDirectionAutoGrow (&H2)

LwpLayoutDirectionAutoSize (&H4)

LwpLayoutDirectionTocontainer (&H8)

LwpLayoutDirectionUseDirection (&H1)

Usage


Word Pro: DirectionLeft property

 See list of classes

 See example

(Read-write)

Data Type

LayoutDirection

Integer (Enumerated Bitmask)

Syntax

directionleftvalue = [objectreference].DirectionLeft

[objectreference].DirectionLeft = directionleftvalue

Legal values

LwpLayoutDirectionAllDirections (&HF)

LwpLayoutDirectionAutoGrow (&H2)

LwpLayoutDirectionAutoSize (&H4)

LwpLayoutDirectionTocontainer (&H8)

LwpLayoutDirectionUseDirection (&H1)

Usage


Word Pro: DirectionRight property

 See list of classes

 See example

(Read-write)

Data Type

LayoutDirection

Integer (Enumerated Bitmask)

Syntax

directionrightvalue = [objectreference].DirectionRight

[objectreference].DirectionRight = directionrightvalue

Legal values

LwpLayoutDirectionAllDirections (&HF)

LwpLayoutDirectionAutoGrow (&H2)

LwpLayoutDirectionAutoSize (&H4)

LwpLayoutDirectionTocontainer (&H8)

LwpLayoutDirectionUseDirection (&H1)

Usage


Word Pro: DirectionUp property

 See list of classes

 See example

(Read-write)

Data Type

LayoutDirection

Integer (Enumerated Bitmask)

Syntax

directionupvalue = [objectreference].DirectionUp

[objectreference].DirectionUp = directionupvalue

Legal values

LwpLayoutDirectionAllDirections (&HF)

LwpLayoutDirectionAutoGrow (&H2)

LwpLayoutDirectionAutoSize (&H4)

LwpLayoutDirectionTocontainer (&H8)

LwpLayoutDirectionUseDirection (&H1)

Usage


Word Pro: DisableClickHeres property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

disableclickheresvalue = [objectreference].DisableClickHeres

[objectreference].DisableClickHeres = disableclickheresvalue

Legal values

True

False

Usage


Word Pro: DisableExportToNotes property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

disableexporttonotesvalue = [objectreference].DisableExportToNotes [objectreference].DisableExportToNotes = disableexporttonotesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DisableVersionReview property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

disableversionreviewvalue = [objectreference].DisableVersionReview

[objectreference].DisableVersionReview = disableversionreviewvalue

Legal values

True

False

Usage


Word Pro: DistanceFromLeftMargin property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

distancefromleftmarginvalue = [objectreference].DistanceFromLeftMargin [objectreference].DistanceFromLeftMargin = distancefromleftmarginvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DivisionName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

divisionnamevalue = [objectreference].DivisionName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DivisionsRequired property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

divisionsrequiredvalue = [objectreference].DivisionsRequired

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DocControlRestrictedToEditor property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

doccontrolrestrictedtoeditorvalue = [objectreference].doccontrolrestrictedtoeditor

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DocPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

docpathvalue = [objectreference].DocPath [objectreference].DocPath = docpathvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DocSize property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

docsizevalue = [objectreference].DocSize

[objectreference].DocSize = docsizevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DocTextSize property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

doctextsizevalue = [objectreference].DocTextSize [objectreference].DocTextSize = doctextsizevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DocumentLevel property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

documentlevelvalue = [objectreference].DocumentLevel

[objectreference].DocumentLevel = documentlevelvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DocVersionID property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

docversionidvalue = [objectreference].DocVersionID

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DoInitialCaps property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

doinitialcapsvalue = [objectreference].DoInitialCaps

[objectreference].DoInitialCaps = doinitialcapsvalue

Legal values

True False

Usage


Word Pro: DoSmartQuotes property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

dosmartquotesvalue = [objectreference].DoSmartQuotes [objectreference].DoSmartQuotes = dosmartquotesvalue

Legal values

True False

Usage


Word Pro: DoubleUnderline property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

doubleunderlinevalue = [objectreference].DoubleUnderline [objectreference].DoubleUnderline = doubleunderlinevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DragDropOn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

dragdroponvalue = [objectreference].DragDropOn [objectreference].DragDropOn = dragdroponvalue

Legal values

True False

Usage


Word Pro: DriverNameDriverName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

drivernamedrivernamevalue = [objectreference].DriverName

[objectreference].DriverName  = drivernamedrivernamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: DuplexType property

 See list of classes

 See example

(Read-write)

Data Type

DuplexType

Variant (Enumerated)

Syntax

duplextypevalue = [objectreference].DuplexType [objectreference].DuplexType = duplextypevalue

Legal values

$LwpDuplexTypePrintHorzDuplex (219)

$LwpDuplexTypePrintNoDuplex (217)

$LwpDuplexTypePrintVertDuplex (218)

Usage


Word Pro: Editable property

 See list of classes

 See example

(Read-write)

Data Type

CommandState

Variant (Enumerated)

Syntax

editablevalue = [objectreference].Editable

[objectreference].Editable = editablevalue

Legal values

$LwpCommandStateOff (151)

$LwpCommandStateOn (152)

$LwpCommandStateStyle (153)

Usage


Word Pro: EditorAttemptingOpen property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

editorattemptingopenvalue = [objectreference].EditorAttemptingOpen

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: EditorInitials property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

editorinitialsvalue = [objectreference].EditorInitials

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: EditorName property

 See list of classes

 See example

(Read-only) Last editor of a layout object.

Data Type

String

Syntax

editornamevalue = [objectreference].EditorName [objectreference].EditorName = editornamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: EditorVerificationType property

 See list of classes

 See example

(Read-only)

Data Type

EditorVerifyType

Variant (Enumerated)

Syntax

editorverificationtypevalue = [objectreference].EditorVerificationType

Legal values

$LwpEditorVerifyTypeByEmailLogin (236)

$LwpEditorVerifyTypeByOpsysLogin (235)

$LwpEditorVerifyTypeByUserName (234)

Usage


Word Pro: EffectiveColumnWidth property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

effectivecolumnwidthvalue = [objectreference].EffectiveColumnWidth

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: EMail property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

emailvalue = [objectreference].EMail [objectreference].EMail = emailvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Embedded property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

embeddedvalue = [objectreference].Embedded

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: EmbedFonts property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

embedfontsvalue = [objectreference].EmbedFonts [objectreference].EmbedFonts = embedfontsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Enabled property

 See list of classes

 See example

(Read-write) MenuItem: Indicates if a menu item is greyed or not greyed.

Data Type

Bool

Syntax

enabledvalue = [objectreference].Enabled

[objectreference].Enabled = enabledvalue

Legal values

True False

Usage

A greyed menu item caption indicates that a menu item is not

active.  To grey a menu item, set the Enabled property value to

False. A menu item that is not greyed indicates that the menu

item is active. To indicate that the menu item active, set the

Enabled property value to False.

The Enabled property is available only for your custom created

menu items. You cannot set the Enabled property for predefined

Word Pro menu items.


Word Pro: EncryptPassword property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

encryptpasswordvalue = [objectreference].EncryptPassword [objectreference].EncryptPassword = encryptpasswordvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: EncryptPassword2 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

encryptpassword2value = [objectreference].EncryptPassword2

[objectreference].EncryptPassword2 = encryptpassword2value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: EndingColOfSelection property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

endingcolofselectionvalue = [objectreference].EndingColOfSelection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: EndingRowOfSelection property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

endingrowofselectionvalue = [objectreference].EndingRowOfSelection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Enumeration property

 See list of classes

 See example

(Read-write) When you look at collection objects you can use this property to specify whether you want to see all items in the collection, only those items which came from the SmartMaster, or only those items which were created independently from the SmartMaster.

Data Type

EnumScope

Variant (Enumerated)

Syntax

enumerationvalue = [objectreference].Enumeration [objectreference].Enumeration = enumerationvalue

Legal values

$LwpEnumScopeAll (237)

$LwpEnumScopeLocal (238)

$LwpEnumScopeStyle (239)

Usage


Word Pro: Epoch property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

epochvalue = [objectreference].Epoch

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: EqnFontHeight property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

eqnfontheightvalue = [objectreference].EqnFontHeight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ExcludeRectBottom property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

excluderectbottomvalue = [objectreference].ExcludeRectBottom [objectreference].ExcludeRectBottom = excluderectbottomvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ExcludeRectLeft property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

excluderectleftvalue = [objectreference].ExcludeRectLeft

[objectreference].ExcludeRectLeft = excluderectleftvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ExcludeRectRight property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

excluderectrightvalue = [objectreference].ExcludeRectRight

[objectreference].ExcludeRectRight = excluderectrightvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ExcludeRectTop property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

excluderecttopvalue = [objectreference].ExcludeRectTop

[objectreference].ExcludeRectTop = excluderecttopvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Expandable property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

expandablevalue = [objectreference].Expandable [objectreference].Expandable = expandablevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ExportToNotesFX property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

exporttonotesFXvalue = [objectreference].ExportToNotesFX [objectreference].ExportToNotesFX = exporttonotesFXvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ExternalFileID property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

externalfileidvalue = [objectreference].ExternalFileID

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ExternalFileName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

externalfilenamevalue = [objectreference].ExternalFileName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ExternalName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

externalnamevalue = [objectreference].ExternalName

[objectreference].ExternalName = externalnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ExternalType property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

externaltypevalue = [objectreference].ExternalType

[objectreference].ExternalType = externaltypevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FaceStyleName property

 See list of classes

 See example

(Read-write) The name of the style of

Data Type

String

Syntax

facestylenamevalue = [objectreference].FaceStyleName

[objectreference].FaceStyleName = facestylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FastFormatType property

 See list of classes

 See example

(Read-write)

Data Type

FastFormatType

Variant (Enumerated)

Syntax

fastformattypevalue = [objectreference].FastFormatType

[objectreference].FastFormatType = fastformattypevalue

Legal values

$LwpFastFormatTypeHighlight (253)

$LwpFastFormatTypeNone (250)

$LwpFastFormatTypeStyle (252)

$LwpFastFormatTypeText (251)

Usage


Word Pro: FaxNumber property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

faxnumbervalue = [objectreference].FaxNumber

[objectreference].FaxNumber = faxnumbervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FieldDelimiter property

 See list of classes

 See example

(Read-write)

Data Type

DelimiterType

Variant (Enumerated)

Syntax

fielddelimitervalue = [objectreference].FieldDelimiter

[objectreference].FieldDelimiter = fielddelimitervalue

Legal values

$LwpDelimiterTypeTabdelimited (180)

$LwpDelimiterTypeTextdelimited (181)

Usage


Word Pro: FieldDelimiterText property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

fielddelimitertextvalue = [objectreference].FieldDelimiterText

[objectreference].FieldDelimiterText = fielddelimitertextvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FieldNumber property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

fieldnumbervalue = [objectreference].FieldNumber

[objectreference].FieldNumber = fieldnumbervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FieldType property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

fieldtypevalue = [objectreference].FieldType

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FileName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

filenamevalue = [objectreference].FileName

[objectreference].FileName = filenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FileProtectionType property

 See list of classes

 See example

(Read-only)

Data Type

FileProtectType

Variant (Enumerated)

Syntax

fileprotectiontypevalue = [objectreference].FileProtectionType

Legal values

$LwpFileProtectTypeEditors (261)

$LwpFileProtectTypeNone (260)

$LwpFileProtectTypeOrigAuthor (262)

$LwpFileProtectTypePassword (263)

$LwpFileProtectTypeReserved (264)

Usage


Word Pro: FilesToCompare property

 See list of classes

 See example

(WriteOnly)

Data Type

String

Syntax

[objectreference].FilesToCompare = filestocomparevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FileType property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

filetypevalue = [objectreference].FileType [objectreference].FileType = filetypevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FillStyle property

 See list of classes

 See example

(Read-write)

Data Type

TableFillStyle

Variant (Enumerated)

Syntax

fillstylevalue = [objectreference].FillStyle

[objectreference].FillStyle = fillstylevalue

Legal values

$LwpTableFillStyleAll (1870)

$LwpTableFillStyleEveryothercol (1872)

$LwpTableFillStyleEveryotherrow (1871)

$LwpTableFillStyleMixed (1873)

$LwpTableFillStyleNone (1874)

Usage


Word Pro: FilterIndex property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

filterindexvalue = [objectreference].FilterIndex

[objectreference].FilterIndex = filterindexvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FilterName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

filternamevalue = [objectreference].FilterName [objectreference].FilterName = filternamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FindExactCase property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

findexactcasevalue = [objectreference].FindExactCase

[objectreference].FindExactCase = findexactcasevalue

Legal values

True False

Usage


Word Pro: FindForwardDirection property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

findforwarddirectionvalue = [objectreference].FindForwardDirection [objectreference].FindForwardDirection = findforwarddirectionvalue

Legal values

True False

Usage


Word Pro: FindString property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

findstringvalue = [objectreference].FindString

[objectreference].FindString = findstringvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FindStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

findstylenamevalue = [objectreference].FindStyleName

[objectreference].FindStyleName = findstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FindWithProperties property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

findwithpropertiesvalue = [objectreference].FindWithProperties [objectreference].FindWithProperties = findwithpropertiesvalue

Legal values

True False

Usage


Word Pro: First property

 See list of classes

 See example

(Read-write) The name of the first ClickHere block in the division (uses Tab order).

Data Type

Twips

Syntax

firstvalue = [objectreference].First [objectreference].First = firstvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FirstChild property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

firstchildvalue = [objectreference].FirstChild

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FirstName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

firstnamevalue = [objectreference].FirstName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FirstPage property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

firstpagevalue = [objectreference].FirstPage

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FitType property

 See list of classes

 See example

(Read-write)

Data Type

FitType

Integer (Enumerated Bitmask)

Syntax

fittypevalue = [objectreference].FitType

[objectreference].FitType = fittypevalue

Legal values

LwpFitHorz (&H2)

LwpFitHorzmargin (&H4)

LwpFitVertical (&H1)

Usage


Word Pro: FixAcronymns property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

fixacronymnsvalue = [objectreference].FixAcronymns [objectreference].FixAcronymns = fixacronymnsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FixBullets property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

fixbulletsvalue = [objectreference].FixBullets

[objectreference].FixBullets = fixbulletsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FixMargins property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

fixmarginsvalue = [objectreference].FixMargins

[objectreference].FixMargins = fixmarginsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Flags property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

flagsvalue = [objectreference].Flags [objectreference].Flags = flagsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FontName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

fontnamevalue = [objectreference].FontName [objectreference].FontName = fontnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FontSize property

 See list of classes

 See example

(Read-write)

Data Type

Points

Syntax

fontsizevalue = [objectreference].FontSize [objectreference].FontSize = fontsizevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FontStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

fontstylenamevalue = [objectreference].FontStyleName [objectreference].FontStyleName = fontstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FontUnitName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

fontunitnamevalue = [objectreference].FontUnitName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FontUnits property

 See list of classes

 See example

(Read-write)

Data Type

ScaleMode

Variant (Enumerated)

Syntax

fontunitsvalue = [objectreference].FontUnits

[objectreference].FontUnits = fontunitsvalue

Legal values

$LtsScaleModeCentimeter (1056964840)

$LtsScaleModeInch (1056964838)

$LtsScaleModePoint (1056964837)

$LwpScaleModePica (1728)

Usage


Word Pro: Footer property

 See list of classes

 See example

(Read-only)

Data Type

Layout

Syntax

footervalue = [objectreference].Footer

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FormatCheckLevel property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

formatchecklevelvalue = [objectreference].FormatCheckLevel

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FormatCheckRule property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

formatcheckrulevalue = [objectreference].FormatCheckRule

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FormatCheckSuggestion property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

formatchecksuggestionvalue = [objectreference].FormatCheckSuggestion

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FormatType property

 See list of classes

 See example

(Read-write)

Data Type

NumberFormat

Variant (Enumerated)

Syntax

formattypevalue = [objectreference].FormatType

[objectreference].FormatType = formattypevalue

Legal values

$LtsNumberFormatComma (1056964626)

$LtsNumberFormatFixed (1056964623)

$LtsNumberFormatGeneral (1056964622)

$LtsNumberFormatPercent (1056964627)

$LtsNumberFormatScientific (1056964624)

$LwpNumberFormatArgentineanpeso (1532)

$LwpNumberFormatAustraliandollar (1533)

$LwpNumberFormatAustrianschilling (1534)

$LwpNumberFormatBelgianfranc (1535)

$LwpNumberFormatBraziliancruzeiro (1536)

$LwpNumberFormatBritishpound (1537)

$LwpNumberFormatCanadiandollar (1538)

$LwpNumberFormatChineseyuan (1539)

$LwpNumberFormatCzechkoruna (1540)

$LwpNumberFormatDanishkrone (1541)

$LwpNumberFormatDefault (1576)

$LwpNumberFormatEcu (1542)

$LwpNumberFormatFinnishmarkka (1543)

$LwpNumberFormatFrenchfranc (1544)

$LwpNumberFormatGermanmark (1545)

$LwpNumberFormatGreekdrachma (1546)

$LwpNumberFormatHongkongdollar (1547)

$LwpNumberFormatHungarianforint (1548)

$LwpNumberFormatIndianrupee (1549)

$LwpNumberFormatIndonesianrupiah (1550)

$LwpNumberFormatIrishpunt (1551)

$LwpNumberFormatItalianlira (1552)

$LwpNumberFormatJapaneseyen (1553)

$LwpNumberFormatLabel (1582)

$LwpNumberFormatLuxembourgfranc (1554)

$LwpNumberFormatMalaysianringgit (1555)

$LwpNumberFormatMexicanpeso (1556)

$LwpNumberFormatNetherlandsguilder (1557)

$LwpNumberFormatNewzealanddollar (1558)

$LwpNumberFormatNone (1531)

$LwpNumberFormatNorwegiankrone (1559)

$LwpNumberFormatOthercurrency (1575)

$LwpNumberFormatPolishzloty (1560) $LwpNumberFormatPortugueseescudo (1561)

$LwpNumberFormatRomanianlei (1562)

$LwpNumberFormatRussianruble (1563)

$LwpNumberFormatSingaporedollar (1564)

$LwpNumberFormatSlovakiankoruna (1565)

$LwpNumberFormatSloveniantholar (1566)

$LwpNumberFormatSouthafricanrand (1567)

$LwpNumberFormatSouthkoreanwon (1568)

$LwpNumberFormatSpanishpeseta (1569)

$LwpNumberFormatSwedishkrona (1570)

$LwpNumberFormatSwissfranc (1571)

$LwpNumberFormatTaiwandollar (1572)

$LwpNumberFormatThaibaht (1573)

$LwpNumberFormatUsdollar (1574)

$LwpNumberLtsNumberFormatComma (1579)

$LwpNumberLtsNumberFormatFixed (1578)

$LwpNumberLtsNumberFormatGeneral (1577)

$LwpNumberLtsNumberFormatPercent (1580)

$LwpNumberLtsNumberFormatScientific (1581)

Usage


Word Pro: Formula property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

formulavalue = [objectreference].Formula

[objectreference].Formula = formulavalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FrameStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

framestylenamevalue = [objectreference].FrameStyleName [objectreference].FrameStyleName = framestylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: FullName property

 See list of classes

 See example

(Read-only) The name and path of the Word Pro application.

Data Type

String

Syntax

fullnamevalue = [objectreference].FullName

Legal values

The value of this property cannot be set by a script.

Usage

Use this property from the WPApplication object to get the

current path and name of the active Word Pro application.


Word Pro: GapBetweenPanes property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

gapbetweenpanesvalue = [objectreference].GapBetweenPanes [objectreference].GapBetweenPanes = gapbetweenpanesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetAfidHelpFileName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getafidhelpfilenamevalue = [objectreference].GetAfidHelpFileName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetAfidHelpInfo property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

getafidhelpinfovalue = [objectreference].GetAfidHelpInfo

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetButtonId property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

getbuttonidvalue = [objectreference].GetButtonId

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetConversationHandle property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

getconversationhandlevalue = [objectreference].GetConversationHandle [objectreference].GetConversationHandle = getconversationhandlevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetFilterExtension property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getfilterextensionvalue = [objectreference].GetFilterExtension

[objectreference].GetFilterExtension = getfilterextensionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetFilterExtForDialogBox property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getfilterextfordialogboxvalue = [objectreference].GetFilterExtForDialogBox

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetFilterId property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

getfilteridvalue = [objectreference].GetFilterId

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetFormatName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getformatnamevalue = [objectreference].GetFormatName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetItemName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

getitemnamevalue = [objectreference].GetItemName

[objectreference].GetItemName = getitemnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetRedoWhatDesc property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getredowhatdescvalue = [objectreference].GetRedoWhatDesc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetServerName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getservernamevalue = [objectreference].GetServerName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetStatus property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

getstatusvalue = [objectreference].GetStatus

[objectreference].GetStatus = getstatusvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetTopicName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

gettopicnamevalue = [objectreference].GetTopicName

[objectreference].GetTopicName = gettopicnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetUndoWhatDesc property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getundowhatdescvalue = [objectreference].GetUndoWhatDesc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GetValue property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getvaluevalue = [objectreference].GetValue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GlossaryDataFileName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

glossarydatafilenamevalue = [objectreference].GlossaryDataFileName

[objectreference].GlossaryDataFileName = glossarydatafilenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GlossaryPath property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

glossarypathvalue = [objectreference].GlossaryPath

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GoToIndexLastItemAccessed property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

gotoindexlastitemaccessedvalue = [objectreference].GoToIndexLastItemAccessed

[objectreference].GoToIndexLastItemAccessed = gotoindexlastitemaccessedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GoToItemName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

gotoitemnamevalue = [objectreference].GoToItemName

[objectreference].GoToItemName = gotoitemnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GoToPageNumber property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

gotopagenumbervalue = [objectreference].GoToPageNumber [objectreference].GoToPageNumber = gotopagenumbervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GoToSelection property

 See list of classes

 See example

(Read-write)

Data Type

GoToType

Variant (Enumerated)

Syntax

gotoselectionvalue = [objectreference].GoToSelection [objectreference].GoToSelection = gotoselectionvalue

Legal values

$LwpGoToTypeFirstpage (378)

$LwpGoToTypeLastpage (379)

$LwpGoToTypeNextitem (381)

$LwpGoToTypePagenumber (380)

$LwpGoToTypePrevitem (382)

Usage


Word Pro: GrammarFormalityLevel property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

grammarformalitylevelvalue = [objectreference].GrammarFormalityLevel [objectreference].GrammarFormalityLevel = grammarformalitylevelvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GrammarProofLevel property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

grammarprooflevelvalue = [objectreference].GrammarProofLevel

[objectreference].GrammarProofLevel = grammarprooflevelvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GrammarSetName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

grammarsetnamevalue = [objectreference].GrammarSetName [objectreference].GrammarSetName = grammarsetnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Green property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

greenvalue = [objectreference].Green

[objectreference].Green = greenvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Greeting property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

greetingvalue = [objectreference].Greeting

[objectreference].Greeting = greetingvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GridDistance property

 See list of classes

 See example

(Read-write) Grid spacing that frames will use.

Data Type

Twips

Syntax

griddistancevalue = [objectreference].GridDistance [objectreference].GridDistance = griddistancevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: GridType property

 See list of classes

 See example

(Read-write) The type of grid that is displayed in a layout.

Data Type

GridType

Variant (Enumerated)

Syntax

gridtypevalue = [objectreference].GridType [objectreference].GridType = gridtypevalue

Legal values

$LayoutGridDots (386)

$LayoutGridLines (385)

$LayoutGridNone (384)

$LwpGridTypeDots (2061)

$LwpGridTypeLines (2060)

$LwpGridTypeNone (2059)

Usage


Word Pro: Hang property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

hangvalue = [objectreference].Hang

[objectreference].Hang = hangvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: HasContents property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

hascontentsvalue = [objectreference].HasContents [objectreference].HasContents = hascontentsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: HasFocus property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

hasfocusvalue = [objectreference].HasFocus

Legal values

True False

Usage


Word Pro: HasLocalTabs property

 See list of classes

 See example

(Read-only)

Data Type

CommandResponse

Variant (Enumerated)

Syntax

haslocaltabsvalue = [objectreference].HasLocalTabs

Legal values

$LwpCommandResponseAmbiguous (150)

$LwpCommandResponseNo (148)

$LwpCommandResponseYes (149)

Usage


Word Pro: HasTabs property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

hastabsvalue = [objectreference].HasTabs

Legal values

True False

Usage


Word Pro: Header property

 See list of classes

 See example

(Read-only)

Data Type

Layout

Syntax

headervalue = [objectreference].Header

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Heading property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

headingvalue = [objectreference].Heading [objectreference].Heading = headingvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Height property

 See list of classes

 See example

(Read-write) The distance in twips from the top border of an object to the bottom border of an object.

Data Type

Twips

Syntax

heightvalue = [objectreference].Height [objectreference].Height = heightvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: HelpText property

 See list of classes

 See example

(Read-write) The string that goes in the bubble help for a ClickHere block.

Data Type

String

Syntax

helptextvalue = [objectreference].HelpText

[objectreference].HelpText = helptextvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Hidden property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

hiddenvalue = [objectreference].Hidden

[objectreference].Hidden = hiddenvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: HiddenMode property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

hiddenmodevalue = [objectreference].HiddenMode

[objectreference].HiddenMode = hiddenmodevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: HideFormula property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

hideformulavalue = [objectreference].HideFormula [objectreference].HideFormula =hideformulavalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: HideOutlineLevels property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

hideoutlinelevelsvalue = [objectreference].HideOutlineLevels [objectreference].HideOutlineLevels = hideoutlinelevelsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: HighLightMode property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

highlightmodevalue = [objectreference].HighLightMode

[objectreference].HighLightMode = highlightmodevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: HorizontalSplitWindow property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

horizontalsplitWindowvalue = [objectreference].HorizontalSplitWindow

[objectreference].HorizontalSplitWindow = horizontalsplitWindowvalue

Legal values

True False

Usage


Word Pro: HorizScrollBarVisible property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

horizscrollbarvisiblevalue = [objectreference].HorizScrollBarVisible

Legal values

True False

Usage


Word Pro: Hwnd property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

hwndvalue = [objectreference].Hwnd

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: HyphenateLastWordInColumnOrPage property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

hyphenatelastwordincolumnorpagevalue = [objectreference].HyphenateLastWordInColumnOrPage

[objectreference].HyphenateLastWordInColumnOrPage = hyphenatelastwordincolumnorpagevalue

Legal values

True False

Usage


Word Pro: HyphenateLastWordInPara property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

HyphenateLastWordInParavalue = [objectreference].HyphenateLastWordInPara

[objectreference].HyphenateLastWordInPara = HyphenateLastWordInParavalue

Legal values

True False

Usage


Word Pro: HyphZoneAfter property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

hyphzoneaftervalue = [objectreference].HyphZoneAfter

[objectreference].HyphZoneAfter = hyphzoneaftervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: HyphZoneBefore property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

HyphZoneBeforevalue = [objectreference].HyphZoneBefore

[objectreference].HyphZoneBefore =  [objectreference].HyphZoneBefore

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IconBarPositionState property

 See list of classes

 See example

(Read-only)

Data Type

IconBarPositionState

Variant (Enumerated)

Syntax

iconbarpositionstatevalue = [objectreference].IconBarPositionState

Legal values

$LwpIconBarPositionStateFixed (392)

$LwpIconBarPositionStateFloating (393)

Usage


Word Pro: IconHelpText property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

iconhelptextvalue = [objectreference].IconHelpText

[objectreference].IconHelpText = iconhelptextvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IconPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

iconpathvalue = [objectreference].IconPath

[objectreference].IconPath = iconpathvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IconSetName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

iconsetnamevalue = [objectreference].IconSetName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IconShowingBeforeCleanScreen property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

iconshowingbeforecleanscreenvalue = [objectreference].IconShowingBeforeCleanScreen

[objectreference].IconShowingBeforeCleanScreen = iconshowingbeforecleanscreenvalue

Legal values

True False

Usage


Word Pro: IconSize property

 See list of classes

 See example

(Read-write)

Data Type

IconSize

Variant (Enumerated)

Syntax

iconsizevalue = [objectreference].IconSize [objectreference].IconSize = iconsizevalue

Legal values

$LwpIconSizeSupervga (395)

$LwpIconSizeVga (394)

Usage


Word Pro: ID property

 See list of classes

 See example

(Read-only) MenuItem:The menu id for the menu item. ID is a read-only  property which Word Pro sets each time you create your menu item.

Data Type

Long

Syntax

idvalue = [objectreference].ID

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IgnoreSoftHyphens property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ignoresofthyphensvalue = [objectreference].IgnoreSoftHyphens

[objectreference].IgnoreSoftHyphens = ignoresofthyphensvalue

Legal values

True False

Usage


Word Pro: IgnoreTab property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ignoretabvalue = [objectreference].IgnoreTab

[objectreference].IgnoreTab = ignoretabvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IncludeDirs property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

includedirsvalue = [objectreference].IncludeDirs

[objectreference].IncludeDirs = includedirsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IncludeDrives property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

includedrivesvalue = [objectreference].IncludeDrives

[objectreference].IncludeDrives = includedrivesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IncludeInitialsInNotes property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

includeinitialsinnotesvalue = [objectreference].IncludeInitialsInNotes

[objectreference].IncludeInitialsInNotes = includeinitialsinnotesvalue

Legal values

True False

Usage


Word Pro: IncludeList property

 See list of classes

 See example

(Read-write)

Data Type

IncludeList

Integer (Enumerated Bitmask)

Syntax

includelistvalue = [objectreference].IncludeList

[objectreference].IncludeList = includelistvalue

Legal values

LwpIncludeListAllText (&H1)

LwpIncludeListFootnotes (&H20)

LwpIncludeListFrames (&H10)

LwpIncludeListHeadersFooters (&H4)

LwpIncludeListMainDocText (&H2)

LwpIncludeListTables (&H8)

Usage


Word Pro: IndentFromLeft property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

indentfromleftvalue = [objectreference].IndentFromLeft [objectreference].IndentFromLeft = indentfromleftvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IndentStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indentstylenamevalue = [objectreference].IndentStyleName

[objectreference].IndentStyleName = indentstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IndexAlphabeticSeparator property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

indexalphabeticseparatorvalue = [objectreference].IndexAlphabeticSeparator

[objectreference].IndexAlphabeticSeparator = indexalphabeticseparatorvalue

Legal values

True False

Usage


Word Pro: IndexDivision property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexdivisionvalue = [objectreference].IndexDivision

[objectreference].IndexDivision = indexdivisionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IndexIndentType property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

indexindenttypevalue = [objectreference].IndexIndentType [objectreference].IndexIndentType = indexindenttypevalue

Legal values

True False

Usage


Word Pro: IndexParent property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexparentvalue = [objectreference].IndexParent [objectreference].IndexParent = indexparentvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IndexPrimaryStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexprimarystylenamevalue = [objectreference].IndexPrimaryStyleName [objectreference].IndexPrimaryStyleName = indexprimarystylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IndexRange property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexrangevalue = [objectreference].IndexRange

[objectreference].IndexRange = indexrangevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IndexSecondaryStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexsecondarystylenamevalue = [objectreference].IndexSecondaryStyleName

[objectreference].IndexSecondaryStyleName = indexsecondarystylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IndexSection property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexsectionvalue = [objectreference].IndexSection [objectreference].IndexSection = indexsectionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IndexSeparatorStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexseparatorstylenamevalue = [objectreference].IndexSeparatorStyleName

[objectreference].IndexSeparatorStyleName = indexseparatorstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IndexSource property

 See list of classes

 See example

(Read-write)

Data Type

GenerateFrom

Variant (Enumerated)

Syntax

indexsourcevalue = [objectreference].IndexSource

[objectreference].IndexSource = indexsourcevalue

Legal values

$LwpGenerateFromCurrentdivision (362)

$LwpGenerateFromCurrentleveldivision (361)

$LwpGenerateFromCurrentsection (363)

$LwpGenerateFromEntiredocument (360)

$LwpGenerateFromMarker (364)

Usage


Word Pro: InDocument property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

indocumentvalue = [objectreference].InDocument

Legal values

True False

Usage


Word Pro: InfoBoxSelectionText property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

infoboxselectiontextvalue = [objectreference].InfoBoxSelectionText

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: InitalizeRoute property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

initalizeroutevalue = [objectreference].InitalizeRoute [objectreference].InitalizeRoute = initalizeroutevalue

Legal values

True False

Usage


Word Pro: InitDir property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

initdirvalue = [objectreference].InitDir

[objectreference].InitDir = initdirvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Initialize property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

initializevalue = [objectreference].Initialize

[objectreference].Initialize = initializevalue

Legal values

True False

Usage


Word Pro: InitialsForFilters property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

initialsforfiltersvalue = [objectreference].InitialsForFilters

[objectreference].InitialsForFilters = initialsforfiltersvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: InsertionMode property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

insertionmodevalue = [objectreference].InsertionMode

[objectreference].InsertionMode = insertionmodevalue

Legal values

True False

Usage


Word Pro: Interactive property

 See list of classes

 See example

(Read-only) Indicates whether or not Word Pro is in interactive mode. If in interactive mode (TRUE), the user can interact with the application.

Data Type

Bool

Syntax

interactivevalue = [objectreference].Interactive

Legal values

The value of this property cannot be set by a script.

Word Pro sets this property to FALSE whenever Word Pro becomes invisible during an OLE automation session.

Usage

If you suspect that Word Pro may be engaged in an OLE automation

session when your script runs, you can use this property as part

of an IF...THEN statement to make sure that Word Pro is available

before executing your script.


Word Pro: Interval property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

intervalvalue = [objectreference].Interval

[objectreference].Interval = intervalvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: InUseCount property

 See list of classes

 See example

(Read-only) A count of the number of places in a division where a characterstyle object is used.

Data Type

Long

Syntax

inusecountvalue = [objectreference].InUseCount

Legal values

This is a ReadOnly property.

Usage


Word Pro: IsActionOnButtonDown property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

[objectreference].IsActionOnButtonDown = isactiononbuttondownvalue

Legal values

True False

Usage


Word Pro: IsActive property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isactivevalue = [objectreference].IsActive

Legal values

True False

Usage


Word Pro: IsAdopted property

 See list of classes

 See example

(Read-only) Not implemented.

Data Type

Bool

Syntax

isadoptedvalue = [objectreference].IsAdopted

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsAmiProTableImport property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isamiProtableimportvalue = [objectreference].IsAmiProTableImport

[objectreference].IsAmiProTableImport = isamiProtableimportvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsAsciiCRLF property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isasciicrlfvalue = [objectreference].IsAsciiCRLF

[objectreference].IsAsciiCRLF = isasciicrlfvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsAsciiKeepStyle property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isasciikeepstylevalue = [objectreference].IsAsciiKeepStyle

[objectreference].IsAsciiKeepStyle = isasciikeepstylevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsAutoGrow property

 See list of classes

 See example

(Read-write) Indicates whether a layout object can grow

Data Type

Bool

Syntax

isautogrowvalue = [objectreference].IsAutoGrow

[objectreference].IsAutoGrow = isautogrowvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsBadReference property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isbadreferencevalue = [objectreference].IsBadReference

[objectreference].IsBadReference = isbadreferencevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsBorder property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isbordervalue = [objectreference].IsBorder

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsBothSidesEqual property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isbothsidesequalvalue = [objectreference].IsBothSidesEqual [objectreference].IsBothSidesEqual = isbothsidesequalvalue

Legal values

True False

Usage


Word Pro: IsBottomAligned property

 See list of classes

 See example

(Read-write) Indicates whether or not the contents of a layout are aligned to the bottom of the content area in a layout.

Data Type

Bool

Syntax

isbottomalignedvalue = [objectreference].IsBottomAligned

[objectreference].IsBottomAligned = isbottomalignedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsBreakable property

 See list of classes

 See example

(Read-only) Indicates whether or not you can put a page break in a layout object.

Data Type

Bool

Syntax

isbreakablevalue = [objectreference].IsBreakable

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsBubbleHelp property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

[objectreference].IsBubbleHelp= isbubblehelpvalue

Legal values

True False

Usage


Word Pro: IsCellMenuEnabled property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

iscellmenuenabledvalue = [objectreference].IsCellMenuEnabled

[objectreference].IsCellMenuEnabled = iscellmenuenabledvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsCentered property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

iscenteredvalue = [objectreference].IsCentered

[objectreference].IsCentered = iscenteredvalue

Legal values

True False

Usage


Word Pro: IsChanged property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ischangedvalue = [objectreference].IsChanged

[objectreference].IsChanged = ischangedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsChangedSinceTimeSave property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ischangedsincetimesavevalue = [objectreference].IsChangedSinceTimeSave

[objectreference].IsChangedSinceTimeSave = ischangedsincetimesavevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsChildSpannable property

 See list of classes

 See example

(Read-write) Allows a layout's children to span across pages.

Data Type

Bool

Syntax

ischildspannablevalue = [objectreference].IsChildSpannable

[objectreference].IsChildSpannable = ischildspannablevalue

Legal values

ERROR: Serve

r error: Entry not found in index

Usage


Word Pro: IsCollapsed property

 See list of classes

 See example

(Read-write) Used with the NoteLayout to determine if the note is collapsible.

Data Type

Bool

Syntax

iscollapsedvalue = [objectreference].IsCollapsed

[objectreference].IsCollapsed = iscollapsedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsCollapsible property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

iscollapsiblevalue = [objectreference].IsCollapsible

[objectreference].IsCollapsible = iscollapsiblevalue

Legal values

True False

Usage


Word Pro: IsColumnBreakable property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

iscolumnbreakablevalue = [objectreference].IsColumnBreakable

Legal values

True False

Usage


Word Pro: IsColumnBreakAfter property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

iscolumnbreakaftervalue = [objectreference].IsColumnBreakAfter

[objectreference].IsColumnBreakAfter = iscolumnbreakaftervalue

Legal values

True

False

Usage


Word Pro: IsColumnBreakBefore property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

iscolumnbreakbeforevalue = [objectreference].IsColumnBreakBefore

[objectreference].IsColumnBreakBefore = iscolumnbreakbeforevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsComplex property

 See list of classes

 See example

(Read-write) Indicates whether the Page layout continas other page layouts

Data Type

Bool

Syntax

iscomplexvalue = [objectreference].IsComplex

[objectreference].IsComplex = iscomplexvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsConnected property

 See list of classes

 See example

(Read-only) For cell layouts to indicate whether the cell is part of a connected layout.

Data Type

Bool

Syntax

isconnectedvalue = [objectreference].IsConnected

Legal values

True

False

Usage


Word Pro: IsContentReplaceable property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

iscontentreplaceablevalue = [objectreference].IsContentReplaceable

[objectreference].IsContentReplaceable = iscontentreplaceablevalue

Legal values

Default is False for all but frames and cells

Usage


Word Pro: IsContents property

 See list of classes

 See example

(Read-write) For internal use only.

Data Type

Bool

Syntax

iscontentsvalue = [objectreference].IsContents [objectreference].IsContents = iscontentsvalue

Legal values

True

False

Usage


Word Pro: IsContinuedFrom property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

iscontinuedfromvalue = [objectreference].IsContinuedFrom

[objectreference].IsContinuedFrom = iscontinuedfromvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsContinuedOn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

iscontinuedonvalue = [objectreference].IsContinuedOn

[objectreference].IsContinuedOn = iscontinuedonvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsCumulative property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

iscumulativevalue = [objectreference].IsCumulative

[objectreference].IsCumulative = iscumulativevalue

Legal values

True False

Usage


Word Pro: IsDebug property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isdebugvalue = [objectreference].IsDebug [objectreference].IsDebug = isdebugvalue

Legal values

True False

Usage


Word Pro: IsDisableWarningMessages property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isdisablewarningmessagesvalue = [objectreference].IsDisableWarningMessages

[objectreference].IsDisableWarningMessages = isdisablewarningmessagesvalue

Legal values

True False

Usage


Word Pro: IsDisplayMisspelled property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isdisplaymisspelledvalue = [objectreference].IsDisplayMisspelled

[objectreference].IsDisplayMisspelled = isdisplaymisspelledvalue

Legal values

True False

Usage


Word Pro: IsDivisionExternal property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isdivisionexternalvalue = [objectreference].IsDivisionExternal

[objectreference].IsDivisionExternal = isdivisionexternalvalue

Legal values

True

False

Usage


Word Pro: IsDocLoading property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isdocloadingvalue = [objectreference].IsDocLoading

[objectreference].IsDocLoading = isdocloadingvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsDocumentInRoute property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isdocumentinroutevalue = [objectreference].IsDocumentInRoute

Legal values

True False

Usage


Word Pro: IsDoubleWordError property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isdoubleworderrorvalue = [objectreference].IsDoubleWordError

[objectreference].IsDoubleWordError = isdoubleworderrorvalue

Legal values

True

False

Usage


Word Pro: IsDraw property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isdrawvalue = [objectreference].IsDraw

Legal values

True False

Usage


Word Pro: IsEmpty property

 See list of classes

 See example

(Read-only) Indicates whether the ClickHere block is in its collapsed state.

Data Type

Bool

Syntax

isemptyvalue = [objectreference].IsEmpty

Legal values

True

False

Usage


Word Pro: IsEmptyDoc property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isemptydocvalue = [objectreference].IsEmptyDoc

Legal values

True

False

Usage


Word Pro: IsEnabled property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isenabledvalue = [objectreference].IsEnabled

[objectreference].IsEnabled = isenabledvalue

Legal values

True False

Usage


Word Pro: IsEquation property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isequationvalue = [objectreference].IsEquation

Legal values

True False

Usage


Word Pro: IsErrorChecking property

 See list of classes

 See example

(Read-write) True = prevents invalid operations.

False = allows invalid operations

Data Type

Bool

Syntax

iserrorcheckingvalue = [objectreference].IsErrorChecking

[objectreference].IsErrorChecking = iserrorcheckingvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsExpandDown property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isexpanddownvalue = [objectreference].IsExpandDown

[objectreference].IsExpandDown = isexpanddownvalue

Legal values

True False

Usage


Word Pro: IsExpandLeft property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isexpandleftvalue = [objectreference].IsExpandLeft [objectreference].IsExpandLeft = isexpandleftvalue

Legal values

True False

Usage


Word Pro: IsExpandRight property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isexpandrightvalue = [objectreference].IsExpandRight

[objectreference].IsExpandRight = isexpandrightvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsExpandUp property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isexpandupvalue = [objectreference].IsExpandUp

[objectreference].IsExpandUp = isexpandupvalue

Legal values

True False

Usage


Word Pro: IsExportedToNotesFX property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isexportedtonotesfxvalue = [objectreference].IsExportedToNotesFX

[objectreference].IsExportedToNotesFX = isexportedtonotesfxvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsExportedToOldNotesFX property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isexportedtooldnotesfxvalue = [objectreference].IsExportedToOldNotesFX [objectreference].IsExportedToOldNotesFX = isexportedtooldnotesfxvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsExternalFile property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isexternalfilevalue = [objectreference].IsExternalFile [objectreference].IsExternalFile = isexternalfilevalue

Legal values

True

False

Usage


Word Pro: IsFixedLength property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isfixedlengthvalue = [objectreference].IsFixedLength [objectreference].IsFixedLength = isfixedlengthvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsFooter property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isfootervalue = [objectreference].IsFooter

Legal values

True

False

Usage


Word Pro: IsFrameMenuEnabled property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isframemenuenabledvalue = [objectreference].IsFrameMenuEnabled

[objectreference].IsFrameMenuEnabled = isframemenuenabledvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsGrabBar property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

[objectreference].IsGrabBar = isgrabbarvalue

Legal values

True False

Usage


Word Pro: IsGrammarError property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isgrammarerrorvalue = [objectreference].IsGrammarError

[objectreference].IsGrammarError = isgrammarerrorvalue

Legal values

True

False

Usage


Word Pro: IsGraphicMenuEnabled property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isgraphicmenuenabledvalue = [objectreference].IsGraphicMenuEnabled

[objectreference].IsGraphicMenuEnabled = isgraphicmenuenabledvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsHangover property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ishangovervalue = [objectreference].IsHangover [objectreference].IsHangover = ishangovervalue

Legal values

True False

Usage


Word Pro: IsHeader property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isheadervalue = [objectreference].IsHeader

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsHiddenMark property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ishiddenmarkvalue = [objectreference].IsHiddenMark

[objectreference].IsHiddenMark = ishiddenmarkvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsHideHeaderFooter property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ishideheaderfootervalue = [objectreference].IsHideHeaderFooter

[objectreference].IsHideHeaderFooter = ishideheaderfootervalue

Legal values

True False

Usage


Word Pro: IsHighlightNote property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ishighlightnotevalue = [objectreference].IsHighlightNote [objectreference].IsHighlightNote = ishighlightnotevalue

Legal values

True False

Usage


Word Pro: IsHonorProtected property

 See list of classes

 See example

(Read-write) Whether the protection is being honored for a layout object.

Data Type

Bool

Syntax

ishonorprotectedvalue = [objectreference].IsHonorProtected

[objectreference].IsHonorProtected = ishonorprotectedvalue

Legal values

True

False

Usage


Word Pro: IsHorizontalScrollBarCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ishorizontalscrollbarcleanscrnvalue = [objectreference].IsHorizontalScrollBarCleanScrn [objectreference].IsHorizontalScrollBarCleanScrn = ishorizontalscrollbarcleanscrnvalue

Legal values

True False

Usage


Word Pro: IsHoverHelp property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ishoverhelpvalue = [objectreference].IsHoverHelp

[objectreference].IsHoverHelp = ishoverhelpvalue

Legal values

True False

Usage


Word Pro: IsIconDepressible property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

[objectreference].IsIconDepressible = isicondepressiblevalue

Legal values

True False

Usage


Word Pro: IsInBulletEditMode property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isinbulleteditmodevalue = [objectreference].IsInBulletEditMode

[objectreference].IsInBulletEditMode = isinbulleteditmodevalue

Legal values

True False

Usage


Word Pro: IsIndex property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isindexvalue = [objectreference].IsIndex

Legal values

True False

Usage


Word Pro: IsInDraft property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isindraftvalue = [objectreference].IsInDraft

[objectreference].IsInDraft = isindraftvalue

Legal values

True False

Usage


Word Pro: IsInOutline property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isinoutlinevalue = [objectreference].IsInOutline [objectreference].IsInOutline = isinoutlinevalue

Legal values

True False

Usage


Word Pro: IsInPageSort property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isinpagesortvalue = [objectreference].IsInPageSort

[objectreference].IsInPageSort = isinpagesortvalue

Legal values

True False

Usage


Word Pro: IsIntersectSiblings property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isintersectsiblingsvalue = [objectreference].IsIntersectSiblings

[objectreference].IsIntersectSiblings = isintersectsiblingsvalue

Legal values

True False

Usage


Word Pro: IsLastStop property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

islaststopvalue = [objectreference].IsLastStop

Legal values

True False

Usage


Word Pro: IsLesser property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

islesservalue = [objectreference].IsLesser

[objectreference].IsLesser = islesservalue

Legal values

True False

Usage


Word Pro: IsLinked property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

islinkedvalue = [objectreference].IsLinked [objectreference].IsLinked = islinkedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsLocal property

 See list of classes

 See example

(Read-write) Indicates whether a layout object was derived from the SmartMaster or was created locally. This is used in the same way when using this property from a CharacterStyle or ParagraphStyle object.

Data Type

Bool

Syntax

islocalvalue = [objectreference].IsLocal [objectreference].IsLocal = islocalvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsLockedForRevisions property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

islockedforrevisionsvalue = [objectreference].IsLockedForRevisions

[objectreference].IsLockedForRevisions = islockedforrevisionsvalue

Legal values

True

False

Usage


Word Pro: IsLotusChart property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

islotuschartvalue = [objectreference].IsLotusChart

Legal values

True False

Usage


Word Pro: IsMarginSameAsParent property

 See list of classes

 See example

(Read-write) Determines whether a layout object's margins are the same as its parent layout.

Data Type

Bool

Syntax

ismarginsameasparentvalue = [objectreference].IsMarginSameAsParent [objectreference].IsMarginSameAsParent = ismarginsameasparentvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsMarginsInColor property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ismarginsincolorvalue = [objectreference].IsMarginsInColor

[objectreference].IsMarginsInColor = ismarginsincolorvalue

Legal values

True False

Usage


Word Pro: IsMarkerValid property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

ismarkerValidvalue = [objectreference].IsMarkerValid

Legal values

True False

Usage


Word Pro: IsMirrorImage property

 See list of classes

 See example

(Read-write) Not implemented.

Data Type

Bool

Syntax

ismirrorimagevalue = [objectreference].IsMirrorImage

[objectreference].IsMirrorImage = ismirrorimagevalue

Legal values

True

False

Usage


Word Pro: IsMisspelled property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ismisspelledvalue = [objectreference].IsMisspelled [objectreference].IsMisspelled = ismisspelledvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsNotCopyable property

 See list of classes

 See example

(Read-write) Indicates that a layout is not copyable.

Data Type

Bool

Syntax

isnotcopyablevalue = [objectreference].IsNotCopyable [objectreference].IsNotCopyable = isnotcopyablevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsNotCopyImage property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isnotcopyImagevalue = [objectreference].IsNotCopyImage

Legal values

True False

Usage


Word Pro: IsNotGroupable property

 See list of classes

 See example

(Read-write) Indicates that a layout is not groupable. Used on Note and Ruby

Data Type

Bool

Syntax

isnotgroupablevalue = [objectreference].IsNotGroupable

[objectreference].IsNotGroupable = isnotgroupablevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsNoUICommAllowed property

 See list of classes

 See example

(Read-write) Locks the user out of the UI for a layout object.

Data Type

Bool

Syntax

isnouicommallowedvalue = [objectreference].IsNoUICommAllowed

[objectreference].IsNoUICommAllowed = isnouicommallowedvalue

Legal values

True

False

Usage


Word Pro: IsOnClipBoard property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isonclipboardvalue = [objectreference].IsOnClipBoard [objectreference].IsOnClipBoard = isonclipboardvalue

Legal values

True

False

Usage


Word Pro: IsOpen property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isopenvalue = [objectreference].IsOpen

Legal values

True

False

Usage


Word Pro: IsOverridden property

 See list of classes

 See example

(Read-only) Anything overridden in this layout? Local attritubtes vs. style attributes

Data Type

Bool

Syntax

isoverriddenvalue = [objectreference].IsOverridden

Legal values

True

False

Usage


Word Pro: IsOverride property

 See list of classes

 See example

(Read-write) Indicates whether a layout overrides another layout. Looks to ConditionType for instruction.

Data Type

Bool

Syntax

isoverridevalue = [objectreference].IsOverride

[objectreference].IsOverride = isoverridevalue

Legal values

True

False

Usage


Word Pro: IsPageBreak property

 See list of classes

 See example

(Read-write) Does a layout have a pagebreak.

Data Type

Bool

Syntax

ispagebreakvalue = [objectreference].IsPageBreak

[objectreference].IsPageBreak = ispagebreakvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsPageBreakAfter property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ispagebreakaftervalue = [objectreference].IsPageBreakAfter

[objectreference].IsPageBreakAfter = ispagebreakaftervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsPageBreakBefore property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ispagebreakbeforevalue = [objectreference].IsPageBreakBefore

[objectreference].IsPageBreakBefore = ispagebreakbeforevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsPageBreakMarks property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ispagebreakmarksvalue = [objectreference].IsPageBreakMarks

[objectreference].IsPageBreakMarks = ispagebreakmarksvalue

Legal values

True False

Usage


Word Pro: IsPageBreakWithin property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ispagebreakwithinvalue = [objectreference].IsPageBreakWithin

[objectreference].IsPageBreakWithin = ispagebreakwithinvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsParaDemandLoad property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

[objectreference].IsParaDemandLoad = IsParaDemandLoadvalue

Legal values

True

False

Usage


Word Pro: IsParagraphNumberingDown property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isparagraphnumberingdownvalue = [objectreference].IsParagraphNumberingDown

[objectreference].IsParagraphNumberingDown = isparagraphnumberingdownvalue

Legal values

True False

Usage


Word Pro: IsParallelColumnsMenuEnabled property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isparallelcolumnsmenuenabledvalue = [objectreference].IsParallelColumnsMenuEnabled

objectreference].IsParallelColumnsMenuEnabled = isparallelcolumnsmenuenabledvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsPartOfGroup property

 See list of classes

 See example

(Read-only) Indicates whether a layout is part of a group.

Data Type

Bool

Syntax

ispartofgroupvalue = [objectreference].IsPartOfGroup

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsPersistent property

 See list of classes

 See example

(Read-only) Indicates whether the data set is persistent between sessions.

Data Type

Bool

Syntax

ispersistentvalue = [objectreference].IsPersistent

Legal values

True  IsPersistent is set to True for WPDataSet.

False   IsPersistent is set to False for WPApplication.

Usage


Word Pro: IsPrePrintedForm property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

ispreprintedformvalue = [objectreference].IsPrePrintedForm [objectreference].IsPrePrintedForm = ispreprintedformvalue

Legal values

True False

Usage


Word Pro: IsPrintable property

 See list of classes

 See example

(Read-write) Indicates whether the layout will print. Does not affect the display. Does not affect the flow of text. Non-printed layouts leave a blank space of the same size.

Data Type

Bool

Syntax

isprintablevalue = [objectreference].IsPrintable

[objectreference].IsPrintable = isprintablevalue

Legal values

True

False

Usage


Word Pro: IsPrintClickHereBlocks property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isprintclickhereblocksvalue = [objectreference].IsPrintClickHereBlocks

[objectreference].IsPrintClickHereBlocks = isprintclickhereblocksvalue

Legal values

True False

Usage


Word Pro: IsPrintInBackground property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isprintinbackgroundvalue = [objectreference].IsPrintInBackground [objectreference].IsPrintInBackground = isprintinbackgroundvalue

Legal values

True False

Usage


Word Pro: IsPrivate property

 See list of classes

 See example

(Read-write) Indicates whether this characterstyle can be seen by a user as part of the selectable styles.

Data Type

Bool

Syntax

isprivatevalue = [objectreference].IsPrivate [objectreference].IsPrivate = isprivatevalue

Legal values

True

False

Usage


Word Pro: IsProtected property

 See list of classes

 See example

(Read-write) Indicates whether a layout is is marked as protected

Data Type

Integer

Syntax

isprotectedvalue = [objectreference].IsProtected

[objectreference].IsProtected = isprotectedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsRegistered property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isregisteredvalue = [objectreference].IsRegistered

[objectreference].IsRegistered = isregisteredvalue

Legal values

True False

Usage


Word Pro: IsRepeat property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isrepeatvalue = [objectreference].IsRepeat

[objectreference].IsRepeat = isrepeatvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsReplaceable property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isreplaceablevalue = [objectreference].IsReplaceable

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsReplacement property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isreplacementvalue = [objectreference].IsReplacement

[objectreference].IsReplacement = isreplacementvalue

Legal values

True False

Usage


Word Pro: IsResetParagraphNumber property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isresetparagraphnumbervalue = [objectreference].IsResetParagraphNumber

[objectreference].IsResetParagraphNumber = isresetparagraphnumbervalue

Legal values

True False

Usage


Word Pro: IsRevision property

 See list of classes

 See example

(Read-only) Indicates whether a layout has been revised.

Data Type

Bool

Syntax

isrevisionvalue = [objectreference].IsRevision

Legal values

True

False

Usage


Word Pro: IsRevisionMark property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isrevisionmarkvalue = [objectreference].IsRevisionMark

Legal values

True False

Usage


Word Pro: IsSame property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

[objectreference].IsSame = issamevalue

Legal values

True False

Usage


Word Pro: IsSave property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

[objectreference].IsSave = issavevalue

Legal values

True False

Usage


Word Pro: IsScalable property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

isscalablevalue = [objectreference].IsScalable

Legal values

True False

Usage


Word Pro: IsScalableBorder property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

[objectreference].IsScalableBorder = isscalablebordervalue

Legal values

True False

Usage


Word Pro: IsScripting property

 See list of classes

 See example

(Read-write) For internal use only. A flag that indicates whether an Ami Pro layout object had a macro which should be run.

Data Type

Bool

Syntax

isscriptingvalue = [objectreference].IsScripting [objectreference].IsScripting = isscriptingvalue

Legal values

True

False

Usage


Word Pro: IsScrollable property

 See list of classes

 See example

(Read-write) Like collapsible

layout gets a scrollbar if this is set to true

Data Type

Bool

Syntax

isscrollablevalue = [objectreference].IsScrollable [objectreference].IsScrollable = isscrollablevalue

Legal values

True

False

Usage


Word Pro: IsShowing property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isshowingvalue = [objectreference].IsShowing

[objectreference].IsShowing = isshowingvalue

Legal values

True False

Usage


Word Pro: IsSingleClickEntry property

 See list of classes

 See example

(Read-write) Indicates whether a layout can be entered with a single click.

Data Type

Bool

Syntax

issingleclickentryvalue = [objectreference].IsSingleClickEntry

objectreference].IsSingleClickEntry = issingleclickentryvalue

Legal values

True

False

Usage


Word Pro: IsSizable property

 See list of classes

 See example

(Read-write) the sizing handles appear on the frame when you click

Data Type

Bool         Syntax

issizablevalue = [objectreference].IsSizable

[objectreference].IsSizable = issizablevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsSizingViaMouse property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

issizingviamousevalue = [objectreference].IsSizingViaMouse

[objectreference].IsSizingViaMouse = issizingviamousevalue

Legal values

True False

Usage


Word Pro: IsSmartCorrectEnabled property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

issmartcorrectenabledvalue = [objectreference].IsSmartCorrectEnabled

[objectreference].IsSmartCorrectEnabled = issmartcorrectenabledvalue

Legal values

True False

Usage


Word Pro: IsSmartShadeEnabled property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

issmartshadeenabledvalue = [objectreference].IsSmartShadeEnabled

[objectreference].IsSmartShadeEnabled = issmartshadeenabledvalue

Legal values

True False

Usage


Word Pro: IsSnapTo property

 See list of classes

 See example

(Read-write) Indicates whether the child layouts snap to the grid of the parent layout. Set this property on the parent layout to control the action of the child layouts.

Data Type

Bool

Syntax

issnaptovalue = [objectreference].IsSnapTo

[objectreference].IsSnapTo = issnaptovalue

Legal values

True or False

Usage


Word Pro: IsSortFromEnd property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

issortfromendvalue = [objectreference].IsSortFromEnd

[objectreference].IsSortFromEnd = issortfromendvalue

Legal values

True False

Usage


Word Pro: IsSpellBarUp property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isspellbarupvalue = [objectreference].IsSpellBarUp [objectreference].IsSpellBarUp = isspellbarupvalue

Legal values

True

False

Usage


Word Pro: IsSpellMode property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isspellmodevalue = [objectreference].IsSpellMode

[objectreference].IsSpellMode = isspellmodevalue

Legal values

True False

Usage


Word Pro: IsSqueeze property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

issqueezevalue = [objectreference].IsSqueeze [objectreference].IsSqueeze = issqueezevalue

Legal values

True False

Usage


Word Pro: IsStyleSheet property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isstylesheetvalue = [objectreference].IsStyleSheet

[objectreference].IsStyleSheet = isstylesheetvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsTableHeading property

 See list of classes

 See example

(Read-write) If true, the layout is a TableHeading which will appear at the top of each page w/ a table

Data Type

Bool

Syntax

istableheadingvalue = [objectreference].IsTableHeading

[objectreference].IsTableHeading = istableheadingvalue

Legal values

True

False

Usage


Word Pro: IsTemp property

 See list of classes

 See example

(Read-write) A value of True indicates that this style will be removed when the InUSeCount property value drops to 0.

Data Type

Bool

Syntax

istempvalue = [objectreference].IsTemp

[objectreference].IsTemp = istempvalue

Legal values

True

False

Usage


Word Pro: IsTextLocked property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

istextlockedvalue = [objectreference].IsTextLocked [objectreference].IsTextLocked = istextlockedvalue

Legal values

True

False

Usage


Word Pro: IsTextMenuEnabled property

 See list of classes

 See example

(Read-write) Indicates whether or not the Text menu is enabled. Same for other ContextMenuOptions properties

Data Type

Bool

Syntax

istextmenuenabledvalue = [objectreference].IsTextMenuEnabled

objectreference].IsTextMenuEnabled = istextmenuenabledvalue

Legal values

True

False

Usage


Word Pro: IsTOC property

 See list of classes

 See example

(Read-only) Marks a table as a special TOC table.

Data Type

Bool

Syntax

istocvalue = [objectreference].IsTOC

Legal values

True

False

Usage


Word Pro: IsTrueType property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

istruetypevalue = [objectreference].IsTrueType

Legal values

True

False

Usage


Word Pro: IsUndoOn property

 See list of classes

 See example

(Read-write) Turns the Undo recorder on (True) or off (False) for the objects in the Foundry object.

Data Type

Bool

Syntax

isundoonvalue = [objectreference].IsUndoOn [objectreference].IsUndoOn = isundoonvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: IsUpdateAutomatic property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isupdateautomaticvalue = [objectreference].IsUpdateAutomatic

[objectreference].IsUpdateAutomatic = isupdateautomaticvalue

Legal values

True

False

Usage


Word Pro: IsUpdateIndex property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isupdateindexvalue = [objectreference].IsUpdateIndex [objectreference].IsUpdateIndex = isupdateindexvalue

Legal values

True False

Usage


Word Pro: IsUpdateTOC property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isupdatetocvalue = [objectreference].IsUpdateTOC

[objectreference].IsUpdateTOC = isupdatetocvalue

Legal values

True False

Usage


Word Pro: IsValid property

 See list of classes

 See example

(Read-only) The IsValid property allows you to check an object to see that it is available for you to manipulate in the current context. This is particularly useful when you need to check to see that a MenuItem object is available form the current context.

Indicates whether an object is valid (TRUE) or invalid (FALSE). When an object is valid, it is available in the current context and you can access that object. When an object is invalid, the object is not available from the current context.

Data Type

Bool

Syntax

isvalidvalue = [objectreference].IsValid

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Use this property when you want to check to see that an object is available from the current context.


Word Pro: IsVerticalScrollBarCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isverticalscrollbarcleanscrnvalue = [objectreference].IsVerticalScrollBarCleanScrn

[objectreference].IsVerticalScrollBarCleanScrn = isverticalscrollbarcleanscrnvalue

Legal values

True

False

Usage


Word Pro: IsViewAnchor property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewanchorvalue = [objectreference].IsViewAnchor

[objectreference].IsViewAnchor = isviewanchorvalue

Legal values

True False

Usage


Word Pro: IsViewBookmarks property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewbookmarksvalue = [objectreference].IsViewBookmarks

[objectreference].IsViewBookmarks = isviewbookmarksvalue

Legal values

True False

Usage


Word Pro: IsViewClickHereBlocks property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewclickhereblocksvalue = [objectreference].IsViewClickHereBlocks

[objectreference].IsViewClickHereBlocks = isviewclickhereblocksvalue

Legal values

True False

Usage


Word Pro: IsViewColGuides property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewcolguidesvalue = [objectreference].IsViewColGuides [objectreference].IsViewColGuides = isviewcolguidesvalue

Legal values

True False

Usage


Word Pro: IsViewColumnBreakMarks property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewcolumnbreakmarksvalue = [objectreference].IsViewColumnBreakMarks [objectreference].IsViewColum

nBreakMarks = isviewcolumnbreakmarksvalue

Legal values

True False

Usage


Word Pro: IsViewDDELinks property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewddelinksvalue = [objectreference].IsViewDDELinks

[objectreference].IsViewDDELinks = isviewddelinksvalue

Legal values

True False

Usage


Word Pro: IsViewHorzRuler property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewhorzrulervalue = [objectreference].IsViewHorzRuler

[objectreference].IsViewHorzRuler = isviewhorzrulervalue

Legal values

True False

Usage


Word Pro: IsViewHorzScrollBar property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewhorzscrollBarvalue = [objectreference].IsViewHorzScrollBar [objectreference].IsViewHorzScrollBar = isviewhorzscrollBarvalue

Legal values

True False

Usage


Word Pro: IsViewMenuCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewmenucleanscrnvalue = [objectreference].IsViewMenuCleanScrn

[objectreference].IsViewMenuCleanScrn = isviewmenucleanscrnvalue

Legal values

True False

Usage


Word Pro: IsViewNotes property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewnotesvalue = [objectreference].IsViewNotes

[objectreference].IsViewNotes = isviewnotesvalue

Legal values

True False

Usage


Word Pro: IsViewOutlineFlowToScreen property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewoutlineflowtoscreenvalue = [objectreference].IsViewOutlineFlowToScreen

[objectreference].IsViewOutlineFlowToScreen = isviewoutlineflowtoscreenvalue

Legal values

True False

Usage


Word Pro: IsViewOutlineIndent property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewoutlineindentvalue = [objectreference].IsViewOutlineIndent

IsViewOutlineIndent = [objectreference].IsViewOutlineIndent

Legal values

True False

Usage


Word Pro: IsViewPageLayoutMarks property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewpagelayoutmarksvalue = [objectreference].IsViewPageLayoutMarks [objectreference].IsViewPageLayoutMarks = isviewpagelayoutmarksvalue

Legal values

True False

Usage


Word Pro: IsViewParallelColumnBorder property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewparallelcolumnbordervalue = [objectreference].IsViewParallelColumnBorder

[objectreference].IsViewParallelColumnBorder = isviewparallelcolumnbordervalue

Legal values

True False

Usage


Word Pro: IsViewPictures property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewpicturesvalue = [objectreference].IsViewPictures [objectreference].IsViewPictures = isviewpicturesvalue

Legal values

True False

Usage


Word Pro: IsViewReturnIconCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewreturniconcleanscrnvalue = [objectreference].IsViewReturnIconCleanScrn [objectreference].IsViewReturnIconCleanScrn = isviewreturniconcleanscrnvalue

Legal values

True False

Usage


Word Pro: IsViewReturns property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewreturnsvalue = [objectreference].IsViewReturns

[objectreference].IsViewReturns = isviewreturnsvalue

Legal values

True False

Usage


Word Pro: IsViewRulerMarks property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewrulermarksvalue = [objectreference].IsViewRulerMarks [objectreference].IsViewRulerMarks = isviewrulermarksvalue

Legal values

True False

Usage


Word Pro: IsViewSectionBreakMarks property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewsectionbreakmarksvalue = [objectreference].IsViewSectionBreakMarks [objectreference].IsViewSectionBreakMarks = isviewsectionbreakmarksvalue

Legal values

True False

Usage


Word Pro: IsViewSectionTabs property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewsectiontabsvalue = [objectreference].IsViewSectionTabs [objectreference].IsViewSectionTabs = isviewsectiontabsvalue

Legal values

True False

Usage


Word Pro: IsViewSmartIconsCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewsmarticonscleanscrnvalue = [objectreference].IsViewSmartIconsCleanScrn

[objectreference].IsViewSmartIconsCleanScrn = isviewsmarticonscleanscrnvalue

Legal values

True False

Usage


Word Pro: IsViewStatusBarCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewstatusbarcleanscrnvalue = [objectreference].IsViewStatusBarCleanScrn

isviewstatusbarcleanScrnvalue = isviewstatusbarcleanscrnvalue

Legal values

True False

Usage


Word Pro: IsViewTableGridLines property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewtablegridlinesvalue = [objectreference].IsViewTableGridLines

[objectreference].IsViewTableGridLines = isviewtablegridlinesvalue

Legal values

True False

Usage


Word Pro: IsViewTableHeadings property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewtableheadingsvalue = [objectreference].IsViewTableHeadings [objectreference].IsViewTableHeadings = isviewtableheadingsvalue

Legal values

True False

Usage


Word Pro: IsViewTabs property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewtabsvalue = [objectreference].IsViewTabs

[objectreference].IsViewTabs = isviewtabsvalue

Legal values

True False

Usage


Word Pro: IsViewThumbBarCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewthumbbarcleanscrnvalue = [objectreference].IsViewThumbBarCleanScrn

[objectreference].IsViewThumbBarCleanScrn = isviewthumbbarcleanscrnvalue

Legal values

True False

Usage


Word Pro: IsViewTitleBarCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewtitlebarcleanscrnvalue = [objectreference].IsViewTitleBarCleanScrn

[objectreference].IsViewTitleBarCleanScrn = isviewtitlebarcleanscrnvalue

Legal values

True False

Usage


Word Pro: IsViewVertRuler property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewvertrulervalue = [objectreference].IsViewVertRuler

[objectreference].IsViewVertRuler = isviewvertrulervalue

Legal values

True False

Usage


Word Pro: IsViewVertScrollBar property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isviewvertscrollbarvalue = [objectreference].IsViewVertScrollBar

[objectreference].IsViewVertScrollBar = isviewvertscrollbarvalue

Legal values

True False

Usage


Word Pro: IsWordProChart property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

iswordprochartvalue = [objectreference].IsWordProChart

Legal values

True False

Usage


Word Pro: IsWorkingDir property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

isworkingdirvalue = [objectreference].IsWorkingDir [objectreference].IsWorkingDir =isworkingdirvalue

Legal values

True False

Usage


Word Pro: Italic property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

italicvalue = [objectreference].Italic

[objectreference].Italic = italicvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Join property

 See list of classes

 See example

(Read-only)

Data Type

Join

This field not used for properties with CLASS data types.

Syntax

joinvalue = [objectreference].Join

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: JoinCorners property

 See list of classes

 See example

(Read-write)

Data Type

JoinCornerPosition

Variant (Enumerated)

Syntax

joincornersvalue = [objectreference].JoinCorners

[objectreference].JoinCorners = joincornersvalue

Legal values

$LwpJoinCornerPositionAll (426)

$LwpJoinCornerPositionBottomleft (425)

$LwpJoinCornerPositionBottomright (424)

$LwpJoinCornerPositionTopleft (422)

$LwpJoinCornerPositionTopright (423)

Usage


Word Pro: JoinHeight property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

joinheightvalue = [objectreference].JoinHeight [objectreference].JoinHeight = joinheightvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: JoinType property

 See list of classes

 See example

(Read-write)

Data Type

JoinType

Variant (Enumerated)

Syntax

jointypevalue = [objectreference].JoinType

[objectreference].JoinType = jointypevalue

Legal values

$LwpJoinTypeBoxhighlight (540)

$LwpJoinTypeDeco1 (543)

$LwpJoinTypeDeco2 (544)

$LwpJoinTypeDeco3 (549)

$LwpJoinTypeDesktop (539)

$LwpJoinTypeDiagonal (536)

$LwpJoinTypeDogear (538)

$LwpJoinTypeNegate (532)

$LwpJoinTypeNegateNoCross (537)

$LwpJoinTypeNone (530)

$LwpJoinTypePin (546)

$LwpJoinTypeRain (545)

$LwpJoinTypeRect (534)

$LwpJoinTypeRope (542)

$LwpJoinTypeRose (547)

$LwpJoinTypeRounded (533)

$LwpJoinTypeSpecial (535)

$LwpJoinTypeSquared (531)

$LwpJoinTypeStar (541)

$LwpJoinTypeSunf (548)

Usage


Word Pro: JoinWidth property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

joinwidthvalue = [objectreference].JoinWidth

[objectreference].JoinWidth = joinwidthvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Justifiable property

 See list of classes

 See example

(Read-write) True = Layout expands to match the width of the parent content area, not the contents. Default is False.

Data Type

Bool

Syntax

justifiablevalue = [objectreference].Justifiable [objectreference].Justifiable = justifiablevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: KeepWithNext property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

keepwithnextvalue = [objectreference].KeepWithNext

[objectreference].KeepWithNext = keepwithnextvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: KeepWithPrev property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

keepwithprevvalue = [objectreference].KeepWithPrev

[objectreference].KeepWithPrev = keepwithprevvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: KeyboardLanguage property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

keyboardlanguagevalue = [objectreference].KeyboardLanguage

[objectreference].KeyboardLanguage = keyboardlanguagevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Keywords property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

keywordsvalue = [objectreference].Keywords [objectreference].Keywords = keywordsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LandscapeMode property

 See list of classes

 See example

(Read-write) Viceversa Height and width

Data Type

Bool

Syntax

landscapemodevalue = [objectreference].LandscapeMode [objectreference].LandscapeMode = landscapemodevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Last property

 See list of classes

 See example

(Read-only) The name of the ClickHere bloick which is last in the division (uses Tab order.)

Data Type

String

Syntax

lastvalue = [objectreference].Last

[objectreference].Last = lastvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LastChild property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

lastchildvalue = [objectreference].LastChild

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LastDocPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

lastdocpathvalue = [objectreference].LastDocPath

[objectreference].LastDocPath = lastdocpathvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LastEditorName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

lasteditornamevalue = [objectreference].LastEditorName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LastGraphicPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

lastgraphicpathvalue = [objectreference].LastGraphicPath

objectreference].LastGraphicPath = lastgraphicpathvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LastGraphicType property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

lastgraphictypevalue = [objectreference].LastGraphicType

[objectreference].LastGraphicType = lastgraphictypevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LastMacroPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

lastmacropathvalue = [objectreference].LastMacroPath

[objectreference].LastMacroPath = lastmacropathvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LastName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

lastnamevalue = [objectreference].LastName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LastPage property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

lastpagevalue = [objectreference].LastPage

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LastUsedDateFormula property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

lastuseddateformulavalue = [objectreference].LastUsedDateFormula

[objectreference].LastUsedDateFormula = lastuseddateformulavalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LayoutName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

layoutnamevalue = [objectreference].LayoutName

[objectreference].LayoutName = layoutnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LeaderDotDashChar property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

leaderdotdashcharvalue = [objectreference].LeaderDotDashChar

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LeaderDotDotChar property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

leaderdotdotcharvalue = [objectreference].LeaderDotDotChar

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LeaderDotType property

 See list of classes

 See example

(Read-write) The type of dot used as a leader in a table cell layout

Data Type

LeaderDotType

Variant (Enumerated)

Syntax

leaderdottypevalue = [objectreference].LeaderDotType

[objectreference].LeaderDotType = leaderdottypevalue

Legal values

$LwpLeaderDotTypeDashes (528)

$LwpLeaderDotTypeDots (527)

$LwpLeaderDotTypeNone (526)

$LwpLeaderDotTypeUnderscores (529)

Usage


Word Pro: LeaderDotUnderscoreChar property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

leaderdotunderscorecharvalue = [objectreference].LeaderDotUnderscoreChar

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LeadingText property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

leadingtextvalue = [objectreference].LeadingText

[objectreference].LeadingText = leadingtextvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Left property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

leftvalue = [objectreference].Left

[objectreference].Left = leftvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LeftExternalMargin property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

leftexternalmarginvalue = [objectreference].LeftExternalMargin

[objectreference].LeftExternalMargin = leftexternalmarginvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LeftIntArea property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

leftintareavalue = [objectreference].LeftIntArea

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LeftTopCellId property

 See list of classes

 See example

(Read-only) The cell ID of the top left cell in a group of connected cells. In an unconnected cell this returns the current cell's ID.

Data Type

Integer

Syntax

lefttopcellidvalue = [objectreference].LeftTopCellId

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Length property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

lengthvalue = [objectreference].Length

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Level property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

levelvalue = [objectreference].Level

[objectreference].Level = [objectreference].Level

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LineCount property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

linecountvalue = [objectreference].LineCount

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LineLocation property

 See list of classes

 See example

(Read-write) DH

Where the user told us to place the line around a layout.

Data Type

Integer

Syntax

linelocationvalue = [objectreference].LineLocation

[objectreference].LineLocation = linelocationvalue

Legal values

$LwpLineLocationMargins = 550

$LwpLineLocationMiddle = 551

$LwpLineLocationPageedge = 552

$LwpLineLocationFrompageedge = 553

Usage


Word Pro: LineMix property

 See list of classes

 See example

(WriteOnly)

Data Type

TableMix

Variant (Enumerated)

Syntax

[objectreference].LineMix = linemix value

Legal values

$LwpTableMixAllmixed (1893)

$LwpTableMixBottommixed (1890)

$LwpTableMixLeftmixed (1891)

$LwpTableMixRightmixed (1892)

$LwpTableMixTopmixed (1889)

Usage


Word Pro: LinePlacement property

 See list of classes

 See example

(Read-write)

Data Type

LinePlacement

Integer (Enumerated Bitmask)

Syntax

lineplacementvalue = [objectreference].LinePlacement

[objectreference].LinePlacement = lineplacementvalue

Legal values

LwpLinePlacementAllsides (&HF)

LwpLinePlacementBottom (&H8)

LwpLinePlacementLeft (&H1)

LwpLinePlacementRight (&H2)

LwpLinePlacementTop (&H4)

Usage


Word Pro: LinesSpacedEveryNthUnit property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

linesspacedeverynthunitvalue = [objectreference].LinesSpacedEveryNthUnit

[objectreference].LinesSpacedEveryNthUnit = linesspacedeverynthunitvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LineValid property

 See list of classes

 See example

(Read-write)

Data Type

LinePlacement

Integer (Enumerated Bitmask)

Syntax

linevalidvalue = [objectreference].LineValid

[objectreference].LineValid = linevalidvalue

Legal values

LwpLinePlacementAllsides (&HF)

LwpLinePlacementBottom (&H8)

LwpLinePlacementLeft (&H1)

LwpLinePlacementRight (&H2)

LwpLinePlacementTop (&H4)

Usage


Word Pro: LinkAvailable property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

linkavailablevalue = [objectreference].LinkAvailable

Legal values

True False

Usage


Word Pro: LinkDisplayName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

linkdisplaynamevalue = [objectreference].LinkDisplayName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LinkDisplayNameFileLength property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

linkdisplaynamefilelengthvalue = [objectreference].LinkDisplayNameFileLength

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Linked property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

linkedvalue = [objectreference].Linked

Legal values

True False

Usage


Word Pro: LinkedFileName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

linkedfilenamevalue = [objectreference].LinkedFileName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LinkGraphic property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

linkgraphicvalue = [objectreference].LinkGraphic

[objectreference].LinkGraphic = linkgraphicvalue

Legal values

True False

Usage


Word Pro: ListCount property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

listcountvalue = [objectreference].ListCount

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LoadFilesMaximized property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

loadfilesmaximizedvalue = [objectreference].LoadFilesMaximized [objectreference].LoadFilesMaximized = loadfilesmaximizedvalue

Legal values

True False

Usage


Word Pro: Location property

 See list of classes

 See example

(Read-only) Returns the path for the current working directory for Word Pro. This is identical to the DefaultFilePath property but it is available from both the WPApplication object and any TextDocument object.

Data Type

String

Syntax

locationvalue = [objectreference].Location

Legal values

The value of this property cannot be set by a script.

Usage


Word Pro: Locked property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

lockedvalue = [objectreference].Locked

[objectreference].Locked = lockedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LockForNotesUserName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

lockfornotesusernamevalue = [objectreference].LockForNotesUserName

[objectreference].LockForNotesUserName = lockfornotesusernamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LockResult property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

lockresultvalue = [objectreference].LockResult

[objectreference].LockResult = lockresultvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Locks property

 See list of classes

 See example

(Read-only)

Data Type

EditLocks

Integer (Enumerated Bitmask)

Syntax

locksvalue = [objectreference].Locks

Legal values

LwpEditLocksNoCopyAndNoSaveas (&H4)

LwpEditLocksNoEditNamedStyles (&H2)

LwpEditLocksNoLocks (&H0)

LwpEditLocksNoPrinting (&H8)

LwpEditLocksNoVersionOrReview (&H1)

LwpEditLocksRevmarkOnly (&H10)

Usage


Word Pro: LowerCase property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

lowercasevalue = [objectreference].LowerCase

[objectreference].LowerCase = lowercasevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: LowerCaseAscent property

 See list of classes

 See example

(Read-only)

Data Type

Points

Syntax

lowercaseascentvalue = [objectreference].LowerCaseAscent

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MacroName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

macronamevalue = [objectreference].MacroName

[objectreference].MacroName = macronamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MacroPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

macropathvalue = [objectreference].MacroPath [objectreference].MacroPath = macropathvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MacroStatus property

 See list of classes

 See example

(Read-only)

Data Type

MacroStatus

Integer (Enumerated Bitmask)

Syntax

macrostatusvalue = [objectreference].MacroStatus

Legal values

LwpMacroStatusIsPaused (&H1)

LwpMacroStatusIsQuickRecord (&H4)

LwpMacroStatusIsRecording (&H2)

LwpMacroStatusIsRunning (&H1)

Usage


Word Pro: MailRouteingPtr property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

mailrouteingptrvalue = [objectreference].MailRouteingPtr

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaintainAspectRatio property

 See list of classes

 See example

(Read-write) Option used during graphic resizing.

Data Type

Bool

Syntax

maintainaspectratiovalue = [objectreference].MaintainAspectRatio [objectreference].MaintainAspectRatio = maintainaspectratiovalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaintainEditor property

 See list of classes

 See example

(WriteOnly)

Data Type

Integer

Syntax

[objectreference].MaintainEditor = maintaineditorvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MarginBottom property

 See list of classes

 See example

(Read-write) The width of the margin (space between margin and border) of a layout object.

Data Type

Twips

Syntax

marginbottomvalue = [objectreference].MarginBottom

[objectreference].MarginBottom = marginbottomvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MarginLeft property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

marginleftvalue = [objectreference].MarginLeft [objectreference].MarginLeft = marginleftvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MarginRight property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

marginrightvalue = [objectreference].MarginRight

[objectreference].MarginRight = marginrightvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MarginTop property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

margintopvalue = [objectreference].MarginTop

[objectreference].MarginTop = margintopvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MarkCharacter property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

markcharactervalue = [objectreference].MarkCharacter

[objectreference].MarkCharacter = markcharactervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MarkerClass property

 See list of classes

 See example

(Read-write)

Data Type

MarkerType

Variant (Enumerated)

Syntax

markerclassvalue = [objectreference].MarkerClass

[objectreference].MarkerClass = markerclassvalue

Legal values

$LwpMarkerTypeBookmark (590)

$LwpMarkerTypeClickhere (593)

$LwpMarkerTypeDde (591)

$LwpMarkerTypeDefault (589)

$LwpMarkerTypeField (592)

$LwpMarkerTypeRuby (594)

Usage


Word Pro: MarkerName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

markernamevalue = [objectreference].MarkerName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MarkPosition property

 See list of classes

 See example

(Read-write)

Data Type

MarkPosition

Variant (Enumerated)

Syntax

markpositionvalue = [objectreference].MarkPosition [objectreference].MarkPosition = markpositionvalue

Legal values

$LwpMarkPositionBothSides (585)

$LwpMarkPositionLeft (583)

$LwpMarkPositionRight (584)

Usage


Word Pro: MarkType property

 See list of classes

 See example

(Read-write)

Data Type

MarkType

Variant (Enumerated)

Syntax

marktypevalue = [objectreference].MarkType

[objectreference].MarkType = marktypevalue

Legal values

$LwpMarkTypeBars (587)

$LwpMarkTypeChar (588)

$LwpMarkTypeNone (586)

Usage


Word Pro: MasterName property

 See list of classes

 See example

(Read-only) Returns the name of the layout unless the layout is part of a complex layout in which case the name of the complex layout object is returned.

Data Type

String

Syntax

masternamevalue = [objectreference].MasterName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MatchType property

 See list of classes

 See example

(Read-write)

Data Type

FindMatch

Variant (Enumerated)

Syntax

matchtypevalue = [objectreference].MatchType

[objectreference].MatchType = matchtypevalue

Legal values

$LwpFindMatchOnBeginningOfWord (283)

$LwpFindMatchOnEndingOfWord (284)

$LwpFindMatchOnWholeWord (282)

$LwpFindMatchWithinAWord (285)

Usage


Word Pro: MaxBottomBorder property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

maxbottombordervalue = [objectreference].MaxBottomBorder

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxBottomGutter property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

maxbottomguttervalue = [objectreference].MaxBottomGutter

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxContentHeight property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

maxcontentheightvalue = [objectreference].MaxContentHeight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxContentWidth property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

maxcontentwidthvalue = [objectreference].MaxContentWidth

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxHorzPaneDistance property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

maxhorzpanedistancevalue = [objectreference].MaxHorzPaneDistance

objectreference].MaxHorzPaneDistance = maxhorzpanedistancevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxHyphLines property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

maxhyphlinesvalue = [objectreference].MaxHyphLines [objectreference].MaxHyphLines = maxhyphlinesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxIdenticalConsecSentOpens property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

maxidenticalconsecsentopensvalue = [objectreference].MaxIdenticalConsecSentOpens

[objectreference].MaxIdenticalConsecSentOpens = maxidenticalconsecsentopensvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxIdenticalSentOpensWithin10 property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

maxidenticalsentopenswithin10value = [objectreference].MaxIdenticalSentOpensWithin10 [objectreference].MaxIdenticalSentOpensWithin10 = maxidenticalsentopenswithin10value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaximizeOnStartUp property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

maximizeonstartupvalue = [objectreference].MaximizeOnStartUp [objectreference].MaximizeOnStartUp = maximizeonstartupvalue

Legal values

True False

Usage


Word Pro: MaximumWordsinaSentence property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

maximumwordsinasentencevalue = [objectreference].MaximumWordsinaSentence

[objectreference].MaximumWordsinaSentence = maximumwordsinasentencevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxLeftBorder property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

maxleftbordervalue = [objectreference].MaxLeftBorder

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxLeftGutter property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

maxleftguttervalue = [objectreference].MaxLeftGutter

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxLength property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

maxlengthvalue = [objectreference].MaxLength

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxNumColsAllowed property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

maxnumcolsallowedvalue = [objectreference].MaxNumColsAllowed

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxNumRowsAllowed property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

maxnumrowsallowedvalue = [objectreference].MaxNumRowsAllowed

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxRightBorder property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

maxrightbordervalue = [objectreference].MaxRightBorder

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxRightGutter property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

maxrightguttervalue = [objectreference].MaxRightGutter

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxSplitCols property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

maxsplitcolsvalue = [objectreference].MaxSplitCols

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxSplitRows property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

maxsplitrowsvalue = [objectreference].MaxSplitRows

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxTopBorder property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

maxtopbordervalue = [objectreference].MaxTopBorder

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxTopGutter property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

maxtopguttervalue = [objectreference].MaxTopGutter

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MaxVertPaneDistance property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

maxvertpanedistancevalue = [objectreference].MaxVertPaneDistance

[objectreference].MaxVertPaneDistance = maxvertpanedistancevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MergeInfoPtr property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

mergeinfoptrvalue = [objectreference].MergeInfoPtr

[objectreference].MergeInfoPtr = mergeinfoptrvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MergeStepNumber property

 See list of classes

 See example

(Read-write)

Data Type

MergeStepNumber

Variant (Enumerated)

Syntax

mergestepnumbervalue = [objectreference].MergeStepNumber

[objectreference].MergeStepNumber = mergestepnumbervalue

Legal values

$LwpMergeStepNumber0 (1505)

$LwpMergeStepNumber1 (1506)

$LwpMergeStepNumber2 (1507)

$LwpMergeStepNumber3 (1508)

Usage


Word Pro: MinBottomMargin property

 See list of classes

 See example

(Read-only) The minimum value to which the bottom margin is allowed to be set.

Data Type

Twips

Syntax

minbottommarginvalue = [objectreference].MinBottomMargin

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MinHeight property

 See list of classes

 See example

(Read-write) Controls the height of a layout so that even if the content is smaller than this height, the layout doesn't get smaller than this.

Data Type

Twips

Syntax

minheightvalue = [objectreference].MinHeight

[objectreference].MinHeight = minheightvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MinLeftMargin property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

minleftmarginvalue = [objectreference].MinLeftMargin

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MinRightMargin property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

minrightmarginvalue = [objectreference].MinRightMargin

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MinTopMargin property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

mintopmarginvalue = [objectreference].MinTopMargin

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Modal property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

modalvalue = [objectreference].Modal

[objectreference].Modal = modalvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ModifiedDateString property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

modifieddatestringvalue = [objectreference].ModifiedDateString

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ModifiedTimeString property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

modifiedtimestringvalue = [objectreference].ModifiedTimeString

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ModifiedTimeValue property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

modifiedtimevaluevalue = [objectreference].ModifiedTimeValue

[objectreference].ModifiedTimeValue = modifiedtimevaluevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MouseButtonForManipulation property

 See list of classes

 See example

(Read-write)

Data Type

MouseButton

Variant (Enumerated)

Syntax

mousebuttonformanipulationvalue = [objectreference].MouseButtonForManipulation

[objectreference].MouseButtonForManipulation = mousebuttonformanipulationvalue

Legal values

$LwpMouseButtonLeft (1509)

$LwpMouseButtonMiddle (1511)

$LwpMouseButtonRight (1510)

Usage


Word Pro: MouseButtonForSelection property

 See list of classes

 See example

(Read-write)

Data Type

MouseButton

Variant (Enumerated)

Syntax

mousebuttonforselectionvalue = [objectreference].MouseButtonForSelection

[objectreference].MouseButtonForSelection = mousebuttonforselectionvalue

Legal values

$LwpMouseButtonLeft (1509)

$LwpMouseButtonMiddle (1511)

$LwpMouseButtonRight (1510)

Usage


Word Pro: MouseProperty property

 See list of classes

 See example

(Read-write)

Data Type

MouseButton

Variant (Enumerated)

Syntax

mousepropertyvalue = [objectreference].MouseProperty [objectreference].MouseProperty = mousepropertyvalue

Legal values

$LwpMouseButtonLeft (1509)

$LwpMouseButtonMiddle (1511)

$LwpMouseButtonRight (1510)

Usage


Word Pro: MultiCellPasteOn property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

multicellpasteonvalue = [objectreference].MultiCellPasteOn

[objectreference].MultiCellPasteOn = multicellpasteonvalue

Legal values

True False

Usage


Word Pro: MultiCompareParaTag property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

multicompareparatagvalue = [objectreference].MultiCompareParaTag

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: MultiCompareParaTagSet property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

multicompareparatagsetvalue = [objectreference].MultiCompareParaTagSet

Legal values

True False

Usage


Word Pro: Name property

 See list of classes

 See example

(Read-write) The Name property contains the name of an object which can be useful when trying to access an object from the object's collection. Some objects allow you to change their names; other objects are named internally by Word Pro and do not allow you to change their names.

The name of an object. This property is inherited by all Word Pro objects but not every object has a name.

Data Type

String

Syntax

namevalue = [objectreference].Name [objectreference].Name = namevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NameBasedOnStyle property

 See list of classes

 See example

(Read-write) The name of the style from fwhich the layout was created.

Data Type

String

Syntax

namebasedonstylevalue = [objectreference].NameBasedOnStyle

[objectreference].NameBasedOnStyle = namebasedonstylevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NameForFilters property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

nameforfiltersvalue = [objectreference].NameForFilters

objectreference].NameForFilters = nameforfiltersvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NewDocMacroName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

newdocmacronamevalue = [objectreference].NewDocMacroName

[objectreference].NewDocMacroName = newdocmacronamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NewFile property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

[objectreference].NewFile = newfilevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NewVersion property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

[objectreference].NewVersion = newversionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NextClickHere property

 See list of classes

 See example

(Read-only) The name of the ClickHere bloick which is next in the division (uses Tab order.)

Data Type

String

Syntax

nextclickHerevalue = [objectreference].NextClickHere

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NextName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

nextnamevalue = [objectreference].NextName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NextNeighbor property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

nextneighborvalue = [objectreference].NextNeighbor

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NextSection property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

nextsectionvalue = [objectreference].NextSection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NextStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

nextstylenamevalue = [objectreference].NextStyleName [objectreference].NextStyleName = nextstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NextText property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

nexttextvalue = [objectreference].NextText

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NoHyphenate property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

nohyphenatevalue = [objectreference].NoHyphenate

[objectreference].NoHyphenate = nohyphenatevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Normal property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

normalvalue = [objectreference].Normal

[objectreference].Normal = normalvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NormalParagraph property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

normalparagraphvalue = [objectreference].NormalParagraph

Legal values

True False

Usage


Word Pro: NotesFlow property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

notesflowvalue = [objectreference].NotesFlow

[objectreference].NotesFlow = notesflowvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Number property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numberpropertyvalue = [objectreference].Number

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumberEveryNthLine property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numbereverynthlinevalue = [objectreference].NumberEveryNthLine

[objectreference].NumberEveryNthLine = numbereverynthlinevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumberFound property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

numberfoundvalue = [objectreference].NumberFound

[objectreference].NumberFound = numberfoundvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumberingPosition property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numberingpositionvalue = [objectreference].NumberingPosition

[objectreference].NumberingPosition = numberingpositionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumberingStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

numberingstylenamevalue = [objectreference].NumberingStyleName [objectreference].NumberingStyleName = numberingstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumberOfCharacters property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

numberofcharactersvalue = [objectreference].NumberOfCharacters

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumberOfReplacements property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

numberofreplacementsvalue = [objectreference].NumberOfReplacements

[objectreference].NumberOfReplacements = numberofreplacementsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumberOfRevisions property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numberofrevisionsvalue = [objectreference].NumberOfRevisions

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumberSequenceName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

numbersequencenamevalue = [objectreference].NumberSequenceName

[objectreference].NumberSequenceName = numbersequencenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumberWhichLines property

 See list of classes

 See example

(Read-write)

Data Type

LineNumberOpts

Variant (Enumerated)

Syntax

numberwhichlinesvalue = [objectreference].NumberWhichLines

[objectreference].NumberWhichLines = numberwhichlinesvalue

Legal values

$LwpLineNumberOptsNone (554)

$LwpLineNumberOptsSpecifiedLines (555)

$LwpLineNumberOptsTextLinesOnly (556)

Usage


Word Pro: NumCharsInDoc property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

numcharsindocvalue = [objectreference].NumCharsInDoc [objectreference].NumCharsInDoc = numcharsindocvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumCharsInParagraph property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

numcharsinpsaragraphvalue = [objectreference].NumCharsInParagraph

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumCols property

 See list of classes

 See example

(Read-write) The number of text columns in a layout.

Data Type

Integer

Syntax

numcolsvalue = [objectreference].NumCols

[objectreference].NumCols = numcolsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumColsSpannedOneCell property

 See list of classes

 See example

(Read-only) The number of table columns spanned by a single connnected cell.

Data Type

Integer

Syntax

numcolsspannedonecellvalue = [objectreference].NumColsSpannedOneCell

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumContainers property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numcontainersvalue = [objectreference].NumContainers

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumDecimalPlaces property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numdecimalplacesvalue = [objectreference].NumDecimalPlaces

[objectreference].NumDecimalPlaces = numdecimalplacesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumFields property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numfieldsvalue = [objectreference].NumFields

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumLinesOfSpace property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

numlinesofspacevalue = [objectreference].NumLinesOfSpace [objectreference].NumLinesOfSpace = numlinesofspacevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumLinesOfSpaceAbove property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

numlinesofspaceabovevalue = [objectreference].NumLinesOfSpaceAbove

[objectreference].NumLinesOfSpaceAbove = numlinesofspaceabovevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumLinesOfSpaceBelow property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

numlinesofspacebelowvalue = [objectreference].NumLinesOfSpaceBelow

[objectreference].NumLinesOfSpaceBelow = numlinesofspacebelowvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumOfRecentFiles property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numofrecentfilesvalue = [objectreference].NumOfRecentFiles [objectreference].NumOfRecentFiles = numofrecentfilesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumPagesInDoc property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numpagesindocvalue = [objectreference].NumPagesInDoc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumParagraphs property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numparagraphsvalue = [objectreference].NumParagraphs

[objectreference].NumParagraphs = numparagraphsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumRows property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numrowsvalue = [objectreference].NumRows

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumRowsSpannedOneCell property

 See list of classes

 See example

(Read-only) The number of rows spanned by a single connected cell.

Data Type

Integer

Syntax

numrowsspannedonecellvalue = [objectreference].NumRowsSpannedOneCell

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumRowsThatFit property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numrowsthatfitvalue = [objectreference].NumRowsThatFit

[objectreference].NumRowsThatFit = numrowsthatfitvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumRowsToFit property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numrowstofitvalue = [objectreference].NumRowsToFit

[objectreference].NumRowsToFit = numrowstofitvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumTabs property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numtabsvalue = [objectreference].NumTabs

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumUndoLevels property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numundolevelsvalue = [objectreference].NumUndoLevels

[objectreference].NumUndoLevels = numundolevelsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumWindowsViewingDoc property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numwindowsviewingdocvalue = [objectreference].NumWindowsViewingDoc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: NumWordsInDoc property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

numwordsindocvalue = [objectreference].NumWordsInDoc

[objectreference].NumWordsInDoc = numwordsindocvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Object property

 See list of classes

 See example

(Read-only)

Data Type

Variant

Syntax

objectvalue = [objectreference].Object

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ObjectType property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

objecttypevalue = [objectreference].ObjectType

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Oblique property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

obliquevalue = [objectreference].Oblique

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Offset property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

offsetvalue = [objectreference].Offset

[objectreference].Offset = offsetvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: OleContainerDocName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

olecontainerdocnamevalue = [objectreference].OleContainerDocName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: OpenDocMacroName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

opendocmacronamevalue = [objectreference].OpenDocMacroName

[objectreference].OpenDocMacroName = opendocmacronamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: OpenDocsVisible property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

opendocsvisiblevalue = [objectreference].OpenDocsVisible [objectreference].OpenDocsVisible = opendocsvisiblevalue

Legal values

True False

Usage


Word Pro: OpenExisingFileInWelcomeBox property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

openexisingfileinwelcomeboxvalue = [objectreference].OpenExisingFileInWelcomeBox

[objectreference].OpenExisingFileInWelcomeBox = openexisingfileinwelcomeboxvalue

Legal values

True False

Usage


Word Pro: OpenReadOnly property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

openreadonlyvalue = [objectreference].OpenReadOnly [objectreference].OpenReadOnly = openreadonlyvalue

Legal values

True False

Usage


Word Pro: OpionDeclare property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

opiondeclarevalue = [objectreference].OpionDeclare

[objectreference].OpionDeclare = opiondeclarevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Options property

 See list of classes

 See example

(Read-write)

Data Type

FormatCheckOptions

Long (Enumerated Bitmask)

Syntax

optionsvalue = [objectreference].Options [objectreference].Options = optionsvalue

Legal values

LwpFormatCheckOptionsAll (&H1F)

LwpFormatCheckOptionsFixacronyms (&H1)

LwpFormatCheckOptionsFixbulletlist (&H4)

LwpFormatCheckOptionsFixmargins (&H8)

LwpFormatCheckOptionsFixspaces (&H2)

LwpFormatCheckOptionsTwospaces (&H10)

Usage


Word Pro: OrigFileType property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

origfiletypevalue = [objectreference].OrigFileType

[objectreference].OrigFileType = origfiletypevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: OrigHeight property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

origheightvvalue = [objectreference].OrigHeight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: OrigWidth property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

origwidthvalue = [objectreference].OrigWidth

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Outline property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

outlinevalue = [objectreference].Outline

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: OutlineButtons property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

outlinebuttonsvalue = [objectreference].OutlineButtons

[objectreference].OutlineButtons = outlinebuttonsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: OutlineHeadingButtonsOnly property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

outlineheadingbuttonsonlyvalue = [objectreference].OutlineHeadingButtonsOnly [objectreference].OutlineHeadingButtonsOnly = outlineheadingbuttonsonlyvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: OutlineLevel property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

outlinelevelvalue = [objectreference].OutlineLevel

objectreference].OutlineLevel = outlinelevelvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: OutlineOnlyHeadingsWhenCollapsed property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

outlineonlyheadingswhencollapsedvalue = [objectreference].OutlineOnlyHeadingsWhenCollapsed

[objectreference].OutlineOnlyHeadingsWhenCollapsed = outlineonlyheadingswhencollapsedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: OutputToFile property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

outputtofilevalue = [objectreference].OutputToFile

[objectreference].OutputToFile = outputtofilevalue

Legal values

True False

Usage


Word Pro: Override property

 See list of classes

 See example

(Read-write)

Data Type

ColorOverride

Variant (Enumerated)

Syntax

overridevalue = [objectreference].Override

[objectreference].Override = overridevalue

Legal values

$LwpColorOverrideBlack (2017)

$LwpColorOverrideBlue (2024)

$LwpColorOverrideDarkGray (2021)

$LwpColorOverrideGray (2019)

$LwpColorOverrideGreen (2023)

$LwpColorOverrideInvalid (2026)

$LwpColorOverrideLightGray (2020)

$LwpColorOverrideRed (2022)

$LwpColorOverrideReserved (2025)

$LwpColorOverrideRgb (2016)

$LwpColorOverrideTransparent (2027)

$LwpColorOverrideWhite (2018)

Usage


Word Pro: Overstrike property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

overstrikevalue = [objectreference].Overstrike

[objectreference].Overstrike = overstrikevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: OverstrikeCharacter property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

overstrikecharactervalue = [objectreference].OverstrikeCharacter

[objectreference].OverstrikeCharacter = overstrikecharactervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PageNo property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

pagenovalue = [objectreference].PageNo

[objectreference].PageNo = pagenovalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PageNum property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

pagenumvalue = [objectreference].PageNum

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PageNumber property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

pagenumbervalue = [objectreference].PageNumber

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PageNumberAsText property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

pagenumberastextvalue = [objectreference].PageNumberAsText

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PageNumberStyle property

 See list of classes

 See example

(Read-write)

Data Type

NumberingStyle

Variant (Enumerated)

Syntax

pagenumberstylevalue = [objectreference].PageNumberStyle

[objectreference].PageNumberStyle = pagenumberstylevalue

Legal values

$LwpNumberingStyleBasic (1588)

$LwpNumberingStyleChar (1593)

$LwpNumberingStyleFullpitchbasic (1594)

$LwpNumberingStyleFullpitchlowercase (1597)

$LwpNumberingStyleFullpitchuppercase (1596)

$LwpNumberingStyleFullpitchverbasic (1595)

$LwpNumberingStyleLowercaseletters (1590)

$LwpNumberingStyleLowercaseroman (1592)

$LwpNumberingStyleNone (1587)

$LwpNumberingStyleUppercaseletters (1589)

$LwpNumberingStyleUppercaseroman (1591)

Usage


Word Pro: PageNumFirstPageShowing property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

pagenumfirstpageshowingvalue = [objectreference].PageNumFirstPageShowing

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PageNumLastPageShowing property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

pagenumlastpageshowingvalue = [objectreference].PageNumLastPageShowing

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PageOrder property

 See list of classes

 See example

(Read-write)

Data Type

PageOrder

Variant (Enumerated)

Syntax

pageordervalue = [objectreference].PageOrder

[objectreference].PageOrder = pageordervalue

Legal values

$LtsPageOrderBackToFront (1056964852)

$LtsPageOrderFrontToBack (1056964851)

Usage


Word Pro: PageStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

pagestylenamevalue = [objectreference].PageStyleName [objectreference].PageStyleName = pagestylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PageToUseLayoutOn property

 See list of classes

 See example

(Read-write) The page in which a particular layout is used. This property is read by ConditionType when the COnditionType is ________________

Data Type

Integer

Syntax

pagetouselayoutonvalue = [objectreference].PageToUseLayoutOn

[objectreference].PageToUseLayoutOn = pagetouselayoutonvaluew

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PairKerning property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

pairkerningvalue = [objectreference].PairKerning

[objectreference].PairKerning = pairkerningvalue

Legal values

True False

Usage


Word Pro: ParagraphStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

paragraphstylenamevalue = [objectreference].ParagraphStyleName

[objectreference].ParagraphStyleName = paragraphstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ParagraphSymbolChar property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

paragraphsymbolcharvalue = [objectreference].ParagraphSymbolChar

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ParentMenuHWND property

 See list of classes

 See example

(Read-only) The handle to the parent window for a menu item(s).

Data Type

Long

Syntax

parentmenuhwndvalue = [objectreference].ParentMenuHWND

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

This property returns the handle of the parent window of a

specific menu item.


Word Pro: ParentName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

parentnamevalue = [objectreference].ParentName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Partial property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

partialvalue = [objectreference].Partial

[objectreference].Partial = partialvalue

Legal values

True False

Usage


Word Pro: Path property

 See list of classes

 See example

(Read-only) Path to the executable file Re

turns the path to the directory where Word Pro is installed.

Data Type

String

Syntax

pathname = [objectreference].Path

Legal values

The value of this property cannot be set by a script.

Usage

Some Word Pro users may install Word Pro in a path that is

different from the default path provided during installation. You

can use this property when you need the path to the Word Pro

application or its components but you don't know if everyone

installed to the same directory.


Word Pro: PathName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

pathnamevalue = [objectreference].PathName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Pattern property

 See list of classes

 See example

(Read-write)

Data Type

Fill

Variant (Enumerated)

Syntax

patternvalue = [objectreference].Pattern

[objectreference].Pattern = patternvalue

Legal values

$LtsFillBarLeftDiag (1056964681)

$LtsFillBarRightDiag (1056964688)

$LtsFillBasket (1056964710)

$LtsFillBigCheck (1056964717)

$LtsFillBottomTopGrad (1056964729)

$LtsFillBrick (1056964712)

$LtsFillBubbles (1056964724)

$LtsFillChevron (1056964708)

$LtsFillCicles (1056964719)

$LtsFillClumpedNarrowDiagHatch (1056964696)

$LtsFillClumpedZs (1056964723)

$LtsFillDarkNarrowDiagHatch (1056964693)

$LtsFillDiagBasket (1056964711)

$LtsFillDiagBrick (1056964713)

$LtsFillDiagHatch (1056964695)

$LtsFillDiamonds (1056964725)

$LtsFillDottedDarkHatch (1056964853)

$LtsFillDottedZigzag (1056964726)

$LtsFillDoubleLeftDiag (1056964684)

$LtsFillDoubleRightDiag (1056964690)

$LtsFillGray1 (1056964669)

$LtsFillGray10 (1056964678)

$LtsFillGray2 (1056964670)

$LtsFillGray3 (1056964671)

$LtsFillGray4 (1056964672)

$LtsFillGray5 (1056964673)

$LtsFillGray6 (1056964674)

$LtsFillGray7 (1056964675)

$LtsFillGray8 (1056964676)

$LtsFillGray9 (1056964677)

$LtsFillHoriz (1056964699)

$LtsFillHorizBar (1056964698)

$LtsFillHorizCheckerboard (1056964716)

$LtsFillIrregularDiagScales (1056964721)

$LtsFillLeftDiag (1056964682)

$LtsFillLeftNarrowDiagHatch (1056964694)

$LtsFillLeftRightGrad (1056964728)

$LtsFillNarrowDoubleLeftDiag (1056964685) $LtsFillNarrowDoubleRightDiag (1056964854)

$LtsFillNarrowHoriz (1056964697)

$LtsFillNarrowVert (1056964701)

$LtsFillNeToSwDiagStripGrad (1056964738)

$LtsFillNeToSwGrad (1056964730)

$LtsFillNone (1056964667)

$LtsFillNwToSeDiagStripGrad (1056964739)

$LtsFillNwToSeGrad (1056964731)

$LtsFillRandomBar (1056964680)

$LtsFillRandomSquare (1056964679)

$LtsFillRegularCheck (1056964718)

$LtsFillRegularHatch (1056964706)

$LtsFillRightDiag (1056964689)

$LtsFillRtLeftGrad (1056964744)

$LtsFillRunningDash (1056964714)

$LtsFillScalesDown (1056964722)

$LtsFillScalesUp (1056964720)

$LtsFillSolid (1056964668)

$LtsFillSteel (1056964709)

$LtsFillTinyHatch (1056964705)

$LtsFillTopBottomGrad (1056964745)

$LtsFillTripleLeftDiag (1056964686)

$LtsFillTripleRightDiag (1056964691)

$LtsFillVert (1056964703)

$LtsFillVertBar (1056964702)

$LtsFillVertCheckerboard (1056964715)

$LtsFillWideHatch (1056964707)

$LtsFillWideHoriz (1056964700)

$LtsFillWideLeftDiag (1056964687)

$LtsFillWideRightDiag (1056964692)

$LtsFillWideVert (1056964704)

$LwpFillIndian3 (273)

$LwpFillPattern (2000)

$LwpFillPeachpie (274)

Usage


Word Pro: Percentage property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

percentagevalue = [objectreference].Percentage

[objectreference].Percentage = percentagevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PersonalData1 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

personaldata1value = [objectreference].PersonalData1

[objectreference].PersonalData1 = personaldata1value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PersonalData2 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

personaldata2value = [objectreference].PersonalData2

[objectreference].PersonalData2 = personaldata2value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PersonalData3 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

personaldata3value = [objectreference].PersonalData3

[objectreference].PersonalData3  = personaldata3value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PersonalData4 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

personaldata4value = [objectreference].PersonalData4

[objectreference].PersonalData4 = personaldata4value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PhoneNumber property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

phonenumber value = [objectreference].PhoneNumber

[objectreference].PhoneNumber = phonenumber value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PitchAndFamily property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

pitchandfamilyvalue = [objectreference].PitchAndFamily

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PointSize property

 See list of classes

 See example

(Read-write)

Data Type

Points

Syntax

pointsizevalue = [objectreference].PointSize

[objectreference].PointSize = pointsizevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Position property

 See list of classes

 See example

(Read-write) Indicates the position of an object in units of Twips.

Data Type

Twips

Syntax

positionvalue = [objectreference].Position

[objectreference].Position = positionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PositionType property

 See list of classes

 See example

(Read-write)

Data Type

IconBarPos

Variant (Enumerated)

Syntax

positiontypevalue = [objectreference].PositionType

[objectreference].PositionType = positiontypevalue

Legal values

$LwpIconBarPosBottomOfWindow (390)

$LwpIconBarPosFloating (391)

$LwpIconBarPosLeftSideOfWindow (388)

$LwpIconBarPosRightSideOfWindow (389)

$LwpIconBarPosTopOfWindow (387)

Usage


Word Pro: PositionXInContainer property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

positionxincontainervalue = [objectreference].PositionXInContainer

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PositionXOnPage property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

positionxonpagevalue = [objectreference].PositionXOnPage

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PositionYInContainer property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

positionyincontainervalue = [objectreference].PositionYInContainer

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PositionYOnPage property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

positionyonpagevalue = [objectreference].PositionYOnPage

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PowerField property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

powerfieldvalue = [objectreference].PowerField

[objectreference].PowerField = powerfieldvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Prefix property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

prefixvalue = [objectreference].Prefix

[objectreference].Prefix = prefixvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PrettyPrinting property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

prettyprintingvalue = [objectreference].PrettyPrinting [objectreference].PrettyPrinting = prettyprintingvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PreviousClickHere property

 See list of classes

 See example

(Read-only) The name of the ClickHere bloick which precedes the current ClickHere in the division (uses Tab order.)

Data Type

String

Syntax

previousclickherevalue = [objectreference].PreviousClickHere

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PreviousName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

previousnamevalue = [objectreference].PreviousName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PreviousNeighbor property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

previousneighborvalue = [objectreference].PreviousNeighbor

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PrintDestination property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

printdestinationvalue = [objectreference].PrintDestination

[objectreference].PrintDestination = printdestinationvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PrintDocDescription property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

printdocdescriptionvalue = [objectreference].PrintDocDescription [objectreference].PrintDocDescription = printdocdescriptionvalue

Legal values

True False

Usage


Word Pro: PrinterName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

printernamevalue = [objectreference].PrinterName

[objectreference].PrinterName = printernamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PrintGraphics property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

printgraphicsvalue = [objectreference].PrintGraphics

[objectreference].PrintGraphics = printgraphicsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PrintInBackground property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

printinbackgroundvalue = [objectreference].PrintInBackground

[objectreference].PrintInBackground = printinbackgroundvalue

Legal values

True False

Usage


Word Pro: PrintPagesFrom property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].PrintPagesFrom

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PrintPagesTo property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

printpagestovalue = [objectreference].PrintPagesTo

[objectreference].PrintPagesTo = printpagestovalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: PrintPageType property

 See list of classes

 See example

(Read-write)

Data Type

PrintPage

Variant (Enumerated)

Syntax

printpagetypevalue = [objectreference].PrintPageType

[objectreference].PrintPageType = printpagetypevalue

Legal values

$LwpPrintPageEvenAndOddPages (1651)

$LwpPrintPageEvenPages (1652)

$LwpPrintPageOddPages (1653)

Usage


Word Pro: PrintRange property

 See list of classes

 See example

(Read-write)

Data Type

PrintRange

Variant (Enumerated)

Syntax

printrangevalue = [objectreference].PrintRange

[objectreference].PrintRange = printrangevalue

Legal values

$LtsPrintRangeAllPages (1056964848)

$LtsPrintRangeCurrentPage (1056964849)

$LtsPrintRangeSelectedPages (1056964850)

$LwpPrintRangeCurrentDivision (1655)

$LwpPrintRangeRangeOfPages (1654)

$LwpPrintRangeSelectedDivisions (1656)

Usage


Word Pro: PromptHidden property

 See list of classes

 See example

(Read-write) True makes the Prompt text hidden. False makes the Prompt text visible.

Data Type

Bool

Syntax

prompthiddenvalue = [objectreference].PromptHidden

[objectreference].PromptHidden = prompthiddenvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ProtectedMode property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

protectedmodevalue = [objectreference].ProtectedMode

[objectreference].ProtectedMode = protectedmodevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: QueueName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

queuenamevalue = [objectreference].QueueName

[objectreference].QueueName =queuenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ReadOnly property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].Read-only

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Red property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].Red

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Relative property

 See list of classes

 See example

(Read-write)

Data Type

IndentProperty

Variant (Enumerated)

Syntax

value = [objectreference].Relative

Legal values

$LwpIndentPropertyAll (403)

$LwpIndentPropertyBodyonly (409)

$LwpIndentPropertyEnabled (410)

$LwpIndentPropertyEvery (402)

$LwpIndentPropertyFirst (404)

$LwpIndentPropertyHang (407)

$LwpIndentPropertyRelative (411)

$LwpIndentPropertyRest (405)

$LwpIndentPropertyRight (406)

$LwpIndentPropertySidesequal (408)

Usage


Word Pro: RelativePageNum property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

value = [objectreference].RelativePageNum

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RelativeType property

 See list of classes

 See example

(Read-write) Determines where in the parent layout the layout is anchored.

Data Type

RelativeType

Variant (Enumerated)

Syntax

value = [objectreference].RelativeType

Legal values

$LwpRelativeTypeLytContent (1670)

Anchored relative to the content box of the Parent

$LwpRelativeTypeLytInline (1668)

In the text flow like a single character and will affect line height accordingly.

$LwpRelativeTypeLytInlineNewline (1669)

Always gets put on a new line by itself

$LwpRelativeTypeLytInlineVert (1671)

Layout is anchored so it movesvertically but never left to right

$LwpRelativeTypeLytPara (1667)

Anchored in the text relative to a pragraph

$LwpRelativeTypeLytParent (1666)

These  cooordinates are relative to the parent and the anchor pos is somewhere on the parent container.

Usage


Word Pro: RelativeXDistance property

 See list of classes

 See example

(Read-write) Length of the anchor tether (horizontally)from this layout to its anchor point in the parent layout.

Data Type

Twips

Syntax

value = [objectreference].RelativeXDistance

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RelativeYDistance property

 See list of classes

 See example

(Read-write) Length of the anchor tether (vertically) from this layout to its anchor point in the parent layout.

Data Type

Twips

Syntax

value = [objectreference].RelativeYDistance

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RenderedPageNumber property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].RenderedPageNumber

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ReplaceExactCase property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].ReplaceExactCase

Legal values

True False

Usage


Word Pro: Replacements property

 See list of classes

 See example

(Read-write)

Data Type

ReplacementChoices

Long (Enumerated Bitmask)

Syntax

value = [objectreference].Replacements

Legal values

LwpLreplacementChoicesIstbox22 (&H200000)

LwpReplacementChoicesListbox1 (&H1)

LwpReplacementChoicesListbox10 (&H200)

LwpReplacementChoicesListbox11 (&H400)

LwpReplacementChoicesListbox12 (&H800)

LwpReplacementChoicesListbox13 (&H1000)

LwpReplacementChoicesListbox14 (&H2000)

LwpReplacementChoicesListbox15 (&H4000)

LwpReplacementChoicesListbox16 (&H8000)

LwpReplacementChoicesListbox17 (&H10000)

LwpReplacementChoicesListbox18 (&H20000)

LwpReplacementChoicesListbox19 (&H40000)

LwpReplacementChoicesListbox2 (&H2)

LwpReplacementChoicesListbox20 (&H80000)

LwpReplacementChoicesListbox21 (&H100000)

LwpReplacementChoicesListbox22 (&H200000)

LwpReplacementChoicesListbox23 (&H400000)

LwpReplacementChoicesListbox24 (&H800000)

LwpReplacementChoicesListbox25 (&H1000000)

LwpReplacementChoicesListbox26 (&H2000000)

LwpReplacementChoicesListbox3 (&H4)

LwpReplacementChoicesListbox4 (&H8)

LwpReplacementChoicesListbox5 (&H10)

LwpReplacementChoicesListbox6 (&H20)

LwpReplacementChoicesListbox7 (&H40)

LwpReplacementChoicesListbox8 (&H80)

LwpReplacementChoicesListbox9 (&H100)

LwpReplacementChoicesListboxAll (&H3FFFFFF)

Usage


Word Pro: ReplaceString property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].ReplaceString

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ReplaceStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].ReplaceStyleName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ReplaceWithProperties property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].ReplaceWithProperties

Legal values

True False

Usage


Word Pro: RequestRemarkOnClose property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].RequestRemarkOnClose

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RequireStartupScripts property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].RequireStartupScripts

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ResetOnEachPage property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].ResetOnEachPage

Legal values

True False

Usage


Word Pro: ResetWhen property

 See list of classes

 See example

(Read-write)

Data Type

ResetOption

Variant (Enumerated)

Syntax

value = [objectreference].ResetWhen

Legal values

$LwpResetOptionEachDivision (1710)

$LwpResetOptionEachDivisiongroup (1711)

$LwpResetOptionEachDoc (1708)

$LwpResetOptionEachPage (1709)

Usage


Word Pro: Rest property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

value = [objectreference].Rest

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RestartStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].RestartStyleName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Result property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].Result

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ResumePausedMacro property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

value = [objectreference].ResumePausedMacro

Legal values

True False

Usage


Word Pro: RevisionMarkMode property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].RevisionMarkMode

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RevisionType property

 See list of classes

 See example

(Read-only) Indicates whether a layout has been inserted or deleted.

Data Type

Integer

Variant (Enumerated)

Syntax

value = [objectreference].RevisionType

Legal values

In a layout object, this property is of type Variant and has an enumerated list of legal values. These values are listed below.

$LwpRevisionTypeNone (1718)

This layout hasn't been touched since the docuemnt was created.

$LwpRevisionTypeInsert (1719)

This layout was inserted.

$LwpRevisionTypeDelete (1720)

This layout was deleted.

$LwpRevisionTypeDontcare (1721)

Usage


Word Pro: RevMarkCharacter property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].RevMarkCharacter

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RevMarkPosition property

 See list of classes

 See example

(Read-write)

Data Type

MarkPosition

Variant (Enumerated)

Syntax

value = [objectreference].RevMarkPosition

Legal values

$LwpMarkPositionBothSides (585)

$LwpMarkPositionLeft (583)

$LwpMarkPositionRight (584)

Usage


Word Pro: RevMarkType property

 See list of classes

 See example

(Read-write)

Data Type

MarkType

Variant (Enumerated)

Syntax

value = [objectreference].RevMarkType

Legal values

$LwpMarkTypeBars (587)

$LwpMarkTypeChar (588)

$LwpMarkTypeNone (586)

Usage


Word Pro: Right property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

value = [objectreference].Right

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RightAlign property

 See list of classes

 See example

(Read-write)

Data Type

CommandState

Variant (Enumerated)

Syntax

value = [objectreference].RightAlign

Legal values

$LwpCommandStateOff (151)

$LwpCommandStateOn (152)

$LwpCommandStateStyle (153)

Usage


Word Pro: RightExternalMargin property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

value = [objectreference].RightExternalMargin

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RightIntArea property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

value = [objectreference].RightIntArea

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RightMousePropId property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

value = [objectreference].RightMousePropId

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RightMousePropText property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].RightMousePropText

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RotationAngle property

 See list of classes

 See example

(Read-write) Indicates the amount by which the layout has been rotated relative to its parent.

Data Type

Integer

Syntax

value = [objectreference].RotationAngle

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RunMacroOnDocEvents property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].RunMacroOnDocEvents

Legal values

True False

Usage


Word Pro: RunMacroOnLoad property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].RunMacroOnLoad

Legal values

True False

Usage


Word Pro: RunOnCloseDoc property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].RunOnCloseDoc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RunOnNewDoc property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].RunOnNewDoc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: RunOnOpenDoc property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].RunOnOpenDoc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Saved property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

value = [objectreference].Saved

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SaveSnapShot property

 See list of classes

 See example

(Read-write)

Data Type

SnapShot

Variant (Enumerated)

Syntax

value = [objectreference].SaveSnapShot

Legal values

$LwpSnapShotNosave (1768)

$LwpSnapShotSave (1769)

Usage


Word Pro: ScaleHeight property

 See list of classes

 See example

(Read-write) The height of a graphic object being scaled with the LwpScaleTypeCustom

Data Type

Twips

Syntax

value = [objectreference].ScaleHeight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ScaleMode property

 See list of classes

 See example

(Read-write) Determines how a graphic is scaled

Data Type

JoinScaleType

Variant (Enumerated)

Syntax

value = [objectreference].ScaleMode

Legal values

ScaleType

$LwpScaleTypeCustom (1725)

Custom rectangle (ScaleWdith and ScaleHeight) (checks MaintainAspectRatio)

$LwpScaleTypeFitInFrame (1723)

Fits into the frame (checks MaintainAspectRatio)

$LwpScaleTypeOriginalSize (1722)

The graphic ois not scaled

$LwpScaleTypePercentage (1724)

Scales by percentage (see ScalePercentage)

JoinScaleType

$LwpJoinScaleTypeNoScaling (428)

$LwpJoinScaleTypeScaling (427)

Usage


Word Pro: ScalePercentage property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

value = [objectreference].ScalePercentage

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ScaleWidth property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

value = [objectreference].ScaleWidth

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ScreenPositionX property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

value = [objectreference].ScreenPositionX

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ScreenPositionY property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

value = [objectreference].ScreenPositionY

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ScriptName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].ScriptName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Section property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].Section

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SectionName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].SectionName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SelectCount property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

value = [objectreference].SelectCount

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SelectedPages property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].SelectedPages

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SelectionHidden property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

value = [objectreference].SelectionHidden

Legal values

True False

Usage


Word Pro: SelectionType property

 See list of classes

 See example

(Read-only)

Data Type

SelectionType

Variant (Enumerated)

Syntax

value = [objectreference].SelectionType

Legal values

$LwpSelectionTypeNone (1760)

$LwpSelectionTypeText (1761)

Usage


Word Pro: SelectTab property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].SelectTab

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SelectType property

 See list of classes

 See example

(Read-write) Allows you to control whether a layout is selected when it is entered. You can also set this to select the parent or nothing.

Data Type

LayoutSelect

Variant (Enumerated)

Syntax

value = [objectreference].SelectType

Legal values

$LwpLayoutSelectNone (524)

No layout is selected when this layout is clicked. You simply enter thislayout.

$LwpLayoutSelect (525)

This layout is selected.

$LwpLayoutSelectParent (2050)

The parent of this layout is selected as when you click on one of the layouts which comprises a NoteLayout.

Usage


Word Pro: ServerFormat property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].ServerFormat

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Shadow property

 See list of classes

 See example

(Read-only) The Shadow object for a layout object.

Data Type

Bool

Syntax

value = [objectreference].Shadow

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ShowDivisionTabs property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].ShowDivisionTabs

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ShowGraphicPreview property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].ShowGraphicPreview

Legal values

True False

Usage


Word Pro: ShowHiddenText property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].ShowHiddenText

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ShowInContext property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

value = [objectreference].ShowInContext

Legal values

True False

Usage


Word Pro: ShowMailDisabled property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].ShowMailDisabled

Legal values

True False

Usage


Word Pro: ShowNoWelcomeBox property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].ShowNoWelcomeBox

Legal values

True False

Usage


Word Pro: ShowStatistics property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].ShowStatistics

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ShowTabs property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].ShowTabs

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Size property

 See list of classes

 See example

(Read-write)

Data Type

Points

Syntax

value = [objectreference].Size

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SizeStyleName property

 See list of classes

 See example

(Read-write) The size information for a font.

Data Type

String

Syntax

value = [objectreference].SizeStyleName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SizingUnitName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].SizingUnitName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SizingUnits property

 See list of classes

 See example

(Read-write)

Data Type

ScaleMode

Variant (Enumerated)

Syntax

value = [objectreference].SizingUnits

Legal values

$LtsScaleModeCentimeter (1056964840)

$LtsScaleModeInch (1056964838)

$LtsScaleModePoint (1056964837)

$LwpScaleModePica (1728)

Usage


Word Pro: Skipped property

 See list of classes

 See example

(Read-write)

Data Type

CommandState

Variant (Enumerated)

Syntax

value = [objectreference].Skipped

Legal values

$LwpCommandStateOff (151)

$LwpCommandStateOn (152)

$LwpCommandStateStyle (153)

Usage


Word Pro: SkipWordMode property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].SkipWordMode

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SmallCaps property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].SmallCaps

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SmallFileFormat property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].SmallFileFormat

Legal values

True False

Usage


Word Pro: SmartLevel property

 See list of classes

 See example

(Read-write)

Data Type

CommandState

Variant (Enumerated)

Syntax

value = [objectreference].SmartLevel

Legal values

$LwpCommandStateOff (151)

$LwpCommandStateOn (152)

$LwpCommandStateStyle (153)

Usage


Word Pro: SnapshotOffset property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

value = [objectreference].SnapshotOffset

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SnapshotPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].SnapshotPath

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SnapshotSize property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

value = [objectreference].SnapshotSize

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SortNumbers property

 See list of classes

 See example

(Read-write)

Data Type

SortNumberOrder

Variant (Enumerated)

Syntax

value = [objectreference].SortNumbers

Legal values

$LwpSortNumberOrderFirst (1770)

$LwpSortNumberOrderLast (1771)

Usage


Word Pro: SortOrder property

 See list of classes

 See example

(Read-write)

Data Type

Sort

Variant (Enumerated)

Syntax

value = [objectreference].SortOrder

Legal values

$LtsSortAscending (1056964770)

$LtsSortDescending (1056964772)

Usage


Word Pro: SortType property

 See list of classes

 See example

(Read-write)

Data Type

SortType

Variant (Enumerated)

Syntax

value = [objectreference].SortType

Legal values

$LwpSortTypeAlphanumeric (1772)

$LwpSortTypeNumeric (1773)

Usage


Word Pro: SortWord property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].SortWord

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SortWordOption property

 See list of classes

 See example

(Read-write)

Data Type

SortWhichWord

Variant (Enumerated)

Syntax

value = [objectreference].SortWordOption

Legal values

$LwpSortWhichWordAllwords (1776)

$LwpSortWhichWordFirstword (1774)

$LwpSortWhichWordLastword (1775)

$LwpSortWhichWordOther (1777)

Usage


Word Pro: SpaceAbove property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

value = [objectreference].SpaceAbove

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SpaceBelow property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

value = [objectreference].SpaceBelow

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SpacesBetweenSentences property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].SpacesBetweenSentences

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SpacingStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].SpacingStyleName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SpacingUnitName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].SpacingUnitName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SpacingUnits property

 See list of classes

 See example

(Read-write)

Data Type

ScaleMode

Variant (Enumerated)

Syntax

value = [objectreference].SpacingUnits

Legal values

$LtsScaleModeCentimeter (1056964840)

$LtsScaleModeInch (1056964838)

$LtsScaleModePoint (1056964837)

$LwpScaleModePica (1728)

Usage


Word Pro: SpellCheckIncludesOtherTextStreams property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].SpellCheckIncludesOtherTextStreams

Legal values

True False

Usage


Word Pro: SpellCheckInitialCaps property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].SpellCheckInitialCaps

Legal values

True False

Usage


Word Pro: SpellCheckRepeatedWords property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].SpellCheckRepeatedWords

Legal values

True False

Usage


Word Pro: SpellCheckStartsAtBeginning property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].Spell

CheckStartsAtBeginning

Legal values

True False

Usage


Word Pro: SpellCheckUserDictAlternatives property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].SpellCheckUserDictAlternatives

Legal values

True False

Usage


Word Pro: SpellCheckWordsWithNums property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].SpellCheckWordsWithNums

Legal values

True False

Usage


Word Pro: SplitPercentage property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].SplitPercentage

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Start property

 See list of classes

 See example

(Read-write)

Data Type

StartType

Variant (Enumerated)

Syntax

value = [objectreference].Start

Legal values

$LwpStartTypeNextevenpage (1827)

$LwpStartTypeNextoddpage (1826)

$LwpStartTypeNextpage (1824)

$LwpStartTypeThispage (1825)

Usage


Word Pro: StartColumns property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

value = [objectreference].StartColumns

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StartingColOfSelection property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

value = [objectreference].StartingColOfSelection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StartingColStringOfSelection property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].StartingColStringOfSelection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StartingNumber property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].StartingNumber

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StartingRowOfSelection property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

value = [objectreference].StartingRowOfSelection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StartRow property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

value = [objectreference].StartRow

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StateID property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

value = [objectreference].StateID

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StatusBarVisible property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

value = [objectreference].StatusBarVisible

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StyleExceptions property

 See list of classes

 See example

(Read-only) Provides a Long numeric value which indicates which attributes of this layouthave been overidden  style

Data Type

Long

Syntax

value = [objectreference].StyleExceptions

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StyleName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].StyleName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StylePath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].StylePath

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StyleSheetFullPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].StyleSheetFullPath

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StyleSheetName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].StyleSheetName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: StyleSheetPath property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].StyleSheetPath

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Subscript property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].Subscript

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Suffix property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].Suffix

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Suggestions property

 See list of classes

 See example

(Read-only)

Data Type

EditSugg

Integer (Enumerated Bitmask)

Syntax

value = [objectreference].Suggestions

Legal values

LwpEditSuggEditingInNewVersion (&H4)

LwpEditSuggNoSuggestions (&H0)

LwpEditSuggOnlyMarkupEditsAllowed (&H1)

LwpEditSuggRevAndCommentIconbar (&H2)

Usage


Word Pro: Superscript property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].Superscript

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: SuppressHeaders property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].SuppressHeaders

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: System property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].System

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TabExits property

 See list of classes

 See example

(Read-write) Indicates whether pressing the Tab key while in a particular ClickHere object will exit the ClickHere or insert a normal tab mark.

Data Type

Bool

Syntax

value = [objectreference].TabExits

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TableStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].TableStyleName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TabOrder property

 See list of classes

 See example

(Read-write) The Tab order for a ClickHere object.

Data Type

Long

Syntax

value = [objectreference].TabOrder

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TabRelativeTo property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].TabRelativeTo

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TabSpacing property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

value = [objectreference].TabSpacing

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TabSymbolChar property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

value = [objectreference].TabSymbolChar

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TabType property

 See list of classes

 See example

(Read-write)

Data Type

TabType

Variant (Enumerated)

Syntax

value = [objectreference].TabType

Legal values

$LwpTabTypeCenter (1864)

$LwpTabTypeLeft (1863)

$LwpTabTypeNumeric (1866)

$LwpTabTypeRight (1865)

Usage


Word Pro: TabWidth property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].TabWidth

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TextOrient property

 See list of classes

 See example

(Read-write) The orientation of text in a layout.

Data Type

TextOrient

Variant (Enumerated)

Syntax

value = [objectreference].TextOrient

Legal values

$LwpTextOrientBottomtotopLefttoright (1913)

$LwpTextOrientBottomtotopRighttoleft (1917)

$LwpTextOrientLefttorightBottomtotop (1916)

$LwpTextOrientLefttorightToptobottom (1910)

$LwpTextOrientRighttoleftBottomtotop (1912)

$LwpTextOrientRighttoleftToptobottom (1914)

$LwpTextOrientToptobottomLefttoright (1915)

$LwpTextOrientToptobottomRighttoleft (1911)

Usage


Word Pro: TextOrientation property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

value = [objectreference].TextOrientation

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TextStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].TextStyleName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TextTightness property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].TextTightness

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TextViewAttributes property

 See list of classes

 See example

(Read-write)

Data Type

TextView

Integer (Enumerated Bitmask)

Syntax

value = [objectreference].TextViewAttributes

Legal values

LwpTextViewCaretVisible (&H1)

LwpTextViewHiddenStoryptr (&H4)

LwpTextViewSelectionVisible (&H2)

Usage


Word Pro: ThesMaxNumSynonymsReturned property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].ThesMaxNumSynonymsReturned

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TileWindow property

 See list of classes

 See example

(Read-write)

Data Type

TileType

Variant (Enumerated)

Syntax

value = [objectreference].TileWindow

Legal values

$LwpTileTypeCascade (1946)

$LwpTileTypeHorz (1948)

$LwpTileTypeVert (1947)

Usage


Word Pro: Time property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

value = [objectreference].Time

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TimedSaveFileExtension property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].TimedSaveFileExtension

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Title property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].Title

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TitleBarDocNumber property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].TitleBarDocNumber

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TitleBarVisible property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

value = [objectreference].TitleBarVisible

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TOCNumEntries property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

value = [objectreference].TOCNumEntries

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TOCRange property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].TOCRange

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TOCSource property

 See list of classes

 See example

(Read-write)

Data Type

GenerateFrom

Variant (Enumerated)

Syntax

value = [objectreference].TOCSource

Legal values

$LwpGenerateFromCurrentdivision (362)

$LwpGenerateFromCurrentleveldivision (361)

$LwpGenerateFromCurrentsection (363)

$LwpGenerateFromEntiredocument (360)

$LwpGenerateFromMarker (364)

Usage


Word Pro: Top property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

value = [objectreference].Top

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TopExternalMargin property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

value = [objectreference].TopExternalMargin

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TopIntArea property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

value = [objectreference].TopIntArea

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TopLeftCellRowId property

 See list of classes

 See example

(Read-only) When connected, the row id of the top left cell. When not connected, this is the row ID.

Data Type

Integer

Syntax

value = [objectreference].TopLeftCellRowId

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TotalEditingTime property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

value = [objectreference].TotalEditingTime

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: TrailingText property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].TrailingText

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Type property

 See list of classes

 See example

(Read-only) Indicates what type of style this object is. For CharacterStyle objects, the default value is always "$LwpCharStyleTypeCharacter".

Data Type

CharStyleType

Variant (Enumerated)

Syntax

value = [objectreference].Type

Legal values

$LwpCharStyleTypeCharacter (140)

Usage


Word Pro: TypeAbove property

 See list of classes

 See example

(Read-write)

Data Type

ParaBorderWidth

Variant (Enumerated)

Syntax

value = [objectreference].TypeAbove

Legal values

$LwpParaBorderWidthMargin (2052)

$LwpParaBorderWidthNone (1624)

$LwpParaBorderWidthOther (2053)

$LwpParaBorderWidthText (2051)

Usage


Word Pro: TypeBelow property

 See list of classes

 See example

(Read-write)

Data Type

ParaBorderWidth

Variant (Enumerated)

Syntax

value = [objectreference].TypeBelow

Legal values

$LwpParaBorderWidthMargin (2052)

$LwpParaBorderWidthNone (1624)

$LwpParaBorderWidthOther (2053)

$LwpParaBorderWidthText (2051)

Usage


Word Pro: TypeRight property

 See list of classes

 See example

(Read-write)

Data Type

ParaBorderWidth

Variant (Enumerated)

Syntax

value = [objectreference].TypeRight

Legal values

$LwpParaBorderWidthMargin (2052)

$LwpParaBorderWidthNone (1624)

$LwpParaBorderWidthOther (2053)

$LwpParaBorderWidthText (2051)

Usage


Word Pro: Typos property

 See list of classes

 See example

(Read-write)

Data Type

TypoChoices

Long (Enumerated Bitmask)

Syntax

value = [objectreference].Typos

Legal values

LwpTypoChoicesListbox1 (&H1)

LwpTypoChoicesListbox2 (&H2)

LwpTypoChoicesListbox3 (&H4)

LwpTypoChoicesListbox4 (&H8)

LwpTypoChoicesListboxall (&HF)

Usage


Word Pro: Underline property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].Underline

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UndoEnable property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].UndoEnable

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UpdateFields property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UpdateFields

Legal values

True False

Usage


Word Pro: UpdateOnLoad property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UpdateOnLoad

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UpdateOnLoadImmediate property

 See list of classes

 See example

(WriteOnly)

Data Type

Bool

Syntax

value = [objectreference].UpdateOnLoadImmediate

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UpperCase property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UpperCase

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UseConsistentSpaceBetweenSentences property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UseConsistentSpaceBetweenSentences

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UseContents property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].UseContents

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UseDefaultPrinter property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UseDefaultPrinter

Legal values

True False

Usage


Word Pro: UsedFirstPageHeight property

 See list of classes

 See example

(Read-only)

Data Type

Twips

Syntax

value = [objectreference].UsedFirstPageHeight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UseEncrypt property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UseEncrypt

Legal values

True False

Usage


Word Pro: UseExcludeRect property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UseExcludeRect

Legal values

True False

Usage


Word Pro: UseFindStyle property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].UseFindStyle

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UseFooter property

 See list of classes

 See example

(Read-write) Adds a footer on the layout. this footer has a height equal to the BottomMargin of this layout and the width of the footer is equal to the total width of the layout.

Data Type

Integer

Syntax

value = [objectreference].UseFooter

Legal values

Usage


Word Pro: UseGreeting property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UseGreeting

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UseHeader property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UseHeader

Legal values

True False

Usage


Word Pro: UseNextStyle property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UseNextStyle

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UsePrinterSettings property

 See list of classes

 See example

(Read-write) The layout pulls orientation, margins, printer bin, scale, and more from the printer settings.

Data Type

Bool

Syntax

value = [objectreference].UsePrinterSettings

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UserClassNameApp property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].UserClassNameApp

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UserClassNameFull property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].UserClassNameFull

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UserClassNameShort property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].UserClassNameShort

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UserDictFiles property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].UserDictFiles

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UserDictionaryPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].UserDictionaryPath

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UserDictStates property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].UserDictStates

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UseRelative property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UseRelative

Legal values

True False

Usage


Word Pro: UseReplaceStyle property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

value = [objectreference].UseReplaceStyle

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UserInitials property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].UserInitials

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UserLinkName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

value = [objectreference].UserLinkName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UserName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].UserName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UserPassword property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

value = [objectreference].UserPassword

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UseSeparatorLine property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

value = [objectreference].UseSeparatorLine

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UsesHelp property

 See list of classes

 See example

(Read-write) Indicates whether a ClickHere object has bubble help.

Data Type

Bool

Syntax

value = [objectreference].UsesHelp

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UsesPalette property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

value = [objectreference].UsesPalette

Legal values

True False

Usage


Word Pro: UseSuperscriptReferenceNum property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

usesuperscriptreferencenumvalue = [objectreference].UseSuperscriptReferenceNum

[objectreference].UseSuperscriptReferenceNum = usesuperscriptreferencenumvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: UseTwoSpacesBetweenSentences property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

usetwospacesbetweensentencesvalue = [objectreference].UseTwoSpacesBetweenSentences

[objectreference].UseTwoSpacesBetweenSentences = usetwospacesbetweensentencesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Valid property

 See list of classes

 See example

(Read-only)

Data Type

CommandState

Variant (Enumerated)

Syntax

validvalue = [objectreference].Valid

Legal values

$LwpCommandStateOff (151)

$LwpCommandStateOn (152)

$LwpCommandStateStyle (153)

Usage


Word Pro: Value property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

valuevalue = [objectreference].Value

[objectreference].Value = valuevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: VerificationResult property

 See list of classes

 See example

(Read-write)

Data Type

Verify

Variant (Enumerated)

Syntax

verificationresultvalue = [objectreference].VerificationResult

[objectreference].VerificationResult = verificationresultvalue

Legal values

$LwpVerifyRestrictByEditorViolation (1960)

$LwpVerifyRestrictByInvalidPassword (1956)

$LwpVerifyRestrictInternalPurpose (1958)

$LwpVerifyRestrictInternalPurpose2 (1959)

$LwpVerifyRestrictToEditors (1954)

$LwpVerifyRestrictToOriginalAuthor (1955)

$LwpVerifySuccessNoRestrictions (1957)

Usage


Word Pro: VersionID property

 See list of classes

 See example

(Read-only) The VersionID property allows you to check the version of an object's Word Pro object model. This is essential when comparing the relative functionality of certain LotusScript language elements and Word Pro classes.

Data Type

Long

Syntax

versionidvalue = [objectreference].VersionID

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: VersionName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

versionnamevalue = [objectreference].VersionName

[objectreference].VersionName = versionnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: VersionRemarks property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

versionremarksvalue = [objectreference].VersionRemarks

[objectreference].VersionRemarks = versionremarksvalue

Legal values

True False

Usage


Word Pro: Versions property

 See list of classes

 See example

(Read-only)

Data Type

VersionCollection

Syntax

versionsvalue = [objectreference].Versions

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: VertAlign property

 See list of classes

 See example

(Read-write) Sets the vertical alignment of this layout (see CenetredVert and IsBottomAligned, they are a clumsier way of doing this. Used in combo they can accomplish the same thing.)

Data Type

VertAlign

Variant (Enumerated)

Syntax

vertalignvalue = [objectreference].VertAlign [objectreference].VertAlign = vertalignvalue

Legal values

$LtsAlignmentBottom (1056964616)

$LtsAlignmentTop (1056964614)

$LtsAlignmentVertCenter (1056964615)

Usage


Word Pro: VerticalSplitWindow property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

verticalsplitwindowvalue = [objectreference].VerticalSplitWindow

[objectreference].VerticalSplitWindow = verticalsplitwindowvalue

Legal values

True False

Usage


Word Pro: VertScrollBarVisible property

 See list of classes

 See example

(Read-only)

Data Type

Bool

Syntax

vertscrollbarvisiblevalue = [objectreference].VertScrollBarVisible

Legal values

True False

Usage


Word Pro: ViewLevel property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

viewlevelvalue = [objectreference].ViewLevel

[objectreference].ViewLevel = viewlevelvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ViewType property

 See list of classes

 See example

(Read-write)

Data Type

PresentationType

Variant (Enumerated)

Syntax

viewtypevalue = [objectreference].ViewType

[objectreference].ViewType = viewtypevalue

Legal values

$LwpPresentationTypeDraft (1647)

$LwpPresentationTypeLayout (1646)

$LwpPresentationTypeOutline (1649)

$LwpPresentationTypePagesort (1650)

$LwpPresentationTypeWymiwyg (1648)

Usage


Word Pro: Visible property

 See list of classes

 See example

(Read-only) Returns a boolean value indicating whether the Word Pro application, the ApplicationWindow object, or any DocWindow object is visible (TRUE) or invisible (FALSE).

Data Type

Bool

Syntax

visiblevalue = [objectreference].Visible

Legal values

The value of this property cannot be set by a script.

Usage

Use this property to determine whether Word Pro, its window, or

any document window is currently visible to the user.


Word Pro: WasDeletedInRevMarkMode property

 See list of classes

 See example

(Read-write) Indicates whether this layout was deleted in revision marking mode.

Data Type

Bool

Syntax

wasdeletedinrevmarkmodevalue = [objectreference].WasDeletedInRevMarkMode

[objectreference].WasDeletedInRevMarkMode = wasdeletedinrevmarkmodevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: WasInsertedInRevMarkMode property

 See list of classes

 See example

(Read-write) Indicates whether this layout was inserted in revision marking mode.

Data Type

Bool

Syntax

wasinsertedinrevmarkmodevalue = [objectreference].WasInsertedInRevMarkMode [objectreference].WasInsertedInRevMarkMode = wasinsertedinrevmarkmodevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: WasPasted property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

waspastedvalue = [objectreference].WasPasted [objectreference].WasPasted = waspastedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Weight property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

weightvalue = [objectreference].Weight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Where property

 See list of classes

 See example

(Read-write) Where on my parent layout is my anchor connected.

Data Type

WhereType

Variant (Enumerated)

Syntax

wherevalue = [objectreference].Where

[objectreference].Where = wherevalue

Legal values

$LwpWhereTypeLayoutUpperRight (1978)

$LwpWhereTypeLowerLeft (1981)

$LwpWhereTypeLowerRight (1983)

$LwpWhereTypeMiddle (1984)

$LwpWhereTypeMiddleBottom (1982)

$LwpWhereTypeMiddleLeft (1979)

$LwpWhereTypeMiddleRight (1980)

$LwpWhereTypeMiddleTop (1977)

$LwpWhereTypeUpperLeft (1976)

Usage


Word Pro: WidowOrphan property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

widoworphanvalue = [objectreference].WidowOrphan

[objectreference].WidowOrphan = widoworphanvalue

Legal values

True False

Usage


Word Pro: Width property

 See list of classes

 See example

(Read-write) The width of the layout border.

Data Type

Twips

Syntax

widthvalue = [objectreference].Width [objectreference].Width = widthvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: WidthAbove property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

widthabovevalue = [objectreference].WidthAbove

[objectreference].WidthAbove = widthabovevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: WidthBelow property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

widthbelowvalue = [objectreference].WidthBelow

[objectreference].WidthBelow = widthbelowvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: WidthInTwips property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

widthintwipsvalue = [objectreference].WidthInTwips [objectreference].WidthInTwips = widthintwipsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: WidthOfColumn property

 See list of classes

 See example

(Read-write)

Data Type

Twips

Syntax

widthofcolumnvalue = [objectreference].WidthOfColumn

[objectreference].WidthOfColumn = widthofcolumnvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: WindowId property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

windowidvalue = [objectreference].WindowId

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: WindowsName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

windowsnamevalue = [objectreference].WindowsName

[objectreference].WindowsName = windowsnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: WithComments property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

withcommentsvalue = [objectreference].WithComments [objectreference].WithComments = withcommentsvalue

Legal values

True False

Usage


Word Pro: WordDoubleUnderline property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

worddoubleunderlinevalue = [objectreference].WordDoubleUnderline

[objectreference].WordDoubleUnderline = worddoubleunderlinevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: WordUnderline property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

wordunderlinevalue = [objectreference].WordUnderline

[objectreference].WordUnderline = wordunderlinevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: WorkingType property

 See list of classes

 See example

(Read-write)

Data Type

Bool

Syntax

workingtypevalue = [objectreference].WorkingType

[objectreference].WorkingType = workingtypevalue

Legal values

True

False

Usage


Word Pro: WrapType property

 See list of classes

 See example

(Read-write) Specifies how text should wrap around a layout object such as a frame or a table.

Data Type

WrapType

Variant (Enumerated)

Syntax

wraptypevalue = [objectreference].WrapType

[objectreference].WrapType = wraptypevalue

Legal values

$LwpWrapLayoutWrapRight (1999)

Wrap text to the right of this layout object.

$LwpWrapTypeLayoutNoWrapAround (1997)

Don't wrap text. Flow text behind this layout object.

$LwpWrapTypeLayoutNoWrapBeside (1996)

Wrap text above and below this layout object but not beside it.

$LwpWrapTypeLayoutWrapAround (1995)

Wrap text on the side of the layout which has more space.

$LwpWrapTypeLayoutWrapLeft (1998)

Wrap text to the left of this layout object.

$LwpWrapTypeLayoutWrapRight (2070)

Usage


Word Pro: XOffset property

 See list of classes

 See example

(Read-write) Offsets the content of a layout without requiring a change in margins.

Data Type

Twips

Syntax

xoffsetvalue = [objectreference].XOffset [objectreference].XOffset = xoffsetvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: XPosition property

 See list of classes

 See example

(Read-write) The X coordinate for the origin of this layout.

Data Type

Twips

Syntax

xpositionvalue = [objectreference].XPosition

[objectreference].XPosition = xpositionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: YOffset property

 See list of classes

 See example

(Read-write) Offsets the content of a layout without requiring a change in margins.

Data Type

Twips

Syntax

yoffsetvalue = [objectreference].YOffset

[objectreference].YOffset = yoffsetvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: YPosition property

 See list of classes

 See example

(Read-write) The X coordinate for the origin of this layout.

Data Type

Twips

Syntax

ypositionvalue = [objectreference].YPosition

[objectreference].YPosition = ypositionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: ZipCode property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

zipcodevalue = [objectreference].ZipCode

[objectreference].ZipCode = zipcodevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Word Pro: Accelerators property

 See list of classes

 See example

(Read-only)

Data Type

Accelerators

Syntax

acceleratorsvalue = [objectreference].Accelerators

Legal values

Always contains an instance of the Accelerators class.

Usage


Word Pro: ActiveDocument property

 See list of classes

 See example

(Read-only) Returns the TextDocument object which is active when this property is read.

Data Type

TextDocument

Syntax

variablename = WPApplication.ActiveDocument

WPApplication.ActiveDocument = variablename

Where variablename is the name of a variable of type TextDocument.

activedocumentvalue = [objectreference].ActiveDocument

bn

Legal values

Always contains an instance of the TextDocument class.

Usage

Use this property from the WordPro object when you want to use

the currently active TextDocument object and any of its

properties, methods, or events.


Word Pro: ActiveDocWindow property

 See list of classes

 See example

(Read-only) Returns the currently active DocWindow object. The DocWindow object provides access to the most basic functions of a document window including the position, size, and appearance of a particular document's window.

Data Type

DocWindow

Syntax

variablename = WPApplication.ActiveDocWindow

WPApplication.ActiveDocWindow = variablename

Where variablename is the name of a variable of type DocWindow.

activedocwindowvalue = [objectreference].ActiveDocWindow

Legal values

Always contains an instance of the DocWindow class.

Usage

Use this property when you want to access the properties,

methods, or events of the currently active DocWindow object.


Word Pro: Alignment property

 See list of classes

 See example

(Read-only)

Data Type

Alignment

Syntax

alignmentvalue = [objectreference].Alignment

Legal values

Always contains an instance of the Alignment class.

Usage


Word Pro: AllBorders property

 See list of classes

 See example

(Read-only)

Data Type

Border

Syntax

allbordersvalue = [objectreference].AllBorders

Legal values

Always contains an instance of the Border class.

Usage


Word Pro: Amikake property

 See list of classes

 See example

(Read-only) Holds a text background object for the Asian language versions of Word Pro. If you are using an English language version of Word Pro, this property is not available.

Data Type

Amikake

Syntax

amikakevalue = [objectreference].Amikake

Legal values

Always contains an instance of the Amikake class.

Usage


Word Pro: AnyNumber property

 See list of classes

 See example

(Read-only)

Data Type

NumericFormatSubset

Syntax

anynumbervalue = [objectreference].AnyNumber

Legal values

Always contains an instance of the NumericFormatSubset class.

Usage


Word Pro: Application property

 See list of classes

 See example

(Read-only) The Application property provides access to an object's Application object. This is particularly useful when you need to make sure that the object you have selected comes from one Lotus application instead of another. For example, when you find a Border object you can check to be sure that its Application object is the WordPro application instead of the Lotus 123 application.

This property is defined in the BaseObject class and shared by all Lotus applications which provide LotusScript functionality. In each Lotus application, this property contains the object instance of that application. In Word Pro, this property contains the Word Pro object which is an instance of the WPApplication class.

Data Type

WPApplication

Syntax

applicationvalue = [objectreference].Application

Legal values

Always contains an instance of the WPApplication class.

Usage

Use this property to access the Word Pro application and the

objects contained in its properties. You can use this property

when you want to use the properties, methods, or events defined

in the WPApplication class.


Word Pro: ApplicationWindow property

 See list of classes

 See example

(Read-only) Returns the ApplicationWindow object for the currently active WordPro object.

Data Type

ApplicationWindow

Syntax

WPApplication.ApplicationWindow

applicationwindowvalue = [objectreference].ApplicationWindow

bn

Legal values

Always contains an instance of the ApplicationWindow class.

Usage

This property gives you access to the ApplicationWindow object

which allows you to control the size, position, and appearance of

the Word Pro application window. See the definition of the

ApplicationWindow class for more information on how to make use

of this property.


Word Pro: AppViewPrefs property

 See list of classes

 See example

(Read-only)

Data Type

AppViewPrefs

Syntax

appviewprefsvalue = [objectreference].AppViewPrefs

Legal values

Always contains an instance of the AppViewPrefs class.

Usage


Word Pro: Attributes property

 See list of classes

 See example

(Read-only)

Data Type

Attributes

Syntax

attributesvalue = [objectreference].Attributes

Legal values

Always contains an instance of the Attributes class.

Usage


Word Pro: AutoRunMacro property

 See list of classes

 See example

(Read-only)

Data Type

AutoRunMacro

Syntax

autorunmacrovalue = [objectreference].AutoRunMacro

Legal values

Always contains an instance of the AutoRunMacro class.

Usage


Word Pro: BackColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

backcolorvalue = [objectreference].Backcolor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: Background property

 See list of classes

 See example

(Read-only)

Data Type

Background

Syntax

backgroundvalue = [objectreference].Background

Legal values

Always contains an instance of the Background class.

Usage


Word Pro: BackupPaths property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

backuppathsvalue = [objectreference].BackupPaths

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: Bags property

 See list of classes

 See example

(Read-only)

Data Type

BagCollection

Syntax

bagsvalue = [objectreference].Bags

Legal values

Always contains an instance of the BagCollection class.

Usage


Word Pro: BaseTable property

 See list of classes

 See example

(Read-only)

Data Type

BaseTable

Syntax

basetablevalue = [objectreference].BaseTable

Legal values

Always contains an instance of the BaseTable class.

Usage


Word Pro: BinNames property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

binnamesvalue = [objectreference].BinNames

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: BookmarkManager property

 See list of classes

 See example

(Read-only)

Data Type

BookmarkManager

Syntax

bookmarkmanagervalue = [objectreference].BookmarkManager

Legal values

Always contains an instance of the BookmarkManager class.

Usage


Word Pro: Bookmarks property

 See list of classes

 See example

(Read-only)

Data Type

BookmarkCollection

Syntax

bookmarksvalue = [objectreference].Bookmarks

Legal values

Always contains an instance of the BookmarkCollection class.

Usage


Word Pro: BookmarksByMarkerName property

 See list of classes

 See example

(Read-only)

Data Type

BookmarkCollection

Syntax

bookmarksbymarkernamevalue = [objectreference].BoomarksByMarkerName

Legal values

Always contains an instance of the BookmarkCollection class.

Usage


Word Pro: BorderLines property

 See list of classes

 See example

(Read-only)

Data Type

BorderLines

Syntax

borderlinesvalue = [objectreference].BorderLines

Legal values

Always contains an instance of the BorderLines class.

Usage


Word Pro: BottomBorder property

 See list of classes

 See example

(Read-only)

Data Type

Border

Syntax

bottombordervalue = [objectreference].BottomBorder

Legal values

Always contains an instance of the Border class.

Usage


Word Pro: Breaks property

 See list of classes

 See example

(Read-only)

Data Type

Breaks

Syntax

breaksvalue = [objectreference].Breaks

Legal values

Always contains an instance of the Breaks class.

Usage


Word Pro: Bullet property

 See list of classes

 See example

(Read-only)

Data Type

Bullet

Syntax

bulletvalue = [objectreference].Bullet

Legal values

Always contains an instance of the Bullet class.

Usage


Word Pro: Cell property

 See list of classes

 See example

(Read-only)

Data Type

CellContainer

Syntax

propertycellvalue = [objectreference].Cell

Legal values

Always contains an instance of the CellContainer class.

Usage


Word Pro: CellEngine property

 See list of classes

 See example

(Read-only)

Data Type

CellEngine

Syntax

cellenginevalue = [objectreference].Cell Engine

Legal values

Always contains an instance of the CellEngine class.

Usage


Word Pro: CellEngines property

 See list of classes

 See example

(Read-only)

Data Type

CellCollection

Syntax

cellenginesvalue = [objectreference].CellEngines

Legal values

Always contains an instance of the CellCollection class.

Usage


Word Pro: CellLayout property

 See list of classes

 See example

(Read-only)

Data Type

CellLayout

Syntax

celllayoutvalue = [objectreference].CellLayout

Legal values

Always contains an instance of the CellLayout class.

Usage


Word Pro: CellLayouts property

 See list of classes

 See example

(Read-only)

Data Type

CellLayoutCollection

Syntax

celllayoutsvalue = [objectreference].CellLayouts

Legal values

Always contains an instance of the CellLayoutCollection class.

Usage


Word Pro: CellLayoutStyles property

 See list of classes

 See example

(Read-only)

Data Type

CellLayoutCollection

Syntax

celllayoutstyles[objectreference].CellLayoutStyles

Legal values

Always contains an instance of the CellLayoutCollection class.

Usage


Word Pro: CharacterBorder property

 See list of classes

 See example

(Read-only)

Data Type

CharacterBorder

Syntax

characterbordervalue = [objectreference].CharacterBorder

Legal values

Always contains an instance of the CharacterBorder class.

Usage


Word Pro: CharacterSet property

 See list of classes

 See example

(Read-only)

Data Type

CharacterSet

Syntax

charactersetvalue = [objectreference].CharacterSet

Legal values

Always contains an instance of the CharacterSet class.

Usage


Word Pro: CharacterStyle property

 See list of classes

 See example

(Read-only)

Data Type

CharacterStyle

Syntax

characterstylevalue = [objectreference].CharacterStyle

Legal values

Always contains an instance of the CharacterStyle class.

Usage


Word Pro: CharacterStyles property

 See list of classes

 See example

(Read-only)

Data Type

CharacterStyleCollection

Syntax

characterstylesvalue = [objectreference].CharacterStyles

Legal values

Always contains an instance of the CharacterStyleCollection class.

Usage


Word Pro: ChildLayouts property

 See list of classes

 See example

(Read-only) Lists the child layouts

Data Type

LayoutCollection

Syntax

childlayoutsvalue = [objectreference].ChildLayouts

Legal values

Always contains an instance of the LayoutCollection class.

Usage


Word Pro: ClickHeres property

 See list of classes

 See example

(Read-only)

Data Type

ClickHereCollection

Syntax

clickheresvalue = [objectreference].ClickHeres

Legal values

Always contains an instance of the ClickHereCollection class.

Usage


Word Pro: Color property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

colorvalue = [objectreference].Color

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: ColumnLayouts property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

columnlayoutsvalue = [objectreference].ColumnLayouts

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: CommentColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

commentcolorvalue = [objectreference].CommentColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: ConnectedLayouts property

 See list of classes

 See example

(Read-only)

Data Type

ConnectedLayoutCollection

Syntax

connectedlayoutsvalue = [objectreference].ConnectedLayouts

Legal values

Always contains an instance of the ConnectedLayoutCollection class.

Usage


Word Pro: Container property

 See list of classes

 See example

(Read-only)

Data Type

BaseContainer

Syntax

containervalue = [objectreference].Container

Legal values

Always contains an instance of the BaseContainer class.

Usage


Word Pro: Content property

 See list of classes

 See example

(Read-only) The content of a layout object.

Data Type

Content

Syntax

contentvalue = [objectreference].Content

Legal values

Always contains an instance of the Content class.

Usage


Word Pro: ContentLayouts property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

contentlayouts[objectreference].ContentsLayouts

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: ContextMenuOptions property

 See list of classes

 See example

(Read-only)

Data Type

ContextMenuOptions

Syntax

contextmenuoptionsvalue = [objectreference].ContextMenuOptions

Legal values

Always contains an instance of the ContextMenuOptions class.

Usage


Word Pro: Controls property

 See list of classes

 See example

(Read-only)

Data Type

LwpControls

Syntax

controlsvalue = [objectreference].Controls

Legal values

Always contains an instance of the LwpControls class.

Usage


Word Pro: CurrentCell property

 See list of classes

 See example

(Read-only)

Data Type

CellLayout

Syntax

currentcellvalue = [objectreference].CurrentCell

Legal values

Always contains an instance of the CellLayout class.

Usage


Word Pro: CurrentEditor property

 See list of classes

 See example

(Read-only)

Data Type

Editor

Syntax

currenteditor[objectreference].CurrentEditor

Legal values

Always contains an instance of the Editor class.

Usage


Word Pro: CurrentVersion property

 See list of classes

 See example

(Read-only)

Data Type

Version

Syntax

currentversionvalue = [objectreference].CurrentVision

Legal values

Always contains an instance of the Version class.

Usage


Word Pro: DataNames property

 See list of classes

 See example

(Read-only) All the variable names in a ScriptDataSet.

Data Type

StringCollection

Syntax

datanamesvalue = [objectreference].DataNames

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: DdeLinkManager property

 See list of classes

 See example

(Read-only)

Data Type

DdeLinkManager

Syntax

ddelinkmanagervalue = [objectreference].DdeLinkManager

Legal values

Always contains an instance of the DdeLinkManager class.

Usage


Word Pro: DdeLinks property

 See list of classes

 See example

(Read-only)

Data Type

DdeLinkCollection

Syntax

ddelinksvalue = [objectreference].DdeLinks

Legal values

Always contains an instance of the DdeLinkCollection class.

Usage


Word Pro: DdeLinksFromMarker property

 See list of classes

 See example

(Read-only)

Data Type

DdeLinkCollection

Syntax

ddelinkssfrommarkervalue = [objectreference].DdeLinksFromMarker

Legal values

Always contains an instance of the DdeLinkCollection class.

Usage


Word Pro: DeleteFont property

 See list of classes

 See example

(Read-only)

Data Type

Font

Syntax

deletefontvalue = [objectreference].DeleteFont

Legal values

Always contains an instance of the Font class.

Usage


Word Pro: DirectiveColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

directivecolorvalue = [objectreference].DirectiveColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: Division property

 See list of classes

 See example

(Read-only)

Data Type

Division

Syntax

divsionvalue = [objectreference].Division

Legal values

Always contains an instance of the Division class.

Usage


Word Pro: DivisionInfo property

 See list of classes

 See example

(Read-only)

Data Type

DivisionInfo

Syntax

divisioninfovalue = [objectreference].DivisionInfo

Legal values

Always contains an instance of the DivisionInfo class.

Usage


Word Pro: DivisionNames property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

divisionnamesvalue = [objectreference].DivisionNames

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: DivisionOptions property

 See list of classes

 See example

(Read-only)

Data Type

DivisionOptions

Syntax

divisionoptionsvalue = [objectreference].DivisionOptions

Legal values

Always contains an instance of the DivisionOptions class.

Usage


Word Pro: Divisions property

 See list of classes

 See example

(Read-only)

Data Type

DivisionCollection

Syntax

divisionsvalue = [objectreference].Divisions

Legal values

Always contains an instance of the DivisionCollection class.

Usage


Word Pro: DocControl property

 See list of classes

 See example

(Read-only)

Data Type

DocControl

Syntax

doccontrolvalue = [objectreference].DocControl

Legal values

Always contains an instance of the DocControl class.

Usage


Word Pro: DocInfo property

 See list of classes

 See example

(Read-only)

Data Type

DocInfo

Syntax

docinfovalue = [objectreference].DocInfo

Legal values

Always contains an instance of the DocInfo class.

Usage


Word Pro: DocOptions property

 See list of classes

 See example

(Read-only)

Data Type

Options

Syntax

docoptionsvalue = [objectreference].DocOptions

Legal values

Always contains an instance of the Options class.

Usage


Word Pro: Document property

 See list of classes

 See example

(Read-only)

Data Type

TextDocument

Syntax

documentvalue = [objectreference].Document

Legal values

Always contains an instance of the TextDocument class.

Usage


Word Pro: DocumentPaths property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

documentpathsvalue = [objectreference].DocumentPaths

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: Documents property

 See list of classes

 See example

(Read-only) Returns the collection of TextDocument objects which are open when this property is read.

Data Type

Documents

Syntax

WPApplication.Documents(itemreference)

documentsvalue = [objectreference].Documents

bn

Legal values

Always contains an instance of the Documents class.

Usage

Use this property when you want to access a TextDocument object

which is not currently active. For more information about

accessing objects in a collection, choose Help - Word Pro

Objects. Click Search and search for "collection".


Word Pro: DocWindows property

 See list of classes

 See example

(Read-only)

Data Type

DocWindowCollection

Syntax

docwindowsvalue = [objectreference].DocWindows

Legal values

Always contains an instance of the DocWindowCollection class.

Usage


Word Pro: EditorManager property

 See list of classes

 See example

(Read-only)

Data Type

EditorManager

Syntax

editormanagervalue = [objectreference].EditorManager

Legal values

Always contains an instance of the EditorManager class.

Usage


Word Pro: Editors property

 See list of classes

 See example

(Read-only)

Data Type

EditorCollection

Syntax

editorsvalue = [objectreference].Editors

Legal values

Always contains an instance of the EditorCollection class.

Usage


Word Pro: EndnoteDivisionGroupNum property

 See list of classes

 See example

(Read-only)

Data Type

EndnoteDivisionGroupNum

Syntax

endnotedivisiongroupnumvalue = [objectreference].EndnoteDivisionGroupNum

Legal values

Always contains an instance of the EndnoteDivisionGroupNum class.

Usage


Word Pro: EndnoteDivisionNum property

 See list of classes

 See example

(Read-only)

Data Type

EndnoteDivisionNum

Syntax

endnotedivisionnumvalue = [objectreference].EndnoteDivisionNum

Legal values

Always contains an instance of the EndnoteDivisionNum class.

Usage


Word Pro: EndnoteDocNum property

 See list of classes

 See example

(Read-only)

Data Type

EndnoteDocNum

Syntax

endnotedocnumvalue = [objectreference].EndnoteDocNum

Legal values

Always contains an instance of the EndnoteDocNum class.

Usage


Word Pro: Endnotes property

 See list of classes

 See example

(Read-only)

Data Type

EndnoteLayoutCollection

Syntax

endnotesvalue = [objectreference].Endnotes

Legal values

Always contains an instance of the EndnoteLayoutCollection class.

Usage


Word Pro: ErrorColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

errorcolorvalue = [objectreference].ErrorColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: FaceNames property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

facenamesvalue = [objectreference].FaceNames

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: FieldManager property

 See list of classes

 See example

(Read-only)

Data Type

DocInfoFieldManager

Syntax

fieldmanagervalue = [objectreference].FieldManager

Legal values

Always contains an instance of the DocInfoFieldManager class.

Usage


Word Pro: Fields property

 See list of classes

 See example

(Read-only)

Data Type

DocInfoFieldCollection

Syntax

fieldsvalue = [objectreference].Fields

Legal values

Always contains an instance of the DocInfoFieldCollection class.

Usage


Word Pro: FileProtection property

 See list of classes

 See example

(Read-only)

Data Type

FileProtection

Syntax

fileprotectionvalue = [objectreference].FileProtection

Legal values

Always contains an instance of the FileProtection class.

Usage


Word Pro: FillerPageText property

 See list of classes

 See example

(Read-only)

Data Type

Text

Syntax

fillerpagetextvalue = [objectreference].FillerPageText

Legal values

Always contains an instance of the Text class.

Usage


Word Pro: Filter property

 See list of classes

 See example

(Read-only)

Data Type

Filter

Syntax

filtervalue = [objectreference].Filter

Legal values

Always contains an instance of the Filter class.

Usage


Word Pro: FilterHelper property

 See list of classes

 See example

(Read-only)

Data Type

FilterHelper

Syntax

filterhelpervalue = [objectreference].FilterHelper

Legal values

Always contains an instance of the FilterHelper class.

Usage


Word Pro: FindAndReplace property

 See list of classes

 See example

(Read-only)

Data Type

FindAndReplace

Syntax

findandreplacevalue = [objectreference].FindAndReplace

Legal values

Always contains an instance of the FindAndReplace class.

Usage


Word Pro: FindFont property

 See list of classes

 See example

(Read-only)

Data Type

Font

Syntax

findfontvalue = [objectreference].FindFont

Legal values

Always contains an instance of the Font class.

Usage


Word Pro: Font property

 See list of classes

 See example

(Read-only)

Data Type

Font

Syntax

fontvalue = [objectreference].Font

Legal values

Always contains an instance of the Font class.

Usage


Word Pro: FontColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

fontcolorvalue = [objectreference].FontColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: FontMetrics property

 See list of classes

 See example

(Read-only)

Data Type

FontMetrics

Syntax

fontmetricsvalue = [objectreference].FontMetrics

Legal values

Always contains an instance of the FontMetrics class.

Usage


Word Pro: Footers property

 See list of classes

 See example

(Read-only)

Data Type

FooterLayoutCollection

Syntax

footersvalue = [objectreference].Footers

Legal values

Always contains an instance of the FooterLayoutCollection class.

Usage


Word Pro: FootnoteContSep property

 See list of classes

 See example

(Read-only)

Data Type

FootnoteContSep

Syntax

footnotecontsepvalue = [objectreference].FootnoteContSep

Legal values

Always contains an instance of the FootnoteContSep class.

Usage


Word Pro: FootnoteLayouts property

 See list of classes

 See example

(Read-only)

Data Type

FootnoteLayoutCollection

Syntax

footnotelayoutsvalue = [objectreference].FootnoteLayouts

Legal values

Always contains an instance of the FootnoteLayoutCollection class.

Usage


Word Pro: FootnoteNumbering property

 See list of classes

 See example

(Read-only)

Data Type

FootnoteNumbering

Syntax

footnotenumberingvalue = [objectreference].FootnoteNumbering

Legal values

Always contains an instance of the FootnoteNumbering class.

Usage


Word Pro: FootnoteOptions property

 See list of classes

 See example

(Read-only)

Data Type

FootnoteOptions

Syntax

footnoteoptionsvalue = [objectreference].FootnoteOptions

Legal values

Always contains an instance of the FootnoteOptions class.

Usage


Word Pro: Footnotes property

 See list of classes

 See example

(Read-only)

Data Type

FootnoteCollection

Syntax

footnotesvalue = [objectreference].Footnotes

Legal values

Always contains an instance of the FootnoteCollection class.

Usage


Word Pro: FootnoteSeparator property

 See list of classes

 See example

(Read-only)

Data Type

FootnoteSeparator

Syntax

footnoteseparatorvalue = [objectreference].FootnoteSeparator

Legal values

Always contains an instance of the FootnoteSeparator class.

Usage


Word Pro: Format property

 See list of classes

 See example

(Read-only)

Data Type

FormatPreferences

Syntax

formatvalue = [objectreference].Format

Legal values

Always contains an instance of the FormatPreferences class.

Usage


Word Pro: FormatCheckPreferences property

 See list of classes

 See example

(Read-only)

Data Type

FormatCheckPref

Syntax

formatcheckpreferencesvalue = [objectreference].FormatCheckPreferences

Legal values

Always contains an instance of the FormatCheckPref class.

Usage


Word Pro: Foundry property

 See list of classes

 See example

(Read-only) Off of WPApplication this gives the current division foundry.

Data Type

Foundry

Syntax

foundryvalue = [objectreference].Foundry

Legal values

Always contains an instance of the Foundry class.

Usage


Word Pro: Frame property

 See list of classes

 See example

(Read-only)

Data Type

FrameContainer

Syntax

framevalue = [objectreference].Frame

Legal values

Always contains an instance of the FrameContainer class.

Usage


Word Pro: Frames property

 See list of classes

 See example

(Read-only)

Data Type

FrameLayoutCollection

Syntax

framesvalue = [objectreference].Frames

Legal values

Always contains an instance of the FrameLayoutCollection class.

Usage


Word Pro: FrameStyles property

 See list of classes

 See example

(Read-only)

Data Type

FrameLayoutCollection

Syntax

framestylesvalue = [objectreference].FrameStyles

Legal values

Always contains an instance of the FrameLayoutCollection class.

Usage


Word Pro: FreeMenus property

 See list of classes

 See example

(Read-only)

Data Type

MenuItem

Syntax

freemenusvalue = [objectreference].FreeMenus

Legal values

Always contains an instance of the MenuItem class.

Usage


Word Pro: GlossaryDataFiles property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

glossarydatafilesvalue = [objectreference].GlossaryDataFiles

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: GlossaryDataPaths property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

glossarydatapathsvalue = [objectreference].GlossaryDataPaths

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: Glossarys property

 See list of classes

 See example

(Read-only)

Data Type

GlossaryCollection

Syntax

glossarysvalue = [objectreference].Glossarys

Legal values

Always contains an instance of the GlossaryCollection class.

Usage


Word Pro: GrammarOptions property

 See list of classes

 See example

(Read-only)

Data Type

Grammar

Syntax

grammaroptionsvalue = [objectreference].GrammarOptions

Legal values

Always contains an instance of the Grammar class.

Usage


Word Pro: Graphic property

 See list of classes

 See example

(Read-only)

Data Type

Graphic

Syntax

graphicvalue = [objectreference].Graphic

Legal values

Always contains an instance of the Graphic class.

Usage


Word Pro: GraphicExports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

graphicexportsvalue = [objectreference].GraphicExports

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: GraphicImports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

graphicimportsvalue = [objectreference].GraphicImports

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: GraphicOleObject property

 See list of classes

 See example

(Read-only)

Data Type

GraphicOleObject

Syntax

graphicoleobjectvalue = [objectreference].GraphicOleObject

Legal values

Always contains an instance of the GraphicOleObject class.

Usage


Word Pro: Graphics property

 See list of classes

 See example

(Read-only)

Data Type

GraphicCollection

Syntax

graphicsvalue = [objectreference].Graphics

Legal values

Always contains an instance of the GraphicCollection class.

Usage


Word Pro: Groups property

 See list of classes

 See example

(Read-only)

Data Type

GroupLayoutCollection

Syntax

groupsvalue = [objectreference].Groups

Legal values

Always contains an instance of the GroupLayoutCollection class.

Usage


Word Pro: Gutter property

 See list of classes

 See example

(Read-only) The border between two text columns. This border is always positioned in the center of the column gap.

Data Type

Gutter

Syntax

guttervalue = [objectreference].Gutter

Legal values

Always contains an instance of the Gutter class.

Usage


Word Pro: Headers property

 See list of classes

 See example

(Read-only)

Data Type

HeaderLayoutCollection

Syntax

headersvalue = [objectreference].Headers

Legal values

Always contains an instance of the HeaderLayoutCollection class.

Usage


Word Pro: HiLiteColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

hilitecolorvalue = [objectreference].HiLiteColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: HorzRuler property

 See list of classes

 See example

(Read-only)

Data Type

Ruler

Syntax

horzrulervalue = [objectreference].HorzRuler

Legal values

Always contains an instance of the Ruler class.

Usage


Word Pro: HyphenationOptions property

 See list of classes

 See example

(Read-only)

Data Type

HyphenationOptions

Syntax

hyphenationoptionsvalue = [objectreference].HyphenationOptions

Legal values

Always contains an instance of the HyphenationOptions class.

Usage


Word Pro: IconBarManager property

 See list of classes

 See example

(Read-only)

Data Type

IconBarManager

Syntax

iconbarmanagervalue = [objectreference].IconBarManager

Legal values

Always contains an instance of the IconBarManager class.

Usage


Word Pro: IconBars property

 See list of classes

 See example

(Read-only)

Data Type

IconBarCollection

Syntax

iconbarsvalue = [objectreference].IconBars

Legal values

Always contains an instance of the IconBarCollection class.

Usage


Word Pro: IconBarSets property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

iconbarsetsvalue = [objectreference].IconBarSets

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: IconPaths property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

iconpathsvalue = [objectreference].IconPaths

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: IdentifierColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

identifiercolorvalue = [objectreference].IdentifierColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: Indent property

 See list of classes

 See example

(Read-only)

Data Type

Indent

Syntax

indentvalue = [objectreference].Indent

Legal values

Always contains an instance of the Indent class.

Usage


Word Pro: InsertFont property

 See list of classes

 See example

(Read-only)

Data Type

Font

Syntax

insertfontvalue = [objectreference].InsertFont

Legal values

Always contains an instance of the Font class.

Usage


Word Pro: Items property

 See list of classes

 See example

(Read-only)

Data Type

MenuItemCollection

Syntax

itemsvalue = [objectreference].Items

Legal values

Always contains an instance of the MenuItemCollection class.

Usage


Word Pro: KeywordColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

keywordcolorvalue = [objectreference].KeywordColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: Kinsoku property

 See list of classes

 See example

(Read-only)

Data Type

Kinsoku

Syntax

kinsokuvalue = [objectreference].Kinsoku

Legal values

Always contains an instance of the Kinsoku class.

Usage


Word Pro: Language property

 See list of classes

 See example

(Read-only)

Data Type

Language

Syntax

languagevalue = [objectreference].Language

Legal values

Always contains an instance of the Language class.

Usage


Word Pro: Layout property

 See list of classes

 See example

(Read-only)

Data Type

Layout

Syntax

layoutvalue = [objectreference].Layout

Legal values

Always contains an instance of the Layout class.

Usage


Word Pro: LayoutOverride property

 See list of classes

 See example

(Read-only)

Data Type

LayoutOverride

Syntax

layoutoverridevalue = [objectreference].LayoutOverride

Legal values

Always contains an instance of the LayoutOverride class.

Usage


Word Pro: Layouts property

 See list of classes

 See example

(Read-only)

Data Type

LayoutCollection

Syntax

layoutsvalue = [objectreference].Layouts

Legal values

Always contains an instance of the LayoutCollection class.

Usage


Word Pro: LeftBorder property

 See list of classes

 See example

(Read-only)

Data Type

Border

Syntax

leftbordervalue = [objectreference].LeftBorder

Legal values

Always contains an instance of the Border class.

Usage


Word Pro: LeftPage property

 See list of classes

 See example

(Read-only) The left page of a complex layout.

Data Type

Layout

Syntax

leftpagevalue = [objectreference].LeftPage

Legal values

Always contains an instance of the Layout class.

Usage


Word Pro: LineNumberOptions property

 See list of classes

 See example

(Read-only)

Data Type

LineNumberOptions

Syntax

linenumberoptionsvalue = [objectreference].LineNumberOptions

Legal values

Always contains an instance of the LineNumberOptions class.

Usage


Word Pro: LwpMenuBar property

 See list of classes

 See example

(Read-only)

Data Type

MenuItem

Syntax

lwpmenubarvalue = [objectreference].LwpMenuBar

Legal values

Always contains an instance of the MenuItem class.

Usage


Word Pro: Macro property

 See list of classes

 See example

(Read-only)

Data Type

Macro

Syntax

macrovalue = [objectreference].Macro

Legal values

Always contains an instance of the Macro class.

Usage


Word Pro: MacroPaths property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

macropathsvalue = [objectreference].MacroPaths

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: MailRouting property

 See list of classes

 See example

(Read-only)

Data Type

MailRouting

Syntax

mailroutingvalue = [objectreference].MailRouting

Legal values

Always contains an instance of the MailRouting class.

Usage


Word Pro: MarginColor property

 See list of classes

 See example

(Read-only) The color of a document's margin as seen in Layout view.

Data Type

Color

Syntax

margincolorvalue = [objectreference].MarginColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: Markers property

 See list of classes

 See example

(Read-only)

Data Type

MarkerCollection

Syntax

markersvalue = [objectreference].Markers

Legal values

Always contains an instance of the MarkerCollection class.

Usage


Word Pro: Master property

 See list of classes

 See example

(Read-only)

Data Type

TextDocument

Syntax

mastervalue = [objectreference].Master

Legal values

Always contains an instance of the TextDocument class.

Usage


Word Pro: MergeOptions property

 See list of classes

 See example

(Read-only)

Data Type

MergeOptions

Syntax

mergeoptionsvalue = [objectreference].MergeOptions

Legal values

Always contains an instanc

e of the MergeOptions class.

Usage


Word Pro: Negative property

 See list of classes

 See example

(Read-only)

Data Type

NumericFormatSubset

Syntax

negativevalue = [objectreference].Negative

Legal values

Always contains an instance of the NumericFormatSubset class.

Usage


Word Pro: NoteColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

notecolorvalue = [objectreference].NoteColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: NoteLayouts property

 See list of classes

 See example

(Read-only)

Data Type

NoteLayoutCollection

Syntax

notelayoutsvalue = [objectreference].NoteLayouts

Legal values

Always contains an instance of the NoteLayoutCollection class.

Usage


Word Pro: Numbering property

 See list of classes

 See example

(Read-only)

Data Type

Numbering

Syntax

numberingvalue = [objectreference].Numbering

Legal values

Always contains an instance of the Numbering class.

Usage


Word Pro: NumericFormat property

 See list of classes

 See example

(Read-only)

Data Type

NumericFormat

Syntax

numericformatvalue = [objectreference].NumericFormat

Legal values

Always contains an instance of the NumericFormat class.

Usage


Word Pro: OleObject property

 See list of classes

 See example

(Read-only)

Data Type

OleObject

Syntax

oleobjectvalue = [objectreference].OleObject

Legal values

Always contains an instance of the OleObject class.

Usage


Word Pro: OleObjects property

 See list of classes

 See example

(Read-only)

Data Type

OleObjectCollection

Syntax

oleobjectsvalue = [objectreference].OleObjects

Legal values

Always contains an instance of the OleObjectCollection class.

Usage


Word Pro: OutlineBorderLines property

 See list of classes

 See example

(Read-only)

Data Type

BorderLines

Syntax

outlineborderlinesvalue = [objectreference].OutlineBorderLines

Legal values

Always contains an instance of the BorderLines class.

Usage


Word Pro: OutlineSeqItems property

 See list of classes

 See example

(Read-only)

Data Type

OutlineSeqItemCollection

Syntax

outlineseqitemsvalue = [objectreference].OutlineSeqItems

Legal values

Always contains an instance of the OutlineSeqItemCollection class.

Usage


Word Pro: OutlineStyleSequences property

 See list of classes

 See example

(Read-only)

Data Type

OutlineSeqCollection

Syntax

outlinestylesequencesvalue = [objectreference].OutlineStyleSequences

Legal values

Always contains an instance of the OutlineSeqCollection class.

Usage


Word Pro: Page property

 See list of classes

 See example

(Read-only)

Data Type

PageContainer

Syntax

pagevalue = [objectreference].Page

Legal values

Always contains an instance of the PageContainer class.

Usage


Word Pro: Pages property

 See list of classes

 See example

(Read-only)

Data Type

PageLayoutCollection

Syntax

pagesvalue = [objectreference].Pages

Legal values

Always contains an instance of the PageLayoutCollection class.

Usage


Word Pro: PageStyles property

 See list of classes

 See example

(Read-only)

Data Type

PageLayoutCollection

Syntax

pagestylesvalue = [objectreference].PageStyles

Legal values

Always contains an instance of the PageLayoutCollection class.

Usage


Word Pro: PaneColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

panecolorvalue = [objectreference].PaneColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: PaperNames property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

papernamesvalue = [objectreference].PaperNames

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: ParagraphBorder property

 See list of classes

 See example

(Read-only)

Data Type

ParagraphBorder

Syntax

paragraphbordervalue = [objectreference].ParagraphBorder

Legal values

Always contains an instance of the ParagraphBorder class.

Usage


Word Pro: ParagraphStyle property

 See list of classes

 See example

(Read-only)

Data Type

ParagraphStyle

Syntax

paragraphstylevalue = [objectreference].ParagraphStyle

Legal values

Always contains an instance of the ParagraphStyle class.

Usage


Word Pro: ParagraphStyles property

 See list of classes

 See example

(Read-only)

Data Type

ParagraphStyleCollection

Syntax

paragraphstylesvalue = [objectreference].ParagraphStyles

Legal values

Always contains an instance of the ParagraphStyleCollection class.

Usage


Word Pro: ParallelColumns property

 See list of classes

 See example

(Read-only)

Data Type

ParallelColumns

Syntax

parallelcolumnsvalue = [objectreference].ParallelColumns

Legal values

Always contains an instance of the ParallelColumns class.

Usage


Word Pro: Parent property

 See list of classes

 See example

(Read-only) The Parent property allows you to access the parent of an object. This is usefule when you need to get to the object which contains another object as a property. For example, when you work with a Color object, it might be contained by a Text object, or a Background object, or some other object. You can determine which object contains the color object by accessing the Color object's Parent property.

Data Type

BaseObject

Syntax

parentvalue = [objectreference].Parent

Legal values

Always contains an instance of the BaseObject class.

Usage


Word Pro: PowerFields property

 See list of classes

 See example

(Read-only)

Data Type

PowerFieldCollection

Syntax

powerfieldsvalue = [objectreference].PowerFields

Legal values

Always contains an instance of the PowerFieldCollection class.

Usage


Word Pro: Preferences property

 See list of classes

 See example

(Read-only)

Data Type

Preferences

Syntax

preferencesvalue = [objectreference].Preferences

Legal values

Always contains an instance of the Preferences class.

Usage


Word Pro: Presentation property

 See list of classes

 See example

(Read-only)

Data Type

Presentation

Syntax

presentationvalue = [objectreference].Presentation

Legal values

Always contains an instance of the Presentation class.

Usage


Word Pro: PrintManager property

 See list of classes

 See example

(Read-only)

Data Type

PrintManager

Syntax

printmanagervalue = [objectreference].PrintManager

Legal values

Always contains an instance of the PrintManager class.

Usage


Word Pro: PrintSettings property

 See list of classes

 See example

(Read-only)

Data Type

PrintSettings

Syntax

printsettingsvalue = [objectreference].PrintSettings

Legal values

Always contains an instance of the PrintSettings class.

Usage


Word Pro: Prompt property

 See list of classes

 See example

(Read-only) The prompt text for a ClickHere object.

Data Type

Text

Syntax

promptvalue = [objectreference].Prompt

Legal values

Always contains an instance of the Text class.

Usage


Word Pro: RelativeIndent property

 See list of classes

 See example

(Read-only)

Data Type

RelativeIndent

Syntax

relativeindentvalue = [objectreference].RelativeIndent

Legal values

Always contains an instance of the RelativeIndent class.

Usage


Word Pro: ReplaceAttributes property

 See list of classes

 See example

(Read-only)

Data Type

Attributes

Syntax

replaceattributesvalue = [objectreference].ReplaceAttributes

Legal values

Always contains an instance of the Attributes class.

Usage


Word Pro: ReplaceFont property

 See list of classes

 See example

(Read-only)

Data Type

Font

Syntax

replacefontvalue = [objectreference].ReplaceFont

Legal values

Always contains an instance of the Font class.

Usage


Word Pro: ReplaceLanguage property

 See list of classes

 See example

(Read-only)

Data Type

Language

Syntax

replacelanguagevalue = [objectreference].ReplaceLanguage

Legal values

Always contains an instance of the Language class.

Usage


Word Pro: ReviewVersions property

 See list of classes

 See example

(Read-only)

Data Type

ReviewVersions

Syntax

reviewversionsvalue = [objectreference].ReviewVersions

Legal values

Always contains an instance of the ReviewVersions class.

Usage


Word Pro: RevisionDisplay property

 See list of classes

 See example

(Read-only)

Data Type

RevisionDisplay

Syntax

revisiondisplayvalue = [objectreference].RevisionDisplay

Legal values

Always contains an instance of the RevisionDisplay class.

Usage


Word Pro: RevisionMark property

 See list of classes

 See example

(Read-only)

Data Type

Revision

Syntax

revisionmarkvalue = [objectreference].RevisionMark

Legal values

Always contains an instance of the Revision class.

Usage


Word Pro: RightBorder property

 See list of classes

 See example

(Read-only)

Data Type

Border

Syntax

rightbordervalue = [objectreference].RightBorder

Legal values

Always contains an instance of the Border class.

Usage


Word Pro: RightMouseMenus property

 See list of classes

 See example

(Read-only)

Data Type

MenuItem

Syntax

rightmousemenusvalue = [objectreference].RightMouseMenus

Legal values

Always contains an instance of the MenuItem class.

Usage


Word Pro: RightPage property

 See list of classes

 See example

(Read-only) The right page of a complex layout.

Data Type

Layout

Syntax

rightpagevalue = [objectreference].RightPage

Legal values

Always contains an instance of the Layout class.

Usage


Word Pro: RowLayouts property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

rowlayoutsvalue = [objectreference].RowLayouts

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: Rows property

 See list of classes

 See example

(Read-only)

Data Type

RowLayoutCollection

Syntax

rowsvalue = [objectreference].Rows

Legal values

Always contains an instance of the RowLayoutCollection class.

Usage


Word Pro: RubyLayouts property

 See list of classes

 See example

(Read-only)

Data Type

RubyLayoutCollection

Syntax

rubylayoutsvalue = [objectreference].RubyLayouts

Legal values

Always contains an instance of the RubyLayoutCollection class.

Usage


Word Pro: Script property

 See list of classes

 See example

(Read-only)

Data Type

Script

Syntax

scriptvalue = [objectreference].Script

Legal values

Always contains an instance of the Script class.

Usage


Word Pro: SearchAttributes property

 See list of classes

 See example

(Read-only)

Data Type

Attributes

Syntax

searchattributesvalue = [objectreference].SearchAttributes

Legal values

Always contains an instance of the Attributes class.

Usage


Word Pro: SearchLanguage property

 See list of classes

 See example

(Read-only)

Data Type

Language

Syntax

searchlanguagevalue = [objectreference].SearchLanguage

Legal values

Always contains an instance of the Language class.

Usage


Word Pro: Sections property

 See list of classes

 See example

(Read-only)

Data Type

SectionCollection

Syntax

sectionsvalue = [objectreference].Sections

Legal values

Always contains an instance of the SectionCollection class.

Usage


Word Pro: SectionTabs property

 See list of classes

 See example

(Read-only)

Data Type

SectionTabs

Syntax

sectiontabsvalue = [objectreference].SectionTabs

Legal values

Always contains an instance of the SectionTabs class.

Usage


Word Pro: SelectionBorderColor1 property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

selectionbordercolor1value = [objectreference].SelectionBorderColor1

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: SelectionBorderColor2 property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

selectionbordercolor2value = [objectreference].SelectionBorderColor2

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: SelectionBorderColor3 property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

selectionbordercolor3value = [objectreference].SelectionBorderColor3

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: SetTabsDialog property

 See list of classes

 See example

(Read-only)

Data Type

SetTabsDialog

Syntax

settabsdialogvalue = [objectreference].SetTabsDialog

Legal values

Always contains an instance of the SetTabsDialog class.

Usage


Word Pro: SilverBullet property

 See list of classes

 See example

(Read-only)

Data Type

SilverBullet

Syntax

silverbulletvalue = [objectreference].SilverBullet

Legal values

Always contains an instance of the SilverBullet class.

Usage


Word Pro: SilverBullets property

 See list of classes

 See example

(Read-only)

Data Type

SilverBulletCollection

Syntax

silverbulletsvalue = [objectreference].SilverBullets

Legal values

Always contains an instance of the SilverBulletCollection class.

Usage


Word Pro: SmartCorrect property

 See list of classes

 See example

(Read-only)

Data Type

SmartCorrect

Syntax

smartcorrectvalue = [objectreference].SmartCorrect

Legal values

Always contains an instance of the SmartCorrect class.

Usage


Word Pro: SnapShotSaveOptions property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

snapshotsaveoptionsvalue = [objectreference].SnapShotSaveOptions

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: SortLevel1 property

 See list of classes

 See example

(Read-only)

Data Type

SortKey

Syntax

sortlevel1value = [objectreference].SortLevel1

Legal values

Always contains an instance of the SortKey class.

Usage


Word Pro: SortLevel2 property

 See list of classes

 See example

(Read-only)

Data Type

SortKey

Syntax

sortlevel2value = [objectreference].SortLevel2

Legal values

Always contains an instance of the SortKey class.

Usage


Word Pro: SortLevel3 property

 See list of classes

 See example

(Read-only)

Data Type

SortKey

Syntax

sortlevel3value = [objectreference].SortLevel3

Legal values

Always contains an instance of the SortKey class.

Usage


Word Pro: SortOptions property

 See list of classes

 See example

(Read-only)

Data Type

SortOptions

Syntax

sortoptionsvalue = [objectreference].SortOptions

Legal values

Always contains an instance of the SortOptions class.

Usage


Word Pro: Spacing property

 See list of classes

 See example

(Read-only)

Data Type

Spacing

Syntax

spacingvalue = [objectreference].Spacing

Legal values

Always contains an instance of the Spacing class.

Usage


Word Pro: SpellColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

spellcolorvalue = [objectreference].SpellColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: SpellFocusedColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

spellfocusedcolorvalue = [objectreference].SpellFocusesColor

Legal values

Always contains an instance of the Color class.

Usage


Word Pro: StatusBar property

 See list of classes

 See example

(Read-only)

Data Type

StatusBar

Syntax

statusbarvalue = [objectreference].StatusBar

Legal values

Always contains an instance of the StatusBar class.

Usage


Word Pro: StatusBarButtons property

 See list of classes

 See example

(Read-only)

Data Type

StatusBarButtonCollection

Syntax

statusbarbuttonsvalue = [objectreference].StatusBarButtons

Legal values

Always contains an instance of the StatusBarButtonCollection class.

Usage


Word Pro: Style property

 See list of classes

 See example

(Read-only) The Layout object which served as the style for this Layout.

Data Type

Layout

Syntax

stylevalue = [objectreference].Style

Legal values

Always contains an instance of the Layout class.

Usage


Word Pro: StylePaths property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

stylepathsvalue = [objectreference].StylePaths

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: SuperTableContainer property

 See list of classes

 See example

(Read-only)

Data Type

SuperTableContainer

Syntax

supertablecontainervalue = [objectreference].SuperTableContainer

Legal values

Always contains an instance of the SuperTableContainer class.

Usage


Word Pro: SuperTableLayouts property

 See list of classes

 See example

(Read-only)

Data Type

SuperTableLayoutCollection

Syntax

supertablelayoutsvalue = [objectreference].SuperTableLayouts

Legal values

Always contains an instance of the SuperTableLayoutCollection class.

Usage


Word Pro: SuperTables property

 See list of classes

 See example

(Read-only)

Data Type

SuperTableCollection

Syntax

supertablesvalue = [objectreference].SuperTables

Legal values

Always contains an instance of the SuperTableCollection class.

Usage


Word Pro: Table property

 See list of classes

 See example

(Read-only)

Data Type

Table

Syntax

tablevalue = [objectreference].Table

Legal values

Always contains an instance of the Table class.

Usage


Word Pro: TableContainer property

 See list of classes

 See example

(Read-only)

Data Type

TableContainer

Syntax

tablecontainervalue = [objectreference].TableContainer

Legal values

Always contains an instance of the TableContainer class.

Usage


Word Pro: TableExports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

tableexportsvalue = [objectreference].TableExports

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: TableFill property

 See list of classes

 See example

(Read-only)

Data Type

TableFill

Syntax

tablefillvalue = [objectreference].TableFill

Legal values

Always contains an instance of the TableFill class.

Usage


Word Pro: TableHeadingLayouts property

 See list of classes

 See example

(Read-only)

Data Type

TableHeadingLayoutCollection

Syntax

tableheadinglayoutsvalue = [objectreference].TableHeadingLayouts

Legal values

Always contains an instance of the TableHeadingLayoutCollection class.

Usage


Word Pro: TableHeadings property

 See list of classes

 See example

(Read-only)

Data Type

TableHeadingCollection

Syntax

tableheadingsvalue = [objectreference].TableHeadings

Legal values

Always contains an instance of the TableHeadingCollection class.

Usage


Word Pro: TableImports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

tableimportsvalue = [objectreference].TableImports

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: TableLayouts property

 See list of classes

 See example

(Read-only)

Data Type

TableLayoutCollection

Syntax

tablelayoutsvalue = [objectreference].TableLayouts

Legal values

Always contains an instance of the TableLayoutCollection class.

Usage


Word Pro: TableLine property

 See list of classes

 See example

(Read-only)

Data Type

TableLine

Syntax

tablelinevalue = [objectreference].TableLine

Legal values

Always contains an instance of the TableLine class.

Usage


Word Pro: TableMarkers property

 See list of classes

 See example

(Read-only)

Data Type

TableMarkerCollection

Syntax

tablemarkersvalue = [objectreference].TableMarkers

Legal values

Always contains an instance of the TableMarkerCollection class.

Usage


Word Pro: TableOnlyContainer property

 See list of classes

 See example

(Read-only)

Data Type

TableOnlyCont

Syntax

tableonlycontainervalue = [objectreference].TableOnlyContainer

Legal values

Always contains an instance of the TableOnlyCont class.

Usage


Word Pro: Tables property

 See list of classes

 See example

(Read-only)

Data Type

TableOnlyCollection

Syntax

tablesvalue = [objectreference].Tables

Legal values

Always contains an instance of the TableOnlyCollection class.

Usage


Word Pro: TableStyles property

 See list of classes

 See example

(Read-only)

Data Type

TableLayoutCollection

Syntax

tablestylesvalue = [objectreference].TableStyles

Legal values

Always contains an instance of the TableLayoutCollection class.

Usage


Word Pro: TabRack property

 See list of classes

 See example

(Read-only) The TabRack for a layout.

Data Type

TabRack

Syntax

tabrackvalue = [objectreference].TabRack

Legal values

Always contains an instance of the TabRack class.

Usage


Word Pro: TempFindAndReplace property

 See list of classes

 See example

(Read-only)

Data Type

FindAndReplace

Syntax

tempfindandreplacevalue = [objectreference].TempFindAndReplace

Legal values

Always contains an instance of the FindAndReplace class.

Usage


Word Pro: TempFoundry property

 See list of classes

 See example

(Read-only)

Data Type

Foundry

Syntax

tempfoundryvalue = [objectreference].TempFoundry

Legal values

Always contains an instance of the Foundry class.

Usage


Word Pro: Text property

 See list of classes

 See example

(Read-only)

Data Type

Text

Syntax

textvalue = [objectreference].Text

Legal values

Always contains an instance of the Text class.

Usage


Word Pro: TextandTableExports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

textandtableexportsvalue = [objectreference].TextandTableExports

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: TextandTableImports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

textandtableimportsvalue = [objectreference].TextandTableImports

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: TextAttributes property

 See list of classes

 See example

(Read-only) Other attributes that aren't normally part of the Font.

Data Type

Attributes

Syntax

textattributesvalue = [objectreference].TextAttributes

Legal values

Always contains an instance of the Attributes class.

Usage


Word Pro: TextMarkers property

 See list of classes

 See example

(Read-only)

Data Type

TextMarkerCollection

Syntax

textmarkersvalue = [objectreference].TextMarkers

Legal values

Always contains an instance of the TextMarkerCollection class.

Usage


Word Pro: Texts property

 See list of classes

 See example

(Read-only)

Data Type

TextCollection

Syntax

textsvalue = [objectreference].Texts

Legal values

Always contains an instance of the TextCollection class.

Usage


Word Pro: TextStyles property

 See list of classes

 See example

(Read-only)

Data Type

TextStyleCollection

Syntax

textstylesvalue = [objectreference].TextStyles

Legal values

Always contains an instance of the TextStyleCollection class.

Usage


Word Pro: TopBorder property

 See list of classes

 See example

(Read-only)

Data Type

Border

Syntax

topbordervalue = [objectreference].TopBorder

Legal values

Always contains an instance of the Border class.

Usage


Word Pro: UndoLevels property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

undolevelsvalue = [objectreference].UndoLevels

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: Units property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

unitsvalue = [objectreference].Units

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: UserDictionaryFiles property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

userdictionaryfilesvalue = [objectreference].UserDictionaryFiles

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: UserDictionaryPaths property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

userdictionarypathsvalue = [objectreference].UserDictionaryPaths

Legal values

Always contains an instance of the StringCollection class.

Usage


Word Pro: UserInterfacePrefs property

 See list of classes

 See example

(Read-only)

Data Type

UserInterfacePrefs

Syntax

userinterfaceprefsvalue = [objectreference].UserInterfacePrefs

Legal values

Always contains an instance of the UserInterfacePrefs class.

Usage


Word Pro: UseWhen property

 See list of classes

 See example

(Read-only) Allows you to set the circumstances iunder which this layout is used. (Page, etc.)

Data Type

UseWhen

Syntax

usewhenvalue = [objectreference].UseWhen

Legal values

Always contains an instance of the UseWhen class.

Usage


Word Pro: VersionManager property

 See list of classes

 See example

(Read-only)

Data Type

VersionManager

Syntax

versionmanagervalue = [objectreference].VersionManager

Legal values

Always contains an instance of the VersionManager class.

Usage


Word Pro: VertRuler property

 See list of classes

 See example

(Read-only)

Data Type

Ruler

Syntax

vertrulervalue = [objectreference].VertRuler

Legal values

Always contains an instance of the Ruler class.

Usage


Word Pro: WinViewPrefs property

 See list of classes

 See example

(Read-only)

Data Type

WinViewPrefs

Syntax

winviewprefsvalue = [objectreference].WinViewPrefs

Legal values

Always contains an instance of the WinViewPrefs class.

Usage


Word Pro: WPDataSets property

 See list of classes

 See example

(Read-only)

Data Type

WPDataSetCollection

Syntax

wpdatasetsvalue = [objectreference].WPDataSets

Legal values

Always contains an instance of the WPDataSetCollection class.

Usage


Word Pro: Zero property

 See list of classes

 See example

(Read-only)

Data Type

NumericFormatSubset

Syntax

zerovalue = [objectreference].Zero

Legal values

Always contains an instance of the NumericFormatSubset class.

Usage